/* Generated from library.scm by the CHICKEN compiler
   http://www.call-cc.org
   Version 5.0.0pre8 ((detached from 5.0.0pre8)) (rev b07fa24)
   linux-unix-gnu-x86-64 [ 64bit dload ptables ]
   command line: library.scm -optimize-level 2 -include-path . -include-path ./ -inline -ignore-repository -feature chicken-bootstrap -no-warnings -specialize -consult-types-file ./types.db -explicit-use -no-trace -output-file library.c -no-module-registration -emit-import-library chicken.bitwise -emit-import-library chicken.blob -emit-import-library chicken.fixnum -emit-import-library chicken.flonum -emit-import-library chicken.gc -emit-import-library chicken.keyword -emit-import-library chicken.platform -emit-import-library chicken.plist -emit-import-library chicken.process-context
   unit: library
   uses: build-version
*/
#include "chicken.h"

#include <errno.h>
#include <float.h>

#ifdef HAVE_SYSEXITS_H
# include <sysexits.h>
#endif

#ifndef EX_SOFTWARE
# define EX_SOFTWARE	70
#endif

#define C_close_file(p)	      (C_fclose((C_FILEPTR)(C_port_file(p))), C_SCHEME_UNDEFINED)
#define C_a_f64peek(ptr, c, b, i)  C_flonum(ptr, ((double *)C_data_pointer(b))[ C_unfix(i) ])
#define C_fetch_c_strlen(b, i) C_fix(strlen((C_char *)C_block_item(b, C_unfix(i))))
#define C_asciiz_strlen(str) C_fix(strlen(C_c_string(str)))
#define C_peek_c_string(b, i, to, len) (C_memcpy(C_data_pointer(to), (C_char *)C_block_item(b, C_unfix(i)), C_unfix(len)), C_SCHEME_UNDEFINED)
#define C_free_mptr(p, i)     (C_free((void *)C_block_item(p, C_unfix(i))), C_SCHEME_UNDEFINED)
#define C_free_sptr(p, i)     (C_free((void *)(((C_char **)C_block_item(p, 0))[ C_unfix(i) ])), C_SCHEME_UNDEFINED)

#define C_a_get_current_seconds(ptr, c, dummy)  C_int64_to_num(ptr, time(NULL))
#define C_peek_c_string_at(ptr, i)    ((C_char *)(((C_char **)ptr)[ i ]))

static C_word
fast_read_line_from_file(C_word str, C_word port, C_word size) {
  int n = C_unfix(size);
  int i;
  int c;
  char *buf = C_c_string(str);
  C_FILEPTR fp = C_port_file(port);

  if ((c = C_getc(fp)) == EOF) {
    if (ferror(fp)) {
      clearerr(fp);
      return C_fix(-1);
    } else { /* feof (fp) */
      return C_SCHEME_END_OF_FILE;
    }
  }

  C_ungetc(c, fp);

  for (i = 0; i < n; i++) {
    c = C_getc(fp);

    if(c == EOF && ferror(fp)) {
      clearerr(fp);
      return C_fix(-(i + 1));
    }

    switch (c) {
    case '\r':	if ((c = C_getc(fp)) != '\n') C_ungetc(c, fp);
    case EOF:	clearerr(fp);
    case '\n':	return C_fix(i);
    }
    buf[i] = c;
  }
  return C_SCHEME_FALSE;
}

static C_word
fast_read_string_from_file(C_word dest, C_word port, C_word len, C_word pos)
{
  size_t m;
  int n = C_unfix (len);
  char * buf = ((char *)C_data_pointer (dest) + C_unfix (pos));
  C_FILEPTR fp = C_port_file (port);

  if(feof(fp)) return C_SCHEME_END_OF_FILE;

  m = fread (buf, sizeof (char), n, fp);

  if (m < n) {
    if (ferror(fp)) /* Report to Scheme, which may retry, so clear errors */
      clearerr(fp);
    else if (feof(fp) && 0 == m) /* eof but m > 0? Return data first, below */
      return C_SCHEME_END_OF_FILE; /* Calling again will get us here */
  }

  return C_fix (m);
}

static C_word
shallow_equal(C_word x, C_word y)
{
  /* assumes x and y are non-immediate */
  int i, len = C_header_size(x);

  if(C_header_size(y) != len) return C_SCHEME_FALSE;      
  else return C_mk_bool(!C_memcmp((void *)x, (void *)y, len * sizeof(C_word)));
}

static C_word
signal_debug_event(C_word mode, C_word msg, C_word args)
{
  C_DEBUG_INFO cell;
  C_word av[ 3 ];
  cell.enabled = 1;
  cell.event = C_DEBUG_SIGNAL;
  cell.loc = "";
  cell.val = "";
  av[ 0 ] = mode;
  av[ 1 ] = msg;
  av[ 2 ] = args;
  C_debugger(&cell, 3, av);
  return C_SCHEME_UNDEFINED;
}

#ifdef NO_DLOAD2
# define HAVE_DLOAD 0
#else
# define HAVE_DLOAD 1
#endif

#ifdef C_ENABLE_PTABLES
# define HAVE_PTABLES 1
#else
# define HAVE_PTABLES 0
#endif

#ifdef C_GC_HOOKS
# define HAVE_GCHOOKS 1
#else
# define HAVE_GCHOOKS 0
#endif

#if defined(C_CROSS_CHICKEN) && C_CROSS_CHICKEN
# define IS_CROSS_CHICKEN 1
#else
# define IS_CROSS_CHICKEN 0
#endif


#define C_chdir(str) C_fix(chdir(C_c_string(str)))
#define C_curdir(buf) (getcwd(C_c_string(buf), 1024) ? C_fix(strlen(C_c_string(buf))) : C_SCHEME_FALSE)
#define C_getenventry(i) (environ[ i ])

#ifdef HAVE_CRT_EXTERNS_H
# include <crt_externs.h>
# define environ (*_NSGetEnviron())
#else
extern char **environ;
#endif

#ifdef HAVE_SETENV
# define C_unsetenv(s)    (unsetenv((char *)C_data_pointer(s)), C_SCHEME_TRUE)
# define C_setenv(x, y)   C_fix(setenv((char *)C_data_pointer(x), (char *)C_data_pointer(y), 1))
#else
# if defined(_WIN32) && !defined(__CYGWIN__)
#  define C_unsetenv(s)   C_setenv(s, C_SCHEME_FALSE)
# else
#  define C_unsetenv(s)   C_fix(putenv((char *)C_data_pointer(s)))
# endif
static C_word C_fcall C_setenv(C_word x, C_word y) {
  char *sx = C_c_string(x),
       *sy = (y == C_SCHEME_FALSE ? "" : C_c_string(y));
  int n1 = C_strlen(sx), n2 = C_strlen(sy);
  int buf_len = n1 + n2 + 2;
  char *buf = (char *)C_malloc(buf_len);
  if(buf == NULL) return(C_fix(0));
  else {
    C_strlcpy(buf, sx, buf_len);
    C_strlcat(buf, "=", buf_len);
    C_strlcat(buf, sy, buf_len);
    return(C_fix(putenv(buf)));
  }
}
#endif



static C_PTABLE_ENTRY *create_ptable(void);
C_noret_decl(C_build_2dversion_toplevel)
C_externimport void C_ccall C_build_2dversion_toplevel(C_word c,C_word *av) C_noret;

static C_TLS C_word lf[1385];
static double C_possibly_force_alignment;
static C_char C_TLS li0[] C_aligned={C_lihdr(0,0,14),40,115,99,104,101,109,101,35,110,111,116,32,120,41,0,0};
static C_char C_TLS li1[] C_aligned={C_lihdr(0,0,19),40,115,99,104,101,109,101,35,98,111,111,108,101,97,110,63,32,120,41,0,0,0,0,0};
static C_char C_TLS li2[] C_aligned={C_lihdr(0,0,16),40,115,99,104,101,109,101,35,101,113,63,32,120,32,121,41};
static C_char C_TLS li3[] C_aligned={C_lihdr(0,0,17),40,115,99,104,101,109,101,35,101,113,118,63,32,120,32,121,41,0,0,0,0,0,0,0};
static C_char C_TLS li4[] C_aligned={C_lihdr(0,0,19),40,115,99,104,101,109,101,35,101,113,117,97,108,63,32,120,32,121,41,0,0,0,0,0};
static C_char C_TLS li5[] C_aligned={C_lihdr(0,0,16),40,115,99,104,101,109,101,35,112,97,105,114,63,32,120,41};
static C_char C_TLS li6[] C_aligned={C_lihdr(0,0,17),40,115,99,104,101,109,101,35,99,111,110,115,32,120,32,121,41,0,0,0,0,0,0,0};
static C_char C_TLS li7[] C_aligned={C_lihdr(0,0,14),40,115,99,104,101,109,101,35,99,97,114,32,120,41,0,0};
static C_char C_TLS li8[] C_aligned={C_lihdr(0,0,14),40,115,99,104,101,109,101,35,99,100,114,32,120,41,0,0};
static C_char C_TLS li9[] C_aligned={C_lihdr(0,0,21),40,115,99,104,101,109,101,35,115,101,116,45,99,97,114,33,32,120,32,121,41,0,0,0};
static C_char C_TLS li10[] C_aligned={C_lihdr(0,0,21),40,115,99,104,101,109,101,35,115,101,116,45,99,100,114,33,32,120,32,121,41,0,0,0};
static C_char C_TLS li11[] C_aligned={C_lihdr(0,0,15),40,115,99,104,101,109,101,35,99,97,100,114,32,120,41,0};
static C_char C_TLS li12[] C_aligned={C_lihdr(0,0,16),40,115,99,104,101,109,101,35,99,97,100,100,114,32,120,41};
static C_char C_TLS li13[] C_aligned={C_lihdr(0,0,17),40,115,99,104,101,109,101,35,99,97,100,100,100,114,32,120,41,0,0,0,0,0,0,0};
static C_char C_TLS li14[] C_aligned={C_lihdr(0,0,17),40,115,99,104,101,109,101,35,99,100,100,100,100,114,32,120,41,0,0,0,0,0,0,0};
static C_char C_TLS li15[] C_aligned={C_lihdr(0,0,15),40,115,99,104,101,109,101,35,99,97,97,114,32,120,41,0};
static C_char C_TLS li16[] C_aligned={C_lihdr(0,0,15),40,115,99,104,101,109,101,35,99,100,97,114,32,120,41,0};
static C_char C_TLS li17[] C_aligned={C_lihdr(0,0,15),40,115,99,104,101,109,101,35,99,100,100,114,32,120,41,0};
static C_char C_TLS li18[] C_aligned={C_lihdr(0,0,16),40,115,99,104,101,109,101,35,99,97,97,97,114,32,120,41};
static C_char C_TLS li19[] C_aligned={C_lihdr(0,0,16),40,115,99,104,101,109,101,35,99,97,97,100,114,32,120,41};
static C_char C_TLS li20[] C_aligned={C_lihdr(0,0,16),40,115,99,104,101,109,101,35,99,97,100,97,114,32,120,41};
static C_char C_TLS li21[] C_aligned={C_lihdr(0,0,16),40,115,99,104,101,109,101,35,99,100,97,97,114,32,120,41};
static C_char C_TLS li22[] C_aligned={C_lihdr(0,0,16),40,115,99,104,101,109,101,35,99,100,97,100,114,32,120,41};
static C_char C_TLS li23[] C_aligned={C_lihdr(0,0,16),40,115,99,104,101,109,101,35,99,100,100,97,114,32,120,41};
static C_char C_TLS li24[] C_aligned={C_lihdr(0,0,16),40,115,99,104,101,109,101,35,99,100,100,100,114,32,120,41};
static C_char C_TLS li25[] C_aligned={C_lihdr(0,0,17),40,115,99,104,101,109,101,35,99,97,97,97,97,114,32,120,41,0,0,0,0,0,0,0};
static C_char C_TLS li26[] C_aligned={C_lihdr(0,0,17),40,115,99,104,101,109,101,35,99,97,97,97,100,114,32,120,41,0,0,0,0,0,0,0};
static C_char C_TLS li27[] C_aligned={C_lihdr(0,0,17),40,115,99,104,101,109,101,35,99,97,97,100,97,114,32,120,41,0,0,0,0,0,0,0};
static C_char C_TLS li28[] C_aligned={C_lihdr(0,0,17),40,115,99,104,101,109,101,35,99,97,97,100,100,114,32,120,41,0,0,0,0,0,0,0};
static C_char C_TLS li29[] C_aligned={C_lihdr(0,0,17),40,115,99,104,101,109,101,35,99,97,100,97,97,114,32,120,41,0,0,0,0,0,0,0};
static C_char C_TLS li30[] C_aligned={C_lihdr(0,0,17),40,115,99,104,101,109,101,35,99,97,100,97,100,114,32,120,41,0,0,0,0,0,0,0};
static C_char C_TLS li31[] C_aligned={C_lihdr(0,0,17),40,115,99,104,101,109,101,35,99,97,100,100,97,114,32,120,41,0,0,0,0,0,0,0};
static C_char C_TLS li32[] C_aligned={C_lihdr(0,0,17),40,115,99,104,101,109,101,35,99,100,97,97,97,114,32,120,41,0,0,0,0,0,0,0};
static C_char C_TLS li33[] C_aligned={C_lihdr(0,0,17),40,115,99,104,101,109,101,35,99,100,97,97,100,114,32,120,41,0,0,0,0,0,0,0};
static C_char C_TLS li34[] C_aligned={C_lihdr(0,0,17),40,115,99,104,101,109,101,35,99,100,97,100,97,114,32,120,41,0,0,0,0,0,0,0};
static C_char C_TLS li35[] C_aligned={C_lihdr(0,0,17),40,115,99,104,101,109,101,35,99,100,97,100,100,114,32,120,41,0,0,0,0,0,0,0};
static C_char C_TLS li36[] C_aligned={C_lihdr(0,0,17),40,115,99,104,101,109,101,35,99,100,100,97,97,114,32,120,41,0,0,0,0,0,0,0};
static C_char C_TLS li37[] C_aligned={C_lihdr(0,0,17),40,115,99,104,101,109,101,35,99,100,100,97,100,114,32,120,41,0,0,0,0,0,0,0};
static C_char C_TLS li38[] C_aligned={C_lihdr(0,0,17),40,115,99,104,101,109,101,35,99,100,100,100,97,114,32,120,41,0,0,0,0,0,0,0};
static C_char C_TLS li39[] C_aligned={C_lihdr(0,0,16),40,115,99,104,101,109,101,35,110,117,108,108,63,32,120,41};
static C_char C_TLS li40[] C_aligned={C_lihdr(0,0,19),40,115,99,104,101,109,101,35,108,105,115,116,32,46,32,108,115,116,41,0,0,0,0,0};
static C_char C_TLS li41[] C_aligned={C_lihdr(0,0,19),40,115,99,104,101,109,101,35,108,101,110,103,116,104,32,108,115,116,41,0,0,0,0,0};
static C_char C_TLS li42[] C_aligned={C_lihdr(0,0,24),40,115,99,104,101,109,101,35,108,105,115,116,45,116,97,105,108,32,108,115,116,32,105,41};
static C_char C_TLS li43[] C_aligned={C_lihdr(0,0,23),40,115,99,104,101,109,101,35,108,105,115,116,45,114,101,102,32,108,115,116,32,105,41,0};
static C_char C_TLS li44[] C_aligned={C_lihdr(0,0,15),40,108,111,111,112,32,108,115,116,32,114,101,115,116,41,0};
static C_char C_TLS li45[] C_aligned={C_lihdr(0,0,21),40,115,99,104,101,109,101,35,114,101,118,101,114,115,101,32,108,115,116,48,41,0,0,0};
static C_char C_TLS li46[] C_aligned={C_lihdr(0,0,19),40,115,99,104,101,109,101,35,109,101,109,113,32,120,32,108,115,116,41,0,0,0,0,0};
static C_char C_TLS li47[] C_aligned={C_lihdr(0,0,19),40,115,99,104,101,109,101,35,109,101,109,118,32,120,32,108,115,116,41,0,0,0,0,0};
static C_char C_TLS li48[] C_aligned={C_lihdr(0,0,21),40,115,99,104,101,109,101,35,109,101,109,98,101,114,32,120,32,108,115,116,41,0,0,0};
static C_char C_TLS li49[] C_aligned={C_lihdr(0,0,19),40,115,99,104,101,109,101,35,97,115,115,113,32,120,32,108,115,116,41,0,0,0,0,0};
static C_char C_TLS li50[] C_aligned={C_lihdr(0,0,19),40,115,99,104,101,109,101,35,97,115,115,118,32,120,32,108,115,116,41,0,0,0,0,0};
static C_char C_TLS li51[] C_aligned={C_lihdr(0,0,20),40,115,99,104,101,109,101,35,97,115,115,111,99,32,120,32,108,115,116,41,0,0,0,0};
static C_char C_TLS li52[] C_aligned={C_lihdr(0,0,16),40,115,99,104,101,109,101,35,108,105,115,116,63,32,120,41};
static C_char C_TLS li53[] C_aligned={C_lihdr(0,0,18),40,115,99,104,101,109,101,35,115,116,114,105,110,103,63,32,120,41,0,0,0,0,0,0};
static C_char C_TLS li54[] C_aligned={C_lihdr(0,0,24),40,115,99,104,101,109,101,35,115,116,114,105,110,103,45,108,101,110,103,116,104,32,115,41};
static C_char C_TLS li55[] C_aligned={C_lihdr(0,0,23),40,115,99,104,101,109,101,35,115,116,114,105,110,103,45,114,101,102,32,115,32,105,41,0};
static C_char C_TLS li56[] C_aligned={C_lihdr(0,0,26),40,115,99,104,101,109,101,35,115,116,114,105,110,103,45,115,101,116,33,32,115,32,105,32,99,41,0,0,0,0,0,0};
static C_char C_TLS li57[] C_aligned={C_lihdr(0,0,21),40,115,99,104,101,109,101,35,115,116,114,105,110,103,61,63,32,120,32,121,41,0,0,0};
static C_char C_TLS li58[] C_aligned={C_lihdr(0,0,24),40,115,99,104,101,109,101,35,115,116,114,105,110,103,45,99,105,61,63,32,120,32,121,41};
static C_char C_TLS li59[] C_aligned={C_lihdr(0,0,25),40,115,99,104,101,109,101,35,101,120,97,99,116,45,62,105,110,101,120,97,99,116,32,120,41,0,0,0,0,0,0,0};
static C_char C_TLS li60[] C_aligned={C_lihdr(0,0,14),40,115,99,104,101,109,101,35,97,98,115,32,120,41,0,0};
static C_char C_TLS li61[] C_aligned={C_lihdr(0,0,6),67,95,112,108,117,115,0,0};
static C_char C_TLS li62[] C_aligned={C_lihdr(0,0,7),67,95,109,105,110,117,115,0};
static C_char C_TLS li63[] C_aligned={C_lihdr(0,0,7),67,95,116,105,109,101,115,0};
static C_char C_TLS li64[] C_aligned={C_lihdr(0,0,21),40,115,99,104,101,109,101,35,113,117,111,116,105,101,110,116,32,97,32,98,41,0,0,0};
static C_char C_TLS li65[] C_aligned={C_lihdr(0,0,22),40,115,99,104,101,109,101,35,114,101,109,97,105,110,100,101,114,32,97,32,98,41,0,0};
static C_char C_TLS li66[] C_aligned={C_lihdr(0,0,19),40,115,99,104,101,109,101,35,109,111,100,117,108,111,32,97,32,98,41,0,0,0,0,0};
static C_char C_TLS li67[] C_aligned={C_lihdr(0,0,16),40,115,99,104,101,109,101,35,101,118,101,110,63,32,110,41};
static C_char C_TLS li68[] C_aligned={C_lihdr(0,0,15),40,115,99,104,101,109,101,35,111,100,100,63,32,110,41,0};
static C_char C_TLS li69[] C_aligned={C_lihdr(0,0,9),67,95,110,101,113,117,97,108,112,0,0,0,0,0,0,0};
static C_char C_TLS li70[] C_aligned={C_lihdr(0,0,10),67,95,103,114,101,97,116,101,114,112,0,0,0,0,0,0};
static C_char C_TLS li71[] C_aligned={C_lihdr(0,0,7),67,95,108,101,115,115,112,0};
static C_char C_TLS li72[] C_aligned={C_lihdr(0,0,20),67,95,103,114,101,97,116,101,114,95,111,114,95,101,113,117,97,108,95,112,0,0,0,0};
static C_char C_TLS li73[] C_aligned={C_lihdr(0,0,17),67,95,108,101,115,115,95,111,114,95,101,113,117,97,108,95,112,0,0,0,0,0,0,0};
static C_char C_TLS li74[] C_aligned={C_lihdr(0,0,18),40,115,99,104,101,109,101,35,110,117,109,98,101,114,63,32,120,41,0,0,0,0,0,0};
static C_char C_TLS li75[] C_aligned={C_lihdr(0,0,16),40,115,99,104,101,109,101,35,114,101,97,108,63,32,120,41};
static C_char C_TLS li76[] C_aligned={C_lihdr(0,0,20),40,115,99,104,101,109,101,35,114,97,116,105,111,110,97,108,63,32,110,41,0,0,0,0};
static C_char C_TLS li77[] C_aligned={C_lihdr(0,0,19),40,115,99,104,101,109,101,35,105,110,116,101,103,101,114,63,32,120,41,0,0,0,0,0};
static C_char C_TLS li78[] C_aligned={C_lihdr(0,0,17),40,115,99,104,101,109,101,35,101,120,97,99,116,63,32,120,41,0,0,0,0,0,0,0};
static C_char C_TLS li79[] C_aligned={C_lihdr(0,0,19),40,115,99,104,101,109,101,35,105,110,101,120,97,99,116,63,32,120,41,0,0,0,0,0};
static C_char C_TLS li80[] C_aligned={C_lihdr(0,0,16),40,115,99,104,101,109,101,35,122,101,114,111,63,32,110,41};
static C_char C_TLS li81[] C_aligned={C_lihdr(0,0,20),40,115,99,104,101,109,101,35,112,111,115,105,116,105,118,101,63,32,110,41,0,0,0,0};
static C_char C_TLS li82[] C_aligned={C_lihdr(0,0,20),40,115,99,104,101,109,101,35,110,101,103,97,116,105,118,101,63,32,110,41,0,0,0,0};
static C_char C_TLS li83[] C_aligned={C_lihdr(0,0,18),67,95,110,117,109,98,101,114,95,116,111,95,115,116,114,105,110,103,0,0,0,0,0,0};
static C_char C_TLS li84[] C_aligned={C_lihdr(0,0,18),40,115,99,104,101,109,101,35,115,121,109,98,111,108,63,32,120,41,0,0,0,0,0,0};
static C_char C_TLS li85[] C_aligned={C_lihdr(0,0,18),40,115,99,104,101,109,101,35,118,101,99,116,111,114,63,32,120,41,0,0,0,0,0,0};
static C_char C_TLS li86[] C_aligned={C_lihdr(0,0,24),40,115,99,104,101,109,101,35,118,101,99,116,111,114,45,108,101,110,103,116,104,32,118,41};
static C_char C_TLS li87[] C_aligned={C_lihdr(0,0,23),40,115,99,104,101,109,101,35,118,101,99,116,111,114,45,114,101,102,32,118,32,105,41,0};
static C_char C_TLS li88[] C_aligned={C_lihdr(0,0,26),40,115,99,104,101,109,101,35,118,101,99,116,111,114,45,115,101,116,33,32,118,32,105,32,120,41,0,0,0,0,0,0};
static C_char C_TLS li89[] C_aligned={C_lihdr(0,0,16),40,115,99,104,101,109,101,35,99,104,97,114,63,32,120,41};
static C_char C_TLS li90[] C_aligned={C_lihdr(0,0,24),40,115,99,104,101,109,101,35,99,104,97,114,45,62,105,110,116,101,103,101,114,32,99,41};
static C_char C_TLS li91[] C_aligned={C_lihdr(0,0,24),40,115,99,104,101,109,101,35,105,110,116,101,103,101,114,45,62,99,104,97,114,32,110,41};
static C_char C_TLS li92[] C_aligned={C_lihdr(0,0,21),40,115,99,104,101,109,101,35,99,104,97,114,61,63,32,99,49,32,99,50,41,0,0,0};
static C_char C_TLS li93[] C_aligned={C_lihdr(0,0,21),40,115,99,104,101,109,101,35,99,104,97,114,62,63,32,99,49,32,99,50,41,0,0,0};
static C_char C_TLS li94[] C_aligned={C_lihdr(0,0,21),40,115,99,104,101,109,101,35,99,104,97,114,60,63,32,99,49,32,99,50,41,0,0,0};
static C_char C_TLS li95[] C_aligned={C_lihdr(0,0,22),40,115,99,104,101,109,101,35,99,104,97,114,62,61,63,32,99,49,32,99,50,41,0,0};
static C_char C_TLS li96[] C_aligned={C_lihdr(0,0,22),40,115,99,104,101,109,101,35,99,104,97,114,60,61,63,32,99,49,32,99,50,41,0,0};
static C_char C_TLS li97[] C_aligned={C_lihdr(0,0,22),40,115,99,104,101,109,101,35,99,104,97,114,45,117,112,99,97,115,101,32,99,41,0,0};
static C_char C_TLS li98[] C_aligned={C_lihdr(0,0,24),40,115,99,104,101,109,101,35,99,104,97,114,45,100,111,119,110,99,97,115,101,32,99,41};
static C_char C_TLS li99[] C_aligned={C_lihdr(0,0,27),40,115,99,104,101,109,101,35,99,104,97,114,45,117,112,112,101,114,45,99,97,115,101,63,32,99,41,0,0,0,0,0};
static C_char C_TLS li100[] C_aligned={C_lihdr(0,0,27),40,115,99,104,101,109,101,35,99,104,97,114,45,108,111,119,101,114,45,99,97,115,101,63,32,99,41,0,0,0,0,0};
static C_char C_TLS li101[] C_aligned={C_lihdr(0,0,24),40,115,99,104,101,109,101,35,99,104,97,114,45,110,117,109,101,114,105,99,63,32,99,41};
static C_char C_TLS li102[] C_aligned={C_lihdr(0,0,27),40,115,99,104,101,109,101,35,99,104,97,114,45,119,104,105,116,101,115,112,97,99,101,63,32,99,41,0,0,0,0,0};
static C_char C_TLS li103[] C_aligned={C_lihdr(0,0,27),40,115,99,104,101,109,101,35,99,104,97,114,45,97,108,112,104,97,98,101,116,105,99,63,32,99,41,0,0,0,0,0};
static C_char C_TLS li104[] C_aligned={C_lihdr(0,0,21),40,115,99,104,101,109,101,35,112,114,111,99,101,100,117,114,101,63,32,120,41,0,0,0};
static C_char C_TLS li105[] C_aligned={C_lihdr(0,0,7),67,95,97,112,112,108,121,0};
static C_char C_TLS li106[] C_aligned={C_lihdr(0,0,8),67,95,118,97,108,117,101,115};
static C_char C_TLS li107[] C_aligned={C_lihdr(0,0,18),67,95,99,97,108,108,95,119,105,116,104,95,118,97,108,117,101,115,0,0,0,0,0,0};
static C_char C_TLS li108[] C_aligned={C_lihdr(0,0,22),40,115,99,104,101,109,101,35,105,110,112,117,116,45,112,111,114,116,63,32,120,41,0,0};
static C_char C_TLS li109[] C_aligned={C_lihdr(0,0,23),40,115,99,104,101,109,101,35,111,117,116,112,117,116,45,112,111,114,116,63,32,120,41,0};
static C_char C_TLS li110[] C_aligned={C_lihdr(0,0,22),40,115,99,104,101,109,101,35,101,111,102,45,111,98,106,101,99,116,63,32,120,41,0,0};
static C_char C_TLS li111[] C_aligned={C_lihdr(0,0,21),40,115,99,104,101,109,101,35,101,118,97,108,32,120,32,46,32,101,110,118,41,0,0,0};
static C_char C_TLS li112[] C_aligned={C_lihdr(0,0,32),40,115,99,104,101,109,101,35,105,110,116,101,114,97,99,116,105,111,110,45,101,110,118,105,114,111,110,109,101,110,116,41};
static C_char C_TLS li113[] C_aligned={C_lihdr(0,0,36),40,115,99,104,101,109,101,35,115,99,104,101,109,101,45,114,101,112,111,114,116,45,101,110,118,105,114,111,110,109,101,110,116,32,110,41,0,0,0,0};
static C_char C_TLS li114[] C_aligned={C_lihdr(0,0,25),40,115,99,104,101,109,101,35,110,117,108,108,45,101,110,118,105,114,111,110,109,101,110,116,41,0,0,0,0,0,0,0};
static C_char C_TLS li115[] C_aligned={C_lihdr(0,0,34),40,115,99,104,101,109,101,35,108,111,97,100,32,102,105,108,101,110,97,109,101,32,46,32,101,118,97,108,117,97,116,111,114,41,0,0,0,0,0,0};
static C_char C_TLS li116[] C_aligned={C_lihdr(0,0,24),40,99,104,105,99,107,101,110,46,98,97,115,101,35,102,105,120,110,117,109,63,32,120,41};
static C_char C_TLS li117[] C_aligned={C_lihdr(0,0,24),40,99,104,105,99,107,101,110,46,98,97,115,101,35,102,108,111,110,117,109,63,32,120,41};
static C_char C_TLS li118[] C_aligned={C_lihdr(0,0,24),40,99,104,105,99,107,101,110,46,98,97,115,101,35,98,105,103,110,117,109,63,32,120,41};
static C_char C_TLS li119[] C_aligned={C_lihdr(0,0,24),40,99,104,105,99,107,101,110,46,98,97,115,101,35,114,97,116,110,117,109,63,32,120,41};
static C_char C_TLS li120[] C_aligned={C_lihdr(0,0,25),40,99,104,105,99,107,101,110,46,98,97,115,101,35,99,112,108,120,110,117,109,63,32,120,41,0,0,0,0,0,0,0};
static C_char C_TLS li121[] C_aligned={C_lihdr(0,0,31),40,99,104,105,99,107,101,110,46,98,97,115,101,35,101,120,97,99,116,45,105,110,116,101,103,101,114,63,32,120,41,0};
static C_char C_TLS li122[] C_aligned={C_lihdr(0,0,24),67,95,113,117,111,116,105,101,110,116,95,97,110,100,95,114,101,109,97,105,110,100,101,114};
static C_char C_TLS li123[] C_aligned={C_lihdr(0,0,7),40,97,57,49,51,57,41,0};
static C_char C_TLS li124[] C_aligned={C_lihdr(0,0,15),40,97,57,49,52,53,32,100,105,118,32,114,101,109,41,0};
static C_char C_TLS li125[] C_aligned={C_lihdr(0,0,34),40,99,104,105,99,107,101,110,46,98,97,115,101,35,113,117,111,116,105,101,110,116,38,109,111,100,117,108,111,32,120,32,121,41,0,0,0,0,0,0};
static C_char C_TLS li126[] C_aligned={C_lihdr(0,0,24),40,99,104,105,99,107,101,110,46,98,97,115,101,35,102,105,110,105,116,101,63,32,120,41};
static C_char C_TLS li127[] C_aligned={C_lihdr(0,0,26),40,99,104,105,99,107,101,110,46,98,97,115,101,35,105,110,102,105,110,105,116,101,63,32,120,41,0,0,0,0,0,0};
static C_char C_TLS li128[] C_aligned={C_lihdr(0,0,21),40,99,104,105,99,107,101,110,46,98,97,115,101,35,110,97,110,63,32,120,41,0,0,0};
static C_char C_TLS li129[] C_aligned={C_lihdr(0,0,8),67,95,115,105,103,110,117,109};
static C_char C_TLS li130[] C_aligned={C_lihdr(0,0,21),40,99,104,105,99,107,101,110,46,98,97,115,101,35,97,100,100,49,32,110,41,0,0,0};
static C_char C_TLS li131[] C_aligned={C_lihdr(0,0,21),40,99,104,105,99,107,101,110,46,98,97,115,101,35,115,117,98,49,32,110,41,0,0,0};
static C_char C_TLS li132[] C_aligned={C_lihdr(0,0,27),40,99,104,105,99,107,101,110,46,98,97,115,101,35,101,114,114,111,114,32,46,32,97,114,103,115,41,0,0,0,0,0};
static C_char C_TLS li133[] C_aligned={C_lihdr(0,0,23),40,99,104,105,99,107,101,110,46,98,97,115,101,35,118,111,105,100,32,46,32,95,41,0};
static C_char C_TLS li134[] C_aligned={C_lihdr(0,0,25),40,99,104,105,99,107,101,110,46,98,97,115,101,35,112,114,111,109,105,115,101,63,32,120,41,0,0,0,0,0,0,0};
static C_char C_TLS li135[] C_aligned={C_lihdr(0,0,25),40,35,35,115,121,115,35,109,97,107,101,45,112,114,111,109,105,115,101,32,112,114,111,99,41,0,0,0,0,0,0,0};
static C_char C_TLS li136[] C_aligned={C_lihdr(0,0,7),40,97,57,50,54,51,41,0};
static C_char C_TLS li137[] C_aligned={C_lihdr(0,0,31),40,99,104,105,99,107,101,110,46,98,97,115,101,35,109,97,107,101,45,112,114,111,109,105,115,101,32,111,98,106,41,0};
static C_char C_TLS li138[] C_aligned={C_lihdr(0,0,12),40,108,111,111,112,32,108,115,116,32,122,41,0,0,0,0};
static C_char C_TLS li139[] C_aligned={C_lihdr(0,0,28),40,99,104,105,99,107,101,110,46,98,97,115,101,35,102,111,108,100,108,32,102,32,122,32,108,115,116,41,0,0,0,0};
static C_char C_TLS li140[] C_aligned={C_lihdr(0,0,10),40,108,111,111,112,32,108,115,116,41,0,0,0,0,0,0};
static C_char C_TLS li141[] C_aligned={C_lihdr(0,0,28),40,99,104,105,99,107,101,110,46,98,97,115,101,35,102,111,108,100,114,32,102,32,122,32,108,115,116,41,0,0,0,0};
static C_char C_TLS li142[] C_aligned={C_lihdr(0,0,28),40,99,104,105,99,107,101,110,46,98,97,115,101,35,111,110,45,101,120,105,116,32,116,104,117,110,107,41,0,0,0,0};
static C_char C_TLS li143[] C_aligned={C_lihdr(0,0,26),40,99,104,105,99,107,101,110,46,98,97,115,101,35,101,120,105,116,32,46,32,114,101,115,116,41,0,0,0,0,0,0};
static C_char C_TLS li144[] C_aligned={C_lihdr(0,0,36),40,99,104,105,99,107,101,110,46,98,97,115,101,35,101,109,101,114,103,101,110,99,121,45,101,120,105,116,32,46,32,114,101,115,116,41,0,0,0,0};
static C_char C_TLS li145[] C_aligned={C_lihdr(0,0,25),40,99,104,105,99,107,101,110,46,98,97,115,101,35,105,100,101,110,116,105,116,121,32,120,41,0,0,0,0,0,0,0};
static C_char C_TLS li146[] C_aligned={C_lihdr(0,0,12),40,108,111,111,112,32,112,114,101,100,115,41,0,0,0,0};
static C_char C_TLS li147[] C_aligned={C_lihdr(0,0,10),40,102,95,57,51,57,51,32,120,41,0,0,0,0,0,0};
static C_char C_TLS li148[] C_aligned={C_lihdr(0,0,30),40,99,104,105,99,107,101,110,46,98,97,115,101,35,99,111,110,106,111,105,110,32,46,32,112,114,101,100,115,41,0,0};
static C_char C_TLS li149[] C_aligned={C_lihdr(0,0,12),40,108,111,111,112,32,112,114,101,100,115,41,0,0,0,0};
static C_char C_TLS li150[] C_aligned={C_lihdr(0,0,10),40,102,95,57,52,50,54,32,120,41,0,0,0,0,0,0};
static C_char C_TLS li151[] C_aligned={C_lihdr(0,0,30),40,99,104,105,99,107,101,110,46,98,97,115,101,35,100,105,115,106,111,105,110,32,46,32,112,114,101,100,115,41,0,0};
static C_char C_TLS li152[] C_aligned={C_lihdr(0,0,12),40,102,95,57,52,55,50,32,46,32,95,41,0,0,0,0};
static C_char C_TLS li153[] C_aligned={C_lihdr(0,0,12),40,102,95,57,52,55,52,32,46,32,95,41,0,0,0,0};
static C_char C_TLS li154[] C_aligned={C_lihdr(0,0,30),40,99,104,105,99,107,101,110,46,98,97,115,101,35,99,111,110,115,116,97,110,116,108,121,32,46,32,120,115,41,0,0};
static C_char C_TLS li155[] C_aligned={C_lihdr(0,0,12),40,102,95,57,52,56,52,32,120,32,121,41,0,0,0,0};
static C_char C_TLS li156[] C_aligned={C_lihdr(0,0,24),40,99,104,105,99,107,101,110,46,98,97,115,101,35,102,108,105,112,32,112,114,111,99,41};
static C_char C_TLS li157[] C_aligned={C_lihdr(0,0,15),40,102,95,57,52,57,50,32,46,32,97,114,103,115,41,0};
static C_char C_TLS li158[] C_aligned={C_lihdr(0,0,27),40,99,104,105,99,107,101,110,46,98,97,115,101,35,99,111,109,112,108,101,109,101,110,116,32,112,41,0,0,0,0,0};
static C_char C_TLS li159[] C_aligned={C_lihdr(0,0,7),40,97,57,53,49,56,41,0};
static C_char C_TLS li160[] C_aligned={C_lihdr(0,0,15),40,102,95,57,53,49,51,32,46,32,97,114,103,115,41,0};
static C_char C_TLS li161[] C_aligned={C_lihdr(0,0,14),40,114,101,99,32,102,48,32,46,32,102,110,115,41,0,0};
static C_char C_TLS li162[] C_aligned={C_lihdr(0,0,28),40,99,104,105,99,107,101,110,46,98,97,115,101,35,99,111,109,112,111,115,101,32,46,32,102,110,115,41,0,0,0,0};
static C_char C_TLS li163[] C_aligned={C_lihdr(0,0,10),40,102,95,57,53,54,52,32,120,41,0,0,0,0,0,0};
static C_char C_TLS li164[] C_aligned={C_lihdr(0,0,10),40,108,111,111,112,32,102,110,115,41,0,0,0,0,0,0};
static C_char C_TLS li165[] C_aligned={C_lihdr(0,0,22),40,99,104,105,99,107,101,110,46,98,97,115,101,35,111,32,46,32,102,110,115,41,0,0};
static C_char C_TLS li166[] C_aligned={C_lihdr(0,0,10),40,108,111,111,112,32,108,115,116,41,0,0,0,0,0,0};
static C_char C_TLS li167[] C_aligned={C_lihdr(0,0,12),40,102,95,57,53,55,57,32,108,115,116,41,0,0,0,0};
static C_char C_TLS li168[] C_aligned={C_lihdr(0,0,28),40,99,104,105,99,107,101,110,46,98,97,115,101,35,108,105,115,116,45,111,102,63,32,112,114,101,100,41,0,0,0,0};
static C_char C_TLS li169[] C_aligned={C_lihdr(0,0,12),40,102,95,57,54,50,57,32,46,32,95,41,0,0,0,0};
static C_char C_TLS li170[] C_aligned={C_lihdr(0,0,12),40,108,111,111,112,32,112,114,111,99,115,41,0,0,0,0};
static C_char C_TLS li171[] C_aligned={C_lihdr(0,0,15),40,102,95,57,54,52,51,32,46,32,97,114,103,115,41,0};
static C_char C_TLS li172[] C_aligned={C_lihdr(0,0,27),40,99,104,105,99,107,101,110,46,98,97,115,101,35,101,97,99,104,32,46,32,112,114,111,99,115,41,0,0,0,0,0};
static C_char C_TLS li173[] C_aligned={C_lihdr(0,0,22),40,99,104,105,99,107,101,110,46,98,97,115,101,35,97,116,111,109,63,32,120,41,0,0};
static C_char C_TLS li174[] C_aligned={C_lihdr(0,0,6),40,108,111,111,112,41,0,0};
static C_char C_TLS li175[] C_aligned={C_lihdr(0,0,24),40,99,104,105,99,107,101,110,46,98,97,115,101,35,116,97,105,108,63,32,120,32,121,41};
static C_char C_TLS li176[] C_aligned={C_lihdr(0,0,9),40,108,111,111,112,32,110,115,41,0,0,0,0,0,0,0};
static C_char C_TLS li177[] C_aligned={C_lihdr(0,0,32),40,99,104,105,99,107,101,110,46,98,97,115,101,35,105,110,116,101,114,115,112,101,114,115,101,32,108,115,116,32,120,41};
static C_char C_TLS li178[] C_aligned={C_lihdr(0,0,10),40,108,111,111,112,32,108,115,116,41,0,0,0,0,0,0};
static C_char C_TLS li179[] C_aligned={C_lihdr(0,0,26),40,99,104,105,99,107,101,110,46,98,97,115,101,35,98,117,116,108,97,115,116,32,108,115,116,41,0,0,0,0,0,0};
static C_char C_TLS li180[] C_aligned={C_lihdr(0,0,17),40,108,111,111,112,32,108,105,115,116,115,32,114,101,115,116,41,0,0,0,0,0,0,0};
static C_char C_TLS li181[] C_aligned={C_lihdr(0,0,31),40,99,104,105,99,107,101,110,46,98,97,115,101,35,102,108,97,116,116,101,110,32,46,32,108,105,115,116,115,48,41,0};
static C_char C_TLS li182[] C_aligned={C_lihdr(0,0,11),40,108,111,111,112,32,108,115,116,115,41,0,0,0,0,0};
static C_char C_TLS li183[] C_aligned={C_lihdr(0,0,30),40,99,104,105,99,107,101,110,46,98,97,115,101,35,106,111,105,110,32,108,115,116,115,32,46,32,108,115,116,41,0,0};
static C_char C_TLS li184[] C_aligned={C_lihdr(0,0,15),40,108,111,111,112,32,98,108,115,116,32,108,115,116,41,0};
static C_char C_TLS li185[] C_aligned={C_lihdr(0,0,32),40,99,104,105,99,107,101,110,46,98,97,115,101,35,99,111,109,112,114,101,115,115,32,98,108,115,116,32,108,115,116,41};
static C_char C_TLS li186[] C_aligned={C_lihdr(0,0,10),40,108,111,111,112,32,108,115,116,41,0,0,0,0,0,0};
static C_char C_TLS li187[] C_aligned={C_lihdr(0,0,14),40,102,95,57,57,57,48,32,120,32,108,115,116,41,0,0};
static C_char C_TLS li188[] C_aligned={C_lihdr(0,0,43),40,99,104,105,99,107,101,110,46,98,97,115,101,35,97,108,105,115,116,45,117,112,100,97,116,101,33,32,120,32,121,32,108,115,116,32,46,32,114,101,115,116,41,0,0,0,0,0};
static C_char C_TLS li189[] C_aligned={C_lihdr(0,0,10),40,108,111,111,112,32,108,115,116,41,0,0,0,0,0,0};
static C_char C_TLS li190[] C_aligned={C_lihdr(0,0,42),40,99,104,105,99,107,101,110,46,98,97,115,101,35,97,108,105,115,116,45,117,112,100,97,116,101,32,107,32,118,32,108,115,116,32,46,32,114,101,115,116,41,0,0,0,0,0,0};
static C_char C_TLS li191[] C_aligned={C_lihdr(0,0,10),40,108,111,111,112,32,108,115,116,41,0,0,0,0,0,0};
static C_char C_TLS li192[] C_aligned={C_lihdr(0,0,15),40,102,95,49,48,49,56,50,32,120,32,108,115,116,41,0};
static C_char C_TLS li193[] C_aligned={C_lihdr(0,0,37),40,99,104,105,99,107,101,110,46,98,97,115,101,35,97,108,105,115,116,45,114,101,102,32,120,32,108,115,116,32,46,32,114,101,115,116,41,0,0,0};
static C_char C_TLS li194[] C_aligned={C_lihdr(0,0,8),40,108,111,111,112,32,108,41};
static C_char C_TLS li195[] C_aligned={C_lihdr(0,0,33),40,99,104,105,99,107,101,110,46,98,97,115,101,35,114,97,115,115,111,99,32,120,32,108,115,116,32,46,32,116,115,116,41,0,0,0,0,0,0,0};
static C_char C_TLS li196[] C_aligned={C_lihdr(0,0,24),40,99,104,105,99,107,101,110,46,102,105,120,110,117,109,35,102,120,43,32,120,32,121,41};
static C_char C_TLS li197[] C_aligned={C_lihdr(0,0,24),40,99,104,105,99,107,101,110,46,102,105,120,110,117,109,35,102,120,45,32,120,32,121,41};
static C_char C_TLS li198[] C_aligned={C_lihdr(0,0,24),40,99,104,105,99,107,101,110,46,102,105,120,110,117,109,35,102,120,42,32,120,32,121,41};
static C_char C_TLS li199[] C_aligned={C_lihdr(0,0,24),40,99,104,105,99,107,101,110,46,102,105,120,110,117,109,35,102,120,61,32,120,32,121,41};
static C_char C_TLS li200[] C_aligned={C_lihdr(0,0,24),40,99,104,105,99,107,101,110,46,102,105,120,110,117,109,35,102,120,62,32,120,32,121,41};
static C_char C_TLS li201[] C_aligned={C_lihdr(0,0,24),40,99,104,105,99,107,101,110,46,102,105,120,110,117,109,35,102,120,60,32,120,32,121,41};
static C_char C_TLS li202[] C_aligned={C_lihdr(0,0,25),40,99,104,105,99,107,101,110,46,102,105,120,110,117,109,35,102,120,62,61,32,120,32,121,41,0,0,0,0,0,0,0};
static C_char C_TLS li203[] C_aligned={C_lihdr(0,0,25),40,99,104,105,99,107,101,110,46,102,105,120,110,117,109,35,102,120,60,61,32,120,32,121,41,0,0,0,0,0,0,0};
static C_char C_TLS li204[] C_aligned={C_lihdr(0,0,26),40,99,104,105,99,107,101,110,46,102,105,120,110,117,109,35,102,120,109,105,110,32,120,32,121,41,0,0,0,0,0,0};
static C_char C_TLS li205[] C_aligned={C_lihdr(0,0,26),40,99,104,105,99,107,101,110,46,102,105,120,110,117,109,35,102,120,109,97,120,32,120,32,121,41,0,0,0,0,0,0};
static C_char C_TLS li206[] C_aligned={C_lihdr(0,0,24),40,99,104,105,99,107,101,110,46,102,105,120,110,117,109,35,102,120,110,101,103,32,120,41};
static C_char C_TLS li207[] C_aligned={C_lihdr(0,0,26),40,99,104,105,99,107,101,110,46,102,105,120,110,117,109,35,102,120,97,110,100,32,120,32,121,41,0,0,0,0,0,0};
static C_char C_TLS li208[] C_aligned={C_lihdr(0,0,26),40,99,104,105,99,107,101,110,46,102,105,120,110,117,109,35,102,120,105,111,114,32,120,32,121,41,0,0,0,0,0,0};
static C_char C_TLS li209[] C_aligned={C_lihdr(0,0,26),40,99,104,105,99,107,101,110,46,102,105,120,110,117,109,35,102,120,120,111,114,32,120,32,121,41,0,0,0,0,0,0};
static C_char C_TLS li210[] C_aligned={C_lihdr(0,0,24),40,99,104,105,99,107,101,110,46,102,105,120,110,117,109,35,102,120,110,111,116,32,120,41};
static C_char C_TLS li211[] C_aligned={C_lihdr(0,0,26),40,99,104,105,99,107,101,110,46,102,105,120,110,117,109,35,102,120,115,104,108,32,120,32,121,41,0,0,0,0,0,0};
static C_char C_TLS li212[] C_aligned={C_lihdr(0,0,26),40,99,104,105,99,107,101,110,46,102,105,120,110,117,109,35,102,120,115,104,114,32,120,32,121,41,0,0,0,0,0,0};
static C_char C_TLS li213[] C_aligned={C_lihdr(0,0,25),40,99,104,105,99,107,101,110,46,102,105,120,110,117,109,35,102,120,111,100,100,63,32,120,41,0,0,0,0,0,0,0};
static C_char C_TLS li214[] C_aligned={C_lihdr(0,0,26),40,99,104,105,99,107,101,110,46,102,105,120,110,117,109,35,102,120,101,118,101,110,63,32,120,41,0,0,0,0,0,0};
static C_char C_TLS li215[] C_aligned={C_lihdr(0,0,24),40,99,104,105,99,107,101,110,46,102,105,120,110,117,109,35,102,120,108,101,110,32,120,41};
static C_char C_TLS li216[] C_aligned={C_lihdr(0,0,24),40,99,104,105,99,107,101,110,46,102,105,120,110,117,109,35,102,120,47,32,120,32,121,41};
static C_char C_TLS li217[] C_aligned={C_lihdr(0,0,26),40,99,104,105,99,107,101,110,46,102,105,120,110,117,109,35,102,120,103,99,100,32,120,32,121,41,0,0,0,0,0,0};
static C_char C_TLS li218[] C_aligned={C_lihdr(0,0,26),40,99,104,105,99,107,101,110,46,102,105,120,110,117,109,35,102,120,109,111,100,32,120,32,121,41,0,0,0,0,0,0};
static C_char C_TLS li219[] C_aligned={C_lihdr(0,0,26),40,99,104,105,99,107,101,110,46,102,105,120,110,117,109,35,102,120,114,101,109,32,120,32,121,41,0,0,0,0,0,0};
static C_char C_TLS li220[] C_aligned={C_lihdr(0,0,25),40,99,104,105,99,107,101,110,46,102,105,120,110,117,109,35,102,120,43,63,32,120,32,121,41,0,0,0,0,0,0,0};
static C_char C_TLS li221[] C_aligned={C_lihdr(0,0,25),40,99,104,105,99,107,101,110,46,102,105,120,110,117,109,35,102,120,45,63,32,120,32,121,41,0,0,0,0,0,0,0};
static C_char C_TLS li222[] C_aligned={C_lihdr(0,0,25),40,99,104,105,99,107,101,110,46,102,105,120,110,117,109,35,102,120,42,63,32,120,32,121,41,0,0,0,0,0,0,0};
static C_char C_TLS li223[] C_aligned={C_lihdr(0,0,25),40,99,104,105,99,107,101,110,46,102,105,120,110,117,109,35,102,120,47,63,32,120,32,121,41,0,0,0,0,0,0,0};
static C_char C_TLS li224[] C_aligned={C_lihdr(0,0,19),40,35,35,115,121,115,35,100,101,98,117,103,45,109,111,100,101,63,41,0,0,0,0,0};
static C_char C_TLS li225[] C_aligned={C_lihdr(0,0,33),40,99,104,105,99,107,101,110,46,98,97,115,101,35,119,97,114,110,105,110,103,32,109,115,103,32,46,32,97,114,103,115,41,0,0,0,0,0,0,0};
static C_char C_TLS li226[] C_aligned={C_lihdr(0,0,32),40,99,104,105,99,107,101,110,46,98,97,115,101,35,110,111,116,105,99,101,32,109,115,103,32,46,32,97,114,103,115,41};
static C_char C_TLS li227[] C_aligned={C_lihdr(0,0,37),40,99,104,105,99,107,101,110,46,98,97,115,101,35,101,110,97,98,108,101,45,119,97,114,110,105,110,103,115,32,46,32,98,111,111,108,41,0,0,0};
static C_char C_TLS li228[] C_aligned={C_lihdr(0,0,4),67,95,103,99,0,0,0,0};
static C_char C_TLS li229[] C_aligned={C_lihdr(0,0,21),40,35,35,115,121,115,35,115,101,116,115,108,111,116,32,120,32,105,32,121,41,0,0,0};
static C_char C_TLS li230[] C_aligned={C_lihdr(0,0,22),40,35,35,115,121,115,35,115,101,116,105,115,108,111,116,32,120,32,105,32,121,41,0,0};
static C_char C_TLS li231[] C_aligned={C_lihdr(0,0,17),67,95,97,108,108,111,99,97,116,101,95,118,101,99,116,111,114,0,0,0,0,0,0,0};
static C_char C_TLS li232[] C_aligned={C_lihdr(0,0,16),67,95,109,97,107,101,95,115,116,114,117,99,116,117,114,101};
static C_char C_TLS li233[] C_aligned={C_lihdr(0,0,21),67,95,101,110,115,117,114,101,95,104,101,97,112,95,114,101,115,101,114,118,101,0,0,0};
static C_char C_TLS li234[] C_aligned={C_lihdr(0,0,23),67,95,103,101,116,95,115,121,109,98,111,108,95,116,97,98,108,101,95,105,110,102,111,0};
static C_char C_TLS li235[] C_aligned={C_lihdr(0,0,17),67,95,103,101,116,95,109,101,109,111,114,121,95,105,110,102,111,0,0,0,0,0,0,0};
static C_char C_TLS li236[] C_aligned={C_lihdr(0,0,19),40,35,35,115,121,115,35,115,116,97,114,116,45,116,105,109,101,114,41,0,0,0,0,0};
static C_char C_TLS li237[] C_aligned={C_lihdr(0,0,12),67,95,115,116,111,112,95,116,105,109,101,114,0,0,0,0};
static C_char C_TLS li238[] C_aligned={C_lihdr(0,0,12),67,95,115,116,111,112,95,116,105,109,101,114,0,0,0,0};
static C_char C_TLS li239[] C_aligned={C_lihdr(0,0,18),40,35,35,115,121,115,35,115,116,111,112,45,116,105,109,101,114,41,0,0,0,0,0,0};
static C_char C_TLS li240[] C_aligned={C_lihdr(0,0,20),40,35,35,115,121,115,35,105,109,109,101,100,105,97,116,101,63,32,120,41,0,0,0,0};
static C_char C_TLS li241[] C_aligned={C_lihdr(0,0,19),40,35,35,115,121,115,35,109,101,115,115,97,103,101,32,115,116,114,41,0,0,0,0,0};
static C_char C_TLS li242[] C_aligned={C_lihdr(0,0,16),40,35,35,115,121,115,35,98,121,116,101,32,120,32,105,41};
static C_char C_TLS li243[] C_aligned={C_lihdr(0,0,21),40,35,35,115,121,115,35,115,101,116,98,121,116,101,32,120,32,105,32,110,41,0,0,0};
static C_char C_TLS li244[] C_aligned={C_lihdr(0,0,16),40,35,35,115,121,115,35,104,97,108,116,32,109,115,103,41};
static C_char C_TLS li245[] C_aligned={C_lihdr(0,0,8),67,95,98,101,99,111,109,101};
static C_char C_TLS li246[] C_aligned={C_lihdr(0,0,21),40,35,35,115,121,115,35,98,108,111,99,107,45,114,101,102,32,120,32,105,41,0,0,0};
static C_char C_TLS li247[] C_aligned={C_lihdr(0,0,14),67,95,97,112,112,108,121,95,118,97,108,117,101,115,0,0};
static C_char C_TLS li248[] C_aligned={C_lihdr(0,0,14),67,95,99,111,112,121,95,99,108,111,115,117,114,101,0,0};
static C_char C_TLS li249[] C_aligned={C_lihdr(0,0,24),40,35,35,115,121,115,35,98,108,111,99,107,45,115,101,116,33,32,120,32,105,32,121,41};
static C_char C_TLS li250[] C_aligned={C_lihdr(0,0,35),40,99,104,105,99,107,101,110,46,116,105,109,101,35,99,117,114,114,101,110,116,45,109,105,108,108,105,115,101,99,111,110,100,115,41,0,0,0,0,0};
static C_char C_TLS li251[] C_aligned={C_lihdr(0,0,30),40,99,104,105,99,107,101,110,46,116,105,109,101,35,99,117,114,114,101,110,116,45,115,101,99,111,110,100,115,41,0,0};
static C_char C_TLS li252[] C_aligned={C_lihdr(0,0,23),40,99,104,105,99,107,101,110,46,116,105,109,101,35,99,112,117,45,116,105,109,101,41,0};
static C_char C_TLS li253[] C_aligned={C_lihdr(0,0,33),40,35,35,115,121,115,35,99,104,101,99,107,45,115,116,114,117,99,116,117,114,101,32,120,32,121,32,46,32,108,111,99,41,0,0,0,0,0,0,0};
static C_char C_TLS li254[] C_aligned={C_lihdr(0,0,26),40,35,35,115,121,115,35,99,104,101,99,107,45,98,108,111,98,32,120,32,46,32,108,111,99,41,0,0,0,0,0,0};
static C_char C_TLS li255[] C_aligned={C_lihdr(0,0,26),40,35,35,115,121,115,35,99,104,101,99,107,45,112,97,105,114,32,120,32,46,32,108,111,99,41,0,0,0,0,0,0};
static C_char C_TLS li256[] C_aligned={C_lihdr(0,0,26),40,35,35,115,121,115,35,99,104,101,99,107,45,108,105,115,116,32,120,32,46,32,108,111,99,41,0,0,0,0,0,0};
static C_char C_TLS li257[] C_aligned={C_lihdr(0,0,28),40,35,35,115,121,115,35,99,104,101,99,107,45,115,116,114,105,110,103,32,120,32,46,32,108,111,99,41,0,0,0,0};
static C_char C_TLS li258[] C_aligned={C_lihdr(0,0,28),40,35,35,115,121,115,35,99,104,101,99,107,45,110,117,109,98,101,114,32,120,32,46,32,108,111,99,41,0,0,0,0};
static C_char C_TLS li259[] C_aligned={C_lihdr(0,0,28),40,35,35,115,121,115,35,99,104,101,99,107,45,102,105,120,110,117,109,32,120,32,46,32,108,111,99,41,0,0,0,0};
static C_char C_TLS li260[] C_aligned={C_lihdr(0,0,27),40,35,35,115,121,115,35,99,104,101,99,107,45,101,120,97,99,116,32,120,32,46,32,108,111,99,41,0,0,0,0,0};
static C_char C_TLS li261[] C_aligned={C_lihdr(0,0,29),40,35,35,115,121,115,35,99,104,101,99,107,45,105,110,101,120,97,99,116,32,120,32,46,32,108,111,99,41,0,0,0};
static C_char C_TLS li262[] C_aligned={C_lihdr(0,0,28),40,35,35,115,121,115,35,99,104,101,99,107,45,115,121,109,98,111,108,32,120,32,46,32,108,111,99,41,0,0,0,0};
static C_char C_TLS li263[] C_aligned={C_lihdr(0,0,28),40,35,35,115,121,115,35,99,104,101,99,107,45,118,101,99,116,111,114,32,120,32,46,32,108,111,99,41,0,0,0,0};
static C_char C_TLS li264[] C_aligned={C_lihdr(0,0,26),40,35,35,115,121,115,35,99,104,101,99,107,45,99,104,97,114,32,120,32,46,32,108,111,99,41,0,0,0,0,0,0};
static C_char C_TLS li265[] C_aligned={C_lihdr(0,0,29),40,35,35,115,121,115,35,99,104,101,99,107,45,98,111,111,108,101,97,110,32,120,32,46,32,108,111,99,41,0,0,0};
static C_char C_TLS li266[] C_aligned={C_lihdr(0,0,30),40,35,35,115,121,115,35,99,104,101,99,107,45,108,111,99,97,116,105,118,101,32,120,32,46,32,108,111,99,41,0,0};
static C_char C_TLS li267[] C_aligned={C_lihdr(0,0,29),40,35,35,115,121,115,35,99,104,101,99,107,45,105,110,116,101,103,101,114,32,120,32,46,32,108,111,99,41,0,0,0};
static C_char C_TLS li268[] C_aligned={C_lihdr(0,0,35),40,35,35,115,121,115,35,99,104,101,99,107,45,101,120,97,99,116,45,105,110,116,101,103,101,114,32,120,32,46,32,108,111,99,41,0,0,0,0,0};
static C_char C_TLS li269[] C_aligned={C_lihdr(0,0,36),40,35,35,115,121,115,35,99,104,101,99,107,45,101,120,97,99,116,45,117,105,110,116,101,103,101,114,32,120,32,46,32,108,111,99,41,0,0,0,0};
static C_char C_TLS li270[] C_aligned={C_lihdr(0,0,26),40,35,35,115,121,115,35,99,104,101,99,107,45,114,101,97,108,32,120,32,46,32,108,111,99,41,0,0,0,0,0,0};
static C_char C_TLS li271[] C_aligned={C_lihdr(0,0,35),40,35,35,115,121,115,35,99,104,101,99,107,45,114,97,110,103,101,32,105,32,102,114,111,109,32,116,111,32,46,32,108,111,99,41,0,0,0,0,0};
static C_char C_TLS li272[] C_aligned={C_lihdr(0,0,31),40,35,35,115,121,115,35,99,104,101,99,107,45,115,112,101,99,105,97,108,32,112,116,114,32,46,32,108,111,99,41,0};
static C_char C_TLS li273[] C_aligned={C_lihdr(0,0,29),40,35,35,115,121,115,35,99,104,101,99,107,45,99,108,111,115,117,114,101,32,120,32,46,32,108,111,99,41,0,0,0};
static C_char C_TLS li274[] C_aligned={C_lihdr(0,0,20),40,108,112,32,112,114,111,109,105,115,101,32,102,111,114,119,97,114,100,41,0,0,0,0};
static C_char C_TLS li275[] C_aligned={C_lihdr(0,0,18),40,115,99,104,101,109,101,35,102,111,114,99,101,32,111,98,106,41,0,0,0,0,0,0};
static C_char C_TLS li276[] C_aligned={C_lihdr(0,0,7),67,95,100,108,111,97,100,0};
static C_char C_TLS li277[] C_aligned={C_lihdr(0,0,18),67,95,115,101,116,95,100,108,111,112,101,110,95,102,108,97,103,115,0,0,0,0,0,0};
static C_char C_TLS li278[] C_aligned={C_lihdr(0,0,42),40,35,35,115,121,115,35,101,114,114,111,114,45,110,111,116,45,97,45,112,114,111,112,101,114,45,108,105,115,116,32,97,114,103,32,46,32,114,101,115,116,41,0,0,0,0,0,0};
static C_char C_TLS li279[] C_aligned={C_lihdr(0,0,35),40,35,35,115,121,115,35,101,114,114,111,114,45,98,97,100,45,110,117,109,98,101,114,32,97,114,103,32,46,32,114,101,115,116,41,0,0,0,0,0};
static C_char C_TLS li280[] C_aligned={C_lihdr(0,0,36),40,35,35,115,121,115,35,101,114,114,111,114,45,98,97,100,45,105,110,116,101,103,101,114,32,97,114,103,32,46,32,114,101,115,116,41,0,0,0,0};
static C_char C_TLS li281[] C_aligned={C_lihdr(0,0,42),40,35,35,115,121,115,35,101,114,114,111,114,45,98,97,100,45,101,120,97,99,116,45,105,110,116,101,103,101,114,32,97,114,103,32,46,32,114,101,115,116,41,0,0,0,0,0,0};
static C_char C_TLS li282[] C_aligned={C_lihdr(0,0,43),40,35,35,115,121,115,35,101,114,114,111,114,45,98,97,100,45,101,120,97,99,116,45,117,105,110,116,101,103,101,114,32,97,114,103,32,46,32,114,101,115,116,41,0,0,0,0,0};
static C_char C_TLS li283[] C_aligned={C_lihdr(0,0,36),40,35,35,115,121,115,35,101,114,114,111,114,45,98,97,100,45,105,110,101,120,97,99,116,32,97,114,103,32,46,32,114,101,115,116,41,0,0,0,0};
static C_char C_TLS li284[] C_aligned={C_lihdr(0,0,33),40,35,35,115,121,115,35,101,114,114,111,114,45,98,97,100,45,114,101,97,108,32,97,114,103,32,46,32,114,101,115,116,41,0,0,0,0,0,0,0};
static C_char C_TLS li285[] C_aligned={C_lihdr(0,0,33),40,35,35,115,121,115,35,101,114,114,111,114,45,98,97,100,45,98,97,115,101,32,97,114,103,32,46,32,114,101,115,116,41,0,0,0,0,0,0,0};
static C_char C_TLS li286[] C_aligned={C_lihdr(0,0,11),40,99,111,112,121,32,110,111,100,101,41,0,0,0,0,0};
static C_char C_TLS li287[] C_aligned={C_lihdr(0,0,11),40,108,111,111,112,32,108,115,116,115,41,0,0,0,0,0};
static C_char C_TLS li288[] C_aligned={C_lihdr(0,0,22),40,115,99,104,101,109,101,35,97,112,112,101,110,100,32,46,32,108,115,116,115,41,0,0};
static C_char C_TLS li289[] C_aligned={C_lihdr(0,0,15),40,108,111,111,112,32,108,115,116,32,114,101,115,116,41,0};
static C_char C_TLS li290[] C_aligned={C_lihdr(0,0,25),40,35,35,115,121,115,35,102,97,115,116,45,114,101,118,101,114,115,101,32,108,115,116,48,41,0,0,0,0,0,0,0};
static C_char C_TLS li291[] C_aligned={C_lihdr(0,0,31),40,35,35,115,121,115,35,109,97,107,101,45,115,116,114,105,110,103,32,115,105,122,101,32,46,32,114,101,115,116,41,0};
static C_char C_TLS li292[] C_aligned={C_lihdr(0,0,32),40,115,99,104,101,109,101,35,109,97,107,101,45,115,116,114,105,110,103,32,115,105,122,101,32,46,32,102,105,108,108,41};
static C_char C_TLS li293[] C_aligned={C_lihdr(0,0,11),40,108,111,111,112,32,105,32,108,115,41,0,0,0,0,0};
static C_char C_TLS li294[] C_aligned={C_lihdr(0,0,23),40,115,99,104,101,109,101,35,115,116,114,105,110,103,45,62,108,105,115,116,32,115,41,0};
static C_char C_TLS li295[] C_aligned={C_lihdr(0,0,16),40,100,111,108,111,111,112,49,53,49,57,32,108,115,116,41};
static C_char C_TLS li296[] C_aligned={C_lihdr(0,0,26),40,115,99,104,101,109,101,35,108,105,115,116,45,62,115,116,114,105,110,103,32,108,115,116,48,41,0,0,0,0,0,0};
static C_char C_TLS li297[] C_aligned={C_lihdr(0,0,9),40,105,116,101,114,32,110,50,41,0,0,0,0,0,0,0};
static C_char C_TLS li298[] C_aligned={C_lihdr(0,0,30),40,35,35,115,121,115,35,114,101,118,101,114,115,101,45,108,105,115,116,45,62,115,116,114,105,110,103,32,108,41,0,0};
static C_char C_TLS li299[] C_aligned={C_lihdr(0,0,25),40,115,99,104,101,109,101,35,115,116,114,105,110,103,45,102,105,108,108,33,32,115,32,99,41,0,0,0,0,0,0,0};
static C_char C_TLS li300[] C_aligned={C_lihdr(0,0,22),40,115,99,104,101,109,101,35,115,116,114,105,110,103,45,99,111,112,121,32,115,41,0,0};
static C_char C_TLS li301[] C_aligned={C_lihdr(0,0,32),40,115,99,104,101,109,101,35,115,117,98,115,116,114,105,110,103,32,115,32,115,116,97,114,116,32,46,32,101,110,100,41};
static C_char C_TLS li302[] C_aligned={C_lihdr(0,0,29),40,35,35,115,121,115,35,115,117,98,115,116,114,105,110,103,32,115,32,115,116,97,114,116,32,101,110,100,41,0,0,0};
static C_char C_TLS li303[] C_aligned={C_lihdr(0,0,25),40,99,111,109,112,97,114,101,49,53,55,50,32,115,49,32,115,50,32,108,111,99,32,107,41,0,0,0,0,0,0,0};
static C_char C_TLS li304[] C_aligned={C_lihdr(0,0,22),40,97,49,49,53,49,55,32,108,101,110,49,32,108,101,110,50,32,99,109,112,41,0,0};
static C_char C_TLS li305[] C_aligned={C_lihdr(0,0,23),40,115,99,104,101,109,101,35,115,116,114,105,110,103,60,63,32,115,49,32,115,50,41,0};
static C_char C_TLS li306[] C_aligned={C_lihdr(0,0,22),40,97,49,49,53,52,49,32,108,101,110,49,32,108,101,110,50,32,99,109,112,41,0,0};
static C_char C_TLS li307[] C_aligned={C_lihdr(0,0,23),40,115,99,104,101,109,101,35,115,116,114,105,110,103,62,63,32,115,49,32,115,50,41,0};
static C_char C_TLS li308[] C_aligned={C_lihdr(0,0,22),40,97,49,49,53,54,53,32,108,101,110,49,32,108,101,110,50,32,99,109,112,41,0,0};
static C_char C_TLS li309[] C_aligned={C_lihdr(0,0,24),40,115,99,104,101,109,101,35,115,116,114,105,110,103,60,61,63,32,115,49,32,115,50,41};
static C_char C_TLS li310[] C_aligned={C_lihdr(0,0,22),40,97,49,49,53,56,54,32,108,101,110,49,32,108,101,110,50,32,99,109,112,41,0,0};
static C_char C_TLS li311[] C_aligned={C_lihdr(0,0,24),40,115,99,104,101,109,101,35,115,116,114,105,110,103,62,61,63,32,115,49,32,115,50,41};
static C_char C_TLS li312[] C_aligned={C_lihdr(0,0,25),40,99,111,109,112,97,114,101,49,54,49,53,32,115,49,32,115,50,32,108,111,99,32,107,41,0,0,0,0,0,0,0};
static C_char C_TLS li313[] C_aligned={C_lihdr(0,0,22),40,97,49,49,54,50,55,32,108,101,110,49,32,108,101,110,50,32,99,109,112,41,0,0};
static C_char C_TLS li314[] C_aligned={C_lihdr(0,0,26),40,115,99,104,101,109,101,35,115,116,114,105,110,103,45,99,105,60,63,32,115,49,32,115,50,41,0,0,0,0,0,0};
static C_char C_TLS li315[] C_aligned={C_lihdr(0,0,22),40,97,49,49,54,53,49,32,108,101,110,49,32,108,101,110,50,32,99,109,112,41,0,0};
static C_char C_TLS li316[] C_aligned={C_lihdr(0,0,26),40,115,99,104,101,109,101,35,115,116,114,105,110,103,45,99,105,62,63,32,115,49,32,115,50,41,0,0,0,0,0,0};
static C_char C_TLS li317[] C_aligned={C_lihdr(0,0,22),40,97,49,49,54,55,53,32,108,101,110,49,32,108,101,110,50,32,99,109,112,41,0,0};
static C_char C_TLS li318[] C_aligned={C_lihdr(0,0,27),40,115,99,104,101,109,101,35,115,116,114,105,110,103,45,99,105,60,61,63,32,115,49,32,115,50,41,0,0,0,0,0};
static C_char C_TLS li319[] C_aligned={C_lihdr(0,0,22),40,97,49,49,54,57,54,32,108,101,110,49,32,108,101,110,50,32,99,109,112,41,0,0};
static C_char C_TLS li320[] C_aligned={C_lihdr(0,0,27),40,115,99,104,101,109,101,35,115,116,114,105,110,103,45,99,105,62,61,63,32,115,49,32,115,50,41,0,0,0,0,0};
static C_char C_TLS li321[] C_aligned={C_lihdr(0,0,25),40,35,35,115,121,115,35,115,116,114,105,110,103,45,97,112,112,101,110,100,32,120,32,121,41,0,0,0,0,0,0,0};
static C_char C_TLS li322[] C_aligned={C_lihdr(0,0,13),40,108,111,111,112,32,115,116,114,115,32,110,41,0,0,0};
static C_char C_TLS li323[] C_aligned={C_lihdr(0,0,28),40,115,99,104,101,109,101,35,115,116,114,105,110,103,45,97,112,112,101,110,100,32,46,32,97,108,108,41,0,0,0,0};
static C_char C_TLS li324[] C_aligned={C_lihdr(0,0,23),40,115,99,104,101,109,101,35,115,116,114,105,110,103,32,46,32,99,104,97,114,115,41,0};
static C_char C_TLS li325[] C_aligned={C_lihdr(0,0,10),40,108,111,111,112,32,112,111,115,41,0,0,0,0,0,0};
static C_char C_TLS li326[] C_aligned={C_lihdr(0,0,34),40,35,35,115,121,115,35,102,114,97,103,109,101,110,116,115,45,62,115,116,114,105,110,103,32,116,111,116,97,108,32,102,115,41,0,0,0,0,0,0};
static C_char C_TLS li327[] C_aligned={C_lihdr(0,0,20),40,100,111,108,111,111,112,49,55,48,48,32,104,100,32,116,108,32,99,41,0,0,0,0};
static C_char C_TLS li328[] C_aligned={C_lihdr(0,0,12),40,108,111,111,112,32,108,115,116,32,105,41,0,0,0,0};
static C_char C_TLS li329[] C_aligned={C_lihdr(0,0,25),40,99,104,105,99,107,101,110,46,98,97,115,101,35,99,104,111,112,32,108,115,116,32,110,41,0,0,0,0,0,0,0};
static C_char C_TLS li330[] C_aligned={C_lihdr(0,0,24),40,99,104,105,99,107,101,110,46,102,108,111,110,117,109,35,102,112,43,32,120,32,121,41};
static C_char C_TLS li331[] C_aligned={C_lihdr(0,0,24),40,99,104,105,99,107,101,110,46,102,108,111,110,117,109,35,102,112,45,32,120,32,121,41};
static C_char C_TLS li332[] C_aligned={C_lihdr(0,0,24),40,99,104,105,99,107,101,110,46,102,108,111,110,117,109,35,102,112,42,32,120,32,121,41};
static C_char C_TLS li333[] C_aligned={C_lihdr(0,0,24),40,99,104,105,99,107,101,110,46,102,108,111,110,117,109,35,102,112,47,32,120,32,121,41};
static C_char C_TLS li334[] C_aligned={C_lihdr(0,0,26),40,99,104,105,99,107,101,110,46,102,108,111,110,117,109,35,102,112,103,99,100,32,120,32,121,41,0,0,0,0,0,0};
static C_char C_TLS li335[] C_aligned={C_lihdr(0,0,25),40,99,104,105,99,107,101,110,46,102,108,111,110,117,109,35,102,112,47,63,32,120,32,121,41,0,0,0,0,0,0,0};
static C_char C_TLS li336[] C_aligned={C_lihdr(0,0,24),40,99,104,105,99,107,101,110,46,102,108,111,110,117,109,35,102,112,61,32,120,32,121,41};
static C_char C_TLS li337[] C_aligned={C_lihdr(0,0,24),40,99,104,105,99,107,101,110,46,102,108,111,110,117,109,35,102,112,62,32,120,32,121,41};
static C_char C_TLS li338[] C_aligned={C_lihdr(0,0,24),40,99,104,105,99,107,101,110,46,102,108,111,110,117,109,35,102,112,60,32,120,32,121,41};
static C_char C_TLS li339[] C_aligned={C_lihdr(0,0,25),40,99,104,105,99,107,101,110,46,102,108,111,110,117,109,35,102,112,62,61,32,120,32,121,41,0,0,0,0,0,0,0};
static C_char C_TLS li340[] C_aligned={C_lihdr(0,0,25),40,99,104,105,99,107,101,110,46,102,108,111,110,117,109,35,102,112,60,61,32,120,32,121,41,0,0,0,0,0,0,0};
static C_char C_TLS li341[] C_aligned={C_lihdr(0,0,24),40,99,104,105,99,107,101,110,46,102,108,111,110,117,109,35,102,112,110,101,103,32,120,41};
static C_char C_TLS li342[] C_aligned={C_lihdr(0,0,26),40,99,104,105,99,107,101,110,46,102,108,111,110,117,109,35,102,112,109,97,120,32,120,32,121,41,0,0,0,0,0,0};
static C_char C_TLS li343[] C_aligned={C_lihdr(0,0,26),40,99,104,105,99,107,101,110,46,102,108,111,110,117,109,35,102,112,109,105,110,32,120,32,121,41,0,0,0,0,0,0};
static C_char C_TLS li344[] C_aligned={C_lihdr(0,0,26),40,99,104,105,99,107,101,110,46,102,108,111,110,117,109,35,102,112,102,108,111,111,114,32,120,41,0,0,0,0,0,0};
static C_char C_TLS li345[] C_aligned={C_lihdr(0,0,29),40,99,104,105,99,107,101,110,46,102,108,111,110,117,109,35,102,112,116,114,117,110,99,97,116,101,32,120,41,0,0,0};
static C_char C_TLS li346[] C_aligned={C_lihdr(0,0,26),40,99,104,105,99,107,101,110,46,102,108,111,110,117,109,35,102,112,114,111,117,110,100,32,120,41,0,0,0,0,0,0};
static C_char C_TLS li347[] C_aligned={C_lihdr(0,0,28),40,99,104,105,99,107,101,110,46,102,108,111,110,117,109,35,102,112,99,101,105,108,105,110,103,32,120,41,0,0,0,0};
static C_char C_TLS li348[] C_aligned={C_lihdr(0,0,24),40,99,104,105,99,107,101,110,46,102,108,111,110,117,109,35,102,112,115,105,110,32,120,41};
static C_char C_TLS li349[] C_aligned={C_lihdr(0,0,24),40,99,104,105,99,107,101,110,46,102,108,111,110,117,109,35,102,112,99,111,115,32,120,41};
static C_char C_TLS li350[] C_aligned={C_lihdr(0,0,24),40,99,104,105,99,107,101,110,46,102,108,111,110,117,109,35,102,112,116,97,110,32,120,41};
static C_char C_TLS li351[] C_aligned={C_lihdr(0,0,25),40,99,104,105,99,107,101,110,46,102,108,111,110,117,109,35,102,112,97,115,105,110,32,120,41,0,0,0,0,0,0,0};
static C_char C_TLS li352[] C_aligned={C_lihdr(0,0,25),40,99,104,105,99,107,101,110,46,102,108,111,110,117,109,35,102,112,97,99,111,115,32,120,41,0,0,0,0,0,0,0};
static C_char C_TLS li353[] C_aligned={C_lihdr(0,0,25),40,99,104,105,99,107,101,110,46,102,108,111,110,117,109,35,102,112,97,116,97,110,32,120,41,0,0,0,0,0,0,0};
static C_char C_TLS li354[] C_aligned={C_lihdr(0,0,28),40,99,104,105,99,107,101,110,46,102,108,111,110,117,109,35,102,112,97,116,97,110,50,32,120,32,121,41,0,0,0,0};
static C_char C_TLS li355[] C_aligned={C_lihdr(0,0,24),40,99,104,105,99,107,101,110,46,102,108,111,110,117,109,35,102,112,101,120,112,32,120,41};
static C_char C_TLS li356[] C_aligned={C_lihdr(0,0,27),40,99,104,105,99,107,101,110,46,102,108,111,110,117,109,35,102,112,101,120,112,116,32,120,32,121,41,0,0,0,0,0};
static C_char C_TLS li357[] C_aligned={C_lihdr(0,0,24),40,99,104,105,99,107,101,110,46,102,108,111,110,117,109,35,102,112,108,111,103,32,120,41};
static C_char C_TLS li358[] C_aligned={C_lihdr(0,0,25),40,99,104,105,99,107,101,110,46,102,108,111,110,117,109,35,102,112,115,113,114,116,32,120,41,0,0,0,0,0,0,0};
static C_char C_TLS li359[] C_aligned={C_lihdr(0,0,24),40,99,104,105,99,107,101,110,46,102,108,111,110,117,109,35,102,112,97,98,115,32,120,41};
static C_char C_TLS li360[] C_aligned={C_lihdr(0,0,29),40,99,104,105,99,107,101,110,46,102,108,111,110,117,109,35,102,112,105,110,116,101,103,101,114,63,32,120,41,0,0,0};
static C_char C_TLS li361[] C_aligned={C_lihdr(0,0,46),40,99,104,105,99,107,101,110,46,102,108,111,110,117,109,35,102,108,111,110,117,109,45,112,114,105,110,116,45,112,114,101,99,105,115,105,111,110,32,46,32,114,101,115,116,41,0,0};
static C_char C_TLS li362[] C_aligned={C_lihdr(0,0,18),40,109,97,107,101,45,99,111,109,112,108,101,120,32,114,32,105,41,0,0,0,0,0,0};
static C_char C_TLS li363[] C_aligned={C_lihdr(0,0,29),40,115,99,104,101,109,101,35,109,97,107,101,45,114,101,99,116,97,110,103,117,108,97,114,32,114,32,105,41,0,0,0};
static C_char C_TLS li364[] C_aligned={C_lihdr(0,0,25),40,115,99,104,101,109,101,35,109,97,107,101,45,112,111,108,97,114,32,114,32,112,104,105,41,0,0,0,0,0,0,0};
static C_char C_TLS li365[] C_aligned={C_lihdr(0,0,20),40,115,99,104,101,109,101,35,114,101,97,108,45,112,97,114,116,32,120,41,0,0,0,0};
static C_char C_TLS li366[] C_aligned={C_lihdr(0,0,20),40,115,99,104,101,109,101,35,105,109,97,103,45,112,97,114,116,32,120,41,0,0,0,0};
static C_char C_TLS li367[] C_aligned={C_lihdr(0,0,16),40,115,99,104,101,109,101,35,97,110,103,108,101,32,110,41};
static C_char C_TLS li368[] C_aligned={C_lihdr(0,0,20),40,115,99,104,101,109,101,35,109,97,103,110,105,116,117,100,101,32,120,41,0,0,0,0};
static C_char C_TLS li369[] C_aligned={C_lihdr(0,0,12),40,114,97,116,110,117,109,32,109,32,110,41,0,0,0,0};
static C_char C_TLS li370[] C_aligned={C_lihdr(0,0,20),40,115,99,104,101,109,101,35,110,117,109,101,114,97,116,111,114,32,110,41,0,0,0,0};
static C_char C_TLS li371[] C_aligned={C_lihdr(0,0,22),40,115,99,104,101,109,101,35,100,101,110,111,109,105,110,97,116,111,114,32,110,41,0,0};
static C_char C_TLS li372[] C_aligned={C_lihdr(0,0,25),40,35,35,115,121,115,35,101,120,116,101,110,100,101,100,45,115,105,103,110,117,109,32,120,41,0,0,0,0,0,0,0};
static C_char C_TLS li373[] C_aligned={C_lihdr(0,0,16),40,100,111,108,111,111,112,50,50,49,49,32,120,32,105,41};
static C_char C_TLS li374[] C_aligned={C_lihdr(0,0,13),40,100,101,108,105,118,101,114,32,121,32,100,41,0,0,0};
static C_char C_TLS li375[] C_aligned={C_lihdr(0,0,25),40,115,99,104,101,109,101,35,105,110,101,120,97,99,116,45,62,101,120,97,99,116,32,120,41,0,0,0,0,0,0,0};
static C_char C_TLS li376[] C_aligned={C_lihdr(0,0,13),67,95,98,105,116,119,105,115,101,95,97,110,100,0,0,0};
static C_char C_TLS li377[] C_aligned={C_lihdr(0,0,13),67,95,98,105,116,119,105,115,101,95,105,111,114,0,0,0};
static C_char C_TLS li378[] C_aligned={C_lihdr(0,0,13),67,95,98,105,116,119,105,115,101,95,120,111,114,0,0,0};
static C_char C_TLS li379[] C_aligned={C_lihdr(0,0,31),40,99,104,105,99,107,101,110,46,98,105,116,119,105,115,101,35,98,105,116,119,105,115,101,45,110,111,116,32,110,41,0};
static C_char C_TLS li380[] C_aligned={C_lihdr(0,0,34),40,99,104,105,99,107,101,110,46,98,105,116,119,105,115,101,35,98,105,116,45,62,98,111,111,108,101,97,110,32,110,32,105,41,0,0,0,0,0,0};
static C_char C_TLS li381[] C_aligned={C_lihdr(0,0,34),40,99,104,105,99,107,101,110,46,98,105,116,119,105,115,101,35,105,110,116,101,103,101,114,45,108,101,110,103,116,104,32,120,41,0,0,0,0,0,0};
static C_char C_TLS li382[] C_aligned={C_lihdr(0,0,38),40,99,104,105,99,107,101,110,46,98,105,116,119,105,115,101,35,97,114,105,116,104,109,101,116,105,99,45,115,104,105,102,116,32,110,32,109,41,0,0};
static C_char C_TLS li383[] C_aligned={C_lihdr(0,0,13),40,108,111,111,112,32,97,114,103,115,32,120,41,0,0,0};
static C_char C_TLS li384[] C_aligned={C_lihdr(0,0,22),40,115,99,104,101,109,101,35,47,32,97,114,103,49,32,46,32,97,114,103,115,41,0,0};
static C_char C_TLS li385[] C_aligned={C_lihdr(0,0,15),40,35,35,115,121,115,35,47,45,50,32,120,32,121,41,0};
static C_char C_TLS li386[] C_aligned={C_lihdr(0,0,16),40,115,99,104,101,109,101,35,102,108,111,111,114,32,120,41};
static C_char C_TLS li387[] C_aligned={C_lihdr(0,0,18),40,115,99,104,101,109,101,35,99,101,105,108,105,110,103,32,120,41,0,0,0,0,0,0};
static C_char C_TLS li388[] C_aligned={C_lihdr(0,0,19),40,115,99,104,101,109,101,35,116,114,117,110,99,97,116,101,32,120,41,0,0,0,0,0};
static C_char C_TLS li389[] C_aligned={C_lihdr(0,0,16),40,115,99,104,101,109,101,35,114,111,117,110,100,32,120,41};
static C_char C_TLS li390[] C_aligned={C_lihdr(0,0,8),40,115,114,32,120,32,121,41};
static C_char C_TLS li391[] C_aligned={C_lihdr(0,0,24),40,102,105,110,100,45,114,97,116,105,111,45,98,101,116,119,101,101,110,32,120,32,121,41};
static C_char C_TLS li392[] C_aligned={C_lihdr(0,0,24),40,115,99,104,101,109,101,35,114,97,116,105,111,110,97,108,105,122,101,32,120,32,101,41};
static C_char C_TLS li393[] C_aligned={C_lihdr(0,0,13),40,108,111,111,112,32,105,32,109,32,120,115,41,0,0,0};
static C_char C_TLS li394[] C_aligned={C_lihdr(0,0,20),40,115,99,104,101,109,101,35,109,97,120,32,120,49,32,46,32,120,115,41,0,0,0,0};
static C_char C_TLS li395[] C_aligned={C_lihdr(0,0,13),40,108,111,111,112,32,105,32,109,32,120,115,41,0,0,0};
static C_char C_TLS li396[] C_aligned={C_lihdr(0,0,20),40,115,99,104,101,109,101,35,109,105,110,32,120,49,32,46,32,120,115,41,0,0,0,0};
static C_char C_TLS li397[] C_aligned={C_lihdr(0,0,14),40,115,99,104,101,109,101,35,101,120,112,32,110,41,0,0};
static C_char C_TLS li398[] C_aligned={C_lihdr(0,0,15),40,35,35,115,121,115,35,108,111,103,45,49,32,120,41,0};
static C_char C_TLS li399[] C_aligned={C_lihdr(0,0,21),40,115,99,104,101,109,101,35,108,111,103,32,97,32,46,32,114,101,115,116,41,0,0,0};
static C_char C_TLS li400[] C_aligned={C_lihdr(0,0,14),40,115,99,104,101,109,101,35,115,105,110,32,110,41,0,0};
static C_char C_TLS li401[] C_aligned={C_lihdr(0,0,14),40,115,99,104,101,109,101,35,99,111,115,32,110,41,0,0};
static C_char C_TLS li402[] C_aligned={C_lihdr(0,0,14),40,115,99,104,101,109,101,35,116,97,110,32,110,41,0,0};
static C_char C_TLS li403[] C_aligned={C_lihdr(0,0,15),40,115,99,104,101,109,101,35,97,115,105,110,32,110,41,0};
static C_char C_TLS li404[] C_aligned={C_lihdr(0,0,15),40,115,99,104,101,109,101,35,97,99,111,115,32,110,41,0};
static C_char C_TLS li405[] C_aligned={C_lihdr(0,0,22),40,115,99,104,101,109,101,35,97,116,97,110,32,110,32,46,32,114,101,115,116,41,0,0};
static C_char C_TLS li406[] C_aligned={C_lihdr(0,0,8),40,97,49,52,50,48,54,41};
static C_char C_TLS li407[] C_aligned={C_lihdr(0,0,34),67,95,117,95,105,110,116,101,103,101,114,95,113,117,111,116,105,101,110,116,95,97,110,100,95,114,101,109,97,105,110,100,101,114,0,0,0,0,0,0};
static C_char C_TLS li408[] C_aligned={C_lihdr(0,0,8),40,97,49,52,50,51,55,41};
static C_char C_TLS li409[] C_aligned={C_lihdr(0,0,20),40,97,49,52,50,53,49,32,113,50,53,55,57,32,117,50,53,56,49,41,0,0,0,0};
static C_char C_TLS li410[] C_aligned={C_lihdr(0,0,22),40,97,49,52,50,49,56,32,115,94,50,53,53,57,32,114,94,50,53,54,49,41,0,0};
static C_char C_TLS li411[] C_aligned={C_lihdr(0,0,28),40,35,35,115,121,115,35,101,120,97,99,116,45,105,110,116,101,103,101,114,45,115,113,114,116,32,97,41,0,0,0,0};
static C_char C_TLS li412[] C_aligned={C_lihdr(0,0,35),40,99,104,105,99,107,101,110,46,98,97,115,101,35,101,120,97,99,116,45,105,110,116,101,103,101,114,45,115,113,114,116,32,120,41,0,0,0,0,0};
static C_char C_TLS li413[] C_aligned={C_lihdr(0,0,8),40,97,49,52,51,54,52,41};
static C_char C_TLS li414[] C_aligned={C_lihdr(0,0,14),40,97,49,52,51,55,48,32,115,94,50,32,114,41,0,0};
static C_char C_TLS li415[] C_aligned={C_lihdr(0,0,8),40,97,49,52,51,57,50,41};
static C_char C_TLS li416[] C_aligned={C_lihdr(0,0,8),40,97,49,52,52,49,54,41};
static C_char C_TLS li417[] C_aligned={C_lihdr(0,0,16),40,97,49,52,52,50,56,32,100,115,94,50,32,100,114,41};
static C_char C_TLS li418[] C_aligned={C_lihdr(0,0,16),40,97,49,52,52,48,52,32,110,115,94,50,32,110,114,41};
static C_char C_TLS li419[] C_aligned={C_lihdr(0,0,22),40,35,35,115,121,115,35,115,113,114,116,47,108,111,99,32,108,111,99,32,110,41,0,0};
static C_char C_TLS li420[] C_aligned={C_lihdr(0,0,15),40,115,99,104,101,109,101,35,115,113,114,116,32,120,41,0};
static C_char C_TLS li421[] C_aligned={C_lihdr(0,0,41),40,99,104,105,99,107,101,110,46,98,97,115,101,35,101,120,97,99,116,45,105,110,116,101,103,101,114,45,110,116,104,45,114,111,111,116,32,107,32,110,41,0,0,0,0,0,0,0};
static C_char C_TLS li422[] C_aligned={C_lihdr(0,0,10),40,108,112,32,103,48,32,103,49,41,0,0,0,0,0,0};
static C_char C_TLS li423[] C_aligned={C_lihdr(0,0,42),40,35,35,115,121,115,35,101,120,97,99,116,45,105,110,116,101,103,101,114,45,110,116,104,45,114,111,111,116,47,108,111,99,32,108,111,99,32,107,32,110,41,0,0,0,0,0,0};
static C_char C_TLS li424[] C_aligned={C_lihdr(0,0,11),40,108,112,32,114,101,115,32,101,50,41,0,0,0,0,0};
static C_char C_TLS li425[] C_aligned={C_lihdr(0,0,28),40,35,35,115,121,115,35,105,110,116,101,103,101,114,45,112,111,119,101,114,32,98,97,115,101,32,101,41,0,0,0,0};
static C_char C_TLS li426[] C_aligned={C_lihdr(0,0,14),40,108,111,103,45,101,120,112,116,32,97,32,98,41,0,0};
static C_char C_TLS li427[] C_aligned={C_lihdr(0,0,15),40,115,108,111,119,45,101,120,112,116,32,97,32,98,41,0};
static C_char C_TLS li428[] C_aligned={C_lihdr(0,0,8),40,97,49,52,55,52,57,41};
static C_char C_TLS li429[] C_aligned={C_lihdr(0,0,15),40,97,49,52,55,54,49,32,100,115,94,110,32,114,41,0};
static C_char C_TLS li430[] C_aligned={C_lihdr(0,0,17),40,115,99,104,101,109,101,35,101,120,112,116,32,97,32,98,41,0,0,0,0,0,0,0};
static C_char C_TLS li431[] C_aligned={C_lihdr(0,0,28),40,35,35,115,121,115,35,105,110,116,101,114,110,97,108,45,103,99,100,32,108,111,99,32,97,32,98,41,0,0,0,0};
static C_char C_TLS li432[] C_aligned={C_lihdr(0,0,15),40,35,35,115,121,115,35,103,99,100,32,97,32,98,41,0};
static C_char C_TLS li433[] C_aligned={C_lihdr(0,0,16),40,108,111,111,112,32,104,101,97,100,32,110,101,120,116,41};
static C_char C_TLS li434[] C_aligned={C_lihdr(0,0,17),40,115,99,104,101,109,101,35,103,99,100,32,46,32,110,115,41,0,0,0,0,0,0,0};
static C_char C_TLS li435[] C_aligned={C_lihdr(0,0,15),40,35,35,115,121,115,35,108,99,109,32,120,32,121,41,0};
static C_char C_TLS li436[] C_aligned={C_lihdr(0,0,16),40,108,111,111,112,32,104,101,97,100,32,110,101,120,116,41};
static C_char C_TLS li437[] C_aligned={C_lihdr(0,0,17),40,115,99,104,101,109,101,35,108,99,109,32,46,32,110,115,41,0,0,0,0,0,0,0};
static C_char C_TLS li438[] C_aligned={C_lihdr(0,0,34),67,95,117,95,105,110,116,101,103,101,114,95,113,117,111,116,105,101,110,116,95,97,110,100,95,114,101,109,97,105,110,100,101,114,0,0,0,0,0,0};
static C_char C_TLS li439[] C_aligned={C_lihdr(0,0,8),40,97,49,53,49,48,54,41};
static C_char C_TLS li440[] C_aligned={C_lihdr(0,0,22),40,97,49,53,49,49,50,32,104,105,50,55,54,52,32,108,111,50,55,54,54,41,0,0};
static C_char C_TLS li441[] C_aligned={C_lihdr(0,0,61),40,35,35,115,121,115,35,105,110,116,101,103,101,114,45,62,115,116,114,105,110,103,47,114,101,99,117,114,115,105,118,101,32,110,32,98,97,115,101,32,101,120,112,101,99,116,101,100,45,115,116,114,105,110,103,45,115,105,122,101,41,0,0,0};
static C_char C_TLS li442[] C_aligned={C_lihdr(0,0,38),40,35,35,115,121,115,35,101,120,116,101,110,100,101,100,45,110,117,109,98,101,114,45,62,115,116,114,105,110,103,32,110,32,98,97,115,101,41,0,0};
static C_char C_TLS li443[] C_aligned={C_lihdr(0,0,20),40,114,111,117,110,100,45,113,117,111,116,105,101,110,116,32,110,32,100,41,0,0,0,0};
static C_char C_TLS li444[] C_aligned={C_lihdr(0,0,23),40,115,97,102,101,45,101,120,112,111,110,101,110,116,32,118,97,108,117,101,32,101,41,0};
static C_char C_TLS li445[] C_aligned={C_lihdr(0,0,6),40,108,112,32,105,41,0,0};
static C_char C_TLS li446[] C_aligned={C_lihdr(0,0,19),40,115,99,97,110,45,100,105,103,105,116,115,32,115,116,97,114,116,41,0,0,0,0,0};
static C_char C_TLS li447[] C_aligned={C_lihdr(0,0,6),40,108,112,32,105,41,0,0};
static C_char C_TLS li448[] C_aligned={C_lihdr(0,0,19),40,115,99,97,110,45,104,97,115,104,101,115,32,115,116,97,114,116,41,0,0,0,0,0};
static C_char C_TLS li449[] C_aligned={C_lihdr(0,0,46),40,115,99,97,110,45,100,105,103,105,116,115,43,104,97,115,104,101,115,32,115,116,97,114,116,32,110,101,103,63,32,97,108,108,45,104,97,115,104,101,115,45,111,107,63,41,0,0};
static C_char C_TLS li450[] C_aligned={C_lihdr(0,0,21),40,115,99,97,110,45,101,120,112,111,110,101,110,116,32,115,116,97,114,116,41,0,0,0};
static C_char C_TLS li451[] C_aligned={C_lihdr(0,0,43),40,115,99,97,110,45,100,101,99,105,109,97,108,45,116,97,105,108,32,115,116,97,114,116,32,110,101,103,63,32,100,101,99,105,109,97,108,45,104,101,97,100,41,0,0,0,0,0};
static C_char C_TLS li452[] C_aligned={C_lihdr(0,0,23),40,115,99,97,110,45,117,114,101,97,108,32,115,116,97,114,116,32,110,101,103,63,41,0};
static C_char C_TLS li453[] C_aligned={C_lihdr(0,0,17),40,115,99,97,110,45,114,101,97,108,32,115,116,97,114,116,41,0,0,0,0,0,0,0};
static C_char C_TLS li454[] C_aligned={C_lihdr(0,0,50),40,35,35,115,121,115,35,115,116,114,105,110,103,45,62,99,111,109,112,110,117,109,32,114,97,100,105,120,32,115,116,114,32,111,102,102,115,101,116,32,101,120,97,99,116,110,101,115,115,41,0,0,0,0,0,0};
static C_char C_TLS li455[] C_aligned={C_lihdr(0,0,32),40,115,99,97,110,45,112,114,101,102,105,120,32,105,32,101,120,110,101,115,115,32,114,97,100,105,120,32,108,101,110,41};
static C_char C_TLS li456[] C_aligned={C_lihdr(0,0,34),40,115,99,104,101,109,101,35,115,116,114,105,110,103,45,62,110,117,109,98,101,114,32,115,116,114,32,46,32,114,101,115,116,41,0,0,0,0,0,0};
static C_char C_TLS li457[] C_aligned={C_lihdr(0,0,33),40,35,35,115,121,115,35,115,116,114,105,110,103,45,62,110,117,109,98,101,114,32,115,116,114,32,46,32,114,101,115,116,41,0,0,0,0,0,0,0};
static C_char C_TLS li458[] C_aligned={C_lihdr(0,0,18),67,95,102,105,120,110,117,109,95,116,111,95,115,116,114,105,110,103,0,0,0,0,0,0};
static C_char C_TLS li459[] C_aligned={C_lihdr(0,0,18),67,95,102,108,111,110,117,109,95,116,111,95,115,116,114,105,110,103,0,0,0,0,0,0};
static C_char C_TLS li460[] C_aligned={C_lihdr(0,0,19),67,95,105,110,116,101,103,101,114,95,116,111,95,115,116,114,105,110,103,0,0,0,0,0};
static C_char C_TLS li461[] C_aligned={C_lihdr(0,0,8),40,108,111,111,112,32,105,41};
static C_char C_TLS li462[] C_aligned={C_lihdr(0,0,25),40,99,111,109,112,97,114,101,45,115,108,111,116,115,32,120,32,121,32,115,116,97,114,116,41,0,0,0,0,0,0,0};
static C_char C_TLS li463[] C_aligned={C_lihdr(0,0,10),40,119,97,108,107,32,120,32,121,41,0,0,0,0,0,0};
static C_char C_TLS li464[] C_aligned={C_lihdr(0,0,26),40,99,104,105,99,107,101,110,46,98,97,115,101,35,101,113,117,97,108,61,63,32,120,32,121,41,0,0,0,0,0,0};
static C_char C_TLS li465[] C_aligned={C_lihdr(0,0,18),67,95,115,116,114,105,110,103,95,116,111,95,115,121,109,98,111,108,0,0,0,0,0,0};
static C_char C_TLS li466[] C_aligned={C_lihdr(0,0,26),40,35,35,115,121,115,35,105,110,116,101,114,110,101,100,45,115,121,109,98,111,108,63,32,120,41,0,0,0,0,0,0};
static C_char C_TLS li467[] C_aligned={C_lihdr(0,0,26),40,35,35,115,121,115,35,115,116,114,105,110,103,45,62,115,121,109,98,111,108,32,115,116,114,41,0,0,0,0,0,0};
static C_char C_TLS li468[] C_aligned={C_lihdr(0,0,11),40,115,112,108,105,116,32,108,101,110,41,0,0,0,0,0};
static C_char C_TLS li469[] C_aligned={C_lihdr(0,0,24),40,35,35,115,121,115,35,115,121,109,98,111,108,45,62,115,116,114,105,110,103,32,115,41};
static C_char C_TLS li470[] C_aligned={C_lihdr(0,0,34),40,35,35,115,121,115,35,115,121,109,98,111,108,45,62,113,117,97,108,105,102,105,101,100,45,115,116,114,105,110,103,32,115,41,0,0,0,0,0,0};
static C_char C_TLS li471[] C_aligned={C_lihdr(0,0,33),40,35,35,115,121,115,35,113,117,97,108,105,102,105,101,100,45,115,121,109,98,111,108,45,112,114,101,102,105,120,32,115,41,0,0,0,0,0,0,0};
static C_char C_TLS li472[] C_aligned={C_lihdr(0,0,27),40,35,35,115,121,115,35,113,117,97,108,105,102,105,101,100,45,115,121,109,98,111,108,63,32,115,41,0,0,0,0,0};
static C_char C_TLS li473[] C_aligned={C_lihdr(0,0,43),40,35,35,115,121,115,35,115,116,114,105,110,103,45,62,113,117,97,108,105,102,105,101,100,45,115,121,109,98,111,108,32,112,114,101,102,105,120,32,115,116,114,41,0,0,0,0,0};
static C_char C_TLS li474[] C_aligned={C_lihdr(0,0,25),40,115,99,104,101,109,101,35,115,121,109,98,111,108,45,62,115,116,114,105,110,103,32,115,41,0,0,0,0,0,0,0};
static C_char C_TLS li475[] C_aligned={C_lihdr(0,0,27),40,115,99,104,101,109,101,35,115,116,114,105,110,103,45,62,115,121,109,98,111,108,32,115,116,114,41,0,0,0,0,0};
static C_char C_TLS li476[] C_aligned={C_lihdr(0,0,13),67,95,109,97,107,101,95,115,121,109,98,111,108,0,0,0};
static C_char C_TLS li477[] C_aligned={C_lihdr(0,0,44),40,99,104,105,99,107,101,110,46,98,97,115,101,35,115,116,114,105,110,103,45,62,117,110,105,110,116,101,114,110,101,100,45,115,121,109,98,111,108,32,115,116,114,41,0,0,0,0};
static C_char C_TLS li478[] C_aligned={C_lihdr(0,0,13),67,95,109,97,107,101,95,115,121,109,98,111,108,0,0,0};
static C_char C_TLS li479[] C_aligned={C_lihdr(0,0,34),40,99,104,105,99,107,101,110,46,98,97,115,101,35,103,101,110,115,121,109,32,46,32,115,116,114,45,111,114,45,115,121,109,41,0,0,0,0,0,0};
static C_char C_TLS li480[] C_aligned={C_lihdr(0,0,20),40,109,97,112,45,108,111,111,112,51,51,57,56,32,103,51,52,49,48,41,0,0,0,0};
static C_char C_TLS li481[] C_aligned={C_lihdr(0,0,33),40,99,104,105,99,107,101,110,46,98,97,115,101,35,115,121,109,98,111,108,45,97,112,112,101,110,100,32,46,32,115,115,41,0,0,0,0,0,0,0};
static C_char C_TLS li482[] C_aligned={C_lihdr(0,0,28),40,99,104,105,99,107,101,110,46,107,101,121,119,111,114,100,35,107,101,121,119,111,114,100,63,32,120,41,0,0,0,0};
static C_char C_TLS li483[] C_aligned={C_lihdr(0,0,35),40,99,104,105,99,107,101,110,46,107,101,121,119,111,114,100,35,115,116,114,105,110,103,45,62,107,101,121,119,111,114,100,32,115,41,0,0,0,0,0};
static C_char C_TLS li484[] C_aligned={C_lihdr(0,0,36),40,99,104,105,99,107,101,110,46,107,101,121,119,111,114,100,35,107,101,121,119,111,114,100,45,62,115,116,114,105,110,103,32,107,119,41,0,0,0,0};
static C_char C_TLS li485[] C_aligned={C_lihdr(0,0,45),40,99,104,105,99,107,101,110,46,107,101,121,119,111,114,100,35,103,101,116,45,107,101,121,119,111,114,100,32,107,101,121,32,97,114,103,115,32,46,32,114,101,115,116,41,0,0,0};
static C_char C_TLS li486[] C_aligned={C_lihdr(0,0,22),40,35,35,115,121,115,35,109,97,107,101,45,98,108,111,98,32,115,105,122,101,41,0,0};
static C_char C_TLS li487[] C_aligned={C_lihdr(0,0,29),40,99,104,105,99,107,101,110,46,98,108,111,98,35,109,97,107,101,45,98,108,111,98,32,115,105,122,101,41,0,0,0};
static C_char C_TLS li488[] C_aligned={C_lihdr(0,0,22),40,99,104,105,99,107,101,110,46,98,108,111,98,35,98,108,111,98,63,32,120,41,0,0};
static C_char C_TLS li489[] C_aligned={C_lihdr(0,0,27),40,99,104,105,99,107,101,110,46,98,108,111,98,35,98,108,111,98,45,115,105,122,101,32,98,118,41,0,0,0,0,0};
static C_char C_TLS li490[] C_aligned={C_lihdr(0,0,29),40,99,104,105,99,107,101,110,46,98,108,111,98,35,115,116,114,105,110,103,45,62,98,108,111,98,32,115,41,0,0,0};
static C_char C_TLS li491[] C_aligned={C_lihdr(0,0,30),40,99,104,105,99,107,101,110,46,98,108,111,98,35,98,108,111,98,45,62,115,116,114,105,110,103,32,98,118,41,0,0};
static C_char C_TLS li492[] C_aligned={C_lihdr(0,0,27),40,99,104,105,99,107,101,110,46,98,108,111,98,35,98,108,111,98,61,63,32,98,49,32,98,50,41,0,0,0,0,0};
static C_char C_TLS li493[] C_aligned={C_lihdr(0,0,32),40,115,99,104,101,109,101,35,109,97,107,101,45,118,101,99,116,111,114,32,115,105,122,101,32,46,32,102,105,108,108,41};
static C_char C_TLS li494[] C_aligned={C_lihdr(0,0,8),40,108,111,111,112,32,105,41};
static C_char C_TLS li495[] C_aligned={C_lihdr(0,0,26),40,115,99,104,101,109,101,35,108,105,115,116,45,62,118,101,99,116,111,114,32,108,115,116,48,41,0,0,0,0,0,0};
static C_char C_TLS li496[] C_aligned={C_lihdr(0,0,8),40,108,111,111,112,32,105,41};
static C_char C_TLS li497[] C_aligned={C_lihdr(0,0,23),40,115,99,104,101,109,101,35,118,101,99,116,111,114,45,62,108,105,115,116,32,118,41,0};
static C_char C_TLS li498[] C_aligned={C_lihdr(0,0,20),40,115,99,104,101,109,101,35,118,101,99,116,111,114,32,46,32,120,115,41,0,0,0,0};
static C_char C_TLS li499[] C_aligned={C_lihdr(0,0,12),40,100,111,108,111,111,112,51,53,51,53,41,0,0,0,0};
static C_char C_TLS li500[] C_aligned={C_lihdr(0,0,25),40,115,99,104,101,109,101,35,118,101,99,116,111,114,45,102,105,108,108,33,32,118,32,120,41,0,0,0,0,0,0,0};
static C_char C_TLS li501[] C_aligned={C_lihdr(0,0,12),40,100,111,108,111,111,112,51,53,52,55,41,0,0,0,0};
static C_char C_TLS li502[] C_aligned={C_lihdr(0,0,39),40,99,104,105,99,107,101,110,46,98,97,115,101,35,118,101,99,116,111,114,45,99,111,112,121,33,32,102,114,111,109,32,116,111,32,46,32,110,41,0};
static C_char C_TLS li503[] C_aligned={C_lihdr(0,0,12),40,100,111,108,111,111,112,51,53,55,56,41,0,0,0,0};
static C_char C_TLS li504[] C_aligned={C_lihdr(0,0,35),40,99,104,105,99,107,101,110,46,98,97,115,101,35,115,117,98,118,101,99,116,111,114,32,118,32,105,32,46,32,114,101,115,116,41,0,0,0,0,0};
static C_char C_TLS li505[] C_aligned={C_lihdr(0,0,39),40,99,104,105,99,107,101,110,46,98,97,115,101,35,118,101,99,116,111,114,45,114,101,115,105,122,101,32,118,32,110,32,46,32,114,101,115,116,41,0};
static C_char C_TLS li506[] C_aligned={C_lihdr(0,0,12),40,100,111,108,111,111,112,51,54,48,54,41,0,0,0,0};
static C_char C_TLS li507[] C_aligned={C_lihdr(0,0,30),40,35,35,115,121,115,35,118,101,99,116,111,114,45,114,101,115,105,122,101,32,118,32,110,32,105,110,105,116,41,0,0};
static C_char C_TLS li508[] C_aligned={C_lihdr(0,0,22),40,115,99,104,101,109,101,35,99,104,97,114,45,99,105,61,63,32,120,32,121,41,0,0};
static C_char C_TLS li509[] C_aligned={C_lihdr(0,0,22),40,115,99,104,101,109,101,35,99,104,97,114,45,99,105,62,63,32,120,32,121,41,0,0};
static C_char C_TLS li510[] C_aligned={C_lihdr(0,0,22),40,115,99,104,101,109,101,35,99,104,97,114,45,99,105,60,63,32,120,32,121,41,0,0};
static C_char C_TLS li511[] C_aligned={C_lihdr(0,0,23),40,115,99,104,101,109,101,35,99,104,97,114,45,99,105,62,61,63,32,120,32,121,41,0};
static C_char C_TLS li512[] C_aligned={C_lihdr(0,0,23),40,115,99,104,101,109,101,35,99,104,97,114,45,99,105,60,61,63,32,120,32,121,41,0};
static C_char C_TLS li513[] C_aligned={C_lihdr(0,0,6),40,108,111,111,112,41,0,0};
static C_char C_TLS li514[] C_aligned={C_lihdr(0,0,15),40,108,111,111,107,117,112,45,99,104,97,114,32,99,41,0};
static C_char C_TLS li515[] C_aligned={C_lihdr(0,0,30),40,99,104,105,99,107,101,110,46,98,97,115,101,35,99,104,97,114,45,110,97,109,101,32,120,32,46,32,121,41,0,0};
static C_char C_TLS li516[] C_aligned={C_lihdr(0,0,9),67,95,99,97,108,108,95,99,99,0,0,0,0,0,0,0};
static C_char C_TLS li517[] C_aligned={C_lihdr(0,0,19),67,95,99,97,108,108,95,119,105,116,104,95,99,116,104,117,108,104,117,0,0,0,0,0};
static C_char C_TLS li518[] C_aligned={C_lihdr(0,0,10),40,108,111,111,112,32,108,115,116,41,0,0,0,0,0,0};
static C_char C_TLS li519[] C_aligned={C_lihdr(0,0,23),40,35,35,115,121,115,35,102,111,114,45,101,97,99,104,32,112,32,108,115,116,48,41,0};
static C_char C_TLS li520[] C_aligned={C_lihdr(0,0,10),40,108,111,111,112,32,108,115,116,41,0,0,0,0,0,0};
static C_char C_TLS li521[] C_aligned={C_lihdr(0,0,18),40,35,35,115,121,115,35,109,97,112,32,112,32,108,115,116,48,41,0,0,0,0,0,0};
static C_char C_TLS li522[] C_aligned={C_lihdr(0,0,30),40,109,97,112,115,97,102,101,51,54,56,50,32,112,32,108,115,116,115,32,115,116,97,114,116,32,108,111,99,41,0,0};
static C_char C_TLS li523[] C_aligned={C_lihdr(0,0,6),40,108,111,111,112,41,0,0};
static C_char C_TLS li524[] C_aligned={C_lihdr(0,0,26),40,99,104,101,99,107,51,54,56,51,32,108,115,116,115,32,115,116,97,114,116,32,108,111,99,41,0,0,0,0,0,0};
static C_char C_TLS li525[] C_aligned={C_lihdr(0,0,25),40,102,111,114,45,101,97,99,104,45,108,111,111,112,51,55,49,51,32,103,51,55,50,48,41,0,0,0,0,0,0,0};
static C_char C_TLS li526[] C_aligned={C_lihdr(0,0,10),40,97,49,56,53,50,51,32,120,41,0,0,0,0,0,0};
static C_char C_TLS li527[] C_aligned={C_lihdr(0,0,10),40,97,49,56,53,51,51,32,120,41,0,0,0,0,0,0};
static C_char C_TLS li528[] C_aligned={C_lihdr(0,0,10),40,108,111,111,112,32,97,108,108,41,0,0,0,0,0,0};
static C_char C_TLS li529[] C_aligned={C_lihdr(0,0,32),40,115,99,104,101,109,101,35,102,111,114,45,101,97,99,104,32,102,110,32,108,115,116,49,32,46,32,108,115,116,115,41};
static C_char C_TLS li530[] C_aligned={C_lihdr(0,0,20),40,109,97,112,45,108,111,111,112,51,55,52,52,32,103,51,55,53,54,41,0,0,0,0};
static C_char C_TLS li531[] C_aligned={C_lihdr(0,0,10),40,97,49,56,54,50,56,32,120,41,0,0,0,0,0,0};
static C_char C_TLS li532[] C_aligned={C_lihdr(0,0,10),40,97,49,56,54,51,56,32,120,41,0,0,0,0,0,0};
static C_char C_TLS li533[] C_aligned={C_lihdr(0,0,10),40,108,111,111,112,32,97,108,108,41,0,0,0,0,0,0};
static C_char C_TLS li534[] C_aligned={C_lihdr(0,0,27),40,115,99,104,101,109,101,35,109,97,112,32,102,110,32,108,115,116,49,32,46,32,108,115,116,115,41,0,0,0,0,0};
static C_char C_TLS li535[] C_aligned={C_lihdr(0,0,18),40,97,49,56,54,54,50,32,46,32,114,101,115,117,108,116,115,41,0,0,0,0,0,0};
static C_char C_TLS li536[] C_aligned={C_lihdr(0,0,40),40,115,99,104,101,109,101,35,100,121,110,97,109,105,99,45,119,105,110,100,32,98,101,102,111,114,101,32,116,104,117,110,107,32,97,102,116,101,114,41};
static C_char C_TLS li537[] C_aligned={C_lihdr(0,0,24),40,99,111,110,116,105,110,117,97,116,105,111,110,32,46,32,114,101,115,117,108,116,115,41};
static C_char C_TLS li538[] C_aligned={C_lihdr(0,0,13),40,97,49,56,54,56,54,32,99,111,110,116,41,0,0,0};
static C_char C_TLS li539[] C_aligned={C_lihdr(0,0,44),40,115,99,104,101,109,101,35,99,97,108,108,45,119,105,116,104,45,99,117,114,114,101,110,116,45,99,111,110,116,105,110,117,97,116,105,111,110,32,112,114,111,99,41,0,0,0,0};
static C_char C_TLS li540[] C_aligned={C_lihdr(0,0,30),40,35,35,115,121,115,35,100,121,110,97,109,105,99,45,117,110,119,105,110,100,32,119,105,110,100,115,32,110,41,0,0};
static C_char C_TLS li541[] C_aligned={C_lihdr(0,0,22),40,99,104,105,99,107,101,110,46,98,97,115,101,35,112,111,114,116,63,32,120,41,0,0};
static C_char C_TLS li542[] C_aligned={C_lihdr(0,0,33),40,99,104,105,99,107,101,110,46,98,97,115,101,35,105,110,112,117,116,45,112,111,114,116,45,111,112,101,110,63,32,112,41,0,0,0,0,0,0,0};
static C_char C_TLS li543[] C_aligned={C_lihdr(0,0,34),40,99,104,105,99,107,101,110,46,98,97,115,101,35,111,117,116,112,117,116,45,112,111,114,116,45,111,112,101,110,63,32,112,41,0,0,0,0,0,0};
static C_char C_TLS li544[] C_aligned={C_lihdr(0,0,29),40,99,104,105,99,107,101,110,46,98,97,115,101,35,112,111,114,116,45,99,108,111,115,101,100,63,32,112,41,0,0,0};
static C_char C_TLS li545[] C_aligned={C_lihdr(0,0,37),40,35,35,115,121,115,35,109,97,107,101,45,112,111,114,116,32,105,47,111,32,99,108,97,115,115,32,110,97,109,101,32,116,121,112,101,41,0,0,0};
static C_char C_TLS li546[] C_aligned={C_lihdr(0,0,6),40,108,111,111,112,41,0,0};
static C_char C_TLS li547[] C_aligned={C_lihdr(0,0,10),40,97,51,49,55,54,56,32,112,41,0,0,0,0,0,0};
static C_char C_TLS li548[] C_aligned={C_lihdr(0,0,6),40,108,111,111,112,41,0,0};
static C_char C_TLS li549[] C_aligned={C_lihdr(0,0,10),40,97,51,49,56,48,56,32,112,41,0,0,0,0,0,0};
static C_char C_TLS li550[] C_aligned={C_lihdr(0,0,12),40,97,51,49,56,52,56,32,112,32,99,41,0,0,0,0};
static C_char C_TLS li551[] C_aligned={C_lihdr(0,0,12),40,97,51,49,56,53,49,32,112,32,115,41,0,0,0,0};
static C_char C_TLS li552[] C_aligned={C_lihdr(0,0,12),40,97,51,49,56,53,52,32,112,32,100,41,0,0,0,0};
static C_char C_TLS li553[] C_aligned={C_lihdr(0,0,10),40,97,51,49,56,54,48,32,112,41,0,0,0,0,0,0};
static C_char C_TLS li554[] C_aligned={C_lihdr(0,0,10),40,97,51,49,56,54,51,32,112,41,0,0,0,0,0,0};
static C_char C_TLS li555[] C_aligned={C_lihdr(0,0,8),40,97,51,49,57,48,48,41};
static C_char C_TLS li556[] C_aligned={C_lihdr(0,0,20),40,108,111,111,112,32,114,101,109,32,97,99,116,32,115,116,97,114,116,41,0,0,0,0};
static C_char C_TLS li557[] C_aligned={C_lihdr(0,0,23),40,97,51,49,56,54,54,32,112,32,110,32,100,101,115,116,32,115,116,97,114,116,41,0};
static C_char C_TLS li558[] C_aligned={C_lihdr(0,0,8),40,97,51,50,48,54,49,41};
static C_char C_TLS li559[] C_aligned={C_lihdr(0,0,32),40,108,111,111,112,32,108,101,110,32,108,105,109,105,116,32,98,117,102,102,101,114,32,114,101,115,117,108,116,32,102,41};
static C_char C_TLS li560[] C_aligned={C_lihdr(0,0,17),40,97,51,49,57,54,53,32,112,32,114,108,105,109,105,116,41,0,0,0,0,0,0,0};
static C_char C_TLS li561[] C_aligned={C_lihdr(0,0,16),67,95,111,112,101,110,95,102,105,108,101,95,112,111,114,116};
static C_char C_TLS li562[] C_aligned={C_lihdr(0,0,37),40,35,35,115,121,115,35,99,104,101,99,107,45,105,110,112,117,116,45,112,111,114,116,32,120,32,111,112,101,110,32,46,32,108,111,99,41,0,0,0};
static C_char C_TLS li563[] C_aligned={C_lihdr(0,0,38),40,35,35,115,121,115,35,99,104,101,99,107,45,111,117,116,112,117,116,45,112,111,114,116,32,120,32,111,112,101,110,32,46,32,108,111,99,41,0,0};
static C_char C_TLS li564[] C_aligned={C_lihdr(0,0,26),40,35,35,115,121,115,35,99,104,101,99,107,45,112,111,114,116,32,120,32,46,32,108,111,99,41,0,0,0,0,0,0};
static C_char C_TLS li565[] C_aligned={C_lihdr(0,0,31),40,35,35,115,121,115,35,99,104,101,99,107,45,111,112,101,110,45,112,111,114,116,32,120,32,46,32,108,111,99,41,0};
static C_char C_TLS li566[] C_aligned={C_lihdr(0,0,10),40,98,111,100,121,51,57,50,57,41,0,0,0,0,0,0};
static C_char C_TLS li567[] C_aligned={C_lihdr(0,0,34),40,115,99,104,101,109,101,35,99,117,114,114,101,110,116,45,105,110,112,117,116,45,112,111,114,116,32,46,32,97,114,103,115,41,0,0,0,0,0,0};
static C_char C_TLS li568[] C_aligned={C_lihdr(0,0,10),40,98,111,100,121,51,57,53,52,41,0,0,0,0,0,0};
static C_char C_TLS li569[] C_aligned={C_lihdr(0,0,35),40,115,99,104,101,109,101,35,99,117,114,114,101,110,116,45,111,117,116,112,117,116,45,112,111,114,116,32,46,32,97,114,103,115,41,0,0,0,0,0};
static C_char C_TLS li570[] C_aligned={C_lihdr(0,0,10),40,98,111,100,121,51,57,55,57,41,0,0,0,0,0,0};
static C_char C_TLS li571[] C_aligned={C_lihdr(0,0,40),40,99,104,105,99,107,101,110,46,98,97,115,101,35,99,117,114,114,101,110,116,45,101,114,114,111,114,45,112,111,114,116,32,46,32,97,114,103,115,41};
static C_char C_TLS li572[] C_aligned={C_lihdr(0,0,22),40,35,35,115,121,115,35,116,116,121,45,112,111,114,116,63,32,112,111,114,116,41,0,0};
static C_char C_TLS li573[] C_aligned={C_lihdr(0,0,22),40,35,35,115,121,115,35,112,111,114,116,45,100,97,116,97,32,112,111,114,116,41,0,0};
static C_char C_TLS li574[] C_aligned={C_lihdr(0,0,32),40,35,35,115,121,115,35,115,101,116,45,112,111,114,116,45,100,97,116,97,33,32,112,111,114,116,32,100,97,116,97,41};
static C_char C_TLS li575[] C_aligned={C_lihdr(0,0,18),40,100,111,108,111,111,112,52,48,49,54,32,109,111,100,101,115,41,0,0,0,0,0,0};
static C_char C_TLS li576[] C_aligned={C_lihdr(0,0,25),40,111,112,101,110,32,110,97,109,101,32,105,110,112,32,109,111,100,101,115,32,108,111,99,41,0,0,0,0,0,0,0};
static C_char C_TLS li577[] C_aligned={C_lihdr(0,0,20),40,99,108,111,115,101,32,112,111,114,116,32,105,110,112,32,108,111,99,41,0,0,0,0};
static C_char C_TLS li578[] C_aligned={C_lihdr(0,0,36),40,115,99,104,101,109,101,35,111,112,101,110,45,105,110,112,117,116,45,102,105,108,101,32,110,97,109,101,32,46,32,109,111,100,101,41,0,0,0,0};
static C_char C_TLS li579[] C_aligned={C_lihdr(0,0,37),40,115,99,104,101,109,101,35,111,112,101,110,45,111,117,116,112,117,116,45,102,105,108,101,32,110,97,109,101,32,46,32,109,111,100,101,41,0,0,0};
static C_char C_TLS li580[] C_aligned={C_lihdr(0,0,30),40,115,99,104,101,109,101,35,99,108,111,115,101,45,105,110,112,117,116,45,112,111,114,116,32,112,111,114,116,41,0,0};
static C_char C_TLS li581[] C_aligned={C_lihdr(0,0,31),40,115,99,104,101,109,101,35,99,108,111,115,101,45,111,117,116,112,117,116,45,112,111,114,116,32,112,111,114,116,41,0};
static C_char C_TLS li582[] C_aligned={C_lihdr(0,0,8),40,97,49,57,50,55,56,41};
static C_char C_TLS li583[] C_aligned={C_lihdr(0,0,18),40,97,49,57,50,56,52,32,46,32,114,101,115,117,108,116,115,41,0,0,0,0,0,0};
static C_char C_TLS li584[] C_aligned={C_lihdr(0,0,43),40,115,99,104,101,109,101,35,99,97,108,108,45,119,105,116,104,45,105,110,112,117,116,45,102,105,108,101,32,110,97,109,101,32,112,32,46,32,109,111,100,101,41,0,0,0,0,0};
static C_char C_TLS li585[] C_aligned={C_lihdr(0,0,8),40,97,49,57,51,48,50,41};
static C_char C_TLS li586[] C_aligned={C_lihdr(0,0,18),40,97,49,57,51,48,56,32,46,32,114,101,115,117,108,116,115,41,0,0,0,0,0,0};
static C_char C_TLS li587[] C_aligned={C_lihdr(0,0,44),40,115,99,104,101,109,101,35,99,97,108,108,45,119,105,116,104,45,111,117,116,112,117,116,45,102,105,108,101,32,110,97,109,101,32,112,32,46,32,109,111,100,101,41,0,0,0,0};
static C_char C_TLS li588[] C_aligned={C_lihdr(0,0,8),40,97,49,57,51,50,54,41};
static C_char C_TLS li589[] C_aligned={C_lihdr(0,0,18),40,97,49,57,51,51,55,32,46,32,114,101,115,117,108,116,115,41,0,0,0,0,0,0};
static C_char C_TLS li590[] C_aligned={C_lihdr(0,0,8),40,97,49,57,51,51,49,41};
static C_char C_TLS li591[] C_aligned={C_lihdr(0,0,8),40,97,49,57,51,52,54,41};
static C_char C_TLS li592[] C_aligned={C_lihdr(0,0,46),40,115,99,104,101,109,101,35,119,105,116,104,45,105,110,112,117,116,45,102,114,111,109,45,102,105,108,101,32,115,116,114,32,116,104,117,110,107,32,46,32,109,111,100,101,41,0,0};
static C_char C_TLS li593[] C_aligned={C_lihdr(0,0,8),40,97,49,57,51,54,48,41};
static C_char C_TLS li594[] C_aligned={C_lihdr(0,0,18),40,97,49,57,51,55,49,32,46,32,114,101,115,117,108,116,115,41,0,0,0,0,0,0};
static C_char C_TLS li595[] C_aligned={C_lihdr(0,0,8),40,97,49,57,51,54,53,41};
static C_char C_TLS li596[] C_aligned={C_lihdr(0,0,8),40,97,49,57,51,56,48,41};
static C_char C_TLS li597[] C_aligned={C_lihdr(0,0,45),40,115,99,104,101,109,101,35,119,105,116,104,45,111,117,116,112,117,116,45,116,111,45,102,105,108,101,32,115,116,114,32,116,104,117,110,107,32,46,32,109,111,100,101,41,0,0,0};
static C_char C_TLS li598[] C_aligned={C_lihdr(0,0,40),40,35,35,115,121,115,35,102,105,108,101,45,101,120,105,115,116,115,63,32,110,97,109,101,32,102,105,108,101,63,32,100,105,114,63,32,108,111,99,41};
static C_char C_TLS li599[] C_aligned={C_lihdr(0,0,25),40,35,35,115,121,115,35,102,108,117,115,104,45,111,117,116,112,117,116,32,112,111,114,116,41,0,0,0,0,0,0,0};
static C_char C_TLS li600[] C_aligned={C_lihdr(0,0,34),40,99,104,105,99,107,101,110,46,98,97,115,101,35,102,108,117,115,104,45,111,117,116,112,117,116,32,46,32,114,101,115,116,41,0,0,0,0,0,0};
static C_char C_TLS li601[] C_aligned={C_lihdr(0,0,22),40,35,35,115,121,115,35,112,111,114,116,45,108,105,110,101,32,112,111,114,116,41,0,0};
static C_char C_TLS li602[] C_aligned={C_lihdr(0,0,14),40,100,111,108,111,111,112,52,49,52,54,32,105,41,0,0};
static C_char C_TLS li603[] C_aligned={C_lihdr(0,0,8),40,108,111,111,112,32,105,41};
static C_char C_TLS li604[] C_aligned={C_lihdr(0,0,43),40,35,35,115,121,115,35,100,101,99,111,114,97,116,101,45,108,97,109,98,100,97,32,112,114,111,99,32,112,114,101,100,32,100,101,99,111,114,97,116,111,114,41,0,0,0,0,0};
static C_char C_TLS li605[] C_aligned={C_lihdr(0,0,8),40,108,111,111,112,32,105,41};
static C_char C_TLS li606[] C_aligned={C_lihdr(0,0,35),40,35,35,115,121,115,35,108,97,109,98,100,97,45,100,101,99,111,114,97,116,105,111,110,32,112,114,111,99,32,112,114,101,100,41,0,0,0,0,0};
static C_char C_TLS li607[] C_aligned={C_lihdr(0,0,28),40,35,35,115,121,115,35,109,97,107,101,45,108,97,109,98,100,97,45,105,110,102,111,32,115,116,114,41,0,0,0,0};
static C_char C_TLS li608[] C_aligned={C_lihdr(0,0,22),40,35,35,115,121,115,35,108,97,109,98,100,97,45,105,110,102,111,63,32,120,41,0,0};
static C_char C_TLS li609[] C_aligned={C_lihdr(0,0,24),40,35,35,115,121,115,35,108,97,109,98,100,97,45,105,110,102,111,32,112,114,111,99,41};
static C_char C_TLS li610[] C_aligned={C_lihdr(0,0,32),40,35,35,115,121,115,35,108,97,109,98,100,97,45,105,110,102,111,45,62,115,116,114,105,110,103,32,105,110,102,111,41};
static C_char C_TLS li611[] C_aligned={C_lihdr(0,0,38),40,99,104,105,99,107,101,110,46,98,97,115,101,35,112,114,111,99,101,100,117,114,101,45,105,110,102,111,114,109,97,116,105,111,110,32,120,41,0,0};
static C_char C_TLS li612[] C_aligned={C_lihdr(0,0,12),40,97,49,57,54,53,56,32,112,32,105,41,0,0,0,0};
static C_char C_TLS li613[] C_aligned={C_lihdr(0,0,10),40,97,49,57,54,54,56,32,120,41,0,0,0,0,0,0};
static C_char C_TLS li614[] C_aligned={C_lihdr(0,0,15),40,97,49,57,54,56,52,32,112,114,111,99,32,105,41,0};
static C_char C_TLS li615[] C_aligned={C_lihdr(0,0,48),40,99,104,105,99,107,101,110,46,98,97,115,101,35,103,101,116,116,101,114,45,119,105,116,104,45,115,101,116,116,101,114,32,103,101,116,32,115,101,116,32,46,32,114,101,115,116,41};
static C_char C_TLS li616[] C_aligned={C_lihdr(0,0,11),40,102,95,49,57,57,52,49,32,120,41,0,0,0,0,0};
static C_char C_TLS li617[] C_aligned={C_lihdr(0,0,28),40,97,115,115,105,103,110,32,118,97,108,32,110,32,99,111,110,118,101,114,116,63,32,115,101,116,63,41,0,0,0,0};
static C_char C_TLS li618[] C_aligned={C_lihdr(0,0,24),40,98,111,100,121,52,50,57,55,32,99,111,110,118,101,114,116,63,32,115,101,116,63,41};
static C_char C_TLS li619[] C_aligned={C_lihdr(0,0,24),40,100,101,102,45,115,101,116,63,52,51,48,48,32,37,99,111,110,118,101,114,116,63,41};
static C_char C_TLS li620[] C_aligned={C_lihdr(0,0,18),40,100,101,102,45,99,111,110,118,101,114,116,63,52,50,57,57,41,0,0,0,0,0,0};
static C_char C_TLS li621[] C_aligned={C_lihdr(0,0,15),40,97,49,57,56,51,50,32,46,32,97,114,103,115,41,0};
static C_char C_TLS li622[] C_aligned={C_lihdr(0,0,12),40,97,49,57,57,49,52,32,118,97,108,41,0,0,0,0};
static C_char C_TLS li623[] C_aligned={C_lihdr(0,0,41),40,99,104,105,99,107,101,110,46,98,97,115,101,35,109,97,107,101,45,112,97,114,97,109,101,116,101,114,32,105,110,105,116,32,46,32,114,101,115,116,41,0,0,0,0,0,0,0};
static C_char C_TLS li624[] C_aligned={C_lihdr(0,0,27),40,115,99,104,101,109,101,35,99,104,97,114,45,114,101,97,100,121,63,32,46,32,114,101,115,116,41,0,0,0,0,0};
static C_char C_TLS li625[] C_aligned={C_lihdr(0,0,25),40,115,99,104,101,109,101,35,114,101,97,100,45,99,104,97,114,32,46,32,114,101,115,116,41,0,0,0,0,0,0,0};
static C_char C_TLS li626[] C_aligned={C_lihdr(0,0,21),40,35,35,115,121,115,35,114,101,97,100,45,99,104,97,114,45,48,32,112,41,0,0,0};
static C_char C_TLS li627[] C_aligned={C_lihdr(0,0,27),40,35,35,115,121,115,35,114,101,97,100,45,99,104,97,114,47,112,111,114,116,32,112,111,114,116,41,0,0,0,0,0};
static C_char C_TLS li628[] C_aligned={C_lihdr(0,0,21),40,35,35,115,121,115,35,112,101,101,107,45,99,104,97,114,45,48,32,112,41,0,0,0};
static C_char C_TLS li629[] C_aligned={C_lihdr(0,0,25),40,115,99,104,101,109,101,35,112,101,101,107,45,99,104,97,114,32,46,32,114,101,115,116,41,0,0,0,0,0,0,0};
static C_char C_TLS li630[] C_aligned={C_lihdr(0,0,20),40,115,99,104,101,109,101,35,114,101,97,100,32,46,32,114,101,115,116,41,0,0,0,0};
static C_char C_TLS li631[] C_aligned={C_lihdr(0,0,24),40,35,35,115,121,115,35,114,101,97,100,45,112,114,111,109,112,116,45,104,111,111,107,41};
static C_char C_TLS li632[] C_aligned={C_lihdr(0,0,27),40,35,35,115,121,115,35,105,110,102,105,120,45,108,105,115,116,45,104,111,111,107,32,108,115,116,41,0,0,0,0,0};
static C_char C_TLS li633[] C_aligned={C_lihdr(0,0,32),40,35,35,115,121,115,35,115,104,97,114,112,45,110,117,109,98,101,114,45,104,111,111,107,32,112,111,114,116,32,110,41};
static C_char C_TLS li634[] C_aligned={C_lihdr(0,0,36),40,35,35,115,121,115,35,114,101,97,100,45,119,97,114,110,105,110,103,32,112,111,114,116,32,109,115,103,32,46,32,97,114,103,115,41,0,0,0,0};
static C_char C_TLS li635[] C_aligned={C_lihdr(0,0,34),40,35,35,115,121,115,35,114,101,97,100,45,101,114,114,111,114,32,112,111,114,116,32,109,115,103,32,46,32,97,114,103,115,41,0,0,0,0,0,0};
static C_char C_TLS li636[] C_aligned={C_lihdr(0,0,11),40,102,95,50,48,50,50,50,32,99,41,0,0,0,0,0};
static C_char C_TLS li637[] C_aligned={C_lihdr(0,0,21),40,105,110,102,111,32,99,108,97,115,115,32,100,97,116,97,32,118,97,108,41,0,0,0};
static C_char C_TLS li638[] C_aligned={C_lihdr(0,0,8),40,115,107,105,112,32,99,41};
static C_char C_TLS li639[] C_aligned={C_lihdr(0,0,13),40,115,107,105,112,45,116,111,45,101,111,108,41,0,0,0};
static C_char C_TLS li640[] C_aligned={C_lihdr(0,0,22),40,114,101,115,101,114,118,101,100,45,99,104,97,114,97,99,116,101,114,32,99,41,0,0};
static C_char C_TLS li641[] C_aligned={C_lihdr(0,0,29),40,114,101,97,100,45,117,110,114,101,115,101,114,118,101,100,45,99,104,97,114,45,48,32,112,111,114,116,41,0,0,0};
static C_char C_TLS li642[] C_aligned={C_lihdr(0,0,8),40,108,111,111,112,32,99,41};
static C_char C_TLS li643[] C_aligned={C_lihdr(0,0,10),40,114,45,115,112,97,99,101,115,41,0,0,0,0,0,0};
static C_char C_TLS li644[] C_aligned={C_lihdr(0,0,12),40,108,111,111,112,32,115,101,113,32,110,41,0,0,0,0};
static C_char C_TLS li645[] C_aligned={C_lihdr(0,0,22),40,114,45,117,115,101,113,117,101,110,99,101,32,117,32,110,32,98,97,115,101,41,0,0};
static C_char C_TLS li646[] C_aligned={C_lihdr(0,0,10),40,108,112,32,105,32,108,115,116,41,0,0,0,0,0,0};
static C_char C_TLS li647[] C_aligned={C_lihdr(0,0,25),40,114,45,99,111,110,115,45,99,111,100,101,112,111,105,110,116,32,99,112,32,108,115,116,41,0,0,0,0,0,0,0};
static C_char C_TLS li648[] C_aligned={C_lihdr(0,0,14),40,101,97,116,45,119,115,32,99,32,110,108,63,41,0,0};
static C_char C_TLS li649[] C_aligned={C_lihdr(0,0,12),40,108,111,111,112,32,99,32,108,115,116,41,0,0,0,0};
static C_char C_TLS li650[] C_aligned={C_lihdr(0,0,15),40,114,45,115,116,114,105,110,103,32,116,101,114,109,41,0};
static C_char C_TLS li651[] C_aligned={C_lihdr(0,0,19),40,115,116,97,114,116,105,110,103,45,108,105,110,101,32,109,115,103,41,0,0,0,0,0};
static C_char C_TLS li652[] C_aligned={C_lihdr(0,0,11),40,102,95,50,49,48,53,52,32,99,41,0,0,0,0,0};
static C_char C_TLS li653[] C_aligned={C_lihdr(0,0,15),40,97,50,49,49,54,57,32,116,111,107,32,107,119,41,0};
static C_char C_TLS li654[] C_aligned={C_lihdr(0,0,11),40,108,111,111,112,32,108,97,115,116,41,0,0,0,0,0};
static C_char C_TLS li655[] C_aligned={C_lihdr(0,0,15),40,97,50,49,48,53,48,32,114,101,116,117,114,110,41,0};
static C_char C_TLS li656[] C_aligned={C_lihdr(0,0,18),40,114,45,108,105,115,116,32,115,116,97,114,116,32,101,110,100,41,0,0,0,0,0,0};
static C_char C_TLS li657[] C_aligned={C_lihdr(0,0,10),40,114,45,118,101,99,116,111,114,41,0,0,0,0,0,0};
static C_char C_TLS li658[] C_aligned={C_lihdr(0,0,15),40,97,50,49,50,57,55,32,116,111,107,32,107,119,41,0};
static C_char C_TLS li659[] C_aligned={C_lihdr(0,0,26),40,114,45,110,117,109,98,101,114,32,114,97,100,105,120,32,101,120,97,99,116,110,101,115,115,41,0,0,0,0,0,0};
static C_char C_TLS li660[] C_aligned={C_lihdr(0,0,31),40,114,45,110,117,109,98,101,114,45,119,105,116,104,45,101,120,97,99,116,110,101,115,115,32,114,97,100,105,120,41,0};
static C_char C_TLS li661[] C_aligned={C_lihdr(0,0,31),40,114,45,110,117,109,98,101,114,45,119,105,116,104,45,114,97,100,105,120,32,101,120,97,99,116,110,101,115,115,41,0};
static C_char C_TLS li662[] C_aligned={C_lihdr(0,0,12),40,108,111,111,112,32,99,32,108,115,116,41,0,0,0,0};
static C_char C_TLS li663[] C_aligned={C_lihdr(0,0,9),40,114,45,116,111,107,101,110,41,0,0,0,0,0,0,0};
static C_char C_TLS li664[] C_aligned={C_lihdr(0,0,12),40,108,111,111,112,32,99,32,108,115,116,41,0,0,0,0};
static C_char C_TLS li665[] C_aligned={C_lihdr(0,0,10),40,114,45,100,105,103,105,116,115,41,0,0,0,0,0,0};
static C_char C_TLS li666[] C_aligned={C_lihdr(0,0,15),40,97,50,49,53,57,53,32,115,116,114,32,107,119,41,0};
static C_char C_TLS li667[] C_aligned={C_lihdr(0,0,10),40,114,45,115,121,109,98,111,108,41,0,0,0,0,0,0};
static C_char C_TLS li668[] C_aligned={C_lihdr(0,0,14),40,108,111,111,112,32,108,115,116,32,115,107,119,41,0,0};
static C_char C_TLS li669[] C_aligned={C_lihdr(0,0,12),40,114,45,120,116,111,107,101,110,32,107,41,0,0,0,0};
static C_char C_TLS li670[] C_aligned={C_lihdr(0,0,8),40,114,45,99,104,97,114,41};
static C_char C_TLS li671[] C_aligned={C_lihdr(0,0,8),40,108,111,111,112,32,105,41};
static C_char C_TLS li672[] C_aligned={C_lihdr(0,0,11),40,114,45,99,111,109,109,101,110,116,41,0,0,0,0,0};
static C_char C_TLS li673[] C_aligned={C_lihdr(0,0,8),40,108,111,111,112,32,105,41};
static C_char C_TLS li674[] C_aligned={C_lihdr(0,0,14),40,114,45,101,120,116,45,115,121,109,98,111,108,41,0,0};
static C_char C_TLS li675[] C_aligned={C_lihdr(0,0,19),40,98,117,105,108,100,45,107,101,121,119,111,114,100,32,116,111,107,41,0,0,0,0,0};
static C_char C_TLS li676[] C_aligned={C_lihdr(0,0,8),40,97,50,50,50,52,56,41};
static C_char C_TLS li677[] C_aligned={C_lihdr(0,0,13),40,97,50,50,50,53,52,32,46,32,120,115,41,0,0,0};
static C_char C_TLS li678[] C_aligned={C_lihdr(0,0,8),40,97,50,50,51,57,49,41};
static C_char C_TLS li679[] C_aligned={C_lihdr(0,0,13),40,97,50,50,51,57,55,32,46,32,120,115,41,0,0,0};
static C_char C_TLS li680[] C_aligned={C_lihdr(0,0,8),40,97,50,50,52,54,50,41};
static C_char C_TLS li681[] C_aligned={C_lihdr(0,0,13),40,97,50,50,52,54,56,32,46,32,120,115,41,0,0,0};
static C_char C_TLS li682[] C_aligned={C_lihdr(0,0,8),40,97,50,50,53,55,54,41};
static C_char C_TLS li683[] C_aligned={C_lihdr(0,0,8),40,97,50,50,53,56,49,41};
static C_char C_TLS li684[] C_aligned={C_lihdr(0,0,8),40,97,50,50,53,56,55,41};
static C_char C_TLS li685[] C_aligned={C_lihdr(0,0,8),40,97,50,50,55,51,56,41};
static C_char C_TLS li686[] C_aligned={C_lihdr(0,0,15),40,97,50,50,55,52,57,32,115,116,114,32,107,119,41,0};
static C_char C_TLS li687[] C_aligned={C_lihdr(0,0,8),40,97,50,50,55,52,51,41};
static C_char C_TLS li688[] C_aligned={C_lihdr(0,0,8),40,97,50,50,55,55,56,41};
static C_char C_TLS li689[] C_aligned={C_lihdr(0,0,8),40,97,50,50,56,56,53,41};
static C_char C_TLS li690[] C_aligned={C_lihdr(0,0,13),40,97,50,50,56,57,49,32,46,32,120,115,41,0,0,0};
static C_char C_TLS li691[] C_aligned={C_lihdr(0,0,9),40,114,101,97,100,114,101,99,41,0,0,0,0,0,0,0};
static C_char C_TLS li692[] C_aligned={C_lihdr(0,0,29),40,35,35,115,121,115,35,114,101,97,100,32,112,111,114,116,32,105,110,102,111,104,97,110,100,108,101,114,41,0,0,0};
static C_char C_TLS li693[] C_aligned={C_lihdr(0,0,27),40,35,35,115,121,115,35,99,104,97,114,45,62,117,116,102,56,45,115,116,114,105,110,103,32,99,41,0,0,0,0,0};
static C_char C_TLS li694[] C_aligned={C_lihdr(0,0,28),40,35,35,115,121,115,35,117,110,105,99,111,100,101,45,115,117,114,114,111,103,97,116,101,63,32,110,41,0,0,0,0};
static C_char C_TLS li695[] C_aligned={C_lihdr(0,0,35),40,35,35,115,121,115,35,115,117,114,114,111,103,97,116,101,115,45,62,99,111,100,101,112,111,105,110,116,32,104,105,32,108,111,41,0,0,0,0,0};
static C_char C_TLS li696[] C_aligned={C_lihdr(0,0,7),40,104,101,120,32,99,41,0};
static C_char C_TLS li697[] C_aligned={C_lihdr(0,0,12),40,108,111,111,112,32,108,115,116,32,104,41,0,0,0,0};
static C_char C_TLS li698[] C_aligned={C_lihdr(0,0,36),40,35,35,115,121,115,35,114,101,97,100,45,98,121,116,101,118,101,99,116,111,114,45,108,105,116,101,114,97,108,32,112,111,114,116,41,0,0,0,0};
static C_char C_TLS li699[] C_aligned={C_lihdr(0,0,32),40,35,35,115,121,115,35,117,115,101,114,45,114,101,97,100,45,104,111,111,107,32,99,104,97,114,32,112,111,114,116,41};
static C_char C_TLS li700[] C_aligned={C_lihdr(0,0,24),40,35,35,115,121,115,35,119,114,105,116,101,45,99,104,97,114,45,48,32,99,32,112,41};
static C_char C_TLS li701[] C_aligned={C_lihdr(0,0,30),40,35,35,115,121,115,35,119,114,105,116,101,45,99,104,97,114,47,112,111,114,116,32,99,32,112,111,114,116,41,0,0};
static C_char C_TLS li702[] C_aligned={C_lihdr(0,0,28),40,115,99,104,101,109,101,35,119,114,105,116,101,45,99,104,97,114,32,99,32,46,32,114,101,115,116,41,0,0,0,0};
static C_char C_TLS li703[] C_aligned={C_lihdr(0,0,23),40,115,99,104,101,109,101,35,110,101,119,108,105,110,101,32,46,32,114,101,115,116,41,0};
static C_char C_TLS li704[] C_aligned={C_lihdr(0,0,23),40,115,99,104,101,109,101,35,119,114,105,116,101,32,120,32,46,32,114,101,115,116,41,0};
static C_char C_TLS li705[] C_aligned={C_lihdr(0,0,25),40,115,99,104,101,109,101,35,100,105,115,112,108,97,121,32,120,32,46,32,114,101,115,116,41,0,0,0,0,0,0,0};
static C_char C_TLS li706[] C_aligned={C_lihdr(0,0,25),40,102,111,114,45,101,97,99,104,45,108,111,111,112,53,48,57,56,32,103,53,49,48,53,41,0,0,0,0,0,0,0};
static C_char C_TLS li707[] C_aligned={C_lihdr(0,0,27),40,99,104,105,99,107,101,110,46,98,97,115,101,35,112,114,105,110,116,32,46,32,97,114,103,115,41,0,0,0,0,0};
static C_char C_TLS li708[] C_aligned={C_lihdr(0,0,25),40,102,111,114,45,101,97,99,104,45,108,111,111,112,53,49,51,48,32,103,53,49,51,55,41,0,0,0,0,0,0,0};
static C_char C_TLS li709[] C_aligned={C_lihdr(0,0,28),40,99,104,105,99,107,101,110,46,98,97,115,101,35,112,114,105,110,116,42,32,46,32,97,114,103,115,41,0,0,0,0};
static C_char C_TLS li710[] C_aligned={C_lihdr(0,0,17),40,111,117,116,115,116,114,32,112,111,114,116,32,115,116,114,41,0,0,0,0,0,0,0};
static C_char C_TLS li711[] C_aligned={C_lihdr(0,0,17),40,111,117,116,99,104,114,32,112,111,114,116,32,99,104,114,41,0,0,0,0,0,0,0};
static C_char C_TLS li712[] C_aligned={C_lihdr(0,0,17),40,111,117,116,115,121,109,32,112,111,114,116,32,115,121,109,41,0,0,0,0,0,0,0};
static C_char C_TLS li713[] C_aligned={C_lihdr(0,0,8),40,108,111,111,112,32,105,41};
static C_char C_TLS li714[] C_aligned={C_lihdr(0,0,25),40,111,117,116,114,101,97,100,97,98,108,101,115,121,109,32,112,111,114,116,32,115,116,114,41,0,0,0,0,0,0,0};
static C_char C_TLS li715[] C_aligned={C_lihdr(0,0,8),40,108,111,111,112,32,105,41};
static C_char C_TLS li716[] C_aligned={C_lihdr(0,0,22),40,115,121,109,45,105,115,45,114,101,97,100,97,98,108,101,63,32,115,116,114,41,0,0};
static C_char C_TLS li717[] C_aligned={C_lihdr(0,0,10),40,103,53,50,57,54,32,99,110,41,0,0,0,0,0,0};
static C_char C_TLS li718[] C_aligned={C_lihdr(0,0,16),40,100,111,108,111,111,112,53,51,50,49,32,105,32,99,41};
static C_char C_TLS li719[] C_aligned={C_lihdr(0,0,14),40,100,111,108,111,111,112,53,51,53,49,32,120,41,0,0};
static C_char C_TLS li720[] C_aligned={C_lihdr(0,0,14),40,100,111,108,111,111,112,53,51,54,53,32,105,41,0,0};
static C_char C_TLS li721[] C_aligned={C_lihdr(0,0,16),40,100,111,108,111,111,112,53,51,56,57,32,105,32,99,41};
static C_char C_TLS li722[] C_aligned={C_lihdr(0,0,7),40,111,117,116,32,120,41,0};
static C_char C_TLS li723[] C_aligned={C_lihdr(0,0,29),40,35,35,115,121,115,35,112,114,105,110,116,32,120,32,114,101,97,100,97,98,108,101,32,112,111,114,116,41,0,0,0};
static C_char C_TLS li724[] C_aligned={C_lihdr(0,0,27),40,35,35,115,121,115,35,112,114,111,99,101,100,117,114,101,45,62,115,116,114,105,110,103,32,120,41,0,0,0,0,0};
static C_char C_TLS li725[] C_aligned={C_lihdr(0,0,41),40,35,35,115,121,115,35,114,101,103,105,115,116,101,114,45,114,101,99,111,114,100,45,112,114,105,110,116,101,114,32,116,121,112,101,32,112,114,111,99,41,0,0,0,0,0,0,0};
static C_char C_TLS li726[] C_aligned={C_lihdr(0,0,8),40,97,50,52,57,52,54,41};
static C_char C_TLS li727[] C_aligned={C_lihdr(0,0,11),40,97,50,52,57,52,48,32,101,120,41,0,0,0,0,0};
static C_char C_TLS li728[] C_aligned={C_lihdr(0,0,8),40,97,50,52,57,57,55,41};
static C_char C_TLS li729[] C_aligned={C_lihdr(0,0,8),40,97,50,53,48,49,50,41};
static C_char C_TLS li730[] C_aligned={C_lihdr(0,0,15),40,97,50,53,48,48,54,32,46,32,97,114,103,115,41,0};
static C_char C_TLS li731[] C_aligned={C_lihdr(0,0,8),40,97,50,52,57,57,49,41};
static C_char C_TLS li732[] C_aligned={C_lihdr(0,0,10),40,97,50,52,57,51,52,32,107,41,0,0,0,0,0,0};
static C_char C_TLS li733[] C_aligned={C_lihdr(0,0,39),40,35,35,115,121,115,35,117,115,101,114,45,112,114,105,110,116,45,104,111,111,107,32,120,32,114,101,97,100,97,98,108,101,32,112,111,114,116,41,0};
static C_char C_TLS li734[] C_aligned={C_lihdr(0,0,8),40,97,50,53,48,55,57,41};
static C_char C_TLS li735[] C_aligned={C_lihdr(0,0,8),40,97,50,53,49,50,50,41};
static C_char C_TLS li736[] C_aligned={C_lihdr(0,0,8),40,97,50,53,49,50,56,41};
static C_char C_TLS li737[] C_aligned={C_lihdr(0,0,15),40,97,50,53,48,55,51,32,114,101,116,117,114,110,41,0};
static C_char C_TLS li738[] C_aligned={C_lihdr(0,0,43),40,35,35,115,121,115,35,119,105,116,104,45,112,114,105,110,116,45,108,101,110,103,116,104,45,108,105,109,105,116,32,108,105,109,105,116,32,116,104,117,110,107,41,0,0,0,0,0};
static C_char C_TLS li739[] C_aligned={C_lihdr(0,0,15),40,99,104,101,99,107,53,53,48,54,32,112,32,110,41,0};
static C_char C_TLS li740[] C_aligned={C_lihdr(0,0,10),40,97,51,49,50,55,48,32,112,41,0,0,0,0,0,0};
static C_char C_TLS li741[] C_aligned={C_lihdr(0,0,10),40,97,51,49,50,57,53,32,112,41,0,0,0,0,0,0};
static C_char C_TLS li742[] C_aligned={C_lihdr(0,0,12),40,97,51,49,51,49,51,32,112,32,99,41,0,0,0,0};
static C_char C_TLS li743[] C_aligned={C_lihdr(0,0,14),40,97,51,49,51,51,50,32,112,32,115,116,114,41,0,0};
static C_char C_TLS li744[] C_aligned={C_lihdr(0,0,10),40,97,51,49,51,53,49,32,112,41,0,0,0,0,0,0};
static C_char C_TLS li745[] C_aligned={C_lihdr(0,0,10),40,97,51,49,51,53,52,32,112,41,0,0,0,0,0,0};
static C_char C_TLS li746[] C_aligned={C_lihdr(0,0,23),40,97,51,49,51,53,55,32,112,32,110,32,100,101,115,116,32,115,116,97,114,116,41,0};
static C_char C_TLS li747[] C_aligned={C_lihdr(0,0,12),40,97,51,49,52,51,50,32,112,111,115,41,0,0,0,0};
static C_char C_TLS li748[] C_aligned={C_lihdr(0,0,8),40,97,51,49,52,50,50,41};
static C_char C_TLS li749[] C_aligned={C_lihdr(0,0,29),40,97,51,49,52,52,49,32,110,101,120,116,32,108,105,110,101,32,102,117,108,108,45,108,105,110,101,63,41,0,0,0};
static C_char C_TLS li750[] C_aligned={C_lihdr(0,0,16),40,97,51,49,51,57,56,32,112,32,108,105,109,105,116,41};
static C_char C_TLS li751[] C_aligned={C_lihdr(0,0,10),40,97,51,49,52,56,50,32,112,41,0,0,0,0,0,0};
static C_char C_TLS li752[] C_aligned={C_lihdr(0,0,37),40,99,111,112,121,38,97,112,112,101,110,100,32,98,117,102,32,111,102,102,115,101,116,32,112,111,115,32,111,108,100,45,108,105,110,101,41,0,0,0};
static C_char C_TLS li753[] C_aligned={C_lihdr(0,0,8),40,97,50,53,50,52,54,41};
static C_char C_TLS li754[] C_aligned={C_lihdr(0,0,25),40,97,50,53,50,53,50,32,98,117,102,32,111,102,102,115,101,116,32,108,105,109,105,116,41,0,0,0,0,0,0,0};
static C_char C_TLS li755[] C_aligned={C_lihdr(0,0,8),40,97,50,53,51,49,48,41};
static C_char C_TLS li756[] C_aligned={C_lihdr(0,0,25),40,97,50,53,51,49,54,32,98,117,102,32,111,102,102,115,101,116,32,108,105,109,105,116,41,0,0,0,0,0,0,0};
static C_char C_TLS li757[] C_aligned={C_lihdr(0,0,32),40,108,111,111,112,32,98,117,102,32,111,102,102,115,101,116,32,112,111,115,32,108,105,109,105,116,32,108,105,110,101,41};
static C_char C_TLS li758[] C_aligned={C_lihdr(0,0,56),40,35,35,115,121,115,35,115,99,97,110,45,98,117,102,102,101,114,45,108,105,110,101,32,98,117,102,32,108,105,109,105,116,32,115,116,97,114,116,45,112,111,115,32,101,111,115,45,104,97,110,100,108,101,114,41};
static C_char C_TLS li759[] C_aligned={C_lihdr(0,0,39),40,99,104,105,99,107,101,110,46,98,97,115,101,35,111,112,101,110,45,105,110,112,117,116,45,115,116,114,105,110,103,32,115,116,114,105,110,103,41,0};
static C_char C_TLS li760[] C_aligned={C_lihdr(0,0,33),40,99,104,105,99,107,101,110,46,98,97,115,101,35,111,112,101,110,45,111,117,116,112,117,116,45,115,116,114,105,110,103,41,0,0,0,0,0,0,0};
static C_char C_TLS li761[] C_aligned={C_lihdr(0,0,37),40,99,104,105,99,107,101,110,46,98,97,115,101,35,103,101,116,45,111,117,116,112,117,116,45,115,116,114,105,110,103,32,112,111,114,116,41,0,0,0};
static C_char C_TLS li762[] C_aligned={C_lihdr(0,0,9),40,103,53,54,51,54,32,120,41,0,0,0,0,0,0,0};
static C_char C_TLS li763[] C_aligned={C_lihdr(0,0,25),40,102,111,114,45,101,97,99,104,45,108,111,111,112,53,54,51,53,32,103,53,54,52,50,41,0,0,0,0,0,0,0};
static C_char C_TLS li764[] C_aligned={C_lihdr(0,0,26),40,35,35,115,121,115,35,112,114,105,110,116,45,116,111,45,115,116,114,105,110,103,32,120,115,41,0,0,0,0,0,0};
static C_char C_TLS li765[] C_aligned={C_lihdr(0,0,25),40,35,35,115,121,115,35,112,111,105,110,116,101,114,45,62,115,116,114,105,110,103,32,120,41,0,0,0,0,0,0,0};
static C_char C_TLS li766[] C_aligned={C_lihdr(0,0,8),40,108,111,111,112,32,105,41};
static C_char C_TLS li767[] C_aligned={C_lihdr(0,0,36),40,99,104,105,99,107,101,110,46,98,97,115,101,35,103,101,116,45,99,97,108,108,45,99,104,97,105,110,32,46,32,114,101,115,116,41,0,0,0,0};
static C_char C_TLS li768[] C_aligned={C_lihdr(0,0,8),40,97,50,53,55,53,56,41};
static C_char C_TLS li769[] C_aligned={C_lihdr(0,0,12),40,103,53,55,48,50,32,105,110,102,111,41,0,0,0,0};
static C_char C_TLS li770[] C_aligned={C_lihdr(0,0,25),40,102,111,114,45,101,97,99,104,45,108,111,111,112,53,55,48,49,32,103,53,55,48,56,41,0,0,0,0,0,0,0};
static C_char C_TLS li771[] C_aligned={C_lihdr(0,0,49),40,35,35,115,121,115,35,114,101,97,108,108,121,45,112,114,105,110,116,45,99,97,108,108,45,99,104,97,105,110,32,112,111,114,116,32,99,104,97,105,110,32,104,101,97,100,101,114,41,0,0,0,0,0,0,0};
static C_char C_TLS li772[] C_aligned={C_lihdr(0,0,38),40,99,104,105,99,107,101,110,46,98,97,115,101,35,112,114,105,110,116,45,99,97,108,108,45,99,104,97,105,110,32,46,32,114,101,115,116,41,0,0};
static C_char C_TLS li773[] C_aligned={C_lihdr(0,0,7),40,98,114,101,97,107,41,0};
static C_char C_TLS li774[] C_aligned={C_lihdr(0,0,27),40,35,35,115,121,115,35,117,115,101,114,45,105,110,116,101,114,114,117,112,116,45,104,111,111,107,41,0,0,0,0,0};
static C_char C_TLS li775[] C_aligned={C_lihdr(0,0,25),40,102,111,114,45,101,97,99,104,45,108,111,111,112,53,55,54,49,32,103,53,55,54,56,41,0,0,0,0,0,0,0};
static C_char C_TLS li776[] C_aligned={C_lihdr(0,0,6),40,108,111,111,112,41,0,0};
static C_char C_TLS li777[] C_aligned={C_lihdr(0,0,21),40,99,108,101,97,110,117,112,45,98,101,102,111,114,101,45,101,120,105,116,41,0,0,0};
static C_char C_TLS li778[] C_aligned={C_lihdr(0,0,8),40,97,50,54,48,54,55,41};
static C_char C_TLS li779[] C_aligned={C_lihdr(0,0,25),40,102,111,114,45,101,97,99,104,45,108,111,111,112,53,56,50,57,32,103,53,56,51,54,41,0,0,0,0,0,0,0};
static C_char C_TLS li780[] C_aligned={C_lihdr(0,0,35),40,35,35,115,121,115,35,115,105,103,110,97,108,45,104,111,111,107,32,109,111,100,101,32,109,115,103,32,46,32,97,114,103,115,41,0,0,0,0,0};
static C_char C_TLS li781[] C_aligned={C_lihdr(0,0,27),40,99,104,105,99,107,101,110,46,99,111,110,100,105,116,105,111,110,35,97,98,111,114,116,32,120,41,0,0,0,0,0};
static C_char C_TLS li782[] C_aligned={C_lihdr(0,0,28),40,99,104,105,99,107,101,110,46,99,111,110,100,105,116,105,111,110,35,115,105,103,110,97,108,32,120,41,0,0,0,0};
static C_char C_TLS li783[] C_aligned={C_lihdr(0,0,35),40,35,35,115,121,115,35,99,117,114,114,101,110,116,45,101,120,99,101,112,116,105,111,110,45,104,97,110,100,108,101,114,32,99,41,0,0,0,0,0};
static C_char C_TLS li784[] C_aligned={C_lihdr(0,0,8),40,97,50,54,53,48,55,41};
static C_char C_TLS li785[] C_aligned={C_lihdr(0,0,8),40,97,50,54,53,49,49,41};
static C_char C_TLS li786[] C_aligned={C_lihdr(0,0,56),40,99,104,105,99,107,101,110,46,99,111,110,100,105,116,105,111,110,35,119,105,116,104,45,101,120,99,101,112,116,105,111,110,45,104,97,110,100,108,101,114,32,104,97,110,100,108,101,114,32,116,104,117,110,107,41};
static C_char C_TLS li787[] C_aligned={C_lihdr(0,0,10),40,98,111,100,121,53,57,56,57,41,0,0,0,0,0,0};
static C_char C_TLS li788[] C_aligned={C_lihdr(0,0,52),40,99,104,105,99,107,101,110,46,99,111,110,100,105,116,105,111,110,35,99,117,114,114,101,110,116,45,101,120,99,101,112,116,105,111,110,45,104,97,110,100,108,101,114,32,46,32,97,114,103,115,41,0,0,0,0};
static C_char C_TLS li789[] C_aligned={C_lihdr(0,0,12),40,108,111,111,112,32,112,114,111,112,115,41,0,0,0,0};
static C_char C_TLS li790[] C_aligned={C_lihdr(0,0,69),40,99,104,105,99,107,101,110,46,99,111,110,100,105,116,105,111,110,35,112,114,111,112,45,108,105,115,116,45,62,107,105,110,100,45,112,114,101,102,105,120,101,100,45,112,114,111,112,45,108,105,115,116,32,108,111,99,32,107,105,110,100,32,112,108,105,115,116,41,0,0,0};
static C_char C_TLS li791[] C_aligned={C_lihdr(0,0,56),40,99,104,105,99,107,101,110,46,99,111,110,100,105,116,105,111,110,35,109,97,107,101,45,112,114,111,112,101,114,116,121,45,99,111,110,100,105,116,105,111,110,32,107,105,110,100,32,46,32,112,114,111,112,115,41};
static C_char C_TLS li792[] C_aligned={C_lihdr(0,0,19),40,102,111,114,45,101,97,99,104,45,108,111,111,112,54,48,51,51,41,0,0,0,0,0};
static C_char C_TLS li793[] C_aligned={C_lihdr(0,0,20),40,109,97,112,45,108,111,111,112,54,48,55,56,32,103,54,48,57,48,41,0,0,0,0};
static C_char C_TLS li794[] C_aligned={C_lihdr(0,0,20),40,109,97,112,45,108,111,111,112,54,48,53,49,32,103,54,48,54,51,41,0,0,0,0};
static C_char C_TLS li795[] C_aligned={C_lihdr(0,0,55),40,99,104,105,99,107,101,110,46,99,111,110,100,105,116,105,111,110,35,109,97,107,101,45,99,111,109,112,111,115,105,116,101,45,99,111,110,100,105,116,105,111,110,32,99,49,32,46,32,99,111,110,100,115,41,0};
static C_char C_TLS li796[] C_aligned={C_lihdr(0,0,20),40,109,97,112,45,108,111,111,112,54,49,51,56,32,103,54,49,53,48,41,0,0,0,0};
static C_char C_TLS li797[] C_aligned={C_lihdr(0,0,20),40,109,97,112,45,108,111,111,112,54,49,49,49,32,103,54,49,50,51,41,0,0,0,0};
static C_char C_TLS li798[] C_aligned={C_lihdr(0,0,41),40,99,104,105,99,107,101,110,46,99,111,110,100,105,116,105,111,110,35,99,111,110,100,105,116,105,111,110,32,97,114,103,49,32,46,32,97,114,103,115,41,0,0,0,0,0,0,0};
static C_char C_TLS li799[] C_aligned={C_lihdr(0,0,32),40,99,104,105,99,107,101,110,46,99,111,110,100,105,116,105,111,110,35,99,111,110,100,105,116,105,111,110,63,32,120,41};
static C_char C_TLS li800[] C_aligned={C_lihdr(0,0,12),40,108,111,111,112,32,112,114,111,112,115,41,0,0,0,0};
static C_char C_TLS li801[] C_aligned={C_lihdr(0,0,9),40,103,54,49,55,52,32,107,41,0,0,0,0,0,0,0};
static C_char C_TLS li802[] C_aligned={C_lihdr(0,0,20),40,109,97,112,45,108,111,111,112,54,49,54,56,32,103,54,49,56,48,41,0,0,0,0};
static C_char C_TLS li803[] C_aligned={C_lihdr(0,0,37),40,99,104,105,99,107,101,110,46,99,111,110,100,105,116,105,111,110,35,99,111,110,100,105,116,105,111,110,45,62,108,105,115,116,32,120,41,0,0,0};
static C_char C_TLS li804[] C_aligned={C_lihdr(0,0,11),40,102,95,50,55,48,51,48,32,99,41,0,0,0,0,0};
static C_char C_TLS li805[] C_aligned={C_lihdr(0,0,44),40,99,104,105,99,107,101,110,46,99,111,110,100,105,116,105,111,110,35,99,111,110,100,105,116,105,111,110,45,112,114,101,100,105,99,97,116,101,32,107,105,110,100,41,0,0,0,0};
static C_char C_TLS li806[] C_aligned={C_lihdr(0,0,11),40,102,95,50,55,48,53,55,32,99,41,0,0,0,0,0};
static C_char C_TLS li807[] C_aligned={C_lihdr(0,0,67),40,99,104,105,99,107,101,110,46,99,111,110,100,105,116,105,111,110,35,99,111,110,100,105,116,105,111,110,45,112,114,111,112,101,114,116,121,45,97,99,99,101,115,115,111,114,32,107,105,110,100,32,112,114,111,112,32,46,32,101,114,114,45,100,101,102,41,0,0,0,0,0};
static C_char C_TLS li808[] C_aligned={C_lihdr(0,0,64),40,99,104,105,99,107,101,110,46,99,111,110,100,105,116,105,111,110,35,103,101,116,45,99,111,110,100,105,116,105,111,110,45,112,114,111,112,101,114,116,121,32,99,32,107,105,110,100,32,112,114,111,112,32,46,32,101,114,114,45,100,101,102,41};
static C_char C_TLS li809[] C_aligned={C_lihdr(0,0,8),40,97,50,55,49,50,51,41};
static C_char C_TLS li810[] C_aligned={C_lihdr(0,0,9),40,103,54,50,51,57,32,120,41,0,0,0,0,0,0,0};
static C_char C_TLS li811[] C_aligned={C_lihdr(0,0,25),40,102,111,114,45,101,97,99,104,45,108,111,111,112,54,50,51,56,32,103,54,50,52,53,41,0,0,0,0,0,0,0};
static C_char C_TLS li812[] C_aligned={C_lihdr(0,0,21),40,119,114,105,116,101,97,114,103,115,32,97,114,103,115,32,112,111,114,116,41,0,0,0};
static C_char C_TLS li813[] C_aligned={C_lihdr(0,0,11),40,103,54,50,56,50,32,109,115,103,41,0,0,0,0,0};
static C_char C_TLS li814[] C_aligned={C_lihdr(0,0,22),40,98,111,100,121,54,50,53,57,32,112,111,114,116,32,104,101,97,100,101,114,41,0,0};
static C_char C_TLS li815[] C_aligned={C_lihdr(0,0,22),40,100,101,102,45,104,101,97,100,101,114,54,50,54,50,32,37,112,111,114,116,41,0,0};
static C_char C_TLS li816[] C_aligned={C_lihdr(0,0,14),40,100,101,102,45,112,111,114,116,54,50,54,49,41,0,0};
static C_char C_TLS li817[] C_aligned={C_lihdr(0,0,49),40,99,104,105,99,107,101,110,46,99,111,110,100,105,116,105,111,110,35,112,114,105,110,116,45,101,114,114,111,114,45,109,101,115,115,97,103,101,32,101,120,32,46,32,97,114,103,115,41,0,0,0,0,0,0,0};
static C_char C_TLS li818[] C_aligned={C_lihdr(0,0,47),40,35,35,115,121,115,35,115,104,111,119,45,101,120,99,101,112,116,105,111,110,45,119,97,114,110,105,110,103,32,101,120,110,32,99,97,117,115,101,32,46,32,114,101,115,116,41,0};
static C_char C_TLS li819[] C_aligned={C_lihdr(0,0,34),40,35,35,115,121,115,35,101,114,114,111,114,45,104,111,111,107,32,99,111,100,101,32,108,111,99,32,46,32,97,114,103,115,41,0,0,0,0,0,0};
static C_char C_TLS li820[] C_aligned={C_lihdr(0,0,22),40,35,35,115,121,115,35,115,116,114,117,99,116,117,114,101,63,32,120,32,115,41,0,0};
static C_char C_TLS li821[] C_aligned={C_lihdr(0,0,28),40,35,35,115,121,115,35,103,101,110,101,114,105,99,45,115,116,114,117,99,116,117,114,101,63,32,120,41,0,0,0,0};
static C_char C_TLS li822[] C_aligned={C_lihdr(0,0,16),40,35,35,115,121,115,35,115,108,111,116,32,120,32,105,41};
static C_char C_TLS li823[] C_aligned={C_lihdr(0,0,14),40,35,35,115,121,115,35,115,105,122,101,32,120,41,0,0};
static C_char C_TLS li824[] C_aligned={C_lihdr(0,0,14),67,95,109,97,107,101,95,112,111,105,110,116,101,114,0,0};
static C_char C_TLS li825[] C_aligned={C_lihdr(0,0,21),67,95,109,97,107,101,95,116,97,103,103,101,100,95,112,111,105,110,116,101,114,0,0,0};
static C_char C_TLS li826[] C_aligned={C_lihdr(0,0,18),40,35,35,115,121,115,35,112,111,105,110,116,101,114,63,32,120,41,0,0,0,0,0,0};
static C_char C_TLS li827[] C_aligned={C_lihdr(0,0,37),40,35,35,115,121,115,35,115,101,116,45,112,111,105,110,116,101,114,45,97,100,100,114,101,115,115,33,32,112,116,114,32,97,100,100,114,41,0,0,0};
static C_char C_TLS li828[] C_aligned={C_lihdr(0,0,21),40,35,35,115,121,115,35,98,121,116,101,118,101,99,116,111,114,63,32,120,41,0,0,0};
static C_char C_TLS li829[] C_aligned={C_lihdr(0,0,29),40,35,35,115,121,115,35,115,116,114,105,110,103,45,62,112,98,121,116,101,118,101,99,116,111,114,32,115,41,0,0,0};
static C_char C_TLS li830[] C_aligned={C_lihdr(0,0,20),40,35,35,115,121,115,35,112,101,114,109,97,110,101,110,116,63,32,120,41,0,0,0,0};
static C_char C_TLS li831[] C_aligned={C_lihdr(0,0,23),40,35,35,115,121,115,35,98,108,111,99,107,45,97,100,100,114,101,115,115,32,120,41,0};
static C_char C_TLS li832[] C_aligned={C_lihdr(0,0,19),40,35,35,115,121,115,35,108,111,99,97,116,105,118,101,63,32,120,41,0,0,0,0,0};
static C_char C_TLS li833[] C_aligned={C_lihdr(0,0,24),40,35,35,115,121,115,35,115,114,102,105,45,52,45,118,101,99,116,111,114,63,32,120,41};
static C_char C_TLS li834[] C_aligned={C_lihdr(0,0,20),40,35,35,115,121,115,35,110,117,108,108,45,112,111,105,110,116,101,114,41,0,0,0,0};
static C_char C_TLS li835[] C_aligned={C_lihdr(0,0,23),40,35,35,115,121,115,35,110,117,108,108,45,112,111,105,110,116,101,114,63,32,120,41,0};
static C_char C_TLS li836[] C_aligned={C_lihdr(0,0,29),40,35,35,115,121,115,35,97,100,100,114,101,115,115,45,62,112,111,105,110,116,101,114,32,97,100,100,114,41,0,0,0};
static C_char C_TLS li837[] C_aligned={C_lihdr(0,0,28),40,35,35,115,121,115,35,112,111,105,110,116,101,114,45,62,97,100,100,114,101,115,115,32,112,116,114,41,0,0,0,0};
static C_char C_TLS li838[] C_aligned={C_lihdr(0,0,32),40,35,35,115,121,115,35,109,97,107,101,45,99,45,115,116,114,105,110,103,32,115,116,114,32,46,32,114,101,115,116,41};
static C_char C_TLS li839[] C_aligned={C_lihdr(0,0,21),67,95,112,101,101,107,95,115,105,103,110,101,100,95,105,110,116,101,103,101,114,0,0,0};
static C_char C_TLS li840[] C_aligned={C_lihdr(0,0,23),67,95,112,101,101,107,95,117,110,115,105,103,110,101,100,95,105,110,116,101,103,101,114,0};
static C_char C_TLS li841[] C_aligned={C_lihdr(0,0,23),40,35,35,115,121,115,35,112,101,101,107,45,102,105,120,110,117,109,32,98,32,105,41,0};
static C_char C_TLS li842[] C_aligned={C_lihdr(0,0,23),40,35,35,115,121,115,35,112,101,101,107,45,98,121,116,101,32,112,116,114,32,105,41,0};
static C_char C_TLS li843[] C_aligned={C_lihdr(0,0,30),40,35,35,115,121,115,35,118,101,99,116,111,114,45,62,115,116,114,117,99,116,117,114,101,33,32,118,101,99,41,0,0};
static C_char C_TLS li844[] C_aligned={C_lihdr(0,0,23),40,35,35,115,121,115,35,112,101,101,107,45,100,111,117,98,108,101,32,98,32,105,41,0};
static C_char C_TLS li845[] C_aligned={C_lihdr(0,0,25),40,35,35,115,121,115,35,112,101,101,107,45,99,45,115,116,114,105,110,103,32,98,32,105,41,0,0,0,0,0,0,0};
static C_char C_TLS li846[] C_aligned={C_lihdr(0,0,33),40,35,35,115,121,115,35,112,101,101,107,45,110,111,110,110,117,108,108,45,99,45,115,116,114,105,110,103,32,98,32,105,41,0,0,0,0,0,0,0};
static C_char C_TLS li847[] C_aligned={C_lihdr(0,0,34),40,35,35,115,121,115,35,112,101,101,107,45,97,110,100,45,102,114,101,101,45,99,45,115,116,114,105,110,103,32,98,32,105,41,0,0,0,0,0,0};
static C_char C_TLS li848[] C_aligned={C_lihdr(0,0,42),40,35,35,115,121,115,35,112,101,101,107,45,97,110,100,45,102,114,101,101,45,110,111,110,110,117,108,108,45,99,45,115,116,114,105,110,103,32,98,32,105,41,0,0,0,0,0,0};
static C_char C_TLS li849[] C_aligned={C_lihdr(0,0,27),40,35,35,115,121,115,35,112,111,107,101,45,99,45,115,116,114,105,110,103,32,98,32,105,32,115,41,0,0,0,0,0};
static C_char C_TLS li850[] C_aligned={C_lihdr(0,0,26),40,35,35,115,121,115,35,112,111,107,101,45,105,110,116,101,103,101,114,32,98,32,105,32,110,41,0,0,0,0,0,0};
static C_char C_TLS li851[] C_aligned={C_lihdr(0,0,25),40,35,35,115,121,115,35,112,111,107,101,45,100,111,117,98,108,101,32,98,32,105,32,110,41,0,0,0,0,0,0,0};
static C_char C_TLS li852[] C_aligned={C_lihdr(0,0,8),40,108,111,111,112,32,105,41};
static C_char C_TLS li853[] C_aligned={C_lihdr(0,0,32),40,35,35,115,121,115,35,112,101,101,107,45,99,45,115,116,114,105,110,103,45,108,105,115,116,32,112,116,114,32,110,41};
static C_char C_TLS li854[] C_aligned={C_lihdr(0,0,8),40,108,111,111,112,32,105,41};
static C_char C_TLS li855[] C_aligned={C_lihdr(0,0,41),40,35,35,115,121,115,35,112,101,101,107,45,97,110,100,45,102,114,101,101,45,99,45,115,116,114,105,110,103,45,108,105,115,116,32,112,116,114,32,110,41,0,0,0,0,0,0,0};
static C_char C_TLS li856[] C_aligned={C_lihdr(0,0,33),40,35,35,115,121,115,35,118,101,99,116,111,114,45,62,99,108,111,115,117,114,101,33,32,118,101,99,32,97,100,100,114,41,0,0,0,0,0,0,0};
static C_char C_TLS li857[] C_aligned={C_lihdr(0,0,38),40,35,35,115,121,115,35,115,121,109,98,111,108,45,104,97,115,45,116,111,112,108,101,118,101,108,45,98,105,110,100,105,110,103,63,32,115,41,0,0};
static C_char C_TLS li858[] C_aligned={C_lihdr(0,0,48),40,35,35,115,121,115,35,99,111,112,121,45,98,121,116,101,115,32,102,114,111,109,32,116,111,32,111,102,102,115,101,116,49,32,111,102,102,115,101,116,50,32,98,121,116,101,115,41};
static C_char C_TLS li859[] C_aligned={C_lihdr(0,0,48),40,35,35,115,121,115,35,99,111,112,121,45,119,111,114,100,115,32,102,114,111,109,32,116,111,32,111,102,102,115,101,116,49,32,111,102,102,115,101,116,50,32,119,111,114,100,115,41};
static C_char C_TLS li860[] C_aligned={C_lihdr(0,0,51),40,35,35,115,121,115,35,99,111,109,112,97,114,101,45,98,121,116,101,115,32,102,114,111,109,32,116,111,32,111,102,102,115,101,116,49,32,111,102,102,115,101,116,50,32,98,121,116,101,115,41,0,0,0,0,0};
static C_char C_TLS li861[] C_aligned={C_lihdr(0,0,23),40,35,35,115,121,115,35,98,108,111,99,107,45,112,111,105,110,116,101,114,32,120,41,0};
static C_char C_TLS li862[] C_aligned={C_lihdr(0,0,31),40,35,35,115,121,115,35,102,111,114,101,105,103,110,45,99,104,97,114,45,97,114,103,117,109,101,110,116,32,120,41,0};
static C_char C_TLS li863[] C_aligned={C_lihdr(0,0,33),40,35,35,115,121,115,35,102,111,114,101,105,103,110,45,102,105,120,110,117,109,45,97,114,103,117,109,101,110,116,32,120,41,0,0,0,0,0,0,0};
static C_char C_TLS li864[] C_aligned={C_lihdr(0,0,33),40,35,35,115,121,115,35,102,111,114,101,105,103,110,45,102,108,111,110,117,109,45,97,114,103,117,109,101,110,116,32,120,41,0,0,0,0,0,0,0};
static C_char C_TLS li865[] C_aligned={C_lihdr(0,0,32),40,35,35,115,121,115,35,102,111,114,101,105,103,110,45,98,108,111,99,107,45,97,114,103,117,109,101,110,116,32,120,41};
static C_char C_TLS li866[] C_aligned={C_lihdr(0,0,43),40,35,35,115,121,115,35,102,111,114,101,105,103,110,45,115,116,114,117,99,116,45,119,114,97,112,112,101,114,45,97,114,103,117,109,101,110,116,32,116,32,120,41,0,0,0,0,0};
static C_char C_TLS li867[] C_aligned={C_lihdr(0,0,33),40,35,35,115,121,115,35,102,111,114,101,105,103,110,45,115,116,114,105,110,103,45,97,114,103,117,109,101,110,116,32,120,41,0,0,0,0,0,0,0};
static C_char C_TLS li868[] C_aligned={C_lihdr(0,0,33),40,35,35,115,121,115,35,102,111,114,101,105,103,110,45,115,121,109,98,111,108,45,97,114,103,117,109,101,110,116,32,120,41,0,0,0,0,0,0,0};
static C_char C_TLS li869[] C_aligned={C_lihdr(0,0,34),40,35,35,115,121,115,35,102,111,114,101,105,103,110,45,112,111,105,110,116,101,114,45,97,114,103,117,109,101,110,116,32,120,41,0,0,0,0,0,0};
static C_char C_TLS li870[] C_aligned={C_lihdr(0,0,44),40,35,35,115,121,115,35,102,111,114,101,105,103,110,45,116,97,103,103,101,100,45,112,111,105,110,116,101,114,45,97,114,103,117,109,101,110,116,32,120,32,116,120,41,0,0,0,0};
static C_char C_TLS li871[] C_aligned={C_lihdr(0,0,48),40,35,35,115,121,115,35,102,111,114,101,105,103,110,45,114,97,110,103,101,100,45,105,110,116,101,103,101,114,45,97,114,103,117,109,101,110,116,32,111,98,106,32,115,105,122,101,41};
static C_char C_TLS li872[] C_aligned={C_lihdr(0,0,57),40,35,35,115,121,115,35,102,111,114,101,105,103,110,45,117,110,115,105,103,110,101,100,45,114,97,110,103,101,100,45,105,110,116,101,103,101,114,45,97,114,103,117,109,101,110,116,32,111,98,106,32,115,105,122,101,41,0,0,0,0,0,0,0};
static C_char C_TLS li873[] C_aligned={C_lihdr(0,0,37),40,35,35,115,121,115,35,100,101,102,97,117,108,116,45,101,120,99,101,112,116,105,111,110,45,104,97,110,100,108,101,114,32,97,114,103,41,0,0,0};
static C_char C_TLS li874[] C_aligned={C_lihdr(0,0,38),40,35,35,115,121,115,35,109,97,107,101,45,116,104,114,101,97,100,32,116,104,117,110,107,32,115,116,97,116,101,32,110,97,109,101,32,113,41,0,0};
static C_char C_TLS li875[] C_aligned={C_lihdr(0,0,27),40,35,35,115,121,115,35,109,97,107,101,45,109,117,116,101,120,32,105,100,32,111,119,110,101,114,41,0,0,0,0,0};
static C_char C_TLS li876[] C_aligned={C_lihdr(0,0,16),40,35,35,115,121,115,35,115,99,104,101,100,117,108,101,41};
static C_char C_TLS li877[] C_aligned={C_lihdr(0,0,8),40,97,50,56,52,55,55,41};
static C_char C_TLS li878[] C_aligned={C_lihdr(0,0,15),40,97,50,56,52,54,56,32,114,101,116,117,114,110,41,0};
static C_char C_TLS li879[] C_aligned={C_lihdr(0,0,21),40,35,35,115,121,115,35,116,104,114,101,97,100,45,121,105,101,108,100,33,41,0,0,0};
static C_char C_TLS li880[] C_aligned={C_lihdr(0,0,32),40,35,35,115,121,115,35,107,105,108,108,45,111,116,104,101,114,45,116,104,114,101,97,100,115,32,116,104,117,110,107,41};
static C_char C_TLS li881[] C_aligned={C_lihdr(0,0,27),40,99,104,105,99,107,101,110,46,98,97,115,101,35,115,108,101,101,112,45,104,111,111,107,32,110,41,0,0,0,0,0};
static C_char C_TLS li882[] C_aligned={C_lihdr(0,0,22),40,99,104,105,99,107,101,110,46,98,97,115,101,35,115,108,101,101,112,32,110,41,0,0};
static C_char C_TLS li883[] C_aligned={C_lihdr(0,0,16),67,95,99,111,110,116,101,120,116,95,115,119,105,116,99,104};
static C_char C_TLS li884[] C_aligned={C_lihdr(0,0,13),40,108,111,111,112,32,114,101,97,115,111,110,41,0,0,0};
static C_char C_TLS li885[] C_aligned={C_lihdr(0,0,35),40,35,35,115,121,115,35,105,110,116,101,114,114,117,112,116,45,104,111,111,107,32,114,101,97,115,111,110,32,115,116,97,116,101,41,0,0,0,0,0};
static C_char C_TLS li886[] C_aligned={C_lihdr(0,0,28),40,35,35,115,121,115,35,100,105,115,112,97,116,99,104,45,105,110,116,101,114,114,117,112,116,32,107,41,0,0,0,0};
static C_char C_TLS li887[] C_aligned={C_lihdr(0,0,20),40,35,35,115,121,115,35,117,112,100,97,116,101,45,101,114,114,110,111,41,0,0,0,0};
static C_char C_TLS li888[] C_aligned={C_lihdr(0,0,13),40,35,35,115,121,115,35,101,114,114,110,111,41,0,0,0};
static C_char C_TLS li889[] C_aligned={C_lihdr(0,0,14),40,100,111,108,111,111,112,54,54,54,48,32,99,41,0,0};
static C_char C_TLS li890[] C_aligned={C_lihdr(0,0,13),40,114,101,97,100,108,110,32,112,111,114,116,41,0,0,0};
static C_char C_TLS li891[] C_aligned={C_lihdr(0,0,6),40,108,111,111,112,41,0,0};
static C_char C_TLS li892[] C_aligned={C_lihdr(0,0,36),40,114,101,97,100,45,101,115,99,97,112,101,100,45,115,101,120,112,32,112,111,114,116,32,115,107,105,112,45,98,114,97,99,101,63,41,0,0,0,0};
static C_char C_TLS li893[] C_aligned={C_lihdr(0,0,15),40,100,111,108,111,111,112,54,54,57,53,32,108,110,41,0};
static C_char C_TLS li894[] C_aligned={C_lihdr(0,0,15),40,103,101,116,47,99,108,101,97,114,45,115,116,114,41,0};
static C_char C_TLS li895[] C_aligned={C_lihdr(0,0,27),40,108,111,111,112,50,32,108,115,116,32,110,101,120,116,45,115,116,114,105,110,103,32,97,99,99,41,0,0,0,0,0};
static C_char C_TLS li896[] C_aligned={C_lihdr(0,0,10),40,108,111,111,112,32,108,115,116,41,0,0,0,0,0,0};
static C_char C_TLS li897[] C_aligned={C_lihdr(0,0,32),40,35,35,115,121,115,35,117,115,101,114,45,114,101,97,100,45,104,111,111,107,32,99,104,97,114,32,112,111,114,116,41};
static C_char C_TLS li898[] C_aligned={C_lihdr(0,0,47),40,99,104,105,99,107,101,110,46,112,114,111,99,101,115,115,45,99,111,110,116,101,120,116,35,99,104,97,110,103,101,45,100,105,114,101,99,116,111,114,121,32,110,97,109,101,41,0};
static C_char C_TLS li899[] C_aligned={C_lihdr(0,0,33),40,35,35,115,121,115,35,99,104,97,110,103,101,45,100,105,114,101,99,116,111,114,121,45,104,111,111,107,32,100,105,114,41,0,0,0,0,0,0,0};
static C_char C_TLS li900[] C_aligned={C_lihdr(0,0,63),40,99,104,105,99,107,101,110,46,112,114,111,99,101,115,115,45,99,111,110,116,101,120,116,35,103,101,116,45,101,110,118,105,114,111,110,109,101,110,116,45,118,97,114,105,97,98,108,101,32,99,45,115,116,114,105,110,103,54,56,49,50,41,0};
static C_char C_TLS li901[] C_aligned={C_lihdr(0,0,59),40,99,104,105,99,107,101,110,46,112,114,111,99,101,115,115,45,99,111,110,116,101,120,116,35,115,101,116,45,101,110,118,105,114,111,110,109,101,110,116,45,118,97,114,105,97,98,108,101,33,32,118,97,114,32,118,97,108,41,0,0,0,0,0};
static C_char C_TLS li902[] C_aligned={C_lihdr(0,0,57),40,99,104,105,99,107,101,110,46,112,114,111,99,101,115,115,45,99,111,110,116,101,120,116,35,117,110,115,101,116,45,101,110,118,105,114,111,110,109,101,110,116,45,118,97,114,105,97,98,108,101,33,32,118,97,114,41,0,0,0,0,0,0,0};
static C_char C_TLS li903[] C_aligned={C_lihdr(0,0,8),40,115,99,97,110,32,106,41};
static C_char C_TLS li904[] C_aligned={C_lihdr(0,0,8),40,108,111,111,112,32,105,41};
static C_char C_TLS li905[] C_aligned={C_lihdr(0,0,51),40,99,104,105,99,107,101,110,46,112,114,111,99,101,115,115,45,99,111,110,116,101,120,116,35,103,101,116,45,101,110,118,105,114,111,110,109,101,110,116,45,118,97,114,105,97,98,108,101,115,41,0,0,0,0,0};
static C_char C_TLS li906[] C_aligned={C_lihdr(0,0,45),40,99,104,105,99,107,101,110,46,112,114,111,99,101,115,115,45,99,111,110,116,101,120,116,35,101,120,101,99,117,116,97,98,108,101,45,112,97,116,104,110,97,109,101,41,0,0,0};
static C_char C_TLS li907[] C_aligned={C_lihdr(0,0,35),40,99,104,105,99,107,101,110,46,112,114,111,99,101,115,115,45,99,111,110,116,101,120,116,35,97,114,103,99,43,97,114,103,118,41,0,0,0,0,0};
static C_char C_TLS li908[] C_aligned={C_lihdr(0,0,16),40,100,111,108,111,111,112,54,56,53,54,32,105,32,118,41};
static C_char C_TLS li909[] C_aligned={C_lihdr(0,0,30),40,99,104,105,99,107,101,110,46,112,114,111,99,101,115,115,45,99,111,110,116,101,120,116,35,97,114,103,118,41,0,0};
static C_char C_TLS li910[] C_aligned={C_lihdr(0,0,36),40,99,104,105,99,107,101,110,46,103,99,35,99,117,114,114,101,110,116,45,103,99,45,109,105,108,108,105,115,101,99,111,110,100,115,41,0,0,0,0};
static C_char C_TLS li911[] C_aligned={C_lihdr(0,0,32),40,99,104,105,99,107,101,110,46,103,99,35,115,101,116,45,103,99,45,114,101,112,111,114,116,33,32,102,108,97,103,41};
static C_char C_TLS li912[] C_aligned={C_lihdr(0,0,30),40,99,104,105,99,107,101,110,46,103,99,35,109,101,109,111,114,121,45,115,116,97,116,105,115,116,105,99,115,41,0,0};
static C_char C_TLS li913[] C_aligned={C_lihdr(0,0,20),67,95,114,101,103,105,115,116,101,114,95,102,105,110,97,108,105,122,101,114,0,0,0,0};
static C_char C_TLS li914[] C_aligned={C_lihdr(0,0,31),40,99,104,105,99,107,101,110,46,103,99,35,115,101,116,45,102,105,110,97,108,105,122,101,114,33,32,120,32,121,41,0};
static C_char C_TLS li915[] C_aligned={C_lihdr(0,0,8),40,97,50,57,53,49,50,41};
static C_char C_TLS li916[] C_aligned={C_lihdr(0,0,11),40,97,50,57,53,48,54,32,101,120,41,0,0,0,0,0};
static C_char C_TLS li917[] C_aligned={C_lihdr(0,0,8),40,97,50,57,53,50,52,41};
static C_char C_TLS li918[] C_aligned={C_lihdr(0,0,8),40,97,50,57,53,52,55,41};
static C_char C_TLS li919[] C_aligned={C_lihdr(0,0,15),40,97,50,57,53,52,49,32,46,32,97,114,103,115,41,0};
static C_char C_TLS li920[] C_aligned={C_lihdr(0,0,8),40,97,50,57,53,49,56,41};
static C_char C_TLS li921[] C_aligned={C_lihdr(0,0,10),40,97,50,57,53,48,48,32,107,41,0,0,0,0,0,0};
static C_char C_TLS li922[] C_aligned={C_lihdr(0,0,14),40,100,111,108,111,111,112,54,57,51,49,32,105,41,0,0};
static C_char C_TLS li923[] C_aligned={C_lihdr(0,0,36),40,35,35,115,121,115,35,114,117,110,45,112,101,110,100,105,110,103,45,102,105,110,97,108,105,122,101,114,115,32,115,116,97,116,101,41,0,0,0,0};
static C_char C_TLS li924[] C_aligned={C_lihdr(0,0,6),40,108,111,111,112,41,0,0};
static C_char C_TLS li925[] C_aligned={C_lihdr(0,0,24),40,35,35,115,121,115,35,102,111,114,99,101,45,102,105,110,97,108,105,122,101,114,115,41};
static C_char C_TLS li926[] C_aligned={C_lihdr(0,0,21),40,99,104,105,99,107,101,110,46,103,99,35,103,99,32,46,32,97,114,103,41,0,0,0};
static C_char C_TLS li927[] C_aligned={C_lihdr(0,0,41),40,35,35,115,121,115,35,109,97,107,101,45,108,111,99,97,116,105,118,101,32,111,98,106,32,105,110,100,101,120,32,119,101,97,107,63,32,108,111,99,41,0,0,0,0,0,0,0};
static C_char C_TLS li928[] C_aligned={C_lihdr(0,0,33),40,99,104,105,99,107,101,110,46,112,108,105,115,116,35,112,117,116,33,32,115,121,109,32,112,114,111,112,32,118,97,108,41,0,0,0,0,0,0,0};
static C_char C_TLS li929[] C_aligned={C_lihdr(0,0,35),40,99,104,105,99,107,101,110,46,112,108,105,115,116,35,103,101,116,32,115,121,109,32,112,114,111,112,32,46,32,114,101,115,116,41,0,0,0,0,0};
static C_char C_TLS li930[] C_aligned={C_lihdr(0,0,10),40,108,111,111,112,32,112,116,108,41,0,0,0,0,0,0};
static C_char C_TLS li931[] C_aligned={C_lihdr(0,0,33),40,99,104,105,99,107,101,110,46,112,108,105,115,116,35,114,101,109,112,114,111,112,33,32,115,121,109,32,112,114,111,112,41,0,0,0,0,0,0,0};
static C_char C_TLS li932[] C_aligned={C_lihdr(0,0,12),40,108,111,111,112,32,112,108,105,115,116,41,0,0,0,0};
static C_char C_TLS li933[] C_aligned={C_lihdr(0,0,40),40,99,104,105,99,107,101,110,46,112,108,105,115,116,35,103,101,116,45,112,114,111,112,101,114,116,105,101,115,32,115,121,109,32,112,114,111,112,115,41};
static C_char C_TLS li934[] C_aligned={C_lihdr(0,0,10),40,112,110,117,109,32,110,117,109,41,0,0,0,0,0,0};
static C_char C_TLS li935[] C_aligned={C_lihdr(0,0,14),40,114,111,117,110,100,45,116,111,32,120,32,121,41,0,0};
static C_char C_TLS li936[] C_aligned={C_lihdr(0,0,12),40,112,109,101,109,32,98,121,116,101,115,41,0,0,0,0};
static C_char C_TLS li937[] C_aligned={C_lihdr(0,0,26),40,35,35,115,121,115,35,100,105,115,112,108,97,121,45,116,105,109,101,115,32,105,110,102,111,41,0,0,0,0,0,0};
static C_char C_TLS li938[] C_aligned={C_lihdr(0,0,17),67,95,100,117,109,112,95,104,101,97,112,95,115,116,97,116,101,0,0,0,0,0,0,0};
static C_char C_TLS li939[] C_aligned={C_lihdr(0,0,21),67,95,102,105,108,116,101,114,95,104,101,97,112,95,111,98,106,101,99,116,115,0,0,0};
static C_char C_TLS li940[] C_aligned={C_lihdr(0,0,32),40,99,104,105,99,107,101,110,46,112,108,97,116,102,111,114,109,35,115,111,102,116,119,97,114,101,45,116,121,112,101,41};
static C_char C_TLS li941[] C_aligned={C_lihdr(0,0,31),40,99,104,105,99,107,101,110,46,112,108,97,116,102,111,114,109,35,109,97,99,104,105,110,101,45,116,121,112,101,41,0};
static C_char C_TLS li942[] C_aligned={C_lihdr(0,0,37),40,99,104,105,99,107,101,110,46,112,108,97,116,102,111,114,109,35,109,97,99,104,105,110,101,45,98,121,116,101,45,111,114,100,101,114,41,0,0,0};
static C_char C_TLS li943[] C_aligned={C_lihdr(0,0,35),40,99,104,105,99,107,101,110,46,112,108,97,116,102,111,114,109,35,115,111,102,116,119,97,114,101,45,118,101,114,115,105,111,110,41,0,0,0,0,0};
static C_char C_TLS li944[] C_aligned={C_lihdr(0,0,33),40,99,104,105,99,107,101,110,46,112,108,97,116,102,111,114,109,35,98,117,105,108,100,45,112,108,97,116,102,111,114,109,41,0,0,0,0,0,0,0};
static C_char C_TLS li945[] C_aligned={C_lihdr(0,0,7),40,115,116,114,32,120,41,0};
static C_char C_TLS li946[] C_aligned={C_lihdr(0,0,41),40,99,104,105,99,107,101,110,46,112,108,97,116,102,111,114,109,35,99,104,105,99,107,101,110,45,118,101,114,115,105,111,110,32,46,32,114,101,115,116,41,0,0,0,0,0,0,0};
static C_char C_TLS li947[] C_aligned={C_lihdr(0,0,31),40,99,104,105,99,107,101,110,46,112,108,97,116,102,111,114,109,35,99,104,105,99,107,101,110,45,104,111,109,101,41,0};
static C_char C_TLS li948[] C_aligned={C_lihdr(0,0,33),40,99,104,105,99,107,101,110,46,112,108,97,116,102,111,114,109,35,45,62,102,101,97,116,117,114,101,45,105,100,32,120,41,0,0,0,0,0,0,0};
static C_char C_TLS li949[] C_aligned={C_lihdr(0,0,9),40,99,104,101,99,107,32,102,41,0,0,0,0,0,0,0};
static C_char C_TLS li950[] C_aligned={C_lihdr(0,0,25),40,102,111,114,45,101,97,99,104,45,108,111,111,112,55,50,56,56,32,103,55,50,57,53,41,0,0,0,0,0,0,0};
static C_char C_TLS li951[] C_aligned={C_lihdr(0,0,41),40,99,104,105,99,107,101,110,46,112,108,97,116,102,111,114,109,35,114,101,103,105,115,116,101,114,45,102,101,97,116,117,114,101,33,32,46,32,102,115,41,0,0,0,0,0,0,0};
static C_char C_TLS li952[] C_aligned={C_lihdr(0,0,10),40,108,111,111,112,32,102,102,115,41,0,0,0,0,0,0};
static C_char C_TLS li953[] C_aligned={C_lihdr(0,0,20),40,109,97,112,45,108,111,111,112,55,51,49,49,32,103,55,51,50,51,41,0,0,0,0};
static C_char C_TLS li954[] C_aligned={C_lihdr(0,0,43),40,99,104,105,99,107,101,110,46,112,108,97,116,102,111,114,109,35,117,110,114,101,103,105,115,116,101,114,45,102,101,97,116,117,114,101,33,32,46,32,102,115,41,0,0,0,0,0};
static C_char C_TLS li955[] C_aligned={C_lihdr(0,0,27),40,99,104,105,99,107,101,110,46,112,108,97,116,102,111,114,109,35,102,101,97,116,117,114,101,115,41,0,0,0,0,0};
static C_char C_TLS li956[] C_aligned={C_lihdr(0,0,10),40,108,111,111,112,32,105,100,115,41,0,0,0,0,0,0};
static C_char C_TLS li957[] C_aligned={C_lihdr(0,0,33),40,99,104,105,99,107,101,110,46,112,108,97,116,102,111,114,109,35,102,101,97,116,117,114,101,63,32,46,32,105,100,115,41,0,0,0,0,0,0,0};
static C_char C_TLS li958[] C_aligned={C_lihdr(0,0,16),67,95,114,101,116,117,114,110,95,116,111,95,104,111,115,116};
static C_char C_TLS li959[] C_aligned={C_lihdr(0,0,16),67,95,98,117,105,108,100,95,112,108,97,116,102,111,114,109};
static C_char C_TLS li960[] C_aligned={C_lihdr(0,0,18),67,95,115,111,102,116,119,97,114,101,95,118,101,114,115,105,111,110,0,0,0,0,0,0};
static C_char C_TLS li961[] C_aligned={C_lihdr(0,0,20),67,95,109,97,99,104,105,110,101,95,98,121,116,101,95,111,114,100,101,114,0,0,0,0};
static C_char C_TLS li962[] C_aligned={C_lihdr(0,0,14),67,95,109,97,99,104,105,110,101,95,116,121,112,101,0,0};
static C_char C_TLS li963[] C_aligned={C_lihdr(0,0,15),67,95,115,111,102,116,119,97,114,101,95,116,121,112,101,0};
static C_char C_TLS li964[] C_aligned={C_lihdr(0,0,12),40,97,51,48,57,48,57,32,115,121,109,41,0,0,0,0};
static C_char C_TLS li965[] C_aligned={C_lihdr(0,0,16),40,97,51,48,57,49,56,32,115,121,109,32,108,115,116,41};
static C_char C_TLS li966[] C_aligned={C_lihdr(0,0,10),40,97,51,48,57,53,56,32,120,41,0,0,0,0,0,0};
static C_char C_TLS li967[] C_aligned={C_lihdr(0,0,11),40,108,111,111,112,32,97,114,103,115,41,0,0,0,0,0};
static C_char C_TLS li968[] C_aligned={C_lihdr(0,0,19),40,102,51,54,54,50,52,32,120,54,56,55,51,51,54,54,50,51,41,0,0,0,0,0};
static C_char C_TLS li969[] C_aligned={C_lihdr(0,0,19),40,102,51,54,54,51,48,32,120,54,56,54,51,51,54,54,50,57,41,0,0,0,0,0};
static C_char C_TLS li970[] C_aligned={C_lihdr(0,0,19),40,102,51,54,54,51,54,32,120,54,56,54,51,51,54,54,51,53,41,0,0,0,0,0};
static C_char C_TLS li971[] C_aligned={C_lihdr(0,0,8),40,97,51,49,48,52,51,41};
static C_char C_TLS li972[] C_aligned={C_lihdr(0,0,12),40,97,51,49,48,54,53,32,100,105,114,41,0,0,0,0};
static C_char C_TLS li973[] C_aligned={C_lihdr(0,0,25),40,102,111,114,45,101,97,99,104,45,108,111,111,112,53,56,57,52,32,103,53,57,48,49,41,0,0,0,0,0,0,0};
static C_char C_TLS li974[] C_aligned={C_lihdr(0,0,8),40,97,51,49,49,49,54,41};
static C_char C_TLS li975[] C_aligned={C_lihdr(0,0,9),40,103,53,57,50,54,32,120,41,0,0,0,0,0,0,0};
static C_char C_TLS li976[] C_aligned={C_lihdr(0,0,25),40,102,111,114,45,101,97,99,104,45,108,111,111,112,53,57,50,53,32,103,53,57,51,50,41,0,0,0,0,0,0,0};
static C_char C_TLS li977[] C_aligned={C_lihdr(0,0,15),40,97,51,49,50,50,56,32,46,32,97,114,103,115,41,0};
static C_char C_TLS li978[] C_aligned={C_lihdr(0,0,19),40,97,51,49,48,55,49,32,109,115,103,32,46,32,97,114,103,115,41,0,0,0,0,0};
static C_char C_TLS li979[] C_aligned={C_lihdr(0,0,8),40,97,51,49,50,51,49,41};
static C_char C_TLS li980[] C_aligned={C_lihdr(0,0,8),40,97,51,49,50,52,48,41};
static C_char C_TLS li981[] C_aligned={C_lihdr(0,0,15),40,97,51,49,50,52,54,32,46,32,114,101,115,116,41,0};
static C_char C_TLS li982[] C_aligned={C_lihdr(0,0,14),40,97,51,49,53,49,52,32,120,32,105,32,121,41,0,0};
static C_char C_TLS li983[] C_aligned={C_lihdr(0,0,12),40,97,51,49,53,50,52,32,120,32,121,41,0,0,0,0};
static C_char C_TLS li984[] C_aligned={C_lihdr(0,0,12),40,97,51,49,53,51,52,32,120,32,121,41,0,0,0,0};
static C_char C_TLS li985[] C_aligned={C_lihdr(0,0,12),40,97,51,49,53,52,52,32,120,32,121,41,0,0,0,0};
static C_char C_TLS li986[] C_aligned={C_lihdr(0,0,12),40,97,51,49,53,53,52,32,120,32,121,41,0,0,0,0};
static C_char C_TLS li987[] C_aligned={C_lihdr(0,0,12),40,97,51,49,53,54,52,32,120,32,121,41,0,0,0,0};
static C_char C_TLS li988[] C_aligned={C_lihdr(0,0,12),40,97,51,49,53,55,52,32,120,32,121,41,0,0,0,0};
static C_char C_TLS li989[] C_aligned={C_lihdr(0,0,12),40,97,51,49,53,56,52,32,120,32,121,41,0,0,0,0};
static C_char C_TLS li990[] C_aligned={C_lihdr(0,0,12),40,97,51,49,53,57,52,32,120,32,121,41,0,0,0,0};
static C_char C_TLS li991[] C_aligned={C_lihdr(0,0,12),40,97,51,49,54,48,52,32,120,32,121,41,0,0,0,0};
static C_char C_TLS li992[] C_aligned={C_lihdr(0,0,12),40,97,51,49,54,49,52,32,120,32,121,41,0,0,0,0};
static C_char C_TLS li993[] C_aligned={C_lihdr(0,0,12),40,97,51,49,54,50,52,32,120,32,121,41,0,0,0,0};
static C_char C_TLS li994[] C_aligned={C_lihdr(0,0,12),40,97,51,49,54,51,52,32,120,32,121,41,0,0,0,0};
static C_char C_TLS li995[] C_aligned={C_lihdr(0,0,10),40,97,51,49,54,54,56,32,120,41,0,0,0,0,0,0};
static C_char C_TLS li996[] C_aligned={C_lihdr(0,0,13),40,97,51,49,54,52,52,32,112,114,111,99,41,0,0,0};
static C_char C_TLS li997[] C_aligned={C_lihdr(0,0,10),40,97,51,49,54,56,52,32,120,41,0,0,0,0,0,0};
static C_char C_TLS li998[] C_aligned={C_lihdr(0,0,10),40,97,51,49,55,51,57,32,120,41,0,0,0,0,0,0};
static C_char C_TLS li999[] C_aligned={C_lihdr(0,0,15),40,97,51,49,55,53,53,32,112,114,111,99,32,105,41,0};
static C_char C_TLS li1000[] C_aligned={C_lihdr(0,0,16),40,97,51,49,55,49,48,32,103,101,116,32,115,101,116,41};
static C_char C_TLS li1001[] C_aligned={C_lihdr(0,0,15),40,97,51,49,55,48,48,32,112,114,111,99,32,105,41,0};
static C_char C_TLS li1002[] C_aligned={C_lihdr(0,0,10),40,116,111,112,108,101,118,101,108,41,0,0,0,0,0,0};


#define return(x) C_cblock C_r = (C_mpointer(&C_a,(void*)(x))); goto C_ret; C_cblockend
C_regparm static C_word C_fcall stub6852(C_word C_buf,C_word C_a0){
C_word C_r=C_SCHEME_UNDEFINED,*C_a=(C_word*)C_buf;
C_word i=(C_word )(C_a0);
C_return(C_main_argv[C_unfix(i)]);
C_ret:
#undef return

return C_r;}

/* from chicken.process-context#executable-pathname in k29140 in k28503 in k28443 in k27110 in k27107 in k27104 in k26337 in k26025 in k26021 in k26017 in k23772 in k23768 in k23764 in k20151 in k20147 in k20143 in k20139 in k20135 in k19774 in k19770 in k19766 in ... */
C_regparm static C_word C_fcall stub6844(C_word C_buf){
C_word C_r=C_SCHEME_UNDEFINED,*C_a=(C_word*)C_buf;
C_r=C_mpointer(&C_a,(void*)C_executable_pathname());
return C_r;}

/* from k29196 */
C_regparm static C_word C_fcall stub6832(C_word C_buf,C_word C_a0){
C_word C_r=C_SCHEME_UNDEFINED,*C_a=(C_word*)C_buf;
int t0=(int )C_unfix(C_a0);
C_r=C_mpointer(&C_a,(void*)C_getenventry(t0));
return C_r;}

/* from k29151 in chicken.process-context#get-environment-variable in k29140 in k28503 in k28443 in k27110 in k27107 in k27104 in k26337 in k26025 in k26021 in k26017 in k23772 in k23768 in k23764 in k20151 in k20147 in k20143 in k20139 in k20135 in k19774 in k19770 in ... */
C_regparm static C_word C_fcall stub6813(C_word C_buf,C_word C_a0){
C_word C_r=C_SCHEME_UNDEFINED,*C_a=(C_word*)C_buf;
char * t0=(char * )C_string_or_null(C_a0);
C_r=C_mpointer(&C_a,(void*)C_getenv(t0));
return C_r;}

/* from k28311 */
C_regparm static C_word C_fcall stub6527(C_word C_buf,C_word C_a0){
C_word C_r=C_SCHEME_UNDEFINED,*C_a=(C_word*)C_buf;
void * t0=(void * )C_c_pointer_or_null(C_a0);
C_free(t0);
return C_r;}

/* from k28302 */
C_regparm static C_word C_fcall stub6519(C_word C_buf,C_word C_a0,C_word C_a1){
C_word C_r=C_SCHEME_UNDEFINED,*C_a=(C_word*)C_buf;
void * t0=(void * )C_c_pointer_or_null(C_a0);
int t1=(int )C_unfix(C_a1);
C_r=C_mpointer(&C_a,(void*)C_peek_c_string_at(t0,t1));
return C_r;}

/* from k28250 */
C_regparm static C_word C_fcall stub6500(C_word C_buf,C_word C_a0,C_word C_a1){
C_word C_r=C_SCHEME_UNDEFINED,*C_a=(C_word*)C_buf;
void * t0=(void * )C_c_pointer_or_null(C_a0);
int t1=(int )C_unfix(C_a1);
C_r=C_mpointer(&C_a,(void*)C_peek_c_string_at(t0,t1));
return C_r;}

#define return(x) C_cblock C_r = (C_mpointer(&C_a,(void*)(x))); goto C_ret; C_cblockend
C_regparm static C_word C_fcall stub5658(C_word C_buf,C_word C_a0){
C_word C_r=C_SCHEME_UNDEFINED,*C_a=(C_word*)C_buf;
C_word x=(C_word )(C_a0);
C_return((C_char *)x);
C_ret:
#undef return

return C_r;}

/* from k15311 */
C_regparm static C_word C_fcall stub2822(C_word C_buf,C_word C_a0,C_word C_a1){
C_word C_r=C_SCHEME_UNDEFINED,*C_a=(C_word*)C_buf;
double t0=(double )C_c_double(C_a0);
int t1=(int )C_unfix(C_a1);
C_r=C_flonum(&C_a,ldexp(t0,t1));
return C_r;}

C_noret_decl(f33874)
static void C_ccall f33874(C_word c,C_word *av) C_noret;
C_noret_decl(f34403)
static void C_ccall f34403(C_word c,C_word *av) C_noret;
C_noret_decl(f36624)
static void C_ccall f36624(C_word c,C_word *av) C_noret;
C_noret_decl(f36630)
static void C_ccall f36630(C_word c,C_word *av) C_noret;
C_noret_decl(f36636)
static void C_ccall f36636(C_word c,C_word *av) C_noret;
C_noret_decl(f_10012)
static void C_ccall f_10012(C_word c,C_word *av) C_noret;
C_noret_decl(f_10037)
static void C_ccall f_10037(C_word c,C_word *av) C_noret;
C_noret_decl(f_10046)
static void C_fcall f_10046(C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_10087)
static void C_ccall f_10087(C_word c,C_word *av) C_noret;
C_noret_decl(f_10109)
static void C_ccall f_10109(C_word c,C_word *av) C_noret;
C_noret_decl(f_10141)
static void C_ccall f_10141(C_word c,C_word *av) C_noret;
C_noret_decl(f_10157)
static void C_fcall f_10157(C_word t0,C_word t1) C_noret;
C_noret_decl(f_10160)
static void C_ccall f_10160(C_word c,C_word *av) C_noret;
C_noret_decl(f_10182)
static void C_ccall f_10182(C_word c,C_word *av) C_noret;
C_noret_decl(f_10188)
static void C_fcall f_10188(C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_10213)
static void C_ccall f_10213(C_word c,C_word *av) C_noret;
C_noret_decl(f_10253)
static void C_ccall f_10253(C_word c,C_word *av) C_noret;
C_noret_decl(f_10260)
static void C_fcall f_10260(C_word t0,C_word t1) C_noret;
C_noret_decl(f_10265)
static void C_fcall f_10265(C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_10284)
static void C_ccall f_10284(C_word c,C_word *av) C_noret;
C_noret_decl(f_10306)
static void C_ccall f_10306(C_word c,C_word *av) C_noret;
C_noret_decl(f_10309)
static void C_ccall f_10309(C_word c,C_word *av) C_noret;
C_noret_decl(f_10312)
static void C_ccall f_10312(C_word c,C_word *av) C_noret;
C_noret_decl(f_10315)
static void C_ccall f_10315(C_word c,C_word *av) C_noret;
C_noret_decl(f_10321)
static void C_ccall f_10321(C_word c,C_word *av) C_noret;
C_noret_decl(f_10324)
static void C_ccall f_10324(C_word c,C_word *av) C_noret;
C_noret_decl(f_10327)
static void C_ccall f_10327(C_word c,C_word *av) C_noret;
C_noret_decl(f_10330)
static void C_ccall f_10330(C_word c,C_word *av) C_noret;
C_noret_decl(f_10333)
static void C_ccall f_10333(C_word c,C_word *av) C_noret;
C_noret_decl(f_10336)
static void C_ccall f_10336(C_word c,C_word *av) C_noret;
C_noret_decl(f_10339)
static void C_ccall f_10339(C_word c,C_word *av) C_noret;
C_noret_decl(f_10342)
static void C_ccall f_10342(C_word c,C_word *av) C_noret;
C_noret_decl(f_10345)
static void C_ccall f_10345(C_word c,C_word *av) C_noret;
C_noret_decl(f_10348)
static void C_ccall f_10348(C_word c,C_word *av) C_noret;
C_noret_decl(f_10351)
static void C_ccall f_10351(C_word c,C_word *av) C_noret;
C_noret_decl(f_10354)
static void C_ccall f_10354(C_word c,C_word *av) C_noret;
C_noret_decl(f_10357)
static void C_ccall f_10357(C_word c,C_word *av) C_noret;
C_noret_decl(f_10360)
static void C_ccall f_10360(C_word c,C_word *av) C_noret;
C_noret_decl(f_10363)
static void C_ccall f_10363(C_word c,C_word *av) C_noret;
C_noret_decl(f_10366)
static void C_ccall f_10366(C_word c,C_word *av) C_noret;
C_noret_decl(f_10369)
static void C_ccall f_10369(C_word c,C_word *av) C_noret;
C_noret_decl(f_10372)
static void C_ccall f_10372(C_word c,C_word *av) C_noret;
C_noret_decl(f_10375)
static void C_ccall f_10375(C_word c,C_word *av) C_noret;
C_noret_decl(f_10378)
static void C_ccall f_10378(C_word c,C_word *av) C_noret;
C_noret_decl(f_10381)
static void C_ccall f_10381(C_word c,C_word *av) C_noret;
C_noret_decl(f_10384)
static void C_ccall f_10384(C_word c,C_word *av) C_noret;
C_noret_decl(f_10387)
static void C_ccall f_10387(C_word c,C_word *av) C_noret;
C_noret_decl(f_10390)
static void C_ccall f_10390(C_word c,C_word *av) C_noret;
C_noret_decl(f_10393)
static void C_ccall f_10393(C_word c,C_word *av) C_noret;
C_noret_decl(f_10398)
static void C_ccall f_10398(C_word c,C_word *av) C_noret;
C_noret_decl(f_10407)
static void C_ccall f_10407(C_word c,C_word *av) C_noret;
C_noret_decl(f_10419)
static void C_ccall f_10419(C_word c,C_word *av) C_noret;
C_noret_decl(f_10434)
static void C_ccall f_10434(C_word c,C_word *av) C_noret;
C_noret_decl(f_10437)
static void C_ccall f_10437(C_word c,C_word *av) C_noret;
C_noret_decl(f_10445)
static void C_ccall f_10445(C_word c,C_word *av) C_noret;
C_noret_decl(f_10449)
static void C_ccall f_10449(C_word c,C_word *av) C_noret;
C_noret_decl(f_10451)
static void C_ccall f_10451(C_word c,C_word *av) C_noret;
C_noret_decl(f_10455)
static void C_ccall f_10455(C_word c,C_word *av) C_noret;
C_noret_decl(f_10458)
static void C_ccall f_10458(C_word c,C_word *av) C_noret;
C_noret_decl(f_10469)
static void C_ccall f_10469(C_word c,C_word *av) C_noret;
C_noret_decl(f_10471)
static void C_ccall f_10471(C_word c,C_word *av) C_noret;
C_noret_decl(f_10478)
static void C_ccall f_10478(C_word c,C_word *av) C_noret;
C_noret_decl(f_10481)
static void C_ccall f_10481(C_word c,C_word *av) C_noret;
C_noret_decl(f_10484)
static void C_ccall f_10484(C_word c,C_word *av) C_noret;
C_noret_decl(f_10489)
static void C_ccall f_10489(C_word c,C_word *av) C_noret;
C_noret_decl(f_10493)
static void C_ccall f_10493(C_word c,C_word *av) C_noret;
C_noret_decl(f_10498)
static void C_ccall f_10498(C_word c,C_word *av) C_noret;
C_noret_decl(f_10502)
static void C_ccall f_10502(C_word c,C_word *av) C_noret;
C_noret_decl(f_10505)
static void C_ccall f_10505(C_word c,C_word *av) C_noret;
C_noret_decl(f_10533)
static void C_ccall f_10533(C_word c,C_word *av) C_noret;
C_noret_decl(f_10536)
static void C_ccall f_10536(C_word c,C_word *av) C_noret;
C_noret_decl(f_10539)
static void C_ccall f_10539(C_word c,C_word *av) C_noret;
C_noret_decl(f_10556)
static void C_ccall f_10556(C_word c,C_word *av) C_noret;
C_noret_decl(f_10567)
static void C_ccall f_10567(C_word c,C_word *av) C_noret;
C_noret_decl(f_10579)
static void C_ccall f_10579(C_word c,C_word *av) C_noret;
C_noret_decl(f_10590)
static void C_ccall f_10590(C_word c,C_word *av) C_noret;
C_noret_decl(f_10601)
static void C_ccall f_10601(C_word c,C_word *av) C_noret;
C_noret_decl(f_10612)
static void C_ccall f_10612(C_word c,C_word *av) C_noret;
C_noret_decl(f_10623)
static void C_ccall f_10623(C_word c,C_word *av) C_noret;
C_noret_decl(f_10634)
static void C_ccall f_10634(C_word c,C_word *av) C_noret;
C_noret_decl(f_10645)
static void C_ccall f_10645(C_word c,C_word *av) C_noret;
C_noret_decl(f_10656)
static void C_ccall f_10656(C_word c,C_word *av) C_noret;
C_noret_decl(f_10667)
static void C_ccall f_10667(C_word c,C_word *av) C_noret;
C_noret_decl(f_10678)
static void C_ccall f_10678(C_word c,C_word *av) C_noret;
C_noret_decl(f_10689)
static void C_ccall f_10689(C_word c,C_word *av) C_noret;
C_noret_decl(f_10700)
static void C_ccall f_10700(C_word c,C_word *av) C_noret;
C_noret_decl(f_10711)
static void C_ccall f_10711(C_word c,C_word *av) C_noret;
C_noret_decl(f_10728)
static void C_ccall f_10728(C_word c,C_word *av) C_noret;
C_noret_decl(f_10745)
static void C_ccall f_10745(C_word c,C_word *av) C_noret;
C_noret_decl(f_10769)
static void C_ccall f_10769(C_word c,C_word *av) C_noret;
C_noret_decl(f_10786)
static void C_ccall f_10786(C_word c,C_word *av) C_noret;
C_noret_decl(f_10790)
static void C_ccall f_10790(C_word c,C_word *av) C_noret;
C_noret_decl(f_10816)
static void C_ccall f_10816(C_word c,C_word *av) C_noret;
C_noret_decl(f_10836)
static void C_ccall f_10836(C_word c,C_word *av) C_noret;
C_noret_decl(f_10847)
static void C_ccall f_10847(C_word c,C_word *av) C_noret;
C_noret_decl(f_10859)
static void C_fcall f_10859(C_word t0,C_word t1,C_word t2,C_word t3) C_noret;
C_noret_decl(f_10893)
static void C_ccall f_10893(C_word c,C_word *av) C_noret;
C_noret_decl(f_10908)
static void C_fcall f_10908(C_word t0,C_word t1) C_noret;
C_noret_decl(f_10975)
static void C_ccall f_10975(C_word c,C_word *av) C_noret;
C_noret_decl(f_10991)
static void C_ccall f_10991(C_word c,C_word *av) C_noret;
C_noret_decl(f_11007)
static void C_ccall f_11007(C_word c,C_word *av) C_noret;
C_noret_decl(f_11023)
static void C_ccall f_11023(C_word c,C_word *av) C_noret;
C_noret_decl(f_11039)
static void C_ccall f_11039(C_word c,C_word *av) C_noret;
C_noret_decl(f_11055)
static void C_ccall f_11055(C_word c,C_word *av) C_noret;
C_noret_decl(f_11071)
static void C_ccall f_11071(C_word c,C_word *av) C_noret;
C_noret_decl(f_11087)
static void C_ccall f_11087(C_word c,C_word *av) C_noret;
C_noret_decl(f_11103)
static void C_ccall f_11103(C_word c,C_word *av) C_noret;
C_noret_decl(f_11115)
static void C_fcall f_11115(C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_11134)
static void C_fcall f_11134(C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_11165)
static void C_ccall f_11165(C_word c,C_word *av) C_noret;
C_noret_decl(f_11182)
static void C_ccall f_11182(C_word c,C_word *av) C_noret;
C_noret_decl(f_11188)
static void C_fcall f_11188(C_word t0,C_word t1,C_word t2,C_word t3) C_noret;
C_noret_decl(f_11212)
static void C_ccall f_11212(C_word c,C_word *av) C_noret;
C_noret_decl(f_11232)
static void C_ccall f_11232(C_word c,C_word *av) C_noret;
C_noret_decl(f_11236)
static void C_ccall f_11236(C_word c,C_word *av) C_noret;
C_noret_decl(f_11239)
static void C_ccall f_11239(C_word c,C_word *av) C_noret;
C_noret_decl(f_11268)
static void C_ccall f_11268(C_word c,C_word *av) C_noret;
C_noret_decl(f_11284)
static void C_fcall f_11284(C_word t0,C_word t1,C_word t2,C_word t3) C_noret;
C_noret_decl(f_11306)
static void C_ccall f_11306(C_word c,C_word *av) C_noret;
C_noret_decl(f_11322)
static void C_ccall f_11322(C_word c,C_word *av) C_noret;
C_noret_decl(f_11327)
static C_word C_fcall f_11327(C_word t0,C_word t1,C_word t2);
C_noret_decl(f_11358)
static void C_ccall f_11358(C_word c,C_word *av) C_noret;
C_noret_decl(f_11369)
static void C_ccall f_11369(C_word c,C_word *av) C_noret;
C_noret_decl(f_11378)
static C_word C_fcall f_11378(C_word t0,C_word t1,C_word t2);
C_noret_decl(f_11407)
static void C_ccall f_11407(C_word c,C_word *av) C_noret;
C_noret_decl(f_11420)
static void C_ccall f_11420(C_word c,C_word *av) C_noret;
C_noret_decl(f_11430)
static void C_ccall f_11430(C_word c,C_word *av) C_noret;
C_noret_decl(f_11432)
static void C_ccall f_11432(C_word c,C_word *av) C_noret;
C_noret_decl(f_11439)
static void C_ccall f_11439(C_word c,C_word *av) C_noret;
C_noret_decl(f_11442)
static void C_fcall f_11442(C_word t0,C_word t1) C_noret;
C_noret_decl(f_11451)
static void C_fcall f_11451(C_word t0,C_word t1) C_noret;
C_noret_decl(f_11477)
static void C_ccall f_11477(C_word c,C_word *av) C_noret;
C_noret_decl(f_11482)
static void C_ccall f_11482(C_word c,C_word *av) C_noret;
C_noret_decl(f_11486)
static void C_ccall f_11486(C_word c,C_word *av) C_noret;
C_noret_decl(f_11491)
static void C_ccall f_11491(C_word c,C_word *av) C_noret;
C_noret_decl(f_11512)
static void C_ccall f_11512(C_word c,C_word *av) C_noret;
C_noret_decl(f_11518)
static void C_ccall f_11518(C_word c,C_word *av) C_noret;
C_noret_decl(f_11536)
static void C_ccall f_11536(C_word c,C_word *av) C_noret;
C_noret_decl(f_11542)
static void C_ccall f_11542(C_word c,C_word *av) C_noret;
C_noret_decl(f_11560)
static void C_ccall f_11560(C_word c,C_word *av) C_noret;
C_noret_decl(f_11566)
static void C_ccall f_11566(C_word c,C_word *av) C_noret;
C_noret_decl(f_11581)
static void C_ccall f_11581(C_word c,C_word *av) C_noret;
C_noret_decl(f_11587)
static void C_ccall f_11587(C_word c,C_word *av) C_noret;
C_noret_decl(f_11601)
static void C_ccall f_11601(C_word c,C_word *av) C_noret;
C_noret_decl(f_11622)
static void C_ccall f_11622(C_word c,C_word *av) C_noret;
C_noret_decl(f_11628)
static void C_ccall f_11628(C_word c,C_word *av) C_noret;
C_noret_decl(f_11646)
static void C_ccall f_11646(C_word c,C_word *av) C_noret;
C_noret_decl(f_11652)
static void C_ccall f_11652(C_word c,C_word *av) C_noret;
C_noret_decl(f_11670)
static void C_ccall f_11670(C_word c,C_word *av) C_noret;
C_noret_decl(f_11676)
static void C_ccall f_11676(C_word c,C_word *av) C_noret;
C_noret_decl(f_11691)
static void C_ccall f_11691(C_word c,C_word *av) C_noret;
C_noret_decl(f_11697)
static void C_ccall f_11697(C_word c,C_word *av) C_noret;
C_noret_decl(f_11712)
static void C_ccall f_11712(C_word c,C_word *av) C_noret;
C_noret_decl(f_11722)
static void C_ccall f_11722(C_word c,C_word *av) C_noret;
C_noret_decl(f_11728)
static void C_ccall f_11728(C_word c,C_word *av) C_noret;
C_noret_decl(f_11732)
static void C_ccall f_11732(C_word c,C_word *av) C_noret;
C_noret_decl(f_11734)
static void C_fcall f_11734(C_word t0,C_word t1,C_word t2,C_word t3) C_noret;
C_noret_decl(f_11745)
static void C_ccall f_11745(C_word c,C_word *av) C_noret;
C_noret_decl(f_11757)
static void C_ccall f_11757(C_word c,C_word *av) C_noret;
C_noret_decl(f_11767)
static void C_ccall f_11767(C_word c,C_word *av) C_noret;
C_noret_decl(f_11773)
static void C_ccall f_11773(C_word c,C_word *av) C_noret;
C_noret_decl(f_11777)
static void C_ccall f_11777(C_word c,C_word *av) C_noret;
C_noret_decl(f_11782)
static C_word C_fcall f_11782(C_word t0,C_word t1,C_word t2);
C_noret_decl(f_11808)
static void C_ccall f_11808(C_word c,C_word *av) C_noret;
C_noret_decl(f_11812)
static void C_ccall f_11812(C_word c,C_word *av) C_noret;
C_noret_decl(f_11815)
static void C_ccall f_11815(C_word c,C_word *av) C_noret;
C_noret_decl(f_11823)
static void C_fcall f_11823(C_word t0,C_word t1,C_word t2,C_word t3) C_noret;
C_noret_decl(f_11844)
static void C_fcall f_11844(C_word t0,C_word t1,C_word t2,C_word t3,C_word t4) C_noret;
C_noret_decl(f_11858)
static void C_ccall f_11858(C_word c,C_word *av) C_noret;
C_noret_decl(f_11862)
static void C_ccall f_11862(C_word c,C_word *av) C_noret;
C_noret_decl(f_11903)
static void C_ccall f_11903(C_word c,C_word *av) C_noret;
C_noret_decl(f_11925)
static void C_ccall f_11925(C_word c,C_word *av) C_noret;
C_noret_decl(f_11927)
static void C_ccall f_11927(C_word c,C_word *av) C_noret;
C_noret_decl(f_11949)
static void C_ccall f_11949(C_word c,C_word *av) C_noret;
C_noret_decl(f_11951)
static void C_ccall f_11951(C_word c,C_word *av) C_noret;
C_noret_decl(f_11973)
static void C_ccall f_11973(C_word c,C_word *av) C_noret;
C_noret_decl(f_11975)
static void C_ccall f_11975(C_word c,C_word *av) C_noret;
C_noret_decl(f_11997)
static void C_ccall f_11997(C_word c,C_word *av) C_noret;
C_noret_decl(f_11999)
static void C_ccall f_11999(C_word c,C_word *av) C_noret;
C_noret_decl(f_12021)
static void C_ccall f_12021(C_word c,C_word *av) C_noret;
C_noret_decl(f_12023)
static void C_ccall f_12023(C_word c,C_word *av) C_noret;
C_noret_decl(f_12045)
static void C_ccall f_12045(C_word c,C_word *av) C_noret;
C_noret_decl(f_12047)
static void C_ccall f_12047(C_word c,C_word *av) C_noret;
C_noret_decl(f_12069)
static void C_ccall f_12069(C_word c,C_word *av) C_noret;
C_noret_decl(f_12071)
static void C_ccall f_12071(C_word c,C_word *av) C_noret;
C_noret_decl(f_12093)
static void C_ccall f_12093(C_word c,C_word *av) C_noret;
C_noret_decl(f_12095)
static void C_ccall f_12095(C_word c,C_word *av) C_noret;
C_noret_decl(f_12117)
static void C_ccall f_12117(C_word c,C_word *av) C_noret;
C_noret_decl(f_12119)
static void C_ccall f_12119(C_word c,C_word *av) C_noret;
C_noret_decl(f_12141)
static void C_ccall f_12141(C_word c,C_word *av) C_noret;
C_noret_decl(f_12143)
static void C_ccall f_12143(C_word c,C_word *av) C_noret;
C_noret_decl(f_12165)
static void C_ccall f_12165(C_word c,C_word *av) C_noret;
C_noret_decl(f_12167)
static void C_ccall f_12167(C_word c,C_word *av) C_noret;
C_noret_decl(f_12183)
static void C_ccall f_12183(C_word c,C_word *av) C_noret;
C_noret_decl(f_12185)
static void C_ccall f_12185(C_word c,C_word *av) C_noret;
C_noret_decl(f_12207)
static void C_ccall f_12207(C_word c,C_word *av) C_noret;
C_noret_decl(f_12209)
static void C_ccall f_12209(C_word c,C_word *av) C_noret;
C_noret_decl(f_12231)
static void C_ccall f_12231(C_word c,C_word *av) C_noret;
C_noret_decl(f_12233)
static void C_ccall f_12233(C_word c,C_word *av) C_noret;
C_noret_decl(f_12249)
static void C_ccall f_12249(C_word c,C_word *av) C_noret;
C_noret_decl(f_12251)
static void C_ccall f_12251(C_word c,C_word *av) C_noret;
C_noret_decl(f_12267)
static void C_ccall f_12267(C_word c,C_word *av) C_noret;
C_noret_decl(f_12269)
static void C_ccall f_12269(C_word c,C_word *av) C_noret;
C_noret_decl(f_12285)
static void C_ccall f_12285(C_word c,C_word *av) C_noret;
C_noret_decl(f_12287)
static void C_ccall f_12287(C_word c,C_word *av) C_noret;
C_noret_decl(f_12303)
static void C_ccall f_12303(C_word c,C_word *av) C_noret;
C_noret_decl(f_12305)
static void C_ccall f_12305(C_word c,C_word *av) C_noret;
C_noret_decl(f_12321)
static void C_ccall f_12321(C_word c,C_word *av) C_noret;
C_noret_decl(f_12323)
static void C_ccall f_12323(C_word c,C_word *av) C_noret;
C_noret_decl(f_12339)
static void C_ccall f_12339(C_word c,C_word *av) C_noret;
C_noret_decl(f_12341)
static void C_ccall f_12341(C_word c,C_word *av) C_noret;
C_noret_decl(f_12357)
static void C_ccall f_12357(C_word c,C_word *av) C_noret;
C_noret_decl(f_12359)
static void C_ccall f_12359(C_word c,C_word *av) C_noret;
C_noret_decl(f_12375)
static void C_ccall f_12375(C_word c,C_word *av) C_noret;
C_noret_decl(f_12377)
static void C_ccall f_12377(C_word c,C_word *av) C_noret;
C_noret_decl(f_12393)
static void C_ccall f_12393(C_word c,C_word *av) C_noret;
C_noret_decl(f_12395)
static void C_ccall f_12395(C_word c,C_word *av) C_noret;
C_noret_decl(f_12411)
static void C_ccall f_12411(C_word c,C_word *av) C_noret;
C_noret_decl(f_12413)
static void C_ccall f_12413(C_word c,C_word *av) C_noret;
C_noret_decl(f_12435)
static void C_ccall f_12435(C_word c,C_word *av) C_noret;
C_noret_decl(f_12437)
static void C_ccall f_12437(C_word c,C_word *av) C_noret;
C_noret_decl(f_12453)
static void C_ccall f_12453(C_word c,C_word *av) C_noret;
C_noret_decl(f_12455)
static void C_ccall f_12455(C_word c,C_word *av) C_noret;
C_noret_decl(f_12477)
static void C_ccall f_12477(C_word c,C_word *av) C_noret;
C_noret_decl(f_12479)
static void C_ccall f_12479(C_word c,C_word *av) C_noret;
C_noret_decl(f_12495)
static void C_ccall f_12495(C_word c,C_word *av) C_noret;
C_noret_decl(f_12497)
static void C_ccall f_12497(C_word c,C_word *av) C_noret;
C_noret_decl(f_12513)
static void C_ccall f_12513(C_word c,C_word *av) C_noret;
C_noret_decl(f_12515)
static void C_ccall f_12515(C_word c,C_word *av) C_noret;
C_noret_decl(f_12531)
static void C_ccall f_12531(C_word c,C_word *av) C_noret;
C_noret_decl(f_12533)
static void C_ccall f_12533(C_word c,C_word *av) C_noret;
C_noret_decl(f_12549)
static void C_ccall f_12549(C_word c,C_word *av) C_noret;
C_noret_decl(f_12551)
static void C_ccall f_12551(C_word c,C_word *av) C_noret;
C_noret_decl(f_12561)
static void C_ccall f_12561(C_word c,C_word *av) C_noret;
C_noret_decl(f_12573)
static void C_fcall f_12573(C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_12583)
static void C_ccall f_12583(C_word c,C_word *av) C_noret;
C_noret_decl(f_12587)
static void C_ccall f_12587(C_word c,C_word *av) C_noret;
C_noret_decl(f_12609)
static void C_ccall f_12609(C_word c,C_word *av) C_noret;
C_noret_decl(f_12613)
static void C_ccall f_12613(C_word c,C_word *av) C_noret;
C_noret_decl(f_12616)
static void C_ccall f_12616(C_word c,C_word *av) C_noret;
C_noret_decl(f_12621)
static void C_ccall f_12621(C_word c,C_word *av) C_noret;
C_noret_decl(f_12625)
static void C_ccall f_12625(C_word c,C_word *av) C_noret;
C_noret_decl(f_12628)
static void C_ccall f_12628(C_word c,C_word *av) C_noret;
C_noret_decl(f_12631)
static void C_ccall f_12631(C_word c,C_word *av) C_noret;
C_noret_decl(f_12642)
static void C_ccall f_12642(C_word c,C_word *av) C_noret;
C_noret_decl(f_12665)
static void C_ccall f_12665(C_word c,C_word *av) C_noret;
C_noret_decl(f_12691)
static void C_ccall f_12691(C_word c,C_word *av) C_noret;
C_noret_decl(f_12700)
static void C_ccall f_12700(C_word c,C_word *av) C_noret;
C_noret_decl(f_12705)
static void C_ccall f_12705(C_word c,C_word *av) C_noret;
C_noret_decl(f_12707)
static void C_ccall f_12707(C_word c,C_word *av) C_noret;
C_noret_decl(f_12746)
static void C_fcall f_12746(C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_12792)
static void C_ccall f_12792(C_word c,C_word *av) C_noret;
C_noret_decl(f_12816)
static void C_ccall f_12816(C_word c,C_word *av) C_noret;
C_noret_decl(f_12820)
static void C_ccall f_12820(C_word c,C_word *av) C_noret;
C_noret_decl(f_12838)
static void C_ccall f_12838(C_word c,C_word *av) C_noret;
C_noret_decl(f_12862)
static void C_ccall f_12862(C_word c,C_word *av) C_noret;
C_noret_decl(f_12866)
static void C_ccall f_12866(C_word c,C_word *av) C_noret;
C_noret_decl(f_12884)
static void C_ccall f_12884(C_word c,C_word *av) C_noret;
C_noret_decl(f_12925)
static void C_fcall f_12925(C_word t0,C_word t1,C_word t2,C_word t3) C_noret;
C_noret_decl(f_12936)
static void C_ccall f_12936(C_word c,C_word *av) C_noret;
C_noret_decl(f_12942)
static void C_fcall f_12942(C_word t0,C_word t1,C_word t2,C_word t3) C_noret;
C_noret_decl(f_12946)
static void C_ccall f_12946(C_word c,C_word *av) C_noret;
C_noret_decl(f_12951)
static void C_ccall f_12951(C_word c,C_word *av) C_noret;
C_noret_decl(f_12962)
static void C_ccall f_12962(C_word c,C_word *av) C_noret;
C_noret_decl(f_12975)
static void C_ccall f_12975(C_word c,C_word *av) C_noret;
C_noret_decl(f_12990)
static void C_ccall f_12990(C_word c,C_word *av) C_noret;
C_noret_decl(f_12994)
static void C_ccall f_12994(C_word c,C_word *av) C_noret;
C_noret_decl(f_13000)
static void C_ccall f_13000(C_word c,C_word *av) C_noret;
C_noret_decl(f_13004)
static void C_ccall f_13004(C_word c,C_word *av) C_noret;
C_noret_decl(f_13044)
static void C_ccall f_13044(C_word c,C_word *av) C_noret;
C_noret_decl(f_13048)
static void C_ccall f_13048(C_word c,C_word *av) C_noret;
C_noret_decl(f_13070)
static void C_ccall f_13070(C_word c,C_word *av) C_noret;
C_noret_decl(f_13073)
static void C_ccall f_13073(C_word c,C_word *av) C_noret;
C_noret_decl(f_13076)
static void C_ccall f_13076(C_word c,C_word *av) C_noret;
C_noret_decl(f_13079)
static void C_ccall f_13079(C_word c,C_word *av) C_noret;
C_noret_decl(f_13082)
static void C_ccall f_13082(C_word c,C_word *av) C_noret;
C_noret_decl(f_13103)
static void C_ccall f_13103(C_word c,C_word *av) C_noret;
C_noret_decl(f_13105)
static void C_fcall f_13105(C_word t0,C_word t1,C_word t2,C_word t3) C_noret;
C_noret_decl(f_13123)
static void C_ccall f_13123(C_word c,C_word *av) C_noret;
C_noret_decl(f_13133)
static void C_ccall f_13133(C_word c,C_word *av) C_noret;
C_noret_decl(f_13137)
static void C_ccall f_13137(C_word c,C_word *av) C_noret;
C_noret_decl(f_13143)
static void C_fcall f_13143(C_word t0,C_word t1) C_noret;
C_noret_decl(f_13175)
static void C_ccall f_13175(C_word c,C_word *av) C_noret;
C_noret_decl(f_13178)
static void C_ccall f_13178(C_word c,C_word *av) C_noret;
C_noret_decl(f_13181)
static void C_ccall f_13181(C_word c,C_word *av) C_noret;
C_noret_decl(f_13184)
static void C_ccall f_13184(C_word c,C_word *av) C_noret;
C_noret_decl(f_13193)
static void C_ccall f_13193(C_word c,C_word *av) C_noret;
C_noret_decl(f_13196)
static void C_ccall f_13196(C_word c,C_word *av) C_noret;
C_noret_decl(f_13226)
static void C_ccall f_13226(C_word c,C_word *av) C_noret;
C_noret_decl(f_13230)
static void C_ccall f_13230(C_word c,C_word *av) C_noret;
C_noret_decl(f_13297)
static void C_ccall f_13297(C_word c,C_word *av) C_noret;
C_noret_decl(f_13331)
static void C_ccall f_13331(C_word c,C_word *av) C_noret;
C_noret_decl(f_13381)
static void C_ccall f_13381(C_word c,C_word *av) C_noret;
C_noret_decl(f_13422)
static void C_ccall f_13422(C_word c,C_word *av) C_noret;
C_noret_decl(f_13463)
static void C_ccall f_13463(C_word c,C_word *av) C_noret;
C_noret_decl(f_13497)
static void C_ccall f_13497(C_word c,C_word *av) C_noret;
C_noret_decl(f_13521)
static void C_ccall f_13521(C_word c,C_word *av) C_noret;
C_noret_decl(f_13537)
static void C_fcall f_13537(C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_13540)
static void C_fcall f_13540(C_word t0,C_word t1,C_word t2,C_word t3) C_noret;
C_noret_decl(f_13544)
static void C_ccall f_13544(C_word c,C_word *av) C_noret;
C_noret_decl(f_13547)
static void C_ccall f_13547(C_word c,C_word *av) C_noret;
C_noret_decl(f_13564)
static void C_ccall f_13564(C_word c,C_word *av) C_noret;
C_noret_decl(f_13582)
static void C_ccall f_13582(C_word c,C_word *av) C_noret;
C_noret_decl(f_13586)
static void C_ccall f_13586(C_word c,C_word *av) C_noret;
C_noret_decl(f_13605)
static void C_ccall f_13605(C_word c,C_word *av) C_noret;
C_noret_decl(f_13609)
static void C_ccall f_13609(C_word c,C_word *av) C_noret;
C_noret_decl(f_13640)
static void C_ccall f_13640(C_word c,C_word *av) C_noret;
C_noret_decl(f_13673)
static void C_ccall f_13673(C_word c,C_word *av) C_noret;
C_noret_decl(f_13677)
static void C_ccall f_13677(C_word c,C_word *av) C_noret;
C_noret_decl(f_13696)
static void C_ccall f_13696(C_word c,C_word *av) C_noret;
C_noret_decl(f_13698)
static void C_ccall f_13698(C_word c,C_word *av) C_noret;
C_noret_decl(f_13705)
static void C_fcall f_13705(C_word t0,C_word t1,C_word t2,C_word t3,C_word t4) C_noret;
C_noret_decl(f_13741)
static void C_ccall f_13741(C_word c,C_word *av) C_noret;
C_noret_decl(f_13748)
static void C_fcall f_13748(C_word t0,C_word t1,C_word t2,C_word t3,C_word t4) C_noret;
C_noret_decl(f_13784)
static void C_ccall f_13784(C_word c,C_word *av) C_noret;
C_noret_decl(f_13799)
static void C_ccall f_13799(C_word c,C_word *av) C_noret;
C_noret_decl(f_13808)
static void C_ccall f_13808(C_word c,C_word *av) C_noret;
C_noret_decl(f_13813)
static void C_ccall f_13813(C_word c,C_word *av) C_noret;
C_noret_decl(f_13826)
static void C_ccall f_13826(C_word c,C_word *av) C_noret;
C_noret_decl(f_13845)
static void C_fcall f_13845(C_word t0,C_word t1) C_noret;
C_noret_decl(f_13849)
static void C_ccall f_13849(C_word c,C_word *av) C_noret;
C_noret_decl(f_13854)
static void C_ccall f_13854(C_word c,C_word *av) C_noret;
C_noret_decl(f_13858)
static void C_ccall f_13858(C_word c,C_word *av) C_noret;
C_noret_decl(f_13862)
static void C_ccall f_13862(C_word c,C_word *av) C_noret;
C_noret_decl(f_13866)
static void C_ccall f_13866(C_word c,C_word *av) C_noret;
C_noret_decl(f_13869)
static void C_ccall f_13869(C_word c,C_word *av) C_noret;
C_noret_decl(f_13883)
static void C_ccall f_13883(C_word c,C_word *av) C_noret;
C_noret_decl(f_13887)
static void C_ccall f_13887(C_word c,C_word *av) C_noret;
C_noret_decl(f_13898)
static void C_ccall f_13898(C_word c,C_word *av) C_noret;
C_noret_decl(f_13918)
static void C_ccall f_13918(C_word c,C_word *av) C_noret;
C_noret_decl(f_13922)
static void C_ccall f_13922(C_word c,C_word *av) C_noret;
C_noret_decl(f_13928)
static void C_ccall f_13928(C_word c,C_word *av) C_noret;
C_noret_decl(f_13948)
static void C_ccall f_13948(C_word c,C_word *av) C_noret;
C_noret_decl(f_13952)
static void C_ccall f_13952(C_word c,C_word *av) C_noret;
C_noret_decl(f_13958)
static void C_ccall f_13958(C_word c,C_word *av) C_noret;
C_noret_decl(f_13975)
static void C_ccall f_13975(C_word c,C_word *av) C_noret;
C_noret_decl(f_13979)
static void C_ccall f_13979(C_word c,C_word *av) C_noret;
C_noret_decl(f_13983)
static void C_ccall f_13983(C_word c,C_word *av) C_noret;
C_noret_decl(f_13993)
static void C_fcall f_13993(C_word t0,C_word t1) C_noret;
C_noret_decl(f_13999)
static void C_fcall f_13999(C_word t0,C_word t1) C_noret;
C_noret_decl(f_14004)
static void C_ccall f_14004(C_word c,C_word *av) C_noret;
C_noret_decl(f_14012)
static void C_ccall f_14012(C_word c,C_word *av) C_noret;
C_noret_decl(f_14032)
static void C_ccall f_14032(C_word c,C_word *av) C_noret;
C_noret_decl(f_14036)
static void C_ccall f_14036(C_word c,C_word *av) C_noret;
C_noret_decl(f_14046)
static void C_fcall f_14046(C_word t0,C_word t1) C_noret;
C_noret_decl(f_14052)
static void C_fcall f_14052(C_word t0,C_word t1) C_noret;
C_noret_decl(f_14057)
static void C_ccall f_14057(C_word c,C_word *av) C_noret;
C_noret_decl(f_14072)
static void C_ccall f_14072(C_word c,C_word *av) C_noret;
C_noret_decl(f_14076)
static void C_ccall f_14076(C_word c,C_word *av) C_noret;
C_noret_decl(f_14105)
static void C_ccall f_14105(C_word c,C_word *av) C_noret;
C_noret_decl(f_14109)
static void C_ccall f_14109(C_word c,C_word *av) C_noret;
C_noret_decl(f_14124)
static void C_ccall f_14124(C_word c,C_word *av) C_noret;
C_noret_decl(f_14134)
static void C_ccall f_14134(C_word c,C_word *av) C_noret;
C_noret_decl(f_14207)
static void C_ccall f_14207(C_word c,C_word *av) C_noret;
C_noret_decl(f_14219)
static void C_ccall f_14219(C_word c,C_word *av) C_noret;
C_noret_decl(f_14238)
static void C_ccall f_14238(C_word c,C_word *av) C_noret;
C_noret_decl(f_14252)
static void C_ccall f_14252(C_word c,C_word *av) C_noret;
C_noret_decl(f_14299)
static void C_ccall f_14299(C_word c,C_word *av) C_noret;
C_noret_decl(f_14303)
static void C_ccall f_14303(C_word c,C_word *av) C_noret;
C_noret_decl(f_14308)
static void C_ccall f_14308(C_word c,C_word *av) C_noret;
C_noret_decl(f_14318)
static void C_ccall f_14318(C_word c,C_word *av) C_noret;
C_noret_decl(f_14322)
static void C_ccall f_14322(C_word c,C_word *av) C_noret;
C_noret_decl(f_14331)
static void C_ccall f_14331(C_word c,C_word *av) C_noret;
C_noret_decl(f_14337)
static void C_ccall f_14337(C_word c,C_word *av) C_noret;
C_noret_decl(f_14354)
static void C_ccall f_14354(C_word c,C_word *av) C_noret;
C_noret_decl(f_14365)
static void C_ccall f_14365(C_word c,C_word *av) C_noret;
C_noret_decl(f_14371)
static void C_ccall f_14371(C_word c,C_word *av) C_noret;
C_noret_decl(f_14382)
static void C_ccall f_14382(C_word c,C_word *av) C_noret;
C_noret_decl(f_14393)
static void C_ccall f_14393(C_word c,C_word *av) C_noret;
C_noret_decl(f_14405)
static void C_ccall f_14405(C_word c,C_word *av) C_noret;
C_noret_decl(f_14417)
static void C_ccall f_14417(C_word c,C_word *av) C_noret;
C_noret_decl(f_14429)
static void C_ccall f_14429(C_word c,C_word *av) C_noret;
C_noret_decl(f_14446)
static void C_ccall f_14446(C_word c,C_word *av) C_noret;
C_noret_decl(f_14453)
static void C_ccall f_14453(C_word c,C_word *av) C_noret;
C_noret_decl(f_14457)
static void C_ccall f_14457(C_word c,C_word *av) C_noret;
C_noret_decl(f_14459)
static void C_ccall f_14459(C_word c,C_word *av) C_noret;
C_noret_decl(f_14465)
static void C_ccall f_14465(C_word c,C_word *av) C_noret;
C_noret_decl(f_14469)
static void C_ccall f_14469(C_word c,C_word *av) C_noret;
C_noret_decl(f_14472)
static void C_ccall f_14472(C_word c,C_word *av) C_noret;
C_noret_decl(f_14477)
static void C_ccall f_14477(C_word c,C_word *av) C_noret;
C_noret_decl(f_14487)
static void C_fcall f_14487(C_word t0,C_word t1) C_noret;
C_noret_decl(f_14505)
static void C_ccall f_14505(C_word c,C_word *av) C_noret;
C_noret_decl(f_14523)
static void C_ccall f_14523(C_word c,C_word *av) C_noret;
C_noret_decl(f_14526)
static void C_fcall f_14526(C_word t0,C_word t1,C_word t2,C_word t3) C_noret;
C_noret_decl(f_14546)
static void C_ccall f_14546(C_word c,C_word *av) C_noret;
C_noret_decl(f_14556)
static void C_ccall f_14556(C_word c,C_word *av) C_noret;
C_noret_decl(f_14560)
static void C_ccall f_14560(C_word c,C_word *av) C_noret;
C_noret_decl(f_14564)
static void C_ccall f_14564(C_word c,C_word *av) C_noret;
C_noret_decl(f_14580)
static void C_ccall f_14580(C_word c,C_word *av) C_noret;
C_noret_decl(f_14597)
static void C_ccall f_14597(C_word c,C_word *av) C_noret;
C_noret_decl(f_14608)
static void C_fcall f_14608(C_word t0,C_word t1,C_word t2,C_word t3) C_noret;
C_noret_decl(f_14628)
static void C_ccall f_14628(C_word c,C_word *av) C_noret;
C_noret_decl(f_14642)
static void C_ccall f_14642(C_word c,C_word *av) C_noret;
C_noret_decl(f_14645)
static void C_fcall f_14645(C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_14655)
static void C_ccall f_14655(C_word c,C_word *av) C_noret;
C_noret_decl(f_14657)
static void C_fcall f_14657(C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_14676)
static void C_ccall f_14676(C_word c,C_word *av) C_noret;
C_noret_decl(f_14700)
static void C_fcall f_14700(C_word t0,C_word t1) C_noret;
C_noret_decl(f_14704)
static void C_ccall f_14704(C_word c,C_word *av) C_noret;
C_noret_decl(f_14708)
static void C_ccall f_14708(C_word c,C_word *av) C_noret;
C_noret_decl(f_14743)
static void C_ccall f_14743(C_word c,C_word *av) C_noret;
C_noret_decl(f_14750)
static void C_ccall f_14750(C_word c,C_word *av) C_noret;
C_noret_decl(f_14762)
static void C_ccall f_14762(C_word c,C_word *av) C_noret;
C_noret_decl(f_14782)
static void C_ccall f_14782(C_word c,C_word *av) C_noret;
C_noret_decl(f_14786)
static void C_ccall f_14786(C_word c,C_word *av) C_noret;
C_noret_decl(f_14806)
static void C_fcall f_14806(C_word t0,C_word t1) C_noret;
C_noret_decl(f_14815)
static void C_fcall f_14815(C_word t0,C_word t1) C_noret;
C_noret_decl(f_14826)
static void C_ccall f_14826(C_word c,C_word *av) C_noret;
C_noret_decl(f_14830)
static void C_ccall f_14830(C_word c,C_word *av) C_noret;
C_noret_decl(f_14834)
static void C_ccall f_14834(C_word c,C_word *av) C_noret;
C_noret_decl(f_14841)
static void C_ccall f_14841(C_word c,C_word *av) C_noret;
C_noret_decl(f_14857)
static void C_ccall f_14857(C_word c,C_word *av) C_noret;
C_noret_decl(f_14861)
static void C_ccall f_14861(C_word c,C_word *av) C_noret;
C_noret_decl(f_14902)
static void C_fcall f_14902(C_word t0,C_word t1,C_word t2,C_word t3) C_noret;
C_noret_decl(f_14935)
static void C_ccall f_14935(C_word c,C_word *av) C_noret;
C_noret_decl(f_14964)
static void C_ccall f_14964(C_word c,C_word *av) C_noret;
C_noret_decl(f_14972)
static void C_ccall f_14972(C_word c,C_word *av) C_noret;
C_noret_decl(f_14978)
static void C_ccall f_14978(C_word c,C_word *av) C_noret;
C_noret_decl(f_14998)
static void C_fcall f_14998(C_word t0,C_word t1,C_word t2,C_word t3) C_noret;
C_noret_decl(f_15023)
static void C_ccall f_15023(C_word c,C_word *av) C_noret;
C_noret_decl(f_15029)
static void C_ccall f_15029(C_word c,C_word *av) C_noret;
C_noret_decl(f_15033)
static void C_ccall f_15033(C_word c,C_word *av) C_noret;
C_noret_decl(f_15040)
static void C_ccall f_15040(C_word c,C_word *av) C_noret;
C_noret_decl(f_15060)
static void C_fcall f_15060(C_word t0,C_word t1,C_word t2,C_word t3) C_noret;
C_noret_decl(f_15081)
static void C_ccall f_15081(C_word c,C_word *av) C_noret;
C_noret_decl(f_15095)
static void C_ccall f_15095(C_word c,C_word *av) C_noret;
C_noret_decl(f_15102)
static void C_ccall f_15102(C_word c,C_word *av) C_noret;
C_noret_decl(f_15107)
static void C_ccall f_15107(C_word c,C_word *av) C_noret;
C_noret_decl(f_15113)
static void C_ccall f_15113(C_word c,C_word *av) C_noret;
C_noret_decl(f_15117)
static void C_ccall f_15117(C_word c,C_word *av) C_noret;
C_noret_decl(f_15120)
static void C_ccall f_15120(C_word c,C_word *av) C_noret;
C_noret_decl(f_15127)
static void C_ccall f_15127(C_word c,C_word *av) C_noret;
C_noret_decl(f_15148)
static void C_ccall f_15148(C_word c,C_word *av) C_noret;
C_noret_decl(f_15162)
static void C_ccall f_15162(C_word c,C_word *av) C_noret;
C_noret_decl(f_15166)
static void C_ccall f_15166(C_word c,C_word *av) C_noret;
C_noret_decl(f_15203)
static void C_ccall f_15203(C_word c,C_word *av) C_noret;
C_noret_decl(f_15211)
static void C_ccall f_15211(C_word c,C_word *av) C_noret;
C_noret_decl(f_15238)
static void C_ccall f_15238(C_word c,C_word *av) C_noret;
C_noret_decl(f_15241)
static void C_ccall f_15241(C_word c,C_word *av) C_noret;
C_noret_decl(f_15258)
static void C_ccall f_15258(C_word c,C_word *av) C_noret;
C_noret_decl(f_15261)
static void C_fcall f_15261(C_word t0,C_word t1) C_noret;
C_noret_decl(f_15268)
static void C_ccall f_15268(C_word c,C_word *av) C_noret;
C_noret_decl(f_15279)
static void C_ccall f_15279(C_word c,C_word *av) C_noret;
C_noret_decl(f_15290)
static void C_ccall f_15290(C_word c,C_word *av) C_noret;
C_noret_decl(f_15315)
static void C_fcall f_15315(C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_15330)
static void C_ccall f_15330(C_word c,C_word *av) C_noret;
C_noret_decl(f_15353)
static void C_fcall f_15353(C_word t0,C_word t1,C_word t2,C_word t3,C_word t4) C_noret;
C_noret_decl(f_15356)
static C_word C_fcall f_15356(C_word t0);
C_noret_decl(f_15366)
static void C_fcall f_15366(C_word t0,C_word t1,C_word t2,C_word t3) C_noret;
C_noret_decl(f_15424)
static void C_ccall f_15424(C_word c,C_word *av) C_noret;
C_noret_decl(f_15440)
static void C_fcall f_15440(C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_15446)
static void C_fcall f_15446(C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_15509)
static void C_fcall f_15509(C_word t0,C_word t1) C_noret;
C_noret_decl(f_15548)
static void C_fcall f_15548(C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_15554)
static void C_fcall f_15554(C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_15598)
static void C_fcall f_15598(C_word t0,C_word t1,C_word t2,C_word t3,C_word t4) C_noret;
C_noret_decl(f_15602)
static void C_ccall f_15602(C_word c,C_word *av) C_noret;
C_noret_decl(f_15605)
static void C_ccall f_15605(C_word c,C_word *av) C_noret;
C_noret_decl(f_15654)
static void C_fcall f_15654(C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_15669)
static void C_fcall f_15669(C_word t0,C_word t1) C_noret;
C_noret_decl(f_15678)
static void C_ccall f_15678(C_word c,C_word *av) C_noret;
C_noret_decl(f_15715)
static void C_fcall f_15715(C_word t0,C_word t1,C_word t2,C_word t3,C_word t4) C_noret;
C_noret_decl(f_15725)
static void C_ccall f_15725(C_word c,C_word *av) C_noret;
C_noret_decl(f_15734)
static void C_fcall f_15734(C_word t0,C_word t1) C_noret;
C_noret_decl(f_15737)
static void C_fcall f_15737(C_word t0,C_word t1) C_noret;
C_noret_decl(f_15746)
static void C_fcall f_15746(C_word t0,C_word t1) C_noret;
C_noret_decl(f_15755)
static void C_ccall f_15755(C_word c,C_word *av) C_noret;
C_noret_decl(f_15767)
static void C_ccall f_15767(C_word c,C_word *av) C_noret;
C_noret_decl(f_15773)
static void C_fcall f_15773(C_word t0,C_word t1) C_noret;
C_noret_decl(f_15779)
static void C_ccall f_15779(C_word c,C_word *av) C_noret;
C_noret_decl(f_15820)
static void C_ccall f_15820(C_word c,C_word *av) C_noret;
C_noret_decl(f_15927)
static void C_fcall f_15927(C_word t0,C_word t1,C_word t2,C_word t3) C_noret;
C_noret_decl(f_15934)
static void C_fcall f_15934(C_word t0,C_word t1) C_noret;
C_noret_decl(f_15947)
static void C_ccall f_15947(C_word c,C_word *av) C_noret;
C_noret_decl(f_15953)
static void C_fcall f_15953(C_word t0,C_word t1) C_noret;
C_noret_decl(f_16005)
static void C_fcall f_16005(C_word t0,C_word t1) C_noret;
C_noret_decl(f_16020)
static void C_ccall f_16020(C_word c,C_word *av) C_noret;
C_noret_decl(f_16030)
static void C_ccall f_16030(C_word c,C_word *av) C_noret;
C_noret_decl(f_16066)
static void C_ccall f_16066(C_word c,C_word *av) C_noret;
C_noret_decl(f_16092)
static void C_ccall f_16092(C_word c,C_word *av) C_noret;
C_noret_decl(f_16103)
static void C_ccall f_16103(C_word c,C_word *av) C_noret;
C_noret_decl(f_16270)
static void C_fcall f_16270(C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_16285)
static void C_fcall f_16285(C_word t0,C_word t1) C_noret;
C_noret_decl(f_16311)
static void C_fcall f_16311(C_word t0,C_word t1) C_noret;
C_noret_decl(f_16343)
static void C_fcall f_16343(C_word t0,C_word t1) C_noret;
C_noret_decl(f_16380)
static void C_ccall f_16380(C_word c,C_word *av) C_noret;
C_noret_decl(f_16404)
static void C_fcall f_16404(C_word t0,C_word t1) C_noret;
C_noret_decl(f_16454)
static void C_ccall f_16454(C_word c,C_word *av) C_noret;
C_noret_decl(f_16502)
static void C_ccall f_16502(C_word c,C_word *av) C_noret;
C_noret_decl(f_16505)
static void C_ccall f_16505(C_word c,C_word *av) C_noret;
C_noret_decl(f_16524)
static void C_fcall f_16524(C_word t0,C_word t1) C_noret;
C_noret_decl(f_16594)
static void C_ccall f_16594(C_word c,C_word *av) C_noret;
C_noret_decl(f_16615)
static void C_fcall f_16615(C_word t0,C_word t1) C_noret;
C_noret_decl(f_16662)
static void C_ccall f_16662(C_word c,C_word *av) C_noret;
C_noret_decl(f_16754)
static void C_ccall f_16754(C_word c,C_word *av) C_noret;
C_noret_decl(f_16764)
static void C_ccall f_16764(C_word c,C_word *av) C_noret;
C_noret_decl(f_16773)
static void C_fcall f_16773(C_word t0,C_word t1,C_word t2,C_word t3,C_word t4,C_word t5) C_noret;
C_noret_decl(f_16780)
static void C_fcall f_16780(C_word t0,C_word t1) C_noret;
C_noret_decl(f_17009)
static void C_ccall f_17009(C_word c,C_word *av) C_noret;
C_noret_decl(f_17055)
static void C_ccall f_17055(C_word c,C_word *av) C_noret;
C_noret_decl(f_17058)
static void C_fcall f_17058(C_word t0,C_word t1,C_word t2,C_word t3,C_word t4) C_noret;
C_noret_decl(f_17085)
static void C_fcall f_17085(C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_17109)
static void C_ccall f_17109(C_word c,C_word *av) C_noret;
C_noret_decl(f_17126)
static void C_fcall f_17126(C_word t0,C_word t1,C_word t2,C_word t3) C_noret;
C_noret_decl(f_17225)
static void C_ccall f_17225(C_word c,C_word *av) C_noret;
C_noret_decl(f_17228)
static void C_ccall f_17228(C_word c,C_word *av) C_noret;
C_noret_decl(f_17237)
static C_word C_fcall f_17237(C_word t0,C_word t1);
C_noret_decl(f_17264)
static void C_ccall f_17264(C_word c,C_word *av) C_noret;
C_noret_decl(f_17282)
static void C_ccall f_17282(C_word c,C_word *av) C_noret;
C_noret_decl(f_17302)
static void C_ccall f_17302(C_word c,C_word *av) C_noret;
C_noret_decl(f_17306)
static void C_ccall f_17306(C_word c,C_word *av) C_noret;
C_noret_decl(f_17308)
static void C_ccall f_17308(C_word c,C_word *av) C_noret;
C_noret_decl(f_17326)
static void C_ccall f_17326(C_word c,C_word *av) C_noret;
C_noret_decl(f_17349)
static void C_ccall f_17349(C_word c,C_word *av) C_noret;
C_noret_decl(f_17357)
static void C_ccall f_17357(C_word c,C_word *av) C_noret;
C_noret_decl(f_17362)
static void C_ccall f_17362(C_word c,C_word *av) C_noret;
C_noret_decl(f_17373)
static void C_ccall f_17373(C_word c,C_word *av) C_noret;
C_noret_decl(f_17375)
static void C_ccall f_17375(C_word c,C_word *av) C_noret;
C_noret_decl(f_17386)
static void C_ccall f_17386(C_word c,C_word *av) C_noret;
C_noret_decl(f_17388)
static void C_ccall f_17388(C_word c,C_word *av) C_noret;
C_noret_decl(f_17399)
static void C_ccall f_17399(C_word c,C_word *av) C_noret;
C_noret_decl(f_17401)
static void C_ccall f_17401(C_word c,C_word *av) C_noret;
C_noret_decl(f_17418)
static void C_ccall f_17418(C_word c,C_word *av) C_noret;
C_noret_decl(f_17422)
static void C_ccall f_17422(C_word c,C_word *av) C_noret;
C_noret_decl(f_17426)
static void C_ccall f_17426(C_word c,C_word *av) C_noret;
C_noret_decl(f_17435)
static void C_ccall f_17435(C_word c,C_word *av) C_noret;
C_noret_decl(f_17455)
static void C_ccall f_17455(C_word c,C_word *av) C_noret;
C_noret_decl(f_17463)
static void C_ccall f_17463(C_word c,C_word *av) C_noret;
C_noret_decl(f_17478)
static void C_ccall f_17478(C_word c,C_word *av) C_noret;
C_noret_decl(f_17480)
static void C_fcall f_17480(C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_17505)
static void C_ccall f_17505(C_word c,C_word *av) C_noret;
C_noret_decl(f_17514)
static void C_ccall f_17514(C_word c,C_word *av) C_noret;
C_noret_decl(f_17523)
static void C_ccall f_17523(C_word c,C_word *av) C_noret;
C_noret_decl(f_17534)
static void C_ccall f_17534(C_word c,C_word *av) C_noret;
C_noret_decl(f_17544)
static void C_ccall f_17544(C_word c,C_word *av) C_noret;
C_noret_decl(f_17551)
static void C_ccall f_17551(C_word c,C_word *av) C_noret;
C_noret_decl(f_17562)
static void C_ccall f_17562(C_word c,C_word *av) C_noret;
C_noret_decl(f_17590)
static void C_ccall f_17590(C_word c,C_word *av) C_noret;
C_noret_decl(f_17594)
static void C_ccall f_17594(C_word c,C_word *av) C_noret;
C_noret_decl(f_17596)
static void C_ccall f_17596(C_word c,C_word *av) C_noret;
C_noret_decl(f_17600)
static void C_ccall f_17600(C_word c,C_word *av) C_noret;
C_noret_decl(f_17605)
static void C_ccall f_17605(C_word c,C_word *av) C_noret;
C_noret_decl(f_17611)
static void C_ccall f_17611(C_word c,C_word *av) C_noret;
C_noret_decl(f_17615)
static void C_ccall f_17615(C_word c,C_word *av) C_noret;
C_noret_decl(f_17620)
static void C_ccall f_17620(C_word c,C_word *av) C_noret;
C_noret_decl(f_17630)
static void C_ccall f_17630(C_word c,C_word *av) C_noret;
C_noret_decl(f_17632)
static void C_ccall f_17632(C_word c,C_word *av) C_noret;
C_noret_decl(f_17636)
static void C_ccall f_17636(C_word c,C_word *av) C_noret;
C_noret_decl(f_17642)
static void C_ccall f_17642(C_word c,C_word *av) C_noret;
C_noret_decl(f_17644)
static void C_ccall f_17644(C_word c,C_word *av) C_noret;
C_noret_decl(f_17648)
static void C_ccall f_17648(C_word c,C_word *av) C_noret;
C_noret_decl(f_17651)
static void C_ccall f_17651(C_word c,C_word *av) C_noret;
C_noret_decl(f_17667)
static void C_ccall f_17667(C_word c,C_word *av) C_noret;
C_noret_decl(f_17671)
static void C_ccall f_17671(C_word c,C_word *av) C_noret;
C_noret_decl(f_17674)
static void C_ccall f_17674(C_word c,C_word *av) C_noret;
C_noret_decl(f_17696)
static void C_ccall f_17696(C_word c,C_word *av) C_noret;
C_noret_decl(f_17712)
static void C_ccall f_17712(C_word c,C_word *av) C_noret;
C_noret_decl(f_17717)
static C_word C_fcall f_17717(C_word t0,C_word t1,C_word t2);
C_noret_decl(f_17748)
static void C_ccall f_17748(C_word c,C_word *av) C_noret;
C_noret_decl(f_17757)
static void C_fcall f_17757(C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_17775)
static void C_ccall f_17775(C_word c,C_word *av) C_noret;
C_noret_decl(f_17781)
static void C_ccall f_17781(C_word c,C_word *av) C_noret;
C_noret_decl(f_17787)
static void C_ccall f_17787(C_word c,C_word *av) C_noret;
C_noret_decl(f_17796)
static C_word C_fcall f_17796(C_word t0,C_word t1);
C_noret_decl(f_17815)
static void C_ccall f_17815(C_word c,C_word *av) C_noret;
C_noret_decl(f_17831)
static void C_fcall f_17831(C_word t0,C_word t1) C_noret;
C_noret_decl(f_17834)
static void C_ccall f_17834(C_word c,C_word *av) C_noret;
C_noret_decl(f_17837)
static void C_ccall f_17837(C_word c,C_word *av) C_noret;
C_noret_decl(f_17842)
static C_word C_fcall f_17842(C_word t0,C_word t1);
C_noret_decl(f_17884)
static void C_ccall f_17884(C_word c,C_word *av) C_noret;
C_noret_decl(f_17903)
static void C_ccall f_17903(C_word c,C_word *av) C_noret;
C_noret_decl(f_17906)
static void C_ccall f_17906(C_word c,C_word *av) C_noret;
C_noret_decl(f_17909)
static void C_ccall f_17909(C_word c,C_word *av) C_noret;
C_noret_decl(f_17914)
static C_word C_fcall f_17914(C_word t0,C_word t1);
C_noret_decl(f_17955)
static void C_ccall f_17955(C_word c,C_word *av) C_noret;
C_noret_decl(f_17965)
static void C_ccall f_17965(C_word c,C_word *av) C_noret;
C_noret_decl(f_17976)
static void C_fcall f_17976(C_word t0,C_word t1,C_word t2,C_word t3) C_noret;
C_noret_decl(f_17980)
static void C_ccall f_17980(C_word c,C_word *av) C_noret;
C_noret_decl(f_17983)
static void C_ccall f_17983(C_word c,C_word *av) C_noret;
C_noret_decl(f_17988)
static C_word C_fcall f_17988(C_word t0,C_word t1);
C_noret_decl(f_18015)
static void C_ccall f_18015(C_word c,C_word *av) C_noret;
C_noret_decl(f_18029)
static void C_ccall f_18029(C_word c,C_word *av) C_noret;
C_noret_decl(f_18040)
static void C_ccall f_18040(C_word c,C_word *av) C_noret;
C_noret_decl(f_18051)
static void C_ccall f_18051(C_word c,C_word *av) C_noret;
C_noret_decl(f_18062)
static void C_ccall f_18062(C_word c,C_word *av) C_noret;
C_noret_decl(f_18075)
static void C_ccall f_18075(C_word c,C_word *av) C_noret;
C_noret_decl(f_18077)
static void C_fcall f_18077(C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_18090)
static C_word C_fcall f_18090(C_word t0,C_word t1);
C_noret_decl(f_18118)
static void C_ccall f_18118(C_word c,C_word *av) C_noret;
C_noret_decl(f_18122)
static void C_fcall f_18122(C_word t0,C_word t1) C_noret;
C_noret_decl(f_18131)
static void C_ccall f_18131(C_word c,C_word *av) C_noret;
C_noret_decl(f_18149)
static void C_ccall f_18149(C_word c,C_word *av) C_noret;
C_noret_decl(f_18152)
static void C_ccall f_18152(C_word c,C_word *av) C_noret;
C_noret_decl(f_18235)
static void C_ccall f_18235(C_word c,C_word *av) C_noret;
C_noret_decl(f_18238)
static void C_ccall f_18238(C_word c,C_word *av) C_noret;
C_noret_decl(f_18241)
static void C_ccall f_18241(C_word c,C_word *av) C_noret;
C_noret_decl(f_18244)
static void C_ccall f_18244(C_word c,C_word *av) C_noret;
C_noret_decl(f_18247)
static void C_ccall f_18247(C_word c,C_word *av) C_noret;
C_noret_decl(f_18250)
static void C_ccall f_18250(C_word c,C_word *av) C_noret;
C_noret_decl(f_18253)
static void C_ccall f_18253(C_word c,C_word *av) C_noret;
C_noret_decl(f_18256)
static void C_ccall f_18256(C_word c,C_word *av) C_noret;
C_noret_decl(f_18259)
static void C_ccall f_18259(C_word c,C_word *av) C_noret;
C_noret_decl(f_18262)
static void C_ccall f_18262(C_word c,C_word *av) C_noret;
C_noret_decl(f_18265)
static void C_ccall f_18265(C_word c,C_word *av) C_noret;
C_noret_decl(f_18268)
static void C_ccall f_18268(C_word c,C_word *av) C_noret;
C_noret_decl(f_18271)
static void C_ccall f_18271(C_word c,C_word *av) C_noret;
C_noret_decl(f_18274)
static void C_ccall f_18274(C_word c,C_word *av) C_noret;
C_noret_decl(f_18279)
static void C_ccall f_18279(C_word c,C_word *av) C_noret;
C_noret_decl(f_18285)
static void C_fcall f_18285(C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_18301)
static void C_ccall f_18301(C_word c,C_word *av) C_noret;
C_noret_decl(f_18317)
static void C_ccall f_18317(C_word c,C_word *av) C_noret;
C_noret_decl(f_18323)
static void C_fcall f_18323(C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_18343)
static void C_ccall f_18343(C_word c,C_word *av) C_noret;
C_noret_decl(f_18347)
static void C_ccall f_18347(C_word c,C_word *av) C_noret;
C_noret_decl(f_18359)
static void C_ccall f_18359(C_word c,C_word *av) C_noret;
C_noret_decl(f_18391)
static void C_ccall f_18391(C_word c,C_word *av) C_noret;
C_noret_decl(f_18395)
static void C_ccall f_18395(C_word c,C_word *av) C_noret;
C_noret_decl(f_18403)
static void C_ccall f_18403(C_word c,C_word *av) C_noret;
C_noret_decl(f_18413)
static void C_fcall f_18413(C_word t0,C_word t1) C_noret;
C_noret_decl(f_18421)
static C_word C_fcall f_18421(C_word t0);
C_noret_decl(f_18457)
static void C_ccall f_18457(C_word c,C_word *av) C_noret;
C_noret_decl(f_18472)
static void C_fcall f_18472(C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_18482)
static void C_ccall f_18482(C_word c,C_word *av) C_noret;
C_noret_decl(f_18502)
static void C_fcall f_18502(C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_18515)
static void C_ccall f_18515(C_word c,C_word *av) C_noret;
C_noret_decl(f_18522)
static void C_ccall f_18522(C_word c,C_word *av) C_noret;
C_noret_decl(f_18524)
static void C_ccall f_18524(C_word c,C_word *av) C_noret;
C_noret_decl(f_18532)
static void C_ccall f_18532(C_word c,C_word *av) C_noret;
C_noret_decl(f_18534)
static void C_ccall f_18534(C_word c,C_word *av) C_noret;
C_noret_decl(f_18543)
static void C_ccall f_18543(C_word c,C_word *av) C_noret;
C_noret_decl(f_18561)
static void C_fcall f_18561(C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_18586)
static void C_ccall f_18586(C_word c,C_word *av) C_noret;
C_noret_decl(f_18602)
static void C_fcall f_18602(C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_18619)
static void C_ccall f_18619(C_word c,C_word *av) C_noret;
C_noret_decl(f_18623)
static void C_ccall f_18623(C_word c,C_word *av) C_noret;
C_noret_decl(f_18627)
static void C_ccall f_18627(C_word c,C_word *av) C_noret;
C_noret_decl(f_18629)
static void C_ccall f_18629(C_word c,C_word *av) C_noret;
C_noret_decl(f_18637)
static void C_ccall f_18637(C_word c,C_word *av) C_noret;
C_noret_decl(f_18639)
static void C_ccall f_18639(C_word c,C_word *av) C_noret;
C_noret_decl(f_18646)
static void C_ccall f_18646(C_word c,C_word *av) C_noret;
C_noret_decl(f_18650)
static void C_ccall f_18650(C_word c,C_word *av) C_noret;
C_noret_decl(f_18654)
static void C_ccall f_18654(C_word c,C_word *av) C_noret;
C_noret_decl(f_18663)
static void C_ccall f_18663(C_word c,C_word *av) C_noret;
C_noret_decl(f_18671)
static void C_ccall f_18671(C_word c,C_word *av) C_noret;
C_noret_decl(f_18681)
static void C_ccall f_18681(C_word c,C_word *av) C_noret;
C_noret_decl(f_18687)
static void C_ccall f_18687(C_word c,C_word *av) C_noret;
C_noret_decl(f_18690)
static void C_ccall f_18690(C_word c,C_word *av) C_noret;
C_noret_decl(f_18694)
static void C_ccall f_18694(C_word c,C_word *av) C_noret;
C_noret_decl(f_18721)
static void C_fcall f_18721(C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_18737)
static void C_ccall f_18737(C_word c,C_word *av) C_noret;
C_noret_decl(f_18743)
static void C_ccall f_18743(C_word c,C_word *av) C_noret;
C_noret_decl(f_18766)
static void C_ccall f_18766(C_word c,C_word *av) C_noret;
C_noret_decl(f_18779)
static void C_ccall f_18779(C_word c,C_word *av) C_noret;
C_noret_decl(f_18785)
static void C_ccall f_18785(C_word c,C_word *av) C_noret;
C_noret_decl(f_18790)
static void C_ccall f_18790(C_word c,C_word *av) C_noret;
C_noret_decl(f_18795)
static void C_ccall f_18795(C_word c,C_word *av) C_noret;
C_noret_decl(f_18799)
static void C_ccall f_18799(C_word c,C_word *av) C_noret;
C_noret_decl(f_18808)
static void C_ccall f_18808(C_word c,C_word *av) C_noret;
C_noret_decl(f_18839)
static void C_ccall f_18839(C_word c,C_word *av) C_noret;
C_noret_decl(f_18843)
static void C_ccall f_18843(C_word c,C_word *av) C_noret;
C_noret_decl(f_18847)
static void C_ccall f_18847(C_word c,C_word *av) C_noret;
C_noret_decl(f_18850)
static void C_ccall f_18850(C_word c,C_word *av) C_noret;
C_noret_decl(f_18853)
static void C_ccall f_18853(C_word c,C_word *av) C_noret;
C_noret_decl(f_18856)
static void C_ccall f_18856(C_word c,C_word *av) C_noret;
C_noret_decl(f_18858)
static void C_ccall f_18858(C_word c,C_word *av) C_noret;
C_noret_decl(f_18869)
static void C_ccall f_18869(C_word c,C_word *av) C_noret;
C_noret_decl(f_18880)
static void C_ccall f_18880(C_word c,C_word *av) C_noret;
C_noret_decl(f_18891)
static void C_ccall f_18891(C_word c,C_word *av) C_noret;
C_noret_decl(f_18902)
static void C_ccall f_18902(C_word c,C_word *av) C_noret;
C_noret_decl(f_18915)
static void C_ccall f_18915(C_word c,C_word *av) C_noret;
C_noret_decl(f_18917)
static C_word C_fcall f_18917(C_word t0,C_word t1);
C_noret_decl(f_18923)
static C_word C_fcall f_18923(C_word t0);
C_noret_decl(f_18928)
static C_word C_fcall f_18928(C_word t0);
C_noret_decl(f_18963)
static void C_ccall f_18963(C_word c,C_word *av) C_noret;
C_noret_decl(f_18976)
static void C_ccall f_18976(C_word c,C_word *av) C_noret;
C_noret_decl(f_18978)
static C_word C_fcall f_18978(C_word t0,C_word t1);
C_noret_decl(f_18984)
static C_word C_fcall f_18984(C_word t0);
C_noret_decl(f_18989)
static C_word C_fcall f_18989(C_word t0);
C_noret_decl(f_19024)
static void C_ccall f_19024(C_word c,C_word *av) C_noret;
C_noret_decl(f_19037)
static void C_ccall f_19037(C_word c,C_word *av) C_noret;
C_noret_decl(f_19039)
static C_word C_fcall f_19039(C_word t0,C_word t1);
C_noret_decl(f_19045)
static C_word C_fcall f_19045(C_word t0);
C_noret_decl(f_19050)
static C_word C_fcall f_19050(C_word t0);
C_noret_decl(f_19085)
static void C_ccall f_19085(C_word c,C_word *av) C_noret;
C_noret_decl(f_19097)
static void C_ccall f_19097(C_word c,C_word *av) C_noret;
C_noret_decl(f_19099)
static void C_ccall f_19099(C_word c,C_word *av) C_noret;
C_noret_decl(f_19105)
static void C_ccall f_19105(C_word c,C_word *av) C_noret;
C_noret_decl(f_19111)
static void C_fcall f_19111(C_word t0,C_word t1,C_word t2,C_word t3,C_word t4) C_noret;
C_noret_decl(f_19121)
static void C_ccall f_19121(C_word c,C_word *av) C_noret;
C_noret_decl(f_19124)
static void C_ccall f_19124(C_word c,C_word *av) C_noret;
C_noret_decl(f_19127)
static void C_ccall f_19127(C_word c,C_word *av) C_noret;
C_noret_decl(f_19130)
static void C_ccall f_19130(C_word c,C_word *av) C_noret;
C_noret_decl(f_19133)
static void C_ccall f_19133(C_word c,C_word *av) C_noret;
C_noret_decl(f_19140)
static void C_ccall f_19140(C_word c,C_word *av) C_noret;
C_noret_decl(f_19144)
static void C_ccall f_19144(C_word c,C_word *av) C_noret;
C_noret_decl(f_19148)
static void C_ccall f_19148(C_word c,C_word *av) C_noret;
C_noret_decl(f_19154)
static void C_fcall f_19154(C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_19167)
static void C_ccall f_19167(C_word c,C_word *av) C_noret;
C_noret_decl(f_19209)
static void C_fcall f_19209(C_word t0,C_word t1,C_word t2,C_word t3) C_noret;
C_noret_decl(f_19213)
static void C_ccall f_19213(C_word c,C_word *av) C_noret;
C_noret_decl(f_19246)
static void C_ccall f_19246(C_word c,C_word *av) C_noret;
C_noret_decl(f_19252)
static void C_ccall f_19252(C_word c,C_word *av) C_noret;
C_noret_decl(f_19258)
static void C_ccall f_19258(C_word c,C_word *av) C_noret;
C_noret_decl(f_19264)
static void C_ccall f_19264(C_word c,C_word *av) C_noret;
C_noret_decl(f_19270)
static void C_ccall f_19270(C_word c,C_word *av) C_noret;
C_noret_decl(f_19274)
static void C_ccall f_19274(C_word c,C_word *av) C_noret;
C_noret_decl(f_19279)
static void C_ccall f_19279(C_word c,C_word *av) C_noret;
C_noret_decl(f_19285)
static void C_ccall f_19285(C_word c,C_word *av) C_noret;
C_noret_decl(f_19289)
static void C_ccall f_19289(C_word c,C_word *av) C_noret;
C_noret_decl(f_19294)
static void C_ccall f_19294(C_word c,C_word *av) C_noret;
C_noret_decl(f_19298)
static void C_ccall f_19298(C_word c,C_word *av) C_noret;
C_noret_decl(f_19303)
static void C_ccall f_19303(C_word c,C_word *av) C_noret;
C_noret_decl(f_19309)
static void C_ccall f_19309(C_word c,C_word *av) C_noret;
C_noret_decl(f_19313)
static void C_ccall f_19313(C_word c,C_word *av) C_noret;
C_noret_decl(f_19318)
static void C_ccall f_19318(C_word c,C_word *av) C_noret;
C_noret_decl(f_19322)
static void C_ccall f_19322(C_word c,C_word *av) C_noret;
C_noret_decl(f_19327)
static void C_ccall f_19327(C_word c,C_word *av) C_noret;
C_noret_decl(f_19332)
static void C_ccall f_19332(C_word c,C_word *av) C_noret;
C_noret_decl(f_19338)
static void C_ccall f_19338(C_word c,C_word *av) C_noret;
C_noret_decl(f_19342)
static void C_ccall f_19342(C_word c,C_word *av) C_noret;
C_noret_decl(f_19347)
static void C_ccall f_19347(C_word c,C_word *av) C_noret;
C_noret_decl(f_19352)
static void C_ccall f_19352(C_word c,C_word *av) C_noret;
C_noret_decl(f_19356)
static void C_ccall f_19356(C_word c,C_word *av) C_noret;
C_noret_decl(f_19361)
static void C_ccall f_19361(C_word c,C_word *av) C_noret;
C_noret_decl(f_19366)
static void C_ccall f_19366(C_word c,C_word *av) C_noret;
C_noret_decl(f_19372)
static void C_ccall f_19372(C_word c,C_word *av) C_noret;
C_noret_decl(f_19376)
static void C_ccall f_19376(C_word c,C_word *av) C_noret;
C_noret_decl(f_19381)
static void C_ccall f_19381(C_word c,C_word *av) C_noret;
C_noret_decl(f_19386)
static void C_ccall f_19386(C_word c,C_word *av) C_noret;
C_noret_decl(f_19391)
static void C_ccall f_19391(C_word c,C_word *av) C_noret;
C_noret_decl(f_19412)
static void C_ccall f_19412(C_word c,C_word *av) C_noret;
C_noret_decl(f_19419)
static void C_ccall f_19419(C_word c,C_word *av) C_noret;
C_noret_decl(f_19425)
static void C_ccall f_19425(C_word c,C_word *av) C_noret;
C_noret_decl(f_19443)
static void C_ccall f_19443(C_word c,C_word *av) C_noret;
C_noret_decl(f_19452)
static void C_ccall f_19452(C_word c,C_word *av) C_noret;
C_noret_decl(f_19465)
static void C_fcall f_19465(C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_19473)
static void C_ccall f_19473(C_word c,C_word *av) C_noret;
C_noret_decl(f_19478)
static void C_fcall f_19478(C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_19515)
static void C_ccall f_19515(C_word c,C_word *av) C_noret;
C_noret_decl(f_19527)
static void C_ccall f_19527(C_word c,C_word *av) C_noret;
C_noret_decl(f_19537)
static void C_fcall f_19537(C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_19553)
static void C_ccall f_19553(C_word c,C_word *av) C_noret;
C_noret_decl(f_19566)
static void C_ccall f_19566(C_word c,C_word *av) C_noret;
C_noret_decl(f_19573)
static void C_ccall f_19573(C_word c,C_word *av) C_noret;
C_noret_decl(f_19575)
static void C_ccall f_19575(C_word c,C_word *av) C_noret;
C_noret_decl(f_19588)
static void C_ccall f_19588(C_word c,C_word *av) C_noret;
C_noret_decl(f_19594)
static void C_ccall f_19594(C_word c,C_word *av) C_noret;
C_noret_decl(f_19601)
static void C_ccall f_19601(C_word c,C_word *av) C_noret;
C_noret_decl(f_19603)
static void C_ccall f_19603(C_word c,C_word *av) C_noret;
C_noret_decl(f_19607)
static void C_ccall f_19607(C_word c,C_word *av) C_noret;
C_noret_decl(f_19610)
static void C_ccall f_19610(C_word c,C_word *av) C_noret;
C_noret_decl(f_19620)
static void C_ccall f_19620(C_word c,C_word *av) C_noret;
C_noret_decl(f_19624)
static void C_ccall f_19624(C_word c,C_word *av) C_noret;
C_noret_decl(f_19632)
static void C_ccall f_19632(C_word c,C_word *av) C_noret;
C_noret_decl(f_19635)
static void C_ccall f_19635(C_word c,C_word *av) C_noret;
C_noret_decl(f_19642)
static void C_ccall f_19642(C_word c,C_word *av) C_noret;
C_noret_decl(f_19645)
static void C_ccall f_19645(C_word c,C_word *av) C_noret;
C_noret_decl(f_19648)
static void C_ccall f_19648(C_word c,C_word *av) C_noret;
C_noret_decl(f_19651)
static void C_ccall f_19651(C_word c,C_word *av) C_noret;
C_noret_decl(f_19659)
static void C_ccall f_19659(C_word c,C_word *av) C_noret;
C_noret_decl(f_19667)
static void C_ccall f_19667(C_word c,C_word *av) C_noret;
C_noret_decl(f_19669)
static void C_ccall f_19669(C_word c,C_word *av) C_noret;
C_noret_decl(f_19685)
static void C_ccall f_19685(C_word c,C_word *av) C_noret;
C_noret_decl(f_19712)
static void C_ccall f_19712(C_word c,C_word *av) C_noret;
C_noret_decl(f_19716)
static void C_ccall f_19716(C_word c,C_word *av) C_noret;
C_noret_decl(f_19720)
static void C_ccall f_19720(C_word c,C_word *av) C_noret;
C_noret_decl(f_19724)
static void C_ccall f_19724(C_word c,C_word *av) C_noret;
C_noret_decl(f_19728)
static void C_ccall f_19728(C_word c,C_word *av) C_noret;
C_noret_decl(f_19732)
static void C_ccall f_19732(C_word c,C_word *av) C_noret;
C_noret_decl(f_19736)
static void C_ccall f_19736(C_word c,C_word *av) C_noret;
C_noret_decl(f_19740)
static void C_ccall f_19740(C_word c,C_word *av) C_noret;
C_noret_decl(f_19744)
static void C_ccall f_19744(C_word c,C_word *av) C_noret;
C_noret_decl(f_19748)
static void C_ccall f_19748(C_word c,C_word *av) C_noret;
C_noret_decl(f_19752)
static void C_ccall f_19752(C_word c,C_word *av) C_noret;
C_noret_decl(f_19756)
static void C_ccall f_19756(C_word c,C_word *av) C_noret;
C_noret_decl(f_19760)
static void C_ccall f_19760(C_word c,C_word *av) C_noret;
C_noret_decl(f_19764)
static void C_ccall f_19764(C_word c,C_word *av) C_noret;
C_noret_decl(f_19768)
static void C_ccall f_19768(C_word c,C_word *av) C_noret;
C_noret_decl(f_19772)
static void C_ccall f_19772(C_word c,C_word *av) C_noret;
C_noret_decl(f_19776)
static void C_ccall f_19776(C_word c,C_word *av) C_noret;
C_noret_decl(f_19783)
static void C_ccall f_19783(C_word c,C_word *av) C_noret;
C_noret_decl(f_19790)
static void C_ccall f_19790(C_word c,C_word *av) C_noret;
C_noret_decl(f_19791)
static void C_fcall f_19791(C_word t0,C_word t1,C_word t2,C_word t3,C_word t4,C_word t5) C_noret;
C_noret_decl(f_19795)
static void C_fcall f_19795(C_word t0,C_word t1) C_noret;
C_noret_decl(f_19798)
static void C_ccall f_19798(C_word c,C_word *av) C_noret;
C_noret_decl(f_19814)
static void C_ccall f_19814(C_word c,C_word *av) C_noret;
C_noret_decl(f_19825)
static void C_fcall f_19825(C_word t0,C_word t1) C_noret;
C_noret_decl(f_19833)
static void C_ccall f_19833(C_word c,C_word *av) C_noret;
C_noret_decl(f_19845)
static void C_fcall f_19845(C_word t0,C_word t1,C_word t2,C_word t3) C_noret;
C_noret_decl(f_19854)
static void C_fcall f_19854(C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_19859)
static void C_fcall f_19859(C_word t0,C_word t1) C_noret;
C_noret_decl(f_19915)
static void C_ccall f_19915(C_word c,C_word *av) C_noret;
C_noret_decl(f_19929)
static void C_ccall f_19929(C_word c,C_word *av) C_noret;
C_noret_decl(f_19941)
static void C_ccall f_19941(C_word c,C_word *av) C_noret;
C_noret_decl(f_19947)
static void C_ccall f_19947(C_word c,C_word *av) C_noret;
C_noret_decl(f_19972)
static void C_ccall f_19972(C_word c,C_word *av) C_noret;
C_noret_decl(f_19990)
static void C_ccall f_19990(C_word c,C_word *av) C_noret;
C_noret_decl(f_19994)
static void C_ccall f_19994(C_word c,C_word *av) C_noret;
C_noret_decl(f_20050)
static void C_ccall f_20050(C_word c,C_word *av) C_noret;
C_noret_decl(f_20059)
static void C_ccall f_20059(C_word c,C_word *av) C_noret;
C_noret_decl(f_20072)
static void C_ccall f_20072(C_word c,C_word *av) C_noret;
C_noret_decl(f_20084)
static void C_ccall f_20084(C_word c,C_word *av) C_noret;
C_noret_decl(f_20102)
static void C_ccall f_20102(C_word c,C_word *av) C_noret;
C_noret_decl(f_20123)
static void C_ccall f_20123(C_word c,C_word *av) C_noret;
C_noret_decl(f_20126)
static void C_ccall f_20126(C_word c,C_word *av) C_noret;
C_noret_decl(f_20129)
static void C_ccall f_20129(C_word c,C_word *av) C_noret;
C_noret_decl(f_20137)
static void C_ccall f_20137(C_word c,C_word *av) C_noret;
C_noret_decl(f_20141)
static void C_ccall f_20141(C_word c,C_word *av) C_noret;
C_noret_decl(f_20145)
static void C_ccall f_20145(C_word c,C_word *av) C_noret;
C_noret_decl(f_20149)
static void C_ccall f_20149(C_word c,C_word *av) C_noret;
C_noret_decl(f_20153)
static void C_ccall f_20153(C_word c,C_word *av) C_noret;
C_noret_decl(f_20155)
static void C_ccall f_20155(C_word c,C_word *av) C_noret;
C_noret_decl(f_20163)
static void C_ccall f_20163(C_word c,C_word *av) C_noret;
C_noret_decl(f_20166)
static void C_ccall f_20166(C_word c,C_word *av) C_noret;
C_noret_decl(f_20176)
static void C_ccall f_20176(C_word c,C_word *av) C_noret;
C_noret_decl(f_20178)
static void C_ccall f_20178(C_word c,C_word *av) C_noret;
C_noret_decl(f_20186)
static void C_ccall f_20186(C_word c,C_word *av) C_noret;
C_noret_decl(f_20189)
static void C_ccall f_20189(C_word c,C_word *av) C_noret;
C_noret_decl(f_20199)
static void C_ccall f_20199(C_word c,C_word *av) C_noret;
C_noret_decl(f_20204)
static void C_ccall f_20204(C_word c,C_word *av) C_noret;
C_noret_decl(f_20208)
static void C_ccall f_20208(C_word c,C_word *av) C_noret;
C_noret_decl(f_20211)
static void C_ccall f_20211(C_word c,C_word *av) C_noret;
C_noret_decl(f_20214)
static void C_ccall f_20214(C_word c,C_word *av) C_noret;
C_noret_decl(f_20217)
static void C_ccall f_20217(C_word c,C_word *av) C_noret;
C_noret_decl(f_20220)
static void C_ccall f_20220(C_word c,C_word *av) C_noret;
C_noret_decl(f_20222)
static void C_ccall f_20222(C_word c,C_word *av) C_noret;
C_noret_decl(f_20228)
static void C_fcall f_20228(C_word t0,C_word t1,C_word t2,C_word t3,C_word t4) C_noret;
C_noret_decl(f_20237)
static void C_fcall f_20237(C_word t0,C_word t1) C_noret;
C_noret_decl(f_20245)
static void C_ccall f_20245(C_word c,C_word *av) C_noret;
C_noret_decl(f_20247)
static void C_fcall f_20247(C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_20254)
static void C_fcall f_20254(C_word t0,C_word t1) C_noret;
C_noret_decl(f_20261)
static void C_ccall f_20261(C_word c,C_word *av) C_noret;
C_noret_decl(f_20274)
static void C_fcall f_20274(C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_20278)
static void C_ccall f_20278(C_word c,C_word *av) C_noret;
C_noret_decl(f_20283)
static void C_fcall f_20283(C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_20287)
static void C_ccall f_20287(C_word c,C_word *av) C_noret;
C_noret_decl(f_20298)
static void C_fcall f_20298(C_word t0,C_word t1) C_noret;
C_noret_decl(f_20301)
static void C_fcall f_20301(C_word t0,C_word t1) C_noret;
C_noret_decl(f_20309)
static void C_ccall f_20309(C_word c,C_word *av) C_noret;
C_noret_decl(f_20311)
static void C_fcall f_20311(C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_20324)
static void C_ccall f_20324(C_word c,C_word *av) C_noret;
C_noret_decl(f_20331)
static void C_ccall f_20331(C_word c,C_word *av) C_noret;
C_noret_decl(f_20340)
static void C_ccall f_20340(C_word c,C_word *av) C_noret;
C_noret_decl(f_20347)
static void C_ccall f_20347(C_word c,C_word *av) C_noret;
C_noret_decl(f_20349)
static void C_fcall f_20349(C_word t0,C_word t1,C_word t2,C_word t3,C_word t4) C_noret;
C_noret_decl(f_20355)
static void C_fcall f_20355(C_word t0,C_word t1,C_word t2,C_word t3) C_noret;
C_noret_decl(f_20365)
static void C_ccall f_20365(C_word c,C_word *av) C_noret;
C_noret_decl(f_20368)
static void C_ccall f_20368(C_word c,C_word *av) C_noret;
C_noret_decl(f_20378)
static void C_ccall f_20378(C_word c,C_word *av) C_noret;
C_noret_decl(f_20381)
static void C_ccall f_20381(C_word c,C_word *av) C_noret;
C_noret_decl(f_20409)
static void C_fcall f_20409(C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_20413)
static void C_ccall f_20413(C_word c,C_word *av) C_noret;
C_noret_decl(f_20421)
static void C_fcall f_20421(C_word t0,C_word t1,C_word t2,C_word t3) C_noret;
C_noret_decl(f_20446)
static void C_fcall f_20446(C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_20454)
static void C_ccall f_20454(C_word c,C_word *av) C_noret;
C_noret_decl(f_20456)
static void C_fcall f_20456(C_word t0,C_word t1,C_word t2,C_word t3) C_noret;
C_noret_decl(f_20473)
static void C_ccall f_20473(C_word c,C_word *av) C_noret;
C_noret_decl(f_20486)
static void C_ccall f_20486(C_word c,C_word *av) C_noret;
C_noret_decl(f_20503)
static void C_ccall f_20503(C_word c,C_word *av) C_noret;
C_noret_decl(f_20520)
static void C_ccall f_20520(C_word c,C_word *av) C_noret;
C_noret_decl(f_20537)
static void C_ccall f_20537(C_word c,C_word *av) C_noret;
C_noret_decl(f_20554)
static void C_ccall f_20554(C_word c,C_word *av) C_noret;
C_noret_decl(f_20575)
static void C_ccall f_20575(C_word c,C_word *av) C_noret;
C_noret_decl(f_20596)
static void C_ccall f_20596(C_word c,C_word *av) C_noret;
C_noret_decl(f_20620)
static void C_ccall f_20620(C_word c,C_word *av) C_noret;
C_noret_decl(f_20628)
static void C_ccall f_20628(C_word c,C_word *av) C_noret;
C_noret_decl(f_20637)
static void C_ccall f_20637(C_word c,C_word *av) C_noret;
C_noret_decl(f_20643)
static void C_ccall f_20643(C_word c,C_word *av) C_noret;
C_noret_decl(f_20649)
static void C_fcall f_20649(C_word t0,C_word t1) C_noret;
C_noret_decl(f_20652)
static void C_ccall f_20652(C_word c,C_word *av) C_noret;
C_noret_decl(f_20655)
static void C_ccall f_20655(C_word c,C_word *av) C_noret;
C_noret_decl(f_20665)
static void C_ccall f_20665(C_word c,C_word *av) C_noret;
C_noret_decl(f_20669)
static void C_ccall f_20669(C_word c,C_word *av) C_noret;
C_noret_decl(f_20686)
static void C_ccall f_20686(C_word c,C_word *av) C_noret;
C_noret_decl(f_20691)
static void C_ccall f_20691(C_word c,C_word *av) C_noret;
C_noret_decl(f_20698)
static void C_ccall f_20698(C_word c,C_word *av) C_noret;
C_noret_decl(f_20702)
static void C_ccall f_20702(C_word c,C_word *av) C_noret;
C_noret_decl(f_20711)
static void C_ccall f_20711(C_word c,C_word *av) C_noret;
C_noret_decl(f_20717)
static void C_ccall f_20717(C_word c,C_word *av) C_noret;
C_noret_decl(f_20727)
static void C_ccall f_20727(C_word c,C_word *av) C_noret;
C_noret_decl(f_20731)
static void C_ccall f_20731(C_word c,C_word *av) C_noret;
C_noret_decl(f_20740)
static void C_fcall f_20740(C_word t0,C_word t1) C_noret;
C_noret_decl(f_20747)
static void C_ccall f_20747(C_word c,C_word *av) C_noret;
C_noret_decl(f_20760)
static void C_fcall f_20760(C_word t0,C_word t1) C_noret;
C_noret_decl(f_20765)
static void C_fcall f_20765(C_word t0,C_word t1,C_word t2,C_word t3) C_noret;
C_noret_decl(f_20782)
static void C_ccall f_20782(C_word c,C_word *av) C_noret;
C_noret_decl(f_20797)
static void C_ccall f_20797(C_word c,C_word *av) C_noret;
C_noret_decl(f_20810)
static void C_ccall f_20810(C_word c,C_word *av) C_noret;
C_noret_decl(f_20832)
static void C_ccall f_20832(C_word c,C_word *av) C_noret;
C_noret_decl(f_20835)
static void C_ccall f_20835(C_word c,C_word *av) C_noret;
C_noret_decl(f_20864)
static void C_fcall f_20864(C_word t0,C_word t1) C_noret;
C_noret_decl(f_20874)
static void C_ccall f_20874(C_word c,C_word *av) C_noret;
C_noret_decl(f_20890)
static void C_ccall f_20890(C_word c,C_word *av) C_noret;
C_noret_decl(f_20901)
static void C_ccall f_20901(C_word c,C_word *av) C_noret;
C_noret_decl(f_20908)
static void C_ccall f_20908(C_word c,C_word *av) C_noret;
C_noret_decl(f_21006)
static void C_ccall f_21006(C_word c,C_word *av) C_noret;
C_noret_decl(f_21012)
static void C_fcall f_21012(C_word t0,C_word t1,C_word t2,C_word t3) C_noret;
C_noret_decl(f_21021)
static void C_fcall f_21021(C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_21035)
static void C_ccall f_21035(C_word c,C_word *av) C_noret;
C_noret_decl(f_21038)
static void C_ccall f_21038(C_word c,C_word *av) C_noret;
C_noret_decl(f_21049)
static void C_ccall f_21049(C_word c,C_word *av) C_noret;
C_noret_decl(f_21051)
static void C_ccall f_21051(C_word c,C_word *av) C_noret;
C_noret_decl(f_21054)
static void C_ccall f_21054(C_word c,C_word *av) C_noret;
C_noret_decl(f_21071)
static void C_ccall f_21071(C_word c,C_word *av) C_noret;
C_noret_decl(f_21076)
static void C_fcall f_21076(C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_21080)
static void C_ccall f_21080(C_word c,C_word *av) C_noret;
C_noret_decl(f_21083)
static void C_fcall f_21083(C_word t0,C_word t1) C_noret;
C_noret_decl(f_21086)
static void C_ccall f_21086(C_word c,C_word *av) C_noret;
C_noret_decl(f_21096)
static void C_ccall f_21096(C_word c,C_word *av) C_noret;
C_noret_decl(f_21114)
static void C_ccall f_21114(C_word c,C_word *av) C_noret;
C_noret_decl(f_21117)
static void C_ccall f_21117(C_word c,C_word *av) C_noret;
C_noret_decl(f_21126)
static void C_fcall f_21126(C_word t0,C_word t1) C_noret;
C_noret_decl(f_21129)
static void C_ccall f_21129(C_word c,C_word *av) C_noret;
C_noret_decl(f_21132)
static void C_ccall f_21132(C_word c,C_word *av) C_noret;
C_noret_decl(f_21138)
static void C_ccall f_21138(C_word c,C_word *av) C_noret;
C_noret_decl(f_21151)
static void C_ccall f_21151(C_word c,C_word *av) C_noret;
C_noret_decl(f_21155)
static void C_ccall f_21155(C_word c,C_word *av) C_noret;
C_noret_decl(f_21159)
static void C_ccall f_21159(C_word c,C_word *av) C_noret;
C_noret_decl(f_21170)
static void C_ccall f_21170(C_word c,C_word *av) C_noret;
C_noret_decl(f_21174)
static void C_ccall f_21174(C_word c,C_word *av) C_noret;
C_noret_decl(f_21177)
static void C_ccall f_21177(C_word c,C_word *av) C_noret;
C_noret_decl(f_21205)
static void C_ccall f_21205(C_word c,C_word *av) C_noret;
C_noret_decl(f_21261)
static void C_ccall f_21261(C_word c,C_word *av) C_noret;
C_noret_decl(f_21265)
static void C_ccall f_21265(C_word c,C_word *av) C_noret;
C_noret_decl(f_21272)
static void C_ccall f_21272(C_word c,C_word *av) C_noret;
C_noret_decl(f_21274)
static void C_fcall f_21274(C_word t0,C_word t1) C_noret;
C_noret_decl(f_21278)
static void C_ccall f_21278(C_word c,C_word *av) C_noret;
C_noret_decl(f_21292)
static void C_fcall f_21292(C_word t0,C_word t1,C_word t2,C_word t3) C_noret;
C_noret_decl(f_21298)
static void C_ccall f_21298(C_word c,C_word *av) C_noret;
C_noret_decl(f_21305)
static void C_ccall f_21305(C_word c,C_word *av) C_noret;
C_noret_decl(f_21312)
static void C_ccall f_21312(C_word c,C_word *av) C_noret;
C_noret_decl(f_21327)
static void C_fcall f_21327(C_word t0,C_word t1) C_noret;
C_noret_decl(f_21333)
static void C_ccall f_21333(C_word c,C_word *av) C_noret;
C_noret_decl(f_21362)
static void C_fcall f_21362(C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_21372)
static void C_ccall f_21372(C_word c,C_word *av) C_noret;
C_noret_decl(f_21375)
static void C_ccall f_21375(C_word c,C_word *av) C_noret;
C_noret_decl(f_21411)
static void C_ccall f_21411(C_word c,C_word *av) C_noret;
C_noret_decl(f_21413)
static void C_fcall f_21413(C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_21423)
static void C_ccall f_21423(C_word c,C_word *av) C_noret;
C_noret_decl(f_21426)
static void C_ccall f_21426(C_word c,C_word *av) C_noret;
C_noret_decl(f_21478)
static void C_ccall f_21478(C_word c,C_word *av) C_noret;
C_noret_decl(f_21480)
static void C_fcall f_21480(C_word t0,C_word t1) C_noret;
C_noret_decl(f_21488)
static void C_ccall f_21488(C_word c,C_word *av) C_noret;
C_noret_decl(f_21490)
static void C_fcall f_21490(C_word t0,C_word t1,C_word t2,C_word t3) C_noret;
C_noret_decl(f_21500)
static void C_fcall f_21500(C_word t0,C_word t1) C_noret;
C_noret_decl(f_21515)
static void C_ccall f_21515(C_word c,C_word *av) C_noret;
C_noret_decl(f_21522)
static void C_ccall f_21522(C_word c,C_word *av) C_noret;
C_noret_decl(f_21544)
static void C_fcall f_21544(C_word t0,C_word t1) C_noret;
C_noret_decl(f_21552)
static void C_ccall f_21552(C_word c,C_word *av) C_noret;
C_noret_decl(f_21554)
static void C_fcall f_21554(C_word t0,C_word t1,C_word t2,C_word t3) C_noret;
C_noret_decl(f_21564)
static void C_fcall f_21564(C_word t0,C_word t1) C_noret;
C_noret_decl(f_21570)
static void C_ccall f_21570(C_word c,C_word *av) C_noret;
C_noret_decl(f_21577)
static void C_ccall f_21577(C_word c,C_word *av) C_noret;
C_noret_decl(f_21590)
static void C_fcall f_21590(C_word t0,C_word t1) C_noret;
C_noret_decl(f_21596)
static void C_ccall f_21596(C_word c,C_word *av) C_noret;
C_noret_decl(f_21600)
static void C_ccall f_21600(C_word c,C_word *av) C_noret;
C_noret_decl(f_21607)
static void C_ccall f_21607(C_word c,C_word *av) C_noret;
C_noret_decl(f_21615)
static void C_fcall f_21615(C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_21621)
static void C_fcall f_21621(C_word t0,C_word t1,C_word t2,C_word t3) C_noret;
C_noret_decl(f_21625)
static void C_ccall f_21625(C_word c,C_word *av) C_noret;
C_noret_decl(f_21634)
static void C_fcall f_21634(C_word t0,C_word t1) C_noret;
C_noret_decl(f_21640)
static void C_fcall f_21640(C_word t0,C_word t1) C_noret;
C_noret_decl(f_21647)
static void C_ccall f_21647(C_word c,C_word *av) C_noret;
C_noret_decl(f_21658)
static void C_ccall f_21658(C_word c,C_word *av) C_noret;
C_noret_decl(f_21698)
static void C_ccall f_21698(C_word c,C_word *av) C_noret;
C_noret_decl(f_21707)
static void C_ccall f_21707(C_word c,C_word *av) C_noret;
C_noret_decl(f_21714)
static void C_ccall f_21714(C_word c,C_word *av) C_noret;
C_noret_decl(f_21718)
static void C_ccall f_21718(C_word c,C_word *av) C_noret;
C_noret_decl(f_21722)
static void C_ccall f_21722(C_word c,C_word *av) C_noret;
C_noret_decl(f_21731)
static void C_ccall f_21731(C_word c,C_word *av) C_noret;
C_noret_decl(f_21742)
static void C_ccall f_21742(C_word c,C_word *av) C_noret;
C_noret_decl(f_21780)
static void C_ccall f_21780(C_word c,C_word *av) C_noret;
C_noret_decl(f_21829)
static void C_fcall f_21829(C_word t0,C_word t1) C_noret;
C_noret_decl(f_21833)
static void C_ccall f_21833(C_word c,C_word *av) C_noret;
C_noret_decl(f_21836)
static void C_ccall f_21836(C_word c,C_word *av) C_noret;
C_noret_decl(f_21848)
static void C_ccall f_21848(C_word c,C_word *av) C_noret;
C_noret_decl(f_21868)
static void C_fcall f_21868(C_word t0,C_word t1) C_noret;
C_noret_decl(f_21874)
static void C_ccall f_21874(C_word c,C_word *av) C_noret;
C_noret_decl(f_21884)
static void C_ccall f_21884(C_word c,C_word *av) C_noret;
C_noret_decl(f_22013)
static void C_fcall f_22013(C_word t0,C_word t1) C_noret;
C_noret_decl(f_22020)
static void C_ccall f_22020(C_word c,C_word *av) C_noret;
C_noret_decl(f_22038)
static void C_fcall f_22038(C_word t0,C_word t1) C_noret;
C_noret_decl(f_22044)
static void C_fcall f_22044(C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_22048)
static void C_ccall f_22048(C_word c,C_word *av) C_noret;
C_noret_decl(f_22084)
static void C_ccall f_22084(C_word c,C_word *av) C_noret;
C_noret_decl(f_22107)
static void C_ccall f_22107(C_word c,C_word *av) C_noret;
C_noret_decl(f_22125)
static void C_fcall f_22125(C_word t0,C_word t1) C_noret;
C_noret_decl(f_22129)
static void C_ccall f_22129(C_word c,C_word *av) C_noret;
C_noret_decl(f_22132)
static void C_ccall f_22132(C_word c,C_word *av) C_noret;
C_noret_decl(f_22138)
static void C_ccall f_22138(C_word c,C_word *av) C_noret;
C_noret_decl(f_22143)
static void C_fcall f_22143(C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_22162)
static void C_fcall f_22162(C_word t0,C_word t1) C_noret;
C_noret_decl(f_22172)
static void C_ccall f_22172(C_word c,C_word *av) C_noret;
C_noret_decl(f_22176)
static void C_ccall f_22176(C_word c,C_word *av) C_noret;
C_noret_decl(f_22180)
static void C_ccall f_22180(C_word c,C_word *av) C_noret;
C_noret_decl(f_22191)
static void C_ccall f_22191(C_word c,C_word *av) C_noret;
C_noret_decl(f_22217)
static void C_fcall f_22217(C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_22225)
static void C_ccall f_22225(C_word c,C_word *av) C_noret;
C_noret_decl(f_22229)
static void C_ccall f_22229(C_word c,C_word *av) C_noret;
C_noret_decl(f_22232)
static void C_ccall f_22232(C_word c,C_word *av) C_noret;
C_noret_decl(f_22235)
static void C_ccall f_22235(C_word c,C_word *av) C_noret;
C_noret_decl(f_22241)
static void C_fcall f_22241(C_word t0,C_word t1) C_noret;
C_noret_decl(f_22249)
static void C_ccall f_22249(C_word c,C_word *av) C_noret;
C_noret_decl(f_22255)
static void C_ccall f_22255(C_word c,C_word *av) C_noret;
C_noret_decl(f_22277)
static void C_ccall f_22277(C_word c,C_word *av) C_noret;
C_noret_decl(f_22284)
static void C_ccall f_22284(C_word c,C_word *av) C_noret;
C_noret_decl(f_22293)
static void C_ccall f_22293(C_word c,C_word *av) C_noret;
C_noret_decl(f_22300)
static void C_ccall f_22300(C_word c,C_word *av) C_noret;
C_noret_decl(f_22309)
static void C_ccall f_22309(C_word c,C_word *av) C_noret;
C_noret_decl(f_22318)
static void C_ccall f_22318(C_word c,C_word *av) C_noret;
C_noret_decl(f_22325)
static void C_ccall f_22325(C_word c,C_word *av) C_noret;
C_noret_decl(f_22332)
static void C_ccall f_22332(C_word c,C_word *av) C_noret;
C_noret_decl(f_22336)
static void C_ccall f_22336(C_word c,C_word *av) C_noret;
C_noret_decl(f_22345)
static void C_ccall f_22345(C_word c,C_word *av) C_noret;
C_noret_decl(f_22348)
static void C_ccall f_22348(C_word c,C_word *av) C_noret;
C_noret_decl(f_22366)
static void C_ccall f_22366(C_word c,C_word *av) C_noret;
C_noret_decl(f_22369)
static void C_ccall f_22369(C_word c,C_word *av) C_noret;
C_noret_decl(f_22375)
static void C_fcall f_22375(C_word t0,C_word t1) C_noret;
C_noret_decl(f_22392)
static void C_ccall f_22392(C_word c,C_word *av) C_noret;
C_noret_decl(f_22398)
static void C_ccall f_22398(C_word c,C_word *av) C_noret;
C_noret_decl(f_22426)
static void C_ccall f_22426(C_word c,C_word *av) C_noret;
C_noret_decl(f_22449)
static void C_ccall f_22449(C_word c,C_word *av) C_noret;
C_noret_decl(f_22455)
static void C_fcall f_22455(C_word t0,C_word t1) C_noret;
C_noret_decl(f_22463)
static void C_ccall f_22463(C_word c,C_word *av) C_noret;
C_noret_decl(f_22469)
static void C_ccall f_22469(C_word c,C_word *av) C_noret;
C_noret_decl(f_22494)
static void C_ccall f_22494(C_word c,C_word *av) C_noret;
C_noret_decl(f_22506)
static void C_ccall f_22506(C_word c,C_word *av) C_noret;
C_noret_decl(f_22518)
static void C_ccall f_22518(C_word c,C_word *av) C_noret;
C_noret_decl(f_22530)
static void C_ccall f_22530(C_word c,C_word *av) C_noret;
C_noret_decl(f_22542)
static void C_ccall f_22542(C_word c,C_word *av) C_noret;
C_noret_decl(f_22554)
static void C_ccall f_22554(C_word c,C_word *av) C_noret;
C_noret_decl(f_22566)
static void C_ccall f_22566(C_word c,C_word *av) C_noret;
C_noret_decl(f_22569)
static void C_ccall f_22569(C_word c,C_word *av) C_noret;
C_noret_decl(f_22572)
static void C_ccall f_22572(C_word c,C_word *av) C_noret;
C_noret_decl(f_22577)
static void C_ccall f_22577(C_word c,C_word *av) C_noret;
C_noret_decl(f_22582)
static void C_ccall f_22582(C_word c,C_word *av) C_noret;
C_noret_decl(f_22588)
static void C_ccall f_22588(C_word c,C_word *av) C_noret;
C_noret_decl(f_22630)
static void C_ccall f_22630(C_word c,C_word *av) C_noret;
C_noret_decl(f_22642)
static void C_ccall f_22642(C_word c,C_word *av) C_noret;
C_noret_decl(f_22645)
static void C_ccall f_22645(C_word c,C_word *av) C_noret;
C_noret_decl(f_22657)
static void C_ccall f_22657(C_word c,C_word *av) C_noret;
C_noret_decl(f_22669)
static void C_ccall f_22669(C_word c,C_word *av) C_noret;
C_noret_decl(f_22672)
static void C_ccall f_22672(C_word c,C_word *av) C_noret;
C_noret_decl(f_22684)
static void C_ccall f_22684(C_word c,C_word *av) C_noret;
C_noret_decl(f_22691)
static void C_ccall f_22691(C_word c,C_word *av) C_noret;
C_noret_decl(f_22700)
static void C_ccall f_22700(C_word c,C_word *av) C_noret;
C_noret_decl(f_22703)
static void C_ccall f_22703(C_word c,C_word *av) C_noret;
C_noret_decl(f_22712)
static void C_ccall f_22712(C_word c,C_word *av) C_noret;
C_noret_decl(f_22722)
static void C_ccall f_22722(C_word c,C_word *av) C_noret;
C_noret_decl(f_22731)
static void C_ccall f_22731(C_word c,C_word *av) C_noret;
C_noret_decl(f_22734)
static void C_ccall f_22734(C_word c,C_word *av) C_noret;
C_noret_decl(f_22739)
static void C_ccall f_22739(C_word c,C_word *av) C_noret;
C_noret_decl(f_22744)
static void C_ccall f_22744(C_word c,C_word *av) C_noret;
C_noret_decl(f_22750)
static void C_ccall f_22750(C_word c,C_word *av) C_noret;
C_noret_decl(f_22779)
static void C_ccall f_22779(C_word c,C_word *av) C_noret;
C_noret_decl(f_22791)
static void C_ccall f_22791(C_word c,C_word *av) C_noret;
C_noret_decl(f_22794)
static void C_ccall f_22794(C_word c,C_word *av) C_noret;
C_noret_decl(f_22805)
static void C_ccall f_22805(C_word c,C_word *av) C_noret;
C_noret_decl(f_22814)
static void C_ccall f_22814(C_word c,C_word *av) C_noret;
C_noret_decl(f_22817)
static void C_ccall f_22817(C_word c,C_word *av) C_noret;
C_noret_decl(f_22823)
static void C_fcall f_22823(C_word t0,C_word t1) C_noret;
C_noret_decl(f_22826)
static void C_ccall f_22826(C_word c,C_word *av) C_noret;
C_noret_decl(f_22832)
static void C_ccall f_22832(C_word c,C_word *av) C_noret;
C_noret_decl(f_22851)
static void C_ccall f_22851(C_word c,C_word *av) C_noret;
C_noret_decl(f_22870)
static void C_ccall f_22870(C_word c,C_word *av) C_noret;
C_noret_decl(f_22886)
static void C_ccall f_22886(C_word c,C_word *av) C_noret;
C_noret_decl(f_22892)
static void C_ccall f_22892(C_word c,C_word *av) C_noret;
C_noret_decl(f_22964)
static void C_ccall f_22964(C_word c,C_word *av) C_noret;
C_noret_decl(f_22976)
static void C_ccall f_22976(C_word c,C_word *av) C_noret;
C_noret_decl(f_23054)
static void C_ccall f_23054(C_word c,C_word *av) C_noret;
C_noret_decl(f_23130)
static void C_ccall f_23130(C_word c,C_word *av) C_noret;
C_noret_decl(f_23295)
static void C_ccall f_23295(C_word c,C_word *av) C_noret;
C_noret_decl(f_23307)
static void C_ccall f_23307(C_word c,C_word *av) C_noret;
C_noret_decl(f_23369)
static void C_ccall f_23369(C_word c,C_word *av) C_noret;
C_noret_decl(f_23372)
static void C_fcall f_23372(C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_23418)
static void C_fcall f_23418(C_word t0,C_word t1,C_word t2,C_word t3) C_noret;
C_noret_decl(f_23422)
static void C_ccall f_23422(C_word c,C_word *av) C_noret;
C_noret_decl(f_23440)
static void C_ccall f_23440(C_word c,C_word *av) C_noret;
C_noret_decl(f_23504)
static void C_ccall f_23504(C_word c,C_word *av) C_noret;
C_noret_decl(f_23515)
static void C_ccall f_23515(C_word c,C_word *av) C_noret;
C_noret_decl(f_23517)
static void C_ccall f_23517(C_word c,C_word *av) C_noret;
C_noret_decl(f_23530)
static void C_ccall f_23530(C_word c,C_word *av) C_noret;
C_noret_decl(f_23542)
static void C_ccall f_23542(C_word c,C_word *av) C_noret;
C_noret_decl(f_23562)
static void C_ccall f_23562(C_word c,C_word *av) C_noret;
C_noret_decl(f_23569)
static void C_ccall f_23569(C_word c,C_word *av) C_noret;
C_noret_decl(f_23578)
static void C_ccall f_23578(C_word c,C_word *av) C_noret;
C_noret_decl(f_23590)
static void C_ccall f_23590(C_word c,C_word *av) C_noret;
C_noret_decl(f_23611)
static void C_ccall f_23611(C_word c,C_word *av) C_noret;
C_noret_decl(f_23626)
static void C_ccall f_23626(C_word c,C_word *av) C_noret;
C_noret_decl(f_23644)
static void C_ccall f_23644(C_word c,C_word *av) C_noret;
C_noret_decl(f_23662)
static void C_ccall f_23662(C_word c,C_word *av) C_noret;
C_noret_decl(f_23681)
static void C_fcall f_23681(C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_23691)
static void C_ccall f_23691(C_word c,C_word *av) C_noret;
C_noret_decl(f_23705)
static void C_ccall f_23705(C_word c,C_word *av) C_noret;
C_noret_decl(f_23708)
static void C_ccall f_23708(C_word c,C_word *av) C_noret;
C_noret_decl(f_23713)
static void C_ccall f_23713(C_word c,C_word *av) C_noret;
C_noret_decl(f_23732)
static void C_fcall f_23732(C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_23742)
static void C_ccall f_23742(C_word c,C_word *av) C_noret;
C_noret_decl(f_23756)
static void C_ccall f_23756(C_word c,C_word *av) C_noret;
C_noret_decl(f_23759)
static void C_ccall f_23759(C_word c,C_word *av) C_noret;
C_noret_decl(f_23766)
static void C_ccall f_23766(C_word c,C_word *av) C_noret;
C_noret_decl(f_23770)
static void C_ccall f_23770(C_word c,C_word *av) C_noret;
C_noret_decl(f_23774)
static void C_ccall f_23774(C_word c,C_word *av) C_noret;
C_noret_decl(f_23776)
static void C_ccall f_23776(C_word c,C_word *av) C_noret;
C_noret_decl(f_23783)
static void C_ccall f_23783(C_word c,C_word *av) C_noret;
C_noret_decl(f_23786)
static void C_ccall f_23786(C_word c,C_word *av) C_noret;
C_noret_decl(f_23789)
static void C_ccall f_23789(C_word c,C_word *av) C_noret;
C_noret_decl(f_23791)
static void C_fcall f_23791(C_word t0,C_word t1,C_word t2,C_word t3) C_noret;
C_noret_decl(f_23801)
static void C_ccall f_23801(C_word c,C_word *av) C_noret;
C_noret_decl(f_23807)
static void C_ccall f_23807(C_word c,C_word *av) C_noret;
C_noret_decl(f_23819)
static void C_ccall f_23819(C_word c,C_word *av) C_noret;
C_noret_decl(f_23822)
static void C_ccall f_23822(C_word c,C_word *av) C_noret;
C_noret_decl(f_23825)
static void C_ccall f_23825(C_word c,C_word *av) C_noret;
C_noret_decl(f_23842)
static void C_ccall f_23842(C_word c,C_word *av) C_noret;
C_noret_decl(f_23863)
static void C_fcall f_23863(C_word t0,C_word t1,C_word t2,C_word t3) C_noret;
C_noret_decl(f_23867)
static void C_ccall f_23867(C_word c,C_word *av) C_noret;
C_noret_decl(f_23880)
static void C_ccall f_23880(C_word c,C_word *av) C_noret;
C_noret_decl(f_23883)
static void C_ccall f_23883(C_word c,C_word *av) C_noret;
C_noret_decl(f_23892)
static void C_ccall f_23892(C_word c,C_word *av) C_noret;
C_noret_decl(f_23895)
static void C_ccall f_23895(C_word c,C_word *av) C_noret;
C_noret_decl(f_23923)
static void C_fcall f_23923(C_word t0,C_word t1,C_word t2,C_word t3) C_noret;
C_noret_decl(f_23927)
static void C_ccall f_23927(C_word c,C_word *av) C_noret;
C_noret_decl(f_23936)
static void C_ccall f_23936(C_word c,C_word *av) C_noret;
C_noret_decl(f_23947)
static void C_fcall f_23947(C_word t0,C_word t1,C_word t2,C_word t3) C_noret;
C_noret_decl(f_23954)
static void C_ccall f_23954(C_word c,C_word *av) C_noret;
C_noret_decl(f_23959)
static void C_fcall f_23959(C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_23981)
static void C_ccall f_23981(C_word c,C_word *av) C_noret;
C_noret_decl(f_23987)
static void C_ccall f_23987(C_word c,C_word *av) C_noret;
C_noret_decl(f_23990)
static void C_ccall f_23990(C_word c,C_word *av) C_noret;
C_noret_decl(f_24001)
static void C_ccall f_24001(C_word c,C_word *av) C_noret;
C_noret_decl(f_24010)
static void C_ccall f_24010(C_word c,C_word *av) C_noret;
C_noret_decl(f_24013)
static void C_ccall f_24013(C_word c,C_word *av) C_noret;
C_noret_decl(f_24036)
static void C_fcall f_24036(C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_24085)
static void C_fcall f_24085(C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_24101)
static void C_fcall f_24101(C_word t0,C_word t1) C_noret;
C_noret_decl(f_24108)
static void C_ccall f_24108(C_word c,C_word *av) C_noret;
C_noret_decl(f_24158)
static void C_fcall f_24158(C_word t0,C_word t1) C_noret;
C_noret_decl(f_24215)
static void C_ccall f_24215(C_word c,C_word *av) C_noret;
C_noret_decl(f_24220)
static void C_fcall f_24220(C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_24269)
static void C_ccall f_24269(C_word c,C_word *av) C_noret;
C_noret_decl(f_24275)
static void C_ccall f_24275(C_word c,C_word *av) C_noret;
C_noret_decl(f_24279)
static void C_fcall f_24279(C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_24302)
static void C_ccall f_24302(C_word c,C_word *av) C_noret;
C_noret_decl(f_24309)
static void C_ccall f_24309(C_word c,C_word *av) C_noret;
C_noret_decl(f_24328)
static void C_ccall f_24328(C_word c,C_word *av) C_noret;
C_noret_decl(f_24367)
static void C_ccall f_24367(C_word c,C_word *av) C_noret;
C_noret_decl(f_24379)
static void C_ccall f_24379(C_word c,C_word *av) C_noret;
C_noret_decl(f_24385)
static void C_ccall f_24385(C_word c,C_word *av) C_noret;
C_noret_decl(f_24401)
static void C_ccall f_24401(C_word c,C_word *av) C_noret;
C_noret_decl(f_24408)
static void C_ccall f_24408(C_word c,C_word *av) C_noret;
C_noret_decl(f_24417)
static void C_ccall f_24417(C_word c,C_word *av) C_noret;
C_noret_decl(f_24424)
static void C_ccall f_24424(C_word c,C_word *av) C_noret;
C_noret_decl(f_24434)
static void C_ccall f_24434(C_word c,C_word *av) C_noret;
C_noret_decl(f_24443)
static void C_ccall f_24443(C_word c,C_word *av) C_noret;
C_noret_decl(f_24449)
static void C_fcall f_24449(C_word t0,C_word t1,C_word t2,C_word t3) C_noret;
C_noret_decl(f_24462)
static void C_ccall f_24462(C_word c,C_word *av) C_noret;
C_noret_decl(f_24500)
static void C_ccall f_24500(C_word c,C_word *av) C_noret;
C_noret_decl(f_24566)
static void C_ccall f_24566(C_word c,C_word *av) C_noret;
C_noret_decl(f_24569)
static void C_ccall f_24569(C_word c,C_word *av) C_noret;
C_noret_decl(f_24576)
static void C_ccall f_24576(C_word c,C_word *av) C_noret;
C_noret_decl(f_24616)
static void C_ccall f_24616(C_word c,C_word *av) C_noret;
C_noret_decl(f_24619)
static void C_ccall f_24619(C_word c,C_word *av) C_noret;
C_noret_decl(f_24628)
static void C_fcall f_24628(C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_24638)
static void C_fcall f_24638(C_word t0,C_word t1) C_noret;
C_noret_decl(f_24641)
static void C_ccall f_24641(C_word c,C_word *av) C_noret;
C_noret_decl(f_24650)
static void C_ccall f_24650(C_word c,C_word *av) C_noret;
C_noret_decl(f_24660)
static void C_ccall f_24660(C_word c,C_word *av) C_noret;
C_noret_decl(f_24663)
static void C_ccall f_24663(C_word c,C_word *av) C_noret;
C_noret_decl(f_24689)
static void C_ccall f_24689(C_word c,C_word *av) C_noret;
C_noret_decl(f_24695)
static void C_ccall f_24695(C_word c,C_word *av) C_noret;
C_noret_decl(f_24700)
static void C_fcall f_24700(C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_24713)
static void C_ccall f_24713(C_word c,C_word *av) C_noret;
C_noret_decl(f_24716)
static void C_ccall f_24716(C_word c,C_word *av) C_noret;
C_noret_decl(f_24727)
static void C_ccall f_24727(C_word c,C_word *av) C_noret;
C_noret_decl(f_24749)
static void C_ccall f_24749(C_word c,C_word *av) C_noret;
C_noret_decl(f_24761)
static void C_ccall f_24761(C_word c,C_word *av) C_noret;
C_noret_decl(f_24764)
static void C_ccall f_24764(C_word c,C_word *av) C_noret;
C_noret_decl(f_24771)
static void C_ccall f_24771(C_word c,C_word *av) C_noret;
C_noret_decl(f_24780)
static void C_ccall f_24780(C_word c,C_word *av) C_noret;
C_noret_decl(f_24783)
static void C_ccall f_24783(C_word c,C_word *av) C_noret;
C_noret_decl(f_24827)
static void C_ccall f_24827(C_word c,C_word *av) C_noret;
C_noret_decl(f_24830)
static void C_ccall f_24830(C_word c,C_word *av) C_noret;
C_noret_decl(f_24839)
static void C_fcall f_24839(C_word t0,C_word t1,C_word t2,C_word t3) C_noret;
C_noret_decl(f_24852)
static void C_ccall f_24852(C_word c,C_word *av) C_noret;
C_noret_decl(f_24855)
static void C_ccall f_24855(C_word c,C_word *av) C_noret;
C_noret_decl(f_24880)
static void C_ccall f_24880(C_word c,C_word *av) C_noret;
C_noret_decl(f_24884)
static void C_ccall f_24884(C_word c,C_word *av) C_noret;
C_noret_decl(f_24894)
static void C_ccall f_24894(C_word c,C_word *av) C_noret;
C_noret_decl(f_24897)
static void C_ccall f_24897(C_word c,C_word *av) C_noret;
C_noret_decl(f_24917)
static void C_ccall f_24917(C_word c,C_word *av) C_noret;
C_noret_decl(f_24930)
static void C_ccall f_24930(C_word c,C_word *av) C_noret;
C_noret_decl(f_24935)
static void C_ccall f_24935(C_word c,C_word *av) C_noret;
C_noret_decl(f_24941)
static void C_ccall f_24941(C_word c,C_word *av) C_noret;
C_noret_decl(f_24947)
static void C_ccall f_24947(C_word c,C_word *av) C_noret;
C_noret_decl(f_24951)
static void C_ccall f_24951(C_word c,C_word *av) C_noret;
C_noret_decl(f_24954)
static void C_ccall f_24954(C_word c,C_word *av) C_noret;
C_noret_decl(f_24969)
static void C_ccall f_24969(C_word c,C_word *av) C_noret;
C_noret_decl(f_24972)
static void C_ccall f_24972(C_word c,C_word *av) C_noret;
C_noret_decl(f_24990)
static void C_ccall f_24990(C_word c,C_word *av) C_noret;
C_noret_decl(f_24992)
static void C_ccall f_24992(C_word c,C_word *av) C_noret;
C_noret_decl(f_24998)
static void C_ccall f_24998(C_word c,C_word *av) C_noret;
C_noret_decl(f_25007)
static void C_ccall f_25007(C_word c,C_word *av) C_noret;
C_noret_decl(f_25013)
static void C_ccall f_25013(C_word c,C_word *av) C_noret;
C_noret_decl(f_25020)
static void C_ccall f_25020(C_word c,C_word *av) C_noret;
C_noret_decl(f_25023)
static void C_ccall f_25023(C_word c,C_word *av) C_noret;
C_noret_decl(f_25026)
static void C_ccall f_25026(C_word c,C_word *av) C_noret;
C_noret_decl(f_25035)
static void C_ccall f_25035(C_word c,C_word *av) C_noret;
C_noret_decl(f_25051)
static void C_ccall f_25051(C_word c,C_word *av) C_noret;
C_noret_decl(f_25066)
static void C_ccall f_25066(C_word c,C_word *av) C_noret;
C_noret_decl(f_25068)
static void C_ccall f_25068(C_word c,C_word *av) C_noret;
C_noret_decl(f_25074)
static void C_ccall f_25074(C_word c,C_word *av) C_noret;
C_noret_decl(f_25080)
static void C_ccall f_25080(C_word c,C_word *av) C_noret;
C_noret_decl(f_25084)
static void C_ccall f_25084(C_word c,C_word *av) C_noret;
C_noret_decl(f_25087)
static void C_ccall f_25087(C_word c,C_word *av) C_noret;
C_noret_decl(f_25090)
static void C_ccall f_25090(C_word c,C_word *av) C_noret;
C_noret_decl(f_25094)
static void C_ccall f_25094(C_word c,C_word *av) C_noret;
C_noret_decl(f_25098)
static void C_ccall f_25098(C_word c,C_word *av) C_noret;
C_noret_decl(f_25102)
static void C_ccall f_25102(C_word c,C_word *av) C_noret;
C_noret_decl(f_25105)
static void C_ccall f_25105(C_word c,C_word *av) C_noret;
C_noret_decl(f_25108)
static void C_ccall f_25108(C_word c,C_word *av) C_noret;
C_noret_decl(f_25111)
static void C_ccall f_25111(C_word c,C_word *av) C_noret;
C_noret_decl(f_25123)
static void C_ccall f_25123(C_word c,C_word *av) C_noret;
C_noret_decl(f_25129)
static void C_ccall f_25129(C_word c,C_word *av) C_noret;
C_noret_decl(f_25133)
static void C_ccall f_25133(C_word c,C_word *av) C_noret;
C_noret_decl(f_25136)
static void C_ccall f_25136(C_word c,C_word *av) C_noret;
C_noret_decl(f_25139)
static void C_ccall f_25139(C_word c,C_word *av) C_noret;
C_noret_decl(f_25142)
static void C_ccall f_25142(C_word c,C_word *av) C_noret;
C_noret_decl(f_25145)
static void C_ccall f_25145(C_word c,C_word *av) C_noret;
C_noret_decl(f_25148)
static void C_ccall f_25148(C_word c,C_word *av) C_noret;
C_noret_decl(f_25153)
static void C_ccall f_25153(C_word c,C_word *av) C_noret;
C_noret_decl(f_25175)
static void C_ccall f_25175(C_word c,C_word *av) C_noret;
C_noret_decl(f_25181)
static void C_ccall f_25181(C_word c,C_word *av) C_noret;
C_noret_decl(f_25184)
static void C_ccall f_25184(C_word c,C_word *av) C_noret;
C_noret_decl(f_25209)
static void C_ccall f_25209(C_word c,C_word *av) C_noret;
C_noret_decl(f_25212)
static void C_fcall f_25212(C_word t0,C_word t1,C_word t2,C_word t3,C_word t4) C_noret;
C_noret_decl(f_25219)
static void C_ccall f_25219(C_word c,C_word *av) C_noret;
C_noret_decl(f_25232)
static void C_fcall f_25232(C_word t0,C_word t1,C_word t2,C_word t3,C_word t4,C_word t5,C_word t6) C_noret;
C_noret_decl(f_25242)
static void C_ccall f_25242(C_word c,C_word *av) C_noret;
C_noret_decl(f_25247)
static void C_ccall f_25247(C_word c,C_word *av) C_noret;
C_noret_decl(f_25253)
static void C_ccall f_25253(C_word c,C_word *av) C_noret;
C_noret_decl(f_25280)
static void C_ccall f_25280(C_word c,C_word *av) C_noret;
C_noret_decl(f_25286)
static void C_fcall f_25286(C_word t0,C_word t1) C_noret;
C_noret_decl(f_25297)
static void C_ccall f_25297(C_word c,C_word *av) C_noret;
C_noret_decl(f_25303)
static void C_fcall f_25303(C_word t0,C_word t1) C_noret;
C_noret_decl(f_25306)
static void C_ccall f_25306(C_word c,C_word *av) C_noret;
C_noret_decl(f_25311)
static void C_ccall f_25311(C_word c,C_word *av) C_noret;
C_noret_decl(f_25317)
static void C_ccall f_25317(C_word c,C_word *av) C_noret;
C_noret_decl(f_25341)
static void C_ccall f_25341(C_word c,C_word *av) C_noret;
C_noret_decl(f_25349)
static void C_ccall f_25349(C_word c,C_word *av) C_noret;
C_noret_decl(f_25366)
static void C_ccall f_25366(C_word c,C_word *av) C_noret;
C_noret_decl(f_25406)
static void C_ccall f_25406(C_word c,C_word *av) C_noret;
C_noret_decl(f_25413)
static void C_ccall f_25413(C_word c,C_word *av) C_noret;
C_noret_decl(f_25425)
static void C_ccall f_25425(C_word c,C_word *av) C_noret;
C_noret_decl(f_25429)
static void C_ccall f_25429(C_word c,C_word *av) C_noret;
C_noret_decl(f_25442)
static void C_ccall f_25442(C_word c,C_word *av) C_noret;
C_noret_decl(f_25444)
static void C_ccall f_25444(C_word c,C_word *av) C_noret;
C_noret_decl(f_25478)
static void C_ccall f_25478(C_word c,C_word *av) C_noret;
C_noret_decl(f_25482)
static void C_ccall f_25482(C_word c,C_word *av) C_noret;
C_noret_decl(f_25483)
static void C_fcall f_25483(C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_25493)
static void C_ccall f_25493(C_word c,C_word *av) C_noret;
C_noret_decl(f_25498)
static void C_fcall f_25498(C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_25508)
static void C_ccall f_25508(C_word c,C_word *av) C_noret;
C_noret_decl(f_25521)
static void C_ccall f_25521(C_word c,C_word *av) C_noret;
C_noret_decl(f_25532)
static void C_ccall f_25532(C_word c,C_word *av) C_noret;
C_noret_decl(f_25536)
static void C_ccall f_25536(C_word c,C_word *av) C_noret;
C_noret_decl(f_25540)
static void C_ccall f_25540(C_word c,C_word *av) C_noret;
C_noret_decl(f_25562)
static void C_ccall f_25562(C_word c,C_word *av) C_noret;
C_noret_decl(f_25566)
static void C_ccall f_25566(C_word c,C_word *av) C_noret;
C_noret_decl(f_25574)
static void C_ccall f_25574(C_word c,C_word *av) C_noret;
C_noret_decl(f_25590)
static void C_ccall f_25590(C_word c,C_word *av) C_noret;
C_noret_decl(f_25601)
static void C_fcall f_25601(C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_25620)
static void C_fcall f_25620(C_word t0,C_word t1) C_noret;
C_noret_decl(f_25631)
static void C_ccall f_25631(C_word c,C_word *av) C_noret;
C_noret_decl(f_25639)
static void C_ccall f_25639(C_word c,C_word *av) C_noret;
C_noret_decl(f_25718)
static void C_ccall f_25718(C_word c,C_word *av) C_noret;
C_noret_decl(f_25728)
static void C_ccall f_25728(C_word c,C_word *av) C_noret;
C_noret_decl(f_25729)
static void C_fcall f_25729(C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_25742)
static void C_ccall f_25742(C_word c,C_word *av) C_noret;
C_noret_decl(f_25745)
static void C_ccall f_25745(C_word c,C_word *av) C_noret;
C_noret_decl(f_25748)
static void C_ccall f_25748(C_word c,C_word *av) C_noret;
C_noret_decl(f_25751)
static void C_ccall f_25751(C_word c,C_word *av) C_noret;
C_noret_decl(f_25759)
static void C_ccall f_25759(C_word c,C_word *av) C_noret;
C_noret_decl(f_25766)
static void C_fcall f_25766(C_word t0,C_word t1) C_noret;
C_noret_decl(f_25769)
static void C_ccall f_25769(C_word c,C_word *av) C_noret;
C_noret_decl(f_25772)
static void C_ccall f_25772(C_word c,C_word *av) C_noret;
C_noret_decl(f_25795)
static void C_ccall f_25795(C_word c,C_word *av) C_noret;
C_noret_decl(f_25800)
static void C_fcall f_25800(C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_25810)
static void C_ccall f_25810(C_word c,C_word *av) C_noret;
C_noret_decl(f_25823)
static void C_ccall f_25823(C_word c,C_word *av) C_noret;
C_noret_decl(f_25854)
static void C_ccall f_25854(C_word c,C_word *av) C_noret;
C_noret_decl(f_25864)
static void C_ccall f_25864(C_word c,C_word *av) C_noret;
C_noret_decl(f_25914)
static void C_ccall f_25914(C_word c,C_word *av) C_noret;
C_noret_decl(f_25917)
static void C_ccall f_25917(C_word c,C_word *av) C_noret;
C_noret_decl(f_25936)
static void C_fcall f_25936(C_word t0) C_noret;
C_noret_decl(f_25941)
static void C_ccall f_25941(C_word c,C_word *av) C_noret;
C_noret_decl(f_25947)
static void C_ccall f_25947(C_word c,C_word *av) C_noret;
C_noret_decl(f_25950)
static void C_ccall f_25950(C_word c,C_word *av) C_noret;
C_noret_decl(f_25956)
static void C_ccall f_25956(C_word c,C_word *av) C_noret;
C_noret_decl(f_25964)
static void C_fcall f_25964(C_word t0,C_word t1) C_noret;
C_noret_decl(f_25983)
static void C_ccall f_25983(C_word c,C_word *av) C_noret;
C_noret_decl(f_25988)
static void C_fcall f_25988(C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_25998)
static void C_ccall f_25998(C_word c,C_word *av) C_noret;
C_noret_decl(f_26012)
static void C_ccall f_26012(C_word c,C_word *av) C_noret;
C_noret_decl(f_26019)
static void C_ccall f_26019(C_word c,C_word *av) C_noret;
C_noret_decl(f_26023)
static void C_ccall f_26023(C_word c,C_word *av) C_noret;
C_noret_decl(f_26027)
static void C_ccall f_26027(C_word c,C_word *av) C_noret;
C_noret_decl(f_26029)
static void C_ccall f_26029(C_word c,C_word *av) C_noret;
C_noret_decl(f_26055)
static void C_ccall f_26055(C_word c,C_word *av) C_noret;
C_noret_decl(f_26058)
static void C_ccall f_26058(C_word c,C_word *av) C_noret;
C_noret_decl(f_26061)
static void C_ccall f_26061(C_word c,C_word *av) C_noret;
C_noret_decl(f_26068)
static void C_ccall f_26068(C_word c,C_word *av) C_noret;
C_noret_decl(f_26072)
static void C_ccall f_26072(C_word c,C_word *av) C_noret;
C_noret_decl(f_26078)
static void C_ccall f_26078(C_word c,C_word *av) C_noret;
C_noret_decl(f_26083)
static void C_fcall f_26083(C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_26093)
static void C_ccall f_26093(C_word c,C_word *av) C_noret;
C_noret_decl(f_26110)
static void C_fcall f_26110(C_word t0,C_word t1) C_noret;
C_noret_decl(f_26131)
static void C_fcall f_26131(C_word t0,C_word t1) C_noret;
C_noret_decl(f_26134)
static void C_fcall f_26134(C_word t0,C_word t1) C_noret;
C_noret_decl(f_26154)
static void C_fcall f_26154(C_word t0,C_word t1) C_noret;
C_noret_decl(f_26162)
static void C_ccall f_26162(C_word c,C_word *av) C_noret;
C_noret_decl(f_26296)
static void C_ccall f_26296(C_word c,C_word *av) C_noret;
C_noret_decl(f_26313)
static void C_ccall f_26313(C_word c,C_word *av) C_noret;
C_noret_decl(f_26317)
static void C_ccall f_26317(C_word c,C_word *av) C_noret;
C_noret_decl(f_26330)
static void C_ccall f_26330(C_word c,C_word *av) C_noret;
C_noret_decl(f_26339)
static void C_ccall f_26339(C_word c,C_word *av) C_noret;
C_noret_decl(f_26342)
static void C_ccall f_26342(C_word c,C_word *av) C_noret;
C_noret_decl(f_26346)
static void C_ccall f_26346(C_word c,C_word *av) C_noret;
C_noret_decl(f_26385)
static void C_ccall f_26385(C_word c,C_word *av) C_noret;
C_noret_decl(f_26388)
static void C_ccall f_26388(C_word c,C_word *av) C_noret;
C_noret_decl(f_26395)
static void C_ccall f_26395(C_word c,C_word *av) C_noret;
C_noret_decl(f_26399)
static void C_ccall f_26399(C_word c,C_word *av) C_noret;
C_noret_decl(f_26425)
static void C_ccall f_26425(C_word c,C_word *av) C_noret;
C_noret_decl(f_26456)
static void C_ccall f_26456(C_word c,C_word *av) C_noret;
C_noret_decl(f_26459)
static void C_ccall f_26459(C_word c,C_word *av) C_noret;
C_noret_decl(f_26471)
static void C_ccall f_26471(C_word c,C_word *av) C_noret;
C_noret_decl(f_26474)
static void C_ccall f_26474(C_word c,C_word *av) C_noret;
C_noret_decl(f_26477)
static void C_ccall f_26477(C_word c,C_word *av) C_noret;
C_noret_decl(f_26502)
static void C_ccall f_26502(C_word c,C_word *av) C_noret;
C_noret_decl(f_26508)
static void C_ccall f_26508(C_word c,C_word *av) C_noret;
C_noret_decl(f_26512)
static void C_ccall f_26512(C_word c,C_word *av) C_noret;
C_noret_decl(f_26516)
static void C_ccall f_26516(C_word c,C_word *av) C_noret;
C_noret_decl(f_26529)
static void C_ccall f_26529(C_word c,C_word *av) C_noret;
C_noret_decl(f_26531)
static C_word C_fcall f_26531(C_word t0,C_word t1);
C_noret_decl(f_26537)
static C_word C_fcall f_26537(C_word t0);
C_noret_decl(f_26542)
static C_word C_fcall f_26542(C_word t0);
C_noret_decl(f_26577)
static void C_fcall f_26577(C_word t0,C_word t1,C_word t2,C_word t3) C_noret;
C_noret_decl(f_26583)
static void C_fcall f_26583(C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_26599)
static void C_fcall f_26599(C_word t0,C_word t1) C_noret;
C_noret_decl(f_26621)
static void C_ccall f_26621(C_word c,C_word *av) C_noret;
C_noret_decl(f_26645)
static void C_ccall f_26645(C_word c,C_word *av) C_noret;
C_noret_decl(f_26657)
static void C_ccall f_26657(C_word c,C_word *av) C_noret;
C_noret_decl(f_26659)
static void C_ccall f_26659(C_word c,C_word *av) C_noret;
C_noret_decl(f_26678)
static void C_ccall f_26678(C_word c,C_word *av) C_noret;
C_noret_decl(f_26682)
static void C_ccall f_26682(C_word c,C_word *av) C_noret;
C_noret_decl(f_26694)
static void C_ccall f_26694(C_word c,C_word *av) C_noret;
C_noret_decl(f_26696)
static void C_fcall f_26696(C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_26740)
static void C_ccall f_26740(C_word c,C_word *av) C_noret;
C_noret_decl(f_26742)
static void C_fcall f_26742(C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_26776)
static C_word C_fcall f_26776(C_word t0);
C_noret_decl(f_26799)
static void C_ccall f_26799(C_word c,C_word *av) C_noret;
C_noret_decl(f_26806)
static void C_ccall f_26806(C_word c,C_word *av) C_noret;
C_noret_decl(f_26816)
static void C_ccall f_26816(C_word c,C_word *av) C_noret;
C_noret_decl(f_26818)
static void C_fcall f_26818(C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_26868)
static void C_ccall f_26868(C_word c,C_word *av) C_noret;
C_noret_decl(f_26870)
static void C_fcall f_26870(C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_26895)
static void C_ccall f_26895(C_word c,C_word *av) C_noret;
C_noret_decl(f_26904)
static void C_ccall f_26904(C_word c,C_word *av) C_noret;
C_noret_decl(f_26910)
static void C_ccall f_26910(C_word c,C_word *av) C_noret;
C_noret_decl(f_26914)
static void C_ccall f_26914(C_word c,C_word *av) C_noret;
C_noret_decl(f_26918)
static void C_fcall f_26918(C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_26926)
static void C_ccall f_26926(C_word c,C_word *av) C_noret;
C_noret_decl(f_26932)
static void C_fcall f_26932(C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_26963)
static void C_ccall f_26963(C_word c,C_word *av) C_noret;
C_noret_decl(f_26988)
static void C_fcall f_26988(C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_27013)
static void C_ccall f_27013(C_word c,C_word *av) C_noret;
C_noret_decl(f_27023)
static void C_ccall f_27023(C_word c,C_word *av) C_noret;
C_noret_decl(f_27028)
static void C_ccall f_27028(C_word c,C_word *av) C_noret;
C_noret_decl(f_27030)
static void C_ccall f_27030(C_word c,C_word *av) C_noret;
C_noret_decl(f_27037)
static void C_ccall f_27037(C_word c,C_word *av) C_noret;
C_noret_decl(f_27049)
static void C_ccall f_27049(C_word c,C_word *av) C_noret;
C_noret_decl(f_27057)
static void C_ccall f_27057(C_word c,C_word *av) C_noret;
C_noret_decl(f_27095)
static void C_ccall f_27095(C_word c,C_word *av) C_noret;
C_noret_decl(f_27099)
static void C_ccall f_27099(C_word c,C_word *av) C_noret;
C_noret_decl(f_27106)
static void C_ccall f_27106(C_word c,C_word *av) C_noret;
C_noret_decl(f_27109)
static void C_ccall f_27109(C_word c,C_word *av) C_noret;
C_noret_decl(f_27112)
static void C_ccall f_27112(C_word c,C_word *av) C_noret;
C_noret_decl(f_27113)
static void C_fcall f_27113(C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_27115)
static void C_fcall f_27115(C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_27119)
static void C_ccall f_27119(C_word c,C_word *av) C_noret;
C_noret_decl(f_27124)
static void C_ccall f_27124(C_word c,C_word *av) C_noret;
C_noret_decl(f_27136)
static void C_fcall f_27136(C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_27146)
static void C_ccall f_27146(C_word c,C_word *av) C_noret;
C_noret_decl(f_27158)
static void C_ccall f_27158(C_word c,C_word *av) C_noret;
C_noret_decl(f_27160)
static void C_fcall f_27160(C_word t0,C_word t1,C_word t2,C_word t3) C_noret;
C_noret_decl(f_27167)
static void C_ccall f_27167(C_word c,C_word *av) C_noret;
C_noret_decl(f_27170)
static void C_ccall f_27170(C_word c,C_word *av) C_noret;
C_noret_decl(f_27176)
static void C_fcall f_27176(C_word t0,C_word t1) C_noret;
C_noret_decl(f_27179)
static void C_ccall f_27179(C_word c,C_word *av) C_noret;
C_noret_decl(f_27182)
static void C_ccall f_27182(C_word c,C_word *av) C_noret;
C_noret_decl(f_27185)
static void C_ccall f_27185(C_word c,C_word *av) C_noret;
C_noret_decl(f_27200)
static void C_ccall f_27200(C_word c,C_word *av) C_noret;
C_noret_decl(f_27206)
static void C_ccall f_27206(C_word c,C_word *av) C_noret;
C_noret_decl(f_27214)
static void C_fcall f_27214(C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_27218)
static void C_ccall f_27218(C_word c,C_word *av) C_noret;
C_noret_decl(f_27221)
static void C_ccall f_27221(C_word c,C_word *av) C_noret;
C_noret_decl(f_27224)
static void C_ccall f_27224(C_word c,C_word *av) C_noret;
C_noret_decl(f_27237)
static void C_ccall f_27237(C_word c,C_word *av) C_noret;
C_noret_decl(f_27241)
static void C_ccall f_27241(C_word c,C_word *av) C_noret;
C_noret_decl(f_27262)
static void C_ccall f_27262(C_word c,C_word *av) C_noret;
C_noret_decl(f_27278)
static void C_ccall f_27278(C_word c,C_word *av) C_noret;
C_noret_decl(f_27281)
static void C_ccall f_27281(C_word c,C_word *av) C_noret;
C_noret_decl(f_27287)
static void C_ccall f_27287(C_word c,C_word *av) C_noret;
C_noret_decl(f_27309)
static void C_fcall f_27309(C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_27314)
static void C_fcall f_27314(C_word t0,C_word t1) C_noret;
C_noret_decl(f_27349)
static void C_ccall f_27349(C_word c,C_word *av) C_noret;
C_noret_decl(f_27359)
static void C_ccall f_27359(C_word c,C_word *av) C_noret;
C_noret_decl(f_27362)
static void C_ccall f_27362(C_word c,C_word *av) C_noret;
C_noret_decl(f_27365)
static void C_ccall f_27365(C_word c,C_word *av) C_noret;
C_noret_decl(f_27368)
static void C_ccall f_27368(C_word c,C_word *av) C_noret;
C_noret_decl(f_27371)
static void C_ccall f_27371(C_word c,C_word *av) C_noret;
C_noret_decl(f_27374)
static void C_ccall f_27374(C_word c,C_word *av) C_noret;
C_noret_decl(f_27381)
static void C_ccall f_27381(C_word c,C_word *av) C_noret;
C_noret_decl(f_27384)
static void C_ccall f_27384(C_word c,C_word *av) C_noret;
C_noret_decl(f_27387)
static void C_ccall f_27387(C_word c,C_word *av) C_noret;
C_noret_decl(f_27398)
static void C_ccall f_27398(C_word c,C_word *av) C_noret;
C_noret_decl(f_27421)
static void C_ccall f_27421(C_word c,C_word *av) C_noret;
C_noret_decl(f_27432)
static void C_ccall f_27432(C_word c,C_word *av) C_noret;
C_noret_decl(f_27436)
static void C_ccall f_27436(C_word c,C_word *av) C_noret;
C_noret_decl(f_27458)
static void C_ccall f_27458(C_word c,C_word *av) C_noret;
C_noret_decl(f_27469)
static void C_ccall f_27469(C_word c,C_word *av) C_noret;
C_noret_decl(f_27473)
static void C_ccall f_27473(C_word c,C_word *av) C_noret;
C_noret_decl(f_28054)
static void C_ccall f_28054(C_word c,C_word *av) C_noret;
C_noret_decl(f_28057)
static void C_ccall f_28057(C_word c,C_word *av) C_noret;
C_noret_decl(f_28060)
static void C_ccall f_28060(C_word c,C_word *av) C_noret;
C_noret_decl(f_28063)
static void C_ccall f_28063(C_word c,C_word *av) C_noret;
C_noret_decl(f_28068)
static void C_ccall f_28068(C_word c,C_word *av) C_noret;
C_noret_decl(f_28071)
static void C_ccall f_28071(C_word c,C_word *av) C_noret;
C_noret_decl(f_28074)
static void C_ccall f_28074(C_word c,C_word *av) C_noret;
C_noret_decl(f_28077)
static void C_ccall f_28077(C_word c,C_word *av) C_noret;
C_noret_decl(f_28080)
static void C_ccall f_28080(C_word c,C_word *av) C_noret;
C_noret_decl(f_28083)
static void C_ccall f_28083(C_word c,C_word *av) C_noret;
C_noret_decl(f_28086)
static void C_ccall f_28086(C_word c,C_word *av) C_noret;
C_noret_decl(f_28089)
static void C_ccall f_28089(C_word c,C_word *av) C_noret;
C_noret_decl(f_28106)
static void C_ccall f_28106(C_word c,C_word *av) C_noret;
C_noret_decl(f_28110)
static void C_ccall f_28110(C_word c,C_word *av) C_noret;
C_noret_decl(f_28112)
static void C_ccall f_28112(C_word c,C_word *av) C_noret;
C_noret_decl(f_28120)
static void C_ccall f_28120(C_word c,C_word *av) C_noret;
C_noret_decl(f_28122)
static void C_ccall f_28122(C_word c,C_word *av) C_noret;
C_noret_decl(f_28126)
static void C_ccall f_28126(C_word c,C_word *av) C_noret;
C_noret_decl(f_28128)
static void C_ccall f_28128(C_word c,C_word *av) C_noret;
C_noret_decl(f_28135)
static void C_ccall f_28135(C_word c,C_word *av) C_noret;
C_noret_decl(f_28145)
static void C_ccall f_28145(C_word c,C_word *av) C_noret;
C_noret_decl(f_28170)
static void C_ccall f_28170(C_word c,C_word *av) C_noret;
C_noret_decl(f_28173)
static void C_ccall f_28173(C_word c,C_word *av) C_noret;
C_noret_decl(f_28176)
static void C_ccall f_28176(C_word c,C_word *av) C_noret;
C_noret_decl(f_28179)
static void C_ccall f_28179(C_word c,C_word *av) C_noret;
C_noret_decl(f_28182)
static void C_ccall f_28182(C_word c,C_word *av) C_noret;
C_noret_decl(f_28192)
static void C_ccall f_28192(C_word c,C_word *av) C_noret;
C_noret_decl(f_28198)
static void C_ccall f_28198(C_word c,C_word *av) C_noret;
C_noret_decl(f_28202)
static void C_ccall f_28202(C_word c,C_word *av) C_noret;
C_noret_decl(f_28204)
static void C_ccall f_28204(C_word c,C_word *av) C_noret;
C_noret_decl(f_28214)
static void C_ccall f_28214(C_word c,C_word *av) C_noret;
C_noret_decl(f_28220)
static void C_ccall f_28220(C_word c,C_word *av) C_noret;
C_noret_decl(f_28224)
static void C_ccall f_28224(C_word c,C_word *av) C_noret;
C_noret_decl(f_28226)
static void C_ccall f_28226(C_word c,C_word *av) C_noret;
C_noret_decl(f_28231)
static void C_ccall f_28231(C_word c,C_word *av) C_noret;
C_noret_decl(f_28233)
static void C_ccall f_28233(C_word c,C_word *av) C_noret;
C_noret_decl(f_28236)
static void C_ccall f_28236(C_word c,C_word *av) C_noret;
C_noret_decl(f_28256)
static void C_ccall f_28256(C_word c,C_word *av) C_noret;
C_noret_decl(f_28262)
static void C_fcall f_28262(C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_28272)
static void C_ccall f_28272(C_word c,C_word *av) C_noret;
C_noret_decl(f_28282)
static void C_ccall f_28282(C_word c,C_word *av) C_noret;
C_noret_decl(f_28317)
static void C_ccall f_28317(C_word c,C_word *av) C_noret;
C_noret_decl(f_28321)
static void C_ccall f_28321(C_word c,C_word *av) C_noret;
C_noret_decl(f_28326)
static void C_fcall f_28326(C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_28336)
static void C_ccall f_28336(C_word c,C_word *av) C_noret;
C_noret_decl(f_28346)
static void C_ccall f_28346(C_word c,C_word *av) C_noret;
C_noret_decl(f_28355)
static void C_ccall f_28355(C_word c,C_word *av) C_noret;
C_noret_decl(f_28358)
static void C_ccall f_28358(C_word c,C_word *av) C_noret;
C_noret_decl(f_28361)
static void C_ccall f_28361(C_word c,C_word *av) C_noret;
C_noret_decl(f_28368)
static void C_ccall f_28368(C_word c,C_word *av) C_noret;
C_noret_decl(f_28375)
static void C_ccall f_28375(C_word c,C_word *av) C_noret;
C_noret_decl(f_28378)
static void C_ccall f_28378(C_word c,C_word *av) C_noret;
C_noret_decl(f_28382)
static void C_ccall f_28382(C_word c,C_word *av) C_noret;
C_noret_decl(f_28384)
static void C_ccall f_28384(C_word c,C_word *av) C_noret;
C_noret_decl(f_28387)
static void C_ccall f_28387(C_word c,C_word *av) C_noret;
C_noret_decl(f_28390)
static void C_ccall f_28390(C_word c,C_word *av) C_noret;
C_noret_decl(f_28393)
static void C_ccall f_28393(C_word c,C_word *av) C_noret;
C_noret_decl(f_28396)
static void C_ccall f_28396(C_word c,C_word *av) C_noret;
C_noret_decl(f_28399)
static void C_ccall f_28399(C_word c,C_word *av) C_noret;
C_noret_decl(f_28402)
static void C_ccall f_28402(C_word c,C_word *av) C_noret;
C_noret_decl(f_28405)
static void C_ccall f_28405(C_word c,C_word *av) C_noret;
C_noret_decl(f_28408)
static void C_ccall f_28408(C_word c,C_word *av) C_noret;
C_noret_decl(f_28411)
static void C_ccall f_28411(C_word c,C_word *av) C_noret;
C_noret_decl(f_28414)
static void C_ccall f_28414(C_word c,C_word *av) C_noret;
C_noret_decl(f_28418)
static void C_ccall f_28418(C_word c,C_word *av) C_noret;
C_noret_decl(f_28421)
static void C_ccall f_28421(C_word c,C_word *av) C_noret;
C_noret_decl(f_28437)
static void C_ccall f_28437(C_word c,C_word *av) C_noret;
C_noret_decl(f_28445)
static void C_ccall f_28445(C_word c,C_word *av) C_noret;
C_noret_decl(f_28448)
static void C_ccall f_28448(C_word c,C_word *av) C_noret;
C_noret_decl(f_28454)
static void C_ccall f_28454(C_word c,C_word *av) C_noret;
C_noret_decl(f_28463)
static void C_ccall f_28463(C_word c,C_word *av) C_noret;
C_noret_decl(f_28469)
static void C_ccall f_28469(C_word c,C_word *av) C_noret;
C_noret_decl(f_28478)
static void C_ccall f_28478(C_word c,C_word *av) C_noret;
C_noret_decl(f_28484)
static void C_ccall f_28484(C_word c,C_word *av) C_noret;
C_noret_decl(f_28490)
static void C_ccall f_28490(C_word c,C_word *av) C_noret;
C_noret_decl(f_28493)
static void C_ccall f_28493(C_word c,C_word *av) C_noret;
C_noret_decl(f_28497)
static void C_ccall f_28497(C_word c,C_word *av) C_noret;
C_noret_decl(f_28500)
static void C_ccall f_28500(C_word c,C_word *av) C_noret;
C_noret_decl(f_28505)
static void C_ccall f_28505(C_word c,C_word *av) C_noret;
C_noret_decl(f_28507)
static void C_ccall f_28507(C_word c,C_word *av) C_noret;
C_noret_decl(f_28511)
static void C_ccall f_28511(C_word c,C_word *av) C_noret;
C_noret_decl(f_28538)
static void C_fcall f_28538(C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_28548)
static void C_ccall f_28548(C_word c,C_word *av) C_noret;
C_noret_decl(f_28557)
static void C_ccall f_28557(C_word c,C_word *av) C_noret;
C_noret_decl(f_28564)
static void C_ccall f_28564(C_word c,C_word *av) C_noret;
C_noret_decl(f_28568)
static void C_ccall f_28568(C_word c,C_word *av) C_noret;
C_noret_decl(f_28582)
static void C_fcall f_28582(C_word t0,C_word t1) C_noret;
C_noret_decl(f_28586)
static void C_ccall f_28586(C_word c,C_word *av) C_noret;
C_noret_decl(f_28593)
static void C_ccall f_28593(C_word c,C_word *av) C_noret;
C_noret_decl(f_28595)
static void C_fcall f_28595(C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_28617)
static void C_ccall f_28617(C_word c,C_word *av) C_noret;
C_noret_decl(f_28624)
static void C_ccall f_28624(C_word c,C_word *av) C_noret;
C_noret_decl(f_28629)
static void C_fcall f_28629(C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_28633)
static void C_ccall f_28633(C_word c,C_word *av) C_noret;
C_noret_decl(f_28636)
static void C_ccall f_28636(C_word c,C_word *av) C_noret;
C_noret_decl(f_28639)
static void C_ccall f_28639(C_word c,C_word *av) C_noret;
C_noret_decl(f_28644)
static void C_fcall f_28644(C_word t0,C_word t1) C_noret;
C_noret_decl(f_28648)
static void C_ccall f_28648(C_word c,C_word *av) C_noret;
C_noret_decl(f_28674)
static void C_ccall f_28674(C_word c,C_word *av) C_noret;
C_noret_decl(f_28687)
static void C_ccall f_28687(C_word c,C_word *av) C_noret;
C_noret_decl(f_28690)
static void C_ccall f_28690(C_word c,C_word *av) C_noret;
C_noret_decl(f_28699)
static void C_ccall f_28699(C_word c,C_word *av) C_noret;
C_noret_decl(f_28702)
static void C_ccall f_28702(C_word c,C_word *av) C_noret;
C_noret_decl(f_28705)
static void C_ccall f_28705(C_word c,C_word *av) C_noret;
C_noret_decl(f_28711)
static void C_ccall f_28711(C_word c,C_word *av) C_noret;
C_noret_decl(f_28718)
static void C_ccall f_28718(C_word c,C_word *av) C_noret;
C_noret_decl(f_28720)
static void C_fcall f_28720(C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_28733)
static void C_ccall f_28733(C_word c,C_word *av) C_noret;
C_noret_decl(f_28746)
static void C_ccall f_28746(C_word c,C_word *av) C_noret;
C_noret_decl(f_28749)
static void C_ccall f_28749(C_word c,C_word *av) C_noret;
C_noret_decl(f_28752)
static void C_ccall f_28752(C_word c,C_word *av) C_noret;
C_noret_decl(f_28759)
static void C_ccall f_28759(C_word c,C_word *av) C_noret;
C_noret_decl(f_28812)
static void C_ccall f_28812(C_word c,C_word *av) C_noret;
C_noret_decl(f_28815)
static void C_ccall f_28815(C_word c,C_word *av) C_noret;
C_noret_decl(f_28818)
static void C_ccall f_28818(C_word c,C_word *av) C_noret;
C_noret_decl(f_28820)
static void C_fcall f_28820(C_word t0,C_word t1) C_noret;
C_noret_decl(f_28824)
static void C_ccall f_28824(C_word c,C_word *av) C_noret;
C_noret_decl(f_28828)
static void C_ccall f_28828(C_word c,C_word *av) C_noret;
C_noret_decl(f_28834)
static void C_ccall f_28834(C_word c,C_word *av) C_noret;
C_noret_decl(f_28839)
static void C_fcall f_28839(C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_28843)
static void C_ccall f_28843(C_word c,C_word *av) C_noret;
C_noret_decl(f_28855)
static void C_ccall f_28855(C_word c,C_word *av) C_noret;
C_noret_decl(f_28867)
static void C_ccall f_28867(C_word c,C_word *av) C_noret;
C_noret_decl(f_28874)
static void C_ccall f_28874(C_word c,C_word *av) C_noret;
C_noret_decl(f_28880)
static void C_fcall f_28880(C_word t0,C_word t1,C_word t2,C_word t3,C_word t4) C_noret;
C_noret_decl(f_28894)
static void C_ccall f_28894(C_word c,C_word *av) C_noret;
C_noret_decl(f_28903)
static void C_fcall f_28903(C_word t0,C_word t1) C_noret;
C_noret_decl(f_28933)
static void C_ccall f_28933(C_word c,C_word *av) C_noret;
C_noret_decl(f_28952)
static void C_ccall f_28952(C_word c,C_word *av) C_noret;
C_noret_decl(f_28975)
static void C_ccall f_28975(C_word c,C_word *av) C_noret;
C_noret_decl(f_28984)
static void C_ccall f_28984(C_word c,C_word *av) C_noret;
C_noret_decl(f_28991)
static void C_ccall f_28991(C_word c,C_word *av) C_noret;
C_noret_decl(f_29008)
static void C_ccall f_29008(C_word c,C_word *av) C_noret;
C_noret_decl(f_29016)
static void C_ccall f_29016(C_word c,C_word *av) C_noret;
C_noret_decl(f_29027)
static void C_ccall f_29027(C_word c,C_word *av) C_noret;
C_noret_decl(f_29035)
static void C_ccall f_29035(C_word c,C_word *av) C_noret;
C_noret_decl(f_29042)
static void C_ccall f_29042(C_word c,C_word *av) C_noret;
C_noret_decl(f_29104)
static void C_ccall f_29104(C_word c,C_word *av) C_noret;
C_noret_decl(f_29111)
static void C_ccall f_29111(C_word c,C_word *av) C_noret;
C_noret_decl(f_29114)
static void C_ccall f_29114(C_word c,C_word *av) C_noret;
C_noret_decl(f_29120)
static void C_ccall f_29120(C_word c,C_word *av) C_noret;
C_noret_decl(f_29127)
static void C_ccall f_29127(C_word c,C_word *av) C_noret;
C_noret_decl(f_29131)
static void C_ccall f_29131(C_word c,C_word *av) C_noret;
C_noret_decl(f_29134)
static void C_ccall f_29134(C_word c,C_word *av) C_noret;
C_noret_decl(f_29142)
static void C_ccall f_29142(C_word c,C_word *av) C_noret;
C_noret_decl(f_29144)
static void C_ccall f_29144(C_word c,C_word *av) C_noret;
C_noret_decl(f_29153)
static void C_ccall f_29153(C_word c,C_word *av) C_noret;
C_noret_decl(f_29162)
static void C_ccall f_29162(C_word c,C_word *av) C_noret;
C_noret_decl(f_29173)
static void C_ccall f_29173(C_word c,C_word *av) C_noret;
C_noret_decl(f_29177)
static void C_ccall f_29177(C_word c,C_word *av) C_noret;
C_noret_decl(f_29179)
static void C_ccall f_29179(C_word c,C_word *av) C_noret;
C_noret_decl(f_29187)
static void C_ccall f_29187(C_word c,C_word *av) C_noret;
C_noret_decl(f_29199)
static void C_ccall f_29199(C_word c,C_word *av) C_noret;
C_noret_decl(f_29205)
static void C_fcall f_29205(C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_29209)
static void C_ccall f_29209(C_word c,C_word *av) C_noret;
C_noret_decl(f_29217)
static void C_fcall f_29217(C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_29235)
static void C_ccall f_29235(C_word c,C_word *av) C_noret;
C_noret_decl(f_29243)
static void C_ccall f_29243(C_word c,C_word *av) C_noret;
C_noret_decl(f_29247)
static void C_ccall f_29247(C_word c,C_word *av) C_noret;
C_noret_decl(f_29265)
static void C_ccall f_29265(C_word c,C_word *av) C_noret;
C_noret_decl(f_29272)
static void C_ccall f_29272(C_word c,C_word *av) C_noret;
C_noret_decl(f_29284)
static void C_ccall f_29284(C_word c,C_word *av) C_noret;
C_noret_decl(f_29292)
static void C_ccall f_29292(C_word c,C_word *av) C_noret;
C_noret_decl(f_29298)
static void C_fcall f_29298(C_word t0,C_word t1,C_word t2,C_word t3) C_noret;
C_noret_decl(f_29320)
static void C_ccall f_29320(C_word c,C_word *av) C_noret;
C_noret_decl(f_29324)
static void C_ccall f_29324(C_word c,C_word *av) C_noret;
C_noret_decl(f_29328)
static void C_ccall f_29328(C_word c,C_word *av) C_noret;
C_noret_decl(f_29330)
static void C_ccall f_29330(C_word c,C_word *av) C_noret;
C_noret_decl(f_29333)
static void C_ccall f_29333(C_word c,C_word *av) C_noret;
C_noret_decl(f_29336)
static void C_ccall f_29336(C_word c,C_word *av) C_noret;
C_noret_decl(f_29340)
static void C_ccall f_29340(C_word c,C_word *av) C_noret;
C_noret_decl(f_29343)
static void C_ccall f_29343(C_word c,C_word *av) C_noret;
C_noret_decl(f_29361)
static void C_ccall f_29361(C_word c,C_word *av) C_noret;
C_noret_decl(f_29367)
static void C_ccall f_29367(C_word c,C_word *av) C_noret;
C_noret_decl(f_29371)
static void C_ccall f_29371(C_word c,C_word *av) C_noret;
C_noret_decl(f_29388)
static void C_ccall f_29388(C_word c,C_word *av) C_noret;
C_noret_decl(f_29398)
static void C_ccall f_29398(C_word c,C_word *av) C_noret;
C_noret_decl(f_29402)
static void C_ccall f_29402(C_word c,C_word *av) C_noret;
C_noret_decl(f_29406)
static void C_ccall f_29406(C_word c,C_word *av) C_noret;
C_noret_decl(f_29418)
static void C_ccall f_29418(C_word c,C_word *av) C_noret;
C_noret_decl(f_29428)
static void C_ccall f_29428(C_word c,C_word *av) C_noret;
C_noret_decl(f_29432)
static void C_ccall f_29432(C_word c,C_word *av) C_noret;
C_noret_decl(f_29436)
static void C_fcall f_29436(C_word t0,C_word t1) C_noret;
C_noret_decl(f_29464)
static void C_ccall f_29464(C_word c,C_word *av) C_noret;
C_noret_decl(f_29467)
static void C_ccall f_29467(C_word c,C_word *av) C_noret;
C_noret_decl(f_29470)
static void C_ccall f_29470(C_word c,C_word *av) C_noret;
C_noret_decl(f_29476)
static void C_fcall f_29476(C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_29489)
static void C_ccall f_29489(C_word c,C_word *av) C_noret;
C_noret_decl(f_29492)
static void C_ccall f_29492(C_word c,C_word *av) C_noret;
C_noret_decl(f_29501)
static void C_ccall f_29501(C_word c,C_word *av) C_noret;
C_noret_decl(f_29507)
static void C_ccall f_29507(C_word c,C_word *av) C_noret;
C_noret_decl(f_29513)
static void C_ccall f_29513(C_word c,C_word *av) C_noret;
C_noret_decl(f_29519)
static void C_ccall f_29519(C_word c,C_word *av) C_noret;
C_noret_decl(f_29525)
static void C_ccall f_29525(C_word c,C_word *av) C_noret;
C_noret_decl(f_29542)
static void C_ccall f_29542(C_word c,C_word *av) C_noret;
C_noret_decl(f_29548)
static void C_ccall f_29548(C_word c,C_word *av) C_noret;
C_noret_decl(f_29563)
static void C_ccall f_29563(C_word c,C_word *av) C_noret;
C_noret_decl(f_29567)
static void C_ccall f_29567(C_word c,C_word *av) C_noret;
C_noret_decl(f_29571)
static void C_ccall f_29571(C_word c,C_word *av) C_noret;
C_noret_decl(f_29575)
static void C_ccall f_29575(C_word c,C_word *av) C_noret;
C_noret_decl(f_29581)
static void C_ccall f_29581(C_word c,C_word *av) C_noret;
C_noret_decl(f_29583)
static void C_ccall f_29583(C_word c,C_word *av) C_noret;
C_noret_decl(f_29589)
static void C_fcall f_29589(C_word t0,C_word t1) C_noret;
C_noret_decl(f_29593)
static void C_ccall f_29593(C_word c,C_word *av) C_noret;
C_noret_decl(f_29602)
static void C_ccall f_29602(C_word c,C_word *av) C_noret;
C_noret_decl(f_29611)
static void C_ccall f_29611(C_word c,C_word *av) C_noret;
C_noret_decl(f_29654)
static void C_ccall f_29654(C_word c,C_word *av) C_noret;
C_noret_decl(f_29676)
static void C_ccall f_29676(C_word c,C_word *av) C_noret;
C_noret_decl(f_29689)
static void C_ccall f_29689(C_word c,C_word *av) C_noret;
C_noret_decl(f_29714)
static void C_ccall f_29714(C_word c,C_word *av) C_noret;
C_noret_decl(f_29730)
static void C_ccall f_29730(C_word c,C_word *av) C_noret;
C_noret_decl(f_29746)
static void C_ccall f_29746(C_word c,C_word *av) C_noret;
C_noret_decl(f_29762)
static void C_ccall f_29762(C_word c,C_word *av) C_noret;
C_noret_decl(f_29778)
static void C_ccall f_29778(C_word c,C_word *av) C_noret;
C_noret_decl(f_29794)
static void C_ccall f_29794(C_word c,C_word *av) C_noret;
C_noret_decl(f_29810)
static void C_ccall f_29810(C_word c,C_word *av) C_noret;
C_noret_decl(f_29826)
static void C_ccall f_29826(C_word c,C_word *av) C_noret;
C_noret_decl(f_29842)
static void C_ccall f_29842(C_word c,C_word *av) C_noret;
C_noret_decl(f_29858)
static void C_ccall f_29858(C_word c,C_word *av) C_noret;
C_noret_decl(f_29865)
static void C_ccall f_29865(C_word c,C_word *av) C_noret;
C_noret_decl(f_29906)
static void C_ccall f_29906(C_word c,C_word *av) C_noret;
C_noret_decl(f_29918)
static void C_ccall f_29918(C_word c,C_word *av) C_noret;
C_noret_decl(f_29924)
static void C_ccall f_29924(C_word c,C_word *av) C_noret;
C_noret_decl(f_29943)
static void C_ccall f_29943(C_word c,C_word *av) C_noret;
C_noret_decl(f_29945)
static void C_ccall f_29945(C_word c,C_word *av) C_noret;
C_noret_decl(f_29968)
static C_word C_fcall f_29968(C_word t0,C_word t1,C_word t2);
C_noret_decl(f_30014)
static void C_ccall f_30014(C_word c,C_word *av) C_noret;
C_noret_decl(f_30016)
static void C_ccall f_30016(C_word c,C_word *av) C_noret;
C_noret_decl(f_30023)
static void C_fcall f_30023(C_word t0,C_word t1) C_noret;
C_noret_decl(f_30035)
static void C_fcall f_30035(C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_30079)
static void C_ccall f_30079(C_word c,C_word *av) C_noret;
C_noret_decl(f_30094)
static void C_fcall f_30094(C_word t0,C_word t1) C_noret;
C_noret_decl(f_30102)
static void C_ccall f_30102(C_word c,C_word *av) C_noret;
C_noret_decl(f_30108)
static void C_fcall f_30108(C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_30116)
static void C_ccall f_30116(C_word c,C_word *av) C_noret;
C_noret_decl(f_30120)
static void C_ccall f_30120(C_word c,C_word *av) C_noret;
C_noret_decl(f_30126)
static void C_ccall f_30126(C_word c,C_word *av) C_noret;
C_noret_decl(f_30128)
static void C_fcall f_30128(C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_30140)
static void C_ccall f_30140(C_word c,C_word *av) C_noret;
C_noret_decl(f_30147)
static void C_ccall f_30147(C_word c,C_word *av) C_noret;
C_noret_decl(f_30151)
static void C_ccall f_30151(C_word c,C_word *av) C_noret;
C_noret_decl(f_30167)
static void C_ccall f_30167(C_word c,C_word *av) C_noret;
C_noret_decl(f_30174)
static void C_ccall f_30174(C_word c,C_word *av) C_noret;
C_noret_decl(f_30178)
static void C_ccall f_30178(C_word c,C_word *av) C_noret;
C_noret_decl(f_30191)
static void C_ccall f_30191(C_word c,C_word *av) C_noret;
C_noret_decl(f_30198)
static void C_ccall f_30198(C_word c,C_word *av) C_noret;
C_noret_decl(f_30202)
static void C_ccall f_30202(C_word c,C_word *av) C_noret;
C_noret_decl(f_30207)
static void C_ccall f_30207(C_word c,C_word *av) C_noret;
C_noret_decl(f_30213)
static void C_ccall f_30213(C_word c,C_word *av) C_noret;
C_noret_decl(f_30216)
static void C_ccall f_30216(C_word c,C_word *av) C_noret;
C_noret_decl(f_30219)
static void C_ccall f_30219(C_word c,C_word *av) C_noret;
C_noret_decl(f_30225)
static void C_ccall f_30225(C_word c,C_word *av) C_noret;
C_noret_decl(f_30234)
static void C_ccall f_30234(C_word c,C_word *av) C_noret;
C_noret_decl(f_30243)
static void C_ccall f_30243(C_word c,C_word *av) C_noret;
C_noret_decl(f_30249)
static void C_ccall f_30249(C_word c,C_word *av) C_noret;
C_noret_decl(f_30252)
static void C_ccall f_30252(C_word c,C_word *av) C_noret;
C_noret_decl(f_30255)
static void C_ccall f_30255(C_word c,C_word *av) C_noret;
C_noret_decl(f_30267)
static void C_ccall f_30267(C_word c,C_word *av) C_noret;
C_noret_decl(f_30270)
static void C_ccall f_30270(C_word c,C_word *av) C_noret;
C_noret_decl(f_30273)
static void C_ccall f_30273(C_word c,C_word *av) C_noret;
C_noret_decl(f_30276)
static void C_ccall f_30276(C_word c,C_word *av) C_noret;
C_noret_decl(f_30288)
static void C_ccall f_30288(C_word c,C_word *av) C_noret;
C_noret_decl(f_30291)
static void C_ccall f_30291(C_word c,C_word *av) C_noret;
C_noret_decl(f_30294)
static void C_ccall f_30294(C_word c,C_word *av) C_noret;
C_noret_decl(f_30297)
static void C_ccall f_30297(C_word c,C_word *av) C_noret;
C_noret_decl(f_30305)
static void C_ccall f_30305(C_word c,C_word *av) C_noret;
C_noret_decl(f_30308)
static void C_ccall f_30308(C_word c,C_word *av) C_noret;
C_noret_decl(f_30321)
static void C_ccall f_30321(C_word c,C_word *av) C_noret;
C_noret_decl(f_30322)
static void C_ccall f_30322(C_word c,C_word *av) C_noret;
C_noret_decl(f_30327)
static void C_ccall f_30327(C_word c,C_word *av) C_noret;
C_noret_decl(f_30328)
static void C_ccall f_30328(C_word c,C_word *av) C_noret;
C_noret_decl(f_30333)
static void C_ccall f_30333(C_word c,C_word *av) C_noret;
C_noret_decl(f_30334)
static void C_ccall f_30334(C_word c,C_word *av) C_noret;
C_noret_decl(f_30339)
static void C_ccall f_30339(C_word c,C_word *av) C_noret;
C_noret_decl(f_30340)
static void C_ccall f_30340(C_word c,C_word *av) C_noret;
C_noret_decl(f_30345)
static void C_ccall f_30345(C_word c,C_word *av) C_noret;
C_noret_decl(f_30346)
static void C_ccall f_30346(C_word c,C_word *av) C_noret;
C_noret_decl(f_30351)
static void C_fcall f_30351(C_word t0,C_word t1) C_noret;
C_noret_decl(f_30353)
static void C_ccall f_30353(C_word c,C_word *av) C_noret;
C_noret_decl(f_30363)
static void C_ccall f_30363(C_word c,C_word *av) C_noret;
C_noret_decl(f_30366)
static void C_ccall f_30366(C_word c,C_word *av) C_noret;
C_noret_decl(f_30369)
static void C_ccall f_30369(C_word c,C_word *av) C_noret;
C_noret_decl(f_30372)
static void C_ccall f_30372(C_word c,C_word *av) C_noret;
C_noret_decl(f_30374)
static void C_fcall f_30374(C_word t0,C_word t1) C_noret;
C_noret_decl(f_30388)
static void C_ccall f_30388(C_word c,C_word *av) C_noret;
C_noret_decl(f_30396)
static void C_ccall f_30396(C_word c,C_word *av) C_noret;
C_noret_decl(f_30400)
static void C_ccall f_30400(C_word c,C_word *av) C_noret;
C_noret_decl(f_30404)
static void C_ccall f_30404(C_word c,C_word *av) C_noret;
C_noret_decl(f_30408)
static void C_ccall f_30408(C_word c,C_word *av) C_noret;
C_noret_decl(f_30414)
static void C_ccall f_30414(C_word c,C_word *av) C_noret;
C_noret_decl(f_30421)
static void C_ccall f_30421(C_word c,C_word *av) C_noret;
C_noret_decl(f_30425)
static void C_ccall f_30425(C_word c,C_word *av) C_noret;
C_noret_decl(f_30429)
static void C_ccall f_30429(C_word c,C_word *av) C_noret;
C_noret_decl(f_30433)
static void C_ccall f_30433(C_word c,C_word *av) C_noret;
C_noret_decl(f_30472)
static void C_ccall f_30472(C_word c,C_word *av) C_noret;
C_noret_decl(f_30475)
static void C_ccall f_30475(C_word c,C_word *av) C_noret;
C_noret_decl(f_30478)
static void C_ccall f_30478(C_word c,C_word *av) C_noret;
C_noret_decl(f_30481)
static void C_ccall f_30481(C_word c,C_word *av) C_noret;
C_noret_decl(f_30484)
static void C_ccall f_30484(C_word c,C_word *av) C_noret;
C_noret_decl(f_30492)
static void C_ccall f_30492(C_word c,C_word *av) C_noret;
C_noret_decl(f_30500)
static void C_ccall f_30500(C_word c,C_word *av) C_noret;
C_noret_decl(f_30504)
static void C_ccall f_30504(C_word c,C_word *av) C_noret;
C_noret_decl(f_30521)
static void C_ccall f_30521(C_word c,C_word *av) C_noret;
C_noret_decl(f_30528)
static void C_ccall f_30528(C_word c,C_word *av) C_noret;
C_noret_decl(f_30550)
static void C_ccall f_30550(C_word c,C_word *av) C_noret;
C_noret_decl(f_30555)
static void C_fcall f_30555(C_word t0,C_word t1) C_noret;
C_noret_decl(f_30570)
static void C_ccall f_30570(C_word c,C_word *av) C_noret;
C_noret_decl(f_30573)
static void C_ccall f_30573(C_word c,C_word *av) C_noret;
C_noret_decl(f_30576)
static void C_ccall f_30576(C_word c,C_word *av) C_noret;
C_noret_decl(f_30579)
static void C_ccall f_30579(C_word c,C_word *av) C_noret;
C_noret_decl(f_30582)
static void C_ccall f_30582(C_word c,C_word *av) C_noret;
C_noret_decl(f_30585)
static void C_ccall f_30585(C_word c,C_word *av) C_noret;
C_noret_decl(f_30588)
static void C_fcall f_30588(C_word t0,C_word t1) C_noret;
C_noret_decl(f_30591)
static void C_fcall f_30591(C_word t0,C_word t1) C_noret;
C_noret_decl(f_30594)
static void C_fcall f_30594(C_word t0,C_word t1) C_noret;
C_noret_decl(f_30597)
static void C_fcall f_30597(C_word t0,C_word t1) C_noret;
C_noret_decl(f_30600)
static void C_fcall f_30600(C_word t0,C_word t1) C_noret;
C_noret_decl(f_30604)
static void C_ccall f_30604(C_word c,C_word *av) C_noret;
C_noret_decl(f_30607)
static void C_ccall f_30607(C_word c,C_word *av) C_noret;
C_noret_decl(f_30612)
static void C_ccall f_30612(C_word c,C_word *av) C_noret;
C_noret_decl(f_30618)
static void C_ccall f_30618(C_word c,C_word *av) C_noret;
C_noret_decl(f_30631)
static void C_ccall f_30631(C_word c,C_word *av) C_noret;
C_noret_decl(f_30633)
static void C_fcall f_30633(C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_30643)
static void C_ccall f_30643(C_word c,C_word *av) C_noret;
C_noret_decl(f_30656)
static void C_ccall f_30656(C_word c,C_word *av) C_noret;
C_noret_decl(f_30663)
static void C_ccall f_30663(C_word c,C_word *av) C_noret;
C_noret_decl(f_30667)
static void C_ccall f_30667(C_word c,C_word *av) C_noret;
C_noret_decl(f_30669)
static void C_fcall f_30669(C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_30698)
static void C_ccall f_30698(C_word c,C_word *av) C_noret;
C_noret_decl(f_30700)
static void C_fcall f_30700(C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_30725)
static void C_ccall f_30725(C_word c,C_word *av) C_noret;
C_noret_decl(f_30734)
static void C_ccall f_30734(C_word c,C_word *av) C_noret;
C_noret_decl(f_30737)
static void C_ccall f_30737(C_word c,C_word *av) C_noret;
C_noret_decl(f_30743)
static void C_fcall f_30743(C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_30767)
static void C_ccall f_30767(C_word c,C_word *av) C_noret;
C_noret_decl(f_30776)
static void C_ccall f_30776(C_word c,C_word *av) C_noret;
C_noret_decl(f_30784)
static void C_ccall f_30784(C_word c,C_word *av) C_noret;
C_noret_decl(f_30788)
static void C_ccall f_30788(C_word c,C_word *av) C_noret;
C_noret_decl(f_30792)
static void C_ccall f_30792(C_word c,C_word *av) C_noret;
C_noret_decl(f_30822)
static void C_ccall f_30822(C_word c,C_word *av) C_noret;
C_noret_decl(f_30826)
static void C_ccall f_30826(C_word c,C_word *av) C_noret;
C_noret_decl(f_30830)
static void C_ccall f_30830(C_word c,C_word *av) C_noret;
C_noret_decl(f_30834)
static void C_ccall f_30834(C_word c,C_word *av) C_noret;
C_noret_decl(f_30838)
static void C_ccall f_30838(C_word c,C_word *av) C_noret;
C_noret_decl(f_30842)
static void C_ccall f_30842(C_word c,C_word *av) C_noret;
C_noret_decl(f_30845)
static void C_ccall f_30845(C_word c,C_word *av) C_noret;
C_noret_decl(f_30848)
static void C_ccall f_30848(C_word c,C_word *av) C_noret;
C_noret_decl(f_30858)
static void C_ccall f_30858(C_word c,C_word *av) C_noret;
C_noret_decl(f_30861)
static void C_ccall f_30861(C_word c,C_word *av) C_noret;
C_noret_decl(f_30864)
static void C_ccall f_30864(C_word c,C_word *av) C_noret;
C_noret_decl(f_30884)
static void C_ccall f_30884(C_word c,C_word *av) C_noret;
C_noret_decl(f_30888)
static void C_ccall f_30888(C_word c,C_word *av) C_noret;
C_noret_decl(f_30892)
static void C_ccall f_30892(C_word c,C_word *av) C_noret;
C_noret_decl(f_30896)
static void C_ccall f_30896(C_word c,C_word *av) C_noret;
C_noret_decl(f_30900)
static void C_ccall f_30900(C_word c,C_word *av) C_noret;
C_noret_decl(f_30904)
static void C_ccall f_30904(C_word c,C_word *av) C_noret;
C_noret_decl(f_30908)
static void C_ccall f_30908(C_word c,C_word *av) C_noret;
C_noret_decl(f_30910)
static void C_ccall f_30910(C_word c,C_word *av) C_noret;
C_noret_decl(f_30919)
static void C_ccall f_30919(C_word c,C_word *av) C_noret;
C_noret_decl(f_30929)
static void C_ccall f_30929(C_word c,C_word *av) C_noret;
C_noret_decl(f_30954)
static void C_ccall f_30954(C_word c,C_word *av) C_noret;
C_noret_decl(f_30957)
static void C_ccall f_30957(C_word c,C_word *av) C_noret;
C_noret_decl(f_30959)
static void C_ccall f_30959(C_word c,C_word *av) C_noret;
C_noret_decl(f_30975)
static void C_fcall f_30975(C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_30994)
static void C_fcall f_30994(C_word t0,C_word t1) C_noret;
C_noret_decl(f_31004)
static void C_ccall f_31004(C_word c,C_word *av) C_noret;
C_noret_decl(f_31014)
static void C_ccall f_31014(C_word c,C_word *av) C_noret;
C_noret_decl(f_31038)
static void C_ccall f_31038(C_word c,C_word *av) C_noret;
C_noret_decl(f_31042)
static void C_ccall f_31042(C_word c,C_word *av) C_noret;
C_noret_decl(f_31044)
static void C_ccall f_31044(C_word c,C_word *av) C_noret;
C_noret_decl(f_31048)
static void C_ccall f_31048(C_word c,C_word *av) C_noret;
C_noret_decl(f_31051)
static void C_ccall f_31051(C_word c,C_word *av) C_noret;
C_noret_decl(f_31066)
static void C_ccall f_31066(C_word c,C_word *av) C_noret;
C_noret_decl(f_31072)
static void C_ccall f_31072(C_word c,C_word *av) C_noret;
C_noret_decl(f_31076)
static void C_ccall f_31076(C_word c,C_word *av) C_noret;
C_noret_decl(f_31085)
static void C_ccall f_31085(C_word c,C_word *av) C_noret;
C_noret_decl(f_31088)
static void C_ccall f_31088(C_word c,C_word *av) C_noret;
C_noret_decl(f_31091)
static void C_ccall f_31091(C_word c,C_word *av) C_noret;
C_noret_decl(f_31094)
static void C_ccall f_31094(C_word c,C_word *av) C_noret;
C_noret_decl(f_31097)
static void C_ccall f_31097(C_word c,C_word *av) C_noret;
C_noret_decl(f_31103)
static void C_ccall f_31103(C_word c,C_word *av) C_noret;
C_noret_decl(f_31109)
static void C_ccall f_31109(C_word c,C_word *av) C_noret;
C_noret_decl(f_31112)
static void C_ccall f_31112(C_word c,C_word *av) C_noret;
C_noret_decl(f_31117)
static void C_ccall f_31117(C_word c,C_word *av) C_noret;
C_noret_decl(f_31127)
static void C_ccall f_31127(C_word c,C_word *av) C_noret;
C_noret_decl(f_31139)
static void C_ccall f_31139(C_word c,C_word *av) C_noret;
C_noret_decl(f_31147)
static void C_fcall f_31147(C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_31157)
static void C_ccall f_31157(C_word c,C_word *av) C_noret;
C_noret_decl(f_31173)
static void C_ccall f_31173(C_word c,C_word *av) C_noret;
C_noret_decl(f_31179)
static void C_ccall f_31179(C_word c,C_word *av) C_noret;
C_noret_decl(f_31182)
static void C_ccall f_31182(C_word c,C_word *av) C_noret;
C_noret_decl(f_31185)
static void C_ccall f_31185(C_word c,C_word *av) C_noret;
C_noret_decl(f_31186)
static void C_fcall f_31186(C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_31190)
static void C_ccall f_31190(C_word c,C_word *av) C_noret;
C_noret_decl(f_31196)
static void C_ccall f_31196(C_word c,C_word *av) C_noret;
C_noret_decl(f_31200)
static void C_ccall f_31200(C_word c,C_word *av) C_noret;
C_noret_decl(f_31202)
static void C_fcall f_31202(C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_31212)
static void C_ccall f_31212(C_word c,C_word *av) C_noret;
C_noret_decl(f_31229)
static void C_ccall f_31229(C_word c,C_word *av) C_noret;
C_noret_decl(f_31232)
static void C_ccall f_31232(C_word c,C_word *av) C_noret;
C_noret_decl(f_31236)
static void C_ccall f_31236(C_word c,C_word *av) C_noret;
C_noret_decl(f_31241)
static void C_ccall f_31241(C_word c,C_word *av) C_noret;
C_noret_decl(f_31247)
static void C_ccall f_31247(C_word c,C_word *av) C_noret;
C_noret_decl(f_31254)
static void C_ccall f_31254(C_word c,C_word *av) C_noret;
C_noret_decl(f_31263)
static void C_ccall f_31263(C_word c,C_word *av) C_noret;
C_noret_decl(f_31271)
static void C_ccall f_31271(C_word c,C_word *av) C_noret;
C_noret_decl(f_31296)
static void C_ccall f_31296(C_word c,C_word *av) C_noret;
C_noret_decl(f_31314)
static void C_ccall f_31314(C_word c,C_word *av) C_noret;
C_noret_decl(f_31318)
static void C_ccall f_31318(C_word c,C_word *av) C_noret;
C_noret_decl(f_31333)
static void C_ccall f_31333(C_word c,C_word *av) C_noret;
C_noret_decl(f_31337)
static void C_ccall f_31337(C_word c,C_word *av) C_noret;
C_noret_decl(f_31352)
static void C_ccall f_31352(C_word c,C_word *av) C_noret;
C_noret_decl(f_31355)
static void C_ccall f_31355(C_word c,C_word *av) C_noret;
C_noret_decl(f_31358)
static void C_ccall f_31358(C_word c,C_word *av) C_noret;
C_noret_decl(f_31368)
static void C_fcall f_31368(C_word t0,C_word t1) C_noret;
C_noret_decl(f_31399)
static void C_ccall f_31399(C_word c,C_word *av) C_noret;
C_noret_decl(f_31423)
static void C_ccall f_31423(C_word c,C_word *av) C_noret;
C_noret_decl(f_31433)
static void C_ccall f_31433(C_word c,C_word *av) C_noret;
C_noret_decl(f_31442)
static void C_ccall f_31442(C_word c,C_word *av) C_noret;
C_noret_decl(f_31483)
static void C_ccall f_31483(C_word c,C_word *av) C_noret;
C_noret_decl(f_31502)
static void C_ccall f_31502(C_word c,C_word *av) C_noret;
C_noret_decl(f_31515)
static void C_ccall f_31515(C_word c,C_word *av) C_noret;
C_noret_decl(f_31525)
static void C_ccall f_31525(C_word c,C_word *av) C_noret;
C_noret_decl(f_31535)
static void C_ccall f_31535(C_word c,C_word *av) C_noret;
C_noret_decl(f_31545)
static void C_ccall f_31545(C_word c,C_word *av) C_noret;
C_noret_decl(f_31555)
static void C_ccall f_31555(C_word c,C_word *av) C_noret;
C_noret_decl(f_31565)
static void C_ccall f_31565(C_word c,C_word *av) C_noret;
C_noret_decl(f_31575)
static void C_ccall f_31575(C_word c,C_word *av) C_noret;
C_noret_decl(f_31585)
static void C_ccall f_31585(C_word c,C_word *av) C_noret;
C_noret_decl(f_31595)
static void C_ccall f_31595(C_word c,C_word *av) C_noret;
C_noret_decl(f_31605)
static void C_ccall f_31605(C_word c,C_word *av) C_noret;
C_noret_decl(f_31615)
static void C_ccall f_31615(C_word c,C_word *av) C_noret;
C_noret_decl(f_31625)
static void C_ccall f_31625(C_word c,C_word *av) C_noret;
C_noret_decl(f_31635)
static void C_ccall f_31635(C_word c,C_word *av) C_noret;
C_noret_decl(f_31645)
static void C_ccall f_31645(C_word c,C_word *av) C_noret;
C_noret_decl(f_31661)
static void C_ccall f_31661(C_word c,C_word *av) C_noret;
C_noret_decl(f_31669)
static void C_ccall f_31669(C_word c,C_word *av) C_noret;
C_noret_decl(f_31685)
static void C_ccall f_31685(C_word c,C_word *av) C_noret;
C_noret_decl(f_31701)
static void C_ccall f_31701(C_word c,C_word *av) C_noret;
C_noret_decl(f_31711)
static void C_ccall f_31711(C_word c,C_word *av) C_noret;
C_noret_decl(f_31721)
static void C_ccall f_31721(C_word c,C_word *av) C_noret;
C_noret_decl(f_31740)
static void C_ccall f_31740(C_word c,C_word *av) C_noret;
C_noret_decl(f_31756)
static void C_ccall f_31756(C_word c,C_word *av) C_noret;
C_noret_decl(f_31769)
static void C_ccall f_31769(C_word c,C_word *av) C_noret;
C_noret_decl(f_31775)
static void C_ccall f_31775(C_word c,C_word *av) C_noret;
C_noret_decl(f_31798)
static void C_ccall f_31798(C_word c,C_word *av) C_noret;
C_noret_decl(f_31802)
static void C_ccall f_31802(C_word c,C_word *av) C_noret;
C_noret_decl(f_31806)
static void C_ccall f_31806(C_word c,C_word *av) C_noret;
C_noret_decl(f_31809)
static void C_ccall f_31809(C_word c,C_word *av) C_noret;
C_noret_decl(f_31815)
static void C_ccall f_31815(C_word c,C_word *av) C_noret;
C_noret_decl(f_31838)
static void C_ccall f_31838(C_word c,C_word *av) C_noret;
C_noret_decl(f_31842)
static void C_ccall f_31842(C_word c,C_word *av) C_noret;
C_noret_decl(f_31846)
static void C_ccall f_31846(C_word c,C_word *av) C_noret;
C_noret_decl(f_31849)
static void C_ccall f_31849(C_word c,C_word *av) C_noret;
C_noret_decl(f_31852)
static void C_ccall f_31852(C_word c,C_word *av) C_noret;
C_noret_decl(f_31855)
static void C_ccall f_31855(C_word c,C_word *av) C_noret;
C_noret_decl(f_31861)
static void C_ccall f_31861(C_word c,C_word *av) C_noret;
C_noret_decl(f_31864)
static void C_ccall f_31864(C_word c,C_word *av) C_noret;
C_noret_decl(f_31867)
static void C_ccall f_31867(C_word c,C_word *av) C_noret;
C_noret_decl(f_31875)
static void C_fcall f_31875(C_word t0,C_word t1) C_noret;
C_noret_decl(f_31877)
static void C_fcall f_31877(C_word t0,C_word t1,C_word t2,C_word t3,C_word t4) C_noret;
C_noret_decl(f_31901)
static void C_ccall f_31901(C_word c,C_word *av) C_noret;
C_noret_decl(f_31924)
static void C_ccall f_31924(C_word c,C_word *av) C_noret;
C_noret_decl(f_31928)
static void C_ccall f_31928(C_word c,C_word *av) C_noret;
C_noret_decl(f_31932)
static void C_ccall f_31932(C_word c,C_word *av) C_noret;
C_noret_decl(f_31966)
static void C_ccall f_31966(C_word c,C_word *av) C_noret;
C_noret_decl(f_31970)
static void C_ccall f_31970(C_word c,C_word *av) C_noret;
C_noret_decl(f_31973)
static void C_fcall f_31973(C_word t0,C_word t1) C_noret;
C_noret_decl(f_31986)
static void C_fcall f_31986(C_word t0,C_word t1,C_word t2,C_word t3,C_word t4,C_word t5,C_word t6) C_noret;
C_noret_decl(f_32019)
static void C_ccall f_32019(C_word c,C_word *av) C_noret;
C_noret_decl(f_32034)
static void C_ccall f_32034(C_word c,C_word *av) C_noret;
C_noret_decl(f_32038)
static void C_ccall f_32038(C_word c,C_word *av) C_noret;
C_noret_decl(f_32062)
static void C_ccall f_32062(C_word c,C_word *av) C_noret;
C_noret_decl(f_32070)
static void C_ccall f_32070(C_word c,C_word *av) C_noret;
C_noret_decl(f_32074)
static void C_ccall f_32074(C_word c,C_word *av) C_noret;
C_noret_decl(f_32085)
static void C_ccall f_32085(C_word c,C_word *av) C_noret;
C_noret_decl(f_32089)
static void C_ccall f_32089(C_word c,C_word *av) C_noret;
C_noret_decl(f_32093)
static void C_ccall f_32093(C_word c,C_word *av) C_noret;
C_noret_decl(f_32107)
static void C_ccall f_32107(C_word c,C_word *av) C_noret;
C_noret_decl(f_32139)
static void C_ccall f_32139(C_word c,C_word *av) C_noret;
C_noret_decl(f_8492)
static void C_ccall f_8492(C_word c,C_word *av) C_noret;
C_noret_decl(f_8494)
static void C_ccall f_8494(C_word c,C_word *av) C_noret;
C_noret_decl(f_8497)
static void C_ccall f_8497(C_word c,C_word *av) C_noret;
C_noret_decl(f_8500)
static void C_ccall f_8500(C_word c,C_word *av) C_noret;
C_noret_decl(f_8503)
static void C_ccall f_8503(C_word c,C_word *av) C_noret;
C_noret_decl(f_8506)
static void C_ccall f_8506(C_word c,C_word *av) C_noret;
C_noret_decl(f_8509)
static void C_ccall f_8509(C_word c,C_word *av) C_noret;
C_noret_decl(f_8512)
static void C_ccall f_8512(C_word c,C_word *av) C_noret;
C_noret_decl(f_8515)
static void C_ccall f_8515(C_word c,C_word *av) C_noret;
C_noret_decl(f_8518)
static void C_ccall f_8518(C_word c,C_word *av) C_noret;
C_noret_decl(f_8521)
static void C_ccall f_8521(C_word c,C_word *av) C_noret;
C_noret_decl(f_8524)
static void C_ccall f_8524(C_word c,C_word *av) C_noret;
C_noret_decl(f_8527)
static void C_ccall f_8527(C_word c,C_word *av) C_noret;
C_noret_decl(f_8530)
static void C_ccall f_8530(C_word c,C_word *av) C_noret;
C_noret_decl(f_8533)
static void C_ccall f_8533(C_word c,C_word *av) C_noret;
C_noret_decl(f_8536)
static void C_ccall f_8536(C_word c,C_word *av) C_noret;
C_noret_decl(f_8539)
static void C_ccall f_8539(C_word c,C_word *av) C_noret;
C_noret_decl(f_8542)
static void C_ccall f_8542(C_word c,C_word *av) C_noret;
C_noret_decl(f_8545)
static void C_ccall f_8545(C_word c,C_word *av) C_noret;
C_noret_decl(f_8548)
static void C_ccall f_8548(C_word c,C_word *av) C_noret;
C_noret_decl(f_8562)
static void C_ccall f_8562(C_word c,C_word *av) C_noret;
C_noret_decl(f_8569)
static void C_ccall f_8569(C_word c,C_word *av) C_noret;
C_noret_decl(f_8576)
static void C_ccall f_8576(C_word c,C_word *av) C_noret;
C_noret_decl(f_8590)
static void C_ccall f_8590(C_word c,C_word *av) C_noret;
C_noret_decl(f_8597)
static void C_ccall f_8597(C_word c,C_word *av) C_noret;
C_noret_decl(f_8611)
static void C_ccall f_8611(C_word c,C_word *av) C_noret;
C_noret_decl(f_8625)
static void C_ccall f_8625(C_word c,C_word *av) C_noret;
C_noret_decl(f_8643)
static void C_ccall f_8643(C_word c,C_word *av) C_noret;
C_noret_decl(f_8654)
static void C_ccall f_8654(C_word c,C_word *av) C_noret;
C_noret_decl(f_8665)
static void C_ccall f_8665(C_word c,C_word *av) C_noret;
C_noret_decl(f_8672)
static void C_ccall f_8672(C_word c,C_word *av) C_noret;
C_noret_decl(f_8683)
static void C_ccall f_8683(C_word c,C_word *av) C_noret;
C_noret_decl(f_8687)
static void C_ccall f_8687(C_word c,C_word *av) C_noret;
C_noret_decl(f_8694)
static void C_ccall f_8694(C_word c,C_word *av) C_noret;
C_noret_decl(f_8712)
static void C_ccall f_8712(C_word c,C_word *av) C_noret;
C_noret_decl(f_8723)
static void C_ccall f_8723(C_word c,C_word *av) C_noret;
C_noret_decl(f_8734)
static void C_ccall f_8734(C_word c,C_word *av) C_noret;
C_noret_decl(f_8741)
static void C_ccall f_8741(C_word c,C_word *av) C_noret;
C_noret_decl(f_8759)
static void C_ccall f_8759(C_word c,C_word *av) C_noret;
C_noret_decl(f_8770)
static void C_ccall f_8770(C_word c,C_word *av) C_noret;
C_noret_decl(f_8788)
static void C_ccall f_8788(C_word c,C_word *av) C_noret;
C_noret_decl(f_8794)
static void C_ccall f_8794(C_word c,C_word *av) C_noret;
C_noret_decl(f_8797)
static void C_ccall f_8797(C_word c,C_word *av) C_noret;
C_noret_decl(f_8800)
static void C_ccall f_8800(C_word c,C_word *av) C_noret;
C_noret_decl(f_8803)
static void C_ccall f_8803(C_word c,C_word *av) C_noret;
C_noret_decl(f_8806)
static void C_ccall f_8806(C_word c,C_word *av) C_noret;
C_noret_decl(f_8812)
static void C_fcall f_8812(C_word t0,C_word t1,C_word t2,C_word t3) C_noret;
C_noret_decl(f_8845)
static void C_ccall f_8845(C_word c,C_word *av) C_noret;
C_noret_decl(f_8848)
static void C_ccall f_8848(C_word c,C_word *av) C_noret;
C_noret_decl(f_8851)
static void C_ccall f_8851(C_word c,C_word *av) C_noret;
C_noret_decl(f_8854)
static void C_ccall f_8854(C_word c,C_word *av) C_noret;
C_noret_decl(f_8857)
static void C_ccall f_8857(C_word c,C_word *av) C_noret;
C_noret_decl(f_8860)
static void C_ccall f_8860(C_word c,C_word *av) C_noret;
C_noret_decl(f_8863)
static void C_ccall f_8863(C_word c,C_word *av) C_noret;
C_noret_decl(f_8866)
static void C_ccall f_8866(C_word c,C_word *av) C_noret;
C_noret_decl(f_8869)
static void C_ccall f_8869(C_word c,C_word *av) C_noret;
C_noret_decl(f_8872)
static void C_ccall f_8872(C_word c,C_word *av) C_noret;
C_noret_decl(f_8875)
static void C_ccall f_8875(C_word c,C_word *av) C_noret;
C_noret_decl(f_8878)
static void C_ccall f_8878(C_word c,C_word *av) C_noret;
C_noret_decl(f_8881)
static void C_ccall f_8881(C_word c,C_word *av) C_noret;
C_noret_decl(f_8885)
static void C_ccall f_8885(C_word c,C_word *av) C_noret;
C_noret_decl(f_8888)
static void C_ccall f_8888(C_word c,C_word *av) C_noret;
C_noret_decl(f_8894)
static void C_ccall f_8894(C_word c,C_word *av) C_noret;
C_noret_decl(f_8897)
static void C_ccall f_8897(C_word c,C_word *av) C_noret;
C_noret_decl(f_8900)
static void C_ccall f_8900(C_word c,C_word *av) C_noret;
C_noret_decl(f_8903)
static void C_ccall f_8903(C_word c,C_word *av) C_noret;
C_noret_decl(f_8906)
static void C_ccall f_8906(C_word c,C_word *av) C_noret;
C_noret_decl(f_8914)
static void C_ccall f_8914(C_word c,C_word *av) C_noret;
C_noret_decl(f_8918)
static void C_ccall f_8918(C_word c,C_word *av) C_noret;
C_noret_decl(f_8921)
static void C_ccall f_8921(C_word c,C_word *av) C_noret;
C_noret_decl(f_8924)
static void C_ccall f_8924(C_word c,C_word *av) C_noret;
C_noret_decl(f_8927)
static void C_ccall f_8927(C_word c,C_word *av) C_noret;
C_noret_decl(f_8930)
static void C_ccall f_8930(C_word c,C_word *av) C_noret;
C_noret_decl(f_8933)
static void C_ccall f_8933(C_word c,C_word *av) C_noret;
C_noret_decl(f_8936)
static void C_ccall f_8936(C_word c,C_word *av) C_noret;
C_noret_decl(f_8939)
static void C_ccall f_8939(C_word c,C_word *av) C_noret;
C_noret_decl(f_8943)
static void C_ccall f_8943(C_word c,C_word *av) C_noret;
C_noret_decl(f_8946)
static void C_ccall f_8946(C_word c,C_word *av) C_noret;
C_noret_decl(f_8949)
static void C_ccall f_8949(C_word c,C_word *av) C_noret;
C_noret_decl(f_8952)
static void C_ccall f_8952(C_word c,C_word *av) C_noret;
C_noret_decl(f_8955)
static void C_ccall f_8955(C_word c,C_word *av) C_noret;
C_noret_decl(f_8963)
static void C_ccall f_8963(C_word c,C_word *av) C_noret;
C_noret_decl(f_8966)
static void C_ccall f_8966(C_word c,C_word *av) C_noret;
C_noret_decl(f_8973)
static void C_ccall f_8973(C_word c,C_word *av) C_noret;
C_noret_decl(f_8977)
static void C_ccall f_8977(C_word c,C_word *av) C_noret;
C_noret_decl(f_8980)
static void C_ccall f_8980(C_word c,C_word *av) C_noret;
C_noret_decl(f_8983)
static void C_ccall f_8983(C_word c,C_word *av) C_noret;
C_noret_decl(f_8986)
static void C_ccall f_8986(C_word c,C_word *av) C_noret;
C_noret_decl(f_8989)
static void C_ccall f_8989(C_word c,C_word *av) C_noret;
C_noret_decl(f_8992)
static void C_ccall f_8992(C_word c,C_word *av) C_noret;
C_noret_decl(f_8995)
static void C_ccall f_8995(C_word c,C_word *av) C_noret;
C_noret_decl(f_9001)
static void C_ccall f_9001(C_word c,C_word *av) C_noret;
C_noret_decl(f_9012)
static void C_ccall f_9012(C_word c,C_word *av) C_noret;
C_noret_decl(f_9018)
static void C_ccall f_9018(C_word c,C_word *av) C_noret;
C_noret_decl(f_9024)
static void C_ccall f_9024(C_word c,C_word *av) C_noret;
C_noret_decl(f_9030)
static void C_ccall f_9030(C_word c,C_word *av) C_noret;
C_noret_decl(f_9036)
static void C_ccall f_9036(C_word c,C_word *av) C_noret;
C_noret_decl(f_9042)
static void C_ccall f_9042(C_word c,C_word *av) C_noret;
C_noret_decl(f_9049)
static void C_ccall f_9049(C_word c,C_word *av) C_noret;
C_noret_decl(f_9055)
static void C_ccall f_9055(C_word c,C_word *av) C_noret;
C_noret_decl(f_9071)
static void C_ccall f_9071(C_word c,C_word *av) C_noret;
C_noret_decl(f_9082)
static void C_ccall f_9082(C_word c,C_word *av) C_noret;
C_noret_decl(f_9088)
static void C_ccall f_9088(C_word c,C_word *av) C_noret;
C_noret_decl(f_9094)
static void C_ccall f_9094(C_word c,C_word *av) C_noret;
C_noret_decl(f_9100)
static void C_ccall f_9100(C_word c,C_word *av) C_noret;
C_noret_decl(f_9106)
static void C_ccall f_9106(C_word c,C_word *av) C_noret;
C_noret_decl(f_9115)
static void C_ccall f_9115(C_word c,C_word *av) C_noret;
C_noret_decl(f_9118)
static void C_ccall f_9118(C_word c,C_word *av) C_noret;
C_noret_decl(f_9121)
static void C_ccall f_9121(C_word c,C_word *av) C_noret;
C_noret_decl(f_9124)
static void C_ccall f_9124(C_word c,C_word *av) C_noret;
C_noret_decl(f_9127)
static void C_ccall f_9127(C_word c,C_word *av) C_noret;
C_noret_decl(f_9130)
static void C_ccall f_9130(C_word c,C_word *av) C_noret;
C_noret_decl(f_9134)
static void C_ccall f_9134(C_word c,C_word *av) C_noret;
C_noret_decl(f_9140)
static void C_ccall f_9140(C_word c,C_word *av) C_noret;
C_noret_decl(f_9146)
static void C_ccall f_9146(C_word c,C_word *av) C_noret;
C_noret_decl(f_9179)
static void C_ccall f_9179(C_word c,C_word *av) C_noret;
C_noret_decl(f_9182)
static void C_ccall f_9182(C_word c,C_word *av) C_noret;
C_noret_decl(f_9185)
static void C_ccall f_9185(C_word c,C_word *av) C_noret;
C_noret_decl(f_9193)
static void C_ccall f_9193(C_word c,C_word *av) C_noret;
C_noret_decl(f_9198)
static void C_ccall f_9198(C_word c,C_word *av) C_noret;
C_noret_decl(f_9204)
static void C_ccall f_9204(C_word c,C_word *av) C_noret;
C_noret_decl(f_9219)
static void C_ccall f_9219(C_word c,C_word *av) C_noret;
C_noret_decl(f_9240)
static void C_ccall f_9240(C_word c,C_word *av) C_noret;
C_noret_decl(f_9246)
static void C_ccall f_9246(C_word c,C_word *av) C_noret;
C_noret_decl(f_9252)
static void C_ccall f_9252(C_word c,C_word *av) C_noret;
C_noret_decl(f_9259)
static void C_ccall f_9259(C_word c,C_word *av) C_noret;
C_noret_decl(f_9264)
static void C_ccall f_9264(C_word c,C_word *av) C_noret;
C_noret_decl(f_9267)
static void C_ccall f_9267(C_word c,C_word *av) C_noret;
C_noret_decl(f_9276)
static void C_fcall f_9276(C_word t0,C_word t1,C_word t2,C_word t3) C_noret;
C_noret_decl(f_9294)
static void C_ccall f_9294(C_word c,C_word *av) C_noret;
C_noret_decl(f_9304)
static void C_ccall f_9304(C_word c,C_word *av) C_noret;
C_noret_decl(f_9313)
static void C_fcall f_9313(C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_9331)
static void C_ccall f_9331(C_word c,C_word *av) C_noret;
C_noret_decl(f_9344)
static void C_ccall f_9344(C_word c,C_word *av) C_noret;
C_noret_decl(f_9351)
static void C_ccall f_9351(C_word c,C_word *av) C_noret;
C_noret_decl(f_9358)
static void C_ccall f_9358(C_word c,C_word *av) C_noret;
C_noret_decl(f_9369)
static void C_ccall f_9369(C_word c,C_word *av) C_noret;
C_noret_decl(f_9376)
static void C_ccall f_9376(C_word c,C_word *av) C_noret;
C_noret_decl(f_9388)
static void C_ccall f_9388(C_word c,C_word *av) C_noret;
C_noret_decl(f_9391)
static void C_ccall f_9391(C_word c,C_word *av) C_noret;
C_noret_decl(f_9393)
static void C_ccall f_9393(C_word c,C_word *av) C_noret;
C_noret_decl(f_9399)
static void C_fcall f_9399(C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_9415)
static void C_ccall f_9415(C_word c,C_word *av) C_noret;
C_noret_decl(f_9424)
static void C_ccall f_9424(C_word c,C_word *av) C_noret;
C_noret_decl(f_9426)
static void C_ccall f_9426(C_word c,C_word *av) C_noret;
C_noret_decl(f_9432)
static void C_fcall f_9432(C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_9445)
static void C_ccall f_9445(C_word c,C_word *av) C_noret;
C_noret_decl(f_9461)
static void C_ccall f_9461(C_word c,C_word *av) C_noret;
C_noret_decl(f_9472)
static void C_ccall f_9472(C_word c,C_word *av) C_noret;
C_noret_decl(f_9474)
static void C_ccall f_9474(C_word c,C_word *av) C_noret;
C_noret_decl(f_9482)
static void C_ccall f_9482(C_word c,C_word *av) C_noret;
C_noret_decl(f_9484)
static void C_ccall f_9484(C_word c,C_word *av) C_noret;
C_noret_decl(f_9490)
static void C_ccall f_9490(C_word c,C_word *av) C_noret;
C_noret_decl(f_9492)
static void C_ccall f_9492(C_word c,C_word *av) C_noret;
C_noret_decl(f_9500)
static void C_ccall f_9500(C_word c,C_word *av) C_noret;
C_noret_decl(f_9502)
static void C_ccall f_9502(C_word c,C_word *av) C_noret;
C_noret_decl(f_9505)
static void C_ccall f_9505(C_word c,C_word *av) C_noret;
C_noret_decl(f_9513)
static void C_ccall f_9513(C_word c,C_word *av) C_noret;
C_noret_decl(f_9519)
static void C_ccall f_9519(C_word c,C_word *av) C_noret;
C_noret_decl(f_9527)
static void C_ccall f_9527(C_word c,C_word *av) C_noret;
C_noret_decl(f_9538)
static void C_ccall f_9538(C_word c,C_word *av) C_noret;
C_noret_decl(f_9550)
static void C_fcall f_9550(C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_9564)
static void C_ccall f_9564(C_word c,C_word *av) C_noret;
C_noret_decl(f_9572)
static void C_ccall f_9572(C_word c,C_word *av) C_noret;
C_noret_decl(f_9575)
static void C_ccall f_9575(C_word c,C_word *av) C_noret;
C_noret_decl(f_9577)
static void C_ccall f_9577(C_word c,C_word *av) C_noret;
C_noret_decl(f_9579)
static void C_ccall f_9579(C_word c,C_word *av) C_noret;
C_noret_decl(f_9585)
static void C_fcall f_9585(C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_9604)
static void C_ccall f_9604(C_word c,C_word *av) C_noret;
C_noret_decl(f_9621)
static void C_ccall f_9621(C_word c,C_word *av) C_noret;
C_noret_decl(f_9629)
static void C_ccall f_9629(C_word c,C_word *av) C_noret;
C_noret_decl(f_9643)
static void C_ccall f_9643(C_word c,C_word *av) C_noret;
C_noret_decl(f_9649)
static void C_fcall f_9649(C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_9668)
static void C_ccall f_9668(C_word c,C_word *av) C_noret;
C_noret_decl(f_9677)
static void C_ccall f_9677(C_word c,C_word *av) C_noret;
C_noret_decl(f_9680)
static void C_ccall f_9680(C_word c,C_word *av) C_noret;
C_noret_decl(f_9692)
static C_word C_fcall f_9692(C_word t0,C_word t1);
C_noret_decl(f_9708)
static void C_ccall f_9708(C_word c,C_word *av) C_noret;
C_noret_decl(f_9714)
static void C_fcall f_9714(C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_9739)
static void C_ccall f_9739(C_word c,C_word *av) C_noret;
C_noret_decl(f_9741)
static void C_ccall f_9741(C_word c,C_word *av) C_noret;
C_noret_decl(f_9750)
static void C_fcall f_9750(C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_9771)
static void C_ccall f_9771(C_word c,C_word *av) C_noret;
C_noret_decl(f_9773)
static void C_ccall f_9773(C_word c,C_word *av) C_noret;
C_noret_decl(f_9779)
static void C_fcall f_9779(C_word t0,C_word t1,C_word t2,C_word t3) C_noret;
C_noret_decl(f_9805)
static void C_ccall f_9805(C_word c,C_word *av) C_noret;
C_noret_decl(f_9812)
static void C_ccall f_9812(C_word c,C_word *av) C_noret;
C_noret_decl(f_9814)
static void C_ccall f_9814(C_word c,C_word *av) C_noret;
C_noret_decl(f_9818)
static void C_fcall f_9818(C_word t0,C_word t1) C_noret;
C_noret_decl(f_9826)
static void C_fcall f_9826(C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_9861)
static void C_ccall f_9861(C_word c,C_word *av) C_noret;
C_noret_decl(f_9871)
static void C_ccall f_9871(C_word c,C_word *av) C_noret;
C_noret_decl(f_9880)
static void C_fcall f_9880(C_word t0,C_word t1,C_word t2,C_word t3) C_noret;
C_noret_decl(f_9922)
static void C_ccall f_9922(C_word c,C_word *av) C_noret;
C_noret_decl(f_9951)
static void C_ccall f_9951(C_word c,C_word *av) C_noret;
C_noret_decl(f_9958)
static void C_fcall f_9958(C_word t0,C_word t1) C_noret;
C_noret_decl(f_9961)
static void C_ccall f_9961(C_word c,C_word *av) C_noret;
C_noret_decl(f_9990)
static void C_ccall f_9990(C_word c,C_word *av) C_noret;
C_noret_decl(f_9996)
static void C_fcall f_9996(C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(C_library_toplevel)
C_externexport void C_ccall C_library_toplevel(C_word c,C_word *av) C_noret;

C_noret_decl(trf_10046)
static void C_ccall trf_10046(C_word c,C_word *av) C_noret;
static void C_ccall trf_10046(C_word c,C_word *av){
C_word t0=av[2];
C_word t1=av[1];
C_word t2=av[0];
f_10046(t0,t1,t2);}

C_noret_decl(trf_10157)
static void C_ccall trf_10157(C_word c,C_word *av) C_noret;
static void C_ccall trf_10157(C_word c,C_word *av){
C_word t0=av[1];
C_word t1=av[0];
f_10157(t0,t1);}

C_noret_decl(trf_10188)
static void C_ccall trf_10188(C_word c,C_word *av) C_noret;
static void C_ccall trf_10188(C_word c,C_word *av){
C_word t0=av[2];
C_word t1=av[1];
C_word t2=av[0];
f_10188(t0,t1,t2);}

C_noret_decl(trf_10260)
static void C_ccall trf_10260(C_word c,C_word *av) C_noret;
static void C_ccall trf_10260(C_word c,C_word *av){
C_word t0=av[1];
C_word t1=av[0];
f_10260(t0,t1);}

C_noret_decl(trf_10265)
static void C_ccall trf_10265(C_word c,C_word *av) C_noret;
static void C_ccall trf_10265(C_word c,C_word *av){
C_word t0=av[2];
C_word t1=av[1];
C_word t2=av[0];
f_10265(t0,t1,t2);}

C_noret_decl(trf_10859)
static void C_ccall trf_10859(C_word c,C_word *av) C_noret;
static void C_ccall trf_10859(C_word c,C_word *av){
C_word t0=av[3];
C_word t1=av[2];
C_word t2=av[1];
C_word t3=av[0];
f_10859(t0,t1,t2,t3);}

C_noret_decl(trf_10908)
static void C_ccall trf_10908(C_word c,C_word *av) C_noret;
static void C_ccall trf_10908(C_word c,C_word *av){
C_word t0=av[1];
C_word t1=av[0];
f_10908(t0,t1);}

C_noret_decl(trf_11115)
static void C_ccall trf_11115(C_word c,C_word *av) C_noret;
static void C_ccall trf_11115(C_word c,C_word *av){
C_word t0=av[2];
C_word t1=av[1];
C_word t2=av[0];
f_11115(t0,t1,t2);}

C_noret_decl(trf_11134)
static void C_ccall trf_11134(C_word c,C_word *av) C_noret;
static void C_ccall trf_11134(C_word c,C_word *av){
C_word t0=av[2];
C_word t1=av[1];
C_word t2=av[0];
f_11134(t0,t1,t2);}

C_noret_decl(trf_11188)
static void C_ccall trf_11188(C_word c,C_word *av) C_noret;
static void C_ccall trf_11188(C_word c,C_word *av){
C_word t0=av[3];
C_word t1=av[2];
C_word t2=av[1];
C_word t3=av[0];
f_11188(t0,t1,t2,t3);}

C_noret_decl(trf_11284)
static void C_ccall trf_11284(C_word c,C_word *av) C_noret;
static void C_ccall trf_11284(C_word c,C_word *av){
C_word t0=av[3];
C_word t1=av[2];
C_word t2=av[1];
C_word t3=av[0];
f_11284(t0,t1,t2,t3);}

C_noret_decl(trf_11442)
static void C_ccall trf_11442(C_word c,C_word *av) C_noret;
static void C_ccall trf_11442(C_word c,C_word *av){
C_word t0=av[1];
C_word t1=av[0];
f_11442(t0,t1);}

C_noret_decl(trf_11451)
static void C_ccall trf_11451(C_word c,C_word *av) C_noret;
static void C_ccall trf_11451(C_word c,C_word *av){
C_word t0=av[1];
C_word t1=av[0];
f_11451(t0,t1);}

C_noret_decl(trf_11734)
static void C_ccall trf_11734(C_word c,C_word *av) C_noret;
static void C_ccall trf_11734(C_word c,C_word *av){
C_word t0=av[3];
C_word t1=av[2];
C_word t2=av[1];
C_word t3=av[0];
f_11734(t0,t1,t2,t3);}

C_noret_decl(trf_11823)
static void C_ccall trf_11823(C_word c,C_word *av) C_noret;
static void C_ccall trf_11823(C_word c,C_word *av){
C_word t0=av[3];
C_word t1=av[2];
C_word t2=av[1];
C_word t3=av[0];
f_11823(t0,t1,t2,t3);}

C_noret_decl(trf_11844)
static void C_ccall trf_11844(C_word c,C_word *av) C_noret;
static void C_ccall trf_11844(C_word c,C_word *av){
C_word t0=av[4];
C_word t1=av[3];
C_word t2=av[2];
C_word t3=av[1];
C_word t4=av[0];
f_11844(t0,t1,t2,t3,t4);}

C_noret_decl(trf_12573)
static void C_ccall trf_12573(C_word c,C_word *av) C_noret;
static void C_ccall trf_12573(C_word c,C_word *av){
C_word t0=av[2];
C_word t1=av[1];
C_word t2=av[0];
f_12573(t0,t1,t2);}

C_noret_decl(trf_12746)
static void C_ccall trf_12746(C_word c,C_word *av) C_noret;
static void C_ccall trf_12746(C_word c,C_word *av){
C_word t0=av[2];
C_word t1=av[1];
C_word t2=av[0];
f_12746(t0,t1,t2);}

C_noret_decl(trf_12925)
static void C_ccall trf_12925(C_word c,C_word *av) C_noret;
static void C_ccall trf_12925(C_word c,C_word *av){
C_word t0=av[3];
C_word t1=av[2];
C_word t2=av[1];
C_word t3=av[0];
f_12925(t0,t1,t2,t3);}

C_noret_decl(trf_12942)
static void C_ccall trf_12942(C_word c,C_word *av) C_noret;
static void C_ccall trf_12942(C_word c,C_word *av){
C_word t0=av[3];
C_word t1=av[2];
C_word t2=av[1];
C_word t3=av[0];
f_12942(t0,t1,t2,t3);}

C_noret_decl(trf_13105)
static void C_ccall trf_13105(C_word c,C_word *av) C_noret;
static void C_ccall trf_13105(C_word c,C_word *av){
C_word t0=av[3];
C_word t1=av[2];
C_word t2=av[1];
C_word t3=av[0];
f_13105(t0,t1,t2,t3);}

C_noret_decl(trf_13143)
static void C_ccall trf_13143(C_word c,C_word *av) C_noret;
static void C_ccall trf_13143(C_word c,C_word *av){
C_word t0=av[1];
C_word t1=av[0];
f_13143(t0,t1);}

C_noret_decl(trf_13537)
static void C_ccall trf_13537(C_word c,C_word *av) C_noret;
static void C_ccall trf_13537(C_word c,C_word *av){
C_word t0=av[2];
C_word t1=av[1];
C_word t2=av[0];
f_13537(t0,t1,t2);}

C_noret_decl(trf_13540)
static void C_ccall trf_13540(C_word c,C_word *av) C_noret;
static void C_ccall trf_13540(C_word c,C_word *av){
C_word t0=av[3];
C_word t1=av[2];
C_word t2=av[1];
C_word t3=av[0];
f_13540(t0,t1,t2,t3);}

C_noret_decl(trf_13705)
static void C_ccall trf_13705(C_word c,C_word *av) C_noret;
static void C_ccall trf_13705(C_word c,C_word *av){
C_word t0=av[4];
C_word t1=av[3];
C_word t2=av[2];
C_word t3=av[1];
C_word t4=av[0];
f_13705(t0,t1,t2,t3,t4);}

C_noret_decl(trf_13748)
static void C_ccall trf_13748(C_word c,C_word *av) C_noret;
static void C_ccall trf_13748(C_word c,C_word *av){
C_word t0=av[4];
C_word t1=av[3];
C_word t2=av[2];
C_word t3=av[1];
C_word t4=av[0];
f_13748(t0,t1,t2,t3,t4);}

C_noret_decl(trf_13845)
static void C_ccall trf_13845(C_word c,C_word *av) C_noret;
static void C_ccall trf_13845(C_word c,C_word *av){
C_word t0=av[1];
C_word t1=av[0];
f_13845(t0,t1);}

C_noret_decl(trf_13993)
static void C_ccall trf_13993(C_word c,C_word *av) C_noret;
static void C_ccall trf_13993(C_word c,C_word *av){
C_word t0=av[1];
C_word t1=av[0];
f_13993(t0,t1);}

C_noret_decl(trf_13999)
static void C_ccall trf_13999(C_word c,C_word *av) C_noret;
static void C_ccall trf_13999(C_word c,C_word *av){
C_word t0=av[1];
C_word t1=av[0];
f_13999(t0,t1);}

C_noret_decl(trf_14046)
static void C_ccall trf_14046(C_word c,C_word *av) C_noret;
static void C_ccall trf_14046(C_word c,C_word *av){
C_word t0=av[1];
C_word t1=av[0];
f_14046(t0,t1);}

C_noret_decl(trf_14052)
static void C_ccall trf_14052(C_word c,C_word *av) C_noret;
static void C_ccall trf_14052(C_word c,C_word *av){
C_word t0=av[1];
C_word t1=av[0];
f_14052(t0,t1);}

C_noret_decl(trf_14487)
static void C_ccall trf_14487(C_word c,C_word *av) C_noret;
static void C_ccall trf_14487(C_word c,C_word *av){
C_word t0=av[1];
C_word t1=av[0];
f_14487(t0,t1);}

C_noret_decl(trf_14526)
static void C_ccall trf_14526(C_word c,C_word *av) C_noret;
static void C_ccall trf_14526(C_word c,C_word *av){
C_word t0=av[3];
C_word t1=av[2];
C_word t2=av[1];
C_word t3=av[0];
f_14526(t0,t1,t2,t3);}

C_noret_decl(trf_14608)
static void C_ccall trf_14608(C_word c,C_word *av) C_noret;
static void C_ccall trf_14608(C_word c,C_word *av){
C_word t0=av[3];
C_word t1=av[2];
C_word t2=av[1];
C_word t3=av[0];
f_14608(t0,t1,t2,t3);}

C_noret_decl(trf_14645)
static void C_ccall trf_14645(C_word c,C_word *av) C_noret;
static void C_ccall trf_14645(C_word c,C_word *av){
C_word t0=av[2];
C_word t1=av[1];
C_word t2=av[0];
f_14645(t0,t1,t2);}

C_noret_decl(trf_14657)
static void C_ccall trf_14657(C_word c,C_word *av) C_noret;
static void C_ccall trf_14657(C_word c,C_word *av){
C_word t0=av[2];
C_word t1=av[1];
C_word t2=av[0];
f_14657(t0,t1,t2);}

C_noret_decl(trf_14700)
static void C_ccall trf_14700(C_word c,C_word *av) C_noret;
static void C_ccall trf_14700(C_word c,C_word *av){
C_word t0=av[1];
C_word t1=av[0];
f_14700(t0,t1);}

C_noret_decl(trf_14806)
static void C_ccall trf_14806(C_word c,C_word *av) C_noret;
static void C_ccall trf_14806(C_word c,C_word *av){
C_word t0=av[1];
C_word t1=av[0];
f_14806(t0,t1);}

C_noret_decl(trf_14815)
static void C_ccall trf_14815(C_word c,C_word *av) C_noret;
static void C_ccall trf_14815(C_word c,C_word *av){
C_word t0=av[1];
C_word t1=av[0];
f_14815(t0,t1);}

C_noret_decl(trf_14902)
static void C_ccall trf_14902(C_word c,C_word *av) C_noret;
static void C_ccall trf_14902(C_word c,C_word *av){
C_word t0=av[3];
C_word t1=av[2];
C_word t2=av[1];
C_word t3=av[0];
f_14902(t0,t1,t2,t3);}

C_noret_decl(trf_14998)
static void C_ccall trf_14998(C_word c,C_word *av) C_noret;
static void C_ccall trf_14998(C_word c,C_word *av){
C_word t0=av[3];
C_word t1=av[2];
C_word t2=av[1];
C_word t3=av[0];
f_14998(t0,t1,t2,t3);}

C_noret_decl(trf_15060)
static void C_ccall trf_15060(C_word c,C_word *av) C_noret;
static void C_ccall trf_15060(C_word c,C_word *av){
C_word t0=av[3];
C_word t1=av[2];
C_word t2=av[1];
C_word t3=av[0];
f_15060(t0,t1,t2,t3);}

C_noret_decl(trf_15261)
static void C_ccall trf_15261(C_word c,C_word *av) C_noret;
static void C_ccall trf_15261(C_word c,C_word *av){
C_word t0=av[1];
C_word t1=av[0];
f_15261(t0,t1);}

C_noret_decl(trf_15315)
static void C_ccall trf_15315(C_word c,C_word *av) C_noret;
static void C_ccall trf_15315(C_word c,C_word *av){
C_word t0=av[2];
C_word t1=av[1];
C_word t2=av[0];
f_15315(t0,t1,t2);}

C_noret_decl(trf_15353)
static void C_ccall trf_15353(C_word c,C_word *av) C_noret;
static void C_ccall trf_15353(C_word c,C_word *av){
C_word t0=av[4];
C_word t1=av[3];
C_word t2=av[2];
C_word t3=av[1];
C_word t4=av[0];
f_15353(t0,t1,t2,t3,t4);}

C_noret_decl(trf_15366)
static void C_ccall trf_15366(C_word c,C_word *av) C_noret;
static void C_ccall trf_15366(C_word c,C_word *av){
C_word t0=av[3];
C_word t1=av[2];
C_word t2=av[1];
C_word t3=av[0];
f_15366(t0,t1,t2,t3);}

C_noret_decl(trf_15440)
static void C_ccall trf_15440(C_word c,C_word *av) C_noret;
static void C_ccall trf_15440(C_word c,C_word *av){
C_word t0=av[2];
C_word t1=av[1];
C_word t2=av[0];
f_15440(t0,t1,t2);}

C_noret_decl(trf_15446)
static void C_ccall trf_15446(C_word c,C_word *av) C_noret;
static void C_ccall trf_15446(C_word c,C_word *av){
C_word t0=av[2];
C_word t1=av[1];
C_word t2=av[0];
f_15446(t0,t1,t2);}

C_noret_decl(trf_15509)
static void C_ccall trf_15509(C_word c,C_word *av) C_noret;
static void C_ccall trf_15509(C_word c,C_word *av){
C_word t0=av[1];
C_word t1=av[0];
f_15509(t0,t1);}

C_noret_decl(trf_15548)
static void C_ccall trf_15548(C_word c,C_word *av) C_noret;
static void C_ccall trf_15548(C_word c,C_word *av){
C_word t0=av[2];
C_word t1=av[1];
C_word t2=av[0];
f_15548(t0,t1,t2);}

C_noret_decl(trf_15554)
static void C_ccall trf_15554(C_word c,C_word *av) C_noret;
static void C_ccall trf_15554(C_word c,C_word *av){
C_word t0=av[2];
C_word t1=av[1];
C_word t2=av[0];
f_15554(t0,t1,t2);}

C_noret_decl(trf_15598)
static void C_ccall trf_15598(C_word c,C_word *av) C_noret;
static void C_ccall trf_15598(C_word c,C_word *av){
C_word t0=av[4];
C_word t1=av[3];
C_word t2=av[2];
C_word t3=av[1];
C_word t4=av[0];
f_15598(t0,t1,t2,t3,t4);}

C_noret_decl(trf_15654)
static void C_ccall trf_15654(C_word c,C_word *av) C_noret;
static void C_ccall trf_15654(C_word c,C_word *av){
C_word t0=av[2];
C_word t1=av[1];
C_word t2=av[0];
f_15654(t0,t1,t2);}

C_noret_decl(trf_15669)
static void C_ccall trf_15669(C_word c,C_word *av) C_noret;
static void C_ccall trf_15669(C_word c,C_word *av){
C_word t0=av[1];
C_word t1=av[0];
f_15669(t0,t1);}

C_noret_decl(trf_15715)
static void C_ccall trf_15715(C_word c,C_word *av) C_noret;
static void C_ccall trf_15715(C_word c,C_word *av){
C_word t0=av[4];
C_word t1=av[3];
C_word t2=av[2];
C_word t3=av[1];
C_word t4=av[0];
f_15715(t0,t1,t2,t3,t4);}

C_noret_decl(trf_15734)
static void C_ccall trf_15734(C_word c,C_word *av) C_noret;
static void C_ccall trf_15734(C_word c,C_word *av){
C_word t0=av[1];
C_word t1=av[0];
f_15734(t0,t1);}

C_noret_decl(trf_15737)
static void C_ccall trf_15737(C_word c,C_word *av) C_noret;
static void C_ccall trf_15737(C_word c,C_word *av){
C_word t0=av[1];
C_word t1=av[0];
f_15737(t0,t1);}

C_noret_decl(trf_15746)
static void C_ccall trf_15746(C_word c,C_word *av) C_noret;
static void C_ccall trf_15746(C_word c,C_word *av){
C_word t0=av[1];
C_word t1=av[0];
f_15746(t0,t1);}

C_noret_decl(trf_15773)
static void C_ccall trf_15773(C_word c,C_word *av) C_noret;
static void C_ccall trf_15773(C_word c,C_word *av){
C_word t0=av[1];
C_word t1=av[0];
f_15773(t0,t1);}

C_noret_decl(trf_15927)
static void C_ccall trf_15927(C_word c,C_word *av) C_noret;
static void C_ccall trf_15927(C_word c,C_word *av){
C_word t0=av[3];
C_word t1=av[2];
C_word t2=av[1];
C_word t3=av[0];
f_15927(t0,t1,t2,t3);}

C_noret_decl(trf_15934)
static void C_ccall trf_15934(C_word c,C_word *av) C_noret;
static void C_ccall trf_15934(C_word c,C_word *av){
C_word t0=av[1];
C_word t1=av[0];
f_15934(t0,t1);}

C_noret_decl(trf_15953)
static void C_ccall trf_15953(C_word c,C_word *av) C_noret;
static void C_ccall trf_15953(C_word c,C_word *av){
C_word t0=av[1];
C_word t1=av[0];
f_15953(t0,t1);}

C_noret_decl(trf_16005)
static void C_ccall trf_16005(C_word c,C_word *av) C_noret;
static void C_ccall trf_16005(C_word c,C_word *av){
C_word t0=av[1];
C_word t1=av[0];
f_16005(t0,t1);}

C_noret_decl(trf_16270)
static void C_ccall trf_16270(C_word c,C_word *av) C_noret;
static void C_ccall trf_16270(C_word c,C_word *av){
C_word t0=av[2];
C_word t1=av[1];
C_word t2=av[0];
f_16270(t0,t1,t2);}

C_noret_decl(trf_16285)
static void C_ccall trf_16285(C_word c,C_word *av) C_noret;
static void C_ccall trf_16285(C_word c,C_word *av){
C_word t0=av[1];
C_word t1=av[0];
f_16285(t0,t1);}

C_noret_decl(trf_16311)
static void C_ccall trf_16311(C_word c,C_word *av) C_noret;
static void C_ccall trf_16311(C_word c,C_word *av){
C_word t0=av[1];
C_word t1=av[0];
f_16311(t0,t1);}

C_noret_decl(trf_16343)
static void C_ccall trf_16343(C_word c,C_word *av) C_noret;
static void C_ccall trf_16343(C_word c,C_word *av){
C_word t0=av[1];
C_word t1=av[0];
f_16343(t0,t1);}

C_noret_decl(trf_16404)
static void C_ccall trf_16404(C_word c,C_word *av) C_noret;
static void C_ccall trf_16404(C_word c,C_word *av){
C_word t0=av[1];
C_word t1=av[0];
f_16404(t0,t1);}

C_noret_decl(trf_16524)
static void C_ccall trf_16524(C_word c,C_word *av) C_noret;
static void C_ccall trf_16524(C_word c,C_word *av){
C_word t0=av[1];
C_word t1=av[0];
f_16524(t0,t1);}

C_noret_decl(trf_16615)
static void C_ccall trf_16615(C_word c,C_word *av) C_noret;
static void C_ccall trf_16615(C_word c,C_word *av){
C_word t0=av[1];
C_word t1=av[0];
f_16615(t0,t1);}

C_noret_decl(trf_16773)
static void C_ccall trf_16773(C_word c,C_word *av) C_noret;
static void C_ccall trf_16773(C_word c,C_word *av){
C_word t0=av[5];
C_word t1=av[4];
C_word t2=av[3];
C_word t3=av[2];
C_word t4=av[1];
C_word t5=av[0];
f_16773(t0,t1,t2,t3,t4,t5);}

C_noret_decl(trf_16780)
static void C_ccall trf_16780(C_word c,C_word *av) C_noret;
static void C_ccall trf_16780(C_word c,C_word *av){
C_word t0=av[1];
C_word t1=av[0];
f_16780(t0,t1);}

C_noret_decl(trf_17058)
static void C_ccall trf_17058(C_word c,C_word *av) C_noret;
static void C_ccall trf_17058(C_word c,C_word *av){
C_word t0=av[4];
C_word t1=av[3];
C_word t2=av[2];
C_word t3=av[1];
C_word t4=av[0];
f_17058(t0,t1,t2,t3,t4);}

C_noret_decl(trf_17085)
static void C_ccall trf_17085(C_word c,C_word *av) C_noret;
static void C_ccall trf_17085(C_word c,C_word *av){
C_word t0=av[2];
C_word t1=av[1];
C_word t2=av[0];
f_17085(t0,t1,t2);}

C_noret_decl(trf_17126)
static void C_ccall trf_17126(C_word c,C_word *av) C_noret;
static void C_ccall trf_17126(C_word c,C_word *av){
C_word t0=av[3];
C_word t1=av[2];
C_word t2=av[1];
C_word t3=av[0];
f_17126(t0,t1,t2,t3);}

C_noret_decl(trf_17480)
static void C_ccall trf_17480(C_word c,C_word *av) C_noret;
static void C_ccall trf_17480(C_word c,C_word *av){
C_word t0=av[2];
C_word t1=av[1];
C_word t2=av[0];
f_17480(t0,t1,t2);}

C_noret_decl(trf_17757)
static void C_ccall trf_17757(C_word c,C_word *av) C_noret;
static void C_ccall trf_17757(C_word c,C_word *av){
C_word t0=av[2];
C_word t1=av[1];
C_word t2=av[0];
f_17757(t0,t1,t2);}

C_noret_decl(trf_17831)
static void C_ccall trf_17831(C_word c,C_word *av) C_noret;
static void C_ccall trf_17831(C_word c,C_word *av){
C_word t0=av[1];
C_word t1=av[0];
f_17831(t0,t1);}

C_noret_decl(trf_17976)
static void C_ccall trf_17976(C_word c,C_word *av) C_noret;
static void C_ccall trf_17976(C_word c,C_word *av){
C_word t0=av[3];
C_word t1=av[2];
C_word t2=av[1];
C_word t3=av[0];
f_17976(t0,t1,t2,t3);}

C_noret_decl(trf_18077)
static void C_ccall trf_18077(C_word c,C_word *av) C_noret;
static void C_ccall trf_18077(C_word c,C_word *av){
C_word t0=av[2];
C_word t1=av[1];
C_word t2=av[0];
f_18077(t0,t1,t2);}

C_noret_decl(trf_18122)
static void C_ccall trf_18122(C_word c,C_word *av) C_noret;
static void C_ccall trf_18122(C_word c,C_word *av){
C_word t0=av[1];
C_word t1=av[0];
f_18122(t0,t1);}

C_noret_decl(trf_18285)
static void C_ccall trf_18285(C_word c,C_word *av) C_noret;
static void C_ccall trf_18285(C_word c,C_word *av){
C_word t0=av[2];
C_word t1=av[1];
C_word t2=av[0];
f_18285(t0,t1,t2);}

C_noret_decl(trf_18323)
static void C_ccall trf_18323(C_word c,C_word *av) C_noret;
static void C_ccall trf_18323(C_word c,C_word *av){
C_word t0=av[2];
C_word t1=av[1];
C_word t2=av[0];
f_18323(t0,t1,t2);}

C_noret_decl(trf_18413)
static void C_ccall trf_18413(C_word c,C_word *av) C_noret;
static void C_ccall trf_18413(C_word c,C_word *av){
C_word t0=av[1];
C_word t1=av[0];
f_18413(t0,t1);}

C_noret_decl(trf_18472)
static void C_ccall trf_18472(C_word c,C_word *av) C_noret;
static void C_ccall trf_18472(C_word c,C_word *av){
C_word t0=av[2];
C_word t1=av[1];
C_word t2=av[0];
f_18472(t0,t1,t2);}

C_noret_decl(trf_18502)
static void C_ccall trf_18502(C_word c,C_word *av) C_noret;
static void C_ccall trf_18502(C_word c,C_word *av){
C_word t0=av[2];
C_word t1=av[1];
C_word t2=av[0];
f_18502(t0,t1,t2);}

C_noret_decl(trf_18561)
static void C_ccall trf_18561(C_word c,C_word *av) C_noret;
static void C_ccall trf_18561(C_word c,C_word *av){
C_word t0=av[2];
C_word t1=av[1];
C_word t2=av[0];
f_18561(t0,t1,t2);}

C_noret_decl(trf_18602)
static void C_ccall trf_18602(C_word c,C_word *av) C_noret;
static void C_ccall trf_18602(C_word c,C_word *av){
C_word t0=av[2];
C_word t1=av[1];
C_word t2=av[0];
f_18602(t0,t1,t2);}

C_noret_decl(trf_18721)
static void C_ccall trf_18721(C_word c,C_word *av) C_noret;
static void C_ccall trf_18721(C_word c,C_word *av){
C_word t0=av[2];
C_word t1=av[1];
C_word t2=av[0];
f_18721(t0,t1,t2);}

C_noret_decl(trf_19111)
static void C_ccall trf_19111(C_word c,C_word *av) C_noret;
static void C_ccall trf_19111(C_word c,C_word *av){
C_word t0=av[4];
C_word t1=av[3];
C_word t2=av[2];
C_word t3=av[1];
C_word t4=av[0];
f_19111(t0,t1,t2,t3,t4);}

C_noret_decl(trf_19154)
static void C_ccall trf_19154(C_word c,C_word *av) C_noret;
static void C_ccall trf_19154(C_word c,C_word *av){
C_word t0=av[2];
C_word t1=av[1];
C_word t2=av[0];
f_19154(t0,t1,t2);}

C_noret_decl(trf_19209)
static void C_ccall trf_19209(C_word c,C_word *av) C_noret;
static void C_ccall trf_19209(C_word c,C_word *av){
C_word t0=av[3];
C_word t1=av[2];
C_word t2=av[1];
C_word t3=av[0];
f_19209(t0,t1,t2,t3);}

C_noret_decl(trf_19465)
static void C_ccall trf_19465(C_word c,C_word *av) C_noret;
static void C_ccall trf_19465(C_word c,C_word *av){
C_word t0=av[2];
C_word t1=av[1];
C_word t2=av[0];
f_19465(t0,t1,t2);}

C_noret_decl(trf_19478)
static void C_ccall trf_19478(C_word c,C_word *av) C_noret;
static void C_ccall trf_19478(C_word c,C_word *av){
C_word t0=av[2];
C_word t1=av[1];
C_word t2=av[0];
f_19478(t0,t1,t2);}

C_noret_decl(trf_19537)
static void C_ccall trf_19537(C_word c,C_word *av) C_noret;
static void C_ccall trf_19537(C_word c,C_word *av){
C_word t0=av[2];
C_word t1=av[1];
C_word t2=av[0];
f_19537(t0,t1,t2);}

C_noret_decl(trf_19791)
static void C_ccall trf_19791(C_word c,C_word *av) C_noret;
static void C_ccall trf_19791(C_word c,C_word *av){
C_word t0=av[5];
C_word t1=av[4];
C_word t2=av[3];
C_word t3=av[2];
C_word t4=av[1];
C_word t5=av[0];
f_19791(t0,t1,t2,t3,t4,t5);}

C_noret_decl(trf_19795)
static void C_ccall trf_19795(C_word c,C_word *av) C_noret;
static void C_ccall trf_19795(C_word c,C_word *av){
C_word t0=av[1];
C_word t1=av[0];
f_19795(t0,t1);}

C_noret_decl(trf_19825)
static void C_ccall trf_19825(C_word c,C_word *av) C_noret;
static void C_ccall trf_19825(C_word c,C_word *av){
C_word t0=av[1];
C_word t1=av[0];
f_19825(t0,t1);}

C_noret_decl(trf_19845)
static void C_ccall trf_19845(C_word c,C_word *av) C_noret;
static void C_ccall trf_19845(C_word c,C_word *av){
C_word t0=av[3];
C_word t1=av[2];
C_word t2=av[1];
C_word t3=av[0];
f_19845(t0,t1,t2,t3);}

C_noret_decl(trf_19854)
static void C_ccall trf_19854(C_word c,C_word *av) C_noret;
static void C_ccall trf_19854(C_word c,C_word *av){
C_word t0=av[2];
C_word t1=av[1];
C_word t2=av[0];
f_19854(t0,t1,t2);}

C_noret_decl(trf_19859)
static void C_ccall trf_19859(C_word c,C_word *av) C_noret;
static void C_ccall trf_19859(C_word c,C_word *av){
C_word t0=av[1];
C_word t1=av[0];
f_19859(t0,t1);}

C_noret_decl(trf_20228)
static void C_ccall trf_20228(C_word c,C_word *av) C_noret;
static void C_ccall trf_20228(C_word c,C_word *av){
C_word t0=av[4];
C_word t1=av[3];
C_word t2=av[2];
C_word t3=av[1];
C_word t4=av[0];
f_20228(t0,t1,t2,t3,t4);}

C_noret_decl(trf_20237)
static void C_ccall trf_20237(C_word c,C_word *av) C_noret;
static void C_ccall trf_20237(C_word c,C_word *av){
C_word t0=av[1];
C_word t1=av[0];
f_20237(t0,t1);}

C_noret_decl(trf_20247)
static void C_ccall trf_20247(C_word c,C_word *av) C_noret;
static void C_ccall trf_20247(C_word c,C_word *av){
C_word t0=av[2];
C_word t1=av[1];
C_word t2=av[0];
f_20247(t0,t1,t2);}

C_noret_decl(trf_20254)
static void C_ccall trf_20254(C_word c,C_word *av) C_noret;
static void C_ccall trf_20254(C_word c,C_word *av){
C_word t0=av[1];
C_word t1=av[0];
f_20254(t0,t1);}

C_noret_decl(trf_20274)
static void C_ccall trf_20274(C_word c,C_word *av) C_noret;
static void C_ccall trf_20274(C_word c,C_word *av){
C_word t0=av[2];
C_word t1=av[1];
C_word t2=av[0];
f_20274(t0,t1,t2);}

C_noret_decl(trf_20283)
static void C_ccall trf_20283(C_word c,C_word *av) C_noret;
static void C_ccall trf_20283(C_word c,C_word *av){
C_word t0=av[2];
C_word t1=av[1];
C_word t2=av[0];
f_20283(t0,t1,t2);}

C_noret_decl(trf_20298)
static void C_ccall trf_20298(C_word c,C_word *av) C_noret;
static void C_ccall trf_20298(C_word c,C_word *av){
C_word t0=av[1];
C_word t1=av[0];
f_20298(t0,t1);}

C_noret_decl(trf_20301)
static void C_ccall trf_20301(C_word c,C_word *av) C_noret;
static void C_ccall trf_20301(C_word c,C_word *av){
C_word t0=av[1];
C_word t1=av[0];
f_20301(t0,t1);}

C_noret_decl(trf_20311)
static void C_ccall trf_20311(C_word c,C_word *av) C_noret;
static void C_ccall trf_20311(C_word c,C_word *av){
C_word t0=av[2];
C_word t1=av[1];
C_word t2=av[0];
f_20311(t0,t1,t2);}

C_noret_decl(trf_20349)
static void C_ccall trf_20349(C_word c,C_word *av) C_noret;
static void C_ccall trf_20349(C_word c,C_word *av){
C_word t0=av[4];
C_word t1=av[3];
C_word t2=av[2];
C_word t3=av[1];
C_word t4=av[0];
f_20349(t0,t1,t2,t3,t4);}

C_noret_decl(trf_20355)
static void C_ccall trf_20355(C_word c,C_word *av) C_noret;
static void C_ccall trf_20355(C_word c,C_word *av){
C_word t0=av[3];
C_word t1=av[2];
C_word t2=av[1];
C_word t3=av[0];
f_20355(t0,t1,t2,t3);}

C_noret_decl(trf_20409)
static void C_ccall trf_20409(C_word c,C_word *av) C_noret;
static void C_ccall trf_20409(C_word c,C_word *av){
C_word t0=av[2];
C_word t1=av[1];
C_word t2=av[0];
f_20409(t0,t1,t2);}

C_noret_decl(trf_20421)
static void C_ccall trf_20421(C_word c,C_word *av) C_noret;
static void C_ccall trf_20421(C_word c,C_word *av){
C_word t0=av[3];
C_word t1=av[2];
C_word t2=av[1];
C_word t3=av[0];
f_20421(t0,t1,t2,t3);}

C_noret_decl(trf_20446)
static void C_ccall trf_20446(C_word c,C_word *av) C_noret;
static void C_ccall trf_20446(C_word c,C_word *av){
C_word t0=av[2];
C_word t1=av[1];
C_word t2=av[0];
f_20446(t0,t1,t2);}

C_noret_decl(trf_20456)
static void C_ccall trf_20456(C_word c,C_word *av) C_noret;
static void C_ccall trf_20456(C_word c,C_word *av){
C_word t0=av[3];
C_word t1=av[2];
C_word t2=av[1];
C_word t3=av[0];
f_20456(t0,t1,t2,t3);}

C_noret_decl(trf_20649)
static void C_ccall trf_20649(C_word c,C_word *av) C_noret;
static void C_ccall trf_20649(C_word c,C_word *av){
C_word t0=av[1];
C_word t1=av[0];
f_20649(t0,t1);}

C_noret_decl(trf_20740)
static void C_ccall trf_20740(C_word c,C_word *av) C_noret;
static void C_ccall trf_20740(C_word c,C_word *av){
C_word t0=av[1];
C_word t1=av[0];
f_20740(t0,t1);}

C_noret_decl(trf_20760)
static void C_ccall trf_20760(C_word c,C_word *av) C_noret;
static void C_ccall trf_20760(C_word c,C_word *av){
C_word t0=av[1];
C_word t1=av[0];
f_20760(t0,t1);}

C_noret_decl(trf_20765)
static void C_ccall trf_20765(C_word c,C_word *av) C_noret;
static void C_ccall trf_20765(C_word c,C_word *av){
C_word t0=av[3];
C_word t1=av[2];
C_word t2=av[1];
C_word t3=av[0];
f_20765(t0,t1,t2,t3);}

C_noret_decl(trf_20864)
static void C_ccall trf_20864(C_word c,C_word *av) C_noret;
static void C_ccall trf_20864(C_word c,C_word *av){
C_word t0=av[1];
C_word t1=av[0];
f_20864(t0,t1);}

C_noret_decl(trf_21012)
static void C_ccall trf_21012(C_word c,C_word *av) C_noret;
static void C_ccall trf_21012(C_word c,C_word *av){
C_word t0=av[3];
C_word t1=av[2];
C_word t2=av[1];
C_word t3=av[0];
f_21012(t0,t1,t2,t3);}

C_noret_decl(trf_21021)
static void C_ccall trf_21021(C_word c,C_word *av) C_noret;
static void C_ccall trf_21021(C_word c,C_word *av){
C_word t0=av[2];
C_word t1=av[1];
C_word t2=av[0];
f_21021(t0,t1,t2);}

C_noret_decl(trf_21076)
static void C_ccall trf_21076(C_word c,C_word *av) C_noret;
static void C_ccall trf_21076(C_word c,C_word *av){
C_word t0=av[2];
C_word t1=av[1];
C_word t2=av[0];
f_21076(t0,t1,t2);}

C_noret_decl(trf_21083)
static void C_ccall trf_21083(C_word c,C_word *av) C_noret;
static void C_ccall trf_21083(C_word c,C_word *av){
C_word t0=av[1];
C_word t1=av[0];
f_21083(t0,t1);}

C_noret_decl(trf_21126)
static void C_ccall trf_21126(C_word c,C_word *av) C_noret;
static void C_ccall trf_21126(C_word c,C_word *av){
C_word t0=av[1];
C_word t1=av[0];
f_21126(t0,t1);}

C_noret_decl(trf_21274)
static void C_ccall trf_21274(C_word c,C_word *av) C_noret;
static void C_ccall trf_21274(C_word c,C_word *av){
C_word t0=av[1];
C_word t1=av[0];
f_21274(t0,t1);}

C_noret_decl(trf_21292)
static void C_ccall trf_21292(C_word c,C_word *av) C_noret;
static void C_ccall trf_21292(C_word c,C_word *av){
C_word t0=av[3];
C_word t1=av[2];
C_word t2=av[1];
C_word t3=av[0];
f_21292(t0,t1,t2,t3);}

C_noret_decl(trf_21327)
static void C_ccall trf_21327(C_word c,C_word *av) C_noret;
static void C_ccall trf_21327(C_word c,C_word *av){
C_word t0=av[1];
C_word t1=av[0];
f_21327(t0,t1);}

C_noret_decl(trf_21362)
static void C_ccall trf_21362(C_word c,C_word *av) C_noret;
static void C_ccall trf_21362(C_word c,C_word *av){
C_word t0=av[2];
C_word t1=av[1];
C_word t2=av[0];
f_21362(t0,t1,t2);}

C_noret_decl(trf_21413)
static void C_ccall trf_21413(C_word c,C_word *av) C_noret;
static void C_ccall trf_21413(C_word c,C_word *av){
C_word t0=av[2];
C_word t1=av[1];
C_word t2=av[0];
f_21413(t0,t1,t2);}

C_noret_decl(trf_21480)
static void C_ccall trf_21480(C_word c,C_word *av) C_noret;
static void C_ccall trf_21480(C_word c,C_word *av){
C_word t0=av[1];
C_word t1=av[0];
f_21480(t0,t1);}

C_noret_decl(trf_21490)
static void C_ccall trf_21490(C_word c,C_word *av) C_noret;
static void C_ccall trf_21490(C_word c,C_word *av){
C_word t0=av[3];
C_word t1=av[2];
C_word t2=av[1];
C_word t3=av[0];
f_21490(t0,t1,t2,t3);}

C_noret_decl(trf_21500)
static void C_ccall trf_21500(C_word c,C_word *av) C_noret;
static void C_ccall trf_21500(C_word c,C_word *av){
C_word t0=av[1];
C_word t1=av[0];
f_21500(t0,t1);}

C_noret_decl(trf_21544)
static void C_ccall trf_21544(C_word c,C_word *av) C_noret;
static void C_ccall trf_21544(C_word c,C_word *av){
C_word t0=av[1];
C_word t1=av[0];
f_21544(t0,t1);}

C_noret_decl(trf_21554)
static void C_ccall trf_21554(C_word c,C_word *av) C_noret;
static void C_ccall trf_21554(C_word c,C_word *av){
C_word t0=av[3];
C_word t1=av[2];
C_word t2=av[1];
C_word t3=av[0];
f_21554(t0,t1,t2,t3);}

C_noret_decl(trf_21564)
static void C_ccall trf_21564(C_word c,C_word *av) C_noret;
static void C_ccall trf_21564(C_word c,C_word *av){
C_word t0=av[1];
C_word t1=av[0];
f_21564(t0,t1);}

C_noret_decl(trf_21590)
static void C_ccall trf_21590(C_word c,C_word *av) C_noret;
static void C_ccall trf_21590(C_word c,C_word *av){
C_word t0=av[1];
C_word t1=av[0];
f_21590(t0,t1);}

C_noret_decl(trf_21615)
static void C_ccall trf_21615(C_word c,C_word *av) C_noret;
static void C_ccall trf_21615(C_word c,C_word *av){
C_word t0=av[2];
C_word t1=av[1];
C_word t2=av[0];
f_21615(t0,t1,t2);}

C_noret_decl(trf_21621)
static void C_ccall trf_21621(C_word c,C_word *av) C_noret;
static void C_ccall trf_21621(C_word c,C_word *av){
C_word t0=av[3];
C_word t1=av[2];
C_word t2=av[1];
C_word t3=av[0];
f_21621(t0,t1,t2,t3);}

C_noret_decl(trf_21634)
static void C_ccall trf_21634(C_word c,C_word *av) C_noret;
static void C_ccall trf_21634(C_word c,C_word *av){
C_word t0=av[1];
C_word t1=av[0];
f_21634(t0,t1);}

C_noret_decl(trf_21640)
static void C_ccall trf_21640(C_word c,C_word *av) C_noret;
static void C_ccall trf_21640(C_word c,C_word *av){
C_word t0=av[1];
C_word t1=av[0];
f_21640(t0,t1);}

C_noret_decl(trf_21829)
static void C_ccall trf_21829(C_word c,C_word *av) C_noret;
static void C_ccall trf_21829(C_word c,C_word *av){
C_word t0=av[1];
C_word t1=av[0];
f_21829(t0,t1);}

C_noret_decl(trf_21868)
static void C_ccall trf_21868(C_word c,C_word *av) C_noret;
static void C_ccall trf_21868(C_word c,C_word *av){
C_word t0=av[1];
C_word t1=av[0];
f_21868(t0,t1);}

C_noret_decl(trf_22013)
static void C_ccall trf_22013(C_word c,C_word *av) C_noret;
static void C_ccall trf_22013(C_word c,C_word *av){
C_word t0=av[1];
C_word t1=av[0];
f_22013(t0,t1);}

C_noret_decl(trf_22038)
static void C_ccall trf_22038(C_word c,C_word *av) C_noret;
static void C_ccall trf_22038(C_word c,C_word *av){
C_word t0=av[1];
C_word t1=av[0];
f_22038(t0,t1);}

C_noret_decl(trf_22044)
static void C_ccall trf_22044(C_word c,C_word *av) C_noret;
static void C_ccall trf_22044(C_word c,C_word *av){
C_word t0=av[2];
C_word t1=av[1];
C_word t2=av[0];
f_22044(t0,t1,t2);}

C_noret_decl(trf_22125)
static void C_ccall trf_22125(C_word c,C_word *av) C_noret;
static void C_ccall trf_22125(C_word c,C_word *av){
C_word t0=av[1];
C_word t1=av[0];
f_22125(t0,t1);}

C_noret_decl(trf_22143)
static void C_ccall trf_22143(C_word c,C_word *av) C_noret;
static void C_ccall trf_22143(C_word c,C_word *av){
C_word t0=av[2];
C_word t1=av[1];
C_word t2=av[0];
f_22143(t0,t1,t2);}

C_noret_decl(trf_22162)
static void C_ccall trf_22162(C_word c,C_word *av) C_noret;
static void C_ccall trf_22162(C_word c,C_word *av){
C_word t0=av[1];
C_word t1=av[0];
f_22162(t0,t1);}

C_noret_decl(trf_22217)
static void C_ccall trf_22217(C_word c,C_word *av) C_noret;
static void C_ccall trf_22217(C_word c,C_word *av){
C_word t0=av[2];
C_word t1=av[1];
C_word t2=av[0];
f_22217(t0,t1,t2);}

C_noret_decl(trf_22241)
static void C_ccall trf_22241(C_word c,C_word *av) C_noret;
static void C_ccall trf_22241(C_word c,C_word *av){
C_word t0=av[1];
C_word t1=av[0];
f_22241(t0,t1);}

C_noret_decl(trf_22375)
static void C_ccall trf_22375(C_word c,C_word *av) C_noret;
static void C_ccall trf_22375(C_word c,C_word *av){
C_word t0=av[1];
C_word t1=av[0];
f_22375(t0,t1);}

C_noret_decl(trf_22455)
static void C_ccall trf_22455(C_word c,C_word *av) C_noret;
static void C_ccall trf_22455(C_word c,C_word *av){
C_word t0=av[1];
C_word t1=av[0];
f_22455(t0,t1);}

C_noret_decl(trf_22823)
static void C_ccall trf_22823(C_word c,C_word *av) C_noret;
static void C_ccall trf_22823(C_word c,C_word *av){
C_word t0=av[1];
C_word t1=av[0];
f_22823(t0,t1);}

C_noret_decl(trf_23372)
static void C_ccall trf_23372(C_word c,C_word *av) C_noret;
static void C_ccall trf_23372(C_word c,C_word *av){
C_word t0=av[2];
C_word t1=av[1];
C_word t2=av[0];
f_23372(t0,t1,t2);}

C_noret_decl(trf_23418)
static void C_ccall trf_23418(C_word c,C_word *av) C_noret;
static void C_ccall trf_23418(C_word c,C_word *av){
C_word t0=av[3];
C_word t1=av[2];
C_word t2=av[1];
C_word t3=av[0];
f_23418(t0,t1,t2,t3);}

C_noret_decl(trf_23681)
static void C_ccall trf_23681(C_word c,C_word *av) C_noret;
static void C_ccall trf_23681(C_word c,C_word *av){
C_word t0=av[2];
C_word t1=av[1];
C_word t2=av[0];
f_23681(t0,t1,t2);}

C_noret_decl(trf_23732)
static void C_ccall trf_23732(C_word c,C_word *av) C_noret;
static void C_ccall trf_23732(C_word c,C_word *av){
C_word t0=av[2];
C_word t1=av[1];
C_word t2=av[0];
f_23732(t0,t1,t2);}

C_noret_decl(trf_23791)
static void C_ccall trf_23791(C_word c,C_word *av) C_noret;
static void C_ccall trf_23791(C_word c,C_word *av){
C_word t0=av[3];
C_word t1=av[2];
C_word t2=av[1];
C_word t3=av[0];
f_23791(t0,t1,t2,t3);}

C_noret_decl(trf_23863)
static void C_ccall trf_23863(C_word c,C_word *av) C_noret;
static void C_ccall trf_23863(C_word c,C_word *av){
C_word t0=av[3];
C_word t1=av[2];
C_word t2=av[1];
C_word t3=av[0];
f_23863(t0,t1,t2,t3);}

C_noret_decl(trf_23923)
static void C_ccall trf_23923(C_word c,C_word *av) C_noret;
static void C_ccall trf_23923(C_word c,C_word *av){
C_word t0=av[3];
C_word t1=av[2];
C_word t2=av[1];
C_word t3=av[0];
f_23923(t0,t1,t2,t3);}

C_noret_decl(trf_23947)
static void C_ccall trf_23947(C_word c,C_word *av) C_noret;
static void C_ccall trf_23947(C_word c,C_word *av){
C_word t0=av[3];
C_word t1=av[2];
C_word t2=av[1];
C_word t3=av[0];
f_23947(t0,t1,t2,t3);}

C_noret_decl(trf_23959)
static void C_ccall trf_23959(C_word c,C_word *av) C_noret;
static void C_ccall trf_23959(C_word c,C_word *av){
C_word t0=av[2];
C_word t1=av[1];
C_word t2=av[0];
f_23959(t0,t1,t2);}

C_noret_decl(trf_24036)
static void C_ccall trf_24036(C_word c,C_word *av) C_noret;
static void C_ccall trf_24036(C_word c,C_word *av){
C_word t0=av[2];
C_word t1=av[1];
C_word t2=av[0];
f_24036(t0,t1,t2);}

C_noret_decl(trf_24085)
static void C_ccall trf_24085(C_word c,C_word *av) C_noret;
static void C_ccall trf_24085(C_word c,C_word *av){
C_word t0=av[2];
C_word t1=av[1];
C_word t2=av[0];
f_24085(t0,t1,t2);}

C_noret_decl(trf_24101)
static void C_ccall trf_24101(C_word c,C_word *av) C_noret;
static void C_ccall trf_24101(C_word c,C_word *av){
C_word t0=av[1];
C_word t1=av[0];
f_24101(t0,t1);}

C_noret_decl(trf_24158)
static void C_ccall trf_24158(C_word c,C_word *av) C_noret;
static void C_ccall trf_24158(C_word c,C_word *av){
C_word t0=av[1];
C_word t1=av[0];
f_24158(t0,t1);}

C_noret_decl(trf_24220)
static void C_ccall trf_24220(C_word c,C_word *av) C_noret;
static void C_ccall trf_24220(C_word c,C_word *av){
C_word t0=av[2];
C_word t1=av[1];
C_word t2=av[0];
f_24220(t0,t1,t2);}

C_noret_decl(trf_24279)
static void C_ccall trf_24279(C_word c,C_word *av) C_noret;
static void C_ccall trf_24279(C_word c,C_word *av){
C_word t0=av[2];
C_word t1=av[1];
C_word t2=av[0];
f_24279(t0,t1,t2);}

C_noret_decl(trf_24449)
static void C_ccall trf_24449(C_word c,C_word *av) C_noret;
static void C_ccall trf_24449(C_word c,C_word *av){
C_word t0=av[3];
C_word t1=av[2];
C_word t2=av[1];
C_word t3=av[0];
f_24449(t0,t1,t2,t3);}

C_noret_decl(trf_24628)
static void C_ccall trf_24628(C_word c,C_word *av) C_noret;
static void C_ccall trf_24628(C_word c,C_word *av){
C_word t0=av[2];
C_word t1=av[1];
C_word t2=av[0];
f_24628(t0,t1,t2);}

C_noret_decl(trf_24638)
static void C_ccall trf_24638(C_word c,C_word *av) C_noret;
static void C_ccall trf_24638(C_word c,C_word *av){
C_word t0=av[1];
C_word t1=av[0];
f_24638(t0,t1);}

C_noret_decl(trf_24700)
static void C_ccall trf_24700(C_word c,C_word *av) C_noret;
static void C_ccall trf_24700(C_word c,C_word *av){
C_word t0=av[2];
C_word t1=av[1];
C_word t2=av[0];
f_24700(t0,t1,t2);}

C_noret_decl(trf_24839)
static void C_ccall trf_24839(C_word c,C_word *av) C_noret;
static void C_ccall trf_24839(C_word c,C_word *av){
C_word t0=av[3];
C_word t1=av[2];
C_word t2=av[1];
C_word t3=av[0];
f_24839(t0,t1,t2,t3);}

C_noret_decl(trf_25212)
static void C_ccall trf_25212(C_word c,C_word *av) C_noret;
static void C_ccall trf_25212(C_word c,C_word *av){
C_word t0=av[4];
C_word t1=av[3];
C_word t2=av[2];
C_word t3=av[1];
C_word t4=av[0];
f_25212(t0,t1,t2,t3,t4);}

C_noret_decl(trf_25232)
static void C_ccall trf_25232(C_word c,C_word *av) C_noret;
static void C_ccall trf_25232(C_word c,C_word *av){
C_word t0=av[6];
C_word t1=av[5];
C_word t2=av[4];
C_word t3=av[3];
C_word t4=av[2];
C_word t5=av[1];
C_word t6=av[0];
f_25232(t0,t1,t2,t3,t4,t5,t6);}

C_noret_decl(trf_25286)
static void C_ccall trf_25286(C_word c,C_word *av) C_noret;
static void C_ccall trf_25286(C_word c,C_word *av){
C_word t0=av[1];
C_word t1=av[0];
f_25286(t0,t1);}

C_noret_decl(trf_25303)
static void C_ccall trf_25303(C_word c,C_word *av) C_noret;
static void C_ccall trf_25303(C_word c,C_word *av){
C_word t0=av[1];
C_word t1=av[0];
f_25303(t0,t1);}

C_noret_decl(trf_25483)
static void C_ccall trf_25483(C_word c,C_word *av) C_noret;
static void C_ccall trf_25483(C_word c,C_word *av){
C_word t0=av[2];
C_word t1=av[1];
C_word t2=av[0];
f_25483(t0,t1,t2);}

C_noret_decl(trf_25498)
static void C_ccall trf_25498(C_word c,C_word *av) C_noret;
static void C_ccall trf_25498(C_word c,C_word *av){
C_word t0=av[2];
C_word t1=av[1];
C_word t2=av[0];
f_25498(t0,t1,t2);}

C_noret_decl(trf_25601)
static void C_ccall trf_25601(C_word c,C_word *av) C_noret;
static void C_ccall trf_25601(C_word c,C_word *av){
C_word t0=av[2];
C_word t1=av[1];
C_word t2=av[0];
f_25601(t0,t1,t2);}

C_noret_decl(trf_25620)
static void C_ccall trf_25620(C_word c,C_word *av) C_noret;
static void C_ccall trf_25620(C_word c,C_word *av){
C_word t0=av[1];
C_word t1=av[0];
f_25620(t0,t1);}

C_noret_decl(trf_25729)
static void C_ccall trf_25729(C_word c,C_word *av) C_noret;
static void C_ccall trf_25729(C_word c,C_word *av){
C_word t0=av[2];
C_word t1=av[1];
C_word t2=av[0];
f_25729(t0,t1,t2);}

C_noret_decl(trf_25766)
static void C_ccall trf_25766(C_word c,C_word *av) C_noret;
static void C_ccall trf_25766(C_word c,C_word *av){
C_word t0=av[1];
C_word t1=av[0];
f_25766(t0,t1);}

C_noret_decl(trf_25800)
static void C_ccall trf_25800(C_word c,C_word *av) C_noret;
static void C_ccall trf_25800(C_word c,C_word *av){
C_word t0=av[2];
C_word t1=av[1];
C_word t2=av[0];
f_25800(t0,t1,t2);}

C_noret_decl(trf_25936)
static void C_ccall trf_25936(C_word c,C_word *av) C_noret;
static void C_ccall trf_25936(C_word c,C_word *av){
C_word t0=av[0];
f_25936(t0);}

C_noret_decl(trf_25964)
static void C_ccall trf_25964(C_word c,C_word *av) C_noret;
static void C_ccall trf_25964(C_word c,C_word *av){
C_word t0=av[1];
C_word t1=av[0];
f_25964(t0,t1);}

C_noret_decl(trf_25988)
static void C_ccall trf_25988(C_word c,C_word *av) C_noret;
static void C_ccall trf_25988(C_word c,C_word *av){
C_word t0=av[2];
C_word t1=av[1];
C_word t2=av[0];
f_25988(t0,t1,t2);}

C_noret_decl(trf_26083)
static void C_ccall trf_26083(C_word c,C_word *av) C_noret;
static void C_ccall trf_26083(C_word c,C_word *av){
C_word t0=av[2];
C_word t1=av[1];
C_word t2=av[0];
f_26083(t0,t1,t2);}

C_noret_decl(trf_26110)
static void C_ccall trf_26110(C_word c,C_word *av) C_noret;
static void C_ccall trf_26110(C_word c,C_word *av){
C_word t0=av[1];
C_word t1=av[0];
f_26110(t0,t1);}

C_noret_decl(trf_26131)
static void C_ccall trf_26131(C_word c,C_word *av) C_noret;
static void C_ccall trf_26131(C_word c,C_word *av){
C_word t0=av[1];
C_word t1=av[0];
f_26131(t0,t1);}

C_noret_decl(trf_26134)
static void C_ccall trf_26134(C_word c,C_word *av) C_noret;
static void C_ccall trf_26134(C_word c,C_word *av){
C_word t0=av[1];
C_word t1=av[0];
f_26134(t0,t1);}

C_noret_decl(trf_26154)
static void C_ccall trf_26154(C_word c,C_word *av) C_noret;
static void C_ccall trf_26154(C_word c,C_word *av){
C_word t0=av[1];
C_word t1=av[0];
f_26154(t0,t1);}

C_noret_decl(trf_26577)
static void C_ccall trf_26577(C_word c,C_word *av) C_noret;
static void C_ccall trf_26577(C_word c,C_word *av){
C_word t0=av[3];
C_word t1=av[2];
C_word t2=av[1];
C_word t3=av[0];
f_26577(t0,t1,t2,t3);}

C_noret_decl(trf_26583)
static void C_ccall trf_26583(C_word c,C_word *av) C_noret;
static void C_ccall trf_26583(C_word c,C_word *av){
C_word t0=av[2];
C_word t1=av[1];
C_word t2=av[0];
f_26583(t0,t1,t2);}

C_noret_decl(trf_26599)
static void C_ccall trf_26599(C_word c,C_word *av) C_noret;
static void C_ccall trf_26599(C_word c,C_word *av){
C_word t0=av[1];
C_word t1=av[0];
f_26599(t0,t1);}

C_noret_decl(trf_26696)
static void C_ccall trf_26696(C_word c,C_word *av) C_noret;
static void C_ccall trf_26696(C_word c,C_word *av){
C_word t0=av[2];
C_word t1=av[1];
C_word t2=av[0];
f_26696(t0,t1,t2);}

C_noret_decl(trf_26742)
static void C_ccall trf_26742(C_word c,C_word *av) C_noret;
static void C_ccall trf_26742(C_word c,C_word *av){
C_word t0=av[2];
C_word t1=av[1];
C_word t2=av[0];
f_26742(t0,t1,t2);}

C_noret_decl(trf_26818)
static void C_ccall trf_26818(C_word c,C_word *av) C_noret;
static void C_ccall trf_26818(C_word c,C_word *av){
C_word t0=av[2];
C_word t1=av[1];
C_word t2=av[0];
f_26818(t0,t1,t2);}

C_noret_decl(trf_26870)
static void C_ccall trf_26870(C_word c,C_word *av) C_noret;
static void C_ccall trf_26870(C_word c,C_word *av){
C_word t0=av[2];
C_word t1=av[1];
C_word t2=av[0];
f_26870(t0,t1,t2);}

C_noret_decl(trf_26918)
static void C_ccall trf_26918(C_word c,C_word *av) C_noret;
static void C_ccall trf_26918(C_word c,C_word *av){
C_word t0=av[2];
C_word t1=av[1];
C_word t2=av[0];
f_26918(t0,t1,t2);}

C_noret_decl(trf_26932)
static void C_ccall trf_26932(C_word c,C_word *av) C_noret;
static void C_ccall trf_26932(C_word c,C_word *av){
C_word t0=av[2];
C_word t1=av[1];
C_word t2=av[0];
f_26932(t0,t1,t2);}

C_noret_decl(trf_26988)
static void C_ccall trf_26988(C_word c,C_word *av) C_noret;
static void C_ccall trf_26988(C_word c,C_word *av){
C_word t0=av[2];
C_word t1=av[1];
C_word t2=av[0];
f_26988(t0,t1,t2);}

C_noret_decl(trf_27113)
static void C_ccall trf_27113(C_word c,C_word *av) C_noret;
static void C_ccall trf_27113(C_word c,C_word *av){
C_word t0=av[2];
C_word t1=av[1];
C_word t2=av[0];
f_27113(t0,t1,t2);}

C_noret_decl(trf_27115)
static void C_ccall trf_27115(C_word c,C_word *av) C_noret;
static void C_ccall trf_27115(C_word c,C_word *av){
C_word t0=av[2];
C_word t1=av[1];
C_word t2=av[0];
f_27115(t0,t1,t2);}

C_noret_decl(trf_27136)
static void C_ccall trf_27136(C_word c,C_word *av) C_noret;
static void C_ccall trf_27136(C_word c,C_word *av){
C_word t0=av[2];
C_word t1=av[1];
C_word t2=av[0];
f_27136(t0,t1,t2);}

C_noret_decl(trf_27160)
static void C_ccall trf_27160(C_word c,C_word *av) C_noret;
static void C_ccall trf_27160(C_word c,C_word *av){
C_word t0=av[3];
C_word t1=av[2];
C_word t2=av[1];
C_word t3=av[0];
f_27160(t0,t1,t2,t3);}

C_noret_decl(trf_27176)
static void C_ccall trf_27176(C_word c,C_word *av) C_noret;
static void C_ccall trf_27176(C_word c,C_word *av){
C_word t0=av[1];
C_word t1=av[0];
f_27176(t0,t1);}

C_noret_decl(trf_27214)
static void C_ccall trf_27214(C_word c,C_word *av) C_noret;
static void C_ccall trf_27214(C_word c,C_word *av){
C_word t0=av[2];
C_word t1=av[1];
C_word t2=av[0];
f_27214(t0,t1,t2);}

C_noret_decl(trf_27309)
static void C_ccall trf_27309(C_word c,C_word *av) C_noret;
static void C_ccall trf_27309(C_word c,C_word *av){
C_word t0=av[2];
C_word t1=av[1];
C_word t2=av[0];
f_27309(t0,t1,t2);}

C_noret_decl(trf_27314)
static void C_ccall trf_27314(C_word c,C_word *av) C_noret;
static void C_ccall trf_27314(C_word c,C_word *av){
C_word t0=av[1];
C_word t1=av[0];
f_27314(t0,t1);}

C_noret_decl(trf_28262)
static void C_ccall trf_28262(C_word c,C_word *av) C_noret;
static void C_ccall trf_28262(C_word c,C_word *av){
C_word t0=av[2];
C_word t1=av[1];
C_word t2=av[0];
f_28262(t0,t1,t2);}

C_noret_decl(trf_28326)
static void C_ccall trf_28326(C_word c,C_word *av) C_noret;
static void C_ccall trf_28326(C_word c,C_word *av){
C_word t0=av[2];
C_word t1=av[1];
C_word t2=av[0];
f_28326(t0,t1,t2);}

C_noret_decl(trf_28538)
static void C_ccall trf_28538(C_word c,C_word *av) C_noret;
static void C_ccall trf_28538(C_word c,C_word *av){
C_word t0=av[2];
C_word t1=av[1];
C_word t2=av[0];
f_28538(t0,t1,t2);}

C_noret_decl(trf_28582)
static void C_ccall trf_28582(C_word c,C_word *av) C_noret;
static void C_ccall trf_28582(C_word c,C_word *av){
C_word t0=av[1];
C_word t1=av[0];
f_28582(t0,t1);}

C_noret_decl(trf_28595)
static void C_ccall trf_28595(C_word c,C_word *av) C_noret;
static void C_ccall trf_28595(C_word c,C_word *av){
C_word t0=av[2];
C_word t1=av[1];
C_word t2=av[0];
f_28595(t0,t1,t2);}

C_noret_decl(trf_28629)
static void C_ccall trf_28629(C_word c,C_word *av) C_noret;
static void C_ccall trf_28629(C_word c,C_word *av){
C_word t0=av[2];
C_word t1=av[1];
C_word t2=av[0];
f_28629(t0,t1,t2);}

C_noret_decl(trf_28644)
static void C_ccall trf_28644(C_word c,C_word *av) C_noret;
static void C_ccall trf_28644(C_word c,C_word *av){
C_word t0=av[1];
C_word t1=av[0];
f_28644(t0,t1);}

C_noret_decl(trf_28720)
static void C_ccall trf_28720(C_word c,C_word *av) C_noret;
static void C_ccall trf_28720(C_word c,C_word *av){
C_word t0=av[2];
C_word t1=av[1];
C_word t2=av[0];
f_28720(t0,t1,t2);}

C_noret_decl(trf_28820)
static void C_ccall trf_28820(C_word c,C_word *av) C_noret;
static void C_ccall trf_28820(C_word c,C_word *av){
C_word t0=av[1];
C_word t1=av[0];
f_28820(t0,t1);}

C_noret_decl(trf_28839)
static void C_ccall trf_28839(C_word c,C_word *av) C_noret;
static void C_ccall trf_28839(C_word c,C_word *av){
C_word t0=av[2];
C_word t1=av[1];
C_word t2=av[0];
f_28839(t0,t1,t2);}

C_noret_decl(trf_28880)
static void C_ccall trf_28880(C_word c,C_word *av) C_noret;
static void C_ccall trf_28880(C_word c,C_word *av){
C_word t0=av[4];
C_word t1=av[3];
C_word t2=av[2];
C_word t3=av[1];
C_word t4=av[0];
f_28880(t0,t1,t2,t3,t4);}

C_noret_decl(trf_28903)
static void C_ccall trf_28903(C_word c,C_word *av) C_noret;
static void C_ccall trf_28903(C_word c,C_word *av){
C_word t0=av[1];
C_word t1=av[0];
f_28903(t0,t1);}

C_noret_decl(trf_29205)
static void C_ccall trf_29205(C_word c,C_word *av) C_noret;
static void C_ccall trf_29205(C_word c,C_word *av){
C_word t0=av[2];
C_word t1=av[1];
C_word t2=av[0];
f_29205(t0,t1,t2);}

C_noret_decl(trf_29217)
static void C_ccall trf_29217(C_word c,C_word *av) C_noret;
static void C_ccall trf_29217(C_word c,C_word *av){
C_word t0=av[2];
C_word t1=av[1];
C_word t2=av[0];
f_29217(t0,t1,t2);}

C_noret_decl(trf_29298)
static void C_ccall trf_29298(C_word c,C_word *av) C_noret;
static void C_ccall trf_29298(C_word c,C_word *av){
C_word t0=av[3];
C_word t1=av[2];
C_word t2=av[1];
C_word t3=av[0];
f_29298(t0,t1,t2,t3);}

C_noret_decl(trf_29436)
static void C_ccall trf_29436(C_word c,C_word *av) C_noret;
static void C_ccall trf_29436(C_word c,C_word *av){
C_word t0=av[1];
C_word t1=av[0];
f_29436(t0,t1);}

C_noret_decl(trf_29476)
static void C_ccall trf_29476(C_word c,C_word *av) C_noret;
static void C_ccall trf_29476(C_word c,C_word *av){
C_word t0=av[2];
C_word t1=av[1];
C_word t2=av[0];
f_29476(t0,t1,t2);}

C_noret_decl(trf_29589)
static void C_ccall trf_29589(C_word c,C_word *av) C_noret;
static void C_ccall trf_29589(C_word c,C_word *av){
C_word t0=av[1];
C_word t1=av[0];
f_29589(t0,t1);}

C_noret_decl(trf_30023)
static void C_ccall trf_30023(C_word c,C_word *av) C_noret;
static void C_ccall trf_30023(C_word c,C_word *av){
C_word t0=av[1];
C_word t1=av[0];
f_30023(t0,t1);}

C_noret_decl(trf_30035)
static void C_ccall trf_30035(C_word c,C_word *av) C_noret;
static void C_ccall trf_30035(C_word c,C_word *av){
C_word t0=av[2];
C_word t1=av[1];
C_word t2=av[0];
f_30035(t0,t1,t2);}

C_noret_decl(trf_30094)
static void C_ccall trf_30094(C_word c,C_word *av) C_noret;
static void C_ccall trf_30094(C_word c,C_word *av){
C_word t0=av[1];
C_word t1=av[0];
f_30094(t0,t1);}

C_noret_decl(trf_30108)
static void C_ccall trf_30108(C_word c,C_word *av) C_noret;
static void C_ccall trf_30108(C_word c,C_word *av){
C_word t0=av[2];
C_word t1=av[1];
C_word t2=av[0];
f_30108(t0,t1,t2);}

C_noret_decl(trf_30128)
static void C_ccall trf_30128(C_word c,C_word *av) C_noret;
static void C_ccall trf_30128(C_word c,C_word *av){
C_word t0=av[2];
C_word t1=av[1];
C_word t2=av[0];
f_30128(t0,t1,t2);}

C_noret_decl(trf_30351)
static void C_ccall trf_30351(C_word c,C_word *av) C_noret;
static void C_ccall trf_30351(C_word c,C_word *av){
C_word t0=av[1];
C_word t1=av[0];
f_30351(t0,t1);}

C_noret_decl(trf_30374)
static void C_ccall trf_30374(C_word c,C_word *av) C_noret;
static void C_ccall trf_30374(C_word c,C_word *av){
C_word t0=av[1];
C_word t1=av[0];
f_30374(t0,t1);}

C_noret_decl(trf_30555)
static void C_ccall trf_30555(C_word c,C_word *av) C_noret;
static void C_ccall trf_30555(C_word c,C_word *av){
C_word t0=av[1];
C_word t1=av[0];
f_30555(t0,t1);}

C_noret_decl(trf_30588)
static void C_ccall trf_30588(C_word c,C_word *av) C_noret;
static void C_ccall trf_30588(C_word c,C_word *av){
C_word t0=av[1];
C_word t1=av[0];
f_30588(t0,t1);}

C_noret_decl(trf_30591)
static void C_ccall trf_30591(C_word c,C_word *av) C_noret;
static void C_ccall trf_30591(C_word c,C_word *av){
C_word t0=av[1];
C_word t1=av[0];
f_30591(t0,t1);}

C_noret_decl(trf_30594)
static void C_ccall trf_30594(C_word c,C_word *av) C_noret;
static void C_ccall trf_30594(C_word c,C_word *av){
C_word t0=av[1];
C_word t1=av[0];
f_30594(t0,t1);}

C_noret_decl(trf_30597)
static void C_ccall trf_30597(C_word c,C_word *av) C_noret;
static void C_ccall trf_30597(C_word c,C_word *av){
C_word t0=av[1];
C_word t1=av[0];
f_30597(t0,t1);}

C_noret_decl(trf_30600)
static void C_ccall trf_30600(C_word c,C_word *av) C_noret;
static void C_ccall trf_30600(C_word c,C_word *av){
C_word t0=av[1];
C_word t1=av[0];
f_30600(t0,t1);}

C_noret_decl(trf_30633)
static void C_ccall trf_30633(C_word c,C_word *av) C_noret;
static void C_ccall trf_30633(C_word c,C_word *av){
C_word t0=av[2];
C_word t1=av[1];
C_word t2=av[0];
f_30633(t0,t1,t2);}

C_noret_decl(trf_30669)
static void C_ccall trf_30669(C_word c,C_word *av) C_noret;
static void C_ccall trf_30669(C_word c,C_word *av){
C_word t0=av[2];
C_word t1=av[1];
C_word t2=av[0];
f_30669(t0,t1,t2);}

C_noret_decl(trf_30700)
static void C_ccall trf_30700(C_word c,C_word *av) C_noret;
static void C_ccall trf_30700(C_word c,C_word *av){
C_word t0=av[2];
C_word t1=av[1];
C_word t2=av[0];
f_30700(t0,t1,t2);}

C_noret_decl(trf_30743)
static void C_ccall trf_30743(C_word c,C_word *av) C_noret;
static void C_ccall trf_30743(C_word c,C_word *av){
C_word t0=av[2];
C_word t1=av[1];
C_word t2=av[0];
f_30743(t0,t1,t2);}

C_noret_decl(trf_30975)
static void C_ccall trf_30975(C_word c,C_word *av) C_noret;
static void C_ccall trf_30975(C_word c,C_word *av){
C_word t0=av[2];
C_word t1=av[1];
C_word t2=av[0];
f_30975(t0,t1,t2);}

C_noret_decl(trf_30994)
static void C_ccall trf_30994(C_word c,C_word *av) C_noret;
static void C_ccall trf_30994(C_word c,C_word *av){
C_word t0=av[1];
C_word t1=av[0];
f_30994(t0,t1);}

C_noret_decl(trf_31147)
static void C_ccall trf_31147(C_word c,C_word *av) C_noret;
static void C_ccall trf_31147(C_word c,C_word *av){
C_word t0=av[2];
C_word t1=av[1];
C_word t2=av[0];
f_31147(t0,t1,t2);}

C_noret_decl(trf_31186)
static void C_ccall trf_31186(C_word c,C_word *av) C_noret;
static void C_ccall trf_31186(C_word c,C_word *av){
C_word t0=av[2];
C_word t1=av[1];
C_word t2=av[0];
f_31186(t0,t1,t2);}

C_noret_decl(trf_31202)
static void C_ccall trf_31202(C_word c,C_word *av) C_noret;
static void C_ccall trf_31202(C_word c,C_word *av){
C_word t0=av[2];
C_word t1=av[1];
C_word t2=av[0];
f_31202(t0,t1,t2);}

C_noret_decl(trf_31368)
static void C_ccall trf_31368(C_word c,C_word *av) C_noret;
static void C_ccall trf_31368(C_word c,C_word *av){
C_word t0=av[1];
C_word t1=av[0];
f_31368(t0,t1);}

C_noret_decl(trf_31875)
static void C_ccall trf_31875(C_word c,C_word *av) C_noret;
static void C_ccall trf_31875(C_word c,C_word *av){
C_word t0=av[1];
C_word t1=av[0];
f_31875(t0,t1);}

C_noret_decl(trf_31877)
static void C_ccall trf_31877(C_word c,C_word *av) C_noret;
static void C_ccall trf_31877(C_word c,C_word *av){
C_word t0=av[4];
C_word t1=av[3];
C_word t2=av[2];
C_word t3=av[1];
C_word t4=av[0];
f_31877(t0,t1,t2,t3,t4);}

C_noret_decl(trf_31973)
static void C_ccall trf_31973(C_word c,C_word *av) C_noret;
static void C_ccall trf_31973(C_word c,C_word *av){
C_word t0=av[1];
C_word t1=av[0];
f_31973(t0,t1);}

C_noret_decl(trf_31986)
static void C_ccall trf_31986(C_word c,C_word *av) C_noret;
static void C_ccall trf_31986(C_word c,C_word *av){
C_word t0=av[6];
C_word t1=av[5];
C_word t2=av[4];
C_word t3=av[3];
C_word t4=av[2];
C_word t5=av[1];
C_word t6=av[0];
f_31986(t0,t1,t2,t3,t4,t5,t6);}

C_noret_decl(trf_8812)
static void C_ccall trf_8812(C_word c,C_word *av) C_noret;
static void C_ccall trf_8812(C_word c,C_word *av){
C_word t0=av[3];
C_word t1=av[2];
C_word t2=av[1];
C_word t3=av[0];
f_8812(t0,t1,t2,t3);}

C_noret_decl(trf_9276)
static void C_ccall trf_9276(C_word c,C_word *av) C_noret;
static void C_ccall trf_9276(C_word c,C_word *av){
C_word t0=av[3];
C_word t1=av[2];
C_word t2=av[1];
C_word t3=av[0];
f_9276(t0,t1,t2,t3);}

C_noret_decl(trf_9313)
static void C_ccall trf_9313(C_word c,C_word *av) C_noret;
static void C_ccall trf_9313(C_word c,C_word *av){
C_word t0=av[2];
C_word t1=av[1];
C_word t2=av[0];
f_9313(t0,t1,t2);}

C_noret_decl(trf_9399)
static void C_ccall trf_9399(C_word c,C_word *av) C_noret;
static void C_ccall trf_9399(C_word c,C_word *av){
C_word t0=av[2];
C_word t1=av[1];
C_word t2=av[0];
f_9399(t0,t1,t2);}

C_noret_decl(trf_9432)
static void C_ccall trf_9432(C_word c,C_word *av) C_noret;
static void C_ccall trf_9432(C_word c,C_word *av){
C_word t0=av[2];
C_word t1=av[1];
C_word t2=av[0];
f_9432(t0,t1,t2);}

C_noret_decl(trf_9550)
static void C_ccall trf_9550(C_word c,C_word *av) C_noret;
static void C_ccall trf_9550(C_word c,C_word *av){
C_word t0=av[2];
C_word t1=av[1];
C_word t2=av[0];
f_9550(t0,t1,t2);}

C_noret_decl(trf_9585)
static void C_ccall trf_9585(C_word c,C_word *av) C_noret;
static void C_ccall trf_9585(C_word c,C_word *av){
C_word t0=av[2];
C_word t1=av[1];
C_word t2=av[0];
f_9585(t0,t1,t2);}

C_noret_decl(trf_9649)
static void C_ccall trf_9649(C_word c,C_word *av) C_noret;
static void C_ccall trf_9649(C_word c,C_word *av){
C_word t0=av[2];
C_word t1=av[1];
C_word t2=av[0];
f_9649(t0,t1,t2);}

C_noret_decl(trf_9714)
static void C_ccall trf_9714(C_word c,C_word *av) C_noret;
static void C_ccall trf_9714(C_word c,C_word *av){
C_word t0=av[2];
C_word t1=av[1];
C_word t2=av[0];
f_9714(t0,t1,t2);}

C_noret_decl(trf_9750)
static void C_ccall trf_9750(C_word c,C_word *av) C_noret;
static void C_ccall trf_9750(C_word c,C_word *av){
C_word t0=av[2];
C_word t1=av[1];
C_word t2=av[0];
f_9750(t0,t1,t2);}

C_noret_decl(trf_9779)
static void C_ccall trf_9779(C_word c,C_word *av) C_noret;
static void C_ccall trf_9779(C_word c,C_word *av){
C_word t0=av[3];
C_word t1=av[2];
C_word t2=av[1];
C_word t3=av[0];
f_9779(t0,t1,t2,t3);}

C_noret_decl(trf_9818)
static void C_ccall trf_9818(C_word c,C_word *av) C_noret;
static void C_ccall trf_9818(C_word c,C_word *av){
C_word t0=av[1];
C_word t1=av[0];
f_9818(t0,t1);}

C_noret_decl(trf_9826)
static void C_ccall trf_9826(C_word c,C_word *av) C_noret;
static void C_ccall trf_9826(C_word c,C_word *av){
C_word t0=av[2];
C_word t1=av[1];
C_word t2=av[0];
f_9826(t0,t1,t2);}

C_noret_decl(trf_9880)
static void C_ccall trf_9880(C_word c,C_word *av) C_noret;
static void C_ccall trf_9880(C_word c,C_word *av){
C_word t0=av[3];
C_word t1=av[2];
C_word t2=av[1];
C_word t3=av[0];
f_9880(t0,t1,t2,t3);}

C_noret_decl(trf_9958)
static void C_ccall trf_9958(C_word c,C_word *av) C_noret;
static void C_ccall trf_9958(C_word c,C_word *av){
C_word t0=av[1];
C_word t1=av[0];
f_9958(t0,t1);}

C_noret_decl(trf_9996)
static void C_ccall trf_9996(C_word c,C_word *av) C_noret;
static void C_ccall trf_9996(C_word c,C_word *av){
C_word t0=av[2];
C_word t1=av[1];
C_word t2=av[0];
f_9996(t0,t1,t2);}

/* f33874 in chicken.base#emergency-exit in k8490 */
static void C_ccall f33874(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f33874,2,av);}
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=C_exit_runtime(C_fix(0));
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* f34403 in chicken.base#exit in k8490 */
static void C_ccall f34403(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f34403,2,av);}
/* library.scm:721: g671 */
t2=t1;{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[2];
av2[2]=C_fix(0);
((C_proc)(void*)(*((C_word*)t2+1)))(3,av2);}}

/* f36624 in k30952 in k29322 in k29140 in k28503 in k28443 in k27110 in k27107 in k27104 in k26337 in k26025 in k26021 in k26017 in k23772 in k23768 in k23764 in k20151 in k20147 in k20143 in k20139 in k20135 in k19774 in ... */
static void C_ccall f36624(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f36624,3,av);}
t3=C_i_check_list_2(t2,lf[1348]);
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=t2;
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* f36630 in k31040 in k29140 in k28503 in k28443 in k27110 in k27107 in k27104 in k26337 in k26025 in k26021 in k26017 in k23772 in k23768 in k23764 in k20151 in k20147 in k20143 in k20139 in k20135 in k19774 in k19770 in ... */
static void C_ccall f36630(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f36630,3,av);}
t3=C_i_check_string_2(t2,lf[1350]);
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=t2;
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* f36636 in k31036 in k31040 in k29140 in k28503 in k28443 in k27110 in k27107 in k27104 in k26337 in k26025 in k26021 in k26017 in k23772 in k23768 in k23764 in k20151 in k20147 in k20143 in k20139 in k20135 in k19774 in ... */
static void C_ccall f36636(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f36636,3,av);}
t3=C_i_check_string_2(t2,lf[1350]);
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=t2;
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* k10010 in loop */
static void C_ccall f_10012(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_10012,2,av);}
if(C_truep(t1)){
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=((C_word*)t0)[3];
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}
else{
t2=C_slot(((C_word*)t0)[4],C_fix(1));
/* library.scm:894: loop */
t3=((C_word*)((C_word*)t0)[5])[1];
f_9996(t3,((C_word*)t0)[2],t2);}}

/* chicken.base#alist-update in k8490 */
static void C_ccall f_10037(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4=av[4];
C_word t5;
C_word *a;
if(c<5) C_bad_min_argc_2(c,5,t0);
if(C_unlikely(!C_demand(C_calculate_demand((c-5)*C_SIZEOF_PAIR +9,c,3)))){
C_save_and_reclaim((void*)f_10037,c,av);}
a=C_alloc((c-5)*C_SIZEOF_PAIR+9);
t5=C_build_rest(&a,c,5,av);
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word t12;
t6=C_i_nullp(t5);
t7=(C_truep(t6)?*((C_word*)lf[5]+1):C_i_car(t5));
t8=t7;
t9=C_SCHEME_UNDEFINED;
t10=(*a=C_VECTOR_TYPE|1,a[1]=t9,tmp=(C_word)a,a+=2,tmp);
t11=C_set_block_item(t10,0,(*a=C_CLOSURE_TYPE|6,a[1]=(C_word)f_10046,a[2]=t2,a[3]=t3,a[4]=t10,a[5]=t8,a[6]=((C_word)li189),tmp=(C_word)a,a+=7,tmp));
t12=((C_word*)t10)[1];
f_10046(t12,t1,t4);}

/* loop in chicken.base#alist-update in k8490 */
static void C_fcall f_10046(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(8,0,4)))){
C_save_and_reclaim_args((void *)trf_10046,3,t0,t1,t2);}
a=C_alloc(8);
if(C_truep(C_i_nullp(t2))){
t3=C_a_i_cons(&a,2,((C_word*)t0)[2],((C_word*)t0)[3]);
t4=t1;{
C_word av2[2];
av2[0]=t4;
av2[1]=C_a_i_list1(&a,1,t3);
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}
else{
t3=C_i_pairp(t2);
if(C_truep(C_i_not(t3))){
/* library.scm:907: chicken.base#error */
t4=*((C_word*)lf[193]+1);{
C_word av2[5];
av2[0]=t4;
av2[1]=t1;
av2[2]=lf[261];
av2[3]=lf[262];
av2[4]=t2;
((C_proc)(void*)(*((C_word*)t4+1)))(5,av2);}}
else{
t4=C_slot(t2,C_fix(0));
t5=t4;
t6=C_i_pairp(t5);
if(C_truep(C_i_not(t6))){
/* library.scm:911: chicken.base#error */
t7=*((C_word*)lf[193]+1);{
C_word av2[5];
av2[0]=t7;
av2[1]=t1;
av2[2]=lf[261];
av2[3]=lf[263];
av2[4]=t5;
((C_proc)(void*)(*((C_word*)t7+1)))(5,av2);}}
else{
t7=(*a=C_CLOSURE_TYPE|7,a[1]=(C_word)f_10087,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=t2,a[5]=t1,a[6]=t5,a[7]=((C_word*)t0)[4],tmp=(C_word)a,a+=8,tmp);
t8=C_slot(t5,C_fix(0));
/* library.scm:912: cmp */
t9=((C_word*)t0)[5];{
C_word av2[4];
av2[0]=t9;
av2[1]=t7;
av2[2]=((C_word*)t0)[2];
av2[3]=t8;
((C_proc)C_fast_retrieve_proc(t9))(4,av2);}}}}}

/* k10085 in loop in chicken.base#alist-update in k8490 */
static void C_ccall f_10087(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(7,c,2)))){
C_save_and_reclaim((void *)f_10087,2,av);}
a=C_alloc(7);
if(C_truep(t1)){
t2=C_a_i_cons(&a,2,((C_word*)t0)[2],((C_word*)t0)[3]);
t3=C_slot(((C_word*)t0)[4],C_fix(1));
t4=((C_word*)t0)[5];{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_a_i_cons(&a,2,t2,t3);
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}
else{
t2=C_slot(((C_word*)t0)[6],C_fix(0));
t3=C_slot(((C_word*)t0)[6],C_fix(1));
t4=C_a_i_cons(&a,2,t2,t3);
t5=t4;
t6=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_10109,a[2]=((C_word*)t0)[5],a[3]=t5,tmp=(C_word)a,a+=4,tmp);
t7=C_slot(((C_word*)t0)[4],C_fix(1));
/* library.scm:916: loop */
t8=((C_word*)((C_word*)t0)[7])[1];
f_10046(t8,t6,t7);}}

/* k10107 in k10085 in loop in chicken.base#alist-update in k8490 */
static void C_ccall f_10109(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,1)))){
C_save_and_reclaim((void *)f_10109,2,av);}
a=C_alloc(3);
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=C_a_i_cons(&a,2,((C_word*)t0)[3],t1);
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* chicken.base#alist-ref in k8490 */
static void C_ccall f_10141(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word *a;
if(c<4) C_bad_min_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand((c-4)*C_SIZEOF_PAIR +10,c,4)))){
C_save_and_reclaim((void*)f_10141,c,av);}
a=C_alloc((c-4)*C_SIZEOF_PAIR+10);
t4=C_build_rest(&a,c,4,av);
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word t12;
C_word t13;
C_word t14;
C_word t15;
C_word t16;
C_word t17;
C_word t18;
C_word t19;
t5=C_i_nullp(t4);
t6=(C_truep(t5)?*((C_word*)lf[5]+1):C_i_car(t4));
t7=t6;
t8=C_i_nullp(t4);
t9=(C_truep(t8)?C_SCHEME_END_OF_LIST:C_i_cdr(t4));
t10=C_i_nullp(t9);
t11=(C_truep(t10)?C_SCHEME_FALSE:C_i_car(t9));
t12=t11;
t13=C_i_nullp(t9);
t14=(C_truep(t13)?C_SCHEME_END_OF_LIST:C_i_cdr(t9));
t15=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_10157,a[2]=t1,a[3]=t12,a[4]=t2,a[5]=t3,tmp=(C_word)a,a+=6,tmp);
t16=C_eqp(*((C_word*)lf[4]+1),t7);
if(C_truep(t16)){
t17=t15;
f_10157(t17,*((C_word*)lf[52]+1));}
else{
t17=C_eqp(*((C_word*)lf[5]+1),t7);
if(C_truep(t17)){
t18=t15;
f_10157(t18,*((C_word*)lf[53]+1));}
else{
t18=C_eqp(*((C_word*)lf[6]+1),t7);
t19=t15;
f_10157(t19,(C_truep(t18)?*((C_word*)lf[54]+1):(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_10182,a[2]=t7,a[3]=((C_word)li192),tmp=(C_word)a,a+=4,tmp)));}}}

/* k10155 in chicken.base#alist-ref in k8490 */
static void C_fcall f_10157(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,0,3)))){
C_save_and_reclaim_args((void *)trf_10157,2,t0,t1);}
a=C_alloc(4);
t2=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_10160,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],tmp=(C_word)a,a+=4,tmp);
/* library.scm:934: aq */
t3=t1;{
C_word av2[4];
av2[0]=t3;
av2[1]=t2;
av2[2]=((C_word*)t0)[4];
av2[3]=((C_word*)t0)[5];
((C_proc)(void*)(*((C_word*)t3+1)))(4,av2);}}

/* k10158 in k10155 in chicken.base#alist-ref in k8490 */
static void C_ccall f_10160(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_10160,2,av);}
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=(C_truep(t1)?C_slot(t1,C_fix(1)):((C_word*)t0)[3]);
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* f_10182 in chicken.base#alist-ref in k8490 */
static void C_ccall f_10182(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(8,c,3)))){
C_save_and_reclaim((void *)f_10182,4,av);}
a=C_alloc(8);
t4=C_SCHEME_UNDEFINED;
t5=(*a=C_VECTOR_TYPE|1,a[1]=t4,tmp=(C_word)a,a+=2,tmp);
t6=C_set_block_item(t5,0,(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_10188,a[2]=t5,a[3]=((C_word*)t0)[2],a[4]=t2,a[5]=((C_word)li191),tmp=(C_word)a,a+=6,tmp));
t7=((C_word*)t5)[1];
f_10188(t7,t1,t3);}

/* loop */
static void C_fcall f_10188(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,0,4)))){
C_save_and_reclaim_args((void *)trf_10188,3,t0,t1,t2);}
a=C_alloc(6);
if(C_truep(C_i_nullp(t2))){
t3=t1;{
C_word av2[2];
av2[0]=t3;
av2[1]=C_SCHEME_FALSE;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}
else{
if(C_truep(C_i_pairp(t2))){
t3=C_slot(t2,C_fix(0));
t4=t3;
t5=C_i_check_pair_2(t4,lf[265]);
t6=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_10213,a[2]=t1,a[3]=t4,a[4]=t2,a[5]=((C_word*)t0)[2],tmp=(C_word)a,a+=6,tmp);
t7=C_slot(t4,C_fix(0));
/* library.scm:930: cmp */
t8=((C_word*)t0)[3];{
C_word av2[4];
av2[0]=t8;
av2[1]=t6;
av2[2]=((C_word*)t0)[4];
av2[3]=t7;
((C_proc)C_fast_retrieve_proc(t8))(4,av2);}}
else{
/* library.scm:933: chicken.base#error */
t3=*((C_word*)lf[193]+1);{
C_word av2[5];
av2[0]=t3;
av2[1]=t1;
av2[2]=lf[265];
av2[3]=lf[266];
av2[4]=t2;
((C_proc)(void*)(*((C_word*)t3+1)))(5,av2);}}}}

/* k10211 in loop */
static void C_ccall f_10213(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_10213,2,av);}
if(C_truep(t1)){
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=((C_word*)t0)[3];
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}
else{
t2=C_slot(((C_word*)t0)[4],C_fix(1));
/* library.scm:932: loop */
t3=((C_word*)((C_word*)t0)[5])[1];
f_10188(t3,((C_word*)t0)[2],t2);}}

/* chicken.base#rassoc in k8490 */
static void C_ccall f_10253(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word *a;
if(c<4) C_bad_min_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand((c-4)*C_SIZEOF_PAIR +5,c,2)))){
C_save_and_reclaim((void*)f_10253,c,av);}
a=C_alloc((c-4)*C_SIZEOF_PAIR+5);
t4=C_build_rest(&a,c,4,av);
C_word t5;
C_word t6;
C_word t7;
C_word t8;
t5=C_i_check_list_2(t3,lf[268]);
t6=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_10260,a[2]=t2,a[3]=t1,a[4]=t3,tmp=(C_word)a,a+=5,tmp);
if(C_truep(C_i_pairp(t4))){
t7=t4;
t8=t6;
f_10260(t8,C_u_i_car(t7));}
else{
t7=t6;
f_10260(t7,*((C_word*)lf[5]+1));}}

/* k10258 in chicken.base#rassoc in k8490 */
static void C_fcall f_10260(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(8,0,3)))){
C_save_and_reclaim_args((void *)trf_10260,2,t0,t1);}
a=C_alloc(8);
t2=t1;
t3=C_SCHEME_UNDEFINED;
t4=(*a=C_VECTOR_TYPE|1,a[1]=t3,tmp=(C_word)a,a+=2,tmp);
t5=C_set_block_item(t4,0,(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_10265,a[2]=t4,a[3]=t2,a[4]=((C_word*)t0)[2],a[5]=((C_word)li194),tmp=(C_word)a,a+=6,tmp));
t6=((C_word*)t4)[1];
f_10265(t6,((C_word*)t0)[3],((C_word*)t0)[4]);}

/* loop in k10258 in chicken.base#rassoc in k8490 */
static void C_fcall f_10265(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,0,3)))){
C_save_and_reclaim_args((void *)trf_10265,3,t0,t1,t2);}
a=C_alloc(6);
if(C_truep(C_i_pairp(t2))){
t3=C_slot(t2,C_fix(0));
t4=t3;
t5=C_i_check_pair_2(t4,lf[268]);
t6=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_10284,a[2]=t1,a[3]=t4,a[4]=t2,a[5]=((C_word*)t0)[2],tmp=(C_word)a,a+=6,tmp);
t7=C_slot(t4,C_fix(1));
/* library.scm:947: tst */
t8=((C_word*)t0)[3];{
C_word av2[4];
av2[0]=t8;
av2[1]=t6;
av2[2]=((C_word*)t0)[4];
av2[3]=t7;
((C_proc)C_fast_retrieve_proc(t8))(4,av2);}}
else{
t3=t1;{
C_word av2[2];
av2[0]=t3;
av2[1]=C_SCHEME_FALSE;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}}

/* k10282 in loop in k10258 in chicken.base#rassoc in k8490 */
static void C_ccall f_10284(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_10284,2,av);}
if(C_truep(t1)){
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=((C_word*)t0)[3];
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}
else{
t2=C_slot(((C_word*)t0)[4],C_fix(1));
/* library.scm:949: loop */
t3=((C_word*)((C_word*)t0)[5])[1];
f_10265(t3,((C_word*)t0)[2],t2);}}

/* chicken.fixnum#fx+ in k8490 */
static void C_ccall f_10306(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_10306,4,av);}
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_fixnum_plus(t2,t3);
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* chicken.fixnum#fx- in k8490 */
static void C_ccall f_10309(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_10309,4,av);}
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_fixnum_difference(t2,t3);
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* chicken.fixnum#fx* in k8490 */
static void C_ccall f_10312(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_10312,4,av);}
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_fixnum_times(t2,t3);
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* chicken.fixnum#fx= in k8490 */
static void C_ccall f_10315(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_10315,4,av);}
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_eqp(t2,t3);
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* chicken.fixnum#fx> in k8490 */
static void C_ccall f_10321(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_10321,4,av);}
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_fixnum_greaterp(t2,t3);
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* chicken.fixnum#fx< in k8490 */
static void C_ccall f_10324(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_10324,4,av);}
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_fixnum_lessp(t2,t3);
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* chicken.fixnum#fx>= in k8490 */
static void C_ccall f_10327(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_10327,4,av);}
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_fixnum_greater_or_equal_p(t2,t3);
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* chicken.fixnum#fx<= in k8490 */
static void C_ccall f_10330(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_10330,4,av);}
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_fixnum_less_or_equal_p(t2,t3);
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* chicken.fixnum#fxmin in k8490 */
static void C_ccall f_10333(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_10333,4,av);}
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_i_fixnum_min(t2,t3);
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* chicken.fixnum#fxmax in k8490 */
static void C_ccall f_10336(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_10336,4,av);}
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_i_fixnum_max(t2,t3);
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* chicken.fixnum#fxneg in k8490 */
static void C_ccall f_10339(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_10339,3,av);}
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_fixnum_negate(t2);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* chicken.fixnum#fxand in k8490 */
static void C_ccall f_10342(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_10342,4,av);}
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_fixnum_and(t2,t3);
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* chicken.fixnum#fxior in k8490 */
static void C_ccall f_10345(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_10345,4,av);}
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_fixnum_or(t2,t3);
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* chicken.fixnum#fxxor in k8490 */
static void C_ccall f_10348(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_10348,4,av);}
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_fixnum_xor(t2,t3);
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* chicken.fixnum#fxnot in k8490 */
static void C_ccall f_10351(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_10351,3,av);}
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_fixnum_not(t2);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* chicken.fixnum#fxshl in k8490 */
static void C_ccall f_10354(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_10354,4,av);}
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_fixnum_shift_left(t2,t3);
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* chicken.fixnum#fxshr in k8490 */
static void C_ccall f_10357(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_10357,4,av);}
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_fixnum_shift_right(t2,t3);
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* chicken.fixnum#fxodd? in k8490 */
static void C_ccall f_10360(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_10360,3,av);}
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_i_fixnumoddp(t2);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* chicken.fixnum#fxeven? in k8490 */
static void C_ccall f_10363(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_10363,3,av);}
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_i_fixnumevenp(t2);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* chicken.fixnum#fxlen in k8490 */
static void C_ccall f_10366(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_10366,3,av);}
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_i_fixnum_length(t2);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* chicken.fixnum#fx/ in k8490 */
static void C_ccall f_10369(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_10369,4,av);}
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_fixnum_divide(t2,t3);
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* chicken.fixnum#fxgcd in k8490 */
static void C_ccall f_10372(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_10372,4,av);}
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_i_fixnum_gcd(t2,t3);
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* chicken.fixnum#fxmod in k8490 */
static void C_ccall f_10375(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_10375,4,av);}
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_fixnum_modulo(t2,t3);
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* chicken.fixnum#fxrem in k8490 */
static void C_ccall f_10378(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_10378,4,av);}
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_i_fixnum_remainder_checked(t2,t3);
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* chicken.fixnum#fx+? in k8490 */
static void C_ccall f_10381(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_10381,4,av);}
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_i_o_fixnum_plus(t2,t3);
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* chicken.fixnum#fx-? in k8490 */
static void C_ccall f_10384(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_10384,4,av);}
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_i_o_fixnum_difference(t2,t3);
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* chicken.fixnum#fx*? in k8490 */
static void C_ccall f_10387(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_10387,4,av);}
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_i_o_fixnum_times(t2,t3);
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* chicken.fixnum#fx/? in k8490 */
static void C_ccall f_10390(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_10390,4,av);}
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_i_o_fixnum_quotient(t2,t3);
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* ##sys#debug-mode? in k8490 */
static void C_ccall f_10393(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(c!=2) C_bad_argc_2(c,2,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_10393,2,av);}
t2=t1;{
C_word *av2=av;
av2[0]=t2;
av2[1]=C_i_debug_modep();
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* chicken.base#warning in k8490 */
static void C_ccall f_10398(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c<3) C_bad_min_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand((c-3)*C_SIZEOF_PAIR +0,c,5)))){
C_save_and_reclaim((void*)f_10398,c,av);}
a=C_alloc((c-3)*C_SIZEOF_PAIR+0);
t3=C_build_rest(&a,c,3,av);
C_word t4;
C_word t5;
if(C_truep(*((C_word*)lf[304]+1))){{
C_word *av2;
if(c >= 6) {
  av2=av;
} else {
  av2=C_alloc(6);
}
av2[0]=0;
av2[1]=t1;
av2[2]=C_fast_retrieve(lf[194]);
av2[3]=lf[307];
av2[4]=t2;
av2[5]=t3;
C_apply(6,av2);}}
else{
t4=C_SCHEME_UNDEFINED;
t5=t1;{
C_word *av2=av;
av2[0]=t5;
av2[1]=t4;
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}}

/* chicken.base#notice in k8490 */
static void C_ccall f_10407(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c<3) C_bad_min_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand((c-3)*C_SIZEOF_PAIR +0,c,5)))){
C_save_and_reclaim((void*)f_10407,c,av);}
a=C_alloc((c-3)*C_SIZEOF_PAIR+0);
t3=C_build_rest(&a,c,3,av);
C_word t4;
C_word t5;
C_word t6;
t4=(C_truep(*((C_word*)lf[305]+1))?*((C_word*)lf[304]+1):C_SCHEME_FALSE);
if(C_truep(t4)){{
C_word *av2;
if(c >= 6) {
  av2=av;
} else {
  av2=C_alloc(6);
}
av2[0]=0;
av2[1]=t1;
av2[2]=C_fast_retrieve(lf[194]);
av2[3]=lf[309];
av2[4]=t2;
av2[5]=t3;
C_apply(6,av2);}}
else{
t5=C_SCHEME_UNDEFINED;
t6=t1;{
C_word *av2=av;
av2[0]=t6;
av2[1]=t5;
((C_proc)(void*)(*((C_word*)t6+1)))(2,av2);}}}

/* chicken.base#enable-warnings in k8490 */
static void C_ccall f_10419(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand((c-2)*C_SIZEOF_PAIR +0,c,1)))){
C_save_and_reclaim((void*)f_10419,c,av);}
a=C_alloc((c-2)*C_SIZEOF_PAIR+0);
t2=C_build_rest(&a,c,2,av);
C_word t3;
C_word t4;
C_word t5;
if(C_truep(C_i_pairp(t2))){
t3=t2;
t4=C_mutate((C_word*)lf[304]+1 /* (set! ##sys#warnings-enabled ...) */,C_u_i_car(t3));
t5=t1;{
C_word *av2=av;
av2[0]=t5;
av2[1]=t4;
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}
else{
t3=*((C_word*)lf[304]+1);
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=*((C_word*)lf[304]+1);
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}}

/* ##sys#setslot in k8490 */
static void C_ccall f_10434(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4=av[4];
C_word t5;
C_word *a;
if(c!=5) C_bad_argc_2(c,5,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_10434,5,av);}
t5=t1;{
C_word *av2=av;
av2[0]=t5;
av2[1]=C_i_setslot(t2,t3,t4);
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}

/* ##sys#setislot in k8490 */
static void C_ccall f_10437(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4=av[4];
C_word t5;
C_word *a;
if(c!=5) C_bad_argc_2(c,5,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_10437,5,av);}
t5=t1;{
C_word *av2=av;
av2[0]=t5;
av2[1]=C_i_set_i_slot(t2,t3,t4);
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}

/* ##sys#start-timer in k8490 */
static void C_ccall f_10445(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(c!=2) C_bad_argc_2(c,2,t0);
if(C_unlikely(!C_demand(C_calculate_demand(3,c,2)))){
C_save_and_reclaim((void *)f_10445,2,av);}
a=C_alloc(3);
t2=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_10449,a[2]=t1,tmp=(C_word)a,a+=3,tmp);
/* library.scm:1049: ##sys#gc */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[313]+1));
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[313]+1);
av2[1]=t2;
av2[2]=C_SCHEME_TRUE;
tp(3,av2);}}

/* k10447 in start-timer in k8490 */
static void C_ccall f_10449(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_10449,2,av);}
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=C_start_timer();
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* ##sys#stop-timer in k8490 */
static void C_ccall f_10451(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(c!=2) C_bad_argc_2(c,2,t0);
if(C_unlikely(!C_demand(C_calculate_demand(6,c,2)))){
C_save_and_reclaim((void *)f_10451,2,av);}
a=C_alloc(6);
t2=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)C_stop_timer,a[2]=((C_word)li237),tmp=(C_word)a,a+=3,tmp);
t3=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_10455,a[2]=t1,tmp=(C_word)a,a+=3,tmp);
/* library.scm:1053: g1202 */
t4=t2;{
C_word *av2=av;
av2[0]=t4;
av2[1]=t3;
((C_proc)C_fast_retrieve_proc(t4))(2,av2);}}

/* k10453 in stop-timer in k8490 */
static void C_ccall f_10455(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,c,2)))){
C_save_and_reclaim((void *)f_10455,2,av);}
a=C_alloc(4);
t2=t1;
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_10458,a[2]=t2,a[3]=((C_word*)t0)[2],tmp=(C_word)a,a+=4,tmp);
/* library.scm:1056: ##sys#gc */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[313]+1));
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[313]+1);
av2[1]=t3;
av2[2]=C_SCHEME_TRUE;
tp(3,av2);}}

/* k10456 in k10453 in stop-timer in k8490 */
static void C_ccall f_10458(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(7,c,2)))){
C_save_and_reclaim((void *)f_10458,2,av);}
a=C_alloc(7);
t2=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)C_stop_timer,a[2]=((C_word)li238),tmp=(C_word)a,a+=3,tmp);
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_10469,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],tmp=(C_word)a,a+=4,tmp);
/* library.scm:1057: g1204 */
t4=t2;{
C_word *av2=av;
av2[0]=t4;
av2[1]=t3;
((C_proc)C_fast_retrieve_proc(t4))(2,av2);}}

/* k10467 in k10456 in k10453 in stop-timer in k8490 */
static void C_ccall f_10469(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_10469,2,av);}
t2=C_slot(t1,C_fix(6));
t3=C_i_setslot(((C_word*)t0)[2],C_fix(6),t2);
t4=((C_word*)t0)[3];{
C_word *av2=av;
av2[0]=t4;
av2[1]=((C_word*)t0)[2];
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* ##sys#immediate? in k8490 */
static void C_ccall f_10471(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_10471,3,av);}
t3=C_blockp(t2);
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_i_not(t3);
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* ##sys#message in k8490 */
static void C_ccall f_10478(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_10478,3,av);}
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_message(t2);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* ##sys#byte in k8490 */
static void C_ccall f_10481(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_10481,4,av);}
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_subbyte(t2,t3);
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* ##sys#setbyte in k8490 */
static void C_ccall f_10484(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4=av[4];
C_word t5;
C_word *a;
if(c!=5) C_bad_argc_2(c,5,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_10484,5,av);}
t5=t1;{
C_word *av2=av;
av2[0]=t5;
av2[1]=C_setbyte(t2,t3,t4);
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}

/* ##sys#halt in k8490 */
static void C_ccall f_10489(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_10489,3,av);}
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_halt(t2);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* ##sys#block-ref in k8490 */
static void C_ccall f_10493(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_10493,4,av);}
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_i_block_ref(t2,t3);
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* ##sys#block-set! in k8490 */
static void C_ccall f_10498(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4=av[4];
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word *a;
if(c!=5) C_bad_argc_2(c,5,t0);
if(C_unlikely(!C_demand(C_calculate_demand(6,c,5)))){
C_save_and_reclaim((void *)f_10498,5,av);}
a=C_alloc(6);
t5=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_10502,a[2]=t1,a[3]=t2,a[4]=t3,a[5]=t4,tmp=(C_word)a,a+=6,tmp);
t6=C_blockp(t2);
t7=C_i_not(t6);
if(C_truep(t7)){
if(C_truep(t7)){
/* library.scm:1076: ##sys#signal-hook */
t8=C_fast_retrieve(lf[194]);{
C_word *av2;
if(c >= 6) {
  av2=av;
} else {
  av2=C_alloc(6);
}
av2[0]=t8;
av2[1]=t5;
av2[2]=lf[258];
av2[3]=lf[333];
av2[4]=lf[335];
av2[5]=t2;
((C_proc)(void*)(*((C_word*)t8+1)))(6,av2);}}
else{
t8=t5;{
C_word *av2=av;
av2[0]=t8;
av2[1]=C_SCHEME_UNDEFINED;
f_10502(2,av2);}}}
else{
t8=(C_truep(C_specialp(t2))?C_eqp(t3,C_fix(0)):C_SCHEME_FALSE);
if(C_truep(t8)){
if(C_truep(t8)){
/* library.scm:1076: ##sys#signal-hook */
t9=C_fast_retrieve(lf[194]);{
C_word *av2;
if(c >= 6) {
  av2=av;
} else {
  av2=C_alloc(6);
}
av2[0]=t9;
av2[1]=t5;
av2[2]=lf[258];
av2[3]=lf[333];
av2[4]=lf[335];
av2[5]=t2;
((C_proc)(void*)(*((C_word*)t9+1)))(6,av2);}}
else{
t9=t5;{
C_word *av2=av;
av2[0]=t9;
av2[1]=C_SCHEME_UNDEFINED;
f_10502(2,av2);}}}
else{
if(C_truep(C_byteblockp(t2))){
/* library.scm:1076: ##sys#signal-hook */
t9=C_fast_retrieve(lf[194]);{
C_word *av2;
if(c >= 6) {
  av2=av;
} else {
  av2=C_alloc(6);
}
av2[0]=t9;
av2[1]=t5;
av2[2]=lf[258];
av2[3]=lf[333];
av2[4]=lf[335];
av2[5]=t2;
((C_proc)(void*)(*((C_word*)t9+1)))(6,av2);}}
else{
t9=t5;{
C_word *av2=av;
av2[0]=t9;
av2[1]=C_SCHEME_UNDEFINED;
f_10502(2,av2);}}}}}

/* k10500 in block-set! in k8490 */
static void C_ccall f_10502(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,c,5)))){
C_save_and_reclaim((void *)f_10502,2,av);}
a=C_alloc(6);
t2=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_10505,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[5],tmp=(C_word)a,a+=6,tmp);
t3=C_block_size(((C_word*)t0)[3]);
/* library.scm:1077: ##sys#check-range */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[334]+1));
C_word *av2;
if(c >= 6) {
  av2=av;
} else {
  av2=C_alloc(6);
}
av2[0]=*((C_word*)lf[334]+1);
av2[1]=t2;
av2[2]=((C_word*)t0)[4];
av2[3]=C_fix(0);
av2[4]=t3;
av2[5]=lf[333];
tp(6,av2);}}

/* k10503 in k10500 in block-set! in k8490 */
static void C_ccall f_10505(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_10505,2,av);}
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=C_i_setslot(((C_word*)t0)[3],((C_word*)t0)[4],((C_word*)t0)[5]);
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* chicken.time#current-milliseconds in k8490 */
static void C_ccall f_10533(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(c!=2) C_bad_argc_2(c,2,t0);
if(C_unlikely(!C_demand(C_calculate_demand(7,c,1)))){
C_save_and_reclaim((void *)f_10533,2,av);}
a=C_alloc(7);
t2=t1;{
C_word *av2=av;
av2[0]=t2;
av2[1]=C_a_i_current_milliseconds(&a,1,C_SCHEME_FALSE);
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* chicken.time#current-seconds in k8490 */
static void C_ccall f_10536(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(c!=2) C_bad_argc_2(c,2,t0);
if(C_unlikely(!C_demand(C_calculate_demand(7,c,1)))){
C_save_and_reclaim((void *)f_10536,2,av);}
a=C_alloc(7);
t2=t1;{
C_word *av2=av;
av2[0]=t2;
av2[1]=C_a_get_current_seconds(&a,1,C_SCHEME_FALSE);
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* chicken.time#cpu-time in k8490 */
static void C_ccall f_10539(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(c!=2) C_bad_argc_2(c,2,t0);
if(C_unlikely(!C_demand(C_calculate_demand(11,c,3)))){
C_save_and_reclaim((void *)f_10539,2,av);}
a=C_alloc(11);
t2=C_a_i_vector2(&a,2,C_SCHEME_FALSE,C_SCHEME_FALSE);
t3=C_a_i_cpu_time(&a,1,t2);
t4=C_slot(t2,C_fix(0));
t5=C_slot(t2,C_fix(1));
/* library.scm:1104: scheme#values */{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=0;
av2[1]=t1;
av2[2]=t4;
av2[3]=t5;
C_values(4,av2);}}

/* ##sys#check-structure in k8490 */
static void C_ccall f_10556(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word *a;
if(c<4) C_bad_min_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand((c-4)*C_SIZEOF_PAIR +0,c,1)))){
C_save_and_reclaim((void*)f_10556,c,av);}
a=C_alloc((c-4)*C_SIZEOF_PAIR+0);
t4=C_build_rest(&a,c,4,av);
C_word t5;
C_word t6;
C_word t7;
C_word t8;
if(C_truep(C_i_pairp(t4))){
t5=t4;
t6=C_u_i_car(t5);
t7=C_i_check_structure_2(t2,t3,t6);
t8=t1;{
C_word *av2=av;
av2[0]=t8;
av2[1]=t7;
((C_proc)(void*)(*((C_word*)t8+1)))(2,av2);}}
else{
t5=C_i_check_structure(t2,t3);
t6=t1;{
C_word *av2=av;
av2[0]=t6;
av2[1]=t5;
((C_proc)(void*)(*((C_word*)t6+1)))(2,av2);}}}

/* ##sys#check-blob in k8490 */
static void C_ccall f_10567(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c<3) C_bad_min_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand((c-3)*C_SIZEOF_PAIR +0,c,1)))){
C_save_and_reclaim((void*)f_10567,c,av);}
a=C_alloc((c-3)*C_SIZEOF_PAIR+0);
t3=C_build_rest(&a,c,3,av);
C_word t4;
C_word t5;
C_word t6;
C_word t7;
if(C_truep(C_i_pairp(t3))){
t4=t3;
t5=C_u_i_car(t4);
t6=C_i_check_bytevector_2(t2,t5);
t7=t1;{
C_word *av2=av;
av2[0]=t7;
av2[1]=t6;
((C_proc)(void*)(*((C_word*)t7+1)))(2,av2);}}
else{
t4=C_i_check_bytevector(t2);
t5=t1;{
C_word *av2=av;
av2[0]=t5;
av2[1]=t4;
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}}

/* ##sys#check-pair in k8490 */
static void C_ccall f_10579(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c<3) C_bad_min_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand((c-3)*C_SIZEOF_PAIR +0,c,1)))){
C_save_and_reclaim((void*)f_10579,c,av);}
a=C_alloc((c-3)*C_SIZEOF_PAIR+0);
t3=C_build_rest(&a,c,3,av);
C_word t4;
C_word t5;
C_word t6;
C_word t7;
if(C_truep(C_i_pairp(t3))){
t4=t3;
t5=C_u_i_car(t4);
t6=C_i_check_pair_2(t2,t5);
t7=t1;{
C_word *av2=av;
av2[0]=t7;
av2[1]=t6;
((C_proc)(void*)(*((C_word*)t7+1)))(2,av2);}}
else{
t4=C_i_check_pair(t2);
t5=t1;{
C_word *av2=av;
av2[0]=t5;
av2[1]=t4;
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}}

/* ##sys#check-list in k8490 */
static void C_ccall f_10590(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c<3) C_bad_min_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand((c-3)*C_SIZEOF_PAIR +0,c,1)))){
C_save_and_reclaim((void*)f_10590,c,av);}
a=C_alloc((c-3)*C_SIZEOF_PAIR+0);
t3=C_build_rest(&a,c,3,av);
C_word t4;
C_word t5;
C_word t6;
C_word t7;
if(C_truep(C_i_pairp(t3))){
t4=t3;
t5=C_u_i_car(t4);
t6=C_i_check_list_2(t2,t5);
t7=t1;{
C_word *av2=av;
av2[0]=t7;
av2[1]=t6;
((C_proc)(void*)(*((C_word*)t7+1)))(2,av2);}}
else{
t4=C_i_check_list(t2);
t5=t1;{
C_word *av2=av;
av2[0]=t5;
av2[1]=t4;
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}}

/* ##sys#check-string in k8490 */
static void C_ccall f_10601(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c<3) C_bad_min_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand((c-3)*C_SIZEOF_PAIR +0,c,1)))){
C_save_and_reclaim((void*)f_10601,c,av);}
a=C_alloc((c-3)*C_SIZEOF_PAIR+0);
t3=C_build_rest(&a,c,3,av);
C_word t4;
C_word t5;
C_word t6;
C_word t7;
if(C_truep(C_i_pairp(t3))){
t4=t3;
t5=C_u_i_car(t4);
t6=C_i_check_string_2(t2,t5);
t7=t1;{
C_word *av2=av;
av2[0]=t7;
av2[1]=t6;
((C_proc)(void*)(*((C_word*)t7+1)))(2,av2);}}
else{
t4=C_i_check_string(t2);
t5=t1;{
C_word *av2=av;
av2[0]=t5;
av2[1]=t4;
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}}

/* ##sys#check-number in k8490 */
static void C_ccall f_10612(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c<3) C_bad_min_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand((c-3)*C_SIZEOF_PAIR +0,c,1)))){
C_save_and_reclaim((void*)f_10612,c,av);}
a=C_alloc((c-3)*C_SIZEOF_PAIR+0);
t3=C_build_rest(&a,c,3,av);
C_word t4;
C_word t5;
C_word t6;
C_word t7;
if(C_truep(C_i_pairp(t3))){
t4=t3;
t5=C_u_i_car(t4);
t6=C_i_check_number_2(t2,t5);
t7=t1;{
C_word *av2=av;
av2[0]=t7;
av2[1]=t6;
((C_proc)(void*)(*((C_word*)t7+1)))(2,av2);}}
else{
t4=C_i_check_number(t2);
t5=t1;{
C_word *av2=av;
av2[0]=t5;
av2[1]=t4;
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}}

/* ##sys#check-fixnum in k8490 */
static void C_ccall f_10623(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c<3) C_bad_min_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand((c-3)*C_SIZEOF_PAIR +0,c,1)))){
C_save_and_reclaim((void*)f_10623,c,av);}
a=C_alloc((c-3)*C_SIZEOF_PAIR+0);
t3=C_build_rest(&a,c,3,av);
C_word t4;
C_word t5;
C_word t6;
C_word t7;
if(C_truep(C_i_pairp(t3))){
t4=t3;
t5=C_u_i_car(t4);
t6=C_i_check_fixnum_2(t2,t5);
t7=t1;{
C_word *av2=av;
av2[0]=t7;
av2[1]=t6;
((C_proc)(void*)(*((C_word*)t7+1)))(2,av2);}}
else{
t4=C_i_check_fixnum(t2);
t5=t1;{
C_word *av2=av;
av2[0]=t5;
av2[1]=t4;
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}}

/* ##sys#check-exact in k8490 */
static void C_ccall f_10634(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c<3) C_bad_min_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand((c-3)*C_SIZEOF_PAIR +0,c,1)))){
C_save_and_reclaim((void*)f_10634,c,av);}
a=C_alloc((c-3)*C_SIZEOF_PAIR+0);
t3=C_build_rest(&a,c,3,av);
C_word t4;
C_word t5;
C_word t6;
C_word t7;
if(C_truep(C_i_pairp(t3))){
t4=t3;
t5=C_u_i_car(t4);
t6=C_i_check_exact_2(t2,t5);
t7=t1;{
C_word *av2=av;
av2[0]=t7;
av2[1]=t6;
((C_proc)(void*)(*((C_word*)t7+1)))(2,av2);}}
else{
t4=C_i_check_exact(t2);
t5=t1;{
C_word *av2=av;
av2[0]=t5;
av2[1]=t4;
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}}

/* ##sys#check-inexact in k8490 */
static void C_ccall f_10645(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c<3) C_bad_min_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand((c-3)*C_SIZEOF_PAIR +0,c,1)))){
C_save_and_reclaim((void*)f_10645,c,av);}
a=C_alloc((c-3)*C_SIZEOF_PAIR+0);
t3=C_build_rest(&a,c,3,av);
C_word t4;
C_word t5;
C_word t6;
C_word t7;
if(C_truep(C_i_pairp(t3))){
t4=t3;
t5=C_u_i_car(t4);
t6=C_i_check_inexact_2(t2,t5);
t7=t1;{
C_word *av2=av;
av2[0]=t7;
av2[1]=t6;
((C_proc)(void*)(*((C_word*)t7+1)))(2,av2);}}
else{
t4=C_i_check_inexact(t2);
t5=t1;{
C_word *av2=av;
av2[0]=t5;
av2[1]=t4;
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}}

/* ##sys#check-symbol in k8490 */
static void C_ccall f_10656(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c<3) C_bad_min_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand((c-3)*C_SIZEOF_PAIR +0,c,1)))){
C_save_and_reclaim((void*)f_10656,c,av);}
a=C_alloc((c-3)*C_SIZEOF_PAIR+0);
t3=C_build_rest(&a,c,3,av);
C_word t4;
C_word t5;
C_word t6;
C_word t7;
if(C_truep(C_i_pairp(t3))){
t4=t3;
t5=C_u_i_car(t4);
t6=C_i_check_symbol_2(t2,t5);
t7=t1;{
C_word *av2=av;
av2[0]=t7;
av2[1]=t6;
((C_proc)(void*)(*((C_word*)t7+1)))(2,av2);}}
else{
t4=C_i_check_symbol(t2);
t5=t1;{
C_word *av2=av;
av2[0]=t5;
av2[1]=t4;
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}}

/* ##sys#check-vector in k8490 */
static void C_ccall f_10667(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c<3) C_bad_min_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand((c-3)*C_SIZEOF_PAIR +0,c,1)))){
C_save_and_reclaim((void*)f_10667,c,av);}
a=C_alloc((c-3)*C_SIZEOF_PAIR+0);
t3=C_build_rest(&a,c,3,av);
C_word t4;
C_word t5;
C_word t6;
C_word t7;
if(C_truep(C_i_pairp(t3))){
t4=t3;
t5=C_u_i_car(t4);
t6=C_i_check_vector_2(t2,t5);
t7=t1;{
C_word *av2=av;
av2[0]=t7;
av2[1]=t6;
((C_proc)(void*)(*((C_word*)t7+1)))(2,av2);}}
else{
t4=C_i_check_vector(t2);
t5=t1;{
C_word *av2=av;
av2[0]=t5;
av2[1]=t4;
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}}

/* ##sys#check-char in k8490 */
static void C_ccall f_10678(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c<3) C_bad_min_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand((c-3)*C_SIZEOF_PAIR +0,c,1)))){
C_save_and_reclaim((void*)f_10678,c,av);}
a=C_alloc((c-3)*C_SIZEOF_PAIR+0);
t3=C_build_rest(&a,c,3,av);
C_word t4;
C_word t5;
C_word t6;
C_word t7;
if(C_truep(C_i_pairp(t3))){
t4=t3;
t5=C_u_i_car(t4);
t6=C_i_check_char_2(t2,t5);
t7=t1;{
C_word *av2=av;
av2[0]=t7;
av2[1]=t6;
((C_proc)(void*)(*((C_word*)t7+1)))(2,av2);}}
else{
t4=C_i_check_char(t2);
t5=t1;{
C_word *av2=av;
av2[0]=t5;
av2[1]=t4;
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}}

/* ##sys#check-boolean in k8490 */
static void C_ccall f_10689(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c<3) C_bad_min_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand((c-3)*C_SIZEOF_PAIR +0,c,1)))){
C_save_and_reclaim((void*)f_10689,c,av);}
a=C_alloc((c-3)*C_SIZEOF_PAIR+0);
t3=C_build_rest(&a,c,3,av);
C_word t4;
C_word t5;
C_word t6;
C_word t7;
if(C_truep(C_i_pairp(t3))){
t4=t3;
t5=C_u_i_car(t4);
t6=C_i_check_boolean_2(t2,t5);
t7=t1;{
C_word *av2=av;
av2[0]=t7;
av2[1]=t6;
((C_proc)(void*)(*((C_word*)t7+1)))(2,av2);}}
else{
t4=C_i_check_boolean(t2);
t5=t1;{
C_word *av2=av;
av2[0]=t5;
av2[1]=t4;
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}}

/* ##sys#check-locative in k8490 */
static void C_ccall f_10700(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c<3) C_bad_min_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand((c-3)*C_SIZEOF_PAIR +0,c,1)))){
C_save_and_reclaim((void*)f_10700,c,av);}
a=C_alloc((c-3)*C_SIZEOF_PAIR+0);
t3=C_build_rest(&a,c,3,av);
C_word t4;
C_word t5;
C_word t6;
C_word t7;
if(C_truep(C_i_pairp(t3))){
t4=t3;
t5=C_u_i_car(t4);
t6=C_i_check_locative_2(t2,t5);
t7=t1;{
C_word *av2=av;
av2[0]=t7;
av2[1]=t6;
((C_proc)(void*)(*((C_word*)t7+1)))(2,av2);}}
else{
t4=C_i_check_locative(t2);
t5=t1;{
C_word *av2=av;
av2[0]=t5;
av2[1]=t4;
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}}

/* ##sys#check-integer in k8490 */
static void C_ccall f_10711(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c<3) C_bad_min_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand((c-3)*C_SIZEOF_PAIR +0,c,3)))){
C_save_and_reclaim((void*)f_10711,c,av);}
a=C_alloc((c-3)*C_SIZEOF_PAIR+0);
t3=C_build_rest(&a,c,3,av);
C_word t4;
C_word t5;
C_word t6;
if(C_truep(C_i_integerp(t2))){
t4=C_SCHEME_UNDEFINED;
t5=t1;{
C_word *av2=av;
av2[0]=t5;
av2[1]=t4;
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}
else{
if(C_truep(C_i_pairp(t3))){
t4=t3;
t5=C_u_i_car(t4);
/* library.scm:1182: ##sys#error-bad-integer */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[355]+1));
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[355]+1);
av2[1]=t1;
av2[2]=t2;
av2[3]=t5;
tp(4,av2);}}
else{
/* library.scm:1182: ##sys#error-bad-integer */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[355]+1));
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[355]+1);
av2[1]=t1;
av2[2]=t2;
av2[3]=C_SCHEME_FALSE;
tp(4,av2);}}}}

/* ##sys#check-exact-integer in k8490 */
static void C_ccall f_10728(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c<3) C_bad_min_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand((c-3)*C_SIZEOF_PAIR +0,c,3)))){
C_save_and_reclaim((void*)f_10728,c,av);}
a=C_alloc((c-3)*C_SIZEOF_PAIR+0);
t3=C_build_rest(&a,c,3,av);
C_word t4;
C_word t5;
C_word t6;
if(C_truep(C_i_exact_integerp(t2))){
t4=C_SCHEME_UNDEFINED;
t5=t1;{
C_word *av2=av;
av2[0]=t5;
av2[1]=t4;
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}
else{
if(C_truep(C_i_pairp(t3))){
t4=t3;
t5=C_u_i_car(t4);
/* library.scm:1186: ##sys#error-bad-exact-integer */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[357]+1));
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[357]+1);
av2[1]=t1;
av2[2]=t2;
av2[3]=t5;
tp(4,av2);}}
else{
/* library.scm:1186: ##sys#error-bad-exact-integer */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[357]+1));
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[357]+1);
av2[1]=t1;
av2[2]=t2;
av2[3]=C_SCHEME_FALSE;
tp(4,av2);}}}}

/* ##sys#check-exact-uinteger in k8490 */
static void C_ccall f_10745(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c<3) C_bad_min_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand((c-3)*C_SIZEOF_PAIR +0,c,3)))){
C_save_and_reclaim((void*)f_10745,c,av);}
a=C_alloc((c-3)*C_SIZEOF_PAIR+0);
t3=C_build_rest(&a,c,3,av);
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
t4=C_i_exact_integerp(t2);
t5=C_i_not(t4);
t6=(C_truep(t5)?t5:C_i_integer_negativep(t2));
if(C_truep(t6)){
if(C_truep(C_i_pairp(t3))){
t7=t3;
t8=C_u_i_car(t7);
/* library.scm:1191: ##sys#error-bad-exact-uinteger */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[359]+1));
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[359]+1);
av2[1]=t1;
av2[2]=t2;
av2[3]=t8;
tp(4,av2);}}
else{
/* library.scm:1191: ##sys#error-bad-exact-uinteger */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[359]+1));
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[359]+1);
av2[1]=t1;
av2[2]=t2;
av2[3]=C_SCHEME_FALSE;
tp(4,av2);}}}
else{
t7=C_SCHEME_UNDEFINED;
t8=t1;{
C_word *av2=av;
av2[0]=t8;
av2[1]=t7;
((C_proc)(void*)(*((C_word*)t8+1)))(2,av2);}}}

/* ##sys#check-real in k8490 */
static void C_ccall f_10769(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c<3) C_bad_min_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand((c-3)*C_SIZEOF_PAIR +0,c,3)))){
C_save_and_reclaim((void*)f_10769,c,av);}
a=C_alloc((c-3)*C_SIZEOF_PAIR+0);
t3=C_build_rest(&a,c,3,av);
C_word t4;
C_word t5;
C_word t6;
if(C_truep(C_i_realp(t2))){
t4=C_SCHEME_UNDEFINED;
t5=t1;{
C_word *av2=av;
av2[0]=t5;
av2[1]=t4;
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}
else{
if(C_truep(C_i_pairp(t3))){
t4=t3;
t5=C_u_i_car(t4);
/* library.scm:1195: ##sys#error-bad-real */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[361]+1));
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[361]+1);
av2[1]=t1;
av2[2]=t2;
av2[3]=t5;
tp(4,av2);}}
else{
/* library.scm:1195: ##sys#error-bad-real */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[361]+1));
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[361]+1);
av2[1]=t1;
av2[2]=t2;
av2[3]=C_SCHEME_FALSE;
tp(4,av2);}}}}

/* ##sys#check-range in k8490 */
static void C_ccall f_10786(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4=av[4];
C_word t5;
C_word *a;
if(c<5) C_bad_min_argc_2(c,5,t0);
if(C_unlikely(!C_demand(C_calculate_demand((c-5)*C_SIZEOF_PAIR +7,c,3)))){
C_save_and_reclaim((void*)f_10786,c,av);}
a=C_alloc((c-5)*C_SIZEOF_PAIR+7);
t5=C_build_rest(&a,c,5,av);
C_word t6;
C_word t7;
t6=(*a=C_CLOSURE_TYPE|6,a[1]=(C_word)f_10790,a[2]=t3,a[3]=t2,a[4]=t4,a[5]=t1,a[6]=t5,tmp=(C_word)a,a+=7,tmp);
/* library.scm:1198: ##sys#check-fixnum */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[102]+1));
C_word *av2=av;
av2[0]=*((C_word*)lf[102]+1);
av2[1]=t6;
av2[2]=t2;
av2[3]=t5;
tp(4,av2);}}

/* k10788 in check-range in k8490 */
static void C_ccall f_10790(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,6)))){
C_save_and_reclaim((void *)f_10790,2,av);}
t2=C_fixnum_less_or_equal_p(((C_word*)t0)[2],((C_word*)t0)[3]);
t3=(C_truep(t2)?C_fixnum_lessp(((C_word*)t0)[3],((C_word*)t0)[4]):C_SCHEME_FALSE);
if(C_truep(t3)){
t4=C_SCHEME_UNDEFINED;
t5=((C_word*)t0)[5];{
C_word *av2=av;
av2[0]=t5;
av2[1]=t4;
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}
else{
t4=C_fix((C_word)C_OUT_OF_RANGE_ERROR);
if(C_truep(C_i_pairp(((C_word*)t0)[6]))){
t5=((C_word*)t0)[6];
t6=C_u_i_car(t5);
/* library.scm:1200: ##sys#error-hook */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[362]);
C_word *av2;
if(c >= 7) {
  av2=av;
} else {
  av2=C_alloc(7);
}
av2[0]=*((C_word*)lf[362]+1);
av2[1]=((C_word*)t0)[5];
av2[2]=t4;
av2[3]=t6;
av2[4]=((C_word*)t0)[3];
av2[5]=((C_word*)t0)[2];
av2[6]=((C_word*)t0)[4];
tp(7,av2);}}
else{
/* library.scm:1200: ##sys#error-hook */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[362]);
C_word *av2;
if(c >= 7) {
  av2=av;
} else {
  av2=C_alloc(7);
}
av2[0]=*((C_word*)lf[362]+1);
av2[1]=((C_word*)t0)[5];
av2[2]=t4;
av2[3]=C_SCHEME_FALSE;
av2[4]=((C_word*)t0)[3];
av2[5]=((C_word*)t0)[2];
av2[6]=((C_word*)t0)[4];
tp(7,av2);}}}}

/* ##sys#check-special in k8490 */
static void C_ccall f_10816(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c<3) C_bad_min_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand((c-3)*C_SIZEOF_PAIR +0,c,5)))){
C_save_and_reclaim((void*)f_10816,c,av);}
a=C_alloc((c-3)*C_SIZEOF_PAIR+0);
t3=C_build_rest(&a,c,3,av);
C_word t4;
C_word t5;
C_word t6;
C_word t7;
t4=(C_truep(C_blockp(t2))?C_specialp(t2):C_SCHEME_FALSE);
if(C_truep(t4)){
t5=C_SCHEME_UNDEFINED;
t6=t1;{
C_word *av2=av;
av2[0]=t6;
av2[1]=t5;
((C_proc)(void*)(*((C_word*)t6+1)))(2,av2);}}
else{
if(C_truep(C_i_pairp(t3))){
t5=t3;
t6=C_u_i_car(t5);
/* library.scm:1206: ##sys#signal-hook */
t7=C_fast_retrieve(lf[194]);{
C_word *av2;
if(c >= 6) {
  av2=av;
} else {
  av2=C_alloc(6);
}
av2[0]=t7;
av2[1]=t1;
av2[2]=lf[258];
av2[3]=t6;
av2[4]=lf[364];
av2[5]=t2;
((C_proc)(void*)(*((C_word*)t7+1)))(6,av2);}}
else{
/* library.scm:1206: ##sys#signal-hook */
t5=C_fast_retrieve(lf[194]);{
C_word *av2;
if(c >= 6) {
  av2=av;
} else {
  av2=C_alloc(6);
}
av2[0]=t5;
av2[1]=t1;
av2[2]=lf[258];
av2[3]=C_SCHEME_FALSE;
av2[4]=lf[364];
av2[5]=t2;
((C_proc)(void*)(*((C_word*)t5+1)))(6,av2);}}}}

/* ##sys#check-closure in k8490 */
static void C_ccall f_10836(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c<3) C_bad_min_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand((c-3)*C_SIZEOF_PAIR +0,c,1)))){
C_save_and_reclaim((void*)f_10836,c,av);}
a=C_alloc((c-3)*C_SIZEOF_PAIR+0);
t3=C_build_rest(&a,c,3,av);
C_word t4;
C_word t5;
C_word t6;
C_word t7;
if(C_truep(C_i_pairp(t3))){
t4=t3;
t5=C_u_i_car(t4);
t6=C_i_check_closure_2(t2,t5);
t7=t1;{
C_word *av2=av;
av2[0]=t7;
av2[1]=t6;
((C_proc)(void*)(*((C_word*)t7+1)))(2,av2);}}
else{
t4=C_i_check_closure(t2);
t5=t1;{
C_word *av2=av;
av2[0]=t5;
av2[1]=t4;
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}}

/* scheme#force in k8490 */
static void C_ccall f_10847(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(6,c,4)))){
C_save_and_reclaim((void *)f_10847,3,av);}
a=C_alloc(6);
if(C_truep(C_i_structurep(t2,lf[216]))){
t3=C_SCHEME_UNDEFINED;
t4=(*a=C_VECTOR_TYPE|1,a[1]=t3,tmp=(C_word)a,a+=2,tmp);
t5=C_set_block_item(t4,0,(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_10859,a[2]=t4,a[3]=((C_word)li274),tmp=(C_word)a,a+=4,tmp));
t6=((C_word*)t4)[1];
f_10859(t6,t1,t2,C_SCHEME_FALSE);}
else{
t3=t2;
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=t3;
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}}

/* lp in scheme#force in k8490 */
static void C_fcall f_10859(C_word t0,C_word t1,C_word t2,C_word t3){
C_word tmp;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word *a;
loop:
if(C_unlikely(!C_demand(C_calculate_demand(6,0,3)))){
C_save_and_reclaim_args((void *)trf_10859,4,t0,t1,t2,t3);}
a=C_alloc(6);
t4=C_slot(t2,C_fix(1));
if(C_truep(C_i_nullp(t4))){
/* library.scm:1219: ##sys#values */{
C_word av2[2];
av2[0]=0;
av2[1]=t1;
C_values(2,av2);}}
else{
if(C_truep(C_i_pairp(t4))){{
C_word av2[3];
av2[0]=0;
av2[1]=t1;
av2[2]=t4;
C_apply_values(3,av2);}}
else{
if(C_truep(C_i_closurep(t4))){
t5=(C_truep(t3)?C_i_setslot(t3,C_fix(1),t2):C_SCHEME_UNDEFINED);
t6=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_10893,a[2]=t2,a[3]=((C_word*)t0)[2],a[4]=t1,a[5]=t3,tmp=(C_word)a,a+=6,tmp);
/* library.scm:1223: ##sys#call-with-values */{
C_word av2[4];
av2[0]=0;
av2[1]=t6;
av2[2]=t4;
av2[3]=*((C_word*)lf[367]+1);
C_call_with_values(4,av2);}}
else{
if(C_truep(C_i_structurep(t4,lf[216]))){
/* library.scm:1235: lp */
t8=t1;
t9=t4;
t10=t3;
t1=t8;
t2=t9;
t3=t10;
goto loop;}
else{
t5=t1;{
C_word av2[2];
av2[0]=t5;
av2[1]=C_SCHEME_UNDEFINED;
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}}}}}

/* k10891 in lp in scheme#force in k8490 */
static void C_ccall f_10893(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,c,3)))){
C_save_and_reclaim((void *)f_10893,2,av);}
a=C_alloc(6);
t2=t1;
t3=C_slot(((C_word*)t0)[2],C_fix(1));
t4=C_i_closurep(t3);
if(C_truep(C_i_not(t4))){
/* library.scm:1225: lp */
t5=((C_word*)((C_word*)t0)[3])[1];
f_10859(t5,((C_word*)t0)[4],((C_word*)t0)[2],((C_word*)t0)[5]);}
else{
t5=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_10908,a[2]=t2,a[3]=((C_word*)t0)[2],a[4]=((C_word*)t0)[3],a[5]=((C_word*)t0)[4],tmp=(C_word)a,a+=6,tmp);
t6=C_i_nullp(t2);
if(C_truep(C_i_not(t6))){
t7=C_i_cdr(t2);
if(C_truep(C_i_nullp(t7))){
t8=C_slot(t2,C_fix(0));
t9=t5;
f_10908(t9,C_i_structurep(t8,lf[216]));}
else{
t8=t5;
f_10908(t8,C_SCHEME_FALSE);}}
else{
t7=t5;
f_10908(t7,C_SCHEME_FALSE);}}}

/* k10906 in k10891 in lp in scheme#force in k8490 */
static void C_fcall f_10908(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,0,3)))){
C_save_and_reclaim_args((void *)trf_10908,2,t0,t1);}
if(C_truep(t1)){
t2=C_slot(((C_word*)t0)[2],C_fix(0));
t3=C_slot(t2,C_fix(1));
t4=C_i_setslot(((C_word*)t0)[3],C_fix(1),t3);
/* library.scm:1230: lp */
t5=((C_word*)((C_word*)t0)[4])[1];
f_10859(t5,((C_word*)t0)[5],((C_word*)t0)[3],t2);}
else{
t2=C_i_setslot(((C_word*)t0)[3],C_fix(1),((C_word*)t0)[2]);{
C_word av2[3];
av2[0]=0;
av2[1]=((C_word*)t0)[5];
av2[2]=((C_word*)t0)[2];
C_apply_values(3,av2);}}}

/* ##sys#error-not-a-proper-list in k8490 */
static void C_ccall f_10975(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c<3) C_bad_min_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand((c-3)*C_SIZEOF_PAIR +0,c,4)))){
C_save_and_reclaim((void*)f_10975,c,av);}
a=C_alloc((c-3)*C_SIZEOF_PAIR+0);
t3=C_build_rest(&a,c,3,av);
C_word t4;
C_word t5;
C_word t6;
if(C_truep(C_i_nullp(t3))){
t4=C_fix((C_word)C_NOT_A_PROPER_LIST_ERROR);
/* library.scm:1245: ##sys#error-hook */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[362]);
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=*((C_word*)lf[362]+1);
av2[1]=t1;
av2[2]=t4;
av2[3]=C_SCHEME_FALSE;
av2[4]=t2;
tp(5,av2);}}
else{
t4=C_i_car(t3);
t5=C_fix((C_word)C_NOT_A_PROPER_LIST_ERROR);
/* library.scm:1245: ##sys#error-hook */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[362]);
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=*((C_word*)lf[362]+1);
av2[1]=t1;
av2[2]=t5;
av2[3]=t4;
av2[4]=t2;
tp(5,av2);}}}

/* ##sys#error-bad-number in k8490 */
static void C_ccall f_10991(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c<3) C_bad_min_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand((c-3)*C_SIZEOF_PAIR +0,c,4)))){
C_save_and_reclaim((void*)f_10991,c,av);}
a=C_alloc((c-3)*C_SIZEOF_PAIR+0);
t3=C_build_rest(&a,c,3,av);
C_word t4;
C_word t5;
C_word t6;
if(C_truep(C_i_nullp(t3))){
t4=C_fix((C_word)C_BAD_ARGUMENT_TYPE_NO_NUMBER_ERROR);
/* library.scm:1249: ##sys#error-hook */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[362]);
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=*((C_word*)lf[362]+1);
av2[1]=t1;
av2[2]=t4;
av2[3]=C_SCHEME_FALSE;
av2[4]=t2;
tp(5,av2);}}
else{
t4=C_i_car(t3);
t5=C_fix((C_word)C_BAD_ARGUMENT_TYPE_NO_NUMBER_ERROR);
/* library.scm:1249: ##sys#error-hook */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[362]);
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=*((C_word*)lf[362]+1);
av2[1]=t1;
av2[2]=t5;
av2[3]=t4;
av2[4]=t2;
tp(5,av2);}}}

/* ##sys#error-bad-integer in k8490 */
static void C_ccall f_11007(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c<3) C_bad_min_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand((c-3)*C_SIZEOF_PAIR +0,c,4)))){
C_save_and_reclaim((void*)f_11007,c,av);}
a=C_alloc((c-3)*C_SIZEOF_PAIR+0);
t3=C_build_rest(&a,c,3,av);
C_word t4;
C_word t5;
C_word t6;
if(C_truep(C_i_nullp(t3))){
t4=C_fix((C_word)C_BAD_ARGUMENT_TYPE_NO_INTEGER_ERROR);
/* library.scm:1253: ##sys#error-hook */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[362]);
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=*((C_word*)lf[362]+1);
av2[1]=t1;
av2[2]=t4;
av2[3]=C_SCHEME_FALSE;
av2[4]=t2;
tp(5,av2);}}
else{
t4=C_i_car(t3);
t5=C_fix((C_word)C_BAD_ARGUMENT_TYPE_NO_INTEGER_ERROR);
/* library.scm:1253: ##sys#error-hook */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[362]);
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=*((C_word*)lf[362]+1);
av2[1]=t1;
av2[2]=t5;
av2[3]=t4;
av2[4]=t2;
tp(5,av2);}}}

/* ##sys#error-bad-exact-integer in k8490 */
static void C_ccall f_11023(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c<3) C_bad_min_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand((c-3)*C_SIZEOF_PAIR +0,c,4)))){
C_save_and_reclaim((void*)f_11023,c,av);}
a=C_alloc((c-3)*C_SIZEOF_PAIR+0);
t3=C_build_rest(&a,c,3,av);
C_word t4;
C_word t5;
C_word t6;
if(C_truep(C_i_nullp(t3))){
t4=C_fix((C_word)C_BAD_ARGUMENT_TYPE_NO_INTEGER_ERROR);
/* library.scm:1257: ##sys#error-hook */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[362]);
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=*((C_word*)lf[362]+1);
av2[1]=t1;
av2[2]=t4;
av2[3]=C_SCHEME_FALSE;
av2[4]=t2;
tp(5,av2);}}
else{
t4=C_i_car(t3);
t5=C_fix((C_word)C_BAD_ARGUMENT_TYPE_NO_INTEGER_ERROR);
/* library.scm:1257: ##sys#error-hook */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[362]);
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=*((C_word*)lf[362]+1);
av2[1]=t1;
av2[2]=t5;
av2[3]=t4;
av2[4]=t2;
tp(5,av2);}}}

/* ##sys#error-bad-exact-uinteger in k8490 */
static void C_ccall f_11039(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c<3) C_bad_min_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand((c-3)*C_SIZEOF_PAIR +0,c,4)))){
C_save_and_reclaim((void*)f_11039,c,av);}
a=C_alloc((c-3)*C_SIZEOF_PAIR+0);
t3=C_build_rest(&a,c,3,av);
C_word t4;
C_word t5;
C_word t6;
if(C_truep(C_i_nullp(t3))){
t4=C_fix((C_word)C_BAD_ARGUMENT_TYPE_NO_UINTEGER_ERROR);
/* library.scm:1261: ##sys#error-hook */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[362]);
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=*((C_word*)lf[362]+1);
av2[1]=t1;
av2[2]=t4;
av2[3]=C_SCHEME_FALSE;
av2[4]=t2;
tp(5,av2);}}
else{
t4=C_i_car(t3);
t5=C_fix((C_word)C_BAD_ARGUMENT_TYPE_NO_UINTEGER_ERROR);
/* library.scm:1261: ##sys#error-hook */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[362]);
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=*((C_word*)lf[362]+1);
av2[1]=t1;
av2[2]=t5;
av2[3]=t4;
av2[4]=t2;
tp(5,av2);}}}

/* ##sys#error-bad-inexact in k8490 */
static void C_ccall f_11055(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c<3) C_bad_min_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand((c-3)*C_SIZEOF_PAIR +0,c,4)))){
C_save_and_reclaim((void*)f_11055,c,av);}
a=C_alloc((c-3)*C_SIZEOF_PAIR+0);
t3=C_build_rest(&a,c,3,av);
C_word t4;
C_word t5;
C_word t6;
if(C_truep(C_i_nullp(t3))){
t4=C_fix((C_word)C_CANT_REPRESENT_INEXACT_ERROR);
/* library.scm:1265: ##sys#error-hook */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[362]);
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=*((C_word*)lf[362]+1);
av2[1]=t1;
av2[2]=t4;
av2[3]=C_SCHEME_FALSE;
av2[4]=t2;
tp(5,av2);}}
else{
t4=C_i_car(t3);
t5=C_fix((C_word)C_CANT_REPRESENT_INEXACT_ERROR);
/* library.scm:1265: ##sys#error-hook */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[362]);
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=*((C_word*)lf[362]+1);
av2[1]=t1;
av2[2]=t5;
av2[3]=t4;
av2[4]=t2;
tp(5,av2);}}}

/* ##sys#error-bad-real in k8490 */
static void C_ccall f_11071(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c<3) C_bad_min_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand((c-3)*C_SIZEOF_PAIR +0,c,4)))){
C_save_and_reclaim((void*)f_11071,c,av);}
a=C_alloc((c-3)*C_SIZEOF_PAIR+0);
t3=C_build_rest(&a,c,3,av);
C_word t4;
C_word t5;
C_word t6;
if(C_truep(C_i_nullp(t3))){
t4=C_fix((C_word)C_BAD_ARGUMENT_TYPE_NO_REAL_ERROR);
/* library.scm:1269: ##sys#error-hook */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[362]);
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=*((C_word*)lf[362]+1);
av2[1]=t1;
av2[2]=t4;
av2[3]=C_SCHEME_FALSE;
av2[4]=t2;
tp(5,av2);}}
else{
t4=C_i_car(t3);
t5=C_fix((C_word)C_BAD_ARGUMENT_TYPE_NO_REAL_ERROR);
/* library.scm:1269: ##sys#error-hook */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[362]);
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=*((C_word*)lf[362]+1);
av2[1]=t1;
av2[2]=t5;
av2[3]=t4;
av2[4]=t2;
tp(5,av2);}}}

/* ##sys#error-bad-base in k8490 */
static void C_ccall f_11087(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c<3) C_bad_min_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand((c-3)*C_SIZEOF_PAIR +0,c,4)))){
C_save_and_reclaim((void*)f_11087,c,av);}
a=C_alloc((c-3)*C_SIZEOF_PAIR+0);
t3=C_build_rest(&a,c,3,av);
C_word t4;
C_word t5;
C_word t6;
if(C_truep(C_i_nullp(t3))){
t4=C_fix((C_word)C_BAD_ARGUMENT_TYPE_BAD_BASE_ERROR);
/* library.scm:1273: ##sys#error-hook */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[362]);
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=*((C_word*)lf[362]+1);
av2[1]=t1;
av2[2]=t4;
av2[3]=C_SCHEME_FALSE;
av2[4]=t2;
tp(5,av2);}}
else{
t4=C_i_car(t3);
t5=C_fix((C_word)C_BAD_ARGUMENT_TYPE_BAD_BASE_ERROR);
/* library.scm:1273: ##sys#error-hook */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[362]);
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=*((C_word*)lf[362]+1);
av2[1]=t1;
av2[2]=t5;
av2[3]=t4;
av2[4]=t2;
tp(5,av2);}}}

/* scheme#append in k8490 */
static void C_ccall f_11103(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand((c-2)*C_SIZEOF_PAIR +6,c,3)))){
C_save_and_reclaim((void*)f_11103,c,av);}
a=C_alloc((c-2)*C_SIZEOF_PAIR+6);
t2=C_build_rest(&a,c,2,av);
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
t3=C_eqp(t2,C_SCHEME_END_OF_LIST);
if(C_truep(t3)){
t4=t2;
t5=t1;{
C_word *av2=av;
av2[0]=t5;
av2[1]=t4;
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}
else{
t4=C_SCHEME_UNDEFINED;
t5=(*a=C_VECTOR_TYPE|1,a[1]=t4,tmp=(C_word)a,a+=2,tmp);
t6=C_set_block_item(t5,0,(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_11115,a[2]=t5,a[3]=((C_word)li287),tmp=(C_word)a,a+=4,tmp));
t7=((C_word*)t5)[1];
f_11115(t7,t1,t2);}}

/* loop in scheme#append in k8490 */
static void C_fcall f_11115(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(8,0,3)))){
C_save_and_reclaim_args((void *)trf_11115,3,t0,t1,t2);}
a=C_alloc(8);
t3=C_slot(t2,C_fix(1));
t4=C_eqp(t3,C_SCHEME_END_OF_LIST);
if(C_truep(t4)){
t5=t1;{
C_word av2[2];
av2[0]=t5;
av2[1]=C_slot(t2,C_fix(0));
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}
else{
t5=C_slot(t2,C_fix(0));
t6=C_SCHEME_UNDEFINED;
t7=(*a=C_VECTOR_TYPE|1,a[1]=t6,tmp=(C_word)a,a+=2,tmp);
t8=C_set_block_item(t7,0,(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_11134,a[2]=t2,a[3]=((C_word*)t0)[2],a[4]=t7,a[5]=((C_word)li286),tmp=(C_word)a,a+=6,tmp));
t9=((C_word*)t7)[1];
f_11134(t9,t1,t5);}}

/* copy in loop in scheme#append in k8490 */
static void C_fcall f_11134(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word *a;
loop:
if(C_unlikely(!C_demand(C_calculate_demand(4,0,3)))){
C_save_and_reclaim_args((void *)trf_11134,3,t0,t1,t2);}
a=C_alloc(4);
t3=C_eqp(t2,C_SCHEME_END_OF_LIST);
if(C_truep(t3)){
t4=C_slot(((C_word*)t0)[2],C_fix(1));
/* library.scm:1284: loop */
t5=((C_word*)((C_word*)t0)[3])[1];
f_11115(t5,t1,t4);}
else{
if(C_truep(C_i_pairp(t2))){
t4=C_slot(t2,C_fix(0));
t5=t4;
t6=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_11165,a[2]=t1,a[3]=t5,tmp=(C_word)a,a+=4,tmp);
t7=C_slot(t2,C_fix(1));
/* library.scm:1286: copy */
t9=t6;
t10=t7;
t1=t9;
t2=t10;
goto loop;}
else{
t4=C_slot(((C_word*)t0)[2],C_fix(0));
/* library.scm:1288: ##sys#error-not-a-proper-list */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[47]+1));
C_word av2[4];
av2[0]=*((C_word*)lf[47]+1);
av2[1]=t1;
av2[2]=t4;
av2[3]=lf[374];
tp(4,av2);}}}}

/* k11163 in copy in loop in scheme#append in k8490 */
static void C_ccall f_11165(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,1)))){
C_save_and_reclaim((void *)f_11165,2,av);}
a=C_alloc(3);
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=C_a_i_cons(&a,2,((C_word*)t0)[3],t1);
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* ##sys#fast-reverse in k8490 */
static void C_ccall f_11182(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(6,c,4)))){
C_save_and_reclaim((void *)f_11182,3,av);}
a=C_alloc(6);
t3=C_SCHEME_UNDEFINED;
t4=(*a=C_VECTOR_TYPE|1,a[1]=t3,tmp=(C_word)a,a+=2,tmp);
t5=C_set_block_item(t4,0,(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_11188,a[2]=t4,a[3]=((C_word)li289),tmp=(C_word)a,a+=4,tmp));
t6=((C_word*)t4)[1];
f_11188(t6,t1,t2,C_SCHEME_END_OF_LIST);}

/* loop in fast-reverse in k8490 */
static void C_fcall f_11188(C_word t0,C_word t1,C_word t2,C_word t3){
C_word tmp;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word *a;
loop:
if(C_unlikely(!C_demand(C_calculate_demand(3,0,3)))){
C_save_and_reclaim_args((void *)trf_11188,4,t0,t1,t2,t3);}
a=C_alloc(3);
if(C_truep(C_i_pairp(t2))){
t4=C_slot(t2,C_fix(1));
t5=C_slot(t2,C_fix(0));
t6=C_a_i_cons(&a,2,t5,t3);
/* library.scm:1294: loop */
t8=t1;
t9=t4;
t10=t6;
t1=t8;
t2=t9;
t3=t10;
goto loop;}
else{
t4=t3;
t5=t1;{
C_word av2[2];
av2[0]=t5;
av2[1]=t4;
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}}

/* ##sys#make-string in k8490 */
static void C_ccall f_11212(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c<3) C_bad_min_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand((c-3)*C_SIZEOF_PAIR +0,c,5)))){
C_save_and_reclaim((void*)f_11212,c,av);}
a=C_alloc((c-3)*C_SIZEOF_PAIR+0);
t3=C_build_rest(&a,c,3,av);
C_word t4;
C_word t5;
C_word t6;
C_word t7;
if(C_truep(C_i_nullp(t3))){
t4=t1;
t5=t2;
/* library.scm:1301: ##sys#allocate-vector */
t6=*((C_word*)lf[316]+1);{
C_word *av2;
if(c >= 6) {
  av2=av;
} else {
  av2=C_alloc(6);
}
av2[0]=t6;
av2[1]=t4;
av2[2]=t5;
av2[3]=C_SCHEME_TRUE;
av2[4]=C_make_character(32);
av2[5]=C_SCHEME_FALSE;
((C_proc)(void*)(*((C_word*)t6+1)))(6,av2);}}
else{
t4=C_i_car(t3);
t5=t1;
t6=t2;
/* library.scm:1301: ##sys#allocate-vector */
t7=*((C_word*)lf[316]+1);{
C_word *av2;
if(c >= 6) {
  av2=av;
} else {
  av2=C_alloc(6);
}
av2[0]=t7;
av2[1]=t5;
av2[2]=t6;
av2[3]=C_SCHEME_TRUE;
av2[4]=t4;
av2[5]=C_SCHEME_FALSE;
((C_proc)(void*)(*((C_word*)t7+1)))(6,av2);}}}

/* scheme#make-string in k8490 */
static void C_ccall f_11232(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c<3) C_bad_min_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand((c-3)*C_SIZEOF_PAIR +5,c,3)))){
C_save_and_reclaim((void*)f_11232,c,av);}
a=C_alloc((c-3)*C_SIZEOF_PAIR+5);
t3=C_build_rest(&a,c,3,av);
C_word t4;
C_word t5;
t4=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_11236,a[2]=t3,a[3]=t1,a[4]=t2,tmp=(C_word)a,a+=5,tmp);
/* library.scm:1308: ##sys#check-fixnum */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[102]+1));
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[102]+1);
av2[1]=t4;
av2[2]=t2;
av2[3]=lf[378];
tp(4,av2);}}

/* k11234 in scheme#make-string in k8490 */
static void C_ccall f_11236(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,c,5)))){
C_save_and_reclaim((void *)f_11236,2,av);}
a=C_alloc(5);
t2=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_11239,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],tmp=(C_word)a,a+=5,tmp);
if(C_truep(C_fixnum_lessp(((C_word*)t0)[4],C_fix(0)))){
/* library.scm:1310: ##sys#signal-hook */
t3=C_fast_retrieve(lf[194]);{
C_word *av2;
if(c >= 6) {
  av2=av;
} else {
  av2=C_alloc(6);
}
av2[0]=t3;
av2[1]=t2;
av2[2]=lf[379];
av2[3]=lf[378];
av2[4]=lf[380];
av2[5]=((C_word*)t0)[4];
((C_proc)(void*)(*((C_word*)t3+1)))(6,av2);}}
else{
t3=t2;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_SCHEME_UNDEFINED;
f_11239(2,av2);}}}

/* k11237 in k11234 in scheme#make-string in k8490 */
static void C_ccall f_11239(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,5)))){
C_save_and_reclaim((void *)f_11239,2,av);}
if(C_truep(C_i_nullp(((C_word*)t0)[2]))){
t2=((C_word*)t0)[3];
t3=((C_word*)t0)[4];
/* library.scm:1301: ##sys#allocate-vector */
t4=*((C_word*)lf[316]+1);{
C_word *av2;
if(c >= 6) {
  av2=av;
} else {
  av2=C_alloc(6);
}
av2[0]=t4;
av2[1]=t2;
av2[2]=t3;
av2[3]=C_SCHEME_TRUE;
av2[4]=C_make_character(32);
av2[5]=C_SCHEME_FALSE;
((C_proc)(void*)(*((C_word*)t4+1)))(6,av2);}}
else{
t2=C_i_car(((C_word*)t0)[2]);
t3=C_i_check_char_2(t2,lf[378]);
t4=((C_word*)t0)[3];
t5=((C_word*)t0)[4];
/* library.scm:1301: ##sys#allocate-vector */
t6=*((C_word*)lf[316]+1);{
C_word *av2;
if(c >= 6) {
  av2=av;
} else {
  av2=C_alloc(6);
}
av2[0]=t6;
av2[1]=t4;
av2[2]=t5;
av2[3]=C_SCHEME_TRUE;
av2[4]=t2;
av2[5]=C_SCHEME_FALSE;
((C_proc)(void*)(*((C_word*)t6+1)))(6,av2);}}}

/* scheme#string->list in k8490 */
static void C_ccall f_11268(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(7,c,4)))){
C_save_and_reclaim((void *)f_11268,3,av);}
a=C_alloc(7);
t3=C_i_check_string_2(t2,lf[382]);
t4=C_block_size(t2);
t5=C_fixnum_difference(t4,C_fix(1));
t6=C_SCHEME_UNDEFINED;
t7=(*a=C_VECTOR_TYPE|1,a[1]=t6,tmp=(C_word)a,a+=2,tmp);
t8=C_set_block_item(t7,0,(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_11284,a[2]=t2,a[3]=t7,a[4]=((C_word)li293),tmp=(C_word)a,a+=5,tmp));
t9=((C_word*)t7)[1];
f_11284(t9,t1,t5,C_SCHEME_END_OF_LIST);}

/* loop in scheme#string->list in k8490 */
static void C_fcall f_11284(C_word t0,C_word t1,C_word t2,C_word t3){
C_word tmp;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word *a;
loop:
if(C_unlikely(!C_demand(C_calculate_demand(3,0,3)))){
C_save_and_reclaim_args((void *)trf_11284,4,t0,t1,t2,t3);}
a=C_alloc(3);
if(C_truep(C_fixnum_lessp(t2,C_fix(0)))){
t4=t3;
t5=t1;{
C_word av2[2];
av2[0]=t5;
av2[1]=t4;
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}
else{
t4=C_fixnum_difference(t2,C_fix(1));
t5=C_subchar(((C_word*)t0)[2],t2);
t6=C_a_i_cons(&a,2,t5,t3);
/* library.scm:1326: loop */
t8=t1;
t9=t4;
t10=t6;
t1=t8;
t2=t9;
t3=t10;
goto loop;}}

/* scheme#list->string in k8490 */
static void C_ccall f_11306(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(5,c,3)))){
C_save_and_reclaim((void *)f_11306,3,av);}
a=C_alloc(5);
t3=C_i_listp(t2);
if(C_truep(C_i_not(t3))){
/* library.scm:1334: ##sys#error-not-a-proper-list */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[47]+1));
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[47]+1);
av2[1]=t1;
av2[2]=t2;
av2[3]=lf[385];
tp(4,av2);}}
else{
t4=C_i_length(t2);
t5=t4;
t6=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_11322,a[2]=t5,a[3]=t1,a[4]=t2,tmp=(C_word)a,a+=5,tmp);
/* library.scm:1336: ##sys#make-string */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[376]+1));
C_word *av2=av;
av2[0]=*((C_word*)lf[376]+1);
av2[1]=t6;
av2[2]=t5;
tp(3,av2);}}}

/* k11320 in scheme#list->string in k8490 */
static void C_ccall f_11322(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,c,3)))){
C_save_and_reclaim((void *)f_11322,2,av);}
a=C_alloc(5);
t2=t1;
t3=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_11327,a[2]=((C_word*)t0)[2],a[3]=t2,a[4]=((C_word)li295),tmp=(C_word)a,a+=5,tmp);
t4=((C_word*)t0)[3];{
C_word *av2=av;
av2[0]=t4;
av2[1]=(
  f_11327(t3,C_fix(0),((C_word*)t0)[4])
);
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* doloop1519 in k11320 in scheme#list->string in k8490 */
static C_word C_fcall f_11327(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_stack_overflow_check;
loop:{}
if(C_truep(C_fixnum_greater_or_equal_p(t1,((C_word*)t0)[2]))){
return(((C_word*)t0)[3]);}
else{
t3=C_slot(t2,C_fix(0));
t4=C_i_check_char_2(t3,lf[385]);
t5=C_setsubchar(((C_word*)t0)[3],t1,t3);
t6=C_fixnum_plus(t1,C_fix(1));
t7=C_slot(t2,C_fix(1));
t9=t6;
t10=t7;
t1=t9;
t2=t10;
goto loop;}}

/* ##sys#reverse-list->string in k8490 */
static void C_ccall f_11358(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(5,c,3)))){
C_save_and_reclaim((void *)f_11358,3,av);}
a=C_alloc(5);
if(C_truep(C_i_listp(t2))){
t3=t2;
t4=C_u_i_length(t3);
t5=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_11369,a[2]=t4,a[3]=t2,a[4]=t1,tmp=(C_word)a,a+=5,tmp);
/* library.scm:1351: ##sys#make-string */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[376]+1));
C_word *av2=av;
av2[0]=*((C_word*)lf[376]+1);
av2[1]=t5;
av2[2]=t4;
tp(3,av2);}}
else{
/* library.scm:1359: ##sys#error-not-a-proper-list */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[47]+1));
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[47]+1);
av2[1]=t1;
av2[2]=t2;
av2[3]=lf[388];
tp(4,av2);}}}

/* k11367 in reverse-list->string in k8490 */
static void C_ccall f_11369(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,c,3)))){
C_save_and_reclaim((void *)f_11369,2,av);}
a=C_alloc(4);
t2=t1;
t3=C_fixnum_difference(((C_word*)t0)[2],C_fix(1));
t4=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_11378,a[2]=t2,a[3]=((C_word)li297),tmp=(C_word)a,a+=4,tmp);
t5=(
  f_11378(t4,((C_word*)t0)[3],t3)
);
t6=((C_word*)t0)[4];{
C_word *av2=av;
av2[0]=t6;
av2[1]=t2;
((C_proc)(void*)(*((C_word*)t6+1)))(2,av2);}}

/* iter in k11367 in reverse-list->string in k8490 */
static C_word C_fcall f_11378(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_stack_overflow_check;
loop:{}
if(C_truep(C_fixnum_greater_or_equal_p(t2,C_fix(0)))){
t3=C_slot(t1,C_fix(0));
t4=C_i_check_char_2(t3,lf[388]);
t5=C_setsubchar(((C_word*)t0)[2],t2,t3);
t6=C_slot(t1,C_fix(1));
t7=C_fixnum_difference(t2,C_fix(1));
t9=t6;
t10=t7;
t1=t9;
t2=t10;
goto loop;}
else{
t3=C_SCHEME_UNDEFINED;
return(t3);}}

/* scheme#string-fill! in k8490 */
static void C_ccall f_11407(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_11407,4,av);}
t4=C_i_check_string_2(t2,lf[390]);
t5=C_i_check_char_2(t3,lf[390]);
t6=C_block_size(t2);
t7=C_set_memory(t2,t3,t6);
t8=t1;{
C_word *av2=av;
av2[0]=t8;
av2[1]=C_SCHEME_UNDEFINED;
((C_proc)(void*)(*((C_word*)t8+1)))(2,av2);}}

/* scheme#string-copy in k8490 */
static void C_ccall f_11420(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(5,c,2)))){
C_save_and_reclaim((void *)f_11420,3,av);}
a=C_alloc(5);
t3=C_i_check_string_2(t2,lf[392]);
t4=C_block_size(t2);
t5=t4;
t6=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_11430,a[2]=t2,a[3]=t5,a[4]=t1,tmp=(C_word)a,a+=5,tmp);
/* library.scm:1372: ##sys#make-string */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[376]+1));
C_word *av2=av;
av2[0]=*((C_word*)lf[376]+1);
av2[1]=t6;
av2[2]=t5;
tp(3,av2);}}

/* k11428 in scheme#string-copy in k8490 */
static void C_ccall f_11430(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_11430,2,av);}
t2=C_copy_memory(t1,((C_word*)t0)[2],((C_word*)t0)[3]);
t3=((C_word*)t0)[4];{
C_word *av2=av;
av2[0]=t3;
av2[1]=t1;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* scheme#substring in k8490 */
static void C_ccall f_11432(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word *a;
if(c<4) C_bad_min_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand((c-4)*C_SIZEOF_PAIR +6,c,3)))){
C_save_and_reclaim((void*)f_11432,c,av);}
a=C_alloc((c-4)*C_SIZEOF_PAIR+6);
t4=C_build_rest(&a,c,4,av);
C_word t5;
C_word t6;
C_word t7;
t5=C_i_check_string_2(t2,lf[394]);
t6=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_11439,a[2]=t2,a[3]=t1,a[4]=t3,a[5]=t4,tmp=(C_word)a,a+=6,tmp);
/* library.scm:1379: ##sys#check-fixnum */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[102]+1));
C_word *av2=av;
av2[0]=*((C_word*)lf[102]+1);
av2[1]=t6;
av2[2]=t3;
av2[3]=lf[394];
tp(4,av2);}}

/* k11437 in scheme#substring in k8490 */
static void C_ccall f_11439(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(9,c,3)))){
C_save_and_reclaim((void *)f_11439,2,av);}
a=C_alloc(9);
t2=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_11442,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],tmp=(C_word)a,a+=5,tmp);
if(C_truep(C_i_pairp(((C_word*)t0)[5]))){
t3=((C_word*)t0)[5];
t4=C_u_i_car(t3);
t5=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_11477,a[2]=t2,a[3]=t4,tmp=(C_word)a,a+=4,tmp);
/* library.scm:1382: ##sys#check-fixnum */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[102]+1));
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[102]+1);
av2[1]=t5;
av2[2]=t4;
av2[3]=lf[394];
tp(4,av2);}}
else{
t3=t2;
f_11442(t3,C_block_size(((C_word*)t0)[2]));}}

/* k11440 in k11437 in scheme#substring in k8490 */
static void C_fcall f_11442(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,0,2)))){
C_save_and_reclaim_args((void *)trf_11442,2,t0,t1);}
a=C_alloc(6);
t2=t1;
t3=C_block_size(((C_word*)t0)[2]);
t4=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_11451,a[2]=((C_word*)t0)[3],a[3]=((C_word*)t0)[2],a[4]=((C_word*)t0)[4],a[5]=t2,tmp=(C_word)a,a+=6,tmp);
if(C_truep(C_fixnum_less_or_equal_p(((C_word*)t0)[4],t2))){
t5=C_fixnum_greater_or_equal_p(((C_word*)t0)[4],C_fix(0));
t6=t4;
f_11451(t6,(C_truep(t5)?C_fixnum_less_or_equal_p(t2,t3):C_SCHEME_FALSE));}
else{
t5=t4;
f_11451(t5,C_SCHEME_FALSE);}}

/* k11449 in k11440 in k11437 in scheme#substring in k8490 */
static void C_fcall f_11451(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,0,5)))){
C_save_and_reclaim_args((void *)trf_11451,2,t0,t1);}
if(C_truep(t1)){
/* library.scm:1389: ##sys#substring */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[395]+1));
C_word av2[5];
av2[0]=*((C_word*)lf[395]+1);
av2[1]=((C_word*)t0)[2];
av2[2]=((C_word*)t0)[3];
av2[3]=((C_word*)t0)[4];
av2[4]=((C_word*)t0)[5];
tp(5,av2);}}
else{
t2=C_fix((C_word)C_OUT_OF_RANGE_ERROR);
/* library.scm:1390: ##sys#error-hook */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[362]);
C_word av2[6];
av2[0]=*((C_word*)lf[362]+1);
av2[1]=((C_word*)t0)[2];
av2[2]=t2;
av2[3]=lf[394];
av2[4]=((C_word*)t0)[4];
av2[5]=((C_word*)t0)[5];
tp(6,av2);}}}

/* k11475 in k11437 in scheme#substring in k8490 */
static void C_ccall f_11477(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_11477,2,av);}
t2=((C_word*)t0)[2];
f_11442(t2,((C_word*)t0)[3]);}

/* ##sys#substring in k8490 */
static void C_ccall f_11482(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4=av[4];
C_word t5;
C_word t6;
C_word t7;
C_word *a;
if(c!=5) C_bad_argc_2(c,5,t0);
if(C_unlikely(!C_demand(C_calculate_demand(6,c,2)))){
C_save_and_reclaim((void *)f_11482,5,av);}
a=C_alloc(6);
t5=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_11486,a[2]=t2,a[3]=t3,a[4]=t4,a[5]=t1,tmp=(C_word)a,a+=6,tmp);
t6=C_fixnum_difference(t4,t3);
/* library.scm:1395: ##sys#make-string */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[376]+1));
C_word *av2=av;
av2[0]=*((C_word*)lf[376]+1);
av2[1]=t5;
av2[2]=t6;
tp(3,av2);}}

/* k11484 in substring in k8490 */
static void C_ccall f_11486(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_11486,2,av);}
t2=C_substring_copy(((C_word*)t0)[2],t1,((C_word*)t0)[3],((C_word*)t0)[4],C_fix(0));
t3=((C_word*)t0)[5];{
C_word *av2=av;
av2[0]=t3;
av2[1]=t1;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* compare1572 in k8490 */
static void C_ccall f_11491(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4=av[4];
C_word t5=av[5];
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word *a;
if(c!=6) C_bad_argc_2(c,6,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,4)))){
C_save_and_reclaim((void *)f_11491,6,av);}
t6=C_i_check_string_2(t2,t4);
t7=C_i_check_string_2(t3,t4);
t8=C_block_size(t2);
t9=C_block_size(t3);
if(C_truep(C_fixnum_lessp(t8,t9))){
t10=C_string_compare(t2,t3,t8);
/* library.scm:1405: k */
t11=t5;{
C_word *av2=av;
av2[0]=t11;
av2[1]=t1;
av2[2]=t8;
av2[3]=t9;
av2[4]=t10;
((C_proc)C_fast_retrieve_proc(t11))(5,av2);}}
else{
t10=C_string_compare(t2,t3,t9);
/* library.scm:1405: k */
t11=t5;{
C_word *av2=av;
av2[0]=t11;
av2[1]=t1;
av2[2]=t8;
av2[3]=t9;
av2[4]=t10;
((C_proc)C_fast_retrieve_proc(t11))(5,av2);}}}

/* scheme#string<? in k8490 */
static void C_ccall f_11512(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word t5;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(3,c,5)))){
C_save_and_reclaim((void *)f_11512,4,av);}
a=C_alloc(3);
t4=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_11518,a[2]=((C_word)li304),tmp=(C_word)a,a+=3,tmp);
/* library.scm:1413: compare */
t5=((C_word*)((C_word*)t0)[2])[1];{
C_word *av2;
if(c >= 6) {
  av2=av;
} else {
  av2=C_alloc(6);
}
av2[0]=t5;
av2[1]=t1;
av2[2]=t2;
av2[3]=t3;
av2[4]=lf[397];
av2[5]=t4;
((C_proc)C_fast_retrieve_proc(t5))(6,av2);}}

/* a11517 in scheme#string<? in k8490 */
static void C_ccall f_11518(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4=av[4];
C_word t5;
C_word t6;
C_word t7;
C_word *a;
if(c!=5) C_bad_argc_2(c,5,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_11518,5,av);}
t5=C_fixnum_lessp(t4,C_fix(0));
if(C_truep(t5)){
t6=t1;{
C_word *av2=av;
av2[0]=t6;
av2[1]=t5;
((C_proc)(void*)(*((C_word*)t6+1)))(2,av2);}}
else{
t6=C_fixnum_lessp(t2,t3);
t7=t1;{
C_word *av2=av;
av2[0]=t7;
av2[1]=(C_truep(t6)?C_eqp(t4,C_fix(0)):C_SCHEME_FALSE);
((C_proc)(void*)(*((C_word*)t7+1)))(2,av2);}}}

/* scheme#string>? in k8490 */
static void C_ccall f_11536(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word t5;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(3,c,5)))){
C_save_and_reclaim((void *)f_11536,4,av);}
a=C_alloc(3);
t4=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_11542,a[2]=((C_word)li306),tmp=(C_word)a,a+=3,tmp);
/* library.scm:1420: compare */
t5=((C_word*)((C_word*)t0)[2])[1];{
C_word *av2;
if(c >= 6) {
  av2=av;
} else {
  av2=C_alloc(6);
}
av2[0]=t5;
av2[1]=t1;
av2[2]=t2;
av2[3]=t3;
av2[4]=lf[399];
av2[5]=t4;
((C_proc)C_fast_retrieve_proc(t5))(6,av2);}}

/* a11541 in scheme#string>? in k8490 */
static void C_ccall f_11542(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4=av[4];
C_word t5;
C_word t6;
C_word t7;
C_word *a;
if(c!=5) C_bad_argc_2(c,5,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_11542,5,av);}
t5=C_fixnum_greaterp(t4,C_fix(0));
if(C_truep(t5)){
t6=t1;{
C_word *av2=av;
av2[0]=t6;
av2[1]=t5;
((C_proc)(void*)(*((C_word*)t6+1)))(2,av2);}}
else{
t6=C_fixnum_lessp(t3,t2);
t7=t1;{
C_word *av2=av;
av2[0]=t7;
av2[1]=(C_truep(t6)?C_eqp(t4,C_fix(0)):C_SCHEME_FALSE);
((C_proc)(void*)(*((C_word*)t7+1)))(2,av2);}}}

/* scheme#string<=? in k8490 */
static void C_ccall f_11560(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word t5;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(3,c,5)))){
C_save_and_reclaim((void *)f_11560,4,av);}
a=C_alloc(3);
t4=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_11566,a[2]=((C_word)li308),tmp=(C_word)a,a+=3,tmp);
/* library.scm:1427: compare */
t5=((C_word*)((C_word*)t0)[2])[1];{
C_word *av2;
if(c >= 6) {
  av2=av;
} else {
  av2=C_alloc(6);
}
av2[0]=t5;
av2[1]=t1;
av2[2]=t2;
av2[3]=t3;
av2[4]=lf[401];
av2[5]=t4;
((C_proc)C_fast_retrieve_proc(t5))(6,av2);}}

/* a11565 in scheme#string<=? in k8490 */
static void C_ccall f_11566(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4=av[4];
C_word t5;
C_word t6;
C_word *a;
if(c!=5) C_bad_argc_2(c,5,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_11566,5,av);}
t5=C_eqp(t4,C_fix(0));
t6=t1;{
C_word *av2=av;
av2[0]=t6;
av2[1]=(C_truep(t5)?C_fixnum_less_or_equal_p(t2,t3):C_fixnum_lessp(t4,C_fix(0)));
((C_proc)(void*)(*((C_word*)t6+1)))(2,av2);}}

/* scheme#string>=? in k8490 */
static void C_ccall f_11581(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word t5;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(3,c,5)))){
C_save_and_reclaim((void *)f_11581,4,av);}
a=C_alloc(3);
t4=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_11587,a[2]=((C_word)li310),tmp=(C_word)a,a+=3,tmp);
/* library.scm:1434: compare */
t5=((C_word*)((C_word*)t0)[2])[1];{
C_word *av2;
if(c >= 6) {
  av2=av;
} else {
  av2=C_alloc(6);
}
av2[0]=t5;
av2[1]=t1;
av2[2]=t2;
av2[3]=t3;
av2[4]=lf[403];
av2[5]=t4;
((C_proc)C_fast_retrieve_proc(t5))(6,av2);}}

/* a11586 in scheme#string>=? in k8490 */
static void C_ccall f_11587(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4=av[4];
C_word t5;
C_word t6;
C_word *a;
if(c!=5) C_bad_argc_2(c,5,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_11587,5,av);}
t5=C_eqp(t4,C_fix(0));
t6=t1;{
C_word *av2=av;
av2[0]=t6;
av2[1]=(C_truep(t5)?C_fixnum_greater_or_equal_p(t2,t3):C_fixnum_greaterp(t4,C_fix(0)));
((C_proc)(void*)(*((C_word*)t6+1)))(2,av2);}}

/* compare1615 in k8490 */
static void C_ccall f_11601(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4=av[4];
C_word t5=av[5];
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word *a;
if(c!=6) C_bad_argc_2(c,6,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,4)))){
C_save_and_reclaim((void *)f_11601,6,av);}
t6=C_i_check_string_2(t2,t4);
t7=C_i_check_string_2(t3,t4);
t8=C_block_size(t2);
t9=C_block_size(t3);
if(C_truep(C_fixnum_lessp(t8,t9))){
t10=C_string_compare_case_insensitive(t2,t3,t8);
/* library.scm:1447: k */
t11=t5;{
C_word *av2=av;
av2[0]=t11;
av2[1]=t1;
av2[2]=t8;
av2[3]=t9;
av2[4]=t10;
((C_proc)C_fast_retrieve_proc(t11))(5,av2);}}
else{
t10=C_string_compare_case_insensitive(t2,t3,t9);
/* library.scm:1447: k */
t11=t5;{
C_word *av2=av;
av2[0]=t11;
av2[1]=t1;
av2[2]=t8;
av2[3]=t9;
av2[4]=t10;
((C_proc)C_fast_retrieve_proc(t11))(5,av2);}}}

/* scheme#string-ci<? in k8490 */
static void C_ccall f_11622(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word t5;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(3,c,5)))){
C_save_and_reclaim((void *)f_11622,4,av);}
a=C_alloc(3);
t4=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_11628,a[2]=((C_word)li313),tmp=(C_word)a,a+=3,tmp);
/* library.scm:1455: compare */
t5=((C_word*)((C_word*)t0)[2])[1];{
C_word *av2;
if(c >= 6) {
  av2=av;
} else {
  av2=C_alloc(6);
}
av2[0]=t5;
av2[1]=t1;
av2[2]=t2;
av2[3]=t3;
av2[4]=lf[405];
av2[5]=t4;
((C_proc)C_fast_retrieve_proc(t5))(6,av2);}}

/* a11627 in scheme#string-ci<? in k8490 */
static void C_ccall f_11628(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4=av[4];
C_word t5;
C_word t6;
C_word t7;
C_word *a;
if(c!=5) C_bad_argc_2(c,5,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_11628,5,av);}
t5=C_fixnum_lessp(t4,C_fix(0));
if(C_truep(t5)){
t6=t1;{
C_word *av2=av;
av2[0]=t6;
av2[1]=t5;
((C_proc)(void*)(*((C_word*)t6+1)))(2,av2);}}
else{
t6=C_fixnum_lessp(t2,t3);
t7=t1;{
C_word *av2=av;
av2[0]=t7;
av2[1]=(C_truep(t6)?C_eqp(t4,C_fix(0)):C_SCHEME_FALSE);
((C_proc)(void*)(*((C_word*)t7+1)))(2,av2);}}}

/* scheme#string-ci>? in k8490 */
static void C_ccall f_11646(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word t5;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(3,c,5)))){
C_save_and_reclaim((void *)f_11646,4,av);}
a=C_alloc(3);
t4=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_11652,a[2]=((C_word)li315),tmp=(C_word)a,a+=3,tmp);
/* library.scm:1462: compare */
t5=((C_word*)((C_word*)t0)[2])[1];{
C_word *av2;
if(c >= 6) {
  av2=av;
} else {
  av2=C_alloc(6);
}
av2[0]=t5;
av2[1]=t1;
av2[2]=t2;
av2[3]=t3;
av2[4]=lf[407];
av2[5]=t4;
((C_proc)C_fast_retrieve_proc(t5))(6,av2);}}

/* a11651 in scheme#string-ci>? in k8490 */
static void C_ccall f_11652(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4=av[4];
C_word t5;
C_word t6;
C_word t7;
C_word *a;
if(c!=5) C_bad_argc_2(c,5,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_11652,5,av);}
t5=C_fixnum_greaterp(t4,C_fix(0));
if(C_truep(t5)){
t6=t1;{
C_word *av2=av;
av2[0]=t6;
av2[1]=t5;
((C_proc)(void*)(*((C_word*)t6+1)))(2,av2);}}
else{
t6=C_fixnum_lessp(t3,t2);
t7=t1;{
C_word *av2=av;
av2[0]=t7;
av2[1]=(C_truep(t6)?C_eqp(t4,C_fix(0)):C_SCHEME_FALSE);
((C_proc)(void*)(*((C_word*)t7+1)))(2,av2);}}}

/* scheme#string-ci<=? in k8490 */
static void C_ccall f_11670(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word t5;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(3,c,5)))){
C_save_and_reclaim((void *)f_11670,4,av);}
a=C_alloc(3);
t4=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_11676,a[2]=((C_word)li317),tmp=(C_word)a,a+=3,tmp);
/* library.scm:1469: compare */
t5=((C_word*)((C_word*)t0)[2])[1];{
C_word *av2;
if(c >= 6) {
  av2=av;
} else {
  av2=C_alloc(6);
}
av2[0]=t5;
av2[1]=t1;
av2[2]=t2;
av2[3]=t3;
av2[4]=lf[409];
av2[5]=t4;
((C_proc)C_fast_retrieve_proc(t5))(6,av2);}}

/* a11675 in scheme#string-ci<=? in k8490 */
static void C_ccall f_11676(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4=av[4];
C_word t5;
C_word t6;
C_word *a;
if(c!=5) C_bad_argc_2(c,5,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_11676,5,av);}
t5=C_eqp(t4,C_fix(0));
t6=t1;{
C_word *av2=av;
av2[0]=t6;
av2[1]=(C_truep(t5)?C_fixnum_greater_or_equal_p(t2,t3):C_fixnum_lessp(t4,C_fix(0)));
((C_proc)(void*)(*((C_word*)t6+1)))(2,av2);}}

/* scheme#string-ci>=? in k8490 */
static void C_ccall f_11691(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word t5;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(3,c,5)))){
C_save_and_reclaim((void *)f_11691,4,av);}
a=C_alloc(3);
t4=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_11697,a[2]=((C_word)li319),tmp=(C_word)a,a+=3,tmp);
/* library.scm:1476: compare */
t5=((C_word*)((C_word*)t0)[2])[1];{
C_word *av2;
if(c >= 6) {
  av2=av;
} else {
  av2=C_alloc(6);
}
av2[0]=t5;
av2[1]=t1;
av2[2]=t2;
av2[3]=t3;
av2[4]=lf[411];
av2[5]=t4;
((C_proc)C_fast_retrieve_proc(t5))(6,av2);}}

/* a11696 in scheme#string-ci>=? in k8490 */
static void C_ccall f_11697(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4=av[4];
C_word t5;
C_word t6;
C_word *a;
if(c!=5) C_bad_argc_2(c,5,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_11697,5,av);}
t5=C_eqp(t4,C_fix(0));
t6=t1;{
C_word *av2=av;
av2[0]=t6;
av2[1]=(C_truep(t5)?C_fixnum_less_or_equal_p(t2,t3):C_fixnum_greaterp(t4,C_fix(0)));
((C_proc)(void*)(*((C_word*)t6+1)))(2,av2);}}

/* ##sys#string-append in k8490 */
static void C_ccall f_11712(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(7,c,2)))){
C_save_and_reclaim((void *)f_11712,4,av);}
a=C_alloc(7);
t4=C_block_size(t2);
t5=t4;
t6=C_block_size(t3);
t7=t6;
t8=(*a=C_CLOSURE_TYPE|6,a[1]=(C_word)f_11722,a[2]=t2,a[3]=t5,a[4]=t3,a[5]=t7,a[6]=t1,tmp=(C_word)a,a+=7,tmp);
t9=C_fixnum_plus(t5,t7);
/* library.scm:1486: ##sys#make-string */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[376]+1));
C_word *av2=av;
av2[0]=*((C_word*)lf[376]+1);
av2[1]=t8;
av2[2]=t9;
tp(3,av2);}}

/* k11720 in string-append in k8490 */
static void C_ccall f_11722(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_11722,2,av);}
t2=C_substring_copy(((C_word*)t0)[2],t1,C_fix(0),((C_word*)t0)[3],C_fix(0));
t3=C_substring_copy(((C_word*)t0)[4],t1,C_fix(0),((C_word*)t0)[5],((C_word*)t0)[3]);
t4=((C_word*)t0)[6];{
C_word *av2=av;
av2[0]=t4;
av2[1]=t1;
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* scheme#string-append in k8490 */
static void C_ccall f_11728(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand((c-2)*C_SIZEOF_PAIR +13,c,4)))){
C_save_and_reclaim((void*)f_11728,c,av);}
a=C_alloc((c-2)*C_SIZEOF_PAIR+13);
t2=C_build_rest(&a,c,2,av);
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
t3=C_SCHEME_FALSE;
t4=(*a=C_VECTOR_TYPE|1,a[1]=t3,tmp=(C_word)a,a+=2,tmp);
t5=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_11732,a[2]=t1,a[3]=t4,tmp=(C_word)a,a+=4,tmp);
t6=C_SCHEME_UNDEFINED;
t7=(*a=C_VECTOR_TYPE|1,a[1]=t6,tmp=(C_word)a,a+=2,tmp);
t8=C_set_block_item(t7,0,(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_11734,a[2]=t4,a[3]=t7,a[4]=((C_word)li322),tmp=(C_word)a,a+=5,tmp));
t9=((C_word*)t7)[1];
f_11734(t9,t5,t2,C_fix(0));}

/* k11730 in scheme#string-append in k8490 */
static void C_ccall f_11732(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_11732,2,av);}
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=((C_word*)((C_word*)t0)[3])[1];
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* loop in scheme#string-append in k8490 */
static void C_fcall f_11734(C_word t0,C_word t1,C_word t2,C_word t3){
C_word tmp;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word t12;
C_word t13;
C_word t14;
C_word t15;
C_word t16;
C_word *a;
loop:
if(C_unlikely(!C_demand(C_calculate_demand(7,0,3)))){
C_save_and_reclaim_args((void *)trf_11734,4,t0,t1,t2,t3);}
a=C_alloc(7);
t4=C_eqp(t2,C_SCHEME_END_OF_LIST);
if(C_truep(t4)){
t5=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_11745,a[2]=((C_word*)t0)[2],a[3]=t1,tmp=(C_word)a,a+=4,tmp);
/* library.scm:1496: ##sys#make-string */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[376]+1));
C_word av2[3];
av2[0]=*((C_word*)lf[376]+1);
av2[1]=t5;
av2[2]=t3;
tp(3,av2);}}
else{
t5=C_slot(t2,C_fix(0));
t6=t5;
t7=C_i_check_string_2(t6,lf[414]);
t8=C_block_size(t6);
t9=t8;
t10=(*a=C_CLOSURE_TYPE|6,a[1]=(C_word)f_11757,a[2]=t6,a[3]=((C_word*)t0)[2],a[4]=t9,a[5]=t3,a[6]=t1,tmp=(C_word)a,a+=7,tmp);
t11=C_slot(t2,C_fix(1));
t12=C_fixnum_plus(t3,t9);
/* library.scm:1500: loop */
t14=t10;
t15=t11;
t16=t12;
t1=t14;
t2=t15;
t3=t16;
goto loop;}}

/* k11743 in loop in scheme#string-append in k8490 */
static void C_ccall f_11745(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_11745,2,av);}
t2=C_mutate(((C_word *)((C_word*)t0)[2])+1,t1);
t3=((C_word*)t0)[3];{
C_word *av2=av;
av2[0]=t3;
av2[1]=t2;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* k11755 in loop in scheme#string-append in k8490 */
static void C_ccall f_11757(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_11757,2,av);}
t2=C_substring_copy(((C_word*)t0)[2],((C_word*)((C_word*)t0)[3])[1],C_fix(0),((C_word*)t0)[4],((C_word*)t0)[5]);
t3=((C_word*)t0)[6];{
C_word *av2=av;
av2[0]=t3;
av2[1]=t2;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* scheme#string in k8490 */
static void C_ccall f_11767(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand((c-2)*C_SIZEOF_PAIR +0,c,2)))){
C_save_and_reclaim((void*)f_11767,c,av);}
a=C_alloc((c-2)*C_SIZEOF_PAIR+0);
t2=C_build_rest(&a,c,2,av);
C_word t3;
/* list->string */
t3=*((C_word*)lf[386]+1);{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t3;
av2[1]=t1;
av2[2]=t2;
((C_proc)(void*)(*((C_word*)t3+1)))(3,av2);}}

/* ##sys#fragments->string in k8490 */
static void C_ccall f_11773(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word t5;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(4,c,2)))){
C_save_and_reclaim((void *)f_11773,4,av);}
a=C_alloc(4);
t4=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_11777,a[2]=t1,a[3]=t3,tmp=(C_word)a,a+=4,tmp);
/* library.scm:1509: ##sys#make-string */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[376]+1));
C_word *av2=av;
av2[0]=*((C_word*)lf[376]+1);
av2[1]=t4;
av2[2]=t2;
tp(3,av2);}}

/* k11775 in fragments->string in k8490 */
static void C_ccall f_11777(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,c,3)))){
C_save_and_reclaim((void *)f_11777,2,av);}
a=C_alloc(4);
t2=t1;
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_11782,a[2]=t2,a[3]=((C_word)li325),tmp=(C_word)a,a+=4,tmp);
t4=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t4;
av2[1]=(
  f_11782(t3,((C_word*)t0)[3],C_fix(0))
);
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* loop in k11775 in fragments->string in k8490 */
static C_word C_fcall f_11782(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_stack_overflow_check;
loop:{}
if(C_truep(C_i_nullp(t1))){
return(((C_word*)t0)[2]);}
else{
t3=C_slot(t1,C_fix(0));
t4=C_block_size(t3);
t5=C_substring_copy(t3,((C_word*)t0)[2],C_fix(0),t4,t2);
t6=C_slot(t1,C_fix(1));
t7=C_fixnum_plus(t2,t4);
t9=t6;
t10=t7;
t1=t9;
t2=t10;
goto loop;}}

/* chicken.base#chop in k8490 */
static void C_ccall f_11808(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word t5;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(5,c,3)))){
C_save_and_reclaim((void *)f_11808,4,av);}
a=C_alloc(5);
t4=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_11812,a[2]=t2,a[3]=t3,a[4]=t1,tmp=(C_word)a,a+=5,tmp);
/* library.scm:1520: ##sys#check-fixnum */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[102]+1));
C_word *av2=av;
av2[0]=*((C_word*)lf[102]+1);
av2[1]=t4;
av2[2]=t3;
av2[3]=lf[418];
tp(4,av2);}}

/* k11810 in chicken.base#chop in k8490 */
static void C_ccall f_11812(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,c,4)))){
C_save_and_reclaim((void *)f_11812,2,av);}
a=C_alloc(5);
t2=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_11815,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],tmp=(C_word)a,a+=5,tmp);
if(C_truep(C_fixnum_less_or_equal_p(((C_word*)t0)[3],C_fix(0)))){
/* library.scm:1521: ##sys#error */
t3=*((C_word*)lf[155]+1);{
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=t3;
av2[1]=t2;
av2[2]=lf[418];
av2[3]=lf[419];
av2[4]=((C_word*)t0)[3];
((C_proc)(void*)(*((C_word*)t3+1)))(5,av2);}}
else{
t3=t2;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_SCHEME_UNDEFINED;
f_11815(2,av2);}}}

/* k11813 in k11810 in chicken.base#chop in k8490 */
static void C_ccall f_11815(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(7,c,4)))){
C_save_and_reclaim((void *)f_11815,2,av);}
a=C_alloc(7);
t2=C_i_length(((C_word*)t0)[2]);
t3=C_SCHEME_UNDEFINED;
t4=(*a=C_VECTOR_TYPE|1,a[1]=t3,tmp=(C_word)a,a+=2,tmp);
t5=C_set_block_item(t4,0,(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_11823,a[2]=((C_word*)t0)[3],a[3]=t4,a[4]=((C_word)li328),tmp=(C_word)a,a+=5,tmp));
t6=((C_word*)t4)[1];
f_11823(t6,((C_word*)t0)[4],((C_word*)t0)[2],t2);}

/* loop in k11813 in k11810 in chicken.base#chop in k8490 */
static void C_fcall f_11823(C_word t0,C_word t1,C_word t2,C_word t3){
C_word tmp;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(9,0,5)))){
C_save_and_reclaim_args((void *)trf_11823,4,t0,t1,t2,t3);}
a=C_alloc(9);
if(C_truep(C_i_nullp(t2))){
t4=t1;{
C_word av2[2];
av2[0]=t4;
av2[1]=C_SCHEME_END_OF_LIST;
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}
else{
if(C_truep(C_fixnum_lessp(t3,((C_word*)t0)[2]))){
t4=t1;{
C_word av2[2];
av2[0]=t4;
av2[1]=C_a_i_list1(&a,1,t2);
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}
else{
t4=C_SCHEME_UNDEFINED;
t5=(*a=C_VECTOR_TYPE|1,a[1]=t4,tmp=(C_word)a,a+=2,tmp);
t6=C_set_block_item(t5,0,(*a=C_CLOSURE_TYPE|6,a[1]=(C_word)f_11844,a[2]=t3,a[3]=((C_word*)t0)[2],a[4]=((C_word*)t0)[3],a[5]=t5,a[6]=((C_word)li327),tmp=(C_word)a,a+=7,tmp));
t7=((C_word*)t5)[1];
f_11844(t7,t1,C_SCHEME_END_OF_LIST,t2,((C_word*)t0)[2]);}}}

/* doloop1700 in loop in k11813 in k11810 in chicken.base#chop in k8490 */
static void C_fcall f_11844(C_word t0,C_word t1,C_word t2,C_word t3,C_word t4){
C_word tmp;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word t12;
C_word t13;
C_word t14;
C_word *a;
loop:
if(C_unlikely(!C_demand(C_calculate_demand(7,0,4)))){
C_save_and_reclaim_args((void *)trf_11844,5,t0,t1,t2,t3,t4);}
a=C_alloc(7);
t5=C_eqp(t4,C_fix(0));
if(C_truep(t5)){
t6=(*a=C_CLOSURE_TYPE|6,a[1]=(C_word)f_11858,a[2]=t1,a[3]=((C_word*)t0)[2],a[4]=((C_word*)t0)[3],a[5]=((C_word*)t0)[4],a[6]=t3,tmp=(C_word)a,a+=7,tmp);
/* library.scm:1531: scheme#reverse */
t7=*((C_word*)lf[46]+1);{
C_word av2[3];
av2[0]=t7;
av2[1]=t6;
av2[2]=t2;
((C_proc)(void*)(*((C_word*)t7+1)))(3,av2);}}
else{
t6=C_slot(t3,C_fix(0));
t7=C_a_i_cons(&a,2,t6,t2);
t8=C_slot(t3,C_fix(1));
t9=C_fixnum_difference(t4,C_fix(1));
t11=t1;
t12=t7;
t13=t8;
t14=t9;
t1=t11;
t2=t12;
t3=t13;
t4=t14;
goto loop;}}

/* k11856 in doloop1700 in loop in k11813 in k11810 in chicken.base#chop in k8490 */
static void C_ccall f_11858(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,c,3)))){
C_save_and_reclaim((void *)f_11858,2,av);}
a=C_alloc(4);
t2=t1;
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_11862,a[2]=((C_word*)t0)[2],a[3]=t2,tmp=(C_word)a,a+=4,tmp);
t4=C_fixnum_difference(((C_word*)t0)[3],((C_word*)t0)[4]);
/* library.scm:1531: loop */
t5=((C_word*)((C_word*)t0)[5])[1];
f_11823(t5,t3,((C_word*)t0)[6],t4);}

/* k11860 in k11856 in doloop1700 in loop in k11813 in k11810 in chicken.base#chop in k8490 */
static void C_ccall f_11862(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,1)))){
C_save_and_reclaim((void *)f_11862,2,av);}
a=C_alloc(3);
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=C_a_i_cons(&a,2,((C_word*)t0)[3],t1);
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* chicken.flonum#fp+ in k8490 */
static void C_ccall f_11903(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(9,c,5)))){
C_save_and_reclaim((void *)f_11903,4,av);}
a=C_alloc(9);
t4=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_11925,a[2]=t1,a[3]=t2,a[4]=t3,tmp=(C_word)a,a+=5,tmp);
t5=t2;
t6=t3;
t7=C_i_flonump(t5);
t8=(C_truep(t7)?C_i_flonump(t6):C_SCHEME_FALSE);
if(C_truep(t8)){
t9=t1;{
C_word *av2=av;
av2[0]=t9;
av2[1]=C_a_i_flonum_plus(&a,2,t2,t3);
((C_proc)(void*)(*((C_word*)t9+1)))(2,av2);}}
else{
t9=C_fix((C_word)C_BAD_ARGUMENT_TYPE_NO_FLONUM_ERROR);
/* library.scm:1562: ##sys#error-hook */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[362]);
C_word *av2;
if(c >= 6) {
  av2=av;
} else {
  av2=C_alloc(6);
}
av2[0]=*((C_word*)lf[362]+1);
av2[1]=t4;
av2[2]=t9;
av2[3]=lf[432];
av2[4]=t5;
av2[5]=t6;
tp(6,av2);}}}

/* k11923 in chicken.flonum#fp+ in k8490 */
static void C_ccall f_11925(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,c,1)))){
C_save_and_reclaim((void *)f_11925,2,av);}
a=C_alloc(4);
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=C_a_i_flonum_plus(&a,2,((C_word*)t0)[3],((C_word*)t0)[4]);
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* chicken.flonum#fp- in k8490 */
static void C_ccall f_11927(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(9,c,5)))){
C_save_and_reclaim((void *)f_11927,4,av);}
a=C_alloc(9);
t4=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_11949,a[2]=t1,a[3]=t2,a[4]=t3,tmp=(C_word)a,a+=5,tmp);
t5=t2;
t6=t3;
t7=C_i_flonump(t5);
t8=(C_truep(t7)?C_i_flonump(t6):C_SCHEME_FALSE);
if(C_truep(t8)){
t9=t1;{
C_word *av2=av;
av2[0]=t9;
av2[1]=C_a_i_flonum_difference(&a,2,t2,t3);
((C_proc)(void*)(*((C_word*)t9+1)))(2,av2);}}
else{
t9=C_fix((C_word)C_BAD_ARGUMENT_TYPE_NO_FLONUM_ERROR);
/* library.scm:1562: ##sys#error-hook */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[362]);
C_word *av2;
if(c >= 6) {
  av2=av;
} else {
  av2=C_alloc(6);
}
av2[0]=*((C_word*)lf[362]+1);
av2[1]=t4;
av2[2]=t9;
av2[3]=lf[434];
av2[4]=t5;
av2[5]=t6;
tp(6,av2);}}}

/* k11947 in chicken.flonum#fp- in k8490 */
static void C_ccall f_11949(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,c,1)))){
C_save_and_reclaim((void *)f_11949,2,av);}
a=C_alloc(4);
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=C_a_i_flonum_difference(&a,2,((C_word*)t0)[3],((C_word*)t0)[4]);
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* chicken.flonum#fp* in k8490 */
static void C_ccall f_11951(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(9,c,5)))){
C_save_and_reclaim((void *)f_11951,4,av);}
a=C_alloc(9);
t4=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_11973,a[2]=t1,a[3]=t2,a[4]=t3,tmp=(C_word)a,a+=5,tmp);
t5=t2;
t6=t3;
t7=C_i_flonump(t5);
t8=(C_truep(t7)?C_i_flonump(t6):C_SCHEME_FALSE);
if(C_truep(t8)){
t9=t1;{
C_word *av2=av;
av2[0]=t9;
av2[1]=C_a_i_flonum_times(&a,2,t2,t3);
((C_proc)(void*)(*((C_word*)t9+1)))(2,av2);}}
else{
t9=C_fix((C_word)C_BAD_ARGUMENT_TYPE_NO_FLONUM_ERROR);
/* library.scm:1562: ##sys#error-hook */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[362]);
C_word *av2;
if(c >= 6) {
  av2=av;
} else {
  av2=C_alloc(6);
}
av2[0]=*((C_word*)lf[362]+1);
av2[1]=t4;
av2[2]=t9;
av2[3]=lf[436];
av2[4]=t5;
av2[5]=t6;
tp(6,av2);}}}

/* k11971 in chicken.flonum#fp* in k8490 */
static void C_ccall f_11973(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,c,1)))){
C_save_and_reclaim((void *)f_11973,2,av);}
a=C_alloc(4);
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=C_a_i_flonum_times(&a,2,((C_word*)t0)[3],((C_word*)t0)[4]);
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* chicken.flonum#fp/ in k8490 */
static void C_ccall f_11975(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(9,c,5)))){
C_save_and_reclaim((void *)f_11975,4,av);}
a=C_alloc(9);
t4=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_11997,a[2]=t1,a[3]=t2,a[4]=t3,tmp=(C_word)a,a+=5,tmp);
t5=t2;
t6=t3;
t7=C_i_flonump(t5);
t8=(C_truep(t7)?C_i_flonump(t6):C_SCHEME_FALSE);
if(C_truep(t8)){
t9=t1;{
C_word *av2=av;
av2[0]=t9;
av2[1]=C_a_i_flonum_quotient(&a,2,t2,t3);
((C_proc)(void*)(*((C_word*)t9+1)))(2,av2);}}
else{
t9=C_fix((C_word)C_BAD_ARGUMENT_TYPE_NO_FLONUM_ERROR);
/* library.scm:1562: ##sys#error-hook */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[362]);
C_word *av2;
if(c >= 6) {
  av2=av;
} else {
  av2=C_alloc(6);
}
av2[0]=*((C_word*)lf[362]+1);
av2[1]=t4;
av2[2]=t9;
av2[3]=lf[438];
av2[4]=t5;
av2[5]=t6;
tp(6,av2);}}}

/* k11995 in chicken.flonum#fp/ in k8490 */
static void C_ccall f_11997(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,c,1)))){
C_save_and_reclaim((void *)f_11997,2,av);}
a=C_alloc(4);
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=C_a_i_flonum_quotient(&a,2,((C_word*)t0)[3],((C_word*)t0)[4]);
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* chicken.flonum#fpgcd in k8490 */
static void C_ccall f_11999(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(9,c,5)))){
C_save_and_reclaim((void *)f_11999,4,av);}
a=C_alloc(9);
t4=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_12021,a[2]=t1,a[3]=t2,a[4]=t3,tmp=(C_word)a,a+=5,tmp);
t5=t2;
t6=t3;
t7=C_i_flonump(t5);
t8=(C_truep(t7)?C_i_flonump(t6):C_SCHEME_FALSE);
if(C_truep(t8)){
t9=t1;{
C_word *av2=av;
av2[0]=t9;
av2[1]=C_a_i_flonum_gcd(&a,2,t2,t3);
((C_proc)(void*)(*((C_word*)t9+1)))(2,av2);}}
else{
t9=C_fix((C_word)C_BAD_ARGUMENT_TYPE_NO_FLONUM_ERROR);
/* library.scm:1562: ##sys#error-hook */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[362]);
C_word *av2;
if(c >= 6) {
  av2=av;
} else {
  av2=C_alloc(6);
}
av2[0]=*((C_word*)lf[362]+1);
av2[1]=t4;
av2[2]=t9;
av2[3]=lf[440];
av2[4]=t5;
av2[5]=t6;
tp(6,av2);}}}

/* k12019 in chicken.flonum#fpgcd in k8490 */
static void C_ccall f_12021(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,c,1)))){
C_save_and_reclaim((void *)f_12021,2,av);}
a=C_alloc(4);
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=C_a_i_flonum_gcd(&a,2,((C_word*)t0)[3],((C_word*)t0)[4]);
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* chicken.flonum#fp/? in k8490 */
static void C_ccall f_12023(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(9,c,5)))){
C_save_and_reclaim((void *)f_12023,4,av);}
a=C_alloc(9);
t4=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_12045,a[2]=t1,a[3]=t2,a[4]=t3,tmp=(C_word)a,a+=5,tmp);
t5=t2;
t6=t3;
t7=C_i_flonump(t5);
t8=(C_truep(t7)?C_i_flonump(t6):C_SCHEME_FALSE);
if(C_truep(t8)){
t9=t1;{
C_word *av2=av;
av2[0]=t9;
av2[1]=C_a_i_flonum_quotient_checked(&a,2,t2,t3);
((C_proc)(void*)(*((C_word*)t9+1)))(2,av2);}}
else{
t9=C_fix((C_word)C_BAD_ARGUMENT_TYPE_NO_FLONUM_ERROR);
/* library.scm:1562: ##sys#error-hook */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[362]);
C_word *av2;
if(c >= 6) {
  av2=av;
} else {
  av2=C_alloc(6);
}
av2[0]=*((C_word*)lf[362]+1);
av2[1]=t4;
av2[2]=t9;
av2[3]=lf[442];
av2[4]=t5;
av2[5]=t6;
tp(6,av2);}}}

/* k12043 in chicken.flonum#fp/? in k8490 */
static void C_ccall f_12045(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,c,1)))){
C_save_and_reclaim((void *)f_12045,2,av);}
a=C_alloc(4);
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=C_a_i_flonum_quotient_checked(&a,2,((C_word*)t0)[3],((C_word*)t0)[4]);
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* chicken.flonum#fp= in k8490 */
static void C_ccall f_12047(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(5,c,5)))){
C_save_and_reclaim((void *)f_12047,4,av);}
a=C_alloc(5);
t4=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_12069,a[2]=t1,a[3]=t2,a[4]=t3,tmp=(C_word)a,a+=5,tmp);
t5=t2;
t6=t3;
t7=C_i_flonump(t5);
t8=(C_truep(t7)?C_i_flonump(t6):C_SCHEME_FALSE);
if(C_truep(t8)){
t9=t1;{
C_word *av2=av;
av2[0]=t9;
av2[1]=C_flonum_equalp(t2,t3);
((C_proc)(void*)(*((C_word*)t9+1)))(2,av2);}}
else{
t9=C_fix((C_word)C_BAD_ARGUMENT_TYPE_NO_FLONUM_ERROR);
/* library.scm:1562: ##sys#error-hook */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[362]);
C_word *av2;
if(c >= 6) {
  av2=av;
} else {
  av2=C_alloc(6);
}
av2[0]=*((C_word*)lf[362]+1);
av2[1]=t4;
av2[2]=t9;
av2[3]=lf[444];
av2[4]=t5;
av2[5]=t6;
tp(6,av2);}}}

/* k12067 in chicken.flonum#fp= in k8490 */
static void C_ccall f_12069(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_12069,2,av);}
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=C_flonum_equalp(((C_word*)t0)[3],((C_word*)t0)[4]);
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* chicken.flonum#fp> in k8490 */
static void C_ccall f_12071(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(5,c,5)))){
C_save_and_reclaim((void *)f_12071,4,av);}
a=C_alloc(5);
t4=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_12093,a[2]=t1,a[3]=t2,a[4]=t3,tmp=(C_word)a,a+=5,tmp);
t5=t2;
t6=t3;
t7=C_i_flonump(t5);
t8=(C_truep(t7)?C_i_flonump(t6):C_SCHEME_FALSE);
if(C_truep(t8)){
t9=t1;{
C_word *av2=av;
av2[0]=t9;
av2[1]=C_flonum_greaterp(t2,t3);
((C_proc)(void*)(*((C_word*)t9+1)))(2,av2);}}
else{
t9=C_fix((C_word)C_BAD_ARGUMENT_TYPE_NO_FLONUM_ERROR);
/* library.scm:1562: ##sys#error-hook */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[362]);
C_word *av2;
if(c >= 6) {
  av2=av;
} else {
  av2=C_alloc(6);
}
av2[0]=*((C_word*)lf[362]+1);
av2[1]=t4;
av2[2]=t9;
av2[3]=lf[446];
av2[4]=t5;
av2[5]=t6;
tp(6,av2);}}}

/* k12091 in chicken.flonum#fp> in k8490 */
static void C_ccall f_12093(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_12093,2,av);}
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=C_flonum_greaterp(((C_word*)t0)[3],((C_word*)t0)[4]);
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* chicken.flonum#fp< in k8490 */
static void C_ccall f_12095(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(5,c,5)))){
C_save_and_reclaim((void *)f_12095,4,av);}
a=C_alloc(5);
t4=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_12117,a[2]=t1,a[3]=t2,a[4]=t3,tmp=(C_word)a,a+=5,tmp);
t5=t2;
t6=t3;
t7=C_i_flonump(t5);
t8=(C_truep(t7)?C_i_flonump(t6):C_SCHEME_FALSE);
if(C_truep(t8)){
t9=t1;{
C_word *av2=av;
av2[0]=t9;
av2[1]=C_flonum_lessp(t2,t3);
((C_proc)(void*)(*((C_word*)t9+1)))(2,av2);}}
else{
t9=C_fix((C_word)C_BAD_ARGUMENT_TYPE_NO_FLONUM_ERROR);
/* library.scm:1562: ##sys#error-hook */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[362]);
C_word *av2;
if(c >= 6) {
  av2=av;
} else {
  av2=C_alloc(6);
}
av2[0]=*((C_word*)lf[362]+1);
av2[1]=t4;
av2[2]=t9;
av2[3]=lf[448];
av2[4]=t5;
av2[5]=t6;
tp(6,av2);}}}

/* k12115 in chicken.flonum#fp< in k8490 */
static void C_ccall f_12117(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_12117,2,av);}
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=C_flonum_lessp(((C_word*)t0)[3],((C_word*)t0)[4]);
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* chicken.flonum#fp>= in k8490 */
static void C_ccall f_12119(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(5,c,5)))){
C_save_and_reclaim((void *)f_12119,4,av);}
a=C_alloc(5);
t4=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_12141,a[2]=t1,a[3]=t2,a[4]=t3,tmp=(C_word)a,a+=5,tmp);
t5=t2;
t6=t3;
t7=C_i_flonump(t5);
t8=(C_truep(t7)?C_i_flonump(t6):C_SCHEME_FALSE);
if(C_truep(t8)){
t9=t1;{
C_word *av2=av;
av2[0]=t9;
av2[1]=C_flonum_greater_or_equal_p(t2,t3);
((C_proc)(void*)(*((C_word*)t9+1)))(2,av2);}}
else{
t9=C_fix((C_word)C_BAD_ARGUMENT_TYPE_NO_FLONUM_ERROR);
/* library.scm:1562: ##sys#error-hook */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[362]);
C_word *av2;
if(c >= 6) {
  av2=av;
} else {
  av2=C_alloc(6);
}
av2[0]=*((C_word*)lf[362]+1);
av2[1]=t4;
av2[2]=t9;
av2[3]=lf[450];
av2[4]=t5;
av2[5]=t6;
tp(6,av2);}}}

/* k12139 in chicken.flonum#fp>= in k8490 */
static void C_ccall f_12141(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_12141,2,av);}
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=C_flonum_greater_or_equal_p(((C_word*)t0)[3],((C_word*)t0)[4]);
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* chicken.flonum#fp<= in k8490 */
static void C_ccall f_12143(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(5,c,5)))){
C_save_and_reclaim((void *)f_12143,4,av);}
a=C_alloc(5);
t4=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_12165,a[2]=t1,a[3]=t2,a[4]=t3,tmp=(C_word)a,a+=5,tmp);
t5=t2;
t6=t3;
t7=C_i_flonump(t5);
t8=(C_truep(t7)?C_i_flonump(t6):C_SCHEME_FALSE);
if(C_truep(t8)){
t9=t1;{
C_word *av2=av;
av2[0]=t9;
av2[1]=C_flonum_less_or_equal_p(t2,t3);
((C_proc)(void*)(*((C_word*)t9+1)))(2,av2);}}
else{
t9=C_fix((C_word)C_BAD_ARGUMENT_TYPE_NO_FLONUM_ERROR);
/* library.scm:1562: ##sys#error-hook */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[362]);
C_word *av2;
if(c >= 6) {
  av2=av;
} else {
  av2=C_alloc(6);
}
av2[0]=*((C_word*)lf[362]+1);
av2[1]=t4;
av2[2]=t9;
av2[3]=lf[452];
av2[4]=t5;
av2[5]=t6;
tp(6,av2);}}}

/* k12163 in chicken.flonum#fp<= in k8490 */
static void C_ccall f_12165(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_12165,2,av);}
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=C_flonum_less_or_equal_p(((C_word*)t0)[3],((C_word*)t0)[4]);
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* chicken.flonum#fpneg in k8490 */
static void C_ccall f_12167(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(8,c,4)))){
C_save_and_reclaim((void *)f_12167,3,av);}
a=C_alloc(8);
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_12183,a[2]=t1,a[3]=t2,tmp=(C_word)a,a+=4,tmp);
t4=t2;
if(C_truep(C_i_flonump(t4))){
t5=t1;{
C_word *av2=av;
av2[0]=t5;
av2[1]=C_a_i_flonum_negate(&a,1,t2);
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}
else{
t5=C_fix((C_word)C_BAD_ARGUMENT_TYPE_NO_FLONUM_ERROR);
/* library.scm:1558: ##sys#error-hook */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[362]);
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=*((C_word*)lf[362]+1);
av2[1]=t3;
av2[2]=t5;
av2[3]=lf[454];
av2[4]=t4;
tp(5,av2);}}}

/* k12181 in chicken.flonum#fpneg in k8490 */
static void C_ccall f_12183(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,c,1)))){
C_save_and_reclaim((void *)f_12183,2,av);}
a=C_alloc(4);
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=C_a_i_flonum_negate(&a,1,((C_word*)t0)[3]);
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* chicken.flonum#fpmax in k8490 */
static void C_ccall f_12185(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(5,c,5)))){
C_save_and_reclaim((void *)f_12185,4,av);}
a=C_alloc(5);
t4=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_12207,a[2]=t1,a[3]=t2,a[4]=t3,tmp=(C_word)a,a+=5,tmp);
t5=t2;
t6=t3;
t7=C_i_flonump(t5);
t8=(C_truep(t7)?C_i_flonump(t6):C_SCHEME_FALSE);
if(C_truep(t8)){
t9=t1;{
C_word *av2=av;
av2[0]=t9;
av2[1]=C_i_flonum_max(t2,t3);
((C_proc)(void*)(*((C_word*)t9+1)))(2,av2);}}
else{
t9=C_fix((C_word)C_BAD_ARGUMENT_TYPE_NO_FLONUM_ERROR);
/* library.scm:1562: ##sys#error-hook */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[362]);
C_word *av2;
if(c >= 6) {
  av2=av;
} else {
  av2=C_alloc(6);
}
av2[0]=*((C_word*)lf[362]+1);
av2[1]=t4;
av2[2]=t9;
av2[3]=lf[456];
av2[4]=t5;
av2[5]=t6;
tp(6,av2);}}}

/* k12205 in chicken.flonum#fpmax in k8490 */
static void C_ccall f_12207(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_12207,2,av);}
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=C_i_flonum_max(((C_word*)t0)[3],((C_word*)t0)[4]);
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* chicken.flonum#fpmin in k8490 */
static void C_ccall f_12209(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(5,c,5)))){
C_save_and_reclaim((void *)f_12209,4,av);}
a=C_alloc(5);
t4=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_12231,a[2]=t1,a[3]=t2,a[4]=t3,tmp=(C_word)a,a+=5,tmp);
t5=t2;
t6=t3;
t7=C_i_flonump(t5);
t8=(C_truep(t7)?C_i_flonump(t6):C_SCHEME_FALSE);
if(C_truep(t8)){
t9=t1;{
C_word *av2=av;
av2[0]=t9;
av2[1]=C_i_flonum_min(t2,t3);
((C_proc)(void*)(*((C_word*)t9+1)))(2,av2);}}
else{
t9=C_fix((C_word)C_BAD_ARGUMENT_TYPE_NO_FLONUM_ERROR);
/* library.scm:1562: ##sys#error-hook */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[362]);
C_word *av2;
if(c >= 6) {
  av2=av;
} else {
  av2=C_alloc(6);
}
av2[0]=*((C_word*)lf[362]+1);
av2[1]=t4;
av2[2]=t9;
av2[3]=lf[458];
av2[4]=t5;
av2[5]=t6;
tp(6,av2);}}}

/* k12229 in chicken.flonum#fpmin in k8490 */
static void C_ccall f_12231(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_12231,2,av);}
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=C_i_flonum_min(((C_word*)t0)[3],((C_word*)t0)[4]);
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* chicken.flonum#fpfloor in k8490 */
static void C_ccall f_12233(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(8,c,4)))){
C_save_and_reclaim((void *)f_12233,3,av);}
a=C_alloc(8);
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_12249,a[2]=t1,a[3]=t2,tmp=(C_word)a,a+=4,tmp);
t4=t2;
if(C_truep(C_i_flonump(t4))){
t5=t1;{
C_word *av2=av;
av2[0]=t5;
av2[1]=C_a_i_flonum_floor(&a,1,t2);
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}
else{
t5=C_fix((C_word)C_BAD_ARGUMENT_TYPE_NO_FLONUM_ERROR);
/* library.scm:1558: ##sys#error-hook */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[362]);
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=*((C_word*)lf[362]+1);
av2[1]=t3;
av2[2]=t5;
av2[3]=lf[460];
av2[4]=t4;
tp(5,av2);}}}

/* k12247 in chicken.flonum#fpfloor in k8490 */
static void C_ccall f_12249(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,c,1)))){
C_save_and_reclaim((void *)f_12249,2,av);}
a=C_alloc(4);
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=C_a_i_flonum_floor(&a,1,((C_word*)t0)[3]);
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* chicken.flonum#fptruncate in k8490 */
static void C_ccall f_12251(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(8,c,4)))){
C_save_and_reclaim((void *)f_12251,3,av);}
a=C_alloc(8);
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_12267,a[2]=t1,a[3]=t2,tmp=(C_word)a,a+=4,tmp);
t4=t2;
if(C_truep(C_i_flonump(t4))){
t5=t1;{
C_word *av2=av;
av2[0]=t5;
av2[1]=C_a_i_flonum_truncate(&a,1,t2);
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}
else{
t5=C_fix((C_word)C_BAD_ARGUMENT_TYPE_NO_FLONUM_ERROR);
/* library.scm:1558: ##sys#error-hook */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[362]);
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=*((C_word*)lf[362]+1);
av2[1]=t3;
av2[2]=t5;
av2[3]=lf[462];
av2[4]=t4;
tp(5,av2);}}}

/* k12265 in chicken.flonum#fptruncate in k8490 */
static void C_ccall f_12267(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,c,1)))){
C_save_and_reclaim((void *)f_12267,2,av);}
a=C_alloc(4);
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=C_a_i_flonum_truncate(&a,1,((C_word*)t0)[3]);
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* chicken.flonum#fpround in k8490 */
static void C_ccall f_12269(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(8,c,4)))){
C_save_and_reclaim((void *)f_12269,3,av);}
a=C_alloc(8);
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_12285,a[2]=t1,a[3]=t2,tmp=(C_word)a,a+=4,tmp);
t4=t2;
if(C_truep(C_i_flonump(t4))){
t5=t1;{
C_word *av2=av;
av2[0]=t5;
av2[1]=C_a_i_flonum_round(&a,1,t2);
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}
else{
t5=C_fix((C_word)C_BAD_ARGUMENT_TYPE_NO_FLONUM_ERROR);
/* library.scm:1558: ##sys#error-hook */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[362]);
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=*((C_word*)lf[362]+1);
av2[1]=t3;
av2[2]=t5;
av2[3]=lf[464];
av2[4]=t4;
tp(5,av2);}}}

/* k12283 in chicken.flonum#fpround in k8490 */
static void C_ccall f_12285(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,c,1)))){
C_save_and_reclaim((void *)f_12285,2,av);}
a=C_alloc(4);
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=C_a_i_flonum_round(&a,1,((C_word*)t0)[3]);
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* chicken.flonum#fpceiling in k8490 */
static void C_ccall f_12287(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(8,c,4)))){
C_save_and_reclaim((void *)f_12287,3,av);}
a=C_alloc(8);
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_12303,a[2]=t1,a[3]=t2,tmp=(C_word)a,a+=4,tmp);
t4=t2;
if(C_truep(C_i_flonump(t4))){
t5=t1;{
C_word *av2=av;
av2[0]=t5;
av2[1]=C_a_i_flonum_ceiling(&a,1,t2);
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}
else{
t5=C_fix((C_word)C_BAD_ARGUMENT_TYPE_NO_FLONUM_ERROR);
/* library.scm:1558: ##sys#error-hook */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[362]);
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=*((C_word*)lf[362]+1);
av2[1]=t3;
av2[2]=t5;
av2[3]=lf[466];
av2[4]=t4;
tp(5,av2);}}}

/* k12301 in chicken.flonum#fpceiling in k8490 */
static void C_ccall f_12303(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,c,1)))){
C_save_and_reclaim((void *)f_12303,2,av);}
a=C_alloc(4);
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=C_a_i_flonum_ceiling(&a,1,((C_word*)t0)[3]);
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* chicken.flonum#fpsin in k8490 */
static void C_ccall f_12305(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(8,c,4)))){
C_save_and_reclaim((void *)f_12305,3,av);}
a=C_alloc(8);
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_12321,a[2]=t1,a[3]=t2,tmp=(C_word)a,a+=4,tmp);
t4=t2;
if(C_truep(C_i_flonump(t4))){
t5=t1;{
C_word *av2=av;
av2[0]=t5;
av2[1]=C_a_i_flonum_sin(&a,1,t2);
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}
else{
t5=C_fix((C_word)C_BAD_ARGUMENT_TYPE_NO_FLONUM_ERROR);
/* library.scm:1558: ##sys#error-hook */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[362]);
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=*((C_word*)lf[362]+1);
av2[1]=t3;
av2[2]=t5;
av2[3]=lf[468];
av2[4]=t4;
tp(5,av2);}}}

/* k12319 in chicken.flonum#fpsin in k8490 */
static void C_ccall f_12321(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,c,1)))){
C_save_and_reclaim((void *)f_12321,2,av);}
a=C_alloc(4);
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=C_a_i_flonum_sin(&a,1,((C_word*)t0)[3]);
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* chicken.flonum#fpcos in k8490 */
static void C_ccall f_12323(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(8,c,4)))){
C_save_and_reclaim((void *)f_12323,3,av);}
a=C_alloc(8);
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_12339,a[2]=t1,a[3]=t2,tmp=(C_word)a,a+=4,tmp);
t4=t2;
if(C_truep(C_i_flonump(t4))){
t5=t1;{
C_word *av2=av;
av2[0]=t5;
av2[1]=C_a_i_flonum_cos(&a,1,t2);
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}
else{
t5=C_fix((C_word)C_BAD_ARGUMENT_TYPE_NO_FLONUM_ERROR);
/* library.scm:1558: ##sys#error-hook */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[362]);
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=*((C_word*)lf[362]+1);
av2[1]=t3;
av2[2]=t5;
av2[3]=lf[470];
av2[4]=t4;
tp(5,av2);}}}

/* k12337 in chicken.flonum#fpcos in k8490 */
static void C_ccall f_12339(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,c,1)))){
C_save_and_reclaim((void *)f_12339,2,av);}
a=C_alloc(4);
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=C_a_i_flonum_cos(&a,1,((C_word*)t0)[3]);
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* chicken.flonum#fptan in k8490 */
static void C_ccall f_12341(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(8,c,4)))){
C_save_and_reclaim((void *)f_12341,3,av);}
a=C_alloc(8);
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_12357,a[2]=t1,a[3]=t2,tmp=(C_word)a,a+=4,tmp);
t4=t2;
if(C_truep(C_i_flonump(t4))){
t5=t1;{
C_word *av2=av;
av2[0]=t5;
av2[1]=C_a_i_flonum_tan(&a,1,t2);
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}
else{
t5=C_fix((C_word)C_BAD_ARGUMENT_TYPE_NO_FLONUM_ERROR);
/* library.scm:1558: ##sys#error-hook */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[362]);
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=*((C_word*)lf[362]+1);
av2[1]=t3;
av2[2]=t5;
av2[3]=lf[472];
av2[4]=t4;
tp(5,av2);}}}

/* k12355 in chicken.flonum#fptan in k8490 */
static void C_ccall f_12357(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,c,1)))){
C_save_and_reclaim((void *)f_12357,2,av);}
a=C_alloc(4);
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=C_a_i_flonum_tan(&a,1,((C_word*)t0)[3]);
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* chicken.flonum#fpasin in k8490 */
static void C_ccall f_12359(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(8,c,4)))){
C_save_and_reclaim((void *)f_12359,3,av);}
a=C_alloc(8);
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_12375,a[2]=t1,a[3]=t2,tmp=(C_word)a,a+=4,tmp);
t4=t2;
if(C_truep(C_i_flonump(t4))){
t5=t1;{
C_word *av2=av;
av2[0]=t5;
av2[1]=C_a_i_flonum_asin(&a,1,t2);
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}
else{
t5=C_fix((C_word)C_BAD_ARGUMENT_TYPE_NO_FLONUM_ERROR);
/* library.scm:1558: ##sys#error-hook */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[362]);
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=*((C_word*)lf[362]+1);
av2[1]=t3;
av2[2]=t5;
av2[3]=lf[474];
av2[4]=t4;
tp(5,av2);}}}

/* k12373 in chicken.flonum#fpasin in k8490 */
static void C_ccall f_12375(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,c,1)))){
C_save_and_reclaim((void *)f_12375,2,av);}
a=C_alloc(4);
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=C_a_i_flonum_asin(&a,1,((C_word*)t0)[3]);
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* chicken.flonum#fpacos in k8490 */
static void C_ccall f_12377(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(8,c,4)))){
C_save_and_reclaim((void *)f_12377,3,av);}
a=C_alloc(8);
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_12393,a[2]=t1,a[3]=t2,tmp=(C_word)a,a+=4,tmp);
t4=t2;
if(C_truep(C_i_flonump(t4))){
t5=t1;{
C_word *av2=av;
av2[0]=t5;
av2[1]=C_a_i_flonum_acos(&a,1,t2);
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}
else{
t5=C_fix((C_word)C_BAD_ARGUMENT_TYPE_NO_FLONUM_ERROR);
/* library.scm:1558: ##sys#error-hook */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[362]);
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=*((C_word*)lf[362]+1);
av2[1]=t3;
av2[2]=t5;
av2[3]=lf[476];
av2[4]=t4;
tp(5,av2);}}}

/* k12391 in chicken.flonum#fpacos in k8490 */
static void C_ccall f_12393(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,c,1)))){
C_save_and_reclaim((void *)f_12393,2,av);}
a=C_alloc(4);
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=C_a_i_flonum_acos(&a,1,((C_word*)t0)[3]);
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* chicken.flonum#fpatan in k8490 */
static void C_ccall f_12395(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(8,c,4)))){
C_save_and_reclaim((void *)f_12395,3,av);}
a=C_alloc(8);
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_12411,a[2]=t1,a[3]=t2,tmp=(C_word)a,a+=4,tmp);
t4=t2;
if(C_truep(C_i_flonump(t4))){
t5=t1;{
C_word *av2=av;
av2[0]=t5;
av2[1]=C_a_i_flonum_atan(&a,1,t2);
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}
else{
t5=C_fix((C_word)C_BAD_ARGUMENT_TYPE_NO_FLONUM_ERROR);
/* library.scm:1558: ##sys#error-hook */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[362]);
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=*((C_word*)lf[362]+1);
av2[1]=t3;
av2[2]=t5;
av2[3]=lf[478];
av2[4]=t4;
tp(5,av2);}}}

/* k12409 in chicken.flonum#fpatan in k8490 */
static void C_ccall f_12411(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,c,1)))){
C_save_and_reclaim((void *)f_12411,2,av);}
a=C_alloc(4);
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=C_a_i_flonum_atan(&a,1,((C_word*)t0)[3]);
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* chicken.flonum#fpatan2 in k8490 */
static void C_ccall f_12413(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(9,c,5)))){
C_save_and_reclaim((void *)f_12413,4,av);}
a=C_alloc(9);
t4=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_12435,a[2]=t1,a[3]=t2,a[4]=t3,tmp=(C_word)a,a+=5,tmp);
t5=t2;
t6=t3;
t7=C_i_flonump(t5);
t8=(C_truep(t7)?C_i_flonump(t6):C_SCHEME_FALSE);
if(C_truep(t8)){
t9=t1;{
C_word *av2=av;
av2[0]=t9;
av2[1]=C_a_i_flonum_atan2(&a,2,t2,t3);
((C_proc)(void*)(*((C_word*)t9+1)))(2,av2);}}
else{
t9=C_fix((C_word)C_BAD_ARGUMENT_TYPE_NO_FLONUM_ERROR);
/* library.scm:1562: ##sys#error-hook */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[362]);
C_word *av2;
if(c >= 6) {
  av2=av;
} else {
  av2=C_alloc(6);
}
av2[0]=*((C_word*)lf[362]+1);
av2[1]=t4;
av2[2]=t9;
av2[3]=lf[480];
av2[4]=t5;
av2[5]=t6;
tp(6,av2);}}}

/* k12433 in chicken.flonum#fpatan2 in k8490 */
static void C_ccall f_12435(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,c,1)))){
C_save_and_reclaim((void *)f_12435,2,av);}
a=C_alloc(4);
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=C_a_i_flonum_atan2(&a,2,((C_word*)t0)[3],((C_word*)t0)[4]);
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* chicken.flonum#fpexp in k8490 */
static void C_ccall f_12437(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(8,c,4)))){
C_save_and_reclaim((void *)f_12437,3,av);}
a=C_alloc(8);
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_12453,a[2]=t1,a[3]=t2,tmp=(C_word)a,a+=4,tmp);
t4=t2;
if(C_truep(C_i_flonump(t4))){
t5=t1;{
C_word *av2=av;
av2[0]=t5;
av2[1]=C_a_i_flonum_exp(&a,1,t2);
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}
else{
t5=C_fix((C_word)C_BAD_ARGUMENT_TYPE_NO_FLONUM_ERROR);
/* library.scm:1558: ##sys#error-hook */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[362]);
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=*((C_word*)lf[362]+1);
av2[1]=t3;
av2[2]=t5;
av2[3]=lf[482];
av2[4]=t4;
tp(5,av2);}}}

/* k12451 in chicken.flonum#fpexp in k8490 */
static void C_ccall f_12453(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,c,1)))){
C_save_and_reclaim((void *)f_12453,2,av);}
a=C_alloc(4);
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=C_a_i_flonum_exp(&a,1,((C_word*)t0)[3]);
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* chicken.flonum#fpexpt in k8490 */
static void C_ccall f_12455(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(9,c,5)))){
C_save_and_reclaim((void *)f_12455,4,av);}
a=C_alloc(9);
t4=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_12477,a[2]=t1,a[3]=t2,a[4]=t3,tmp=(C_word)a,a+=5,tmp);
t5=t2;
t6=t3;
t7=C_i_flonump(t5);
t8=(C_truep(t7)?C_i_flonump(t6):C_SCHEME_FALSE);
if(C_truep(t8)){
t9=t1;{
C_word *av2=av;
av2[0]=t9;
av2[1]=C_a_i_flonum_expt(&a,2,t2,t3);
((C_proc)(void*)(*((C_word*)t9+1)))(2,av2);}}
else{
t9=C_fix((C_word)C_BAD_ARGUMENT_TYPE_NO_FLONUM_ERROR);
/* library.scm:1562: ##sys#error-hook */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[362]);
C_word *av2;
if(c >= 6) {
  av2=av;
} else {
  av2=C_alloc(6);
}
av2[0]=*((C_word*)lf[362]+1);
av2[1]=t4;
av2[2]=t9;
av2[3]=lf[484];
av2[4]=t5;
av2[5]=t6;
tp(6,av2);}}}

/* k12475 in chicken.flonum#fpexpt in k8490 */
static void C_ccall f_12477(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,c,1)))){
C_save_and_reclaim((void *)f_12477,2,av);}
a=C_alloc(4);
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=C_a_i_flonum_expt(&a,2,((C_word*)t0)[3],((C_word*)t0)[4]);
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* chicken.flonum#fplog in k8490 */
static void C_ccall f_12479(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(8,c,4)))){
C_save_and_reclaim((void *)f_12479,3,av);}
a=C_alloc(8);
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_12495,a[2]=t1,a[3]=t2,tmp=(C_word)a,a+=4,tmp);
t4=t2;
if(C_truep(C_i_flonump(t4))){
t5=t1;{
C_word *av2=av;
av2[0]=t5;
av2[1]=C_a_i_flonum_log(&a,1,t2);
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}
else{
t5=C_fix((C_word)C_BAD_ARGUMENT_TYPE_NO_FLONUM_ERROR);
/* library.scm:1558: ##sys#error-hook */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[362]);
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=*((C_word*)lf[362]+1);
av2[1]=t3;
av2[2]=t5;
av2[3]=lf[486];
av2[4]=t4;
tp(5,av2);}}}

/* k12493 in chicken.flonum#fplog in k8490 */
static void C_ccall f_12495(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,c,1)))){
C_save_and_reclaim((void *)f_12495,2,av);}
a=C_alloc(4);
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=C_a_i_flonum_log(&a,1,((C_word*)t0)[3]);
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* chicken.flonum#fpsqrt in k8490 */
static void C_ccall f_12497(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(8,c,4)))){
C_save_and_reclaim((void *)f_12497,3,av);}
a=C_alloc(8);
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_12513,a[2]=t1,a[3]=t2,tmp=(C_word)a,a+=4,tmp);
t4=t2;
if(C_truep(C_i_flonump(t4))){
t5=t1;{
C_word *av2=av;
av2[0]=t5;
av2[1]=C_a_i_flonum_sqrt(&a,1,t2);
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}
else{
t5=C_fix((C_word)C_BAD_ARGUMENT_TYPE_NO_FLONUM_ERROR);
/* library.scm:1558: ##sys#error-hook */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[362]);
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=*((C_word*)lf[362]+1);
av2[1]=t3;
av2[2]=t5;
av2[3]=lf[488];
av2[4]=t4;
tp(5,av2);}}}

/* k12511 in chicken.flonum#fpsqrt in k8490 */
static void C_ccall f_12513(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,c,1)))){
C_save_and_reclaim((void *)f_12513,2,av);}
a=C_alloc(4);
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=C_a_i_flonum_sqrt(&a,1,((C_word*)t0)[3]);
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* chicken.flonum#fpabs in k8490 */
static void C_ccall f_12515(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(8,c,4)))){
C_save_and_reclaim((void *)f_12515,3,av);}
a=C_alloc(8);
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_12531,a[2]=t1,a[3]=t2,tmp=(C_word)a,a+=4,tmp);
t4=t2;
if(C_truep(C_i_flonump(t4))){
t5=t1;{
C_word *av2=av;
av2[0]=t5;
av2[1]=C_a_i_flonum_abs(&a,1,t2);
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}
else{
t5=C_fix((C_word)C_BAD_ARGUMENT_TYPE_NO_FLONUM_ERROR);
/* library.scm:1558: ##sys#error-hook */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[362]);
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=*((C_word*)lf[362]+1);
av2[1]=t3;
av2[2]=t5;
av2[3]=lf[490];
av2[4]=t4;
tp(5,av2);}}}

/* k12529 in chicken.flonum#fpabs in k8490 */
static void C_ccall f_12531(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,c,1)))){
C_save_and_reclaim((void *)f_12531,2,av);}
a=C_alloc(4);
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=C_a_i_flonum_abs(&a,1,((C_word*)t0)[3]);
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* chicken.flonum#fpinteger? in k8490 */
static void C_ccall f_12533(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(4,c,4)))){
C_save_and_reclaim((void *)f_12533,3,av);}
a=C_alloc(4);
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_12549,a[2]=t1,a[3]=t2,tmp=(C_word)a,a+=4,tmp);
t4=t2;
if(C_truep(C_i_flonump(t4))){
t5=t1;{
C_word *av2=av;
av2[0]=t5;
av2[1]=C_u_i_fpintegerp(t2);
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}
else{
t5=C_fix((C_word)C_BAD_ARGUMENT_TYPE_NO_FLONUM_ERROR);
/* library.scm:1558: ##sys#error-hook */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[362]);
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=*((C_word*)lf[362]+1);
av2[1]=t3;
av2[2]=t5;
av2[3]=lf[492];
av2[4]=t4;
tp(5,av2);}}}

/* k12547 in chicken.flonum#fpinteger? in k8490 */
static void C_ccall f_12549(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_12549,2,av);}
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=C_u_i_fpintegerp(((C_word*)t0)[3]);
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* chicken.flonum#flonum-print-precision in k8490 */
static void C_ccall f_12551(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand((c-2)*C_SIZEOF_PAIR +5,c,3)))){
C_save_and_reclaim((void*)f_12551,c,av);}
a=C_alloc((c-2)*C_SIZEOF_PAIR+5);
t2=C_build_rest(&a,c,2,av);
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
t3=C_i_nullp(t2);
t4=(C_truep(t3)?C_SCHEME_FALSE:C_i_car(t2));
t5=t4;
t6=C_get_print_precision();
if(C_truep(t5)){
t7=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_12561,a[2]=t5,a[3]=t1,a[4]=t6,tmp=(C_word)a,a+=5,tmp);
/* library.scm:1691: ##sys#check-fixnum */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[102]+1));
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[102]+1);
av2[1]=t7;
av2[2]=t5;
av2[3]=lf[494];
tp(4,av2);}}
else{
t7=t1;{
C_word *av2=av;
av2[0]=t7;
av2[1]=t6;
((C_proc)(void*)(*((C_word*)t7+1)))(2,av2);}}}

/* k12559 in chicken.flonum#flonum-print-precision in k8490 */
static void C_ccall f_12561(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_12561,2,av);}
t2=C_set_print_precision(((C_word*)t0)[2]);
t3=((C_word*)t0)[3];{
C_word *av2=av;
av2[0]=t3;
av2[1]=((C_word*)t0)[4];
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* make-complex in k8490 */
static void C_fcall f_12573(C_word t1,C_word t2,C_word t3){
C_word tmp;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,0,3)))){
C_save_and_reclaim_args((void *)trf_12573,3,t1,t2,t3);}
a=C_alloc(5);
t4=C_eqp(t3,C_fix(0));
t5=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_12583,a[2]=t2,a[3]=t1,a[4]=t3,tmp=(C_word)a,a+=5,tmp);
if(C_truep(t4)){
t6=t5;{
C_word av2[2];
av2[0]=t6;
av2[1]=t4;
f_12583(2,av2);}}
else{
if(C_truep(C_i_flonump(t3))){
/* library.scm:1711: chicken.flonum#fp= */
t6=*((C_word*)lf[443]+1);{
C_word av2[4];
av2[0]=t6;
av2[1]=t5;
av2[2]=t3;
av2[3]=lf[500];
((C_proc)(void*)(*((C_word*)t6+1)))(4,av2);}}
else{
t6=t5;{
C_word av2[2];
av2[0]=t6;
av2[1]=C_SCHEME_FALSE;
f_12583(2,av2);}}}}

/* k12581 in make-complex in k8490 */
static void C_ccall f_12583(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,c,2)))){
C_save_and_reclaim((void *)f_12583,2,av);}
a=C_alloc(5);
if(C_truep(t1)){
t2=((C_word*)t0)[2];
t3=((C_word*)t0)[3];{
C_word *av2=av;
av2[0]=t3;
av2[1]=t2;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}
else{
t2=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_12587,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[4],a[4]=((C_word*)t0)[3],tmp=(C_word)a,a+=5,tmp);
if(C_truep(C_i_inexactp(((C_word*)t0)[4]))){
/* library.scm:1714: scheme#exact->inexact */
t3=*((C_word*)lf[62]+1);{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t3;
av2[1]=t2;
av2[2]=((C_word*)t0)[2];
((C_proc)(void*)(*((C_word*)t3+1)))(3,av2);}}
else{
t3=t2;{
C_word *av2=av;
av2[0]=t3;
av2[1]=((C_word*)t0)[2];
f_12587(2,av2);}}}}

/* k12585 in k12581 in make-complex in k8490 */
static void C_ccall f_12587(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(14,c,1)))){
C_save_and_reclaim((void *)f_12587,2,av);}
a=C_alloc(14);
if(C_truep(C_i_inexactp(((C_word*)t0)[2]))){
t2=((C_word*)t0)[3];
t3=C_a_i_exact_to_inexact(&a,1,t2);
t4=C_a_i_cplxnum(&a,2,t1,t3);
t5=((C_word*)t0)[4];{
C_word *av2=av;
av2[0]=t5;
av2[1]=t4;
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}
else{
t2=((C_word*)t0)[3];
t3=C_a_i_cplxnum(&a,2,t1,t2);
t4=((C_word*)t0)[4];{
C_word *av2=av;
av2[0]=t4;
av2[1]=t3;
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}}

/* scheme#make-rectangular in k8490 */
static void C_ccall f_12609(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word t5;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(5,c,3)))){
C_save_and_reclaim((void *)f_12609,4,av);}
a=C_alloc(5);
t4=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_12613,a[2]=t1,a[3]=t2,a[4]=t3,tmp=(C_word)a,a+=5,tmp);
/* library.scm:1719: ##sys#check-real */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[360]+1));
C_word *av2=av;
av2[0]=*((C_word*)lf[360]+1);
av2[1]=t4;
av2[2]=t2;
av2[3]=lf[502];
tp(4,av2);}}

/* k12611 in scheme#make-rectangular in k8490 */
static void C_ccall f_12613(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,c,3)))){
C_save_and_reclaim((void *)f_12613,2,av);}
a=C_alloc(5);
t2=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_12616,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],tmp=(C_word)a,a+=5,tmp);
/* library.scm:1720: ##sys#check-real */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[360]+1));
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[360]+1);
av2[1]=t2;
av2[2]=((C_word*)t0)[4];
av2[3]=lf[502];
tp(4,av2);}}

/* k12614 in k12611 in scheme#make-rectangular in k8490 */
static void C_ccall f_12616(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_12616,2,av);}
/* library.scm:1721: make-complex */
f_12573(((C_word*)t0)[2],((C_word*)t0)[3],((C_word*)t0)[4]);}

/* scheme#make-polar in k8490 */
static void C_ccall f_12621(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word t5;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(5,c,3)))){
C_save_and_reclaim((void *)f_12621,4,av);}
a=C_alloc(5);
t4=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_12625,a[2]=t2,a[3]=t1,a[4]=t3,tmp=(C_word)a,a+=5,tmp);
/* library.scm:1725: ##sys#check-real */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[360]+1));
C_word *av2=av;
av2[0]=*((C_word*)lf[360]+1);
av2[1]=t4;
av2[2]=t2;
av2[3]=lf[504];
tp(4,av2);}}

/* k12623 in scheme#make-polar in k8490 */
static void C_ccall f_12625(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,c,3)))){
C_save_and_reclaim((void *)f_12625,2,av);}
a=C_alloc(5);
t2=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_12628,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],tmp=(C_word)a,a+=5,tmp);
/* library.scm:1726: ##sys#check-real */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[360]+1));
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[360]+1);
av2[1]=t2;
av2[2]=((C_word*)t0)[4];
av2[3]=lf[504];
tp(4,av2);}}

/* k12626 in k12623 in scheme#make-polar in k8490 */
static void C_ccall f_12628(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,c,2)))){
C_save_and_reclaim((void *)f_12628,2,av);}
a=C_alloc(4);
t2=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_12631,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],tmp=(C_word)a,a+=4,tmp);
/* library.scm:1727: scheme#exact->inexact */
t3=*((C_word*)lf[62]+1);{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t3;
av2[1]=t2;
av2[2]=((C_word*)t0)[4];
((C_proc)(void*)(*((C_word*)t3+1)))(3,av2);}}

/* k12629 in k12626 in k12623 in scheme#make-polar in k8490 */
static void C_ccall f_12631(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(74,c,3)))){
C_save_and_reclaim((void *)f_12631,2,av);}
a=C_alloc(74);
t2=((C_word*)t0)[2];
t3=C_a_i_cos(&a,1,t1);
t4=C_s_a_i_times(&a,2,t2,t3);
t5=((C_word*)t0)[2];
t6=C_a_i_sin(&a,1,t1);
t7=C_s_a_i_times(&a,2,t5,t6);
/* library.scm:1728: make-complex */
f_12573(((C_word*)t0)[3],t4,t7);}

/* scheme#real-part in k8490 */
static void C_ccall f_12642(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_12642,3,av);}
if(C_truep(C_i_cplxnump(t2))){
t3=t1;
t4=t2;
t5=t3;{
C_word *av2=av;
av2[0]=t5;
av2[1]=C_u_i_cplxnum_real(t4);
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}
else{
if(C_truep(C_i_numberp(t2))){
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=t2;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}
else{
/* library.scm:1736: ##sys#error-bad-number */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[370]+1));
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[370]+1);
av2[1]=t1;
av2[2]=t2;
av2[3]=lf[506];
tp(4,av2);}}}}

/* scheme#imag-part in k8490 */
static void C_ccall f_12665(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_12665,3,av);}
if(C_truep(C_i_cplxnump(t2))){
t3=t1;
t4=t2;
t5=t3;{
C_word *av2=av;
av2[0]=t5;
av2[1]=C_u_i_cplxnum_imag(t4);
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}
else{
if(C_truep(C_i_flonump(t2))){
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=lf[500];
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}
else{
if(C_truep(C_i_numberp(t2))){
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_fix(0);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}
else{
/* library.scm:1743: ##sys#error-bad-number */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[370]+1));
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[370]+1);
av2[1]=t1;
av2[2]=t2;
av2[3]=lf[508];
tp(4,av2);}}}}}

/* scheme#angle in k8490 */
static void C_ccall f_12691(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(4,c,2)))){
C_save_and_reclaim((void *)f_12691,3,av);}
a=C_alloc(4);
t3=C_i_check_number_2(t2,lf[510]);
t4=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_12700,a[2]=t1,a[3]=t2,tmp=(C_word)a,a+=4,tmp);
/* library.scm:1749: scheme#imag-part */
t5=*((C_word*)lf[507]+1);{
C_word *av2=av;
av2[0]=t5;
av2[1]=t4;
av2[2]=t2;
((C_proc)(void*)(*((C_word*)t5+1)))(3,av2);}}

/* k12698 in scheme#angle in k8490 */
static void C_ccall f_12700(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(15,c,2)))){
C_save_and_reclaim((void *)f_12700,2,av);}
a=C_alloc(15);
t2=C_a_i_exact_to_inexact(&a,1,t1);
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_12705,a[2]=((C_word*)t0)[2],a[3]=t2,tmp=(C_word)a,a+=4,tmp);
/* library.scm:1750: scheme#real-part */
t4=*((C_word*)lf[505]+1);{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t4;
av2[1]=t3;
av2[2]=((C_word*)t0)[3];
((C_proc)(void*)(*((C_word*)t4+1)))(3,av2);}}

/* k12703 in k12698 in scheme#angle in k8490 */
static void C_ccall f_12705(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(15,c,1)))){
C_save_and_reclaim((void *)f_12705,2,av);}
a=C_alloc(15);
t2=C_a_i_exact_to_inexact(&a,1,t1);
t3=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_a_i_atan2(&a,2,((C_word*)t0)[3],t2);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* scheme#magnitude in k8490 */
static void C_ccall f_12707(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(95,c,3)))){
C_save_and_reclaim((void *)f_12707,3,av);}
a=C_alloc(95);
if(C_truep(C_i_cplxnump(t2))){
t3=t2;
t4=C_u_i_cplxnum_real(t3);
t5=t2;
t6=C_u_i_cplxnum_imag(t5);
t7=C_s_a_i_times(&a,2,t4,t4);
t8=C_s_a_i_times(&a,2,t6,t6);
t9=C_s_a_i_plus(&a,2,t7,t8);
/* library.scm:1757: scheme#sqrt */
t10=*((C_word*)lf[512]+1);{
C_word *av2=av;
av2[0]=t10;
av2[1]=t1;
av2[2]=t9;
((C_proc)(void*)(*((C_word*)t10+1)))(3,av2);}}
else{
if(C_truep(C_i_numberp(t2))){
t3=t2;
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_s_a_i_abs(&a,1,t3);
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}
else{
/* library.scm:1759: ##sys#error-bad-number */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[370]+1));
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[370]+1);
av2[1]=t1;
av2[2]=t2;
av2[3]=lf[513];
tp(4,av2);}}}}

/* ratnum in k8490 */
static void C_fcall f_12746(C_word t1,C_word t2,C_word t3){
C_word tmp;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word t12;
C_word t13;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(13,0,1)))){
C_save_and_reclaim_args((void *)trf_12746,3,t1,t2,t3);}
a=C_alloc(13);
switch(t3){
case C_fix(1):
t4=t2;
t5=t1;{
C_word av2[2];
av2[0]=t5;
av2[1]=t4;
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}
case C_fix(-1):
t4=t1;
t5=t2;
t6=t4;{
C_word av2[2];
av2[0]=t6;
av2[1]=C_s_a_u_i_integer_negate(&a,1,t5);
((C_proc)(void*)(*((C_word*)t6+1)))(2,av2);}
default:
t4=t3;
if(C_truep(C_i_negativep(t4))){
t5=t2;
t6=C_s_a_u_i_integer_negate(&a,1,t5);
t7=t3;
t8=C_s_a_u_i_integer_negate(&a,1,t7);
t9=t1;
t10=t9;{
C_word av2[2];
av2[0]=t10;
av2[1]=C_a_i_ratnum(&a,2,t6,t8);
((C_proc)(void*)(*((C_word*)t10+1)))(2,av2);}}
else{
t5=t1;
t6=t2;
t7=t3;
t8=t5;{
C_word av2[2];
av2[0]=t8;
av2[1]=C_a_i_ratnum(&a,2,t6,t7);
((C_proc)(void*)(*((C_word*)t8+1)))(2,av2);}}}}

/* scheme#numerator in k8490 */
static void C_ccall f_12792(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(6,c,5)))){
C_save_and_reclaim((void *)f_12792,3,av);}
a=C_alloc(6);
t3=t2;
if(C_truep(C_i_exact_integerp(t3))){
t4=t2;
t5=t1;{
C_word *av2=av;
av2[0]=t5;
av2[1]=t4;
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}
else{
if(C_truep(C_i_flonump(t2))){
t4=t2;
t5=C_i_finitep(t4);
if(C_truep(C_i_not(t5))){
/* library.scm:1779: bad-inexact */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[516]);
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[516]+1);
av2[1]=t1;
av2[2]=lf[517];
av2[3]=t2;
tp(4,av2);}}
else{
if(C_truep(C_u_i_fpintegerp(t2))){
t6=t1;{
C_word *av2=av;
av2[0]=t6;
av2[1]=t2;
((C_proc)(void*)(*((C_word*)t6+1)))(2,av2);}}
else{
t6=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_12816,a[2]=t1,tmp=(C_word)a,a+=3,tmp);
t7=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_12820,a[2]=t6,tmp=(C_word)a,a+=3,tmp);
/* library.scm:1781: scheme#inexact->exact */
t8=*((C_word*)lf[518]+1);{
C_word *av2=av;
av2[0]=t8;
av2[1]=t7;
av2[2]=t2;
((C_proc)(void*)(*((C_word*)t8+1)))(3,av2);}}}}
else{
if(C_truep(C_i_ratnump(t2))){
t4=t1;
t5=t2;
t6=t4;{
C_word *av2=av;
av2[0]=t6;
av2[1]=C_u_i_ratnum_num(t5);
((C_proc)(void*)(*((C_word*)t6+1)))(2,av2);}}
else{
/* library.scm:1783: ##sys#signal-hook */
t4=C_fast_retrieve(lf[194]);{
C_word *av2;
if(c >= 6) {
  av2=av;
} else {
  av2=C_alloc(6);
}
av2[0]=t4;
av2[1]=t1;
av2[2]=lf[258];
av2[3]=lf[517];
av2[4]=lf[519];
av2[5]=t2;
((C_proc)(void*)(*((C_word*)t4+1)))(6,av2);}}}}}

/* k12814 in scheme#numerator in k8490 */
static void C_ccall f_12816(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(11,c,1)))){
C_save_and_reclaim((void *)f_12816,2,av);}
a=C_alloc(11);
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=C_a_i_exact_to_inexact(&a,1,t1);
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* k12818 in scheme#numerator in k8490 */
static void C_ccall f_12820(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_12820,2,av);}
/* library.scm:1781: scheme#numerator */
t2=*((C_word*)lf[515]+1);{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[2];
av2[2]=t1;
((C_proc)(void*)(*((C_word*)t2+1)))(3,av2);}}

/* scheme#denominator in k8490 */
static void C_ccall f_12838(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(6,c,5)))){
C_save_and_reclaim((void *)f_12838,3,av);}
a=C_alloc(6);
t3=t2;
if(C_truep(C_i_exact_integerp(t3))){
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_fix(1);
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}
else{
if(C_truep(C_i_flonump(t2))){
t4=t2;
t5=C_i_finitep(t4);
if(C_truep(C_i_not(t5))){
/* library.scm:1791: bad-inexact */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[516]);
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[516]+1);
av2[1]=t1;
av2[2]=lf[521];
av2[3]=t2;
tp(4,av2);}}
else{
if(C_truep(C_u_i_fpintegerp(t2))){
t6=t1;{
C_word *av2=av;
av2[0]=t6;
av2[1]=lf[522];
((C_proc)(void*)(*((C_word*)t6+1)))(2,av2);}}
else{
t6=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_12862,a[2]=t1,tmp=(C_word)a,a+=3,tmp);
t7=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_12866,a[2]=t6,tmp=(C_word)a,a+=3,tmp);
/* library.scm:1793: scheme#inexact->exact */
t8=*((C_word*)lf[518]+1);{
C_word *av2=av;
av2[0]=t8;
av2[1]=t7;
av2[2]=t2;
((C_proc)(void*)(*((C_word*)t8+1)))(3,av2);}}}}
else{
if(C_truep(C_i_ratnump(t2))){
t4=t1;
t5=t2;
t6=t4;{
C_word *av2=av;
av2[0]=t6;
av2[1]=C_u_i_ratnum_denom(t5);
((C_proc)(void*)(*((C_word*)t6+1)))(2,av2);}}
else{
/* library.scm:1795: ##sys#signal-hook */
t4=C_fast_retrieve(lf[194]);{
C_word *av2;
if(c >= 6) {
  av2=av;
} else {
  av2=C_alloc(6);
}
av2[0]=t4;
av2[1]=t1;
av2[2]=lf[258];
av2[3]=lf[517];
av2[4]=lf[523];
av2[5]=t2;
((C_proc)(void*)(*((C_word*)t4+1)))(6,av2);}}}}}

/* k12860 in scheme#denominator in k8490 */
static void C_ccall f_12862(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(11,c,1)))){
C_save_and_reclaim((void *)f_12862,2,av);}
a=C_alloc(11);
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=C_a_i_exact_to_inexact(&a,1,t1);
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* k12864 in scheme#denominator in k8490 */
static void C_ccall f_12866(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_12866,2,av);}
/* library.scm:1793: scheme#denominator */
t2=*((C_word*)lf[520]+1);{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[2];
av2[2]=t1;
((C_proc)(void*)(*((C_word*)t2+1)))(3,av2);}}

/* ##sys#extended-signum in k8490 */
static void C_ccall f_12884(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(26,c,3)))){
C_save_and_reclaim((void *)f_12884,3,av);}
a=C_alloc(26);
if(C_truep(C_i_ratnump(t2))){
t3=t2;
t4=C_u_i_ratnum_num(t3);
t5=C_u_i_integer_signum(t4);
t6=t1;{
C_word *av2=av;
av2[0]=t6;
av2[1]=t5;
((C_proc)(void*)(*((C_word*)t6+1)))(2,av2);}}
else{
if(C_truep(C_i_cplxnump(t2))){
t3=t2;
t4=C_u_i_cplxnum_imag(t3);
t5=C_a_i_exact_to_inexact(&a,1,t4);
t6=C_u_i_cplxnum_real(t3);
t7=C_a_i_exact_to_inexact(&a,1,t6);
t8=C_a_i_flonum_atan2(&a,2,t5,t7);
/* library.scm:1802: scheme#make-polar */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[503]+1));
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[503]+1);
av2[1]=t1;
av2[2]=C_fix(1);
av2[3]=t8;
tp(4,av2);}}
else{
/* library.scm:1803: ##sys#error-bad-number */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[370]+1));
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[370]+1);
av2[1]=t1;
av2[2]=t2;
av2[3]=lf[525];
tp(4,av2);}}}}

/* doloop2211 in deliver in scheme#inexact->exact in k8490 */
static void C_fcall f_12925(C_word t0,C_word t1,C_word t2,C_word t3){
C_word tmp;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,0,3)))){
C_save_and_reclaim_args((void *)trf_12925,4,t0,t1,t2,t3);}
a=C_alloc(5);
if(C_truep(C_u_i_fpintegerp(t2))){
t4=t3;
t5=t1;{
C_word av2[2];
av2[0]=t5;
av2[1]=t4;
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}
else{
t4=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_12936,a[2]=t3,a[3]=((C_word*)t0)[2],a[4]=t1,tmp=(C_word)a,a+=5,tmp);
/* library.scm:1811: chicken.flonum#fp* */
t5=*((C_word*)lf[435]+1);{
C_word av2[4];
av2[0]=t5;
av2[1]=t4;
av2[2]=t2;
av2[3]=lf[529];
((C_proc)(void*)(*((C_word*)t5+1)))(4,av2);}}}

/* k12934 in doloop2211 in deliver in scheme#inexact->exact in k8490 */
static void C_ccall f_12936(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_12936,2,av);}
t2=C_fixnum_plus(((C_word*)t0)[2],C_fix(1));
t3=((C_word*)((C_word*)t0)[3])[1];
f_12925(t3,((C_word*)t0)[4],t1,t2);}

/* deliver in scheme#inexact->exact in k8490 */
static void C_fcall f_12942(C_word t0,C_word t1,C_word t2,C_word t3){
C_word tmp;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(15,0,4)))){
C_save_and_reclaim_args((void *)trf_12942,4,t0,t1,t2,t3);}
a=C_alloc(15);
t4=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_12946,a[2]=t2,a[3]=t1,a[4]=t3,a[5]=((C_word*)t0)[2],tmp=(C_word)a,a+=6,tmp);
t5=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_12975,a[2]=t4,tmp=(C_word)a,a+=3,tmp);
t6=t2;
t7=C_SCHEME_UNDEFINED;
t8=(*a=C_VECTOR_TYPE|1,a[1]=t7,tmp=(C_word)a,a+=2,tmp);
t9=C_set_block_item(t8,0,(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_12925,a[2]=t8,a[3]=((C_word)li373),tmp=(C_word)a,a+=4,tmp));
t10=((C_word*)t8)[1];
f_12925(t10,t5,t6,C_fix(0));}

/* k12944 in deliver in scheme#inexact->exact in k8490 */
static void C_ccall f_12946(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(7,c,2)))){
C_save_and_reclaim((void *)f_12946,2,av);}
a=C_alloc(7);
t2=t1;
t3=((C_word*)t0)[2];
t4=(*a=C_CLOSURE_TYPE|6,a[1]=(C_word)f_12951,a[2]=t3,a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=t2,a[6]=((C_word*)t0)[5],tmp=(C_word)a,a+=7,tmp);
/* library.scm:1817: scheme#exact->inexact */
t5=*((C_word*)lf[62]+1);{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t5;
av2[1]=t4;
av2[2]=t2;
((C_proc)(void*)(*((C_word*)t5+1)))(3,av2);}}

/* k12949 in k12944 in deliver in scheme#inexact->exact in k8490 */
static void C_ccall f_12951(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(42,c,3)))){
C_save_and_reclaim((void *)f_12951,2,av);}
a=C_alloc(42);
t2=C_s_a_i_times(&a,2,((C_word*)t0)[2],t1);
if(C_truep(C_i_finitep(t2))){
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_12962,a[2]=((C_word*)t0)[3],a[3]=((C_word*)t0)[4],tmp=(C_word)a,a+=4,tmp);
t4=C_s_a_u_i_flo_to_int(&a,1,t2);
/* library.scm:1819: ##sys#/-2 */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[526]+1));
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[526]+1);
av2[1]=t3;
av2[2]=t4;
av2[3]=((C_word*)t0)[5];
tp(4,av2);}}
else{
/* library.scm:1820: ##sys#error-bad-inexact */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[371]+1));
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[371]+1);
av2[1]=((C_word*)t0)[3];
av2[2]=((C_word*)t0)[6];
av2[3]=lf[527];
tp(4,av2);}}}

/* k12960 in k12949 in k12944 in deliver in scheme#inexact->exact in k8490 */
static void C_ccall f_12962(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_12962,2,av);}
/* library.scm:1819: ##sys#/-2 */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[526]+1));
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[526]+1);
av2[1]=((C_word*)t0)[2];
av2[2]=t1;
av2[3]=((C_word*)t0)[3];
tp(4,av2);}}

/* k12973 in deliver in scheme#inexact->exact in k8490 */
static void C_ccall f_12975(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_12975,2,av);}
/* library.scm:1816: ##sys#integer-power */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[528]+1));
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[528]+1);
av2[1]=((C_word*)t0)[2];
av2[2]=C_fix(2);
av2[3]=t1;
tp(4,av2);}}

/* k12988 in k12998 in scheme#inexact->exact in k8490 */
static void C_ccall f_12990(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(38,c,3)))){
C_save_and_reclaim((void *)f_12990,2,av);}
a=C_alloc(38);
t2=C_s_a_i_times(&a,2,((C_word*)t0)[2],t1);
t3=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_12994,a[2]=((C_word*)t0)[3],a[3]=((C_word*)t0)[4],a[4]=t2,tmp=(C_word)a,a+=5,tmp);
/* library.scm:1827: ##sys#integer-power */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[528]+1));
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[528]+1);
av2[1]=t3;
av2[2]=C_fix(2);
av2[3]=*((C_word*)lf[425]+1);
tp(4,av2);}}

/* k12992 in k12988 in k12998 in scheme#inexact->exact in k8490 */
static void C_ccall f_12994(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_12994,2,av);}
/* library.scm:1824: deliver */
t2=((C_word*)t0)[2];
f_12942(t2,((C_word*)t0)[3],((C_word*)t0)[4],t1);}

/* k12998 in scheme#inexact->exact in k8490 */
static void C_ccall f_13000(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,c,3)))){
C_save_and_reclaim((void *)f_13000,2,av);}
a=C_alloc(5);
t2=(C_truep(t1)?C_flonum_greaterp(((C_word*)t0)[2],lf[530]):C_SCHEME_FALSE);
if(C_truep(t2)){
t3=((C_word*)t0)[2];
t4=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_12990,a[2]=t3,a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],tmp=(C_word)a,a+=5,tmp);
/* library.scm:1824: scheme#expt */
t5=*((C_word*)lf[531]+1);{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t5;
av2[1]=t4;
av2[2]=lf[529];
av2[3]=*((C_word*)lf[425]+1);
((C_proc)(void*)(*((C_word*)t5+1)))(4,av2);}}
else{
/* library.scm:1828: deliver */
t3=((C_word*)t0)[3];
f_12942(t3,((C_word*)t0)[4],((C_word*)t0)[2],C_fix(1));}}

/* scheme#inexact->exact in k8490 */
static void C_ccall f_13004(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(9,c,4)))){
C_save_and_reclaim((void *)f_13004,3,av);}
a=C_alloc(9);
if(C_truep(C_i_exactp(t2))){
t3=t2;
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=t3;
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}
else{
if(C_truep(C_i_flonump(t2))){
if(C_truep(C_u_i_fpintegerp(t2))){
t3=t1;
t4=t2;
t5=t3;{
C_word *av2=av;
av2[0]=t5;
av2[1]=C_s_a_u_i_flo_to_int(&a,1,t4);
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}
else{
if(C_truep(C_u_i_flonum_finitep(t2))){
t3=t1;
t4=t2;
t5=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_12942,a[2]=t4,a[3]=((C_word)li374),tmp=(C_word)a,a+=4,tmp);
t6=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_13000,a[2]=t4,a[3]=t5,a[4]=t3,tmp=(C_word)a,a+=5,tmp);
/* library.scm:1822: chicken.flonum#fp< */
t7=*((C_word*)lf[447]+1);{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t7;
av2[1]=t6;
av2[2]=t4;
av2[3]=lf[522];
((C_proc)(void*)(*((C_word*)t7+1)))(4,av2);}}
else{
/* library.scm:1836: ##sys#error-bad-inexact */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[371]+1));
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[371]+1);
av2[1]=t1;
av2[2]=t2;
av2[3]=lf[527];
tp(4,av2);}}}}
else{
if(C_truep(C_i_cplxnump(t2))){
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_13044,a[2]=t1,a[3]=t2,tmp=(C_word)a,a+=4,tmp);
t4=t2;
t5=C_u_i_cplxnum_real(t4);
/* library.scm:1838: scheme#inexact->exact */
t6=*((C_word*)lf[518]+1);{
C_word *av2=av;
av2[0]=t6;
av2[1]=t3;
av2[2]=t5;
((C_proc)(void*)(*((C_word*)t6+1)))(3,av2);}}
else{
/* library.scm:1840: ##sys#error-bad-number */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[370]+1));
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[370]+1);
av2[1]=t1;
av2[2]=t2;
av2[3]=lf[527];
tp(4,av2);}}}}}

/* k13042 in scheme#inexact->exact in k8490 */
static void C_ccall f_13044(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,c,2)))){
C_save_and_reclaim((void *)f_13044,2,av);}
a=C_alloc(4);
t2=t1;
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_13048,a[2]=((C_word*)t0)[2],a[3]=t2,tmp=(C_word)a,a+=4,tmp);
t4=((C_word*)t0)[3];
t5=C_u_i_cplxnum_imag(t4);
/* library.scm:1839: scheme#inexact->exact */
t6=*((C_word*)lf[518]+1);{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t6;
av2[1]=t3;
av2[2]=t5;
((C_proc)(void*)(*((C_word*)t6+1)))(3,av2);}}

/* k13046 in k13042 in scheme#inexact->exact in k8490 */
static void C_ccall f_13048(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_13048,2,av);}
/* library.scm:1838: make-complex */
f_12573(((C_word*)t0)[2],((C_word*)t0)[3],t1);}

/* chicken.bitwise#bitwise-not in k8490 */
static void C_ccall f_13070(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(5,c,1)))){
C_save_and_reclaim((void *)f_13070,3,av);}
a=C_alloc(5);
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_s_a_i_bitwise_not(&a,1,t2);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* chicken.bitwise#bit->boolean in k8490 */
static void C_ccall f_13073(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_13073,4,av);}
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_i_bit_to_bool(t2,t3);
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* chicken.bitwise#integer-length in k8490 */
static void C_ccall f_13076(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_13076,3,av);}
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_i_integer_length(t2);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* chicken.bitwise#arithmetic-shift in k8490 */
static void C_ccall f_13079(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(5,c,1)))){
C_save_and_reclaim((void *)f_13079,4,av);}
a=C_alloc(5);
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_s_a_i_arithmetic_shift(&a,2,t2,t3);
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* scheme#/ in k8490 */
static void C_ccall f_13082(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c<3) C_bad_min_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand((c-3)*C_SIZEOF_PAIR +4,c,3)))){
C_save_and_reclaim((void*)f_13082,c,av);}
a=C_alloc((c-3)*C_SIZEOF_PAIR+4);
t3=C_build_rest(&a,c,3,av);
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
if(C_truep(C_i_nullp(t3))){
/* library.scm:1875: ##sys#/-2 */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[526]+1));
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[526]+1);
av2[1]=t1;
av2[2]=C_fix(1);
av2[3]=t2;
tp(4,av2);}}
else{
t4=C_slot(t3,C_fix(1));
t5=t4;
t6=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_13103,a[2]=t1,a[3]=t5,tmp=(C_word)a,a+=4,tmp);
t7=C_slot(t3,C_fix(0));
/* library.scm:1877: ##sys#/-2 */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[526]+1));
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[526]+1);
av2[1]=t6;
av2[2]=t2;
av2[3]=t7;
tp(4,av2);}}}

/* k13101 in scheme#/ in k8490 */
static void C_ccall f_13103(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,c,4)))){
C_save_and_reclaim((void *)f_13103,2,av);}
a=C_alloc(6);
t2=C_SCHEME_UNDEFINED;
t3=(*a=C_VECTOR_TYPE|1,a[1]=t2,tmp=(C_word)a,a+=2,tmp);
t4=C_set_block_item(t3,0,(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_13105,a[2]=t3,a[3]=((C_word)li383),tmp=(C_word)a,a+=4,tmp));
t5=((C_word*)t3)[1];
f_13105(t5,((C_word*)t0)[2],((C_word*)t0)[3],t1);}

/* loop in k13101 in scheme#/ in k8490 */
static void C_fcall f_13105(C_word t0,C_word t1,C_word t2,C_word t3){
C_word tmp;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,0,3)))){
C_save_and_reclaim_args((void *)trf_13105,4,t0,t1,t2,t3);}
a=C_alloc(5);
if(C_truep(C_i_nullp(t2))){
t4=t3;
t5=t1;{
C_word av2[2];
av2[0]=t5;
av2[1]=t4;
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}
else{
t4=C_slot(t2,C_fix(1));
t5=t4;
t6=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_13123,a[2]=((C_word*)t0)[2],a[3]=t1,a[4]=t5,tmp=(C_word)a,a+=5,tmp);
t7=C_slot(t2,C_fix(0));
/* library.scm:1881: ##sys#/-2 */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[526]+1));
C_word av2[4];
av2[0]=*((C_word*)lf[526]+1);
av2[1]=t6;
av2[2]=t3;
av2[3]=t7;
tp(4,av2);}}}

/* k13121 in loop in k13101 in scheme#/ in k8490 */
static void C_ccall f_13123(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_13123,2,av);}
/* library.scm:1880: loop */
t2=((C_word*)((C_word*)t0)[2])[1];
f_13105(t2,((C_word*)t0)[3],((C_word*)t0)[4],t1);}

/* ##sys#/-2 in k8490 */
static void C_ccall f_13133(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(5,c,5)))){
C_save_and_reclaim((void *)f_13133,4,av);}
a=C_alloc(5);
t4=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_13137,a[2]=t2,a[3]=t3,a[4]=t1,tmp=(C_word)a,a+=5,tmp);
t5=C_eqp(t3,C_fix(0));
if(C_truep(t5)){
t6=C_fix((C_word)C_DIVISION_BY_ZERO_ERROR);
/* library.scm:1888: ##sys#error-hook */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[362]);
C_word *av2;
if(c >= 6) {
  av2=av;
} else {
  av2=C_alloc(6);
}
av2[0]=*((C_word*)lf[362]+1);
av2[1]=t4;
av2[2]=t6;
av2[3]=lf[544];
av2[4]=t2;
av2[5]=t3;
tp(6,av2);}}
else{
t6=t4;{
C_word *av2=av;
av2[0]=t6;
av2[1]=C_SCHEME_UNDEFINED;
f_13137(2,av2);}}}

/* k13135 in /-2 in k8490 */
static void C_ccall f_13137(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,c,2)))){
C_save_and_reclaim((void *)f_13137,2,av);}
a=C_alloc(5);
t2=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_13143,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],tmp=(C_word)a,a+=5,tmp);
t3=((C_word*)t0)[2];
if(C_truep(C_i_exact_integerp(t3))){
t4=((C_word*)t0)[3];
t5=t2;
f_13143(t5,C_i_exact_integerp(t4));}
else{
t4=t2;
f_13143(t4,C_SCHEME_FALSE);}}

/* k13141 in k13135 in /-2 in k8490 */
static void C_fcall f_13143(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word t12;
C_word t13;
C_word t14;
C_word t15;
C_word t16;
C_word t17;
C_word t18;
C_word t19;
C_word t20;
C_word t21;
C_word t22;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(96,0,4)))){
C_save_and_reclaim_args((void *)trf_13143,2,t0,t1);}
a=C_alloc(96);
if(C_truep(t1)){
t2=((C_word*)t0)[2];
t3=((C_word*)t0)[3];
t4=C_s_a_u_i_integer_gcd(&a,2,t2,t3);
t5=((C_word*)t0)[2];
t6=C_s_a_u_i_integer_quotient(&a,2,t5,t4);
t7=((C_word*)t0)[3];
t8=C_s_a_u_i_integer_quotient(&a,2,t7,t4);
/* library.scm:1891: ratnum */
f_12746(((C_word*)t0)[4],t6,t8);}
else{
t2=C_i_cplxnump(((C_word*)t0)[2]);
t3=(C_truep(t2)?t2:C_i_cplxnump(((C_word*)t0)[3]));
if(C_truep(t3)){
t4=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_13175,a[2]=((C_word*)t0)[4],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[2],tmp=(C_word)a,a+=5,tmp);
/* library.scm:1894: scheme#real-part */
t5=*((C_word*)lf[505]+1);{
C_word av2[3];
av2[0]=t5;
av2[1]=t4;
av2[2]=((C_word*)t0)[2];
((C_proc)(void*)(*((C_word*)t5+1)))(3,av2);}}
else{
t4=C_i_flonump(((C_word*)t0)[2]);
t5=(C_truep(t4)?t4:C_i_flonump(((C_word*)t0)[3]));
if(C_truep(t5)){
t6=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_13226,a[2]=((C_word*)t0)[4],a[3]=((C_word*)t0)[3],tmp=(C_word)a,a+=4,tmp);
/* library.scm:1902: scheme#exact->inexact */
t7=*((C_word*)lf[62]+1);{
C_word av2[3];
av2[0]=t7;
av2[1]=t6;
av2[2]=((C_word*)t0)[2];
((C_proc)(void*)(*((C_word*)t7+1)))(3,av2);}}
else{
if(C_truep(C_i_ratnump(((C_word*)t0)[2]))){
if(C_truep(C_i_ratnump(((C_word*)t0)[3]))){
t6=((C_word*)t0)[2];
t7=C_u_i_ratnum_num(t6);
t8=((C_word*)t0)[2];
t9=C_u_i_ratnum_denom(t8);
t10=((C_word*)t0)[3];
t11=C_u_i_ratnum_num(t10);
t12=((C_word*)t0)[3];
t13=C_u_i_ratnum_denom(t12);
t14=C_s_a_u_i_integer_gcd(&a,2,t7,t11);
t15=C_s_a_u_i_integer_gcd(&a,2,t9,t13);
t16=C_s_a_i_quotient(&a,2,t7,t14);
t17=C_s_a_i_quotient(&a,2,t13,t15);
t18=C_s_a_i_times(&a,2,t16,t17);
t19=C_s_a_i_quotient(&a,2,t9,t15);
t20=C_s_a_i_quotient(&a,2,t11,t14);
t21=C_s_a_i_times(&a,2,t19,t20);
/* library.scm:1912: ratnum */
f_12746(((C_word*)t0)[4],t18,t21);}
else{
t6=((C_word*)t0)[2];
t7=C_u_i_ratnum_num(t6);
t8=t7;
t9=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_13297,a[2]=t8,a[3]=((C_word*)t0)[2],a[4]=((C_word*)t0)[3],a[5]=((C_word*)t0)[4],tmp=(C_word)a,a+=6,tmp);
/* library.scm:1918: ##sys#internal-gcd */
f_14902(t9,lf[544],t8,((C_word*)t0)[3]);}}
else{
if(C_truep(C_i_ratnump(((C_word*)t0)[3]))){
t6=((C_word*)t0)[3];
t7=C_u_i_ratnum_num(t6);
t8=t7;
t9=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_13331,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=t8,a[5]=((C_word*)t0)[4],tmp=(C_word)a,a+=6,tmp);
/* library.scm:1929: ##sys#internal-gcd */
f_14902(t9,lf[544],((C_word*)t0)[2],t8);}
else{
t6=C_i_numberp(((C_word*)t0)[2]);
if(C_truep(C_i_not(t6))){
/* library.scm:1935: ##sys#error-bad-number */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[370]+1));
C_word av2[4];
av2[0]=*((C_word*)lf[370]+1);
av2[1]=((C_word*)t0)[4];
av2[2]=((C_word*)t0)[2];
av2[3]=lf[544];
tp(4,av2);}}
else{
/* library.scm:1936: ##sys#error-bad-number */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[370]+1));
C_word av2[4];
av2[0]=*((C_word*)lf[370]+1);
av2[1]=((C_word*)t0)[4];
av2[2]=((C_word*)t0)[3];
av2[3]=lf[544];
tp(4,av2);}}}}}}}}

/* k13173 in k13141 in k13135 in /-2 in k8490 */
static void C_ccall f_13175(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,c,2)))){
C_save_and_reclaim((void *)f_13175,2,av);}
a=C_alloc(5);
t2=t1;
t3=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_13178,a[2]=((C_word*)t0)[2],a[3]=t2,a[4]=((C_word*)t0)[3],tmp=(C_word)a,a+=5,tmp);
/* library.scm:1894: scheme#imag-part */
t4=*((C_word*)lf[507]+1);{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t4;
av2[1]=t3;
av2[2]=((C_word*)t0)[4];
((C_proc)(void*)(*((C_word*)t4+1)))(3,av2);}}

/* k13176 in k13173 in k13141 in k13135 in /-2 in k8490 */
static void C_ccall f_13178(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,c,2)))){
C_save_and_reclaim((void *)f_13178,2,av);}
a=C_alloc(6);
t2=t1;
t3=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_13181,a[2]=((C_word*)t0)[2],a[3]=t2,a[4]=((C_word*)t0)[3],a[5]=((C_word*)t0)[4],tmp=(C_word)a,a+=6,tmp);
/* library.scm:1895: scheme#real-part */
t4=*((C_word*)lf[505]+1);{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t4;
av2[1]=t3;
av2[2]=((C_word*)t0)[4];
((C_proc)(void*)(*((C_word*)t4+1)))(3,av2);}}

/* k13179 in k13176 in k13173 in k13141 in k13135 in /-2 in k8490 */
static void C_ccall f_13181(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,c,2)))){
C_save_and_reclaim((void *)f_13181,2,av);}
a=C_alloc(6);
t2=t1;
t3=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_13184,a[2]=t2,a[3]=((C_word*)t0)[2],a[4]=((C_word*)t0)[3],a[5]=((C_word*)t0)[4],tmp=(C_word)a,a+=6,tmp);
/* library.scm:1895: scheme#imag-part */
t4=*((C_word*)lf[507]+1);{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t4;
av2[1]=t3;
av2[2]=((C_word*)t0)[5];
((C_proc)(void*)(*((C_word*)t4+1)))(3,av2);}}

/* k13182 in k13179 in k13176 in k13173 in k13141 in k13135 in /-2 in k8490 */
static void C_ccall f_13184(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(198,c,3)))){
C_save_and_reclaim((void *)f_13184,2,av);}
a=C_alloc(198);
t2=t1;
t3=C_s_a_i_times(&a,2,((C_word*)t0)[2],((C_word*)t0)[2]);
t4=C_s_a_i_times(&a,2,t2,t2);
t5=C_s_a_i_plus(&a,2,t3,t4);
t6=(*a=C_CLOSURE_TYPE|7,a[1]=(C_word)f_13193,a[2]=((C_word*)t0)[3],a[3]=((C_word*)t0)[4],a[4]=((C_word*)t0)[2],a[5]=((C_word*)t0)[5],a[6]=t2,a[7]=t5,tmp=(C_word)a,a+=8,tmp);
t7=C_s_a_i_times(&a,2,((C_word*)t0)[5],((C_word*)t0)[2]);
t8=C_s_a_i_times(&a,2,((C_word*)t0)[4],t2);
t9=C_s_a_i_plus(&a,2,t7,t8);
/* library.scm:1897: ##sys#/-2 */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[526]+1));
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[526]+1);
av2[1]=t6;
av2[2]=t9;
av2[3]=t5;
tp(4,av2);}}

/* k13191 in k13182 in k13179 in k13176 in k13173 in k13141 in k13135 in /-2 in k8490 */
static void C_ccall f_13193(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(99,c,3)))){
C_save_and_reclaim((void *)f_13193,2,av);}
a=C_alloc(99);
t2=t1;
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_13196,a[2]=((C_word*)t0)[2],a[3]=t2,tmp=(C_word)a,a+=4,tmp);
t4=C_s_a_i_times(&a,2,((C_word*)t0)[3],((C_word*)t0)[4]);
t5=C_s_a_i_times(&a,2,((C_word*)t0)[5],((C_word*)t0)[6]);
t6=C_s_a_i_minus(&a,2,t4,t5);
/* library.scm:1898: ##sys#/-2 */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[526]+1));
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[526]+1);
av2[1]=t3;
av2[2]=t6;
av2[3]=((C_word*)t0)[7];
tp(4,av2);}}

/* k13194 in k13191 in k13182 in k13179 in k13176 in k13173 in k13141 in k13135 in /-2 in k8490 */
static void C_ccall f_13196(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_13196,2,av);}
/* library.scm:1899: make-complex */
f_12573(((C_word*)t0)[2],((C_word*)t0)[3],t1);}

/* k13224 in k13141 in k13135 in /-2 in k8490 */
static void C_ccall f_13226(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,c,2)))){
C_save_and_reclaim((void *)f_13226,2,av);}
a=C_alloc(4);
t2=t1;
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_13230,a[2]=((C_word*)t0)[2],a[3]=t2,tmp=(C_word)a,a+=4,tmp);
/* library.scm:1902: scheme#exact->inexact */
t4=*((C_word*)lf[62]+1);{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t4;
av2[1]=t3;
av2[2]=((C_word*)t0)[3];
((C_proc)(void*)(*((C_word*)t4+1)))(3,av2);}}

/* k13228 in k13224 in k13141 in k13135 in /-2 in k8490 */
static void C_ccall f_13230(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_13230,2,av);}
/* library.scm:1902: chicken.flonum#fp/ */
t2=*((C_word*)lf[437]+1);{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[2];
av2[2]=((C_word*)t0)[3];
av2[3]=t1;
((C_proc)(void*)(*((C_word*)t2+1)))(4,av2);}}

/* k13295 in k13141 in k13135 in /-2 in k8490 */
static void C_ccall f_13297(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(43,c,3)))){
C_save_and_reclaim((void *)f_13297,2,av);}
a=C_alloc(43);
t2=C_s_a_i_quotient(&a,2,((C_word*)t0)[2],t1);
t3=((C_word*)t0)[3];
t4=C_u_i_ratnum_denom(t3);
t5=((C_word*)t0)[4];
t6=C_s_a_i_quotient(&a,2,t5,t1);
t7=C_s_a_i_times(&a,2,t4,t6);
if(C_truep(C_i_flonump(t7))){
/* library.scm:1922: ##sys#/-2 */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[526]+1));
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[526]+1);
av2[1]=((C_word*)t0)[5];
av2[2]=t2;
av2[3]=t7;
tp(4,av2);}}
else{
/* library.scm:1923: ratnum */
f_12746(((C_word*)t0)[5],t2,t7);}}

/* k13329 in k13141 in k13135 in /-2 in k8490 */
static void C_ccall f_13331(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(43,c,3)))){
C_save_and_reclaim((void *)f_13331,2,av);}
a=C_alloc(43);
t2=((C_word*)t0)[2];
t3=C_s_a_i_quotient(&a,2,t2,t1);
t4=((C_word*)t0)[3];
t5=C_u_i_ratnum_denom(t4);
t6=C_s_a_i_times(&a,2,t3,t5);
t7=C_s_a_i_quotient(&a,2,((C_word*)t0)[4],t1);
if(C_truep(C_i_flonump(t7))){
/* library.scm:1933: ##sys#/-2 */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[526]+1));
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[526]+1);
av2[1]=((C_word*)t0)[5];
av2[2]=t6;
av2[3]=t7;
tp(4,av2);}}
else{
/* library.scm:1934: ratnum */
f_12746(((C_word*)t0)[5],t6,t7);}}

/* scheme#floor in k8490 */
static void C_ccall f_13381(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(34,c,3)))){
C_save_and_reclaim((void *)f_13381,3,av);}
a=C_alloc(34);
t3=t2;
if(C_truep(C_i_exact_integerp(t3))){
t4=t2;
t5=t1;{
C_word *av2=av;
av2[0]=t5;
av2[1]=t4;
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}
else{
if(C_truep(C_i_flonump(t2))){
/* library.scm:1941: chicken.flonum#fpfloor */
t4=*((C_word*)lf[459]+1);{
C_word *av2=av;
av2[0]=t4;
av2[1]=t1;
av2[2]=t2;
((C_proc)(void*)(*((C_word*)t4+1)))(3,av2);}}
else{
if(C_truep(C_i_ratnump(t2))){
t4=t2;
t5=C_u_i_ratnum_num(t4);
t6=t2;
t7=C_u_i_ratnum_denom(t6);
t8=C_s_a_i_quotient(&a,2,t5,t7);
t9=t1;{
C_word *av2=av;
av2[0]=t9;
av2[1]=(C_truep(C_i_greater_or_equalp(t5,C_fix(0)))?t8:C_s_a_i_minus(&a,2,t8,C_fix(1)));
((C_proc)(void*)(*((C_word*)t9+1)))(2,av2);}}
else{
/* library.scm:1946: ##sys#error-bad-real */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[361]+1));
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[361]+1);
av2[1]=t1;
av2[2]=t2;
av2[3]=lf[546];
tp(4,av2);}}}}}

/* scheme#ceiling in k8490 */
static void C_ccall f_13422(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(34,c,3)))){
C_save_and_reclaim((void *)f_13422,3,av);}
a=C_alloc(34);
t3=t2;
if(C_truep(C_i_exact_integerp(t3))){
t4=t2;
t5=t1;{
C_word *av2=av;
av2[0]=t5;
av2[1]=t4;
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}
else{
if(C_truep(C_i_flonump(t2))){
/* library.scm:1951: chicken.flonum#fpceiling */
t4=*((C_word*)lf[465]+1);{
C_word *av2=av;
av2[0]=t4;
av2[1]=t1;
av2[2]=t2;
((C_proc)(void*)(*((C_word*)t4+1)))(3,av2);}}
else{
if(C_truep(C_i_ratnump(t2))){
t4=t2;
t5=C_u_i_ratnum_num(t4);
t6=t2;
t7=C_u_i_ratnum_denom(t6);
t8=C_s_a_i_quotient(&a,2,t5,t7);
t9=t1;{
C_word *av2=av;
av2[0]=t9;
av2[1]=(C_truep(C_i_greater_or_equalp(t5,C_fix(0)))?C_s_a_i_plus(&a,2,t8,C_fix(1)):t8);
((C_proc)(void*)(*((C_word*)t9+1)))(2,av2);}}
else{
/* library.scm:1956: ##sys#error-bad-real */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[361]+1));
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[361]+1);
av2[1]=t1;
av2[2]=t2;
av2[3]=lf[548];
tp(4,av2);}}}}}

/* scheme#truncate in k8490 */
static void C_ccall f_13463(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(5,c,3)))){
C_save_and_reclaim((void *)f_13463,3,av);}
a=C_alloc(5);
t3=t2;
if(C_truep(C_i_exact_integerp(t3))){
t4=t2;
t5=t1;{
C_word *av2=av;
av2[0]=t5;
av2[1]=t4;
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}
else{
if(C_truep(C_i_flonump(t2))){
/* library.scm:1961: chicken.flonum#fptruncate */
t4=*((C_word*)lf[461]+1);{
C_word *av2=av;
av2[0]=t4;
av2[1]=t1;
av2[2]=t2;
((C_proc)(void*)(*((C_word*)t4+1)))(3,av2);}}
else{
if(C_truep(C_i_ratnump(t2))){
t4=t2;
t5=C_u_i_ratnum_num(t4);
t6=t2;
t7=C_u_i_ratnum_denom(t6);
t8=C_s_a_i_quotient(&a,2,t5,t7);
t9=t1;{
C_word *av2=av;
av2[0]=t9;
av2[1]=t8;
((C_proc)(void*)(*((C_word*)t9+1)))(2,av2);}}
else{
/* library.scm:1965: ##sys#error-bad-real */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[361]+1));
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[361]+1);
av2[1]=t1;
av2[2]=t2;
av2[3]=lf[550];
tp(4,av2);}}}}}

/* scheme#round in k8490 */
static void C_ccall f_13497(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(36,c,3)))){
C_save_and_reclaim((void *)f_13497,3,av);}
a=C_alloc(36);
t3=t2;
if(C_truep(C_i_exact_integerp(t3))){
t4=t2;
t5=t1;{
C_word *av2=av;
av2[0]=t5;
av2[1]=t4;
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}
else{
if(C_truep(C_i_flonump(t2))){
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_a_i_flonum_round_proper(&a,1,t2);
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}
else{
if(C_truep(C_i_ratnump(t2))){
t4=t2;
t5=C_a_i_ratnum(&a,2,C_fix(1),C_fix(2));
t6=C_s_a_i_plus(&a,2,t4,t5);
t7=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_13521,a[2]=t1,a[3]=t6,tmp=(C_word)a,a+=4,tmp);
/* library.scm:1974: scheme#floor */
t8=*((C_word*)lf[545]+1);{
C_word *av2=av;
av2[0]=t8;
av2[1]=t7;
av2[2]=t6;
((C_proc)(void*)(*((C_word*)t8+1)))(3,av2);}}
else{
/* library.scm:1976: ##sys#error-bad-real */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[361]+1));
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[361]+1);
av2[1]=t1;
av2[2]=t2;
av2[3]=lf[552];
tp(4,av2);}}}}}

/* k13519 in scheme#round in k8490 */
static void C_ccall f_13521(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(29,c,1)))){
C_save_and_reclaim((void *)f_13521,2,av);}
a=C_alloc(29);
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=(C_truep(C_i_nequalp(t1,((C_word*)t0)[3]))?(C_truep(C_i_oddp(t1))?C_s_a_i_minus(&a,2,t1,C_fix(1)):t1):t1);
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* find-ratio-between in k8490 */
static void C_fcall f_13537(C_word t1,C_word t2,C_word t3){
C_word tmp;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word t12;
C_word t13;
C_word t14;
C_word t15;
C_word t16;
C_word t17;
C_word t18;
C_word t19;
C_word t20;
C_word t21;
C_word t22;
C_word *a;
loop:
if(C_unlikely(!C_demand(C_calculate_demand(67,0,4)))){
C_save_and_reclaim_args((void *)trf_13537,3,t1,t2,t3);}
a=C_alloc(67);
t4=C_SCHEME_UNDEFINED;
t5=(*a=C_VECTOR_TYPE|1,a[1]=t4,tmp=(C_word)a,a+=2,tmp);
t6=C_set_block_item(t5,0,(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_13540,a[2]=t5,a[3]=((C_word)li390),tmp=(C_word)a,a+=4,tmp));
t7=t3;
t8=t2;
if(C_truep(C_i_lessp(t7,t8))){
/* library.scm:1989: find-ratio-between */
t20=t1;
t21=t3;
t22=t2;
t1=t20;
t2=t21;
t3=t22;
goto loop;}
else{
t9=t2;
t10=t3;
t11=C_i_lessp(t9,t10);
if(C_truep(C_i_not(t11))){
t12=t1;{
C_word av2[2];
av2[0]=t12;
av2[1]=C_a_i_list2(&a,2,t2,C_fix(1));
((C_proc)(void*)(*((C_word*)t12+1)))(2,av2);}}
else{
t12=t2;
if(C_truep(C_i_positivep(t12))){
/* library.scm:1991: sr */
t13=((C_word*)t5)[1];
f_13540(t13,t1,t2,t3);}
else{
t13=t3;
if(C_truep(C_i_negativep(t13))){
t14=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_13640,a[2]=t1,tmp=(C_word)a,a+=3,tmp);
t15=t3;
t16=C_s_a_i_negate(&a,1,t15);
t17=t2;
t18=C_s_a_i_negate(&a,1,t17);
/* library.scm:1992: sr */
t19=((C_word*)t5)[1];
f_13540(t19,t14,t16,t18);}
else{
t14=t1;{
C_word av2[2];
av2[0]=t14;
av2[1]=lf[554];
((C_proc)(void*)(*((C_word*)t14+1)))(2,av2);}}}}}}

/* sr in find-ratio-between in k8490 */
static void C_fcall f_13540(C_word t0,C_word t1,C_word t2,C_word t3){
C_word tmp;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(9,0,2)))){
C_save_and_reclaim_args((void *)trf_13540,4,t0,t1,t2,t3);}
a=C_alloc(9);
t4=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_13544,a[2]=t2,a[3]=t1,a[4]=((C_word*)t0)[2],a[5]=t3,tmp=(C_word)a,a+=6,tmp);
t5=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_13609,a[2]=t4,tmp=(C_word)a,a+=3,tmp);
/* library.scm:1980: scheme#floor */
t6=*((C_word*)lf[545]+1);{
C_word av2[3];
av2[0]=t6;
av2[1]=t5;
av2[2]=t2;
((C_proc)(void*)(*((C_word*)t6+1)))(3,av2);}}

/* k13542 in sr in find-ratio-between in k8490 */
static void C_ccall f_13544(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(10,c,2)))){
C_save_and_reclaim((void *)f_13544,2,av);}
a=C_alloc(10);
t2=t1;
t3=(*a=C_CLOSURE_TYPE|6,a[1]=(C_word)f_13547,a[2]=((C_word*)t0)[2],a[3]=t2,a[4]=((C_word*)t0)[3],a[5]=((C_word*)t0)[4],a[6]=((C_word*)t0)[5],tmp=(C_word)a,a+=7,tmp);
t4=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_13605,a[2]=t3,tmp=(C_word)a,a+=3,tmp);
/* library.scm:1981: scheme#floor */
t5=*((C_word*)lf[545]+1);{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t5;
av2[1]=t4;
av2[2]=((C_word*)t0)[5];
((C_proc)(void*)(*((C_word*)t5+1)))(3,av2);}}

/* k13545 in k13542 in sr in find-ratio-between in k8490 */
static void C_ccall f_13547(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(39,c,3)))){
C_save_and_reclaim((void *)f_13547,2,av);}
a=C_alloc(39);
t2=((C_word*)t0)[2];
t3=C_i_lessp(((C_word*)t0)[3],t2);
if(C_truep(C_i_not(t3))){
t4=((C_word*)t0)[4];{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_a_i_list2(&a,2,((C_word*)t0)[3],C_fix(1));
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}
else{
if(C_truep(C_i_nequalp(((C_word*)t0)[3],t1))){
t4=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_13564,a[2]=((C_word*)t0)[3],a[3]=((C_word*)t0)[4],tmp=(C_word)a,a+=4,tmp);
t5=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_13582,a[2]=((C_word*)t0)[5],a[3]=t4,a[4]=((C_word*)t0)[2],a[5]=((C_word*)t0)[3],tmp=(C_word)a,a+=6,tmp);
t6=((C_word*)t0)[6];
t7=C_s_a_i_minus(&a,2,t6,t1);
/* library.scm:1984: ##sys#/-2 */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[526]+1));
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[526]+1);
av2[1]=t5;
av2[2]=C_fix(1);
av2[3]=t7;
tp(4,av2);}}
else{
t4=C_s_a_i_plus(&a,2,C_fix(1),((C_word*)t0)[3]);
t5=((C_word*)t0)[4];{
C_word *av2=av;
av2[0]=t5;
av2[1]=C_a_i_list2(&a,2,t4,C_fix(1));
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}}}

/* k13562 in k13545 in k13542 in sr in find-ratio-between in k8490 */
static void C_ccall f_13564(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(68,c,1)))){
C_save_and_reclaim((void *)f_13564,2,av);}
a=C_alloc(68);
t2=C_i_cadr(t1);
t3=C_u_i_car(t1);
t4=C_s_a_i_times(&a,2,((C_word*)t0)[2],t3);
t5=C_s_a_i_plus(&a,2,t2,t4);
t6=C_u_i_car(t1);
t7=((C_word*)t0)[3];{
C_word *av2=av;
av2[0]=t7;
av2[1]=C_a_i_list2(&a,2,t5,t6);
((C_proc)(void*)(*((C_word*)t7+1)))(2,av2);}}

/* k13580 in k13545 in k13542 in sr in find-ratio-between in k8490 */
static void C_ccall f_13582(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(34,c,3)))){
C_save_and_reclaim((void *)f_13582,2,av);}
a=C_alloc(34);
t2=t1;
t3=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_13586,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=t2,tmp=(C_word)a,a+=5,tmp);
t4=((C_word*)t0)[4];
t5=C_s_a_i_minus(&a,2,t4,((C_word*)t0)[5]);
/* library.scm:1985: ##sys#/-2 */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[526]+1));
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[526]+1);
av2[1]=t3;
av2[2]=C_fix(1);
av2[3]=t5;
tp(4,av2);}}

/* k13584 in k13580 in k13545 in k13542 in sr in find-ratio-between in k8490 */
static void C_ccall f_13586(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_13586,2,av);}
/* library.scm:1984: sr */
t2=((C_word*)((C_word*)t0)[2])[1];
f_13540(t2,((C_word*)t0)[3],((C_word*)t0)[4],t1);}

/* k13603 in k13542 in sr in find-ratio-between in k8490 */
static void C_ccall f_13605(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_13605,2,av);}
/* library.scm:1981: scheme#inexact->exact */
t2=*((C_word*)lf[518]+1);{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[2];
av2[2]=t1;
((C_proc)(void*)(*((C_word*)t2+1)))(3,av2);}}

/* k13607 in sr in find-ratio-between in k8490 */
static void C_ccall f_13609(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_13609,2,av);}
/* library.scm:1980: scheme#inexact->exact */
t2=*((C_word*)lf[518]+1);{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[2];
av2[2]=t1;
((C_proc)(void*)(*((C_word*)t2+1)))(3,av2);}}

/* k13638 in find-ratio-between in k8490 */
static void C_ccall f_13640(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(35,c,1)))){
C_save_and_reclaim((void *)f_13640,2,av);}
a=C_alloc(35);
t2=C_i_car(t1);
t3=C_s_a_i_negate(&a,1,t2);
t4=C_i_cadr(t1);
t5=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t5;
av2[1]=C_a_i_list2(&a,2,t3,t4);
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}

/* scheme#rationalize in k8490 */
static void C_ccall f_13673(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(66,c,3)))){
C_save_and_reclaim((void *)f_13673,4,av);}
a=C_alloc(66);
t4=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_13677,a[2]=t2,a[3]=t1,a[4]=t3,tmp=(C_word)a,a+=5,tmp);
t5=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_13696,a[2]=t4,tmp=(C_word)a,a+=3,tmp);
t6=t2;
t7=t3;
t8=C_s_a_i_minus(&a,2,t6,t7);
t9=C_s_a_i_plus(&a,2,t6,t7);
/* library.scm:1996: find-ratio-between */
f_13537(t5,t8,t9);}

/* k13675 in scheme#rationalize in k8490 */
static void C_ccall f_13677(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_13677,2,av);}
t2=C_i_inexactp(((C_word*)t0)[2]);
if(C_truep(t2)){
if(C_truep(t2)){
/* library.scm:2002: scheme#exact->inexact */
t3=*((C_word*)lf[62]+1);{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t3;
av2[1]=((C_word*)t0)[3];
av2[2]=t1;
((C_proc)(void*)(*((C_word*)t3+1)))(3,av2);}}
else{
t3=((C_word*)t0)[3];{
C_word *av2=av;
av2[0]=t3;
av2[1]=t1;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}}
else{
if(C_truep(C_i_inexactp(((C_word*)t0)[4]))){
/* library.scm:2002: scheme#exact->inexact */
t3=*((C_word*)lf[62]+1);{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t3;
av2[1]=((C_word*)t0)[3];
av2[2]=t1;
((C_proc)(void*)(*((C_word*)t3+1)))(3,av2);}}
else{
t3=((C_word*)t0)[3];{
C_word *av2=av;
av2[0]=t3;
av2[1]=t1;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}}}

/* k13694 in scheme#rationalize in k8490 */
static void C_ccall f_13696(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_13696,2,av);}{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=0;
av2[1]=((C_word*)t0)[2];
av2[2]=*((C_word*)lf[526]+1);
av2[3]=t1;
C_apply(4,av2);}}

/* scheme#max in k8490 */
static void C_ccall f_13698(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c<3) C_bad_min_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand((c-3)*C_SIZEOF_PAIR +6,c,5)))){
C_save_and_reclaim((void*)f_13698,c,av);}
a=C_alloc((c-3)*C_SIZEOF_PAIR+6);
t3=C_build_rest(&a,c,3,av);
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
t4=C_i_flonump(t2);
t5=C_SCHEME_UNDEFINED;
t6=(*a=C_VECTOR_TYPE|1,a[1]=t5,tmp=(C_word)a,a+=2,tmp);
t7=C_set_block_item(t6,0,(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_13705,a[2]=t6,a[3]=((C_word)li393),tmp=(C_word)a,a+=4,tmp));
t8=((C_word*)t6)[1];
f_13705(t8,t1,t4,t2,t3);}

/* loop in scheme#max in k8490 */
static void C_fcall f_13705(C_word t0,C_word t1,C_word t2,C_word t3,C_word t4){
C_word tmp;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word t12;
C_word t13;
C_word t14;
C_word t15;
C_word t16;
C_word *a;
loop:
if(C_unlikely(!C_demand(C_calculate_demand(11,0,4)))){
C_save_and_reclaim_args((void *)trf_13705,5,t0,t1,t2,t3,t4);}
a=C_alloc(11);
t5=C_i_check_number_2(t3,lf[557]);
if(C_truep(C_i_nullp(t4))){
if(C_truep(t2)){
t6=t3;
t7=t1;{
C_word av2[2];
av2[0]=t7;
av2[1]=C_a_i_exact_to_inexact(&a,1,t6);
((C_proc)(void*)(*((C_word*)t7+1)))(2,av2);}}
else{
t6=t1;{
C_word av2[2];
av2[0]=t6;
av2[1]=t3;
((C_proc)(void*)(*((C_word*)t6+1)))(2,av2);}}}
else{
t6=C_slot(t4,C_fix(0));
t7=t2;
t8=(C_truep(t7)?t7:C_i_flonump(t6));
t9=t3;
t10=(C_truep(C_i_greaterp(t6,t9))?t6:t3);
t11=C_slot(t4,C_fix(1));
/* library.scm:2012: loop */
t13=t1;
t14=t8;
t15=t10;
t16=t11;
t1=t13;
t2=t14;
t3=t15;
t4=t16;
goto loop;}}

/* scheme#min in k8490 */
static void C_ccall f_13741(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c<3) C_bad_min_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand((c-3)*C_SIZEOF_PAIR +6,c,5)))){
C_save_and_reclaim((void*)f_13741,c,av);}
a=C_alloc((c-3)*C_SIZEOF_PAIR+6);
t3=C_build_rest(&a,c,3,av);
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
t4=C_i_flonump(t2);
t5=C_SCHEME_UNDEFINED;
t6=(*a=C_VECTOR_TYPE|1,a[1]=t5,tmp=(C_word)a,a+=2,tmp);
t7=C_set_block_item(t6,0,(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_13748,a[2]=t6,a[3]=((C_word)li395),tmp=(C_word)a,a+=4,tmp));
t8=((C_word*)t6)[1];
f_13748(t8,t1,t4,t2,t3);}

/* loop in scheme#min in k8490 */
static void C_fcall f_13748(C_word t0,C_word t1,C_word t2,C_word t3,C_word t4){
C_word tmp;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word t12;
C_word t13;
C_word t14;
C_word t15;
C_word t16;
C_word *a;
loop:
if(C_unlikely(!C_demand(C_calculate_demand(11,0,4)))){
C_save_and_reclaim_args((void *)trf_13748,5,t0,t1,t2,t3,t4);}
a=C_alloc(11);
t5=C_i_check_number_2(t3,lf[559]);
if(C_truep(C_i_nullp(t4))){
if(C_truep(t2)){
t6=t3;
t7=t1;{
C_word av2[2];
av2[0]=t7;
av2[1]=C_a_i_exact_to_inexact(&a,1,t6);
((C_proc)(void*)(*((C_word*)t7+1)))(2,av2);}}
else{
t6=t1;{
C_word av2[2];
av2[0]=t6;
av2[1]=t3;
((C_proc)(void*)(*((C_word*)t6+1)))(2,av2);}}}
else{
t6=C_slot(t4,C_fix(0));
t7=t2;
t8=(C_truep(t7)?t7:C_i_flonump(t6));
t9=t3;
t10=(C_truep(C_i_lessp(t6,t9))?t6:t3);
t11=C_slot(t4,C_fix(1));
/* library.scm:2023: loop */
t13=t1;
t14=t8;
t15=t10;
t16=t11;
t1=t13;
t2=t14;
t3=t15;
t4=t16;
goto loop;}}

/* scheme#exp in k8490 */
static void C_ccall f_13784(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(15,c,2)))){
C_save_and_reclaim((void *)f_13784,3,av);}
a=C_alloc(15);
t3=C_i_check_number_2(t2,lf[561]);
if(C_truep(C_i_cplxnump(t2))){
t4=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_13799,a[2]=t2,a[3]=t1,tmp=(C_word)a,a+=4,tmp);
t5=t2;
t6=C_u_i_cplxnum_real(t5);
/* library.scm:2032: scheme#exact->inexact */
t7=*((C_word*)lf[62]+1);{
C_word *av2=av;
av2[0]=t7;
av2[1]=t4;
av2[2]=t6;
((C_proc)(void*)(*((C_word*)t7+1)))(3,av2);}}
else{
t4=t2;
t5=C_a_i_exact_to_inexact(&a,1,t4);
t6=C_a_i_flonum_exp(&a,1,t5);
t7=t1;{
C_word *av2=av;
av2[0]=t7;
av2[1]=t6;
((C_proc)(void*)(*((C_word*)t7+1)))(2,av2);}}}

/* k13797 in scheme#exp in k8490 */
static void C_ccall f_13799(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(12,c,2)))){
C_save_and_reclaim((void *)f_13799,2,av);}
a=C_alloc(12);
t2=C_a_i_exp(&a,1,t1);
t3=((C_word*)t0)[2];
t4=C_u_i_cplxnum_imag(t3);
t5=t4;
t6=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_13808,a[2]=t2,a[3]=((C_word*)t0)[3],tmp=(C_word)a,a+=4,tmp);
t7=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_13813,a[2]=t5,a[3]=t6,tmp=(C_word)a,a+=4,tmp);
/* library.scm:2035: scheme#exact->inexact */
t8=*((C_word*)lf[62]+1);{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t8;
av2[1]=t7;
av2[2]=t5;
((C_proc)(void*)(*((C_word*)t8+1)))(3,av2);}}

/* k13806 in k13797 in scheme#exp in k8490 */
static void C_ccall f_13808(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(33,c,1)))){
C_save_and_reclaim((void *)f_13808,2,av);}
a=C_alloc(33);
t2=C_s_a_i_times(&a,2,((C_word*)t0)[2],t1);
t3=((C_word*)t0)[3];{
C_word *av2=av;
av2[0]=t3;
av2[1]=t2;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* k13811 in k13797 in scheme#exp in k8490 */
static void C_ccall f_13813(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(19,c,3)))){
C_save_and_reclaim((void *)f_13813,2,av);}
a=C_alloc(19);
t2=C_a_i_cos(&a,1,t1);
t3=C_a_i_exact_to_inexact(&a,1,((C_word*)t0)[2]);
t4=C_a_i_sin(&a,1,t3);
/* library.scm:2034: make-complex */
f_12573(((C_word*)t0)[3],t2,t4);}

/* ##sys#log-1 in k8490 */
static void C_ccall f_13826(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(4,c,5)))){
C_save_and_reclaim((void *)f_13826,3,av);}
a=C_alloc(4);
t3=C_eqp(t2,C_fix(0));
if(C_truep(t3)){
/* library.scm:2042: ##sys#signal-hook */
t4=C_fast_retrieve(lf[194]);{
C_word *av2;
if(c >= 6) {
  av2=av;
} else {
  av2=C_alloc(6);
}
av2[0]=t4;
av2[1]=t1;
av2[2]=lf[563];
av2[3]=lf[564];
av2[4]=lf[565];
av2[5]=t2;
((C_proc)(void*)(*((C_word*)t4+1)))(6,av2);}}
else{
t4=C_i_cplxnump(t2);
t5=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_13845,a[2]=t1,a[3]=t2,tmp=(C_word)a,a+=4,tmp);
if(C_truep(t4)){
t6=t5;
f_13845(t6,t4);}
else{
t6=t2;
t7=t5;
f_13845(t7,C_i_negativep(t6));}}}

/* k13843 in log-1 in k8490 */
static void C_fcall f_13845(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(7,0,2)))){
C_save_and_reclaim_args((void *)trf_13845,2,t0,t1);}
a=C_alloc(7);
if(C_truep(t1)){
t2=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_13849,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],tmp=(C_word)a,a+=4,tmp);
t3=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_13862,a[2]=t2,tmp=(C_word)a,a+=3,tmp);
/* library.scm:2045: scheme#magnitude */
t4=*((C_word*)lf[511]+1);{
C_word av2[3];
av2[0]=t4;
av2[1]=t3;
av2[2]=((C_word*)t0)[3];
((C_proc)(void*)(*((C_word*)t4+1)))(3,av2);}}
else{
t2=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_13866,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
/* library.scm:2048: scheme#exact->inexact */
t3=*((C_word*)lf[62]+1);{
C_word av2[3];
av2[0]=t3;
av2[1]=t2;
av2[2]=((C_word*)t0)[3];
((C_proc)(void*)(*((C_word*)t3+1)))(3,av2);}}}

/* k13847 in k13843 in log-1 in k8490 */
static void C_ccall f_13849(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,c,3)))){
C_save_and_reclaim((void *)f_13849,2,av);}
a=C_alloc(5);
t2=t1;
t3=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_13854,a[2]=((C_word*)t0)[2],a[3]=t2,a[4]=((C_word*)t0)[3],tmp=(C_word)a,a+=5,tmp);
/* library.scm:2046: make-complex */
f_12573(t3,C_fix(0),C_fix(1));}

/* k13852 in k13847 in k13843 in log-1 in k8490 */
static void C_ccall f_13854(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,c,2)))){
C_save_and_reclaim((void *)f_13854,2,av);}
a=C_alloc(5);
t2=t1;
t3=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_13858,a[2]=t2,a[3]=((C_word*)t0)[2],a[4]=((C_word*)t0)[3],tmp=(C_word)a,a+=5,tmp);
/* library.scm:2046: scheme#angle */
t4=*((C_word*)lf[509]+1);{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t4;
av2[1]=t3;
av2[2]=((C_word*)t0)[4];
((C_proc)(void*)(*((C_word*)t4+1)))(3,av2);}}

/* k13856 in k13852 in k13847 in k13843 in log-1 in k8490 */
static void C_ccall f_13858(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(62,c,1)))){
C_save_and_reclaim((void *)f_13858,2,av);}
a=C_alloc(62);
t2=C_s_a_i_times(&a,2,((C_word*)t0)[2],t1);
t3=((C_word*)t0)[3];{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_s_a_i_plus(&a,2,((C_word*)t0)[4],t2);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* k13860 in k13843 in log-1 in k8490 */
static void C_ccall f_13862(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_13862,2,av);}
/* library.scm:2045: ##sys#log-1 */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[562]+1));
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[562]+1);
av2[1]=((C_word*)t0)[2];
av2[2]=t1;
tp(3,av2);}}

/* k13864 in k13843 in log-1 in k8490 */
static void C_ccall f_13866(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,c,1)))){
C_save_and_reclaim((void *)f_13866,2,av);}
a=C_alloc(4);
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=C_a_i_log(&a,1,t1);
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* scheme#log in k8490 */
static void C_ccall f_13869(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c<3) C_bad_min_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand((c-3)*C_SIZEOF_PAIR +4,c,2)))){
C_save_and_reclaim((void*)f_13869,c,av);}
a=C_alloc((c-3)*C_SIZEOF_PAIR+4);
t3=C_build_rest(&a,c,3,av);
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
t4=C_i_nullp(t3);
t5=(C_truep(t4)?C_SCHEME_FALSE:C_i_car(t3));
t6=t5;
if(C_truep(t6)){
t7=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_13883,a[2]=t1,a[3]=t6,tmp=(C_word)a,a+=4,tmp);
/* library.scm:2052: ##sys#log-1 */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[562]+1));
C_word *av2=av;
av2[0]=*((C_word*)lf[562]+1);
av2[1]=t7;
av2[2]=t2;
tp(3,av2);}}
else{
/* library.scm:2052: ##sys#log-1 */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[562]+1));
C_word *av2=av;
av2[0]=*((C_word*)lf[562]+1);
av2[1]=t1;
av2[2]=t2;
tp(3,av2);}}}

/* k13881 in scheme#log in k8490 */
static void C_ccall f_13883(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,c,2)))){
C_save_and_reclaim((void *)f_13883,2,av);}
a=C_alloc(4);
t2=t1;
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_13887,a[2]=((C_word*)t0)[2],a[3]=t2,tmp=(C_word)a,a+=4,tmp);
/* library.scm:2052: ##sys#log-1 */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[562]+1));
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[562]+1);
av2[1]=t3;
av2[2]=((C_word*)t0)[3];
tp(3,av2);}}

/* k13885 in k13881 in scheme#log in k8490 */
static void C_ccall f_13887(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_13887,2,av);}
/* library.scm:2052: ##sys#/-2 */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[526]+1));
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[526]+1);
av2[1]=((C_word*)t0)[2];
av2[2]=((C_word*)t0)[3];
av2[3]=t1;
tp(4,av2);}}

/* scheme#sin in k8490 */
static void C_ccall f_13898(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(37,c,2)))){
C_save_and_reclaim((void *)f_13898,3,av);}
a=C_alloc(37);
t3=C_i_check_number_2(t2,lf[568]);
if(C_truep(C_i_cplxnump(t2))){
t4=t2;
t5=C_s_a_i_times(&a,2,lf[569],t4);
t6=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_13918,a[2]=t1,a[3]=t5,tmp=(C_word)a,a+=4,tmp);
/* library.scm:2059: scheme#exp */
t7=*((C_word*)lf[560]+1);{
C_word *av2=av;
av2[0]=t7;
av2[1]=t6;
av2[2]=t5;
((C_proc)(void*)(*((C_word*)t7+1)))(3,av2);}}
else{
t4=t2;
t5=C_a_i_exact_to_inexact(&a,1,t4);
t6=C_a_i_sin(&a,1,t5);
t7=t1;{
C_word *av2=av;
av2[0]=t7;
av2[1]=t6;
((C_proc)(void*)(*((C_word*)t7+1)))(2,av2);}}}

/* k13916 in scheme#sin in k8490 */
static void C_ccall f_13918(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(33,c,2)))){
C_save_and_reclaim((void *)f_13918,2,av);}
a=C_alloc(33);
t2=t1;
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_13922,a[2]=t2,a[3]=((C_word*)t0)[2],tmp=(C_word)a,a+=4,tmp);
t4=C_s_a_i_negate(&a,1,((C_word*)t0)[3]);
/* library.scm:2059: scheme#exp */
t5=*((C_word*)lf[560]+1);{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t5;
av2[1]=t3;
av2[2]=t4;
((C_proc)(void*)(*((C_word*)t5+1)))(3,av2);}}

/* k13920 in k13916 in scheme#sin in k8490 */
static void C_ccall f_13922(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(29,c,3)))){
C_save_and_reclaim((void *)f_13922,2,av);}
a=C_alloc(29);
t2=C_s_a_i_minus(&a,2,((C_word*)t0)[2],t1);
/* library.scm:2059: ##sys#/-2 */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[526]+1));
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[526]+1);
av2[1]=((C_word*)t0)[3];
av2[2]=t2;
av2[3]=lf[570];
tp(4,av2);}}

/* scheme#cos in k8490 */
static void C_ccall f_13928(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(37,c,2)))){
C_save_and_reclaim((void *)f_13928,3,av);}
a=C_alloc(37);
t3=C_i_check_number_2(t2,lf[572]);
if(C_truep(C_i_cplxnump(t2))){
t4=t2;
t5=C_s_a_i_times(&a,2,lf[569],t4);
t6=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_13948,a[2]=t1,a[3]=t5,tmp=(C_word)a,a+=4,tmp);
/* library.scm:2067: scheme#exp */
t7=*((C_word*)lf[560]+1);{
C_word *av2=av;
av2[0]=t7;
av2[1]=t6;
av2[2]=t5;
((C_proc)(void*)(*((C_word*)t7+1)))(3,av2);}}
else{
t4=t2;
t5=C_a_i_exact_to_inexact(&a,1,t4);
t6=C_a_i_cos(&a,1,t5);
t7=t1;{
C_word *av2=av;
av2[0]=t7;
av2[1]=t6;
((C_proc)(void*)(*((C_word*)t7+1)))(2,av2);}}}

/* k13946 in scheme#cos in k8490 */
static void C_ccall f_13948(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(33,c,2)))){
C_save_and_reclaim((void *)f_13948,2,av);}
a=C_alloc(33);
t2=t1;
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_13952,a[2]=t2,a[3]=((C_word*)t0)[2],tmp=(C_word)a,a+=4,tmp);
t4=C_s_a_i_negate(&a,1,((C_word*)t0)[3]);
/* library.scm:2067: scheme#exp */
t5=*((C_word*)lf[560]+1);{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t5;
av2[1]=t3;
av2[2]=t4;
((C_proc)(void*)(*((C_word*)t5+1)))(3,av2);}}

/* k13950 in k13946 in scheme#cos in k8490 */
static void C_ccall f_13952(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(29,c,3)))){
C_save_and_reclaim((void *)f_13952,2,av);}
a=C_alloc(29);
t2=C_s_a_i_plus(&a,2,((C_word*)t0)[2],t1);
/* library.scm:2067: ##sys#/-2 */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[526]+1));
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[526]+1);
av2[1]=((C_word*)t0)[3];
av2[2]=t2;
av2[3]=C_fix(2);
tp(4,av2);}}

/* scheme#tan in k8490 */
static void C_ccall f_13958(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(15,c,2)))){
C_save_and_reclaim((void *)f_13958,3,av);}
a=C_alloc(15);
t3=C_i_check_number_2(t2,lf[574]);
if(C_truep(C_i_cplxnump(t2))){
t4=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_13975,a[2]=t1,a[3]=t2,tmp=(C_word)a,a+=4,tmp);
/* library.scm:2074: scheme#sin */
t5=*((C_word*)lf[567]+1);{
C_word *av2=av;
av2[0]=t5;
av2[1]=t4;
av2[2]=t2;
((C_proc)(void*)(*((C_word*)t5+1)))(3,av2);}}
else{
t4=t2;
t5=C_a_i_exact_to_inexact(&a,1,t4);
t6=C_a_i_tan(&a,1,t5);
t7=t1;{
C_word *av2=av;
av2[0]=t7;
av2[1]=t6;
((C_proc)(void*)(*((C_word*)t7+1)))(2,av2);}}}

/* k13973 in scheme#tan in k8490 */
static void C_ccall f_13975(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,c,2)))){
C_save_and_reclaim((void *)f_13975,2,av);}
a=C_alloc(4);
t2=t1;
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_13979,a[2]=((C_word*)t0)[2],a[3]=t2,tmp=(C_word)a,a+=4,tmp);
/* library.scm:2074: scheme#cos */
t4=*((C_word*)lf[571]+1);{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t4;
av2[1]=t3;
av2[2]=((C_word*)t0)[3];
((C_proc)(void*)(*((C_word*)t4+1)))(3,av2);}}

/* k13977 in k13973 in scheme#tan in k8490 */
static void C_ccall f_13979(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_13979,2,av);}
/* library.scm:2074: ##sys#/-2 */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[526]+1));
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[526]+1);
av2[1]=((C_word*)t0)[2];
av2[2]=((C_word*)t0)[3];
av2[3]=t1;
tp(4,av2);}}

/* scheme#asin in k8490 */
static void C_ccall f_13983(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(8,c,3)))){
C_save_and_reclaim((void *)f_13983,3,av);}
a=C_alloc(8);
t3=C_i_check_number_2(t2,lf[576]);
t4=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_13993,a[2]=t2,a[3]=t1,tmp=(C_word)a,a+=4,tmp);
if(C_truep(C_i_flonump(t2))){
t5=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_14032,a[2]=t2,a[3]=t4,tmp=(C_word)a,a+=4,tmp);
/* library.scm:2081: chicken.flonum#fp>= */
t6=*((C_word*)lf[449]+1);{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t6;
av2[1]=t5;
av2[2]=t2;
av2[3]=lf[530];
((C_proc)(void*)(*((C_word*)t6+1)))(4,av2);}}
else{
t5=t4;
f_13993(t5,C_SCHEME_FALSE);}}

/* k13991 in scheme#asin in k8490 */
static void C_fcall f_13993(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,0,2)))){
C_save_and_reclaim_args((void *)trf_13993,2,t0,t1);}
a=C_alloc(4);
if(C_truep(t1)){
t2=C_a_i_asin(&a,1,((C_word*)t0)[2]);
t3=((C_word*)t0)[3];{
C_word av2[2];
av2[0]=t3;
av2[1]=t2;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}
else{
t2=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_13999,a[2]=((C_word*)t0)[3],a[3]=((C_word*)t0)[2],tmp=(C_word)a,a+=4,tmp);
if(C_truep(C_fixnump(((C_word*)t0)[2]))){
t3=C_fixnum_greater_or_equal_p(((C_word*)t0)[2],C_fix(-1));
t4=t2;
f_13999(t4,(C_truep(t3)?C_fixnum_less_or_equal_p(((C_word*)t0)[2],C_fix(1)):C_SCHEME_FALSE));}
else{
t3=t2;
f_13999(t3,C_SCHEME_FALSE);}}}

/* k13997 in k13991 in scheme#asin in k8490 */
static void C_fcall f_13999(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(102,0,3)))){
C_save_and_reclaim_args((void *)trf_13999,2,t0,t1);}
a=C_alloc(102);
if(C_truep(t1)){
t2=((C_word*)t0)[2];{
C_word av2[2];
av2[0]=t2;
av2[1]=C_a_i_asin(&a,1,C_a_i_fix_to_flo(&a,1,((C_word*)t0)[3]));
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}
else{
t2=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_14004,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
t3=((C_word*)t0)[3];
t4=C_s_a_i_times(&a,2,lf[569],t3);
t5=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_14012,a[2]=t4,a[3]=t2,tmp=(C_word)a,a+=4,tmp);
t6=((C_word*)t0)[3];
t7=((C_word*)t0)[3];
t8=C_s_a_i_times(&a,2,t6,t7);
t9=C_s_a_i_minus(&a,2,C_fix(1),t8);
/* library.scm:2090: ##sys#sqrt/loc */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[578]+1));
C_word av2[4];
av2[0]=*((C_word*)lf[578]+1);
av2[1]=t5;
av2[2]=lf[576];
av2[3]=t9;
tp(4,av2);}}}

/* k14002 in k13997 in k13991 in scheme#asin in k8490 */
static void C_ccall f_14004(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(33,c,1)))){
C_save_and_reclaim((void *)f_14004,2,av);}
a=C_alloc(33);
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=C_s_a_i_times(&a,2,lf[577],t1);
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* k14010 in k13997 in k13991 in scheme#asin in k8490 */
static void C_ccall f_14012(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(29,c,2)))){
C_save_and_reclaim((void *)f_14012,2,av);}
a=C_alloc(29);
t2=C_s_a_i_plus(&a,2,((C_word*)t0)[2],t1);
/* library.scm:2088: ##sys#log-1 */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[562]+1));
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[562]+1);
av2[1]=((C_word*)t0)[3];
av2[2]=t2;
tp(3,av2);}}

/* k14030 in scheme#asin in k8490 */
static void C_ccall f_14032(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_14032,2,av);}
if(C_truep(t1)){
t2=((C_word*)t0)[2];
t3=C_flonum_less_or_equal_p(t2,lf[522]);
t4=((C_word*)t0)[3];
f_13993(t4,t3);}
else{
t2=((C_word*)t0)[3];
f_13993(t2,C_SCHEME_FALSE);}}

/* scheme#acos in k8490 */
static void C_ccall f_14036(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(9,c,3)))){
C_save_and_reclaim((void *)f_14036,3,av);}
a=C_alloc(9);
t3=C_i_check_number_2(t2,lf[580]);
t4=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_14046,a[2]=t2,a[3]=t1,a[4]=((C_word*)t0)[2],tmp=(C_word)a,a+=5,tmp);
if(C_truep(C_i_flonump(t2))){
t5=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_14072,a[2]=t2,a[3]=t4,tmp=(C_word)a,a+=4,tmp);
/* library.scm:2098: chicken.flonum#fp>= */
t6=*((C_word*)lf[449]+1);{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t6;
av2[1]=t5;
av2[2]=t2;
av2[3]=lf[530];
((C_proc)(void*)(*((C_word*)t6+1)))(4,av2);}}
else{
t5=t4;
f_14046(t5,C_SCHEME_FALSE);}}

/* k14044 in scheme#acos in k8490 */
static void C_fcall f_14046(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,0,2)))){
C_save_and_reclaim_args((void *)trf_14046,2,t0,t1);}
a=C_alloc(5);
if(C_truep(t1)){
t2=C_a_i_acos(&a,1,((C_word*)t0)[2]);
t3=((C_word*)t0)[3];{
C_word av2[2];
av2[0]=t3;
av2[1]=t2;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}
else{
t2=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_14052,a[2]=((C_word*)t0)[3],a[3]=((C_word*)t0)[2],a[4]=((C_word*)t0)[4],tmp=(C_word)a,a+=5,tmp);
if(C_truep(C_fixnump(((C_word*)t0)[2]))){
t3=C_fixnum_greater_or_equal_p(((C_word*)t0)[2],C_fix(-1));
t4=t2;
f_14052(t4,(C_truep(t3)?C_fixnum_less_or_equal_p(((C_word*)t0)[2],C_fix(1)):C_SCHEME_FALSE));}
else{
t3=t2;
f_14052(t3,C_SCHEME_FALSE);}}}

/* k14050 in k14044 in scheme#acos in k8490 */
static void C_fcall f_14052(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(8,0,2)))){
C_save_and_reclaim_args((void *)trf_14052,2,t0,t1);}
a=C_alloc(8);
if(C_truep(t1)){
t2=((C_word*)t0)[2];{
C_word av2[2];
av2[0]=t2;
av2[1]=C_a_i_acos(&a,1,C_a_i_fix_to_flo(&a,1,((C_word*)t0)[3]));
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}
else{
t2=((C_word*)t0)[4];
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_14057,a[2]=((C_word*)t0)[2],a[3]=t2,tmp=(C_word)a,a+=4,tmp);
/* library.scm:2105: scheme#asin */
t4=*((C_word*)lf[575]+1);{
C_word av2[3];
av2[0]=t4;
av2[1]=t3;
av2[2]=((C_word*)t0)[3];
((C_proc)(void*)(*((C_word*)t4+1)))(3,av2);}}}

/* k14055 in k14050 in k14044 in scheme#acos in k8490 */
static void C_ccall f_14057(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(29,c,1)))){
C_save_and_reclaim((void *)f_14057,2,av);}
a=C_alloc(29);
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=C_s_a_i_minus(&a,2,((C_word*)t0)[3],t1);
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* k14070 in scheme#acos in k8490 */
static void C_ccall f_14072(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_14072,2,av);}
if(C_truep(t1)){
t2=((C_word*)t0)[2];
t3=C_flonum_less_or_equal_p(t2,lf[522]);
t4=((C_word*)t0)[3];
f_14046(t4,t3);}
else{
t2=((C_word*)t0)[3];
f_14046(t2,C_SCHEME_FALSE);}}

/* scheme#atan in k8490 */
static void C_ccall f_14076(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c<3) C_bad_min_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand((c-3)*C_SIZEOF_PAIR +66,c,3)))){
C_save_and_reclaim((void*)f_14076,c,av);}
a=C_alloc((c-3)*C_SIZEOF_PAIR+66);
t3=C_build_rest(&a,c,3,av);
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
t4=C_i_nullp(t3);
t5=(C_truep(t4)?C_SCHEME_FALSE:C_i_car(t3));
t6=C_i_check_number_2(t2,lf[582]);
if(C_truep(C_i_cplxnump(t2))){
if(C_truep(t5)){
/* library.scm:2112: ##sys#error-bad-real */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[361]+1));
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[361]+1);
av2[1]=t1;
av2[2]=t2;
av2[3]=lf[582];
tp(4,av2);}}
else{
t7=t2;
t8=C_s_a_i_times(&a,2,lf[569],t7);
t9=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_14105,a[2]=t1,a[3]=t8,tmp=(C_word)a,a+=4,tmp);
t10=C_s_a_i_plus(&a,2,C_fix(1),t8);
/* library.scm:2114: ##sys#log-1 */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[562]+1));
C_word *av2=av;
av2[0]=*((C_word*)lf[562]+1);
av2[1]=t9;
av2[2]=t10;
tp(3,av2);}}}
else{
if(C_truep(t5)){
t7=t2;
t8=C_a_i_exact_to_inexact(&a,1,t7);
t9=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_14124,a[2]=t1,a[3]=t8,tmp=(C_word)a,a+=4,tmp);
/* library.scm:2118: scheme#exact->inexact */
t10=*((C_word*)lf[62]+1);{
C_word *av2=av;
av2[0]=t10;
av2[1]=t9;
av2[2]=t5;
((C_proc)(void*)(*((C_word*)t10+1)))(3,av2);}}
else{
t7=t2;
t8=C_a_i_exact_to_inexact(&a,1,t7);
t9=t1;{
C_word *av2=av;
av2[0]=t9;
av2[1]=C_a_i_atan(&a,1,t8);
((C_proc)(void*)(*((C_word*)t9+1)))(2,av2);}}}}

/* k14103 in scheme#atan in k8490 */
static void C_ccall f_14105(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(33,c,2)))){
C_save_and_reclaim((void *)f_14105,2,av);}
a=C_alloc(33);
t2=t1;
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_14109,a[2]=t2,a[3]=((C_word*)t0)[2],tmp=(C_word)a,a+=4,tmp);
t4=C_s_a_i_minus(&a,2,C_fix(1),((C_word*)t0)[3]);
/* library.scm:2115: ##sys#log-1 */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[562]+1));
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[562]+1);
av2[1]=t3;
av2[2]=t4;
tp(3,av2);}}

/* k14107 in k14103 in scheme#atan in k8490 */
static void C_ccall f_14109(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(29,c,3)))){
C_save_and_reclaim((void *)f_14109,2,av);}
a=C_alloc(29);
t2=C_s_a_i_minus(&a,2,((C_word*)t0)[2],t1);
/* library.scm:2114: ##sys#/-2 */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[526]+1));
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[526]+1);
av2[1]=((C_word*)t0)[3];
av2[2]=t2;
av2[3]=lf[570];
tp(4,av2);}}

/* k14122 in scheme#atan in k8490 */
static void C_ccall f_14124(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,c,1)))){
C_save_and_reclaim((void *)f_14124,2,av);}
a=C_alloc(4);
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=C_a_i_atan2(&a,2,((C_word*)t0)[3],t1);
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* ##sys#exact-integer-sqrt in k8490 */
static void C_ccall f_14134(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word t12;
C_word t13;
C_word t14;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(10,c,4)))){
C_save_and_reclaim((void *)f_14134,3,av);}
a=C_alloc(10);
t3=C_fixnump(t2);
t4=(C_truep(t3)?C_fixnum_less_or_equal_p(t2,C_fix(4)):C_SCHEME_FALSE);
if(C_truep(t4)){
t5=t2;
t6=C_eqp(t5,C_fix(0));
t7=(C_truep(t6)?t6:C_eqp(t5,C_fix(1)));
if(C_truep(t7)){
/* library.scm:2130: scheme#values */{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=0;
av2[1]=t1;
av2[2]=t2;
av2[3]=C_fix(0);
C_values(4,av2);}}
else{
switch(t5){
case C_fix(2):
/* library.scm:2131: scheme#values */{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=0;
av2[1]=t1;
av2[2]=C_fix(1);
av2[3]=C_fix(1);
C_values(4,av2);}
case C_fix(3):
/* library.scm:2132: scheme#values */{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=0;
av2[1]=t1;
av2[2]=C_fix(1);
av2[3]=C_fix(2);
C_values(4,av2);}
case C_fix(4):
/* library.scm:2133: scheme#values */{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=0;
av2[1]=t1;
av2[2]=C_fix(2);
av2[3]=C_fix(0);
C_values(4,av2);}
default:
/* library.scm:2134: chicken.base#error */
t8=*((C_word*)lf[193]+1);{
C_word *av2=av;
av2[0]=t8;
av2[1]=t1;
av2[2]=lf[584];
((C_proc)(void*)(*((C_word*)t8+1)))(3,av2);}}}}
else{
t5=t2;
t6=C_i_integer_length(t5);
t7=C_fixnum_plus(t6,C_fix(1));
t8=C_fixnum_shift_right(t7,C_fix(2));
t9=t8;
t10=C_fixnum_shift_left(t9,C_fix(1));
t11=t10;
t12=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_14207,a[2]=t2,a[3]=t11,a[4]=((C_word)li406),tmp=(C_word)a,a+=5,tmp);
t13=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_14219,a[2]=t9,a[3]=t2,a[4]=((C_word)li410),tmp=(C_word)a,a+=5,tmp);
/* library.scm:2135: ##sys#call-with-values */{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=0;
av2[1]=t1;
av2[2]=t12;
av2[3]=t13;
C_call_with_values(4,av2);}}}

/* a14206 in exact-integer-sqrt in k8490 */
static void C_ccall f_14207(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(c!=2) C_bad_argc_2(c,2,t0);
if(C_unlikely(!C_demand(C_calculate_demand(5,c,2)))){
C_save_and_reclaim((void *)f_14207,2,av);}
a=C_alloc(5);
t2=((C_word*)t0)[2];
t3=C_fixnum_negate(((C_word*)t0)[3]);
t4=C_s_a_i_arithmetic_shift(&a,2,t2,t3);
/* library.scm:2138: ##sys#exact-integer-sqrt */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[583]+1));
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[583]+1);
av2[1]=t1;
av2[2]=t4;
tp(3,av2);}}

/* a14218 in exact-integer-sqrt in k8490 */
static void C_ccall f_14219(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word t12;
C_word t13;
C_word t14;
C_word t15;
C_word t16;
C_word t17;
C_word t18;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(38,c,4)))){
C_save_and_reclaim((void *)f_14219,4,av);}
a=C_alloc(38);
t4=t2;
t5=t3;
t6=C_s_a_i_arithmetic_shift(&a,2,C_fix(1),((C_word*)t0)[2]);
t7=C_s_a_u_i_integer_minus(&a,2,t6,C_fix(1));
t8=((C_word*)t0)[3];
t9=C_s_a_i_bitwise_and(&a,2,t8,t7);
t10=t9;
t11=((C_word*)t0)[3];
t12=C_fixnum_negate(((C_word*)t0)[2]);
t13=C_s_a_i_arithmetic_shift(&a,2,t11,t12);
t14=C_s_a_i_bitwise_and(&a,2,t13,t7);
t15=t14;
t16=(*a=C_CLOSURE_TYPE|6,a[1]=(C_word)f_14238,a[2]=t5,a[3]=((C_word*)t0)[2],a[4]=t15,a[5]=t4,a[6]=((C_word)li408),tmp=(C_word)a,a+=7,tmp);
t17=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_14252,a[2]=t4,a[3]=((C_word*)t0)[2],a[4]=t10,a[5]=((C_word)li409),tmp=(C_word)a,a+=6,tmp);
/* library.scm:2135: ##sys#call-with-values */{
C_word *av2=av;
av2[0]=0;
av2[1]=t1;
av2[2]=t16;
av2[3]=t17;
C_call_with_values(4,av2);}}

/* a14237 in a14218 in exact-integer-sqrt in k8490 */
static void C_ccall f_14238(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(c!=2) C_bad_argc_2(c,2,t0);
if(C_unlikely(!C_demand(C_calculate_demand(18,c,3)))){
C_save_and_reclaim((void *)f_14238,2,av);}
a=C_alloc(18);
t2=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)C_u_integer_quotient_and_remainder,a[2]=((C_word)li407),tmp=(C_word)a,a+=3,tmp);
t3=C_s_a_i_arithmetic_shift(&a,2,((C_word*)t0)[2],((C_word*)t0)[3]);
t4=C_s_a_u_i_integer_plus(&a,2,t3,((C_word*)t0)[4]);
t5=C_s_a_i_arithmetic_shift(&a,2,((C_word*)t0)[5],C_fix(1));
/* library.scm:2135: g2583 */
t6=t2;{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t6;
av2[1]=t1;
av2[2]=t4;
av2[3]=t5;
((C_proc)C_fast_retrieve_proc(t6))(4,av2);}}

/* a14251 in a14218 in exact-integer-sqrt in k8490 */
static void C_ccall f_14252(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word t12;
C_word t13;
C_word t14;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(222,c,3)))){
C_save_and_reclaim((void *)f_14252,4,av);}
a=C_alloc(222);
t4=C_s_a_i_arithmetic_shift(&a,2,((C_word*)t0)[2],((C_word*)t0)[3]);
t5=C_s_a_i_plus(&a,2,t4,t2);
t6=C_s_a_i_arithmetic_shift(&a,2,t3,((C_word*)t0)[3]);
t7=C_s_a_i_times(&a,2,t2,t2);
t8=C_s_a_i_minus(&a,2,((C_word*)t0)[4],t7);
t9=C_s_a_i_plus(&a,2,t6,t8);
if(C_truep(C_i_negativep(t9))){
t10=C_s_a_i_minus(&a,2,t5,C_fix(1));
t11=C_s_a_i_arithmetic_shift(&a,2,t5,C_fix(1));
t12=C_s_a_i_plus(&a,2,t9,t11);
t13=C_s_a_i_minus(&a,2,t12,C_fix(1));
/* library.scm:2149: scheme#values */{
C_word *av2=av;
av2[0]=0;
av2[1]=t1;
av2[2]=t10;
av2[3]=t13;
C_values(4,av2);}}
else{
/* library.scm:2151: scheme#values */{
C_word *av2=av;
av2[0]=0;
av2[1]=t1;
av2[2]=t5;
av2[3]=t9;
C_values(4,av2);}}}

/* chicken.base#exact-integer-sqrt in k8490 */
static void C_ccall f_14299(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(4,c,3)))){
C_save_and_reclaim((void *)f_14299,3,av);}
a=C_alloc(4);
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_14303,a[2]=t1,a[3]=t2,tmp=(C_word)a,a+=4,tmp);
/* library.scm:2155: ##sys#check-exact-uinteger */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[358]+1));
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[358]+1);
av2[1]=t3;
av2[2]=t2;
av2[3]=lf[586];
tp(4,av2);}}

/* k14301 in chicken.base#exact-integer-sqrt in k8490 */
static void C_ccall f_14303(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_14303,2,av);}
/* library.scm:2156: ##sys#exact-integer-sqrt */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[583]+1));
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[583]+1);
av2[1]=((C_word*)t0)[2];
av2[2]=((C_word*)t0)[3];
tp(3,av2);}}

/* ##sys#sqrt/loc in k8490 */
static void C_ccall f_14308(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(32,c,4)))){
C_save_and_reclaim((void *)f_14308,4,av);}
a=C_alloc(32);
if(C_truep(C_i_cplxnump(t3))){
t4=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_14318,a[2]=t1,a[3]=t3,tmp=(C_word)a,a+=4,tmp);
t5=t3;
t6=C_u_i_cplxnum_imag(t5);
t7=C_a_i_exact_to_inexact(&a,1,t6);
t8=C_u_i_cplxnum_real(t5);
t9=C_a_i_exact_to_inexact(&a,1,t8);
t10=C_a_i_flonum_atan2(&a,2,t7,t9);
/* library.scm:2162: ##sys#/-2 */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[526]+1));
C_word *av2=av;
av2[0]=*((C_word*)lf[526]+1);
av2[1]=t4;
av2[2]=t10;
av2[3]=C_fix(2);
tp(4,av2);}}
else{
t4=t3;
if(C_truep(C_i_negativep(t4))){
t5=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_14354,a[2]=t1,tmp=(C_word)a,a+=3,tmp);
t6=t3;
t7=C_s_a_i_negate(&a,1,t6);
/* library.scm:2167: scheme#exact->inexact */
t8=*((C_word*)lf[62]+1);{
C_word *av2=av;
av2[0]=t8;
av2[1]=t5;
av2[2]=t7;
((C_proc)(void*)(*((C_word*)t8+1)))(3,av2);}}
else{
t5=t3;
if(C_truep(C_i_exact_integerp(t5))){
t6=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_14365,a[2]=t3,a[3]=((C_word)li413),tmp=(C_word)a,a+=4,tmp);
t7=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_14371,a[2]=t3,a[3]=((C_word)li414),tmp=(C_word)a,a+=4,tmp);
/* library.scm:2169: ##sys#call-with-values */{
C_word *av2=av;
av2[0]=0;
av2[1]=t1;
av2[2]=t6;
av2[3]=t7;
C_call_with_values(4,av2);}}
else{
if(C_truep(C_i_ratnump(t3))){
t6=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_14393,a[2]=t3,a[3]=((C_word)li415),tmp=(C_word)a,a+=4,tmp);
t7=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_14405,a[2]=t3,a[3]=t2,a[4]=((C_word)li418),tmp=(C_word)a,a+=5,tmp);
/* library.scm:2174: ##sys#call-with-values */{
C_word *av2=av;
av2[0]=0;
av2[1]=t1;
av2[2]=t6;
av2[3]=t7;
C_call_with_values(4,av2);}}
else{
t6=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_14457,a[2]=t1,tmp=(C_word)a,a+=3,tmp);
/* library.scm:2182: scheme#exact->inexact */
t7=*((C_word*)lf[62]+1);{
C_word *av2=av;
av2[0]=t7;
av2[1]=t6;
av2[2]=t3;
((C_proc)(void*)(*((C_word*)t7+1)))(3,av2);}}}}}}

/* k14316 in sqrt/loc in k8490 */
static void C_ccall f_14318(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,c,2)))){
C_save_and_reclaim((void *)f_14318,2,av);}
a=C_alloc(4);
t2=t1;
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_14322,a[2]=((C_word*)t0)[2],a[3]=t2,tmp=(C_word)a,a+=4,tmp);
/* library.scm:2163: scheme#magnitude */
t4=*((C_word*)lf[511]+1);{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t4;
av2[1]=t3;
av2[2]=((C_word*)t0)[3];
((C_proc)(void*)(*((C_word*)t4+1)))(3,av2);}}

/* k14320 in k14316 in sqrt/loc in k8490 */
static void C_ccall f_14322(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(10,c,2)))){
C_save_and_reclaim((void *)f_14322,2,av);}
a=C_alloc(10);
t2=C_a_i_sqrt(&a,1,t1);
t3=t2;
t4=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_14331,a[2]=t3,a[3]=t2,a[4]=((C_word*)t0)[2],a[5]=((C_word*)t0)[3],tmp=(C_word)a,a+=6,tmp);
/* library.scm:2164: scheme#cos */
t5=*((C_word*)lf[571]+1);{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t5;
av2[1]=t4;
av2[2]=((C_word*)t0)[3];
((C_proc)(void*)(*((C_word*)t5+1)))(3,av2);}}

/* k14329 in k14320 in k14316 in sqrt/loc in k8490 */
static void C_ccall f_14331(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(38,c,2)))){
C_save_and_reclaim((void *)f_14331,2,av);}
a=C_alloc(38);
t2=C_s_a_i_times(&a,2,((C_word*)t0)[2],t1);
t3=((C_word*)t0)[3];
t4=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_14337,a[2]=t3,a[3]=((C_word*)t0)[4],a[4]=t2,tmp=(C_word)a,a+=5,tmp);
/* library.scm:2164: scheme#sin */
t5=*((C_word*)lf[567]+1);{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t5;
av2[1]=t4;
av2[2]=((C_word*)t0)[5];
((C_proc)(void*)(*((C_word*)t5+1)))(3,av2);}}

/* k14335 in k14329 in k14320 in k14316 in sqrt/loc in k8490 */
static void C_ccall f_14337(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(33,c,3)))){
C_save_and_reclaim((void *)f_14337,2,av);}
a=C_alloc(33);
t2=C_s_a_i_times(&a,2,((C_word*)t0)[2],t1);
/* library.scm:2164: make-complex */
f_12573(((C_word*)t0)[3],((C_word*)t0)[4],t2);}

/* k14352 in sqrt/loc in k8490 */
static void C_ccall f_14354(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,c,3)))){
C_save_and_reclaim((void *)f_14354,2,av);}
a=C_alloc(4);
t2=C_a_i_sqrt(&a,1,t1);
/* library.scm:2166: make-complex */
f_12573(((C_word*)t0)[2],lf[500],t2);}

/* a14364 in sqrt/loc in k8490 */
static void C_ccall f_14365(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(c!=2) C_bad_argc_2(c,2,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_14365,2,av);}
/* library.scm:2169: ##sys#exact-integer-sqrt */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[583]+1));
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[583]+1);
av2[1]=t1;
av2[2]=((C_word*)t0)[2];
tp(3,av2);}}

/* a14370 in sqrt/loc in k8490 */
static void C_ccall f_14371(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(3,c,2)))){
C_save_and_reclaim((void *)f_14371,4,av);}
a=C_alloc(3);
t4=C_eqp(C_fix(0),t3);
if(C_truep(t4)){
t5=t1;{
C_word *av2=av;
av2[0]=t5;
av2[1]=t2;
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}
else{
t5=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_14382,a[2]=t1,tmp=(C_word)a,a+=3,tmp);
/* library.scm:2172: scheme#exact->inexact */
t6=*((C_word*)lf[62]+1);{
C_word *av2=av;
av2[0]=t6;
av2[1]=t5;
av2[2]=((C_word*)t0)[2];
((C_proc)(void*)(*((C_word*)t6+1)))(3,av2);}}}

/* k14380 in a14370 in sqrt/loc in k8490 */
static void C_ccall f_14382(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,c,1)))){
C_save_and_reclaim((void *)f_14382,2,av);}
a=C_alloc(4);
t2=C_a_i_sqrt(&a,1,t1);
t3=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t3;
av2[1]=t2;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* a14392 in sqrt/loc in k8490 */
static void C_ccall f_14393(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(c!=2) C_bad_argc_2(c,2,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_14393,2,av);}
t2=((C_word*)t0)[2];
t3=C_u_i_ratnum_num(t2);
/* library.scm:2174: ##sys#exact-integer-sqrt */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[583]+1));
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[583]+1);
av2[1]=t1;
av2[2]=t3;
tp(3,av2);}}

/* a14404 in sqrt/loc in k8490 */
static void C_ccall f_14405(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(10,c,4)))){
C_save_and_reclaim((void *)f_14405,4,av);}
a=C_alloc(10);
t4=C_eqp(t3,C_fix(0));
if(C_truep(t4)){
t5=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_14417,a[2]=((C_word*)t0)[2],a[3]=((C_word)li416),tmp=(C_word)a,a+=4,tmp);
t6=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_14429,a[2]=t2,a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[2],a[5]=((C_word)li417),tmp=(C_word)a,a+=6,tmp);
/* library.scm:2176: ##sys#call-with-values */{
C_word *av2=av;
av2[0]=0;
av2[1]=t1;
av2[2]=t5;
av2[3]=t6;
C_call_with_values(4,av2);}}
else{
t5=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_14453,a[2]=t1,a[3]=((C_word*)t0)[3],tmp=(C_word)a,a+=4,tmp);
/* library.scm:2181: scheme#exact->inexact */
t6=*((C_word*)lf[62]+1);{
C_word *av2=av;
av2[0]=t6;
av2[1]=t5;
av2[2]=((C_word*)t0)[2];
((C_proc)(void*)(*((C_word*)t6+1)))(3,av2);}}}

/* a14416 in a14404 in sqrt/loc in k8490 */
static void C_ccall f_14417(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(c!=2) C_bad_argc_2(c,2,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_14417,2,av);}
t2=((C_word*)t0)[2];
t3=C_u_i_ratnum_denom(t2);
/* library.scm:2177: ##sys#exact-integer-sqrt */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[583]+1));
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[583]+1);
av2[1]=t1;
av2[2]=t3;
tp(3,av2);}}

/* a14428 in a14404 in sqrt/loc in k8490 */
static void C_ccall f_14429(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(4,c,3)))){
C_save_and_reclaim((void *)f_14429,4,av);}
a=C_alloc(4);
t4=C_eqp(t3,C_fix(0));
if(C_truep(t4)){
/* library.scm:2179: ##sys#/-2 */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[526]+1));
C_word *av2=av;
av2[0]=*((C_word*)lf[526]+1);
av2[1]=t1;
av2[2]=((C_word*)t0)[2];
av2[3]=t2;
tp(4,av2);}}
else{
t5=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_14446,a[2]=t1,a[3]=((C_word*)t0)[3],tmp=(C_word)a,a+=4,tmp);
/* library.scm:2180: scheme#exact->inexact */
t6=*((C_word*)lf[62]+1);{
C_word *av2=av;
av2[0]=t6;
av2[1]=t5;
av2[2]=((C_word*)t0)[4];
((C_proc)(void*)(*((C_word*)t6+1)))(3,av2);}}}

/* k14444 in a14428 in a14404 in sqrt/loc in k8490 */
static void C_ccall f_14446(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_14446,2,av);}
/* library.scm:2180: ##sys#sqrt/loc */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[578]+1));
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[578]+1);
av2[1]=((C_word*)t0)[2];
av2[2]=((C_word*)t0)[3];
av2[3]=t1;
tp(4,av2);}}

/* k14451 in a14404 in sqrt/loc in k8490 */
static void C_ccall f_14453(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_14453,2,av);}
/* library.scm:2181: ##sys#sqrt/loc */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[578]+1));
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[578]+1);
av2[1]=((C_word*)t0)[2];
av2[2]=((C_word*)t0)[3];
av2[3]=t1;
tp(4,av2);}}

/* k14455 in sqrt/loc in k8490 */
static void C_ccall f_14457(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,c,1)))){
C_save_and_reclaim((void *)f_14457,2,av);}
a=C_alloc(4);
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=C_a_i_sqrt(&a,1,t1);
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* scheme#sqrt in k8490 */
static void C_ccall f_14459(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_14459,3,av);}
/* library.scm:2184: ##sys#sqrt/loc */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[578]+1));
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[578]+1);
av2[1]=t1;
av2[2]=lf[587];
av2[3]=t2;
tp(4,av2);}}

/* chicken.base#exact-integer-nth-root in k8490 */
static void C_ccall f_14465(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word t5;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(5,c,3)))){
C_save_and_reclaim((void *)f_14465,4,av);}
a=C_alloc(5);
t4=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_14469,a[2]=t1,a[3]=t2,a[4]=t3,tmp=(C_word)a,a+=5,tmp);
/* library.scm:2188: ##sys#check-exact-uinteger */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[358]+1));
C_word *av2=av;
av2[0]=*((C_word*)lf[358]+1);
av2[1]=t4;
av2[2]=t2;
av2[3]=lf[590];
tp(4,av2);}}

/* k14467 in chicken.base#exact-integer-nth-root in k8490 */
static void C_ccall f_14469(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,c,3)))){
C_save_and_reclaim((void *)f_14469,2,av);}
a=C_alloc(5);
t2=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_14472,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],tmp=(C_word)a,a+=5,tmp);
/* library.scm:2189: ##sys#check-exact-uinteger */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[358]+1));
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[358]+1);
av2[1]=t2;
av2[2]=((C_word*)t0)[4];
av2[3]=lf[590];
tp(4,av2);}}

/* k14470 in k14467 in chicken.base#exact-integer-nth-root in k8490 */
static void C_ccall f_14472(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,4)))){
C_save_and_reclaim((void *)f_14472,2,av);}
/* library.scm:2190: ##sys#exact-integer-nth-root/loc */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[589]+1));
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=*((C_word*)lf[589]+1);
av2[1]=((C_word*)t0)[2];
av2[2]=lf[590];
av2[3]=((C_word*)t0)[3];
av2[4]=((C_word*)t0)[4];
tp(5,av2);}}

/* ##sys#exact-integer-nth-root/loc in k8490 */
static void C_ccall f_14477(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4=av[4];
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word *a;
if(c!=5) C_bad_argc_2(c,5,t0);
if(C_unlikely(!C_demand(C_calculate_demand(5,c,2)))){
C_save_and_reclaim((void *)f_14477,5,av);}
a=C_alloc(5);
t5=C_eqp(C_fix(0),t3);
t6=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_14487,a[2]=t1,a[3]=t3,a[4]=t4,tmp=(C_word)a,a+=5,tmp);
if(C_truep(t5)){
t7=t6;
f_14487(t7,t5);}
else{
t7=C_eqp(C_fix(1),t3);
t8=t6;
f_14487(t8,(C_truep(t7)?t7:C_eqp(C_fix(1),t4)));}}

/* k14485 in exact-integer-nth-root/loc in k8490 */
static void C_fcall f_14487(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(29,0,3)))){
C_save_and_reclaim_args((void *)trf_14487,2,t0,t1);}
a=C_alloc(29);
if(C_truep(t1)){
/* library.scm:2196: scheme#values */{
C_word av2[4];
av2[0]=0;
av2[1]=((C_word*)t0)[2];
av2[2]=((C_word*)t0)[3];
av2[3]=C_fix(0);
C_values(4,av2);}}
else{
t2=((C_word*)t0)[3];
t3=C_i_integer_length(t2);
t4=((C_word*)t0)[4];
if(C_truep(C_i_lessp(t3,t4))){
t5=((C_word*)t0)[3];
t6=C_s_a_i_minus(&a,2,t5,C_fix(1));
/* library.scm:2199: scheme#values */{
C_word av2[4];
av2[0]=0;
av2[1]=((C_word*)t0)[2];
av2[2]=C_fix(1);
av2[3]=t6;
C_values(4,av2);}}
else{
t5=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_14505,a[2]=((C_word*)t0)[4],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[2],tmp=(C_word)a,a+=5,tmp);
t6=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_14560,a[2]=t5,tmp=(C_word)a,a+=3,tmp);
t7=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_14564,a[2]=t6,tmp=(C_word)a,a+=3,tmp);
t8=C_fixnum_plus(t3,C_fix(1));
t9=((C_word*)t0)[4];
/* ##sys#/-2 */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[526]+1));
C_word av2[4];
av2[0]=*((C_word*)lf[526]+1);
av2[1]=t7;
av2[2]=t8;
av2[3]=t9;
tp(4,av2);}}}}

/* k14503 in k14485 in exact-integer-nth-root/loc in k8490 */
static void C_ccall f_14505(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(76,c,3)))){
C_save_and_reclaim((void *)f_14505,2,av);}
a=C_alloc(76);
t2=C_s_a_i_arithmetic_shift(&a,2,C_fix(1),t1);
t3=((C_word*)t0)[2];
t4=C_s_a_i_minus(&a,2,t3,C_fix(1));
t5=C_s_a_i_times(&a,2,t4,t2);
t6=((C_word*)t0)[3];
t7=(*a=C_CLOSURE_TYPE|8,a[1]=(C_word)f_14523,a[2]=t6,a[3]=t5,a[4]=((C_word*)t0)[2],a[5]=t4,a[6]=((C_word*)t0)[3],a[7]=((C_word*)t0)[4],a[8]=t2,tmp=(C_word)a,a+=9,tmp);
/* library.scm:2207: ##sys#integer-power */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[528]+1));
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[528]+1);
av2[1]=t7;
av2[2]=t2;
av2[3]=t4;
tp(4,av2);}}

/* k14521 in k14503 in k14485 in exact-integer-nth-root/loc in k8490 */
static void C_ccall f_14523(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(48,c,4)))){
C_save_and_reclaim((void *)f_14523,2,av);}
a=C_alloc(48);
t2=C_s_a_i_quotient(&a,2,((C_word*)t0)[2],t1);
t3=C_s_a_i_plus(&a,2,((C_word*)t0)[3],t2);
t4=((C_word*)t0)[4];
t5=C_s_a_i_quotient(&a,2,t3,t4);
t6=C_SCHEME_UNDEFINED;
t7=(*a=C_VECTOR_TYPE|1,a[1]=t6,tmp=(C_word)a,a+=2,tmp);
t8=C_set_block_item(t7,0,(*a=C_CLOSURE_TYPE|6,a[1]=(C_word)f_14526,a[2]=((C_word*)t0)[5],a[3]=((C_word*)t0)[6],a[4]=((C_word*)t0)[4],a[5]=t7,a[6]=((C_word)li422),tmp=(C_word)a,a+=7,tmp));
t9=((C_word*)t7)[1];
f_14526(t9,((C_word*)t0)[7],((C_word*)t0)[8],t5);}

/* lp in k14521 in k14503 in k14485 in exact-integer-nth-root/loc in k8490 */
static void C_fcall f_14526(C_word t0,C_word t1,C_word t2,C_word t3){
C_word tmp;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(41,0,3)))){
C_save_and_reclaim_args((void *)trf_14526,4,t0,t1,t2,t3);}
a=C_alloc(41);
t4=t3;
t5=t2;
if(C_truep(C_i_lessp(t4,t5))){
t6=t3;
t7=C_s_a_i_times(&a,2,((C_word*)t0)[2],t6);
t8=((C_word*)t0)[3];
t9=(*a=C_CLOSURE_TYPE|7,a[1]=(C_word)f_14546,a[2]=t8,a[3]=t7,a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[5],a[6]=t1,a[7]=t3,tmp=(C_word)a,a+=8,tmp);
/* library.scm:2212: ##sys#integer-power */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[528]+1));
C_word av2[4];
av2[0]=*((C_word*)lf[528]+1);
av2[1]=t9;
av2[2]=t3;
av2[3]=((C_word*)t0)[2];
tp(4,av2);}}
else{
t6=((C_word*)t0)[3];
t7=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_14556,a[2]=t6,a[3]=t1,a[4]=t2,tmp=(C_word)a,a+=5,tmp);
/* library.scm:2214: ##sys#integer-power */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[528]+1));
C_word av2[4];
av2[0]=*((C_word*)lf[528]+1);
av2[1]=t7;
av2[2]=t2;
av2[3]=((C_word*)t0)[4];
tp(4,av2);}}}

/* k14544 in lp in k14521 in k14503 in k14485 in exact-integer-nth-root/loc in k8490 */
static void C_ccall f_14546(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(39,c,3)))){
C_save_and_reclaim((void *)f_14546,2,av);}
a=C_alloc(39);
t2=C_s_a_i_quotient(&a,2,((C_word*)t0)[2],t1);
t3=C_s_a_i_plus(&a,2,((C_word*)t0)[3],t2);
t4=((C_word*)t0)[4];
t5=C_s_a_i_quotient(&a,2,t3,t4);
/* library.scm:2210: lp */
t6=((C_word*)((C_word*)t0)[5])[1];
f_14526(t6,((C_word*)t0)[6],((C_word*)t0)[7],t5);}

/* k14554 in lp in k14521 in k14503 in k14485 in exact-integer-nth-root/loc in k8490 */
static void C_ccall f_14556(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(29,c,3)))){
C_save_and_reclaim((void *)f_14556,2,av);}
a=C_alloc(29);
t2=C_s_a_i_minus(&a,2,((C_word*)t0)[2],t1);
/* library.scm:2214: scheme#values */{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=0;
av2[1]=((C_word*)t0)[3];
av2[2]=((C_word*)t0)[4];
av2[3]=t2;
C_values(4,av2);}}

/* k14558 in k14485 in exact-integer-nth-root/loc in k8490 */
static void C_ccall f_14560(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_14560,2,av);}
/* library.scm:2201: scheme#inexact->exact */
t2=*((C_word*)lf[518]+1);{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[2];
av2[2]=t1;
((C_proc)(void*)(*((C_word*)t2+1)))(3,av2);}}

/* k14562 in k14485 in exact-integer-nth-root/loc in k8490 */
static void C_ccall f_14564(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_14564,2,av);}
/* library.scm:2201: scheme#ceiling */
t2=*((C_word*)lf[547]+1);{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[2];
av2[2]=t1;
((C_proc)(void*)(*((C_word*)t2+1)))(3,av2);}}

/* ##sys#integer-power in k8490 */
static void C_ccall f_14580(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(8,c,4)))){
C_save_and_reclaim((void *)f_14580,4,av);}
a=C_alloc(8);
t4=t3;
if(C_truep(C_i_negativep(t4))){
t5=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_14597,a[2]=t1,tmp=(C_word)a,a+=3,tmp);
t6=t3;
t7=C_s_a_u_i_integer_negate(&a,1,t6);
/* library.scm:2219: ##sys#integer-power */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[528]+1));
C_word *av2=av;
av2[0]=*((C_word*)lf[528]+1);
av2[1]=t5;
av2[2]=t2;
av2[3]=t7;
tp(4,av2);}}
else{
t5=C_SCHEME_UNDEFINED;
t6=(*a=C_VECTOR_TYPE|1,a[1]=t5,tmp=(C_word)a,a+=2,tmp);
t7=C_set_block_item(t6,0,(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_14608,a[2]=t6,a[3]=t2,a[4]=((C_word)li424),tmp=(C_word)a,a+=5,tmp));
t8=((C_word*)t6)[1];
f_14608(t8,t1,C_fix(1),t3);}}

/* k14595 in integer-power in k8490 */
static void C_ccall f_14597(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_14597,2,av);}
/* library.scm:2219: ##sys#/-2 */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[526]+1));
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[526]+1);
av2[1]=((C_word*)t0)[2];
av2[2]=C_fix(1);
av2[3]=t1;
tp(4,av2);}}

/* lp in integer-power in k8490 */
static void C_fcall f_14608(C_word t0,C_word t1,C_word t2,C_word t3){
C_word tmp;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word t12;
C_word t13;
C_word t14;
C_word *a;
loop:
if(C_unlikely(!C_demand(C_calculate_demand(62,0,3)))){
C_save_and_reclaim_args((void *)trf_14608,4,t0,t1,t2,t3);}
a=C_alloc(62);
t4=C_eqp(t3,C_fix(0));
if(C_truep(t4)){
t5=t2;
t6=t1;{
C_word av2[2];
av2[0]=t6;
av2[1]=t5;
((C_proc)(void*)(*((C_word*)t6+1)))(2,av2);}}
else{
t5=t3;
if(C_truep(C_i_evenp(t5))){
t6=t2;
t7=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_14628,a[2]=t1,a[3]=t6,tmp=(C_word)a,a+=4,tmp);
t8=t3;
t9=C_s_a_i_arithmetic_shift(&a,2,t8,C_fix(-1));
/* library.scm:2224: lp */
t12=t7;
t13=C_fix(1);
t14=t9;
t1=t12;
t2=t13;
t3=t14;
goto loop;}
else{
t6=t2;
t7=((C_word*)t0)[3];
t8=C_s_a_i_times(&a,2,t6,t7);
t9=t3;
t10=C_s_a_i_minus(&a,2,t9,C_fix(1));
/* library.scm:2226: lp */
t12=t1;
t13=t8;
t14=t10;
t1=t12;
t2=t13;
t3=t14;
goto loop;}}}

/* k14626 in lp in integer-power in k8490 */
static void C_ccall f_14628(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(66,c,1)))){
C_save_and_reclaim((void *)f_14628,2,av);}
a=C_alloc(66);
t2=C_s_a_i_times(&a,2,t1,t1);
t3=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_s_a_i_times(&a,2,((C_word*)t0)[3],t2);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* scheme#expt in k8490 */
static void C_ccall f_14642(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word t12;
C_word t13;
C_word t14;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(17,c,4)))){
C_save_and_reclaim((void *)f_14642,4,av);}
a=C_alloc(17);
t4=C_SCHEME_UNDEFINED;
t5=(*a=C_VECTOR_TYPE|1,a[1]=t4,tmp=(C_word)a,a+=2,tmp);
t6=C_SCHEME_UNDEFINED;
t7=(*a=C_VECTOR_TYPE|1,a[1]=t6,tmp=(C_word)a,a+=2,tmp);
t8=C_set_block_item(t5,0,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_14645,a[2]=((C_word)li426),tmp=(C_word)a,a+=3,tmp));
t9=C_set_block_item(t7,0,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_14657,a[2]=((C_word)li427),tmp=(C_word)a,a+=3,tmp));
t10=C_i_numberp(t2);
if(C_truep(C_i_not(t10))){
/* library.scm:2238: ##sys#error-bad-number */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[370]+1));
C_word *av2=av;
av2[0]=*((C_word*)lf[370]+1);
av2[1]=t1;
av2[2]=t2;
av2[3]=lf[591];
tp(4,av2);}}
else{
t11=C_i_numberp(t3);
if(C_truep(C_i_not(t11))){
/* library.scm:2239: ##sys#error-bad-number */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[370]+1));
C_word *av2=av;
av2[0]=*((C_word*)lf[370]+1);
av2[1]=t1;
av2[2]=t3;
av2[3]=lf[591];
tp(4,av2);}}
else{
t12=(*a=C_CLOSURE_TYPE|6,a[1]=(C_word)f_14700,a[2]=t1,a[3]=t2,a[4]=t3,a[5]=t5,a[6]=t7,tmp=(C_word)a,a+=7,tmp);
if(C_truep(C_i_ratnump(t2))){
t13=C_i_inexactp(t3);
t14=t12;
f_14700(t14,C_i_not(t13));}
else{
t13=t12;
f_14700(t13,C_SCHEME_FALSE);}}}}

/* log-expt in scheme#expt in k8490 */
static void C_fcall f_14645(C_word t1,C_word t2,C_word t3){
C_word tmp;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,0,2)))){
C_save_and_reclaim_args((void *)trf_14645,3,t1,t2,t3);}
a=C_alloc(4);
t4=t3;
t5=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_14655,a[2]=t4,a[3]=t1,tmp=(C_word)a,a+=4,tmp);
/* library.scm:2231: ##sys#log-1 */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[562]+1));
C_word av2[3];
av2[0]=*((C_word*)lf[562]+1);
av2[1]=t5;
av2[2]=t2;
tp(3,av2);}}

/* k14653 in log-expt in scheme#expt in k8490 */
static void C_ccall f_14655(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(33,c,2)))){
C_save_and_reclaim((void *)f_14655,2,av);}
a=C_alloc(33);
t2=C_s_a_i_times(&a,2,((C_word*)t0)[2],t1);
/* library.scm:2231: scheme#exp */
t3=*((C_word*)lf[560]+1);{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t3;
av2[1]=((C_word*)t0)[3];
av2[2]=t2;
((C_proc)(void*)(*((C_word*)t3+1)))(3,av2);}}

/* slow-expt in scheme#expt in k8490 */
static void C_fcall f_14657(C_word t1,C_word t2,C_word t3){
C_word tmp;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,0,6)))){
C_save_and_reclaim_args((void *)trf_14657,3,t1,t2,t3);}
a=C_alloc(4);
t4=C_eqp(C_fix(0),t2);
if(C_truep(t4)){
/* library.scm:2234: ##sys#signal-hook */
t5=C_fast_retrieve(lf[194]);{
C_word av2[7];
av2[0]=t5;
av2[1]=t1;
av2[2]=lf[563];
av2[3]=lf[591];
av2[4]=lf[592];
av2[5]=t2;
av2[6]=t3;
((C_proc)(void*)(*((C_word*)t5+1)))(7,av2);}}
else{
t5=t3;
t6=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_14676,a[2]=t5,a[3]=t1,tmp=(C_word)a,a+=4,tmp);
/* library.scm:2237: ##sys#log-1 */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[562]+1));
C_word av2[3];
av2[0]=*((C_word*)lf[562]+1);
av2[1]=t6;
av2[2]=t2;
tp(3,av2);}}}

/* k14674 in slow-expt in scheme#expt in k8490 */
static void C_ccall f_14676(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(33,c,2)))){
C_save_and_reclaim((void *)f_14676,2,av);}
a=C_alloc(33);
t2=C_s_a_i_times(&a,2,((C_word*)t0)[2],t1);
/* library.scm:2237: scheme#exp */
t3=*((C_word*)lf[560]+1);{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t3;
av2[1]=((C_word*)t0)[3];
av2[2]=t2;
((C_proc)(void*)(*((C_word*)t3+1)))(3,av2);}}

/* k14698 in scheme#expt in k8490 */
static void C_fcall f_14700(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(11,0,4)))){
C_save_and_reclaim_args((void *)trf_14700,2,t0,t1);}
a=C_alloc(11);
if(C_truep(t1)){
t2=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_14704,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],tmp=(C_word)a,a+=5,tmp);
t3=((C_word*)t0)[3];
t4=C_u_i_ratnum_num(t3);
/* library.scm:2243: scheme#expt */
t5=*((C_word*)lf[531]+1);{
C_word av2[4];
av2[0]=t5;
av2[1]=t2;
av2[2]=t4;
av2[3]=((C_word*)t0)[4];
((C_proc)(void*)(*((C_word*)t5+1)))(4,av2);}}
else{
if(C_truep(C_i_ratnump(((C_word*)t0)[4]))){
t2=((C_word*)t0)[3];
if(C_truep(C_i_exact_integerp(t2))){
t3=((C_word*)t0)[3];
if(C_truep(C_i_negativep(t3))){
t4=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_14743,a[2]=((C_word*)t0)[4],a[3]=((C_word*)t0)[5],a[4]=((C_word*)t0)[2],tmp=(C_word)a,a+=5,tmp);
/* library.scm:2250: scheme#exact->inexact */
t5=*((C_word*)lf[62]+1);{
C_word av2[3];
av2[0]=t5;
av2[1]=t4;
av2[2]=((C_word*)t0)[3];
((C_proc)(void*)(*((C_word*)t5+1)))(3,av2);}}
else{
t4=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_14750,a[2]=((C_word*)t0)[4],a[3]=((C_word*)t0)[3],a[4]=((C_word)li428),tmp=(C_word)a,a+=5,tmp);
t5=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_14762,a[2]=((C_word*)t0)[4],a[3]=((C_word*)t0)[3],a[4]=((C_word)li429),tmp=(C_word)a,a+=5,tmp);
/* library.scm:2251: ##sys#call-with-values */{
C_word av2[4];
av2[0]=0;
av2[1]=((C_word*)t0)[2];
av2[2]=t4;
av2[3]=t5;
C_call_with_values(4,av2);}}}
else{
if(C_truep(C_i_flonump(((C_word*)t0)[3]))){
t3=((C_word*)t0)[4];
t4=C_a_i_exact_to_inexact(&a,1,t3);
/* library.scm:2260: log-expt */
f_14645(((C_word*)t0)[2],((C_word*)t0)[3],t4);}
else{
/* library.scm:2261: slow-expt */
f_14657(((C_word*)t0)[2],((C_word*)t0)[3],((C_word*)t0)[4]);}}}
else{
t2=C_i_cplxnump(((C_word*)t0)[4]);
t3=(*a=C_CLOSURE_TYPE|6,a[1]=(C_word)f_14806,a[2]=((C_word*)t0)[6],a[3]=((C_word*)t0)[2],a[4]=((C_word*)t0)[3],a[5]=((C_word*)t0)[4],a[6]=((C_word*)t0)[5],tmp=(C_word)a,a+=7,tmp);
if(C_truep(t2)){
t4=t3;
f_14806(t4,t2);}
else{
if(C_truep(C_i_cplxnump(((C_word*)t0)[3]))){
t4=((C_word*)t0)[4];
t5=C_i_integerp(t4);
t6=t3;
f_14806(t6,C_i_not(t5));}
else{
t4=t3;
f_14806(t4,C_SCHEME_FALSE);}}}}}

/* k14702 in k14698 in scheme#expt in k8490 */
static void C_ccall f_14704(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(33,c,3)))){
C_save_and_reclaim((void *)f_14704,2,av);}
a=C_alloc(33);
t2=t1;
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_14708,a[2]=t2,a[3]=((C_word*)t0)[2],tmp=(C_word)a,a+=4,tmp);
t4=((C_word*)t0)[3];
t5=C_u_i_ratnum_denom(t4);
t6=((C_word*)t0)[4];
t7=C_s_a_i_negate(&a,1,t6);
/* library.scm:2244: scheme#expt */
t8=*((C_word*)lf[531]+1);{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t8;
av2[1]=t3;
av2[2]=t5;
av2[3]=t7;
((C_proc)(void*)(*((C_word*)t8+1)))(4,av2);}}

/* k14706 in k14702 in k14698 in scheme#expt in k8490 */
static void C_ccall f_14708(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(33,c,1)))){
C_save_and_reclaim((void *)f_14708,2,av);}
a=C_alloc(33);
t2=C_s_a_i_times(&a,2,((C_word*)t0)[2],t1);
t3=((C_word*)t0)[3];{
C_word *av2=av;
av2[0]=t3;
av2[1]=t2;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* k14741 in k14698 in scheme#expt in k8490 */
static void C_ccall f_14743(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(11,c,3)))){
C_save_and_reclaim((void *)f_14743,2,av);}
a=C_alloc(11);
t2=((C_word*)t0)[2];
t3=C_a_i_exact_to_inexact(&a,1,t2);
/* library.scm:2250: log-expt */
f_14645(((C_word*)t0)[4],t1,t3);}

/* a14749 in k14698 in scheme#expt in k8490 */
static void C_ccall f_14750(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(c!=2) C_bad_argc_2(c,2,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,4)))){
C_save_and_reclaim((void *)f_14750,2,av);}
t2=((C_word*)t0)[2];
t3=C_u_i_ratnum_denom(t2);
/* library.scm:2252: ##sys#exact-integer-nth-root/loc */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[589]+1));
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=*((C_word*)lf[589]+1);
av2[1]=t1;
av2[2]=lf[591];
av2[3]=((C_word*)t0)[3];
av2[4]=t3;
tp(5,av2);}}

/* a14761 in k14698 in scheme#expt in k8490 */
static void C_ccall f_14762(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(4,c,3)))){
C_save_and_reclaim((void *)f_14762,4,av);}
a=C_alloc(4);
t4=C_eqp(t3,C_fix(0));
if(C_truep(t4)){
t5=((C_word*)t0)[2];
t6=C_u_i_ratnum_num(t5);
/* library.scm:2255: ##sys#integer-power */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[528]+1));
C_word *av2=av;
av2[0]=*((C_word*)lf[528]+1);
av2[1]=t1;
av2[2]=t2;
av2[3]=t6;
tp(4,av2);}}
else{
t5=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_14782,a[2]=t1,a[3]=((C_word*)t0)[2],tmp=(C_word)a,a+=4,tmp);
/* library.scm:2257: scheme#exact->inexact */
t6=*((C_word*)lf[62]+1);{
C_word *av2=av;
av2[0]=t6;
av2[1]=t5;
av2[2]=((C_word*)t0)[3];
((C_proc)(void*)(*((C_word*)t6+1)))(3,av2);}}}

/* k14780 in a14761 in k14698 in scheme#expt in k8490 */
static void C_ccall f_14782(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,c,2)))){
C_save_and_reclaim((void *)f_14782,2,av);}
a=C_alloc(4);
t2=t1;
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_14786,a[2]=t2,a[3]=((C_word*)t0)[2],tmp=(C_word)a,a+=4,tmp);
/* library.scm:2258: scheme#exact->inexact */
t4=*((C_word*)lf[62]+1);{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t4;
av2[1]=t3;
av2[2]=((C_word*)t0)[3];
((C_proc)(void*)(*((C_word*)t4+1)))(3,av2);}}

/* k14784 in k14780 in a14761 in k14698 in scheme#expt in k8490 */
static void C_ccall f_14786(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,c,1)))){
C_save_and_reclaim((void *)f_14786,2,av);}
a=C_alloc(4);
t2=C_a_i_flonum_expt(&a,2,((C_word*)t0)[2],t1);
t3=((C_word*)t0)[3];{
C_word *av2=av;
av2[0]=t3;
av2[1]=t2;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* k14804 in k14698 in scheme#expt in k8490 */
static void C_fcall f_14806(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,0,3)))){
C_save_and_reclaim_args((void *)trf_14806,2,t0,t1);}
a=C_alloc(6);
if(C_truep(t1)){
/* library.scm:2263: slow-expt */
f_14657(((C_word*)t0)[3],((C_word*)t0)[4],((C_word*)t0)[5]);}
else{
t2=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_14815,a[2]=((C_word*)t0)[4],a[3]=((C_word*)t0)[6],a[4]=((C_word*)t0)[3],a[5]=((C_word*)t0)[5],tmp=(C_word)a,a+=6,tmp);
if(C_truep(C_i_flonump(((C_word*)t0)[5]))){
t3=C_u_i_fpintegerp(((C_word*)t0)[5]);
t4=t2;
f_14815(t4,C_i_not(t3));}
else{
t3=t2;
f_14815(t3,C_SCHEME_FALSE);}}}

/* k14813 in k14804 in k14698 in scheme#expt in k8490 */
static void C_fcall f_14815(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(7,0,3)))){
C_save_and_reclaim_args((void *)trf_14815,2,t0,t1);}
a=C_alloc(7);
if(C_truep(t1)){
t2=((C_word*)t0)[2];
if(C_truep(C_i_negativep(t2))){
t3=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_14826,a[2]=((C_word*)t0)[3],a[3]=((C_word*)t0)[4],a[4]=((C_word*)t0)[5],tmp=(C_word)a,a+=5,tmp);
/* library.scm:2267: scheme#exact->inexact */
t4=*((C_word*)lf[62]+1);{
C_word av2[3];
av2[0]=t4;
av2[1]=t3;
av2[2]=((C_word*)t0)[2];
((C_proc)(void*)(*((C_word*)t4+1)))(3,av2);}}
else{
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_14834,a[2]=((C_word*)t0)[5],a[3]=((C_word*)t0)[4],tmp=(C_word)a,a+=4,tmp);
/* library.scm:2269: scheme#exact->inexact */
t4=*((C_word*)lf[62]+1);{
C_word av2[3];
av2[0]=t4;
av2[1]=t3;
av2[2]=((C_word*)t0)[2];
((C_proc)(void*)(*((C_word*)t4+1)))(3,av2);}}}
else{
if(C_truep(C_i_flonump(((C_word*)t0)[2]))){
t2=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_14841,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[4],tmp=(C_word)a,a+=4,tmp);
/* library.scm:2271: scheme#exact->inexact */
t3=*((C_word*)lf[62]+1);{
C_word av2[3];
av2[0]=t3;
av2[1]=t2;
av2[2]=((C_word*)t0)[5];
((C_proc)(void*)(*((C_word*)t3+1)))(3,av2);}}
else{
t2=C_i_inexactp(((C_word*)t0)[2]);
t3=(C_truep(t2)?t2:C_i_inexactp(((C_word*)t0)[5]));
if(C_truep(t3)){
t4=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_14857,a[2]=((C_word*)t0)[4],tmp=(C_word)a,a+=3,tmp);
t5=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_14861,a[2]=t4,a[3]=((C_word*)t0)[2],tmp=(C_word)a,a+=4,tmp);
/* library.scm:2275: scheme#inexact->exact */
t6=*((C_word*)lf[518]+1);{
C_word av2[3];
av2[0]=t6;
av2[1]=t5;
av2[2]=((C_word*)t0)[5];
((C_proc)(void*)(*((C_word*)t6+1)))(3,av2);}}
else{
/* library.scm:2276: ##sys#integer-power */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[528]+1));
C_word av2[4];
av2[0]=*((C_word*)lf[528]+1);
av2[1]=((C_word*)t0)[4];
av2[2]=((C_word*)t0)[2];
av2[3]=((C_word*)t0)[5];
tp(4,av2);}}}}}

/* k14824 in k14813 in k14804 in k14698 in scheme#expt in k8490 */
static void C_ccall f_14826(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,c,2)))){
C_save_and_reclaim((void *)f_14826,2,av);}
a=C_alloc(5);
t2=t1;
t3=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_14830,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=t2,tmp=(C_word)a,a+=5,tmp);
/* library.scm:2267: scheme#exact->inexact */
t4=*((C_word*)lf[62]+1);{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t4;
av2[1]=t3;
av2[2]=((C_word*)t0)[4];
((C_proc)(void*)(*((C_word*)t4+1)))(3,av2);}}

/* k14828 in k14824 in k14813 in k14804 in k14698 in scheme#expt in k8490 */
static void C_ccall f_14830(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_14830,2,av);}
/* library.scm:2267: log-expt */
f_14645(((C_word*)t0)[3],((C_word*)t0)[4],t1);}

/* k14832 in k14813 in k14804 in k14698 in scheme#expt in k8490 */
static void C_ccall f_14834(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,c,1)))){
C_save_and_reclaim((void *)f_14834,2,av);}
a=C_alloc(4);
t2=C_a_i_flonum_expt(&a,2,t1,((C_word*)t0)[2]);
t3=((C_word*)t0)[3];{
C_word *av2=av;
av2[0]=t3;
av2[1]=t2;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* k14839 in k14813 in k14804 in k14698 in scheme#expt in k8490 */
static void C_ccall f_14841(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,c,1)))){
C_save_and_reclaim((void *)f_14841,2,av);}
a=C_alloc(4);
t2=C_a_i_flonum_expt(&a,2,((C_word*)t0)[2],t1);
t3=((C_word*)t0)[3];{
C_word *av2=av;
av2[0]=t3;
av2[1]=t2;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* k14855 in k14813 in k14804 in k14698 in scheme#expt in k8490 */
static void C_ccall f_14857(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_14857,2,av);}
/* library.scm:2275: scheme#exact->inexact */
t2=*((C_word*)lf[62]+1);{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[2];
av2[2]=t1;
((C_proc)(void*)(*((C_word*)t2+1)))(3,av2);}}

/* k14859 in k14813 in k14804 in k14698 in scheme#expt in k8490 */
static void C_ccall f_14861(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_14861,2,av);}
/* library.scm:2275: ##sys#integer-power */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[528]+1));
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[528]+1);
av2[1]=((C_word*)t0)[2];
av2[2]=((C_word*)t0)[3];
av2[3]=t1;
tp(4,av2);}}

/* ##sys#internal-gcd in k8490 */
static void C_fcall f_14902(C_word t1,C_word t2,C_word t3,C_word t4){
C_word tmp;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,0,3)))){
C_save_and_reclaim_args((void *)trf_14902,4,t1,t2,t3,t4);}
a=C_alloc(5);
t5=t3;
if(C_truep(C_i_exact_integerp(t5))){
t6=t4;
if(C_truep(C_i_exact_integerp(t6))){
t7=t1;
t8=t3;
t9=t4;
t10=t7;{
C_word av2[2];
av2[0]=t10;
av2[1]=C_s_a_u_i_integer_gcd(&a,2,t8,t9);
((C_proc)(void*)(*((C_word*)t10+1)))(2,av2);}}
else{
t7=(C_truep(C_i_flonump(t4))?C_u_i_fpintegerp(t4):C_SCHEME_FALSE);
if(C_truep(t7)){
t8=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_14935,a[2]=t3,a[3]=t1,tmp=(C_word)a,a+=4,tmp);
/* library.scm:2284: scheme#inexact->exact */
t9=*((C_word*)lf[518]+1);{
C_word av2[3];
av2[0]=t9;
av2[1]=t8;
av2[2]=t4;
((C_proc)(void*)(*((C_word*)t9+1)))(3,av2);}}
else{
/* library.scm:2285: ##sys#error-bad-integer */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[355]+1));
C_word av2[4];
av2[0]=*((C_word*)lf[355]+1);
av2[1]=t1;
av2[2]=t4;
av2[3]=t2;
tp(4,av2);}}}}
else{
t6=(C_truep(C_i_flonump(t3))?C_u_i_fpintegerp(t3):C_SCHEME_FALSE);
if(C_truep(t6)){
if(C_truep(C_i_flonump(t4))){
t7=C_a_i_flonum_gcd(&a,2,t3,t4);
t8=t1;{
C_word av2[2];
av2[0]=t8;
av2[1]=t7;
((C_proc)(void*)(*((C_word*)t8+1)))(2,av2);}}
else{
t7=t4;
if(C_truep(C_i_exact_integerp(t7))){
t8=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_14964,a[2]=t4,a[3]=t1,tmp=(C_word)a,a+=4,tmp);
/* library.scm:2291: scheme#inexact->exact */
t9=*((C_word*)lf[518]+1);{
C_word av2[3];
av2[0]=t9;
av2[1]=t8;
av2[2]=t3;
((C_proc)(void*)(*((C_word*)t9+1)))(3,av2);}}
else{
/* library.scm:2292: ##sys#error-bad-integer */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[355]+1));
C_word av2[4];
av2[0]=*((C_word*)lf[355]+1);
av2[1]=t1;
av2[2]=t4;
av2[3]=t2;
tp(4,av2);}}}}
else{
/* library.scm:2293: ##sys#error-bad-integer */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[355]+1));
C_word av2[4];
av2[0]=*((C_word*)lf[355]+1);
av2[1]=t1;
av2[2]=t3;
av2[3]=t2;
tp(4,av2);}}}}

/* k14933 in internal-gcd in k8490 */
static void C_ccall f_14935(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,c,2)))){
C_save_and_reclaim((void *)f_14935,2,av);}
a=C_alloc(5);
t2=((C_word*)t0)[2];
t3=C_s_a_u_i_integer_gcd(&a,2,t2,t1);
/* library.scm:2284: scheme#exact->inexact */
t4=*((C_word*)lf[62]+1);{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t4;
av2[1]=((C_word*)t0)[3];
av2[2]=t3;
((C_proc)(void*)(*((C_word*)t4+1)))(3,av2);}}

/* k14962 in internal-gcd in k8490 */
static void C_ccall f_14964(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,c,2)))){
C_save_and_reclaim((void *)f_14964,2,av);}
a=C_alloc(5);
t2=((C_word*)t0)[2];
t3=C_s_a_u_i_integer_gcd(&a,2,t1,t2);
/* library.scm:2291: scheme#exact->inexact */
t4=*((C_word*)lf[62]+1);{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t4;
av2[1]=((C_word*)t0)[3];
av2[2]=t3;
((C_proc)(void*)(*((C_word*)t4+1)))(3,av2);}}

/* ##sys#gcd in k8490 */
static void C_ccall f_14972(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,4)))){
C_save_and_reclaim((void *)f_14972,4,av);}
/* library.scm:2295: ##sys#internal-gcd */
f_14902(t1,lf[594],t2,t3);}

/* scheme#gcd in k8490 */
static void C_ccall f_14978(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand((c-2)*C_SIZEOF_PAIR +6,c,4)))){
C_save_and_reclaim((void*)f_14978,c,av);}
a=C_alloc((c-2)*C_SIZEOF_PAIR+6);
t2=C_build_rest(&a,c,2,av);
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
t3=C_eqp(t2,C_SCHEME_END_OF_LIST);
if(C_truep(t3)){
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_fix(0);
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}
else{
t4=C_slot(t2,C_fix(0));
t5=C_slot(t2,C_fix(1));
t6=C_SCHEME_UNDEFINED;
t7=(*a=C_VECTOR_TYPE|1,a[1]=t6,tmp=(C_word)a,a+=2,tmp);
t8=C_set_block_item(t7,0,(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_14998,a[2]=t7,a[3]=((C_word)li433),tmp=(C_word)a,a+=4,tmp));
t9=((C_word*)t7)[1];
f_14998(t9,t1,t4,t5);}}

/* loop in scheme#gcd in k8490 */
static void C_fcall f_14998(C_word t0,C_word t1,C_word t2,C_word t3){
C_word tmp;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(7,0,4)))){
C_save_and_reclaim_args((void *)trf_14998,4,t0,t1,t2,t3);}
a=C_alloc(7);
if(C_truep(C_i_nullp(t3))){
t4=t2;
if(C_truep(C_i_integerp(t4))){
t5=t2;
t6=t1;{
C_word av2[2];
av2[0]=t6;
av2[1]=C_s_a_i_abs(&a,1,t5);
((C_proc)(void*)(*((C_word*)t6+1)))(2,av2);}}
else{
/* library.scm:2304: ##sys#error-bad-integer */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[355]+1));
C_word av2[4];
av2[0]=*((C_word*)lf[355]+1);
av2[1]=t1;
av2[2]=t2;
av2[3]=lf[594];
tp(4,av2);}}}
else{
t4=C_slot(t3,C_fix(0));
t5=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_15023,a[2]=t3,a[3]=((C_word*)t0)[2],a[4]=t1,tmp=(C_word)a,a+=5,tmp);
/* library.scm:2306: ##sys#internal-gcd */
f_14902(t5,lf[594],t2,t4);}}

/* k15021 in loop in scheme#gcd in k8490 */
static void C_ccall f_15023(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_15023,2,av);}
t2=C_slot(((C_word*)t0)[2],C_fix(1));
/* library.scm:2306: loop */
t3=((C_word*)((C_word*)t0)[3])[1];
f_14998(t3,((C_word*)t0)[4],t1,t2);}

/* ##sys#lcm in k8490 */
static void C_ccall f_15029(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word t5;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(5,c,4)))){
C_save_and_reclaim((void *)f_15029,4,av);}
a=C_alloc(5);
t4=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_15033,a[2]=t2,a[3]=t3,a[4]=t1,tmp=(C_word)a,a+=5,tmp);
/* library.scm:2310: ##sys#internal-gcd */
f_14902(t4,lf[597],t2,t3);}

/* k15031 in lcm in k8490 */
static void C_ccall f_15033(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(45,c,1)))){
C_save_and_reclaim((void *)f_15033,2,av);}
a=C_alloc(45);
t2=((C_word*)t0)[2];
t3=((C_word*)t0)[3];
t4=C_s_a_i_times(&a,2,t2,t3);
t5=C_s_a_i_quotient(&a,2,t4,t1);
t6=((C_word*)t0)[4];{
C_word *av2=av;
av2[0]=t6;
av2[1]=C_s_a_i_abs(&a,1,t5);
((C_proc)(void*)(*((C_word*)t6+1)))(2,av2);}}

/* scheme#lcm in k8490 */
static void C_ccall f_15040(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand((c-2)*C_SIZEOF_PAIR +6,c,4)))){
C_save_and_reclaim((void*)f_15040,c,av);}
a=C_alloc((c-2)*C_SIZEOF_PAIR+6);
t2=C_build_rest(&a,c,2,av);
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
if(C_truep(C_i_nullp(t2))){
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_fix(1);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}
else{
t3=C_slot(t2,C_fix(0));
t4=C_slot(t2,C_fix(1));
t5=C_SCHEME_UNDEFINED;
t6=(*a=C_VECTOR_TYPE|1,a[1]=t5,tmp=(C_word)a,a+=2,tmp);
t7=C_set_block_item(t6,0,(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_15060,a[2]=t6,a[3]=((C_word)li436),tmp=(C_word)a,a+=4,tmp));
t8=((C_word*)t6)[1];
f_15060(t8,t1,t3,t4);}}

/* loop in scheme#lcm in k8490 */
static void C_fcall f_15060(C_word t0,C_word t1,C_word t2,C_word t3){
C_word tmp;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(7,0,4)))){
C_save_and_reclaim_args((void *)trf_15060,4,t0,t1,t2,t3);}
a=C_alloc(7);
if(C_truep(C_i_nullp(t3))){
t4=t2;
if(C_truep(C_i_integerp(t4))){
t5=t2;
t6=t1;{
C_word av2[2];
av2[0]=t6;
av2[1]=C_s_a_i_abs(&a,1,t5);
((C_proc)(void*)(*((C_word*)t6+1)))(2,av2);}}
else{
/* library.scm:2320: ##sys#error-bad-integer */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[355]+1));
C_word av2[4];
av2[0]=*((C_word*)lf[355]+1);
av2[1]=t1;
av2[2]=t2;
av2[3]=lf[597];
tp(4,av2);}}}
else{
t4=C_slot(t3,C_fix(0));
t5=t4;
t6=(*a=C_CLOSURE_TYPE|6,a[1]=(C_word)f_15081,a[2]=t2,a[3]=t5,a[4]=t3,a[5]=((C_word*)t0)[2],a[6]=t1,tmp=(C_word)a,a+=7,tmp);
/* library.scm:2322: ##sys#internal-gcd */
f_14902(t6,lf[597],t2,t5);}}

/* k15079 in loop in scheme#lcm in k8490 */
static void C_ccall f_15081(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(38,c,3)))){
C_save_and_reclaim((void *)f_15081,2,av);}
a=C_alloc(38);
t2=((C_word*)t0)[2];
t3=C_s_a_i_times(&a,2,t2,((C_word*)t0)[3]);
t4=C_s_a_i_quotient(&a,2,t3,t1);
t5=C_slot(((C_word*)t0)[4],C_fix(1));
/* library.scm:2323: loop */
t6=((C_word*)((C_word*)t0)[5])[1];
f_15060(t6,((C_word*)t0)[6],t4,t5);}

/* ##sys#integer->string/recursive in k8490 */
static void C_ccall f_15095(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4=av[4];
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word *a;
if(c!=5) C_bad_argc_2(c,5,t0);
if(C_unlikely(!C_demand(C_calculate_demand(6,c,3)))){
C_save_and_reclaim((void *)f_15095,5,av);}
a=C_alloc(6);
t5=C_fixnum_plus(t4,C_fix(1));
t6=C_fixnum_shift_right(t5,C_fix(1));
t7=t6;
t8=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_15102,a[2]=t2,a[3]=t7,a[4]=t3,a[5]=t1,tmp=(C_word)a,a+=6,tmp);
/* library.scm:2330: ##sys#integer-power */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[528]+1));
C_word *av2=av;
av2[0]=*((C_word*)lf[528]+1);
av2[1]=t8;
av2[2]=t3;
av2[3]=t7;
tp(4,av2);}}

/* k15100 in integer->string/recursive in k8490 */
static void C_ccall f_15102(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(10,c,4)))){
C_save_and_reclaim((void *)f_15102,2,av);}
a=C_alloc(10);
t2=t1;
t3=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_15107,a[2]=((C_word*)t0)[2],a[3]=t2,a[4]=((C_word)li439),tmp=(C_word)a,a+=5,tmp);
t4=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_15113,a[2]=((C_word*)t0)[3],a[3]=((C_word*)t0)[4],a[4]=((C_word)li440),tmp=(C_word)a,a+=5,tmp);
/* library.scm:2329: ##sys#call-with-values */{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=0;
av2[1]=((C_word*)t0)[5];
av2[2]=t3;
av2[3]=t4;
C_call_with_values(4,av2);}}

/* a15106 in k15100 in integer->string/recursive in k8490 */
static void C_ccall f_15107(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(c!=2) C_bad_argc_2(c,2,t0);
if(C_unlikely(!C_demand(C_calculate_demand(3,c,3)))){
C_save_and_reclaim((void *)f_15107,2,av);}
a=C_alloc(3);
t2=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)C_u_integer_quotient_and_remainder,a[2]=((C_word)li438),tmp=(C_word)a,a+=3,tmp);
/* library.scm:2329: g2768 */
t3=t2;{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t3;
av2[1]=t1;
av2[2]=((C_word*)t0)[2];
av2[3]=((C_word*)t0)[3];
((C_proc)C_fast_retrieve_proc(t3))(4,av2);}}

/* a15112 in k15100 in integer->string/recursive in k8490 */
static void C_ccall f_15113(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(6,c,3)))){
C_save_and_reclaim((void *)f_15113,4,av);}
a=C_alloc(6);
t4=t3;
t5=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_15117,a[2]=t1,a[3]=((C_word*)t0)[2],a[4]=t4,a[5]=((C_word*)t0)[3],tmp=(C_word)a,a+=6,tmp);
t6=((C_word*)t0)[3];
/* ##sys#number->string */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[600]+1));
C_word *av2=av;
av2[0]=*((C_word*)lf[600]+1);
av2[1]=t5;
av2[2]=t2;
av2[3]=t6;
tp(4,av2);}}

/* k15115 in a15112 in k15100 in integer->string/recursive in k8490 */
static void C_ccall f_15117(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(12,c,3)))){
C_save_and_reclaim((void *)f_15117,2,av);}
a=C_alloc(12);
t2=t1;
t3=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_15120,a[2]=((C_word*)t0)[2],a[3]=t2,a[4]=((C_word*)t0)[3],tmp=(C_word)a,a+=5,tmp);
t4=C_s_a_i_abs(&a,1,((C_word*)t0)[4]);
t5=((C_word*)t0)[5];
/* ##sys#number->string */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[600]+1));
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[600]+1);
av2[1]=t3;
av2[2]=t4;
av2[3]=t5;
tp(4,av2);}}

/* k15118 in k15115 in a15112 in k15100 in integer->string/recursive in k8490 */
static void C_ccall f_15120(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,c,3)))){
C_save_and_reclaim((void *)f_15120,2,av);}
a=C_alloc(5);
t2=t1;
t3=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_15127,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=t2,tmp=(C_word)a,a+=5,tmp);
t4=C_block_size(t2);
t5=C_fixnum_difference(((C_word*)t0)[4],t4);
/* ##sys#make-string */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[376]+1));
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[376]+1);
av2[1]=t3;
av2[2]=t5;
av2[3]=C_make_character(48);
tp(4,av2);}}

/* k15125 in k15118 in k15115 in a15112 in k15100 in integer->string/recursive in k8490 */
static void C_ccall f_15127(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,4)))){
C_save_and_reclaim((void *)f_15127,2,av);}
/* library.scm:2335: scheme#string-append */
t2=*((C_word*)lf[413]+1);{
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[2];
av2[2]=((C_word*)t0)[3];
av2[3]=t1;
av2[4]=((C_word*)t0)[4];
((C_proc)(void*)(*((C_word*)t2+1)))(5,av2);}}

/* ##sys#extended-number->string in k8490 */
static void C_ccall f_15148(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(5,c,3)))){
C_save_and_reclaim((void *)f_15148,4,av);}
a=C_alloc(5);
if(C_truep(C_i_ratnump(t2))){
t4=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_15162,a[2]=t1,a[3]=t2,a[4]=t3,tmp=(C_word)a,a+=5,tmp);
t5=t2;
t6=C_u_i_ratnum_num(t5);
t7=t3;
/* ##sys#number->string */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[600]+1));
C_word *av2=av;
av2[0]=*((C_word*)lf[600]+1);
av2[1]=t4;
av2[2]=t6;
av2[3]=t7;
tp(4,av2);}}
else{
if(C_truep(C_i_cplxnump(t2))){
t4=t2;
t5=C_u_i_cplxnum_real(t4);
t6=t2;
t7=C_u_i_cplxnum_imag(t6);
t8=t7;
t9=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_15203,a[2]=t8,a[3]=t1,a[4]=t3,tmp=(C_word)a,a+=5,tmp);
t10=t3;
/* ##sys#number->string */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[600]+1));
C_word *av2=av;
av2[0]=*((C_word*)lf[600]+1);
av2[1]=t9;
av2[2]=t5;
av2[3]=t10;
tp(4,av2);}}
else{
/* library.scm:2357: ##sys#error-bad-number */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[370]+1));
C_word *av2=av;
av2[0]=*((C_word*)lf[370]+1);
av2[1]=t1;
av2[2]=t2;
av2[3]=lf[606];
tp(4,av2);}}}}

/* k15160 in extended-number->string in k8490 */
static void C_ccall f_15162(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,c,3)))){
C_save_and_reclaim((void *)f_15162,2,av);}
a=C_alloc(4);
t2=t1;
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_15166,a[2]=((C_word*)t0)[2],a[3]=t2,tmp=(C_word)a,a+=4,tmp);
t4=((C_word*)t0)[3];
t5=C_u_i_ratnum_denom(t4);
t6=((C_word*)t0)[4];
/* ##sys#number->string */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[600]+1));
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[600]+1);
av2[1]=t3;
av2[2]=t5;
av2[3]=t6;
tp(4,av2);}}

/* k15164 in k15160 in extended-number->string in k8490 */
static void C_ccall f_15166(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,4)))){
C_save_and_reclaim((void *)f_15166,2,av);}
/* library.scm:2345: string-append */
t2=*((C_word*)lf[413]+1);{
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[2];
av2[2]=((C_word*)t0)[3];
av2[3]=lf[602];
av2[4]=t1;
((C_proc)(void*)(*((C_word*)t2+1)))(5,av2);}}

/* k15201 in extended-number->string in k8490 */
static void C_ccall f_15203(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,c,3)))){
C_save_and_reclaim((void *)f_15203,2,av);}
a=C_alloc(5);
t2=t1;
t3=(C_truep(C_i_finitep(((C_word*)t0)[2]))?(C_truep(C_i_positivep(((C_word*)t0)[2]))?lf[603]:lf[604]):lf[604]);
t4=t3;
t5=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_15211,a[2]=((C_word*)t0)[3],a[3]=t2,a[4]=t4,tmp=(C_word)a,a+=5,tmp);
t6=((C_word*)t0)[4];
/* ##sys#number->string */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[600]+1));
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[600]+1);
av2[1]=t5;
av2[2]=((C_word*)t0)[2];
av2[3]=t6;
tp(4,av2);}}

/* k15209 in k15201 in extended-number->string in k8490 */
static void C_ccall f_15211(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,5)))){
C_save_and_reclaim((void *)f_15211,2,av);}
/* library.scm:2352: string-append */
t2=*((C_word*)lf[413]+1);{
C_word *av2;
if(c >= 6) {
  av2=av;
} else {
  av2=C_alloc(6);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[2];
av2[2]=((C_word*)t0)[3];
av2[3]=((C_word*)t0)[4];
av2[4]=t1;
av2[5]=lf[605];
((C_proc)(void*)(*((C_word*)t2+1)))(6,av2);}}

/* k15236 in safe-exponent in string->compnum in k8490 */
static void C_ccall f_15238(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(44,c,1)))){
C_save_and_reclaim((void *)f_15238,2,av);}
a=C_alloc(44);
t2=C_s_a_i_times(&a,2,((C_word*)t0)[2],t1);
t3=C_a_i_exact_to_inexact(&a,1,t2);
t4=((C_word*)t0)[3];{
C_word *av2=av;
av2[0]=t4;
av2[1]=t3;
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* k15239 in safe-exponent in string->compnum in k8490 */
static void C_ccall f_15241(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word t12;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(13,c,3)))){
C_save_and_reclaim((void *)f_15241,2,av);}
a=C_alloc(13);
t2=t1;
t3=C_i_integer_length(((C_word*)t0)[2]);
t4=C_i_integer_length(t2);
t5=C_fixnum_difference(t3,t4);
t6=C_fixnum_difference(t5,*((C_word*)lf[425]+1));
t7=t6;
t8=(*a=C_VECTOR_TYPE|1,a[1]=t7,tmp=(C_word)a,a+=2,tmp);
if(C_truep(C_fixnum_lessp(((C_word*)t8)[1],C_fix(0)))){
t9=C_fixnum_negate(((C_word*)t8)[1]);
t10=C_s_a_i_arithmetic_shift(&a,2,((C_word*)t0)[2],t9);
t11=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_15258,a[2]=t8,a[3]=((C_word*)t0)[3],a[4]=t2,a[5]=t10,tmp=(C_word)a,a+=6,tmp);
/* library.scm:2376: round-quotient */
f_15315(t11,t10,t2);}
else{
t9=((C_word*)t0)[2];
t10=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_15290,a[2]=((C_word*)t0)[3],a[3]=t9,tmp=(C_word)a,a+=4,tmp);
/* library.scm:2383: ##sys#integer-power */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[528]+1));
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[528]+1);
av2[1]=t10;
av2[2]=C_fix(10);
av2[3]=((C_word*)t0)[4];
tp(4,av2);}}}

/* k15256 in k15239 in safe-exponent in string->compnum in k8490 */
static void C_ccall f_15258(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word t12;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(44,c,3)))){
C_save_and_reclaim((void *)f_15258,2,av);}
a=C_alloc(44);
t2=t1;
t3=(*a=C_VECTOR_TYPE|1,a[1]=t2,tmp=(C_word)a,a+=2,tmp);
t4=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_15261,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=t3,tmp=(C_word)a,a+=5,tmp);
t5=((C_word*)t3)[1];
t6=C_i_integer_length(t5);
t7=*((C_word*)lf[425]+1);
if(C_truep(C_fixnum_greaterp(t6,*((C_word*)lf[425]+1)))){
t8=C_fixnum_plus(C_fix(1),((C_word*)((C_word*)t0)[2])[1]);
t9=C_set_block_item(((C_word*)t0)[2],0,t8);
t10=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_15279,a[2]=t3,a[3]=t4,tmp=(C_word)a,a+=4,tmp);
t11=C_s_a_i_times(&a,2,((C_word*)t0)[4],C_fix(2));
/* library.scm:2380: round-quotient */
f_15315(t10,((C_word*)t0)[5],t11);}
else{
t8=t4;
f_15261(t8,C_SCHEME_UNDEFINED);}}

/* k15259 in k15256 in k15239 in safe-exponent in string->compnum in k8490 */
static void C_fcall f_15261(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,0,2)))){
C_save_and_reclaim_args((void *)trf_15261,2,t0,t1);}
a=C_alloc(4);
t2=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_15268,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],tmp=(C_word)a,a+=4,tmp);
/* library.scm:2381: scheme#exact->inexact */
t3=*((C_word*)lf[62]+1);{
C_word av2[3];
av2[0]=t3;
av2[1]=t2;
av2[2]=((C_word*)((C_word*)t0)[4])[1];
((C_proc)(void*)(*((C_word*)t3+1)))(3,av2);}}

/* k15266 in k15259 in k15256 in k15239 in safe-exponent in string->compnum in k8490 */
static void C_ccall f_15268(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,c,1)))){
C_save_and_reclaim((void *)f_15268,2,av);}
a=C_alloc(6);
t2=((C_word*)((C_word*)t0)[2])[1];
t3=C_a_i_bytevector(&a,1,C_fix(4));
t4=C_i_foreign_flonum_argumentp(t1);
t5=C_i_foreign_fixnum_argumentp(t2);
t6=((C_word*)t0)[3];{
C_word *av2=av;
av2[0]=t6;
av2[1]=stub2822(t3,t4,t5);
((C_proc)(void*)(*((C_word*)t6+1)))(2,av2);}}

/* k15277 in k15256 in k15239 in safe-exponent in string->compnum in k8490 */
static void C_ccall f_15279(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_15279,2,av);}
t2=C_mutate(((C_word *)((C_word*)t0)[2])+1,t1);
t3=((C_word*)t0)[3];
f_15261(t3,t2);}

/* k15288 in k15239 in safe-exponent in string->compnum in k8490 */
static void C_ccall f_15290(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(33,c,1)))){
C_save_and_reclaim((void *)f_15290,2,av);}
a=C_alloc(33);
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=C_s_a_i_times(&a,2,((C_word*)t0)[3],t1);
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* round-quotient in k8490 */
static void C_fcall f_15315(C_word t1,C_word t2,C_word t3){
C_word tmp;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word t12;
C_word t13;
C_word t14;
C_word t15;
C_word t16;
C_word t17;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(63,0,3)))){
C_save_and_reclaim_args((void *)trf_15315,3,t1,t2,t3);}
a=C_alloc(63);
t4=t2;
t5=t3;
t6=C_s_a_u_i_integer_quotient(&a,2,t4,t5);
t7=t6;
t8=(C_truep(C_i_evenp(t7))?*((C_word*)lf[73]+1):*((C_word*)lf[75]+1));
t9=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_15330,a[2]=t2,a[3]=t3,a[4]=t7,a[5]=t1,tmp=(C_word)a,a+=6,tmp);
t10=t2;
t11=t3;
t12=C_s_a_i_remainder(&a,2,t10,t11);
t13=C_s_a_i_abs(&a,1,t12);
t14=C_s_a_i_times(&a,2,t13,C_fix(2));
t15=t3;
t16=C_s_a_i_abs(&a,1,t15);
/* library.scm:2390: g2835 */
t17=t8;{
C_word av2[4];
av2[0]=t17;
av2[1]=t9;
av2[2]=t14;
av2[3]=t16;
((C_proc)(void*)(*((C_word*)t17+1)))(4,av2);}}

/* k15328 in round-quotient in k8490 */
static void C_ccall f_15330(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(29,c,1)))){
C_save_and_reclaim((void *)f_15330,2,av);}
a=C_alloc(29);
if(C_truep(t1)){
t2=((C_word*)t0)[2];
t3=C_i_negativep(t2);
t4=((C_word*)t0)[3];
t5=C_i_negativep(t4);
t6=C_eqp(t3,t5);
if(C_truep(t6)){
t7=C_s_a_i_plus(&a,2,((C_word*)t0)[4],C_fix(1));
t8=((C_word*)t0)[5];{
C_word *av2=av;
av2[0]=t8;
av2[1]=t7;
((C_proc)(void*)(*((C_word*)t8+1)))(2,av2);}}
else{
t7=C_s_a_i_plus(&a,2,((C_word*)t0)[4],C_fix(-1));
t8=((C_word*)t0)[5];{
C_word *av2=av;
av2[0]=t8;
av2[1]=t7;
((C_proc)(void*)(*((C_word*)t8+1)))(2,av2);}}}
else{
t2=((C_word*)t0)[5];{
C_word *av2=av;
av2[0]=t2;
av2[1]=((C_word*)t0)[4];
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}}

/* ##sys#string->compnum in k8490 */
static void C_fcall f_15353(C_word t1,C_word t2,C_word t3,C_word t4,C_word t5){
C_word tmp;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word t12;
C_word t13;
C_word t14;
C_word t15;
C_word t16;
C_word t17;
C_word t18;
C_word t19;
C_word t20;
C_word t21;
C_word t22;
C_word t23;
C_word t24;
C_word t25;
C_word t26;
C_word t27;
C_word t28;
C_word t29;
C_word t30;
C_word t31;
C_word t32;
C_word t33;
C_word t34;
C_word t35;
C_word t36;
C_word t37;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(83,0,5)))){
C_save_and_reclaim_args((void *)trf_15353,5,t1,t2,t3,t4,t5);}
a=C_alloc(83);
t6=(*a=C_VECTOR_TYPE|1,a[1]=t5,tmp=(C_word)a,a+=2,tmp);
t7=C_SCHEME_UNDEFINED;
t8=(*a=C_VECTOR_TYPE|1,a[1]=t7,tmp=(C_word)a,a+=2,tmp);
t9=C_SCHEME_UNDEFINED;
t10=(*a=C_VECTOR_TYPE|1,a[1]=t9,tmp=(C_word)a,a+=2,tmp);
t11=C_set_block_item(t8,0,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_15356,a[2]=t6,tmp=(C_word)a,a+=3,tmp));
t12=C_set_block_item(t10,0,(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_15366,a[2]=t6,a[3]=((C_word)li444),tmp=(C_word)a,a+=4,tmp));
t13=C_block_size(t3);
t14=t13;
t15=C_fixnum_difference(t2,C_fix(1));
t16=C_fixnum_plus(C_fix(48),t15);
t17=C_make_character(C_unfix(t16));
t18=t17;
t19=C_fixnum_difference(t2,C_fix(11));
t20=C_fixnum_plus(C_fix(97),t19);
t21=C_make_character(C_unfix(t20));
t22=t21;
t23=C_fixnum_difference(t2,C_fix(11));
t24=C_fixnum_plus(C_fix(65),t23);
t25=C_make_character(C_unfix(t24));
t26=t25;
t27=C_SCHEME_FALSE;
t28=(*a=C_VECTOR_TYPE|1,a[1]=t27,tmp=(C_word)a,a+=2,tmp);
t29=(*a=C_CLOSURE_TYPE|8,a[1]=(C_word)f_15440,a[2]=t14,a[3]=t3,a[4]=t2,a[5]=t18,a[6]=t22,a[7]=t26,a[8]=((C_word)li446),tmp=(C_word)a,a+=9,tmp);
t30=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_15548,a[2]=t14,a[3]=t3,a[4]=((C_word)li448),tmp=(C_word)a,a+=5,tmp);
t31=(*a=C_CLOSURE_TYPE|8,a[1]=(C_word)f_15598,a[2]=t3,a[3]=t2,a[4]=t28,a[5]=t8,a[6]=t30,a[7]=t29,a[8]=((C_word)li449),tmp=(C_word)a,a+=9,tmp);
t32=(*a=C_CLOSURE_TYPE|7,a[1]=(C_word)f_15654,a[2]=t14,a[3]=t3,a[4]=t8,a[5]=t2,a[6]=t29,a[7]=((C_word)li450),tmp=(C_word)a,a+=8,tmp);
t33=(*a=C_CLOSURE_TYPE|7,a[1]=(C_word)f_15715,a[2]=t14,a[3]=t10,a[4]=t32,a[5]=t3,a[6]=t31,a[7]=((C_word)li451),tmp=(C_word)a,a+=8,tmp);
t34=(*a=C_CLOSURE_TYPE|12,a[1]=(C_word)f_15927,a[2]=t8,a[3]=t33,a[4]=t2,a[5]=t14,a[6]=t10,a[7]=t32,a[8]=t28,a[9]=t6,a[10]=t31,a[11]=t3,a[12]=((C_word)li452),tmp=(C_word)a,a+=13,tmp);
t35=(*a=C_CLOSURE_TYPE|6,a[1]=(C_word)f_16270,a[2]=t14,a[3]=t3,a[4]=t34,a[5]=t8,a[6]=((C_word)li453),tmp=(C_word)a,a+=7,tmp);
t36=(*a=C_CLOSURE_TYPE|8,a[1]=(C_word)f_16502,a[2]=t6,a[3]=t1,a[4]=t14,a[5]=t3,a[6]=t4,a[7]=t28,a[8]=t35,tmp=(C_word)a,a+=9,tmp);
/* library.scm:2572: scan-real */
t37=t35;
f_16270(t37,t36,t4);}

/* go-inexact! in string->compnum in k8490 */
static C_word C_fcall f_15356(C_word t0){
C_word tmp;
C_word t1;
C_word t2;
C_word t3;
C_stack_overflow_check;{}
t1=C_eqp(((C_word*)((C_word*)t0)[2])[1],lf[609]);
if(C_truep(t1)){
t2=C_SCHEME_UNDEFINED;
return(t2);}
else{
t2=C_mutate(((C_word *)((C_word*)t0)[2])+1,lf[610]);
return(t2);}}

/* safe-exponent in string->compnum in k8490 */
static void C_fcall f_15366(C_word t0,C_word t1,C_word t2,C_word t3){
C_word tmp;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word t12;
C_word t13;
C_word t14;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(12,0,3)))){
C_save_and_reclaim_args((void *)trf_15366,4,t0,t1,t2,t3);}
a=C_alloc(12);
if(C_truep(t3)){
if(C_truep(C_i_not(t2))){
t4=t1;{
C_word av2[2];
av2[0]=t4;
av2[1]=C_fix(0);
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}
else{
t4=t3;
if(C_truep(C_i_greaterp(t4,C_fix(10000)))){
t5=C_eqp(((C_word*)((C_word*)t0)[2])[1],lf[610]);
if(C_truep(t5)){
t6=t2;
if(C_truep(C_i_zerop(t6))){
t7=t1;{
C_word av2[2];
av2[0]=t7;
av2[1]=lf[500];
((C_proc)(void*)(*((C_word*)t7+1)))(2,av2);}}
else{
t7=t2;
t8=t1;{
C_word av2[2];
av2[0]=t8;
av2[1]=(C_truep(C_i_greaterp(t7,lf[500]))?lf[611]:lf[612]);
((C_proc)(void*)(*((C_word*)t8+1)))(2,av2);}}}
else{
t6=t1;{
C_word av2[2];
av2[0]=t6;
av2[1]=C_SCHEME_FALSE;
((C_proc)(void*)(*((C_word*)t6+1)))(2,av2);}}}
else{
t5=t3;
t6=C_fixnum_negate(C_fix(10000));
if(C_truep(C_i_lessp(t5,t6))){
t7=C_eqp(((C_word*)((C_word*)t0)[2])[1],lf[610]);
t8=t1;{
C_word av2[2];
av2[0]=t8;
av2[1]=(C_truep(t7)?lf[500]:C_SCHEME_FALSE);
((C_proc)(void*)(*((C_word*)t8+1)))(2,av2);}}
else{
t7=C_eqp(((C_word*)((C_word*)t0)[2])[1],lf[610]);
if(C_truep(t7)){
t8=t1;
t9=t2;
t10=t3;
t11=C_i_negativep(t10);
if(C_truep(C_i_not(t11))){
t12=t9;
t13=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_15238,a[2]=t12,a[3]=t8,tmp=(C_word)a,a+=4,tmp);
/* library.scm:2369: ##sys#integer-power */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[528]+1));
C_word av2[4];
av2[0]=*((C_word*)lf[528]+1);
av2[1]=t13;
av2[2]=C_fix(10);
av2[3]=t10;
tp(4,av2);}}
else{
t12=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_15241,a[2]=t9,a[3]=t8,a[4]=t10,tmp=(C_word)a,a+=5,tmp);
t13=C_s_a_i_abs(&a,1,t10);
/* library.scm:2370: ##sys#integer-power */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[528]+1));
C_word av2[4];
av2[0]=*((C_word*)lf[528]+1);
av2[1]=t12;
av2[2]=C_fix(10);
av2[3]=t13;
tp(4,av2);}}}
else{
t8=t2;
t9=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_15424,a[2]=t8,a[3]=t1,tmp=(C_word)a,a+=4,tmp);
/* library.scm:2411: ##sys#integer-power */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[528]+1));
C_word av2[4];
av2[0]=*((C_word*)lf[528]+1);
av2[1]=t9;
av2[2]=C_fix(10);
av2[3]=t3;
tp(4,av2);}}}}}}
else{
t4=t1;{
C_word av2[2];
av2[0]=t4;
av2[1]=C_SCHEME_FALSE;
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}}

/* k15422 in safe-exponent in string->compnum in k8490 */
static void C_ccall f_15424(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(33,c,1)))){
C_save_and_reclaim((void *)f_15424,2,av);}
a=C_alloc(33);
t2=C_s_a_i_times(&a,2,((C_word*)t0)[2],t1);
t3=((C_word*)t0)[3];{
C_word *av2=av;
av2[0]=t3;
av2[1]=t2;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* scan-digits in string->compnum in k8490 */
static void C_fcall f_15440(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(13,0,3)))){
C_save_and_reclaim_args((void *)trf_15440,3,t0,t1,t2);}
a=C_alloc(13);
t3=C_SCHEME_UNDEFINED;
t4=(*a=C_VECTOR_TYPE|1,a[1]=t3,tmp=(C_word)a,a+=2,tmp);
t5=C_set_block_item(t4,0,(*a=C_CLOSURE_TYPE|10,a[1]=(C_word)f_15446,a[2]=((C_word*)t0)[2],a[3]=t2,a[4]=((C_word*)t0)[3],a[5]=((C_word*)t0)[4],a[6]=((C_word*)t0)[5],a[7]=t4,a[8]=((C_word*)t0)[6],a[9]=((C_word*)t0)[7],a[10]=((C_word)li445),tmp=(C_word)a,a+=11,tmp));
t6=((C_word*)t4)[1];
f_15446(t6,t1,t2);}

/* lp in scan-digits in string->compnum in k8490 */
static void C_fcall f_15446(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word t12;
C_word t13;
C_word *a;
loop:
if(C_unlikely(!C_demand(C_calculate_demand(6,0,2)))){
C_save_and_reclaim_args((void *)trf_15446,3,t0,t1,t2);}
a=C_alloc(6);
t3=C_eqp(t2,((C_word*)t0)[2]);
if(C_truep(t3)){
t4=C_fixnum_greaterp(t2,((C_word*)t0)[3]);
t5=t1;{
C_word av2[2];
av2[0]=t5;
av2[1]=(C_truep(t4)?C_a_i_cons(&a,2,t2,C_SCHEME_FALSE):C_SCHEME_FALSE);
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}
else{
t4=((C_word*)t0)[4];
t5=t2;
t6=C_subchar(t4,t5);
if(C_truep(C_fixnum_less_or_equal_p(((C_word*)t0)[5],C_fix(10)))){
t7=C_i_char_greater_or_equal_p(t6,C_make_character(48));
t8=(C_truep(t7)?C_u_i_char_less_or_equal_p(t6,((C_word*)t0)[6]):C_SCHEME_FALSE);
if(C_truep(t8)){
t9=C_fixnum_plus(t2,C_fix(1));
/* library.scm:2435: lp */
t12=t1;
t13=t9;
t1=t12;
t2=t13;
goto loop;}
else{
t9=C_fixnum_greaterp(t2,((C_word*)t0)[3]);
t10=t1;{
C_word av2[2];
av2[0]=t10;
av2[1]=(C_truep(t9)?C_a_i_cons(&a,2,t2,t2):C_SCHEME_FALSE);
((C_proc)(void*)(*((C_word*)t10+1)))(2,av2);}}}
else{
t7=C_i_char_greater_or_equal_p(t6,C_make_character(48));
t8=(C_truep(t7)?C_u_i_char_less_or_equal_p(t6,C_make_character(57)):C_SCHEME_FALSE);
t9=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_15509,a[2]=t2,a[3]=((C_word*)t0)[7],a[4]=t1,a[5]=((C_word*)t0)[3],tmp=(C_word)a,a+=6,tmp);
if(C_truep(t8)){
t10=t9;
f_15509(t10,t8);}
else{
t10=(C_truep(C_u_i_char_greater_or_equal_p(t6,C_make_character(97)))?C_u_i_char_less_or_equal_p(t6,((C_word*)t0)[8]):C_SCHEME_FALSE);
t11=t9;
f_15509(t11,(C_truep(t10)?t10:(C_truep(C_u_i_char_greater_or_equal_p(t6,C_make_character(65)))?C_u_i_char_less_or_equal_p(t6,((C_word*)t0)[9]):C_SCHEME_FALSE)));}}}}

/* k15507 in lp in scan-digits in string->compnum in k8490 */
static void C_fcall f_15509(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,0,2)))){
C_save_and_reclaim_args((void *)trf_15509,2,t0,t1);}
a=C_alloc(3);
if(C_truep(t1)){
t2=C_fixnum_plus(((C_word*)t0)[2],C_fix(1));
/* library.scm:2440: lp */
t3=((C_word*)((C_word*)t0)[3])[1];
f_15446(t3,((C_word*)t0)[4],t2);}
else{
t2=C_fixnum_greaterp(((C_word*)t0)[2],((C_word*)t0)[5]);
t3=((C_word*)t0)[4];{
C_word av2[2];
av2[0]=t3;
av2[1]=(C_truep(t2)?C_a_i_cons(&a,2,((C_word*)t0)[2],((C_word*)t0)[2]):C_SCHEME_FALSE);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}}

/* scan-hashes in string->compnum in k8490 */
static void C_fcall f_15548(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(9,0,3)))){
C_save_and_reclaim_args((void *)trf_15548,3,t0,t1,t2);}
a=C_alloc(9);
t3=C_SCHEME_UNDEFINED;
t4=(*a=C_VECTOR_TYPE|1,a[1]=t3,tmp=(C_word)a,a+=2,tmp);
t5=C_set_block_item(t4,0,(*a=C_CLOSURE_TYPE|6,a[1]=(C_word)f_15554,a[2]=((C_word*)t0)[2],a[3]=t2,a[4]=((C_word*)t0)[3],a[5]=t4,a[6]=((C_word)li447),tmp=(C_word)a,a+=7,tmp));
t6=((C_word*)t4)[1];
f_15554(t6,t1,t2);}

/* lp in scan-hashes in string->compnum in k8490 */
static void C_fcall f_15554(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word *a;
loop:
if(C_unlikely(!C_demand(C_calculate_demand(3,0,2)))){
C_save_and_reclaim_args((void *)trf_15554,3,t0,t1,t2);}
a=C_alloc(3);
t3=C_eqp(t2,((C_word*)t0)[2]);
if(C_truep(t3)){
t4=C_fixnum_greaterp(t2,((C_word*)t0)[3]);
t5=t1;{
C_word av2[2];
av2[0]=t5;
av2[1]=(C_truep(t4)?C_a_i_cons(&a,2,t2,C_SCHEME_FALSE):C_SCHEME_FALSE);
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}
else{
t4=((C_word*)t0)[4];
t5=t2;
t6=C_subchar(t4,t5);
t7=C_eqp(t6,C_make_character(35));
if(C_truep(t7)){
t8=C_fixnum_plus(t2,C_fix(1));
/* library.scm:2449: lp */
t10=t1;
t11=t8;
t1=t10;
t2=t11;
goto loop;}
else{
t8=C_fixnum_greaterp(t2,((C_word*)t0)[3]);
t9=t1;{
C_word av2[2];
av2[0]=t9;
av2[1]=(C_truep(t8)?C_a_i_cons(&a,2,t2,t2):C_SCHEME_FALSE);
((C_proc)(void*)(*((C_word*)t9+1)))(2,av2);}}}}

/* scan-digits+hashes in string->compnum in k8490 */
static void C_fcall f_15598(C_word t0,C_word t1,C_word t2,C_word t3,C_word t4){
C_word tmp;
C_word t5;
C_word t6;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(11,0,2)))){
C_save_and_reclaim_args((void *)trf_15598,5,t0,t1,t2,t3,t4);}
a=C_alloc(11);
t5=(*a=C_CLOSURE_TYPE|10,a[1]=(C_word)f_15602,a[2]=((C_word*)t0)[2],a[3]=t2,a[4]=((C_word*)t0)[3],a[5]=t3,a[6]=((C_word*)t0)[4],a[7]=((C_word*)t0)[5],a[8]=t1,a[9]=((C_word*)t0)[6],a[10]=t4,tmp=(C_word)a,a+=11,tmp);
if(C_truep(C_i_not(((C_word*)((C_word*)t0)[4])[1]))){
/* library.scm:2453: scan-digits */
t6=((C_word*)t0)[7];
f_15440(t6,t5,t2);}
else{
t6=t5;{
C_word av2[2];
av2[0]=t6;
av2[1]=C_SCHEME_FALSE;
f_15602(2,av2);}}}

/* k15600 in scan-digits+hashes in string->compnum in k8490 */
static void C_ccall f_15602(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(10,c,2)))){
C_save_and_reclaim((void *)f_15602,2,av);}
a=C_alloc(10);
t2=t1;
t3=(*a=C_CLOSURE_TYPE|9,a[1]=(C_word)f_15605,a[2]=t2,a[3]=((C_word*)t0)[2],a[4]=((C_word*)t0)[3],a[5]=((C_word*)t0)[4],a[6]=((C_word*)t0)[5],a[7]=((C_word*)t0)[6],a[8]=((C_word*)t0)[7],a[9]=((C_word*)t0)[8],tmp=(C_word)a,a+=10,tmp);
if(C_truep(t2)){
if(C_truep(C_i_cdr(t2))){
t4=C_u_i_cdr(t2);
/* library.scm:2455: scan-hashes */
t5=((C_word*)t0)[9];
f_15548(t5,t3,t4);}
else{
t4=t3;{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_SCHEME_FALSE;
f_15605(2,av2);}}}
else{
if(C_truep(((C_word*)t0)[10])){
/* library.scm:2456: scan-hashes */
t4=((C_word*)t0)[9];
f_15548(t4,t3,((C_word*)t0)[3]);}
else{
t4=t3;{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_SCHEME_FALSE;
f_15605(2,av2);}}}}

/* k15603 in k15600 in scan-digits+hashes in string->compnum in k8490 */
static void C_ccall f_15605(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(8,c,1)))){
C_save_and_reclaim((void *)f_15605,2,av);}
a=C_alloc(8);
t2=(C_truep(t1)?t1:((C_word*)t0)[2]);
if(C_truep(t2)){
t3=C_i_car(t2);
t4=C_s_a_i_digits_to_integer(&a,5,((C_word*)t0)[3],((C_word*)t0)[4],t3,((C_word*)t0)[5],((C_word*)t0)[6]);
if(C_truep(t4)){
if(C_truep(t1)){
t5=C_set_block_item(((C_word*)t0)[7],0,C_SCHEME_TRUE);
t6=(
  /* library.scm:2464: go-inexact! */
  f_15356(((C_word*)((C_word*)t0)[8])[1])
);
t7=C_u_i_cdr(t2);
t8=((C_word*)t0)[9];{
C_word *av2=av;
av2[0]=t8;
av2[1]=C_a_i_cons(&a,2,t4,t7);
((C_proc)(void*)(*((C_word*)t8+1)))(2,av2);}}
else{
t5=C_u_i_cdr(t2);
t6=((C_word*)t0)[9];{
C_word *av2=av;
av2[0]=t6;
av2[1]=C_a_i_cons(&a,2,t4,t5);
((C_proc)(void*)(*((C_word*)t6+1)))(2,av2);}}}
else{
t5=((C_word*)t0)[9];{
C_word *av2=av;
av2[0]=t5;
av2[1]=C_SCHEME_FALSE;
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}}
else{
t3=((C_word*)t0)[9];{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_SCHEME_FALSE;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}}

/* scan-exponent in string->compnum in k8490 */
static void C_fcall f_15654(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(8,0,2)))){
C_save_and_reclaim_args((void *)trf_15654,3,t0,t1,t2);}
a=C_alloc(8);
if(C_truep(C_fixnum_lessp(t2,((C_word*)t0)[2]))){
t3=((C_word*)t0)[3];
t4=t2;
t5=C_subchar(t3,t4);
t6=(*a=C_CLOSURE_TYPE|7,a[1]=(C_word)f_15669,a[2]=t2,a[3]=((C_word*)t0)[4],a[4]=((C_word*)t0)[3],a[5]=((C_word*)t0)[5],a[6]=t1,a[7]=((C_word*)t0)[6],tmp=(C_word)a,a+=8,tmp);
t7=C_eqp(t5,C_make_character(43));
if(C_truep(t7)){
t8=t6;
f_15669(t8,lf[614]);}
else{
t8=C_eqp(t5,C_make_character(45));
t9=t6;
f_15669(t9,(C_truep(t8)?lf[613]:C_SCHEME_FALSE));}}
else{
t3=t1;{
C_word av2[2];
av2[0]=t3;
av2[1]=C_SCHEME_FALSE;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}}

/* k15667 in scan-exponent in string->compnum in k8490 */
static void C_fcall f_15669(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(8,0,2)))){
C_save_and_reclaim_args((void *)trf_15669,2,t0,t1);}
a=C_alloc(8);
t2=t1;
t3=(C_truep(t2)?C_fixnum_plus(((C_word*)t0)[2],C_fix(1)):((C_word*)t0)[2]);
t4=t3;
if(C_truep(t4)){
t5=(*a=C_CLOSURE_TYPE|7,a[1]=(C_word)f_15678,a[2]=((C_word*)t0)[3],a[3]=t2,a[4]=((C_word*)t0)[4],a[5]=t4,a[6]=((C_word*)t0)[5],a[7]=((C_word*)t0)[6],tmp=(C_word)a,a+=8,tmp);
/* library.scm:2472: scan-digits */
t6=((C_word*)t0)[7];
f_15440(t6,t5,t4);}
else{
t5=((C_word*)t0)[6];{
C_word av2[2];
av2[0]=t5;
av2[1]=C_SCHEME_FALSE;
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}}

/* k15676 in k15667 in scan-exponent in string->compnum in k8490 */
static void C_ccall f_15678(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(8,c,1)))){
C_save_and_reclaim((void *)f_15678,2,av);}
a=C_alloc(8);
if(C_truep(t1)){
t2=(
  /* library.scm:2473: go-inexact! */
  f_15356(((C_word*)((C_word*)t0)[2])[1])
);
t3=C_i_car(t1);
t4=C_eqp(((C_word*)t0)[3],lf[613]);
t5=C_s_a_i_digits_to_integer(&a,5,((C_word*)t0)[4],((C_word*)t0)[5],t3,((C_word*)t0)[6],t4);
t6=C_u_i_cdr(t1);
t7=((C_word*)t0)[7];{
C_word *av2=av;
av2[0]=t7;
av2[1]=C_a_i_cons(&a,2,t5,t6);
((C_proc)(void*)(*((C_word*)t7+1)))(2,av2);}}
else{
t2=((C_word*)t0)[7];{
C_word *av2=av;
av2[0]=t2;
av2[1]=C_SCHEME_FALSE;
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}}

/* scan-decimal-tail in string->compnum in k8490 */
static void C_fcall f_15715(C_word t0,C_word t1,C_word t2,C_word t3,C_word t4){
C_word tmp;
C_word t5;
C_word t6;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(9,0,4)))){
C_save_and_reclaim_args((void *)trf_15715,5,t0,t1,t2,t3,t4);}
a=C_alloc(9);
if(C_truep(C_fixnum_lessp(t2,((C_word*)t0)[2]))){
t5=(*a=C_CLOSURE_TYPE|8,a[1]=(C_word)f_15725,a[2]=t2,a[3]=t4,a[4]=((C_word*)t0)[2],a[5]=t1,a[6]=((C_word*)t0)[3],a[7]=((C_word*)t0)[4],a[8]=((C_word*)t0)[5],tmp=(C_word)a,a+=9,tmp);
/* library.scm:2481: scan-digits+hashes */
t6=((C_word*)t0)[6];
f_15598(t6,t5,t2,t3,t4);}
else{
t5=t1;{
C_word av2[2];
av2[0]=t5;
av2[1]=C_SCHEME_FALSE;
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}}

/* k15723 in scan-decimal-tail in string->compnum in k8490 */
static void C_ccall f_15725(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(11,c,2)))){
C_save_and_reclaim((void *)f_15725,2,av);}
a=C_alloc(11);
t2=t1;
t3=(C_truep(t2)?C_i_cdr(t2):((C_word*)t0)[2]);
t4=t3;
t5=((C_word*)t0)[3];
t6=(*a=C_CLOSURE_TYPE|10,a[1]=(C_word)f_15734,a[2]=((C_word*)t0)[4],a[3]=t4,a[4]=t2,a[5]=((C_word*)t0)[5],a[6]=((C_word*)t0)[6],a[7]=((C_word*)t0)[2],a[8]=((C_word*)t0)[3],a[9]=((C_word*)t0)[7],a[10]=((C_word*)t0)[8],tmp=(C_word)a,a+=11,tmp);
if(C_truep(t5)){
t7=t6;
f_15734(t7,t5);}
else{
t7=C_i_not(t4);
t8=t6;
f_15734(t8,(C_truep(t7)?t7:C_fixnum_greaterp(t4,((C_word*)t0)[2])));}}

/* k15732 in k15723 in scan-decimal-tail in string->compnum in k8490 */
static void C_fcall f_15734(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(10,0,2)))){
C_save_and_reclaim_args((void *)trf_15734,2,t0,t1);}
a=C_alloc(10);
if(C_truep(t1)){
t2=(*a=C_CLOSURE_TYPE|9,a[1]=(C_word)f_15737,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[5],a[6]=((C_word*)t0)[6],a[7]=((C_word*)t0)[7],a[8]=((C_word*)t0)[8],a[9]=((C_word*)t0)[9],tmp=(C_word)a,a+=10,tmp);
if(C_truep(((C_word*)t0)[3])){
t3=((C_word*)t0)[10];
t4=t2;
f_15737(t4,C_subchar(t3,((C_word*)t0)[3]));}
else{
t3=t2;
f_15737(t3,C_SCHEME_FALSE);}}
else{
t2=((C_word*)t0)[5];{
C_word av2[2];
av2[0]=t2;
av2[1]=C_SCHEME_FALSE;
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}}

/* k15735 in k15732 in k15723 in scan-decimal-tail in string->compnum in k8490 */
static void C_fcall f_15737(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word t12;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(10,0,2)))){
C_save_and_reclaim_args((void *)trf_15737,2,t0,t1);}
a=C_alloc(10);
t2=C_eqp(t1,C_make_character(101));
t3=(*a=C_CLOSURE_TYPE|9,a[1]=(C_word)f_15746,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[5],a[6]=((C_word*)t0)[6],a[7]=((C_word*)t0)[7],a[8]=((C_word*)t0)[8],a[9]=((C_word*)t0)[9],tmp=(C_word)a,a+=10,tmp);
if(C_truep(t2)){
t4=t3;
f_15746(t4,t2);}
else{
t4=C_eqp(t1,C_make_character(115));
if(C_truep(t4)){
t5=t3;
f_15746(t5,t4);}
else{
t5=C_eqp(t1,C_make_character(102));
if(C_truep(t5)){
t6=t3;
f_15746(t6,t5);}
else{
t6=C_eqp(t1,C_make_character(100));
if(C_truep(t6)){
t7=t3;
f_15746(t7,t6);}
else{
t7=C_eqp(t1,C_make_character(108));
if(C_truep(t7)){
t8=t3;
f_15746(t8,t7);}
else{
t8=C_eqp(t1,C_make_character(69));
if(C_truep(t8)){
t9=t3;
f_15746(t9,t8);}
else{
t9=C_eqp(t1,C_make_character(83));
if(C_truep(t9)){
t10=t3;
f_15746(t10,t9);}
else{
t10=C_eqp(t1,C_make_character(70));
if(C_truep(t10)){
t11=t3;
f_15746(t11,t10);}
else{
t11=C_eqp(t1,C_make_character(68));
t12=t3;
f_15746(t12,(C_truep(t11)?t11:C_eqp(t1,C_make_character(76))));}}}}}}}}}

/* k15744 in k15735 in k15732 in k15723 in scan-decimal-tail in string->compnum in k8490 */
static void C_fcall f_15746(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(7,0,3)))){
C_save_and_reclaim_args((void *)trf_15746,2,t0,t1);}
a=C_alloc(7);
if(C_truep(t1)){
if(C_truep(C_fixnum_greaterp(((C_word*)t0)[2],((C_word*)t0)[3]))){
t2=(*a=C_CLOSURE_TYPE|6,a[1]=(C_word)f_15755,a[2]=((C_word*)t0)[4],a[3]=((C_word*)t0)[5],a[4]=((C_word*)t0)[6],a[5]=((C_word*)t0)[7],a[6]=((C_word*)t0)[8],tmp=(C_word)a,a+=7,tmp);
t3=C_fixnum_plus(((C_word*)t0)[3],C_fix(1));
/* library.scm:2489: scan-exponent */
t4=((C_word*)t0)[9];
f_15654(t4,t2,t3);}
else{
t2=((C_word*)t0)[5];{
C_word av2[2];
av2[0]=t2;
av2[1]=C_SCHEME_FALSE;
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}}
else{
t2=(C_truep(((C_word*)t0)[3])?((C_word*)t0)[3]:((C_word*)t0)[2]);
t3=(C_truep(((C_word*)t0)[4])?C_fixnum_difference(((C_word*)t0)[7],t2):C_SCHEME_FALSE);
t4=(C_truep(((C_word*)t0)[4])?C_i_car(((C_word*)t0)[4]):C_SCHEME_FALSE);
t5=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_15820,a[2]=((C_word*)t0)[8],a[3]=((C_word*)t0)[5],a[4]=((C_word*)t0)[3],tmp=(C_word)a,a+=5,tmp);
/* library.scm:2499: safe-exponent */
t6=((C_word*)((C_word*)t0)[6])[1];
f_15366(t6,t5,t4,t3);}}

/* k15753 in k15744 in k15735 in k15732 in k15723 in scan-decimal-tail in string->compnum in k8490 */
static void C_ccall f_15755(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(8,c,3)))){
C_save_and_reclaim((void *)f_15755,2,av);}
a=C_alloc(8);
t2=t1;
if(C_truep(t2)){
t3=C_i_car(t2);
t4=t3;
if(C_truep(t4)){
t5=(*a=C_CLOSURE_TYPE|7,a[1]=(C_word)f_15767,a[2]=((C_word*)t0)[2],a[3]=t2,a[4]=((C_word*)t0)[3],a[5]=((C_word*)t0)[4],a[6]=((C_word*)t0)[5],a[7]=t4,tmp=(C_word)a,a+=8,tmp);
/* library.scm:2491: safe-exponent */
t6=((C_word*)((C_word*)t0)[4])[1];
f_15366(t6,t5,((C_word*)t0)[6],t4);}
else{
t5=((C_word*)t0)[3];{
C_word *av2=av;
av2[0]=t5;
av2[1]=C_SCHEME_FALSE;
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}}
else{
t3=((C_word*)t0)[3];{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_SCHEME_FALSE;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}}

/* k15765 in k15753 in k15744 in k15735 in k15732 in k15723 in scan-decimal-tail in string->compnum in k8490 */
static void C_ccall f_15767(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(7,c,2)))){
C_save_and_reclaim((void *)f_15767,2,av);}
a=C_alloc(7);
t2=t1;
if(C_truep(t2)){
t3=(*a=C_CLOSURE_TYPE|6,a[1]=(C_word)f_15773,a[2]=((C_word*)t0)[2],a[3]=t2,a[4]=((C_word*)t0)[3],a[5]=((C_word*)t0)[4],a[6]=((C_word*)t0)[5],tmp=(C_word)a,a+=7,tmp);
if(C_truep(((C_word*)t0)[2])){
t4=C_i_cdr(((C_word*)t0)[2]);
t5=C_fixnum_difference(t4,((C_word*)t0)[6]);
t6=t3;
f_15773(t6,C_fixnum_difference(((C_word*)t0)[7],t5));}
else{
t4=t3;
f_15773(t4,C_SCHEME_FALSE);}}
else{
t3=((C_word*)t0)[4];{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_SCHEME_FALSE;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}}

/* k15771 in k15765 in k15753 in k15744 in k15735 in k15732 in k15723 in scan-decimal-tail in string->compnum in k8490 */
static void C_fcall f_15773(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,0,3)))){
C_save_and_reclaim_args((void *)trf_15773,2,t0,t1);}
a=C_alloc(5);
t2=(C_truep(((C_word*)t0)[2])?C_i_car(((C_word*)t0)[2]):C_SCHEME_FALSE);
t3=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_15779,a[2]=((C_word*)t0)[3],a[3]=((C_word*)t0)[4],a[4]=((C_word*)t0)[5],tmp=(C_word)a,a+=5,tmp);
/* library.scm:2494: safe-exponent */
t4=((C_word*)((C_word*)t0)[6])[1];
f_15366(t4,t3,t2,t1);}

/* k15777 in k15771 in k15765 in k15753 in k15744 in k15735 in k15732 in k15723 in scan-decimal-tail in string->compnum in k8490 */
static void C_ccall f_15779(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(32,c,1)))){
C_save_and_reclaim((void *)f_15779,2,av);}
a=C_alloc(32);
if(C_truep(t1)){
t2=C_s_a_i_plus(&a,2,((C_word*)t0)[2],t1);
t3=C_u_i_cdr(((C_word*)t0)[3]);
t4=((C_word*)t0)[4];{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_a_i_cons(&a,2,t2,t3);
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}
else{
t2=C_u_i_cdr(((C_word*)t0)[3]);
t3=((C_word*)t0)[4];{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_a_i_cons(&a,2,((C_word*)t0)[2],t2);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}}

/* k15818 in k15744 in k15735 in k15732 in k15723 in scan-decimal-tail in string->compnum in k8490 */
static void C_ccall f_15820(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(32,c,1)))){
C_save_and_reclaim((void *)f_15820,2,av);}
a=C_alloc(32);
t2=((C_word*)t0)[2];
t3=(C_truep(t2)?t2:C_fix(0));
if(C_truep(t1)){
t4=C_s_a_i_plus(&a,2,t3,t1);
t5=((C_word*)t0)[3];{
C_word *av2=av;
av2[0]=t5;
av2[1]=C_a_i_cons(&a,2,t4,((C_word*)t0)[4]);
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}
else{
t4=((C_word*)t0)[3];{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_a_i_cons(&a,2,t3,((C_word*)t0)[4]);
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}}

/* scan-ureal in string->compnum in k8490 */
static void C_fcall f_15927(C_word t0,C_word t1,C_word t2,C_word t3){
C_word tmp;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(15,0,2)))){
C_save_and_reclaim_args((void *)trf_15927,4,t0,t1,t2,t3);}
a=C_alloc(15);
t4=(*a=C_CLOSURE_TYPE|14,a[1]=(C_word)f_15934,a[2]=((C_word*)t0)[2],a[3]=t2,a[4]=((C_word*)t0)[3],a[5]=t1,a[6]=t3,a[7]=((C_word*)t0)[4],a[8]=((C_word*)t0)[5],a[9]=((C_word*)t0)[6],a[10]=((C_word*)t0)[7],a[11]=((C_word*)t0)[8],a[12]=((C_word*)t0)[9],a[13]=((C_word*)t0)[10],a[14]=((C_word*)t0)[11],tmp=(C_word)a,a+=15,tmp);
t5=C_fixnum_plus(t2,C_fix(1));
if(C_truep(C_fixnum_greaterp(((C_word*)t0)[5],t5))){
t6=C_eqp(((C_word*)t0)[4],C_fix(10));
if(C_truep(t6)){
t7=((C_word*)t0)[11];
t8=t2;
t9=C_subchar(t7,t8);
t10=t4;
f_15934(t10,C_eqp(t9,C_make_character(46)));}
else{
t7=t4;
f_15934(t7,C_SCHEME_FALSE);}}
else{
t6=t4;
f_15934(t6,C_SCHEME_FALSE);}}

/* k15932 in scan-ureal in string->compnum in k8490 */
static void C_fcall f_15934(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(14,0,4)))){
C_save_and_reclaim_args((void *)trf_15934,2,t0,t1);}
a=C_alloc(14);
if(C_truep(t1)){
t2=(
  /* library.scm:2507: go-inexact! */
  f_15356(((C_word*)((C_word*)t0)[2])[1])
);
t3=C_fixnum_plus(((C_word*)t0)[3],C_fix(1));
/* library.scm:2508: scan-decimal-tail */
t4=((C_word*)t0)[4];
f_15715(t4,((C_word*)t0)[5],t3,((C_word*)t0)[6],C_SCHEME_FALSE);}
else{
t2=(*a=C_CLOSURE_TYPE|13,a[1]=(C_word)f_15947,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[7],a[4]=((C_word*)t0)[8],a[5]=((C_word*)t0)[4],a[6]=((C_word*)t0)[5],a[7]=((C_word*)t0)[6],a[8]=((C_word*)t0)[9],a[9]=((C_word*)t0)[10],a[10]=((C_word*)t0)[11],a[11]=((C_word*)t0)[12],a[12]=((C_word*)t0)[13],a[13]=((C_word*)t0)[14],tmp=(C_word)a,a+=14,tmp);
/* library.scm:2509: scan-digits+hashes */
t3=((C_word*)t0)[13];
f_15598(t3,t2,((C_word*)t0)[3],((C_word*)t0)[6],C_SCHEME_FALSE);}}

/* k15945 in k15932 in scan-ureal in string->compnum in k8490 */
static void C_ccall f_15947(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(14,c,2)))){
C_save_and_reclaim((void *)f_15947,2,av);}
a=C_alloc(14);
t2=t1;
if(C_truep(t2)){
t3=(*a=C_CLOSURE_TYPE|13,a[1]=(C_word)f_15953,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=t2,a[5]=((C_word*)t0)[4],a[6]=((C_word*)t0)[5],a[7]=((C_word*)t0)[6],a[8]=((C_word*)t0)[7],a[9]=((C_word*)t0)[8],a[10]=((C_word*)t0)[9],a[11]=((C_word*)t0)[10],a[12]=((C_word*)t0)[11],a[13]=((C_word*)t0)[12],tmp=(C_word)a,a+=14,tmp);
if(C_truep(C_i_cdr(t2))){
t4=C_u_i_cdr(t2);
t5=((C_word*)t0)[13];
t6=t3;
f_15953(t6,C_subchar(t5,t4));}
else{
t4=t3;
f_15953(t4,C_SCHEME_FALSE);}}
else{
t3=((C_word*)t0)[6];{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_SCHEME_FALSE;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}}

/* k15951 in k15945 in k15932 in scan-ureal in string->compnum in k8490 */
static void C_fcall f_15953(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word t12;
C_word t13;
C_word t14;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(12,0,4)))){
C_save_and_reclaim_args((void *)trf_15953,2,t0,t1);}
a=C_alloc(12);
t2=t1;
t3=C_eqp(t2,C_make_character(46));
if(C_truep(t3)){
t4=(
  /* library.scm:2512: go-inexact! */
  f_15356(((C_word*)((C_word*)t0)[2])[1])
);
t5=C_eqp(((C_word*)t0)[3],C_fix(10));
if(C_truep(t5)){
t6=C_u_i_cdr(((C_word*)t0)[4]);
t7=C_fixnum_plus(t6,C_fix(1));
if(C_truep(C_fixnum_greaterp(((C_word*)t0)[5],t7))){
t8=C_u_i_cdr(((C_word*)t0)[4]);
t9=C_fixnum_plus(t8,C_fix(1));
t10=C_u_i_car(((C_word*)t0)[4]);
/* library.scm:2515: scan-decimal-tail */
t11=((C_word*)t0)[6];
f_15715(t11,((C_word*)t0)[7],t9,((C_word*)t0)[8],t10);}
else{
t8=C_u_i_car(((C_word*)t0)[4]);
t9=((C_word*)t0)[7];{
C_word av2[2];
av2[0]=t9;
av2[1]=C_a_i_cons(&a,2,t8,C_SCHEME_FALSE);
((C_proc)(void*)(*((C_word*)t9+1)))(2,av2);}}}
else{
t6=((C_word*)t0)[7];{
C_word av2[2];
av2[0]=t6;
av2[1]=C_SCHEME_FALSE;
((C_proc)(void*)(*((C_word*)t6+1)))(2,av2);}}}
else{
t4=C_eqp(t2,C_make_character(101));
t5=(*a=C_CLOSURE_TYPE|11,a[1]=(C_word)f_16005,a[2]=((C_word*)t0)[3],a[3]=((C_word*)t0)[4],a[4]=((C_word*)t0)[5],a[5]=((C_word*)t0)[7],a[6]=((C_word*)t0)[9],a[7]=((C_word*)t0)[10],a[8]=t2,a[9]=((C_word*)t0)[11],a[10]=((C_word*)t0)[12],a[11]=((C_word*)t0)[13],tmp=(C_word)a,a+=12,tmp);
if(C_truep(t4)){
t6=t5;
f_16005(t6,t4);}
else{
t6=C_eqp(t2,C_make_character(115));
if(C_truep(t6)){
t7=t5;
f_16005(t7,t6);}
else{
t7=C_eqp(t2,C_make_character(102));
if(C_truep(t7)){
t8=t5;
f_16005(t8,t7);}
else{
t8=C_eqp(t2,C_make_character(100));
if(C_truep(t8)){
t9=t5;
f_16005(t9,t8);}
else{
t9=C_eqp(t2,C_make_character(108));
if(C_truep(t9)){
t10=t5;
f_16005(t10,t9);}
else{
t10=C_eqp(t2,C_make_character(69));
if(C_truep(t10)){
t11=t5;
f_16005(t11,t10);}
else{
t11=C_eqp(t2,C_make_character(83));
if(C_truep(t11)){
t12=t5;
f_16005(t12,t11);}
else{
t12=C_eqp(t2,C_make_character(70));
if(C_truep(t12)){
t13=t5;
f_16005(t13,t12);}
else{
t13=C_eqp(t2,C_make_character(68));
t14=t5;
f_16005(t14,(C_truep(t13)?t13:C_eqp(t2,C_make_character(76))));}}}}}}}}}}

/* k16003 in k15951 in k15945 in k15932 in scan-ureal in string->compnum in k8490 */
static void C_fcall f_16005(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,0,4)))){
C_save_and_reclaim_args((void *)trf_16005,2,t0,t1);}
a=C_alloc(5);
if(C_truep(t1)){
t2=C_eqp(((C_word*)t0)[2],C_fix(10));
if(C_truep(t2)){
t3=C_u_i_cdr(((C_word*)t0)[3]);
if(C_truep(C_fixnum_greaterp(((C_word*)t0)[4],t3))){
t4=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_16020,a[2]=((C_word*)t0)[3],a[3]=((C_word*)t0)[5],a[4]=((C_word*)t0)[6],tmp=(C_word)a,a+=5,tmp);
t5=C_u_i_cdr(((C_word*)t0)[3]);
t6=C_fixnum_plus(t5,C_fix(1));
/* library.scm:2521: scan-exponent */
t7=((C_word*)t0)[7];
f_15654(t7,t4,t6);}
else{
t4=((C_word*)t0)[5];{
C_word av2[2];
av2[0]=t4;
av2[1]=C_SCHEME_FALSE;
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}}
else{
t3=((C_word*)t0)[5];{
C_word av2[2];
av2[0]=t3;
av2[1]=C_SCHEME_FALSE;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}}
else{
t2=C_eqp(((C_word*)t0)[8],C_make_character(47));
if(C_truep(t2)){
t3=C_set_block_item(((C_word*)t0)[9],0,C_SCHEME_FALSE);
t4=C_u_i_cdr(((C_word*)t0)[3]);
if(C_truep(C_fixnum_greaterp(((C_word*)t0)[4],t4))){
t5=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_16066,a[2]=((C_word*)t0)[3],a[3]=((C_word*)t0)[5],a[4]=((C_word*)t0)[10],tmp=(C_word)a,a+=5,tmp);
t6=C_u_i_cdr(((C_word*)t0)[3]);
t7=C_fixnum_plus(t6,C_fix(1));
/* library.scm:2528: scan-digits+hashes */
t8=((C_word*)t0)[11];
f_15598(t8,t5,t7,C_SCHEME_FALSE,C_SCHEME_FALSE);}
else{
t5=((C_word*)t0)[5];{
C_word av2[2];
av2[0]=t5;
av2[1]=C_SCHEME_FALSE;
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}}
else{
t3=((C_word*)t0)[5];{
C_word av2[2];
av2[0]=t3;
av2[1]=((C_word*)t0)[3];
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}}}

/* k16018 in k16003 in k15951 in k15945 in k15932 in scan-ureal in string->compnum in k8490 */
static void C_ccall f_16020(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,c,3)))){
C_save_and_reclaim((void *)f_16020,2,av);}
a=C_alloc(4);
t2=t1;
if(C_truep(t2)){
t3=C_u_i_car(((C_word*)t0)[2]);
if(C_truep(t3)){
t4=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_16030,a[2]=t2,a[3]=((C_word*)t0)[3],tmp=(C_word)a,a+=4,tmp);
t5=C_i_car(t2);
/* library.scm:2523: safe-exponent */
t6=((C_word*)((C_word*)t0)[4])[1];
f_15366(t6,t4,t3,t5);}
else{
t4=((C_word*)t0)[3];{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_SCHEME_FALSE;
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}}
else{
t3=((C_word*)t0)[3];{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_SCHEME_FALSE;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}}

/* k16028 in k16018 in k16003 in k15951 in k15945 in k15932 in scan-ureal in string->compnum in k8490 */
static void C_ccall f_16030(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,1)))){
C_save_and_reclaim((void *)f_16030,2,av);}
a=C_alloc(3);
if(C_truep(t1)){
t2=C_u_i_cdr(((C_word*)t0)[2]);
t3=((C_word*)t0)[3];{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_a_i_cons(&a,2,t1,t2);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}
else{
t2=((C_word*)t0)[3];{
C_word *av2=av;
av2[0]=t2;
av2[1]=C_SCHEME_FALSE;
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}}

/* k16064 in k16003 in k15951 in k15945 in k15932 in scan-ureal in string->compnum in k8490 */
static void C_ccall f_16066(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,c,3)))){
C_save_and_reclaim((void *)f_16066,2,av);}
a=C_alloc(4);
t2=t1;
if(C_truep(t2)){
t3=C_u_i_car(((C_word*)t0)[2]);
if(C_truep(t3)){
t4=C_i_car(t2);
if(C_truep(t4)){
t5=C_eqp(t4,C_fix(0));
if(C_truep(C_i_not(t5))){
t6=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_16092,a[2]=t2,a[3]=((C_word*)t0)[3],tmp=(C_word)a,a+=4,tmp);
/* library.scm:2532: ##sys#/-2 */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[526]+1));
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[526]+1);
av2[1]=t6;
av2[2]=t3;
av2[3]=t4;
tp(4,av2);}}
else{
t6=C_eqp(((C_word*)((C_word*)t0)[4])[1],lf[609]);
if(C_truep(C_i_not(t6))){
t7=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_16103,a[2]=t2,a[3]=((C_word*)t0)[3],tmp=(C_word)a,a+=4,tmp);
/* library.scm:2536: chicken.base#signum */
t8=*((C_word*)lf[185]+1);{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t8;
av2[1]=t7;
av2[2]=t3;
((C_proc)(void*)(*((C_word*)t8+1)))(3,av2);}}
else{
t7=((C_word*)t0)[3];{
C_word *av2=av;
av2[0]=t7;
av2[1]=C_SCHEME_FALSE;
((C_proc)(void*)(*((C_word*)t7+1)))(2,av2);}}}}
else{
t5=((C_word*)t0)[3];{
C_word *av2=av;
av2[0]=t5;
av2[1]=C_SCHEME_FALSE;
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}}
else{
t4=((C_word*)t0)[3];{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_SCHEME_FALSE;
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}}
else{
t3=((C_word*)t0)[3];{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_SCHEME_FALSE;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}}

/* k16090 in k16064 in k16003 in k15951 in k15945 in k15932 in scan-ureal in string->compnum in k8490 */
static void C_ccall f_16092(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,1)))){
C_save_and_reclaim((void *)f_16092,2,av);}
a=C_alloc(3);
t2=C_u_i_cdr(((C_word*)t0)[2]);
t3=((C_word*)t0)[3];{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_a_i_cons(&a,2,t1,t2);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* k16101 in k16064 in k16003 in k15951 in k15945 in k15932 in scan-ureal in string->compnum in k8490 */
static void C_ccall f_16103(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(7,c,1)))){
C_save_and_reclaim((void *)f_16103,2,av);}
a=C_alloc(7);
switch(t1){
case C_fix(-1):
t2=C_u_i_cdr(((C_word*)t0)[2]);
t3=((C_word*)t0)[3];{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_a_i_cons(&a,2,lf[612],t2);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}
case C_fix(0):
t2=C_a_i_flonum_quotient(&a,2,lf[500],lf[500]);
t3=C_u_i_cdr(((C_word*)t0)[2]);
t4=((C_word*)t0)[3];{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_a_i_cons(&a,2,t2,t3);
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}
case C_fix(1):
t2=C_u_i_cdr(((C_word*)t0)[2]);
t3=((C_word*)t0)[3];{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_a_i_cons(&a,2,lf[611],t2);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}
default:
t2=((C_word*)t0)[3];{
C_word *av2=av;
av2[0]=t2;
av2[1]=C_SCHEME_UNDEFINED;
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}}

/* scan-real in string->compnum in k8490 */
static void C_fcall f_16270(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(8,0,2)))){
C_save_and_reclaim_args((void *)trf_16270,3,t0,t1,t2);}
a=C_alloc(8);
if(C_truep(C_fixnum_lessp(t2,((C_word*)t0)[2]))){
t3=((C_word*)t0)[3];
t4=t2;
t5=C_subchar(t3,t4);
t6=(*a=C_CLOSURE_TYPE|7,a[1]=(C_word)f_16285,a[2]=t2,a[3]=((C_word*)t0)[2],a[4]=((C_word*)t0)[3],a[5]=t1,a[6]=((C_word*)t0)[4],a[7]=((C_word*)t0)[5],tmp=(C_word)a,a+=8,tmp);
t7=C_eqp(t5,C_make_character(43));
if(C_truep(t7)){
t8=t6;
f_16285(t8,lf[614]);}
else{
t8=C_eqp(t5,C_make_character(45));
t9=t6;
f_16285(t9,(C_truep(t8)?lf[613]:C_SCHEME_FALSE));}}
else{
t3=t1;{
C_word av2[2];
av2[0]=t3;
av2[1]=C_SCHEME_FALSE;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}}

/* k16283 in scan-real in string->compnum in k8490 */
static void C_fcall f_16285(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word t12;
C_word t13;
C_word t14;
C_word t15;
C_word t16;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(16,0,4)))){
C_save_and_reclaim_args((void *)trf_16285,2,t0,t1);}
a=C_alloc(16);
t2=t1;
t3=(C_truep(t2)?C_fixnum_plus(((C_word*)t0)[2],C_fix(1)):((C_word*)t0)[2]);
t4=t3;
if(C_truep(C_fixnum_lessp(t4,((C_word*)t0)[3]))){
t5=((C_word*)t0)[4];
t6=C_subchar(t5,t4);
t7=C_eqp(t6,C_make_character(105));
t8=(C_truep(t7)?t7:C_eqp(t6,C_make_character(73)));
if(C_truep(t8)){
t9=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_16311,a[2]=((C_word*)t0)[5],a[3]=t2,a[4]=((C_word*)t0)[6],a[5]=t4,tmp=(C_word)a,a+=6,tmp);
if(C_truep(t2)){
t10=C_fixnum_plus(t4,C_fix(1));
t11=C_eqp(t10,((C_word*)t0)[3]);
if(C_truep(t11)){
t12=C_eqp(t2,lf[613]);
t13=t9;
f_16311(t13,(C_truep(t12)?C_a_i_cons(&a,2,C_fix(-1),t4):C_a_i_cons(&a,2,C_fix(1),t4)));}
else{
t12=(*a=C_CLOSURE_TYPE|6,a[1]=(C_word)f_16343,a[2]=((C_word*)t0)[7],a[3]=t2,a[4]=t4,a[5]=((C_word*)t0)[3],a[6]=t9,tmp=(C_word)a,a+=7,tmp);
t13=C_fixnum_plus(t4,C_fix(5));
if(C_truep(C_fixnum_less_or_equal_p(t13,((C_word*)t0)[3]))){
t14=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_16380,a[2]=t12,tmp=(C_word)a,a+=3,tmp);
t15=C_fixnum_plus(t4,C_fix(5));
/* library.scm:2555: scheme#substring */
t16=*((C_word*)lf[393]+1);{
C_word av2[5];
av2[0]=t16;
av2[1]=t14;
av2[2]=((C_word*)t0)[4];
av2[3]=t4;
av2[4]=t15;
((C_proc)(void*)(*((C_word*)t16+1)))(5,av2);}}
else{
t14=t12;
f_16343(t14,C_SCHEME_FALSE);}}}
else{
t10=t9;
f_16311(t10,C_SCHEME_FALSE);}}
else{
t9=C_eqp(t6,C_make_character(110));
t10=(C_truep(t9)?t9:C_eqp(t6,C_make_character(78)));
if(C_truep(t10)){
t11=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_16404,a[2]=((C_word*)t0)[5],a[3]=t2,a[4]=((C_word*)t0)[6],a[5]=t4,tmp=(C_word)a,a+=6,tmp);
if(C_truep(t2)){
t12=C_fixnum_plus(t4,C_fix(5));
if(C_truep(C_fixnum_less_or_equal_p(t12,((C_word*)t0)[3]))){
t13=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_16454,a[2]=((C_word*)t0)[7],a[3]=t4,a[4]=((C_word*)t0)[3],a[5]=t11,tmp=(C_word)a,a+=6,tmp);
t14=C_fixnum_plus(t4,C_fix(5));
/* library.scm:2565: scheme#substring */
t15=*((C_word*)lf[393]+1);{
C_word av2[5];
av2[0]=t15;
av2[1]=t13;
av2[2]=((C_word*)t0)[4];
av2[3]=t4;
av2[4]=t14;
((C_proc)(void*)(*((C_word*)t15+1)))(5,av2);}}
else{
t13=t11;
f_16404(t13,C_SCHEME_FALSE);}}
else{
t12=t11;
f_16404(t12,C_SCHEME_FALSE);}}
else{
t11=C_eqp(t2,lf[613]);
/* library.scm:2571: scan-ureal */
t12=((C_word*)t0)[6];
f_15927(t12,((C_word*)t0)[5],t4,t11);}}}
else{
t5=((C_word*)t0)[5];{
C_word av2[2];
av2[0]=t5;
av2[1]=C_SCHEME_FALSE;
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}}

/* k16309 in k16283 in scan-real in string->compnum in k8490 */
static void C_fcall f_16311(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,0,3)))){
C_save_and_reclaim_args((void *)trf_16311,2,t0,t1);}
if(C_truep(t1)){
t2=((C_word*)t0)[2];{
C_word av2[2];
av2[0]=t2;
av2[1]=t1;
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}
else{
t2=C_eqp(((C_word*)t0)[3],lf[613]);
/* library.scm:2561: scan-ureal */
t3=((C_word*)t0)[4];
f_15927(t3,((C_word*)t0)[2],((C_word*)t0)[5],t2);}}

/* k16341 in k16283 in scan-real in string->compnum in k8490 */
static void C_fcall f_16343(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,0,1)))){
C_save_and_reclaim_args((void *)trf_16343,2,t0,t1);}
a=C_alloc(3);
if(C_truep(t1)){
t2=(
  /* library.scm:2556: go-inexact! */
  f_15356(((C_word*)((C_word*)t0)[2])[1])
);
t3=C_eqp(((C_word*)t0)[3],lf[613]);
t4=(C_truep(t3)?lf[612]:lf[611]);
t5=C_fixnum_plus(((C_word*)t0)[4],C_fix(5));
if(C_truep(C_fixnum_lessp(t5,((C_word*)t0)[5]))){
t6=C_fixnum_plus(((C_word*)t0)[4],C_fix(5));
t7=((C_word*)t0)[6];
f_16311(t7,C_a_i_cons(&a,2,t4,t6));}
else{
t6=((C_word*)t0)[6];
f_16311(t6,C_a_i_cons(&a,2,t4,C_SCHEME_FALSE));}}
else{
t2=((C_word*)t0)[6];
f_16311(t2,C_SCHEME_FALSE);}}

/* k16378 in k16283 in scan-real in string->compnum in k8490 */
static void C_ccall f_16380(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_16380,2,av);}
t2=((C_word*)t0)[2];
f_16343(t2,C_i_string_ci_equal_p(t1,lf[615]));}

/* k16402 in k16283 in scan-real in string->compnum in k8490 */
static void C_fcall f_16404(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,0,3)))){
C_save_and_reclaim_args((void *)trf_16404,2,t0,t1);}
if(C_truep(t1)){
t2=t1;
t3=((C_word*)t0)[2];{
C_word av2[2];
av2[0]=t3;
av2[1]=t2;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}
else{
t2=C_eqp(((C_word*)t0)[3],lf[613]);
/* library.scm:2570: scan-ureal */
t3=((C_word*)t0)[4];
f_15927(t3,((C_word*)t0)[2],((C_word*)t0)[5],t2);}}

/* k16452 in k16283 in scan-real in string->compnum in k8490 */
static void C_ccall f_16454(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(7,c,1)))){
C_save_and_reclaim((void *)f_16454,2,av);}
a=C_alloc(7);
if(C_truep(C_i_string_ci_equal_p(t1,lf[616]))){
t2=(
  /* library.scm:2566: go-inexact! */
  f_15356(((C_word*)((C_word*)t0)[2])[1])
);
t3=C_a_i_flonum_quotient(&a,2,lf[500],lf[500]);
t4=C_fixnum_plus(((C_word*)t0)[3],C_fix(5));
if(C_truep(C_fixnum_lessp(t4,((C_word*)t0)[4]))){
t5=C_fixnum_plus(((C_word*)t0)[3],C_fix(5));
t6=((C_word*)t0)[5];
f_16404(t6,C_a_i_cons(&a,2,t3,t5));}
else{
t5=((C_word*)t0)[5];
f_16404(t5,C_a_i_cons(&a,2,t3,C_SCHEME_FALSE));}}
else{
t2=((C_word*)t0)[5];
f_16404(t2,C_SCHEME_FALSE);}}

/* k16500 in string->compnum in k8490 */
static void C_ccall f_16502(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(13,c,2)))){
C_save_and_reclaim((void *)f_16502,2,av);}
a=C_alloc(13);
t2=t1;
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_16505,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],tmp=(C_word)a,a+=4,tmp);
if(C_truep(t2)){
t4=(*a=C_CLOSURE_TYPE|8,a[1]=(C_word)f_16524,a[2]=t2,a[3]=t3,a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[5],a[6]=((C_word*)t0)[6],a[7]=((C_word*)t0)[7],a[8]=((C_word*)t0)[8],tmp=(C_word)a,a+=9,tmp);
if(C_truep(C_i_cdr(t2))){
t5=C_u_i_cdr(t2);
t6=((C_word*)t0)[5];
t7=t4;
f_16524(t7,C_subchar(t6,t5));}
else{
t5=t4;
f_16524(t5,C_SCHEME_FALSE);}}
else{
t4=t3;{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_SCHEME_FALSE;
f_16505(2,av2);}}}

/* k16503 in k16500 in string->compnum in k8490 */
static void C_ccall f_16505(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_16505,2,av);}
if(C_truep(t1)){
t2=C_eqp(((C_word*)((C_word*)t0)[2])[1],lf[610]);
if(C_truep(t2)){
/* library.scm:2594: scheme#exact->inexact */
t3=*((C_word*)lf[62]+1);{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t3;
av2[1]=((C_word*)t0)[3];
av2[2]=t1;
((C_proc)(void*)(*((C_word*)t3+1)))(3,av2);}}
else{
t3=((C_word*)t0)[3];{
C_word *av2=av;
av2[0]=t3;
av2[1]=(C_truep(C_i_finitep(t1))?t1:C_SCHEME_FALSE);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}}
else{
t2=((C_word*)t0)[3];{
C_word *av2=av;
av2[0]=t2;
av2[1]=C_SCHEME_FALSE;
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}}

/* k16522 in k16500 in string->compnum in k8490 */
static void C_fcall f_16524(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word t12;
C_word t13;
C_word t14;
C_word t15;
C_word t16;
C_word t17;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,0,3)))){
C_save_and_reclaim_args((void *)trf_16524,2,t0,t1);}
a=C_alloc(6);
t2=C_eqp(t1,C_SCHEME_FALSE);
if(C_truep(t2)){
t3=C_u_i_car(((C_word*)t0)[2]);
t4=((C_word*)t0)[3];{
C_word av2[2];
av2[0]=t4;
av2[1]=t3;
f_16505(2,av2);}}
else{
t3=C_eqp(t1,C_make_character(105));
t4=(C_truep(t3)?t3:C_eqp(t1,C_make_character(73)));
if(C_truep(t4)){
t5=C_u_i_cdr(((C_word*)t0)[2]);
t6=C_fixnum_plus(t5,C_fix(1));
t7=C_eqp(((C_word*)t0)[4],t6);
if(C_truep(t7)){
t8=((C_word*)t0)[5];
t9=((C_word*)t0)[6];
t10=C_subchar(t8,t9);
t11=C_eqp(t10,C_make_character(43));
if(C_truep(t11)){
if(C_truep(t11)){
t12=C_u_i_car(((C_word*)t0)[2]);
/* library.scm:2578: scheme#make-rectangular */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[501]+1));
C_word av2[4];
av2[0]=*((C_word*)lf[501]+1);
av2[1]=((C_word*)t0)[3];
av2[2]=C_fix(0);
av2[3]=t12;
tp(4,av2);}}
else{
t12=((C_word*)t0)[3];{
C_word av2[2];
av2[0]=t12;
av2[1]=C_SCHEME_FALSE;
f_16505(2,av2);}}}
else{
t12=((C_word*)t0)[5];
t13=((C_word*)t0)[6];
t14=C_subchar(t12,t13);
t15=C_eqp(t14,C_make_character(45));
if(C_truep(t15)){
t16=C_u_i_car(((C_word*)t0)[2]);
/* library.scm:2578: scheme#make-rectangular */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[501]+1));
C_word av2[4];
av2[0]=*((C_word*)lf[501]+1);
av2[1]=((C_word*)t0)[3];
av2[2]=C_fix(0);
av2[3]=t16;
tp(4,av2);}}
else{
t16=((C_word*)t0)[3];{
C_word av2[2];
av2[0]=t16;
av2[1]=C_SCHEME_FALSE;
f_16505(2,av2);}}}}
else{
t8=((C_word*)t0)[3];{
C_word av2[2];
av2[0]=t8;
av2[1]=C_SCHEME_FALSE;
f_16505(2,av2);}}}
else{
t5=C_eqp(t1,C_make_character(43));
t6=(C_truep(t5)?t5:C_eqp(t1,C_make_character(45)));
if(C_truep(t6)){
t7=C_set_block_item(((C_word*)t0)[7],0,C_SCHEME_FALSE);
t8=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_16594,a[2]=((C_word*)t0)[4],a[3]=((C_word*)t0)[5],a[4]=((C_word*)t0)[2],a[5]=((C_word*)t0)[3],tmp=(C_word)a,a+=6,tmp);
t9=C_u_i_cdr(((C_word*)t0)[2]);
/* library.scm:2581: scan-real */
t10=((C_word*)t0)[8];
f_16270(t10,t8,t9);}
else{
t7=C_eqp(t1,C_make_character(64));
if(C_truep(t7)){
t8=C_set_block_item(((C_word*)t0)[7],0,C_SCHEME_FALSE);
t9=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_16662,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],tmp=(C_word)a,a+=4,tmp);
t10=C_u_i_cdr(((C_word*)t0)[2]);
t11=C_fixnum_plus(t10,C_fix(1));
/* library.scm:2589: scan-real */
t12=((C_word*)t0)[8];
f_16270(t12,t9,t11);}
else{
t8=((C_word*)t0)[3];{
C_word av2[2];
av2[0]=t8;
av2[1]=C_SCHEME_FALSE;
f_16505(2,av2);}}}}}}

/* k16592 in k16522 in k16500 in string->compnum in k8490 */
static void C_ccall f_16594(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word t12;
C_word t13;
C_word t14;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,c,2)))){
C_save_and_reclaim((void *)f_16594,2,av);}
a=C_alloc(5);
t2=t1;
if(C_truep(t2)){
if(C_truep(C_i_cdr(t2))){
t3=C_u_i_cdr(t2);
t4=C_fixnum_plus(t3,C_fix(1));
t5=C_eqp(((C_word*)t0)[2],t4);
if(C_truep(t5)){
t6=C_u_i_cdr(t2);
t7=((C_word*)t0)[3];
t8=C_subchar(t7,t6);
t9=C_eqp(t8,C_make_character(105));
t10=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_16615,a[2]=((C_word*)t0)[4],a[3]=t2,a[4]=((C_word*)t0)[5],tmp=(C_word)a,a+=5,tmp);
if(C_truep(t9)){
t11=t10;
f_16615(t11,t9);}
else{
t11=C_u_i_cdr(t2);
t12=((C_word*)t0)[3];
t13=C_subchar(t12,t11);
t14=t10;
f_16615(t14,C_eqp(t13,C_make_character(73)));}}
else{
t6=((C_word*)t0)[5];{
C_word *av2=av;
av2[0]=t6;
av2[1]=C_SCHEME_FALSE;
f_16505(2,av2);}}}
else{
t3=((C_word*)t0)[5];{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_SCHEME_FALSE;
f_16505(2,av2);}}}
else{
t3=((C_word*)t0)[5];{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_SCHEME_FALSE;
f_16505(2,av2);}}}

/* k16613 in k16592 in k16522 in k16500 in string->compnum in k8490 */
static void C_fcall f_16615(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,0,3)))){
C_save_and_reclaim_args((void *)trf_16615,2,t0,t1);}
if(C_truep(t1)){
t2=C_u_i_car(((C_word*)t0)[2]);
t3=C_u_i_car(((C_word*)t0)[3]);
/* library.scm:2586: scheme#make-rectangular */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[501]+1));
C_word av2[4];
av2[0]=*((C_word*)lf[501]+1);
av2[1]=((C_word*)t0)[4];
av2[2]=t2;
av2[3]=t3;
tp(4,av2);}}
else{
t2=((C_word*)t0)[4];{
C_word av2[2];
av2[0]=t2;
av2[1]=C_SCHEME_FALSE;
f_16505(2,av2);}}}

/* k16660 in k16522 in k16500 in string->compnum in k8490 */
static void C_ccall f_16662(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_16662,2,av);}
if(C_truep(t1)){
t2=C_i_cdr(t1);
if(C_truep(C_i_not(t2))){
t3=C_u_i_car(((C_word*)t0)[2]);
t4=C_u_i_car(t1);
/* library.scm:2591: scheme#make-polar */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[503]+1));
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[503]+1);
av2[1]=((C_word*)t0)[3];
av2[2]=t3;
av2[3]=t4;
tp(4,av2);}}
else{
t3=((C_word*)t0)[3];{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_SCHEME_FALSE;
f_16505(2,av2);}}}
else{
t2=((C_word*)t0)[3];{
C_word *av2=av;
av2[0]=t2;
av2[1]=C_SCHEME_FALSE;
f_16505(2,av2);}}}

/* scheme#string->number in k8490 */
static void C_ccall f_16754(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c<3) C_bad_min_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand((c-3)*C_SIZEOF_PAIR +5,c,3)))){
C_save_and_reclaim((void*)f_16754,c,av);}
a=C_alloc((c-3)*C_SIZEOF_PAIR+5);
t3=C_build_rest(&a,c,3,av);
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
t4=C_i_nullp(t3);
t5=(C_truep(t4)?C_fix(10):C_i_car(t3));
t6=t5;
t7=C_i_check_string_2(t2,lf[618]);
t8=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_16764,a[2]=t2,a[3]=t6,a[4]=t1,tmp=(C_word)a,a+=5,tmp);
if(C_truep(C_fixnump(t6))){
if(C_truep(C_fixnum_lessp(C_fix(1),t6))){
if(C_truep(C_fixnum_lessp(t6,C_fix(37)))){
t9=t8;{
C_word *av2=av;
av2[0]=t9;
av2[1]=C_SCHEME_UNDEFINED;
f_16764(2,av2);}}
else{
/* library.scm:2603: ##sys#error-bad-base */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[372]+1));
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[372]+1);
av2[1]=t8;
av2[2]=t6;
av2[3]=lf[618];
tp(4,av2);}}}
else{
/* library.scm:2603: ##sys#error-bad-base */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[372]+1));
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[372]+1);
av2[1]=t8;
av2[2]=t6;
av2[3]=lf[618];
tp(4,av2);}}}
else{
/* library.scm:2603: ##sys#error-bad-base */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[372]+1));
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[372]+1);
av2[1]=t8;
av2[2]=t6;
av2[3]=lf[618];
tp(4,av2);}}}

/* k16762 in scheme#string->number in k8490 */
static void C_ccall f_16764(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(8,c,6)))){
C_save_and_reclaim((void *)f_16764,2,av);}
a=C_alloc(8);
t2=C_block_size(((C_word*)t0)[2]);
t3=C_SCHEME_UNDEFINED;
t4=(*a=C_VECTOR_TYPE|1,a[1]=t3,tmp=(C_word)a,a+=2,tmp);
t5=C_set_block_item(t4,0,(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_16773,a[2]=((C_word*)t0)[2],a[3]=t4,a[4]=((C_word*)t0)[3],a[5]=((C_word)li455),tmp=(C_word)a,a+=6,tmp));
t6=((C_word*)t4)[1];
f_16773(t6,((C_word*)t0)[4],C_fix(0),C_SCHEME_FALSE,C_SCHEME_FALSE,t2);}

/* scan-prefix in k16762 in scheme#string->number in k8490 */
static void C_fcall f_16773(C_word t0,C_word t1,C_word t2,C_word t3,C_word t4,C_word t5){
C_word tmp;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(10,0,2)))){
C_save_and_reclaim_args((void *)trf_16773,6,t0,t1,t2,t3,t4,t5);}
a=C_alloc(10);
t6=(*a=C_CLOSURE_TYPE|9,a[1]=(C_word)f_16780,a[2]=t2,a[3]=((C_word*)t0)[2],a[4]=t3,a[5]=((C_word*)t0)[3],a[6]=t1,a[7]=t4,a[8]=t5,a[9]=((C_word*)t0)[4],tmp=(C_word)a,a+=10,tmp);
t7=C_fixnum_plus(t2,C_fix(2));
if(C_truep(C_fixnum_lessp(t7,t5))){
t8=((C_word*)t0)[2];
t9=t2;
t10=C_subchar(t8,t9);
t11=t6;
f_16780(t11,C_eqp(t10,C_make_character(35)));}
else{
t8=t6;
f_16780(t8,C_SCHEME_FALSE);}}

/* k16778 in scan-prefix in k16762 in scheme#string->number in k8490 */
static void C_fcall f_16780(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word t12;
C_word t13;
C_word t14;
C_word t15;
C_word t16;
C_word t17;
C_word t18;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,0,5)))){
C_save_and_reclaim_args((void *)trf_16780,2,t0,t1);}
if(C_truep(t1)){
t2=C_fixnum_plus(((C_word*)t0)[2],C_fix(1));
t3=((C_word*)t0)[3];
t4=C_subchar(t3,t2);
t5=C_eqp(t4,C_make_character(105));
t6=(C_truep(t5)?t5:C_eqp(t4,C_make_character(73)));
if(C_truep(t6)){
if(C_truep(C_i_not(((C_word*)t0)[4]))){
t7=C_fixnum_plus(((C_word*)t0)[2],C_fix(2));
/* library.scm:2610: scan-prefix */
t8=((C_word*)((C_word*)t0)[5])[1];
f_16773(t8,((C_word*)t0)[6],t7,lf[610],((C_word*)t0)[7],((C_word*)t0)[8]);}
else{
t7=((C_word*)t0)[6];{
C_word av2[2];
av2[0]=t7;
av2[1]=C_SCHEME_FALSE;
((C_proc)(void*)(*((C_word*)t7+1)))(2,av2);}}}
else{
t7=C_eqp(t4,C_make_character(101));
t8=(C_truep(t7)?t7:C_eqp(t4,C_make_character(69)));
if(C_truep(t8)){
if(C_truep(C_i_not(((C_word*)t0)[4]))){
t9=C_fixnum_plus(((C_word*)t0)[2],C_fix(2));
/* library.scm:2611: scan-prefix */
t10=((C_word*)((C_word*)t0)[5])[1];
f_16773(t10,((C_word*)t0)[6],t9,lf[609],((C_word*)t0)[7],((C_word*)t0)[8]);}
else{
t9=((C_word*)t0)[6];{
C_word av2[2];
av2[0]=t9;
av2[1]=C_SCHEME_FALSE;
((C_proc)(void*)(*((C_word*)t9+1)))(2,av2);}}}
else{
t9=C_eqp(t4,C_make_character(98));
t10=(C_truep(t9)?t9:C_eqp(t4,C_make_character(66)));
if(C_truep(t10)){
if(C_truep(C_i_not(((C_word*)t0)[7]))){
t11=C_fixnum_plus(((C_word*)t0)[2],C_fix(2));
/* library.scm:2612: scan-prefix */
t12=((C_word*)((C_word*)t0)[5])[1];
f_16773(t12,((C_word*)t0)[6],t11,((C_word*)t0)[4],C_fix(2),((C_word*)t0)[8]);}
else{
t11=((C_word*)t0)[6];{
C_word av2[2];
av2[0]=t11;
av2[1]=C_SCHEME_FALSE;
((C_proc)(void*)(*((C_word*)t11+1)))(2,av2);}}}
else{
t11=C_eqp(t4,C_make_character(111));
t12=(C_truep(t11)?t11:C_eqp(t4,C_make_character(79)));
if(C_truep(t12)){
if(C_truep(C_i_not(((C_word*)t0)[7]))){
t13=C_fixnum_plus(((C_word*)t0)[2],C_fix(2));
/* library.scm:2613: scan-prefix */
t14=((C_word*)((C_word*)t0)[5])[1];
f_16773(t14,((C_word*)t0)[6],t13,((C_word*)t0)[4],C_fix(8),((C_word*)t0)[8]);}
else{
t13=((C_word*)t0)[6];{
C_word av2[2];
av2[0]=t13;
av2[1]=C_SCHEME_FALSE;
((C_proc)(void*)(*((C_word*)t13+1)))(2,av2);}}}
else{
t13=C_eqp(t4,C_make_character(100));
t14=(C_truep(t13)?t13:C_eqp(t4,C_make_character(68)));
if(C_truep(t14)){
if(C_truep(C_i_not(((C_word*)t0)[7]))){
t15=C_fixnum_plus(((C_word*)t0)[2],C_fix(2));
/* library.scm:2614: scan-prefix */
t16=((C_word*)((C_word*)t0)[5])[1];
f_16773(t16,((C_word*)t0)[6],t15,((C_word*)t0)[4],C_fix(10),((C_word*)t0)[8]);}
else{
t15=((C_word*)t0)[6];{
C_word av2[2];
av2[0]=t15;
av2[1]=C_SCHEME_FALSE;
((C_proc)(void*)(*((C_word*)t15+1)))(2,av2);}}}
else{
t15=C_eqp(t4,C_make_character(120));
t16=(C_truep(t15)?t15:C_eqp(t4,C_make_character(88)));
if(C_truep(t16)){
if(C_truep(C_i_not(((C_word*)t0)[7]))){
t17=C_fixnum_plus(((C_word*)t0)[2],C_fix(2));
/* library.scm:2615: scan-prefix */
t18=((C_word*)((C_word*)t0)[5])[1];
f_16773(t18,((C_word*)t0)[6],t17,((C_word*)t0)[4],C_fix(16),((C_word*)t0)[8]);}
else{
t17=((C_word*)t0)[6];{
C_word av2[2];
av2[0]=t17;
av2[1]=C_SCHEME_FALSE;
((C_proc)(void*)(*((C_word*)t17+1)))(2,av2);}}}
else{
t17=((C_word*)t0)[6];{
C_word av2[2];
av2[0]=t17;
av2[1]=C_SCHEME_FALSE;
((C_proc)(void*)(*((C_word*)t17+1)))(2,av2);}}}}}}}}
else{
t2=((C_word*)t0)[7];
if(C_truep(t2)){
/* library.scm:2617: ##sys#string->compnum */
f_15353(((C_word*)t0)[6],t2,((C_word*)t0)[3],((C_word*)t0)[2],((C_word*)t0)[4]);}
else{
/* library.scm:2617: ##sys#string->compnum */
f_15353(((C_word*)t0)[6],((C_word*)t0)[9],((C_word*)t0)[3],((C_word*)t0)[2],((C_word*)t0)[4]);}}}

/* ##sys#string->number in k8490 */
static void C_ccall f_17009(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c<3) C_bad_min_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand((c-3)*C_SIZEOF_PAIR +0,c,5)))){
C_save_and_reclaim((void*)f_17009,c,av);}
a=C_alloc((c-3)*C_SIZEOF_PAIR+0);
t3=C_build_rest(&a,c,3,av);
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
t4=C_i_nullp(t3);
t5=(C_truep(t4)?C_fix(10):C_i_car(t3));
t6=C_i_nullp(t3);
t7=(C_truep(t6)?C_SCHEME_END_OF_LIST:C_i_cdr(t3));
t8=C_i_nullp(t7);
t9=(C_truep(t8)?C_SCHEME_FALSE:C_i_car(t7));
if(C_truep(C_i_nullp(t7))){
/* library.scm:2620: ##sys#string->compnum */
f_15353(t1,t5,t2,C_fix(0),t9);}
else{
t10=C_i_cdr(t7);
/* library.scm:2620: ##sys#string->compnum */
f_15353(t1,t5,t2,C_fix(0),t9);}}

/* chicken.base#equal=? in k8490 */
static void C_ccall f_17055(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(12,c,5)))){
C_save_and_reclaim((void *)f_17055,4,av);}
a=C_alloc(12);
t4=C_SCHEME_UNDEFINED;
t5=(*a=C_VECTOR_TYPE|1,a[1]=t4,tmp=(C_word)a,a+=2,tmp);
t6=C_SCHEME_UNDEFINED;
t7=(*a=C_VECTOR_TYPE|1,a[1]=t6,tmp=(C_word)a,a+=2,tmp);
t8=C_set_block_item(t5,0,(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_17058,a[2]=t7,a[3]=((C_word)li462),tmp=(C_word)a,a+=4,tmp));
t9=C_set_block_item(t7,0,(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_17126,a[2]=t5,a[3]=((C_word)li463),tmp=(C_word)a,a+=4,tmp));
/* library.scm:2663: walk */
t10=((C_word*)t7)[1];
f_17126(t10,t1,t2,t3);}

/* compare-slots in chicken.base#equal=? in k8490 */
static void C_fcall f_17058(C_word t0,C_word t1,C_word t2,C_word t3,C_word t4){
C_word tmp;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word t12;
C_word t13;
C_word t14;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(10,0,3)))){
C_save_and_reclaim_args((void *)trf_17058,5,t0,t1,t2,t3,t4);}
a=C_alloc(10);
t5=C_block_size(t2);
t6=C_block_size(t3);
t7=C_eqp(t5,t6);
if(C_truep(t7)){
t8=C_fixnum_less_or_equal_p(t5,t4);
if(C_truep(t8)){
t9=t1;{
C_word av2[2];
av2[0]=t9;
av2[1]=t8;
((C_proc)(void*)(*((C_word*)t9+1)))(2,av2);}}
else{
t9=C_fixnum_difference(t5,C_fix(1));
t10=t9;
t11=C_SCHEME_UNDEFINED;
t12=(*a=C_VECTOR_TYPE|1,a[1]=t11,tmp=(C_word)a,a+=2,tmp);
t13=C_set_block_item(t12,0,(*a=C_CLOSURE_TYPE|7,a[1]=(C_word)f_17085,a[2]=t10,a[3]=t2,a[4]=t3,a[5]=((C_word*)t0)[2],a[6]=t12,a[7]=((C_word)li461),tmp=(C_word)a,a+=8,tmp));
t14=((C_word*)t12)[1];
f_17085(t14,t1,t4);}}
else{
t8=t1;{
C_word av2[2];
av2[0]=t8;
av2[1]=C_SCHEME_FALSE;
((C_proc)(void*)(*((C_word*)t8+1)))(2,av2);}}}

/* loop in compare-slots in chicken.base#equal=? in k8490 */
static void C_fcall f_17085(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,0,3)))){
C_save_and_reclaim_args((void *)trf_17085,3,t0,t1,t2);}
a=C_alloc(5);
t3=C_eqp(t2,((C_word*)t0)[2]);
if(C_truep(t3)){
t4=C_slot(((C_word*)t0)[3],t2);
t5=C_slot(((C_word*)t0)[4],t2);
/* library.scm:2637: walk */
t6=((C_word*)((C_word*)t0)[5])[1];
f_17126(t6,t1,t4,t5);}
else{
t4=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_17109,a[2]=t2,a[3]=((C_word*)t0)[6],a[4]=t1,tmp=(C_word)a,a+=5,tmp);
t5=C_slot(((C_word*)t0)[3],t2);
t6=C_slot(((C_word*)t0)[4],t2);
/* library.scm:2638: walk */
t7=((C_word*)((C_word*)t0)[5])[1];
f_17126(t7,t4,t5,t6);}}

/* k17107 in loop in compare-slots in chicken.base#equal=? in k8490 */
static void C_ccall f_17109(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_17109,2,av);}
if(C_truep(t1)){
t2=C_fixnum_plus(((C_word*)t0)[2],C_fix(1));
/* library.scm:2639: loop */
t3=((C_word*)((C_word*)t0)[3])[1];
f_17085(t3,((C_word*)t0)[4],t2);}
else{
t2=((C_word*)t0)[4];{
C_word *av2=av;
av2[0]=t2;
av2[1]=C_SCHEME_FALSE;
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}}

/* walk in chicken.base#equal=? in k8490 */
static void C_fcall f_17126(C_word t0,C_word t1,C_word t2,C_word t3){
C_word tmp;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word t12;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,0,4)))){
C_save_and_reclaim_args((void *)trf_17126,4,t0,t1,t2,t3);}
t4=C_eqp(t2,t3);
if(C_truep(t4)){
t5=t1;{
C_word av2[2];
av2[0]=t5;
av2[1]=t4;
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}
else{
if(C_truep(C_i_numberp(t2))){
if(C_truep(C_i_numberp(t3))){
t5=t2;
t6=t3;
t7=C_i_nequalp(t5,t6);
t8=t1;{
C_word av2[2];
av2[0]=t8;
av2[1]=t7;
((C_proc)(void*)(*((C_word*)t8+1)))(2,av2);}}
else{
t5=t1;{
C_word av2[2];
av2[0]=t5;
av2[1]=C_eqp(t2,t3);
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}}
else{
t5=C_blockp(t2);
if(C_truep(C_i_not(t5))){
t6=t1;{
C_word av2[2];
av2[0]=t6;
av2[1]=C_SCHEME_FALSE;
((C_proc)(void*)(*((C_word*)t6+1)))(2,av2);}}
else{
t6=C_blockp(t3);
if(C_truep(C_i_not(t6))){
t7=t1;{
C_word av2[2];
av2[0]=t7;
av2[1]=C_SCHEME_FALSE;
((C_proc)(void*)(*((C_word*)t7+1)))(2,av2);}}
else{
t7=C_sametypep(t2,t3);
if(C_truep(C_i_not(t7))){
t8=t1;{
C_word av2[2];
av2[0]=t8;
av2[1]=C_SCHEME_FALSE;
((C_proc)(void*)(*((C_word*)t8+1)))(2,av2);}}
else{
if(C_truep(C_specialp(t2))){
if(C_truep(C_specialp(t3))){
if(C_truep(C_closurep(t2))){
t8=t1;{
C_word av2[2];
av2[0]=t8;
av2[1]=shallow_equal(t2,t3);
((C_proc)(void*)(*((C_word*)t8+1)))(2,av2);}}
else{
/* library.scm:2653: compare-slots */
t8=((C_word*)((C_word*)t0)[2])[1];
f_17058(t8,t1,t2,t3,C_fix(1));}}
else{
t8=t1;{
C_word av2[2];
av2[0]=t8;
av2[1]=C_SCHEME_FALSE;
((C_proc)(void*)(*((C_word*)t8+1)))(2,av2);}}}
else{
if(C_truep(C_byteblockp(t2))){
if(C_truep(C_byteblockp(t3))){
t8=C_block_size(t2);
t9=C_block_size(t3);
t10=C_eqp(t8,t9);
if(C_truep(t10)){
t11=C_substring_compare(t2,t3,C_fix(0),C_fix(0),t8);
t12=t1;{
C_word av2[2];
av2[0]=t12;
av2[1]=t11;
((C_proc)(void*)(*((C_word*)t12+1)))(2,av2);}}
else{
t11=t1;{
C_word av2[2];
av2[0]=t11;
av2[1]=C_SCHEME_FALSE;
((C_proc)(void*)(*((C_word*)t11+1)))(2,av2);}}}
else{
t8=t1;{
C_word av2[2];
av2[0]=t8;
av2[1]=C_SCHEME_FALSE;
((C_proc)(void*)(*((C_word*)t8+1)))(2,av2);}}}
else{
t8=C_block_size(t2);
t9=C_block_size(t3);
t10=C_eqp(t8,t9);
if(C_truep(t10)){
/* library.scm:2662: compare-slots */
t11=((C_word*)((C_word*)t0)[2])[1];
f_17058(t11,t1,t2,t3,C_fix(0));}
else{
t11=t1;{
C_word av2[2];
av2[0]=t11;
av2[1]=C_SCHEME_FALSE;
((C_proc)(void*)(*((C_word*)t11+1)))(2,av2);}}}}}}}}}}

/* ##sys#interned-symbol? in k8490 */
static void C_ccall f_17225(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_17225,3,av);}
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_lookup_symbol(t2);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* ##sys#string->symbol in k8490 */
static void C_ccall f_17228(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_17228,3,av);}
t3=C_i_check_string(t2);
/* library.scm:2674: ##sys#intern-symbol */{
C_word *av2=av;
av2[0]=0;
av2[1]=t1;
av2[2]=t2;
C_string_to_symbol(3,av2);}}

/* split in k8490 */
static C_word C_fcall f_17237(C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word t5;
C_stack_overflow_check;{}
t3=C_subbyte(t1,C_fix(0));
if(C_truep(C_fixnum_greaterp(t2,C_fix(0)))){
if(C_truep(C_fixnum_lessp(t3,t2))){
t4=C_fixnum_less_or_equal_p(t3,C_fix(31));
return((C_truep(t4)?C_fixnum_plus(t3,C_fix(1)):C_SCHEME_FALSE));}
else{
return(C_SCHEME_FALSE);}}
else{
return(C_SCHEME_FALSE);}}

/* ##sys#symbol->string in k8490 */
static void C_ccall f_17264(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,4)))){
C_save_and_reclaim((void *)f_17264,3,av);}
t3=C_slot(t2,C_fix(1));
t4=C_block_size(t3);
t5=(
  /* library.scm:2693: split */
  f_17237(t3,t4)
);
if(C_truep(t5)){
/* library.scm:2694: ##sys#substring */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[395]+1));
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=*((C_word*)lf[395]+1);
av2[1]=t1;
av2[2]=t3;
av2[3]=t5;
av2[4]=t4;
tp(5,av2);}}
else{
t6=t1;{
C_word *av2=av;
av2[0]=t6;
av2[1]=t3;
((C_proc)(void*)(*((C_word*)t6+1)))(2,av2);}}}

/* ##sys#symbol->qualified-string in k8490 */
static void C_ccall f_17282(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(6,c,4)))){
C_save_and_reclaim((void *)f_17282,3,av);}
a=C_alloc(6);
t3=C_slot(t2,C_fix(1));
t4=t3;
t5=C_block_size(t4);
t6=t5;
t7=(
  /* library.scm:2700: split */
  f_17237(t4,t6)
);
t8=t7;
if(C_truep(t8)){
t9=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_17302,a[2]=t1,a[3]=t4,a[4]=t8,a[5]=t6,tmp=(C_word)a,a+=6,tmp);
/* library.scm:2702: ##sys#substring */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[395]+1));
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=*((C_word*)lf[395]+1);
av2[1]=t9;
av2[2]=t4;
av2[3]=C_fix(1);
av2[4]=t8;
tp(5,av2);}}
else{
t9=t1;{
C_word *av2=av;
av2[0]=t9;
av2[1]=t4;
((C_proc)(void*)(*((C_word*)t9+1)))(2,av2);}}}

/* k17300 in symbol->qualified-string in k8490 */
static void C_ccall f_17302(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,c,4)))){
C_save_and_reclaim((void *)f_17302,2,av);}
a=C_alloc(4);
t2=t1;
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_17306,a[2]=((C_word*)t0)[2],a[3]=t2,tmp=(C_word)a,a+=4,tmp);
/* library.scm:2702: ##sys#substring */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[395]+1));
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=*((C_word*)lf[395]+1);
av2[1]=t3;
av2[2]=((C_word*)t0)[3];
av2[3]=((C_word*)t0)[4];
av2[4]=((C_word*)t0)[5];
tp(5,av2);}}

/* k17304 in k17300 in symbol->qualified-string in k8490 */
static void C_ccall f_17306(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,5)))){
C_save_and_reclaim((void *)f_17306,2,av);}
/* library.scm:2702: string-append */
t2=*((C_word*)lf[413]+1);{
C_word *av2;
if(c >= 6) {
  av2=av;
} else {
  av2=C_alloc(6);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[2];
av2[2]=lf[631];
av2[3]=((C_word*)t0)[3];
av2[4]=lf[632];
av2[5]=t1;
((C_proc)(void*)(*((C_word*)t2+1)))(6,av2);}}

/* ##sys#qualified-symbol-prefix in k8490 */
static void C_ccall f_17308(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,4)))){
C_save_and_reclaim((void *)f_17308,3,av);}
t3=C_slot(t2,C_fix(1));
t4=C_block_size(t3);
t5=(
  /* library.scm:2709: split */
  f_17237(t3,t4)
);
if(C_truep(t5)){
/* library.scm:2710: ##sys#substring */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[395]+1));
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=*((C_word*)lf[395]+1);
av2[1]=t1;
av2[2]=t3;
av2[3]=C_fix(0);
av2[4]=t5;
tp(5,av2);}}
else{
t6=t1;{
C_word *av2=av;
av2[0]=t6;
av2[1]=C_SCHEME_FALSE;
((C_proc)(void*)(*((C_word*)t6+1)))(2,av2);}}}

/* ##sys#qualified-symbol? in k8490 */
static void C_ccall f_17326(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_17326,3,av);}
t3=C_slot(t2,C_fix(1));
t4=C_block_size(t3);
if(C_truep(C_fixnum_greaterp(t4,C_fix(0)))){
t5=C_subbyte(t3,C_fix(0));
t6=t1;{
C_word *av2=av;
av2[0]=t6;
av2[1]=C_fixnum_less_or_equal_p(t5,C_fix(31));
((C_proc)(void*)(*((C_word*)t6+1)))(2,av2);}}
else{
t5=t1;{
C_word *av2=av;
av2[0]=t5;
av2[1]=C_SCHEME_FALSE;
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}}

/* ##sys#string->qualified-symbol in k8490 */
static void C_ccall f_17349(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(3,c,3)))){
C_save_and_reclaim((void *)f_17349,4,av);}
a=C_alloc(3);
t4=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_17357,a[2]=t1,tmp=(C_word)a,a+=3,tmp);
if(C_truep(t2)){
/* library.scm:2721: ##sys#string-append */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[412]+1));
C_word *av2=av;
av2[0]=*((C_word*)lf[412]+1);
av2[1]=t4;
av2[2]=t2;
av2[3]=t3;
tp(4,av2);}}
else{
t5=t3;
/* library.scm:2719: ##sys#string->symbol */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[628]+1));
C_word *av2=av;
av2[0]=*((C_word*)lf[628]+1);
av2[1]=t1;
av2[2]=t5;
tp(3,av2);}}}

/* k17355 in string->qualified-symbol in k8490 */
static void C_ccall f_17357(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_17357,2,av);}
/* library.scm:2719: ##sys#string->symbol */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[628]+1));
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[628]+1);
av2[1]=((C_word*)t0)[2];
av2[2]=t1;
tp(3,av2);}}

/* scheme#symbol->string in k8490 */
static void C_ccall f_17362(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(3,c,2)))){
C_save_and_reclaim((void *)f_17362,3,av);}
a=C_alloc(3);
t3=C_i_check_symbol_2(t2,lf[637]);
t4=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_17373,a[2]=t1,tmp=(C_word)a,a+=3,tmp);
/* library.scm:2727: ##sys#symbol->string */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[629]+1));
C_word *av2=av;
av2[0]=*((C_word*)lf[629]+1);
av2[1]=t4;
av2[2]=t2;
tp(3,av2);}}

/* k17371 in scheme#symbol->string in k8490 */
static void C_ccall f_17373(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_17373,2,av);}
/* library.scm:2727: scheme#string-copy */
t2=*((C_word*)lf[391]+1);{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[2];
av2[2]=t1;
((C_proc)(void*)(*((C_word*)t2+1)))(3,av2);}}

/* scheme#string->symbol in k8490 */
static void C_ccall f_17375(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(3,c,2)))){
C_save_and_reclaim((void *)f_17375,3,av);}
a=C_alloc(3);
t3=C_i_check_string_2(t2,lf[639]);
t4=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_17386,a[2]=t1,tmp=(C_word)a,a+=3,tmp);
/* library.scm:2733: string-copy */
t5=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t5;
av2[1]=t4;
av2[2]=t2;
((C_proc)(void*)(*((C_word*)t5+1)))(3,av2);}}

/* k17384 in scheme#string->symbol in k8490 */
static void C_ccall f_17386(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_17386,2,av);}
/* library.scm:2733: ##sys#intern-symbol */{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=0;
av2[1]=((C_word*)t0)[2];
av2[2]=t1;
C_string_to_symbol(3,av2);}}

/* chicken.base#string->uninterned-symbol in k8490 */
static void C_ccall f_17388(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(7,c,2)))){
C_save_and_reclaim((void *)f_17388,3,av);}
a=C_alloc(7);
t3=C_i_check_string_2(t2,lf[641]);
t4=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)C_make_symbol,a[2]=((C_word)li476),tmp=(C_word)a,a+=3,tmp);
t5=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_17399,a[2]=t4,a[3]=t1,tmp=(C_word)a,a+=4,tmp);
/* library.scm:2739: string-copy */
t6=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t6;
av2[1]=t5;
av2[2]=t2;
((C_proc)(void*)(*((C_word*)t6+1)))(3,av2);}}

/* k17397 in chicken.base#string->uninterned-symbol in k8490 */
static void C_ccall f_17399(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_17399,2,av);}
/* library.scm:2737: g3375 */
t2=((C_word*)t0)[2];{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[3];
av2[2]=t1;
((C_proc)C_fast_retrieve_proc(t2))(3,av2);}}

/* chicken.base#gensym in k8490 */
static void C_ccall f_17401(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand((c-2)*C_SIZEOF_PAIR +15,c,5)))){
C_save_and_reclaim((void*)f_17401,c,av);}
a=C_alloc((c-2)*C_SIZEOF_PAIR+15);
t2=C_build_rest(&a,c,2,av);
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word t12;
t3=C_fixnum_plus(((C_word*)((C_word*)t0)[2])[1],C_fix(1));
t4=C_set_block_item(((C_word*)t0)[2],0,t3);
t5=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)C_make_symbol,a[2]=((C_word)li478),tmp=(C_word)a,a+=3,tmp);
t6=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_17418,a[2]=t5,a[3]=t1,tmp=(C_word)a,a+=4,tmp);
t7=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_17422,a[2]=t6,a[3]=((C_word*)t0)[2],tmp=(C_word)a,a+=4,tmp);
t8=C_eqp(t2,C_SCHEME_END_OF_LIST);
if(C_truep(t8)){
t9=t7;{
C_word *av2=av;
av2[0]=t9;
av2[1]=lf[643];
f_17422(2,av2);}}
else{
t9=C_i_car(t2);
t10=t9;
t11=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_17435,a[2]=t7,a[3]=t10,tmp=(C_word)a,a+=4,tmp);
if(C_truep(C_blockp(t10))){
if(C_truep(C_stringp(t10))){
t12=t11;{
C_word *av2=av;
av2[0]=t12;
av2[1]=t10;
f_17435(2,av2);}}
else{
if(C_truep(C_symbolp(t10))){
/* library.scm:2753: ##sys#symbol->string */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[629]+1));
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[629]+1);
av2[1]=t11;
av2[2]=t10;
tp(3,av2);}}
else{
/* library.scm:2744: ##sys#signal-hook */
t12=C_fast_retrieve(lf[194]);{
C_word *av2;
if(c >= 6) {
  av2=av;
} else {
  av2=C_alloc(6);
}
av2[0]=t12;
av2[1]=t11;
av2[2]=lf[258];
av2[3]=lf[644];
av2[4]=lf[645];
av2[5]=t10;
((C_proc)(void*)(*((C_word*)t12+1)))(6,av2);}}}}
else{
t12=t11;{
C_word *av2=av;
av2[0]=t12;
av2[1]=C_SCHEME_FALSE;
f_17435(2,av2);}}}}

/* k17416 in chicken.base#gensym in k8490 */
static void C_ccall f_17418(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_17418,2,av);}
/* library.scm:2744: g3382 */
t2=((C_word*)t0)[2];{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[3];
av2[2]=t1;
((C_proc)C_fast_retrieve_proc(t2))(3,av2);}}

/* k17420 in chicken.base#gensym in k8490 */
static void C_ccall f_17422(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,c,2)))){
C_save_and_reclaim((void *)f_17422,2,av);}
a=C_alloc(4);
t2=t1;
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_17426,a[2]=((C_word*)t0)[2],a[3]=t2,tmp=(C_word)a,a+=4,tmp);
/* library.scm:2756: ##sys#number->string */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[600]+1));
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[600]+1);
av2[1]=t3;
av2[2]=((C_word*)((C_word*)t0)[3])[1];
tp(3,av2);}}

/* k17424 in k17420 in chicken.base#gensym in k8490 */
static void C_ccall f_17426(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_17426,2,av);}
/* library.scm:2747: ##sys#string-append */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[412]+1));
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[412]+1);
av2[1]=((C_word*)t0)[2];
av2[2]=((C_word*)t0)[3];
av2[3]=t1;
tp(4,av2);}}

/* k17433 in chicken.base#gensym in k8490 */
static void C_ccall f_17435(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,5)))){
C_save_and_reclaim((void *)f_17435,2,av);}
if(C_truep(t1)){
t2=t1;
t3=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t3;
av2[1]=t2;
f_17422(2,av2);}}
else{
/* library.scm:2744: ##sys#signal-hook */
t2=C_fast_retrieve(lf[194]);{
C_word *av2;
if(c >= 6) {
  av2=av;
} else {
  av2=C_alloc(6);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[2];
av2[2]=lf[258];
av2[3]=lf[644];
av2[4]=lf[645];
av2[5]=((C_word*)t0)[3];
((C_proc)(void*)(*((C_word*)t2+1)))(6,av2);}}}

/* chicken.base#symbol-append in k8490 */
static void C_ccall f_17455(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand((c-2)*C_SIZEOF_PAIR +20,c,3)))){
C_save_and_reclaim((void*)f_17455,c,av);}
a=C_alloc((c-2)*C_SIZEOF_PAIR+20);
t2=C_build_rest(&a,c,2,av);
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word t12;
t3=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_17463,a[2]=t1,tmp=(C_word)a,a+=3,tmp);
t4=C_a_i_cons(&a,2,C_SCHEME_UNDEFINED,C_SCHEME_END_OF_LIST);
t5=t4;
t6=(*a=C_VECTOR_TYPE|1,a[1]=t5,tmp=(C_word)a,a+=2,tmp);
t7=((C_word*)t6)[1];
t8=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_17478,a[2]=t3,a[3]=((C_word*)t0)[2],tmp=(C_word)a,a+=4,tmp);
t9=C_SCHEME_UNDEFINED;
t10=(*a=C_VECTOR_TYPE|1,a[1]=t9,tmp=(C_word)a,a+=2,tmp);
t11=C_set_block_item(t10,0,(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_17480,a[2]=t6,a[3]=t10,a[4]=t7,a[5]=((C_word)li480),tmp=(C_word)a,a+=6,tmp));
t12=((C_word*)t10)[1];
f_17480(t12,t8,t2);}

/* k17461 in chicken.base#symbol-append in k8490 */
static void C_ccall f_17463(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_17463,2,av);}
/* library.scm:2761: ##sys#intern-symbol */{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=0;
av2[1]=((C_word*)t0)[2];
av2[2]=t1;
C_string_to_symbol(3,av2);}}

/* k17476 in chicken.base#symbol-append in k8490 */
static void C_ccall f_17478(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_17478,2,av);}{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=0;
av2[1]=((C_word*)t0)[2];
av2[2]=((C_word*)t0)[3];
av2[3]=t1;
C_apply(4,av2);}}

/* map-loop3398 in chicken.base#symbol-append in k8490 */
static void C_fcall f_17480(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,0,2)))){
C_save_and_reclaim_args((void *)trf_17480,3,t0,t1,t2);}
a=C_alloc(6);
if(C_truep(C_i_pairp(t2))){
t3=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_17505,a[2]=((C_word*)t0)[2],a[3]=t2,a[4]=((C_word*)t0)[3],a[5]=t1,tmp=(C_word)a,a+=6,tmp);
t4=C_slot(t2,C_fix(0));
t5=C_i_check_symbol_2(t4,lf[647]);
/* library.scm:2766: ##sys#symbol->string */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[629]+1));
C_word av2[3];
av2[0]=*((C_word*)lf[629]+1);
av2[1]=t3;
av2[2]=t4;
tp(3,av2);}}
else{
t3=t1;{
C_word av2[2];
av2[0]=t3;
av2[1]=C_slot(((C_word*)t0)[4],C_fix(1));
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}}

/* k17503 in map-loop3398 in chicken.base#symbol-append in k8490 */
static void C_ccall f_17505(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,2)))){
C_save_and_reclaim((void *)f_17505,2,av);}
a=C_alloc(3);
t2=C_a_i_cons(&a,2,t1,C_SCHEME_END_OF_LIST);
t3=C_i_setslot(((C_word*)((C_word*)t0)[2])[1],C_fix(1),t2);
t4=C_mutate(((C_word *)((C_word*)t0)[2])+1,t2);
t5=C_slot(((C_word*)t0)[3],C_fix(1));
t6=((C_word*)((C_word*)t0)[4])[1];
f_17480(t6,((C_word*)t0)[5],t5);}

/* chicken.keyword#keyword? in k8490 */
static void C_ccall f_17514(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_17514,3,av);}
if(C_truep(C_i_symbolp(t2))){
t3=C_u_i_keywordp(t2);
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=t3;
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}
else{
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_SCHEME_FALSE;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}}

/* chicken.keyword#string->keyword in k8490 */
static void C_ccall f_17523(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(5,c,3)))){
C_save_and_reclaim((void *)f_17523,3,av);}
a=C_alloc(5);
t3=C_i_check_string_2(t2,lf[651]);
t4=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_17534,a[2]=t1,tmp=(C_word)a,a+=3,tmp);
t5=C_a_i_string(&a,1,C_make_character(0));
/* library.scm:2784: ##sys#string-append */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[412]+1));
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[412]+1);
av2[1]=t4;
av2[2]=t5;
av2[3]=t2;
tp(4,av2);}}

/* k17532 in chicken.keyword#string->keyword in k8490 */
static void C_ccall f_17534(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_17534,2,av);}
/* library.scm:2784: ##sys#intern-symbol */{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=0;
av2[1]=((C_word*)t0)[2];
av2[2]=t1;
C_string_to_symbol(3,av2);}}

/* chicken.keyword#keyword->string in k8490 */
static void C_ccall f_17544(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(4,c,2)))){
C_save_and_reclaim((void *)f_17544,3,av);}
a=C_alloc(4);
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_17551,a[2]=t1,a[3]=t2,tmp=(C_word)a,a+=4,tmp);
/* library.scm:2789: keyword? */
t4=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t4;
av2[1]=t3;
av2[2]=t2;
((C_proc)(void*)(*((C_word*)t4+1)))(3,av2);}}

/* k17549 in chicken.keyword#keyword->string in k8490 */
static void C_ccall f_17551(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,5)))){
C_save_and_reclaim((void *)f_17551,2,av);}
if(C_truep(t1)){
/* library.scm:2790: ##sys#symbol->string */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[629]+1));
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[629]+1);
av2[1]=((C_word*)t0)[2];
av2[2]=((C_word*)t0)[3];
tp(3,av2);}}
else{
/* library.scm:2791: ##sys#signal-hook */
t2=C_fast_retrieve(lf[194]);{
C_word *av2;
if(c >= 6) {
  av2=av;
} else {
  av2=C_alloc(6);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[2];
av2[2]=lf[258];
av2[3]=lf[653];
av2[4]=lf[654];
av2[5]=((C_word*)t0)[3];
((C_proc)(void*)(*((C_word*)t2+1)))(6,av2);}}}

/* chicken.keyword#get-keyword in k8490 */
static void C_ccall f_17562(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word *a;
if(c<4) C_bad_min_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand((c-4)*C_SIZEOF_PAIR +0,c,1)))){
C_save_and_reclaim((void*)f_17562,c,av);}
a=C_alloc((c-4)*C_SIZEOF_PAIR+0);
t4=C_build_rest(&a,c,4,av);
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
t5=C_i_nullp(t4);
t6=(C_truep(t5)?C_SCHEME_FALSE:C_i_car(t4));
t7=C_i_check_list_2(t3,lf[657]);
t8=C_i_get_keyword(t2,t3,((C_word*)t0)[2]);
t9=C_eqp(t8,((C_word*)t0)[2]);
if(C_truep(t9)){
if(C_truep(t6)){
/* library.scm:2799: thunk */
t10=t6;{
C_word *av2=av;
av2[0]=t10;
av2[1]=t1;
((C_proc)C_fast_retrieve_proc(t10))(2,av2);}}
else{
t10=t1;{
C_word *av2=av;
av2[0]=t10;
av2[1]=C_SCHEME_FALSE;
((C_proc)(void*)(*((C_word*)t10+1)))(2,av2);}}}
else{
t10=t1;{
C_word *av2=av;
av2[0]=t10;
av2[1]=t8;
((C_proc)(void*)(*((C_word*)t10+1)))(2,av2);}}}

/* ##sys#make-blob in k8490 */
static void C_ccall f_17590(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(3,c,5)))){
C_save_and_reclaim((void *)f_17590,3,av);}
a=C_alloc(3);
t3=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_17594,a[2]=t1,tmp=(C_word)a,a+=3,tmp);
/* library.scm:2815: ##sys#allocate-vector */
t4=*((C_word*)lf[316]+1);{
C_word *av2;
if(c >= 6) {
  av2=av;
} else {
  av2=C_alloc(6);
}
av2[0]=t4;
av2[1]=t3;
av2[2]=t2;
av2[3]=C_SCHEME_TRUE;
av2[4]=C_SCHEME_FALSE;
av2[5]=C_SCHEME_TRUE;
((C_proc)(void*)(*((C_word*)t4+1)))(6,av2);}}

/* k17592 in make-blob in k8490 */
static void C_ccall f_17594(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_17594,2,av);}
t2=C_string_to_bytevector(t1);
t3=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t3;
av2[1]=t1;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* chicken.blob#make-blob in k8490 */
static void C_ccall f_17596(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(4,c,3)))){
C_save_and_reclaim((void *)f_17596,3,av);}
a=C_alloc(4);
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_17600,a[2]=t1,a[3]=t2,tmp=(C_word)a,a+=4,tmp);
/* library.scm:2820: ##sys#check-fixnum */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[102]+1));
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[102]+1);
av2[1]=t3;
av2[2]=t2;
av2[3]=lf[662];
tp(4,av2);}}

/* k17598 in chicken.blob#make-blob in k8490 */
static void C_ccall f_17600(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_17600,2,av);}
/* library.scm:2821: ##sys#make-blob */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[660]);
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[660]+1);
av2[1]=((C_word*)t0)[2];
av2[2]=((C_word*)t0)[3];
tp(3,av2);}}

/* chicken.blob#blob? in k8490 */
static void C_ccall f_17605(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_17605,3,av);}
if(C_truep(C_blockp(t2))){
t3=C_bytevectorp(t2);
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=t3;
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}
else{
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_SCHEME_FALSE;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}}

/* chicken.blob#blob-size in k8490 */
static void C_ccall f_17611(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(4,c,3)))){
C_save_and_reclaim((void *)f_17611,3,av);}
a=C_alloc(4);
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_17615,a[2]=t1,a[3]=t2,tmp=(C_word)a,a+=4,tmp);
/* library.scm:2828: ##sys#check-blob */
t4=*((C_word*)lf[341]+1);{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t4;
av2[1]=t3;
av2[2]=t2;
av2[3]=lf[665];
((C_proc)(void*)(*((C_word*)t4+1)))(4,av2);}}

/* k17613 in chicken.blob#blob-size in k8490 */
static void C_ccall f_17615(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_17615,2,av);}
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=C_block_size(((C_word*)t0)[3]);
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* chicken.blob#string->blob in k8490 */
static void C_ccall f_17620(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(5,c,2)))){
C_save_and_reclaim((void *)f_17620,3,av);}
a=C_alloc(5);
t3=C_i_check_string_2(t2,lf[667]);
t4=C_block_size(t2);
t5=t4;
t6=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_17630,a[2]=t2,a[3]=t5,a[4]=t1,tmp=(C_word)a,a+=5,tmp);
/* library.scm:2834: ##sys#make-blob */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[660]);
C_word *av2=av;
av2[0]=*((C_word*)lf[660]+1);
av2[1]=t6;
av2[2]=t5;
tp(3,av2);}}

/* k17628 in chicken.blob#string->blob in k8490 */
static void C_ccall f_17630(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_17630,2,av);}
t2=C_copy_memory(t1,((C_word*)t0)[2],((C_word*)t0)[3]);
t3=((C_word*)t0)[4];{
C_word *av2=av;
av2[0]=t3;
av2[1]=t1;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* chicken.blob#blob->string in k8490 */
static void C_ccall f_17632(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(4,c,3)))){
C_save_and_reclaim((void *)f_17632,3,av);}
a=C_alloc(4);
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_17636,a[2]=t2,a[3]=t1,tmp=(C_word)a,a+=4,tmp);
/* library.scm:2839: ##sys#check-blob */
t4=*((C_word*)lf[341]+1);{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t4;
av2[1]=t3;
av2[2]=t2;
av2[3]=lf[669];
((C_proc)(void*)(*((C_word*)t4+1)))(4,av2);}}

/* k17634 in chicken.blob#blob->string in k8490 */
static void C_ccall f_17636(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,c,2)))){
C_save_and_reclaim((void *)f_17636,2,av);}
a=C_alloc(5);
t2=C_block_size(((C_word*)t0)[2]);
t3=t2;
t4=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_17642,a[2]=((C_word*)t0)[2],a[3]=t3,a[4]=((C_word*)t0)[3],tmp=(C_word)a,a+=5,tmp);
/* library.scm:2841: ##sys#make-string */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[376]+1));
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[376]+1);
av2[1]=t4;
av2[2]=t3;
tp(3,av2);}}

/* k17640 in k17634 in chicken.blob#blob->string in k8490 */
static void C_ccall f_17642(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_17642,2,av);}
t2=C_copy_memory(t1,((C_word*)t0)[2],((C_word*)t0)[3]);
t3=((C_word*)t0)[4];{
C_word *av2=av;
av2[0]=t3;
av2[1]=t1;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* chicken.blob#blob=? in k8490 */
static void C_ccall f_17644(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word t5;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(5,c,3)))){
C_save_and_reclaim((void *)f_17644,4,av);}
a=C_alloc(5);
t4=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_17648,a[2]=t2,a[3]=t3,a[4]=t1,tmp=(C_word)a,a+=5,tmp);
/* library.scm:2846: ##sys#check-blob */
t5=*((C_word*)lf[341]+1);{
C_word *av2=av;
av2[0]=t5;
av2[1]=t4;
av2[2]=t2;
av2[3]=lf[671];
((C_proc)(void*)(*((C_word*)t5+1)))(4,av2);}}

/* k17646 in chicken.blob#blob=? in k8490 */
static void C_ccall f_17648(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,c,3)))){
C_save_and_reclaim((void *)f_17648,2,av);}
a=C_alloc(5);
t2=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_17651,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],tmp=(C_word)a,a+=5,tmp);
/* library.scm:2847: ##sys#check-blob */
t3=*((C_word*)lf[341]+1);{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t3;
av2[1]=t2;
av2[2]=((C_word*)t0)[3];
av2[3]=lf[671];
((C_proc)(void*)(*((C_word*)t3+1)))(4,av2);}}

/* k17649 in k17646 in chicken.blob#blob=? in k8490 */
static void C_ccall f_17651(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_17651,2,av);}
t2=C_block_size(((C_word*)t0)[2]);
t3=C_block_size(((C_word*)t0)[3]);
t4=C_eqp(t3,t2);
if(C_truep(t4)){
t5=C_string_compare(((C_word*)t0)[2],((C_word*)t0)[3],t2);
t6=C_i_zerop(t5);
t7=((C_word*)t0)[4];{
C_word *av2=av;
av2[0]=t7;
av2[1]=t6;
((C_proc)(void*)(*((C_word*)t7+1)))(2,av2);}}
else{
t5=((C_word*)t0)[4];{
C_word *av2=av;
av2[0]=t5;
av2[1]=C_SCHEME_FALSE;
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}}

/* scheme#make-vector in k8490 */
static void C_ccall f_17667(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c<3) C_bad_min_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand((c-3)*C_SIZEOF_PAIR +5,c,3)))){
C_save_and_reclaim((void*)f_17667,c,av);}
a=C_alloc((c-3)*C_SIZEOF_PAIR+5);
t3=C_build_rest(&a,c,3,av);
C_word t4;
C_word t5;
t4=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_17671,a[2]=t3,a[3]=t1,a[4]=t2,tmp=(C_word)a,a+=5,tmp);
/* library.scm:2859: ##sys#check-fixnum */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[102]+1));
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[102]+1);
av2[1]=t4;
av2[2]=t2;
av2[3]=lf[672];
tp(4,av2);}}

/* k17669 in scheme#make-vector in k8490 */
static void C_ccall f_17671(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,c,4)))){
C_save_and_reclaim((void *)f_17671,2,av);}
a=C_alloc(5);
t2=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_17674,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],tmp=(C_word)a,a+=5,tmp);
if(C_truep(C_fixnum_lessp(((C_word*)t0)[4],C_fix(0)))){
/* library.scm:2860: ##sys#error */
t3=*((C_word*)lf[155]+1);{
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=t3;
av2[1]=t2;
av2[2]=lf[672];
av2[3]=lf[673];
av2[4]=((C_word*)t0)[4];
((C_proc)(void*)(*((C_word*)t3+1)))(5,av2);}}
else{
t3=t2;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_SCHEME_UNDEFINED;
f_17674(2,av2);}}}

/* k17672 in k17669 in scheme#make-vector in k8490 */
static void C_ccall f_17674(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,5)))){
C_save_and_reclaim((void *)f_17674,2,av);}
if(C_truep(C_i_nullp(((C_word*)t0)[2]))){
t2=C_SCHEME_UNDEFINED;
/* library.scm:2861: ##sys#allocate-vector */
t3=*((C_word*)lf[316]+1);{
C_word *av2;
if(c >= 6) {
  av2=av;
} else {
  av2=C_alloc(6);
}
av2[0]=t3;
av2[1]=((C_word*)t0)[3];
av2[2]=((C_word*)t0)[4];
av2[3]=C_SCHEME_FALSE;
av2[4]=t2;
av2[5]=C_SCHEME_FALSE;
((C_proc)(void*)(*((C_word*)t3+1)))(6,av2);}}
else{
t2=C_i_car(((C_word*)t0)[2]);
/* library.scm:2861: ##sys#allocate-vector */
t3=*((C_word*)lf[316]+1);{
C_word *av2;
if(c >= 6) {
  av2=av;
} else {
  av2=C_alloc(6);
}
av2[0]=t3;
av2[1]=((C_word*)t0)[3];
av2[2]=((C_word*)t0)[4];
av2[3]=C_SCHEME_FALSE;
av2[4]=t2;
av2[5]=C_SCHEME_FALSE;
((C_proc)(void*)(*((C_word*)t3+1)))(6,av2);}}}

/* scheme#list->vector in k8490 */
static void C_ccall f_17696(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(4,c,3)))){
C_save_and_reclaim((void *)f_17696,3,av);}
a=C_alloc(4);
t3=C_i_listp(t2);
if(C_truep(C_i_not(t3))){
/* library.scm:2873: ##sys#error-not-a-proper-list */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[47]+1));
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[47]+1);
av2[1]=t1;
av2[2]=t2;
av2[3]=lf[675];
tp(4,av2);}}
else{
t4=C_i_length(t2);
t5=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_17712,a[2]=t1,a[3]=t2,tmp=(C_word)a,a+=4,tmp);
/* library.scm:2875: ##sys#make-vector */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[674]+1));
C_word *av2=av;
av2[0]=*((C_word*)lf[674]+1);
av2[1]=t5;
av2[2]=t4;
tp(3,av2);}}}

/* k17710 in scheme#list->vector in k8490 */
static void C_ccall f_17712(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,c,3)))){
C_save_and_reclaim((void *)f_17712,2,av);}
a=C_alloc(4);
t2=t1;
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_17717,a[2]=t2,a[3]=((C_word)li494),tmp=(C_word)a,a+=4,tmp);
t4=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t4;
av2[1]=(
  f_17717(t3,((C_word*)t0)[3],C_fix(0))
);
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* loop in k17710 in scheme#list->vector in k8490 */
static C_word C_fcall f_17717(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_stack_overflow_check;
loop:{}
if(C_truep(C_i_nullp(t1))){
return(((C_word*)t0)[2]);}
else{
t3=C_slot(t1,C_fix(0));
t4=C_i_setslot(((C_word*)t0)[2],t2,t3);
t5=C_slot(t1,C_fix(1));
t6=C_fixnum_plus(t2,C_fix(1));
t8=t5;
t9=t6;
t1=t8;
t2=t9;
goto loop;}}

/* scheme#vector->list in k8490 */
static void C_ccall f_17748(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(8,c,3)))){
C_save_and_reclaim((void *)f_17748,3,av);}
a=C_alloc(8);
t3=C_i_check_vector_2(t2,lf[676]);
t4=C_block_size(t2);
t5=C_SCHEME_UNDEFINED;
t6=(*a=C_VECTOR_TYPE|1,a[1]=t5,tmp=(C_word)a,a+=2,tmp);
t7=C_set_block_item(t6,0,(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_17757,a[2]=t4,a[3]=t2,a[4]=t6,a[5]=((C_word)li496),tmp=(C_word)a,a+=6,tmp));
t8=((C_word*)t6)[1];
f_17757(t8,t1,C_fix(0));}

/* loop in scheme#vector->list in k8490 */
static void C_fcall f_17757(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word *a;
loop:
if(C_unlikely(!C_demand(C_calculate_demand(4,0,2)))){
C_save_and_reclaim_args((void *)trf_17757,3,t0,t1,t2);}
a=C_alloc(4);
if(C_truep(C_fixnum_greater_or_equal_p(t2,((C_word*)t0)[2]))){
t3=t1;{
C_word av2[2];
av2[0]=t3;
av2[1]=C_SCHEME_END_OF_LIST;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}
else{
t3=C_slot(((C_word*)t0)[3],t2);
t4=t3;
t5=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_17775,a[2]=t1,a[3]=t4,tmp=(C_word)a,a+=4,tmp);
t6=C_fixnum_plus(t2,C_fix(1));
/* library.scm:2892: loop */
t8=t5;
t9=t6;
t1=t8;
t2=t9;
goto loop;}}

/* k17773 in loop in scheme#vector->list in k8490 */
static void C_ccall f_17775(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,1)))){
C_save_and_reclaim((void *)f_17775,2,av);}
a=C_alloc(3);
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=C_a_i_cons(&a,2,((C_word*)t0)[3],t1);
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* scheme#vector in k8490 */
static void C_ccall f_17781(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand((c-2)*C_SIZEOF_PAIR +0,c,2)))){
C_save_and_reclaim((void*)f_17781,c,av);}
a=C_alloc((c-2)*C_SIZEOF_PAIR+0);
t2=C_build_rest(&a,c,2,av);
C_word t3;
/* library.scm:2894: scheme#list->vector */
t3=*((C_word*)lf[94]+1);{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t3;
av2[1]=t1;
av2[2]=t2;
((C_proc)(void*)(*((C_word*)t3+1)))(3,av2);}}

/* scheme#vector-fill! in k8490 */
static void C_ccall f_17787(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(6,c,2)))){
C_save_and_reclaim((void *)f_17787,4,av);}
a=C_alloc(6);
t4=C_i_check_vector_2(t2,lf[677]);
t5=C_block_size(t2);
t6=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_17796,a[2]=t5,a[3]=t2,a[4]=t3,a[5]=((C_word)li499),tmp=(C_word)a,a+=6,tmp);
t7=t1;{
C_word *av2=av;
av2[0]=t7;
av2[1]=(
  f_17796(t6,C_fix(0))
);
((C_proc)(void*)(*((C_word*)t7+1)))(2,av2);}}

/* doloop3535 in scheme#vector-fill! in k8490 */
static C_word C_fcall f_17796(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_stack_overflow_check;
loop:{}
if(C_truep(C_fixnum_greater_or_equal_p(t1,((C_word*)t0)[2]))){
t2=C_SCHEME_UNDEFINED;
return(t2);}
else{
t2=C_i_setslot(((C_word*)t0)[3],t1,((C_word*)t0)[4]);
t3=C_fixnum_plus(t1,C_fix(1));
t5=t3;
t1=t5;
goto loop;}}

/* chicken.base#vector-copy! in k8490 */
static void C_ccall f_17815(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word *a;
if(c<4) C_bad_min_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand((c-4)*C_SIZEOF_PAIR +7,c,2)))){
C_save_and_reclaim((void*)f_17815,c,av);}
a=C_alloc((c-4)*C_SIZEOF_PAIR+7);
t4=C_build_rest(&a,c,4,av);
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word t12;
C_word t13;
t5=C_i_check_vector_2(t2,lf[678]);
t6=C_i_check_vector_2(t3,lf[678]);
t7=C_block_size(t2);
t8=t7;
t9=C_block_size(t3);
t10=t9;
t11=(*a=C_CLOSURE_TYPE|6,a[1]=(C_word)f_17831,a[2]=t2,a[3]=t3,a[4]=t1,a[5]=t10,a[6]=t8,tmp=(C_word)a,a+=7,tmp);
if(C_truep(C_i_pairp(t4))){
t12=t4;
t13=t11;
f_17831(t13,C_u_i_car(t12));}
else{
t12=t11;
f_17831(t12,C_i_fixnum_min(t10,t8));}}

/* k17829 in chicken.base#vector-copy! in k8490 */
static void C_fcall f_17831(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(8,0,3)))){
C_save_and_reclaim_args((void *)trf_17831,2,t0,t1);}
a=C_alloc(8);
t2=t1;
t3=(*a=C_CLOSURE_TYPE|7,a[1]=(C_word)f_17834,a[2]=t2,a[3]=((C_word*)t0)[2],a[4]=((C_word*)t0)[3],a[5]=((C_word*)t0)[4],a[6]=((C_word*)t0)[5],a[7]=((C_word*)t0)[6],tmp=(C_word)a,a+=8,tmp);
/* library.scm:2911: ##sys#check-fixnum */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[102]+1));
C_word av2[4];
av2[0]=*((C_word*)lf[102]+1);
av2[1]=t3;
av2[2]=t2;
av2[3]=lf[678];
tp(4,av2);}}

/* k17832 in k17829 in chicken.base#vector-copy! in k8490 */
static void C_ccall f_17834(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,c,7)))){
C_save_and_reclaim((void *)f_17834,2,av);}
a=C_alloc(6);
t2=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_17837,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[5],tmp=(C_word)a,a+=6,tmp);
t3=C_fixnum_greaterp(((C_word*)t0)[2],((C_word*)t0)[6]);
t4=(C_truep(t3)?t3:C_fixnum_greaterp(((C_word*)t0)[2],((C_word*)t0)[7]));
if(C_truep(t4)){
/* library.scm:2913: ##sys#signal-hook */
t5=C_fast_retrieve(lf[194]);{
C_word *av2;
if(c >= 8) {
  av2=av;
} else {
  av2=C_alloc(8);
}
av2[0]=t5;
av2[1]=t2;
av2[2]=lf[379];
av2[3]=lf[678];
av2[4]=lf[679];
av2[5]=((C_word*)t0)[3];
av2[6]=((C_word*)t0)[4];
av2[7]=((C_word*)t0)[2];
((C_proc)(void*)(*((C_word*)t5+1)))(8,av2);}}
else{
t5=t2;{
C_word *av2=av;
av2[0]=t5;
av2[1]=C_SCHEME_UNDEFINED;
f_17837(2,av2);}}}

/* k17835 in k17832 in k17829 in chicken.base#vector-copy! in k8490 */
static void C_ccall f_17837(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,c,2)))){
C_save_and_reclaim((void *)f_17837,2,av);}
a=C_alloc(6);
t2=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_17842,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=((C_word)li501),tmp=(C_word)a,a+=6,tmp);
t3=((C_word*)t0)[5];{
C_word *av2=av;
av2[0]=t3;
av2[1]=(
  f_17842(t2,C_fix(0))
);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* doloop3547 in k17835 in k17832 in k17829 in chicken.base#vector-copy! in k8490 */
static C_word C_fcall f_17842(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_stack_overflow_check;
loop:{}
if(C_truep(C_fixnum_greater_or_equal_p(t1,((C_word*)t0)[2]))){
t2=C_SCHEME_UNDEFINED;
return(t2);}
else{
t2=C_slot(((C_word*)t0)[3],t1);
t3=C_i_setslot(((C_word*)t0)[4],t1,t2);
t4=C_fixnum_plus(t1,C_fix(1));
t6=t4;
t1=t6;
goto loop;}}

/* chicken.base#subvector in k8490 */
static void C_ccall f_17884(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word *a;
if(c<4) C_bad_min_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand((c-4)*C_SIZEOF_PAIR +8,c,5)))){
C_save_and_reclaim((void*)f_17884,c,av);}
a=C_alloc((c-4)*C_SIZEOF_PAIR+8);
t4=C_build_rest(&a,c,4,av);
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word t12;
C_word t13;
C_word t14;
C_word t15;
C_word t16;
t5=C_i_nullp(t4);
t6=(C_truep(t5)?C_SCHEME_FALSE:C_i_car(t4));
t7=C_i_check_vector_2(t2,lf[680]);
t8=C_block_size(t2);
t9=t8;
t10=(C_truep(t6)?t6:t9);
t11=t10;
t12=C_fixnum_difference(t11,t3);
t13=t12;
t14=(*a=C_CLOSURE_TYPE|7,a[1]=(C_word)f_17903,a[2]=t13,a[3]=t3,a[4]=t2,a[5]=t1,a[6]=t9,a[7]=t11,tmp=(C_word)a,a+=8,tmp);
t15=C_fixnum_plus(t9,C_fix(1));
/* library.scm:2926: ##sys#check-range */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[334]+1));
C_word *av2;
if(c >= 6) {
  av2=av;
} else {
  av2=C_alloc(6);
}
av2[0]=*((C_word*)lf[334]+1);
av2[1]=t14;
av2[2]=t3;
av2[3]=C_fix(0);
av2[4]=t15;
av2[5]=lf[680];
tp(6,av2);}}

/* k17901 in chicken.base#subvector in k8490 */
static void C_ccall f_17903(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,c,5)))){
C_save_and_reclaim((void *)f_17903,2,av);}
a=C_alloc(6);
t2=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_17906,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[5],tmp=(C_word)a,a+=6,tmp);
t3=C_fixnum_plus(((C_word*)t0)[6],C_fix(1));
/* library.scm:2927: ##sys#check-range */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[334]+1));
C_word *av2;
if(c >= 6) {
  av2=av;
} else {
  av2=C_alloc(6);
}
av2[0]=*((C_word*)lf[334]+1);
av2[1]=t2;
av2[2]=((C_word*)t0)[7];
av2[3]=C_fix(0);
av2[4]=t3;
av2[5]=lf[680];
tp(6,av2);}}

/* k17904 in k17901 in chicken.base#subvector in k8490 */
static void C_ccall f_17906(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,c,2)))){
C_save_and_reclaim((void *)f_17906,2,av);}
a=C_alloc(6);
t2=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_17909,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[5],tmp=(C_word)a,a+=6,tmp);
/* library.scm:2928: scheme#make-vector */
t3=*((C_word*)lf[93]+1);{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t3;
av2[1]=t2;
av2[2]=((C_word*)t0)[2];
((C_proc)(void*)(*((C_word*)t3+1)))(3,av2);}}

/* k17907 in k17904 in k17901 in chicken.base#subvector in k8490 */
static void C_ccall f_17909(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(7,c,2)))){
C_save_and_reclaim((void *)f_17909,2,av);}
a=C_alloc(7);
t2=t1;
t3=(*a=C_CLOSURE_TYPE|6,a[1]=(C_word)f_17914,a[2]=((C_word*)t0)[2],a[3]=t2,a[4]=((C_word*)t0)[3],a[5]=((C_word*)t0)[4],a[6]=((C_word)li503),tmp=(C_word)a,a+=7,tmp);
t4=((C_word*)t0)[5];{
C_word *av2=av;
av2[0]=t4;
av2[1]=(
  f_17914(t3,C_fix(0))
);
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* doloop3578 in k17907 in k17904 in k17901 in chicken.base#subvector in k8490 */
static C_word C_fcall f_17914(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_stack_overflow_check;
loop:{}
if(C_truep(C_fixnum_greater_or_equal_p(t1,((C_word*)t0)[2]))){
return(((C_word*)t0)[3]);}
else{
t2=C_fixnum_plus(t1,((C_word*)t0)[4]);
t3=C_slot(((C_word*)t0)[5],t2);
t4=C_i_setslot(((C_word*)t0)[3],t1,t3);
t5=C_fixnum_plus(t1,C_fix(1));
t7=t5;
t1=t7;
goto loop;}}

/* chicken.base#vector-resize in k8490 */
static void C_ccall f_17955(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word *a;
if(c<4) C_bad_min_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand((c-4)*C_SIZEOF_PAIR +6,c,3)))){
C_save_and_reclaim((void*)f_17955,c,av);}
a=C_alloc((c-4)*C_SIZEOF_PAIR+6);
t4=C_build_rest(&a,c,4,av);
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
t5=C_i_nullp(t4);
t6=(C_truep(t5)?C_SCHEME_FALSE:C_i_car(t4));
t7=t6;
t8=C_i_check_vector_2(t2,lf[681]);
t9=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_17965,a[2]=t1,a[3]=t2,a[4]=t3,a[5]=t7,tmp=(C_word)a,a+=6,tmp);
/* library.scm:2936: ##sys#check-fixnum */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[102]+1));
C_word *av2=av;
av2[0]=*((C_word*)lf[102]+1);
av2[1]=t9;
av2[2]=t3;
av2[3]=lf[681];
tp(4,av2);}}

/* k17963 in chicken.base#vector-resize in k8490 */
static void C_ccall f_17965(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,4)))){
C_save_and_reclaim((void *)f_17965,2,av);}
/* library.scm:2937: ##sys#vector-resize */
f_17976(((C_word*)t0)[2],((C_word*)t0)[3],((C_word*)t0)[4],((C_word*)t0)[5]);}

/* ##sys#vector-resize in k8490 */
static void C_fcall f_17976(C_word t1,C_word t2,C_word t3,C_word t4){
C_word tmp;
C_word t5;
C_word t6;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,0,3)))){
C_save_and_reclaim_args((void *)trf_17976,4,t1,t2,t3,t4);}
a=C_alloc(5);
t5=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_17980,a[2]=t2,a[3]=t1,a[4]=t3,tmp=(C_word)a,a+=5,tmp);
/* library.scm:2940: ##sys#make-vector */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[674]+1));
C_word av2[4];
av2[0]=*((C_word*)lf[674]+1);
av2[1]=t5;
av2[2]=t3;
av2[3]=t4;
tp(4,av2);}}

/* k17978 in vector-resize in k8490 */
static void C_ccall f_17980(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,c,3)))){
C_save_and_reclaim((void *)f_17980,2,av);}
a=C_alloc(5);
t2=t1;
t3=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_17983,a[2]=t2,a[3]=((C_word*)t0)[2],a[4]=((C_word*)t0)[3],tmp=(C_word)a,a+=5,tmp);
t4=C_block_size(((C_word*)t0)[2]);
/* library.scm:2941: scheme#min */
t5=*((C_word*)lf[558]+1);{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t5;
av2[1]=t3;
av2[2]=t4;
av2[3]=((C_word*)t0)[4];
((C_proc)(void*)(*((C_word*)t5+1)))(4,av2);}}

/* k17981 in k17978 in vector-resize in k8490 */
static void C_ccall f_17983(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,c,2)))){
C_save_and_reclaim((void *)f_17983,2,av);}
a=C_alloc(6);
t2=t1;
t3=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_17988,a[2]=t2,a[3]=((C_word*)t0)[2],a[4]=((C_word*)t0)[3],a[5]=((C_word)li506),tmp=(C_word)a,a+=6,tmp);
t4=((C_word*)t0)[4];{
C_word *av2=av;
av2[0]=t4;
av2[1]=(
  f_17988(t3,C_fix(0))
);
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* doloop3606 in k17981 in k17978 in vector-resize in k8490 */
static C_word C_fcall f_17988(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_stack_overflow_check;
loop:{}
if(C_truep(C_fixnum_greater_or_equal_p(t1,((C_word*)t0)[2]))){
return(((C_word*)t0)[3]);}
else{
t2=C_slot(((C_word*)t0)[4],t1);
t3=C_i_setslot(((C_word*)t0)[3],t1,t2);
t4=C_fixnum_plus(t1,C_fix(1));
t6=t4;
t1=t6;
goto loop;}}

/* scheme#char-ci=? in k8490 */
static void C_ccall f_18015(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_18015,4,av);}
t4=C_u_i_char_downcase(t2);
t5=C_u_i_char_downcase(t3);
t6=t1;{
C_word *av2=av;
av2[0]=t6;
av2[1]=C_eqp(t4,t5);
((C_proc)(void*)(*((C_word*)t6+1)))(2,av2);}}

/* scheme#char-ci>? in k8490 */
static void C_ccall f_18029(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_18029,4,av);}
t4=C_u_i_char_downcase(t2);
t5=C_u_i_char_downcase(t3);
t6=t1;{
C_word *av2=av;
av2[0]=t6;
av2[1]=C_u_i_char_greaterp(t4,t5);
((C_proc)(void*)(*((C_word*)t6+1)))(2,av2);}}

/* scheme#char-ci<? in k8490 */
static void C_ccall f_18040(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_18040,4,av);}
t4=C_u_i_char_downcase(t2);
t5=C_u_i_char_downcase(t3);
t6=t1;{
C_word *av2=av;
av2[0]=t6;
av2[1]=C_u_i_char_lessp(t4,t5);
((C_proc)(void*)(*((C_word*)t6+1)))(2,av2);}}

/* scheme#char-ci>=? in k8490 */
static void C_ccall f_18051(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_18051,4,av);}
t4=C_u_i_char_downcase(t2);
t5=C_u_i_char_downcase(t3);
t6=t1;{
C_word *av2=av;
av2[0]=t6;
av2[1]=C_u_i_char_greater_or_equal_p(t4,t5);
((C_proc)(void*)(*((C_word*)t6+1)))(2,av2);}}

/* scheme#char-ci<=? in k8490 */
static void C_ccall f_18062(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_18062,4,av);}
t4=C_u_i_char_downcase(t2);
t5=C_u_i_char_downcase(t3);
t6=t1;{
C_word *av2=av;
av2[0]=t6;
av2[1]=C_u_i_char_less_or_equal_p(t4,t5);
((C_proc)(void*)(*((C_word*)t6+1)))(2,av2);}}

/* k18073 in k8490 */
static void C_ccall f_18075(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(15,c,3)))){
C_save_and_reclaim((void *)f_18075,2,av);}
a=C_alloc(15);
t2=t1;
t3=C_SCHEME_END_OF_LIST;
t4=(*a=C_VECTOR_TYPE|1,a[1]=t3,tmp=(C_word)a,a+=2,tmp);
t5=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_18077,a[2]=t2,a[3]=((C_word)li514),tmp=(C_word)a,a+=4,tmp);
t6=C_mutate((C_word*)lf[199]+1 /* (set! chicken.base#char-name ...) */,(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_18118,a[2]=t5,a[3]=t4,a[4]=t2,a[5]=((C_word)li515),tmp=(C_word)a,a+=6,tmp));
t7=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_18235,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
/* library.scm:3010: chicken.base#char-name */
t8=*((C_word*)lf[199]+1);{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t8;
av2[1]=t7;
av2[2]=lf[1384];
av2[3]=C_make_character(32);
((C_proc)(void*)(*((C_word*)t8+1)))(4,av2);}}

/* lookup-char in k18073 in k8490 */
static void C_fcall f_18077(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,0,2)))){
C_save_and_reclaim_args((void *)trf_18077,3,t0,t1,t2);}
a=C_alloc(4);
t3=C_fix(C_character_code(t2));
t4=C_fixnum_modulo(t3,C_fix(37));
t5=C_slot(((C_word*)t0)[2],t4);
t6=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_18090,a[2]=t2,a[3]=((C_word)li513),tmp=(C_word)a,a+=4,tmp);
t7=t1;{
C_word av2[2];
av2[0]=t7;
av2[1]=(
  f_18090(t6,t5)
);
((C_proc)(void*)(*((C_word*)t7+1)))(2,av2);}}

/* loop in lookup-char in k18073 in k8490 */
static C_word C_fcall f_18090(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_stack_overflow_check;
loop:{}
if(C_truep(C_i_pairp(t1))){
t2=C_slot(t1,C_fix(0));
t3=C_slot(t2,C_fix(0));
t4=C_eqp(t3,((C_word*)t0)[2]);
if(C_truep(t4)){
return(t2);}
else{
t5=C_slot(t1,C_fix(1));
t7=t5;
t1=t7;
goto loop;}}
else{
return(C_SCHEME_FALSE);}}

/* chicken.base#char-name in k18073 in k8490 */
static void C_ccall f_18118(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c<3) C_bad_min_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand((c-3)*C_SIZEOF_PAIR +7,c,2)))){
C_save_and_reclaim((void*)f_18118,c,av);}
a=C_alloc((c-3)*C_SIZEOF_PAIR+7);
t3=C_build_rest(&a,c,3,av);
C_word t4;
C_word t5;
C_word t6;
t4=(*a=C_CLOSURE_TYPE|6,a[1]=(C_word)f_18122,a[2]=t2,a[3]=t1,a[4]=((C_word*)t0)[2],a[5]=((C_word*)t0)[3],a[6]=((C_word*)t0)[4],tmp=(C_word)a,a+=7,tmp);
if(C_truep(C_i_pairp(t3))){
t5=t3;
t6=t4;
f_18122(t6,C_u_i_car(t5));}
else{
t5=t4;
f_18122(t5,C_SCHEME_FALSE);}}

/* k18120 in chicken.base#char-name in k18073 in k8490 */
static void C_fcall f_18122(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(8,0,5)))){
C_save_and_reclaim_args((void *)trf_18122,2,t0,t1);}
a=C_alloc(8);
t2=t1;
if(C_truep(C_charp(((C_word*)t0)[2]))){
t3=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_18131,a[2]=((C_word*)t0)[3],tmp=(C_word)a,a+=3,tmp);
/* library.scm:2984: lookup-char */
t4=((C_word*)t0)[4];
f_18077(t4,t3,((C_word*)t0)[2]);}
else{
if(C_truep(t2)){
t3=C_i_check_symbol_2(((C_word*)t0)[2],lf[683]);
t4=C_i_check_char_2(t2,lf[683]);
t5=(*a=C_CLOSURE_TYPE|7,a[1]=(C_word)f_18149,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[5],a[4]=((C_word*)t0)[3],a[5]=t2,a[6]=((C_word*)t0)[6],a[7]=((C_word*)t0)[4],tmp=(C_word)a,a+=8,tmp);
t6=C_slot(((C_word*)t0)[2],C_fix(1));
t7=C_block_size(t6);
if(C_truep(C_fixnum_lessp(t7,C_fix(2)))){
/* library.scm:2990: ##sys#signal-hook */
t8=C_fast_retrieve(lf[194]);{
C_word av2[6];
av2[0]=t8;
av2[1]=t5;
av2[2]=lf[258];
av2[3]=lf[683];
av2[4]=lf[684];
av2[5]=((C_word*)t0)[2];
((C_proc)(void*)(*((C_word*)t8+1)))(6,av2);}}
else{
t8=t5;{
C_word av2[2];
av2[0]=t8;
av2[1]=C_SCHEME_UNDEFINED;
f_18149(2,av2);}}}
else{
t3=C_i_check_symbol_2(((C_word*)t0)[2],lf[683]);
t4=C_i_assq(((C_word*)t0)[2],((C_word*)((C_word*)t0)[5])[1]);
t5=((C_word*)t0)[3];{
C_word av2[2];
av2[0]=t5;
av2[1]=(C_truep(t4)?C_slot(t4,C_fix(1)):C_SCHEME_FALSE);
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}}}

/* k18129 in k18120 in chicken.base#char-name in k18073 in k8490 */
static void C_ccall f_18131(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_18131,2,av);}
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=(C_truep(t1)?C_slot(t1,C_fix(1)):C_SCHEME_FALSE);
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* k18147 in k18120 in chicken.base#char-name in k18073 in k8490 */
static void C_ccall f_18149(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(7,c,2)))){
C_save_and_reclaim((void *)f_18149,2,av);}
a=C_alloc(7);
t2=(*a=C_CLOSURE_TYPE|6,a[1]=(C_word)f_18152,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[5],a[6]=((C_word*)t0)[6],tmp=(C_word)a,a+=7,tmp);
/* library.scm:2991: lookup-char */
t3=((C_word*)t0)[7];
f_18077(t3,t2,((C_word*)t0)[5]);}

/* k18150 in k18147 in k18120 in chicken.base#char-name in k18073 in k8490 */
static void C_ccall f_18152(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(12,c,1)))){
C_save_and_reclaim((void *)f_18152,2,av);}
a=C_alloc(12);
if(C_truep(t1)){
t2=C_i_assq(((C_word*)t0)[2],((C_word*)((C_word*)t0)[3])[1]);
t3=C_i_setslot(t1,C_fix(1),((C_word*)t0)[2]);
if(C_truep(t2)){
t4=((C_word*)t0)[4];{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_i_set_i_slot(t2,C_fix(1),((C_word*)t0)[5]);
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}
else{
t4=C_a_i_cons(&a,2,((C_word*)t0)[2],((C_word*)t0)[5]);
t5=C_a_i_cons(&a,2,t4,((C_word*)((C_word*)t0)[3])[1]);
t6=C_mutate(((C_word *)((C_word*)t0)[3])+1,t5);
t7=((C_word*)t0)[4];{
C_word *av2=av;
av2[0]=t7;
av2[1]=t6;
((C_proc)(void*)(*((C_word*)t7+1)))(2,av2);}}}
else{
t2=C_fix(C_character_code(((C_word*)t0)[5]));
t3=C_fixnum_modulo(t2,C_fix(37));
t4=C_a_i_cons(&a,2,((C_word*)t0)[2],((C_word*)t0)[5]);
t5=C_a_i_cons(&a,2,t4,((C_word*)((C_word*)t0)[3])[1]);
t6=C_mutate(((C_word *)((C_word*)t0)[3])+1,t5);
t7=C_a_i_cons(&a,2,((C_word*)t0)[5],((C_word*)t0)[2]);
t8=C_slot(((C_word*)t0)[6],t3);
t9=C_a_i_cons(&a,2,t7,t8);
t10=((C_word*)t0)[4];{
C_word *av2=av;
av2[0]=t10;
av2[1]=C_i_setslot(((C_word*)t0)[6],t3,t9);
((C_proc)(void*)(*((C_word*)t10+1)))(2,av2);}}}

/* k18233 in k18073 in k8490 */
static void C_ccall f_18235(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,3)))){
C_save_and_reclaim((void *)f_18235,2,av);}
a=C_alloc(3);
t2=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_18238,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
/* library.scm:3011: chicken.base#char-name */
t3=*((C_word*)lf[199]+1);{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t3;
av2[1]=t2;
av2[2]=lf[1383];
av2[3]=C_make_character(9);
((C_proc)(void*)(*((C_word*)t3+1)))(4,av2);}}

/* k18236 in k18233 in k18073 in k8490 */
static void C_ccall f_18238(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,3)))){
C_save_and_reclaim((void *)f_18238,2,av);}
a=C_alloc(3);
t2=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_18241,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
/* library.scm:3012: chicken.base#char-name */
t3=*((C_word*)lf[199]+1);{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t3;
av2[1]=t2;
av2[2]=lf[1382];
av2[3]=C_make_character(10);
((C_proc)(void*)(*((C_word*)t3+1)))(4,av2);}}

/* k18239 in k18236 in k18233 in k18073 in k8490 */
static void C_ccall f_18241(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,3)))){
C_save_and_reclaim((void *)f_18241,2,av);}
a=C_alloc(3);
t2=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_18244,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
/* library.scm:3013: chicken.base#char-name */
t3=*((C_word*)lf[199]+1);{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t3;
av2[1]=t2;
av2[2]=lf[1381];
av2[3]=C_make_character(10);
((C_proc)(void*)(*((C_word*)t3+1)))(4,av2);}}

/* k18242 in k18239 in k18236 in k18233 in k18073 in k8490 */
static void C_ccall f_18244(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,3)))){
C_save_and_reclaim((void *)f_18244,2,av);}
a=C_alloc(3);
t2=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_18247,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
/* library.scm:3014: chicken.base#char-name */
t3=*((C_word*)lf[199]+1);{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t3;
av2[1]=t2;
av2[2]=lf[1380];
av2[3]=C_make_character(11);
((C_proc)(void*)(*((C_word*)t3+1)))(4,av2);}}

/* k18245 in k18242 in k18239 in k18236 in k18233 in k18073 in k8490 */
static void C_ccall f_18247(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,3)))){
C_save_and_reclaim((void *)f_18247,2,av);}
a=C_alloc(3);
t2=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_18250,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
/* library.scm:3015: chicken.base#char-name */
t3=*((C_word*)lf[199]+1);{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t3;
av2[1]=t2;
av2[2]=lf[1379];
av2[3]=C_make_character(127);
((C_proc)(void*)(*((C_word*)t3+1)))(4,av2);}}

/* k18248 in k18245 in k18242 in k18239 in k18236 in k18233 in k18073 in k8490 */
static void C_ccall f_18250(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,3)))){
C_save_and_reclaim((void *)f_18250,2,av);}
a=C_alloc(3);
t2=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_18253,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
/* library.scm:3016: chicken.base#char-name */
t3=*((C_word*)lf[199]+1);{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t3;
av2[1]=t2;
av2[2]=lf[1378];
av2[3]=C_make_character(27);
((C_proc)(void*)(*((C_word*)t3+1)))(4,av2);}}

/* k18251 in k18248 in k18245 in k18242 in k18239 in k18236 in k18233 in k18073 in k8490 */
static void C_ccall f_18253(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,3)))){
C_save_and_reclaim((void *)f_18253,2,av);}
a=C_alloc(3);
t2=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_18256,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
/* library.scm:3017: chicken.base#char-name */
t3=*((C_word*)lf[199]+1);{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t3;
av2[1]=t2;
av2[2]=lf[1377];
av2[3]=C_make_character(27);
((C_proc)(void*)(*((C_word*)t3+1)))(4,av2);}}

/* k18254 in k18251 in k18248 in k18245 in k18242 in k18239 in k18236 in k18233 in k18073 in k8490 */
static void C_ccall f_18256(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,3)))){
C_save_and_reclaim((void *)f_18256,2,av);}
a=C_alloc(3);
t2=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_18259,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
/* library.scm:3018: chicken.base#char-name */
t3=*((C_word*)lf[199]+1);{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t3;
av2[1]=t2;
av2[2]=lf[1376];
av2[3]=C_make_character(7);
((C_proc)(void*)(*((C_word*)t3+1)))(4,av2);}}

/* k18257 in k18254 in k18251 in k18248 in k18245 in k18242 in k18239 in k18236 in k18233 in k18073 in k8490 */
static void C_ccall f_18259(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,3)))){
C_save_and_reclaim((void *)f_18259,2,av);}
a=C_alloc(3);
t2=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_18262,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
/* library.scm:3019: chicken.base#char-name */
t3=*((C_word*)lf[199]+1);{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t3;
av2[1]=t2;
av2[2]=lf[1375];
av2[3]=C_make_character(0);
((C_proc)(void*)(*((C_word*)t3+1)))(4,av2);}}

/* k18260 in k18257 in k18254 in k18251 in k18248 in k18245 in k18242 in k18239 in k18236 in k18233 in k18073 in k8490 */
static void C_ccall f_18262(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,3)))){
C_save_and_reclaim((void *)f_18262,2,av);}
a=C_alloc(3);
t2=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_18265,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
/* library.scm:3020: chicken.base#char-name */
t3=*((C_word*)lf[199]+1);{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t3;
av2[1]=t2;
av2[2]=lf[1374];
av2[3]=C_make_character(0);
((C_proc)(void*)(*((C_word*)t3+1)))(4,av2);}}

/* k18263 in k18260 in k18257 in k18254 in k18251 in k18248 in k18245 in k18242 in k18239 in k18236 in k18233 in k18073 in k8490 */
static void C_ccall f_18265(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,3)))){
C_save_and_reclaim((void *)f_18265,2,av);}
a=C_alloc(3);
t2=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_18268,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
/* library.scm:3021: chicken.base#char-name */
t3=*((C_word*)lf[199]+1);{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t3;
av2[1]=t2;
av2[2]=lf[1373];
av2[3]=C_make_character(13);
((C_proc)(void*)(*((C_word*)t3+1)))(4,av2);}}

/* k18266 in k18263 in k18260 in k18257 in k18254 in k18251 in k18248 in k18245 in k18242 in k18239 in k18236 in k18233 in k18073 in k8490 */
static void C_ccall f_18268(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,3)))){
C_save_and_reclaim((void *)f_18268,2,av);}
a=C_alloc(3);
t2=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_18271,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
/* library.scm:3022: chicken.base#char-name */
t3=*((C_word*)lf[199]+1);{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t3;
av2[1]=t2;
av2[2]=lf[1372];
av2[3]=C_make_character(12);
((C_proc)(void*)(*((C_word*)t3+1)))(4,av2);}}

/* k18269 in k18266 in k18263 in k18260 in k18257 in k18254 in k18251 in k18248 in k18245 in k18242 in k18239 in k18236 in k18233 in k18073 in k8490 */
static void C_ccall f_18271(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,3)))){
C_save_and_reclaim((void *)f_18271,2,av);}
a=C_alloc(3);
t2=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_18274,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
/* library.scm:3023: chicken.base#char-name */
t3=*((C_word*)lf[199]+1);{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t3;
av2[1]=t2;
av2[2]=lf[1371];
av2[3]=C_make_character(8);
((C_proc)(void*)(*((C_word*)t3+1)))(4,av2);}}

/* k18272 in k18269 in k18266 in k18263 in k18260 in k18257 in k18254 in k18251 in k18248 in k18245 in k18242 in k18239 in k18236 in k18233 in k18073 in k8490 */
static void C_ccall f_18274(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word t12;
C_word t13;
C_word t14;
C_word t15;
C_word t16;
C_word t17;
C_word t18;
C_word t19;
C_word t20;
C_word t21;
C_word t22;
C_word t23;
C_word t24;
C_word t25;
C_word t26;
C_word t27;
C_word t28;
C_word t29;
C_word t30;
C_word t31;
C_word t32;
C_word t33;
C_word t34;
C_word t35;
C_word t36;
C_word t37;
C_word t38;
C_word t39;
C_word t40;
C_word t41;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(102,c,6)))){
C_save_and_reclaim((void *)f_18274,2,av);}
a=C_alloc(102);
t2=C_mutate((C_word*)lf[685]+1 /* (set! ##sys#call-with-current-continuation ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)C_call_cc,a[2]=((C_word)li516),tmp=(C_word)a,a+=3,tmp));
t3=C_mutate((C_word*)lf[686]+1 /* (set! ##sys#call-with-cthulhu ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)C_call_with_cthulhu,a[2]=((C_word)li517),tmp=(C_word)a,a+=3,tmp));
t4=C_mutate((C_word*)lf[687]+1 /* (set! ##sys#call-with-values ...) */,*((C_word*)lf[131]+1));
t5=C_mutate((C_word*)lf[688]+1 /* (set! ##sys#for-each ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_18279,a[2]=((C_word)li519),tmp=(C_word)a,a+=3,tmp));
t6=C_mutate((C_word*)lf[690]+1 /* (set! ##sys#map ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_18317,a[2]=((C_word)li521),tmp=(C_word)a,a+=3,tmp));
t7=C_SCHEME_UNDEFINED;
t8=(*a=C_VECTOR_TYPE|1,a[1]=t7,tmp=(C_word)a,a+=2,tmp);
t9=C_SCHEME_UNDEFINED;
t10=(*a=C_VECTOR_TYPE|1,a[1]=t9,tmp=(C_word)a,a+=2,tmp);
t11=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_18359,a[2]=t10,a[3]=t8,a[4]=((C_word)li522),tmp=(C_word)a,a+=5,tmp);
t12=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_18403,a[2]=((C_word)li524),tmp=(C_word)a,a+=3,tmp);
t13=C_set_block_item(t8,0,t11);
t14=C_set_block_item(t10,0,t12);
t15=C_mutate((C_word*)lf[170]+1 /* (set! scheme#for-each ...) */,(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_18457,a[2]=t8,a[3]=t10,a[4]=((C_word)li529),tmp=(C_word)a,a+=5,tmp));
t16=C_mutate((C_word*)lf[171]+1 /* (set! scheme#map ...) */,(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_18543,a[2]=t8,a[3]=t10,a[4]=((C_word)li534),tmp=(C_word)a,a+=5,tmp));
t17=C_set_block_item(lf[693] /* ##sys#dynamic-winds */,0,C_SCHEME_END_OF_LIST);
t18=C_mutate((C_word*)lf[172]+1 /* (set! scheme#dynamic-wind ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_18650,a[2]=((C_word)li536),tmp=(C_word)a,a+=3,tmp));
t19=C_mutate((C_word*)lf[694]+1 /* (set! ##sys#dynamic-wind ...) */,*((C_word*)lf[172]+1));
t20=C_mutate((C_word*)lf[132]+1 /* (set! scheme#call-with-current-continuation ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_18681,a[2]=((C_word)li539),tmp=(C_word)a,a+=3,tmp));
t21=C_mutate((C_word*)lf[198]+1 /* (set! chicken.base#call/cc ...) */,*((C_word*)lf[132]+1));
t22=C_mutate(&lf[695] /* (set! ##sys#dynamic-unwind ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_18721,a[2]=((C_word)li540),tmp=(C_word)a,a+=3,tmp));
t23=C_mutate((C_word*)lf[207]+1 /* (set! chicken.base#port? ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_18779,a[2]=((C_word)li541),tmp=(C_word)a,a+=3,tmp));
t24=C_mutate((C_word*)lf[209]+1 /* (set! chicken.base#input-port-open? ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_18785,a[2]=((C_word)li542),tmp=(C_word)a,a+=3,tmp));
t25=C_mutate((C_word*)lf[210]+1 /* (set! chicken.base#output-port-open? ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_18790,a[2]=((C_word)li543),tmp=(C_word)a,a+=3,tmp));
t26=C_mutate((C_word*)lf[208]+1 /* (set! chicken.base#port-closed? ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_18795,a[2]=((C_word)li544),tmp=(C_word)a,a+=3,tmp));
t27=C_mutate((C_word*)lf[700]+1 /* (set! ##sys#make-port ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_18808,a[2]=((C_word)li545),tmp=(C_word)a,a+=3,tmp));
t28=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_31769,a[2]=((C_word)li547),tmp=(C_word)a,a+=3,tmp);
t29=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_31809,a[2]=((C_word)li549),tmp=(C_word)a,a+=3,tmp);
t30=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_31849,a[2]=((C_word)li550),tmp=(C_word)a,a+=3,tmp);
t31=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_31852,a[2]=((C_word)li551),tmp=(C_word)a,a+=3,tmp);
t32=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_31855,a[2]=((C_word)li552),tmp=(C_word)a,a+=3,tmp);
t33=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_31861,a[2]=((C_word)li553),tmp=(C_word)a,a+=3,tmp);
t34=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_31864,a[2]=((C_word)li554),tmp=(C_word)a,a+=3,tmp);
t35=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_31867,a[2]=((C_word)li557),tmp=(C_word)a,a+=3,tmp);
t36=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_31966,a[2]=((C_word)li560),tmp=(C_word)a,a+=3,tmp);
t37=C_a_i_vector(&a,10,t28,t29,t30,t31,t32,t33,t34,t35,t36,C_SCHEME_FALSE);
t38=C_mutate((C_word*)lf[714]+1 /* (set! ##sys#stream-port-class ...) */,t37);
t39=C_mutate((C_word*)lf[715]+1 /* (set! ##sys#open-file-port ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)C_open_file_port,a[2]=((C_word)li561),tmp=(C_word)a,a+=3,tmp));
t40=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_18839,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
/* library.scm:3307: ##sys#make-port */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[700]);
C_word *av2;
if(c >= 6) {
  av2=av;
} else {
  av2=C_alloc(6);
}
av2[0]=*((C_word*)lf[700]+1);
av2[1]=t40;
av2[2]=C_fix(1);
av2[3]=C_fast_retrieve(lf[714]);
av2[4]=lf[1370];
av2[5]=lf[733];
tp(6,av2);}}

/* ##sys#for-each in k18272 in k18269 in k18266 in k18263 in k18260 in k18257 in k18254 in k18251 in k18248 in k18245 in k18242 in k18239 in k18236 in k18233 in k18073 in k8490 */
static void C_ccall f_18279(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(8,c,3)))){
C_save_and_reclaim((void *)f_18279,4,av);}
a=C_alloc(8);
t4=C_SCHEME_UNDEFINED;
t5=(*a=C_VECTOR_TYPE|1,a[1]=t4,tmp=(C_word)a,a+=2,tmp);
t6=C_set_block_item(t5,0,(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_18285,a[2]=t5,a[3]=t2,a[4]=t3,a[5]=((C_word)li518),tmp=(C_word)a,a+=6,tmp));
t7=((C_word*)t5)[1];
f_18285(t7,t1,t3);}

/* loop in for-each in k18272 in k18269 in k18266 in k18263 in k18260 in k18257 in k18254 in k18251 in k18248 in k18245 in k18242 in k18239 in k18236 in k18233 in k18073 in k8490 */
static void C_fcall f_18285(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,0,3)))){
C_save_and_reclaim_args((void *)trf_18285,3,t0,t1,t2);}
a=C_alloc(5);
t3=C_eqp(t2,C_SCHEME_END_OF_LIST);
if(C_truep(t3)){
t4=C_SCHEME_UNDEFINED;
t5=t1;{
C_word av2[2];
av2[0]=t5;
av2[1]=t4;
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}
else{
if(C_truep(C_i_pairp(t2))){
t4=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_18301,a[2]=t2,a[3]=((C_word*)t0)[2],a[4]=t1,tmp=(C_word)a,a+=5,tmp);
t5=C_slot(t2,C_fix(0));
/* library.scm:3036: p */
t6=((C_word*)t0)[3];{
C_word av2[3];
av2[0]=t6;
av2[1]=t4;
av2[2]=t5;
((C_proc)C_fast_retrieve_proc(t6))(3,av2);}}
else{
/* library.scm:3038: ##sys#error-not-a-proper-list */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[47]+1));
C_word av2[4];
av2[0]=*((C_word*)lf[47]+1);
av2[1]=t1;
av2[2]=((C_word*)t0)[4];
av2[3]=lf[689];
tp(4,av2);}}}}

/* k18299 in loop in for-each in k18272 in k18269 in k18266 in k18263 in k18260 in k18257 in k18254 in k18251 in k18248 in k18245 in k18242 in k18239 in k18236 in k18233 in k18073 in k8490 */
static void C_ccall f_18301(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_18301,2,av);}
t2=C_slot(((C_word*)t0)[2],C_fix(1));
/* library.scm:3037: loop */
t3=((C_word*)((C_word*)t0)[3])[1];
f_18285(t3,((C_word*)t0)[4],t2);}

/* ##sys#map in k18272 in k18269 in k18266 in k18263 in k18260 in k18257 in k18254 in k18251 in k18248 in k18245 in k18242 in k18239 in k18236 in k18233 in k18073 in k8490 */
static void C_ccall f_18317(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(8,c,3)))){
C_save_and_reclaim((void *)f_18317,4,av);}
a=C_alloc(8);
t4=C_SCHEME_UNDEFINED;
t5=(*a=C_VECTOR_TYPE|1,a[1]=t4,tmp=(C_word)a,a+=2,tmp);
t6=C_set_block_item(t5,0,(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_18323,a[2]=t5,a[3]=t2,a[4]=t3,a[5]=((C_word)li520),tmp=(C_word)a,a+=6,tmp));
t7=((C_word*)t5)[1];
f_18323(t7,t1,t3);}

/* loop in map in k18272 in k18269 in k18266 in k18263 in k18260 in k18257 in k18254 in k18251 in k18248 in k18245 in k18242 in k18239 in k18236 in k18233 in k18073 in k8490 */
static void C_fcall f_18323(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,0,3)))){
C_save_and_reclaim_args((void *)trf_18323,3,t0,t1,t2);}
a=C_alloc(5);
t3=C_eqp(t2,C_SCHEME_END_OF_LIST);
if(C_truep(t3)){
t4=t2;
t5=t1;{
C_word av2[2];
av2[0]=t5;
av2[1]=t4;
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}
else{
if(C_truep(C_i_pairp(t2))){
t4=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_18343,a[2]=t1,a[3]=t2,a[4]=((C_word*)t0)[2],tmp=(C_word)a,a+=5,tmp);
t5=C_slot(t2,C_fix(0));
/* library.scm:3044: p */
t6=((C_word*)t0)[3];{
C_word av2[3];
av2[0]=t6;
av2[1]=t4;
av2[2]=t5;
((C_proc)C_fast_retrieve_proc(t6))(3,av2);}}
else{
/* library.scm:3045: ##sys#error-not-a-proper-list */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[47]+1));
C_word av2[4];
av2[0]=*((C_word*)lf[47]+1);
av2[1]=t1;
av2[2]=((C_word*)t0)[4];
av2[3]=lf[691];
tp(4,av2);}}}}

/* k18341 in loop in map in k18272 in k18269 in k18266 in k18263 in k18260 in k18257 in k18254 in k18251 in k18248 in k18245 in k18242 in k18239 in k18236 in k18233 in k18073 in k8490 */
static void C_ccall f_18343(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,c,2)))){
C_save_and_reclaim((void *)f_18343,2,av);}
a=C_alloc(4);
t2=t1;
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_18347,a[2]=((C_word*)t0)[2],a[3]=t2,tmp=(C_word)a,a+=4,tmp);
t4=C_slot(((C_word*)t0)[3],C_fix(1));
/* library.scm:3044: loop */
t5=((C_word*)((C_word*)t0)[4])[1];
f_18323(t5,t3,t4);}

/* k18345 in k18341 in loop in map in k18272 in k18269 in k18266 in k18263 in k18260 in k18257 in k18254 in k18251 in k18248 in k18245 in k18242 in k18239 in k18236 in k18233 in k18073 in k8490 */
static void C_ccall f_18347(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,1)))){
C_save_and_reclaim((void *)f_18347,2,av);}
a=C_alloc(3);
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=C_a_i_cons(&a,2,((C_word*)t0)[3],t1);
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* mapsafe3682 in k18272 in k18269 in k18266 in k18263 in k18260 in k18257 in k18254 in k18251 in k18248 in k18245 in k18242 in k18239 in k18236 in k18233 in k18073 in k8490 */
static void C_ccall f_18359(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4=av[4];
C_word t5=av[5];
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word *a;
if(c!=6) C_bad_argc_2(c,6,t0);
if(C_unlikely(!C_demand(C_calculate_demand(7,c,4)))){
C_save_and_reclaim((void *)f_18359,6,av);}
a=C_alloc(7);
t6=C_eqp(t3,C_SCHEME_END_OF_LIST);
if(C_truep(t6)){
t7=t3;
t8=t1;{
C_word *av2=av;
av2[0]=t8;
av2[1]=t7;
((C_proc)(void*)(*((C_word*)t8+1)))(2,av2);}}
else{
t7=C_slot(t3,C_fix(0));
t8=C_eqp(t7,C_SCHEME_END_OF_LIST);
if(C_truep(t8)){
/* library.scm:3053: check */
t9=((C_word*)((C_word*)t0)[2])[1];{
C_word *av2=av;
av2[0]=t9;
av2[1]=t1;
av2[2]=t3;
av2[3]=t4;
av2[4]=t5;
((C_proc)C_fast_retrieve_proc(t9))(5,av2);}}
else{
if(C_truep(C_i_pairp(t7))){
t9=(*a=C_CLOSURE_TYPE|6,a[1]=(C_word)f_18391,a[2]=t1,a[3]=t3,a[4]=((C_word*)t0)[3],a[5]=t2,a[6]=t5,tmp=(C_word)a,a+=7,tmp);
/* library.scm:3055: p */
t10=t2;{
C_word *av2=av;
av2[0]=t10;
av2[1]=t9;
av2[2]=t7;
((C_proc)C_fast_retrieve_proc(t10))(3,av2);}}
else{
/* library.scm:3056: ##sys#error-not-a-proper-list */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[47]+1));
C_word *av2=av;
av2[0]=*((C_word*)lf[47]+1);
av2[1]=t1;
av2[2]=t7;
av2[3]=t5;
tp(4,av2);}}}}}

/* k18389 in mapsafe3682 in k18272 in k18269 in k18266 in k18263 in k18260 in k18257 in k18254 in k18251 in k18248 in k18245 in k18242 in k18239 in k18236 in k18233 in k18073 in k8490 */
static void C_ccall f_18391(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,c,5)))){
C_save_and_reclaim((void *)f_18391,2,av);}
a=C_alloc(4);
t2=t1;
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_18395,a[2]=((C_word*)t0)[2],a[3]=t2,tmp=(C_word)a,a+=4,tmp);
t4=C_slot(((C_word*)t0)[3],C_fix(1));
/* library.scm:3055: mapsafe */
t5=((C_word*)((C_word*)t0)[4])[1];{
C_word *av2;
if(c >= 6) {
  av2=av;
} else {
  av2=C_alloc(6);
}
av2[0]=t5;
av2[1]=t3;
av2[2]=((C_word*)t0)[5];
av2[3]=t4;
av2[4]=C_SCHEME_FALSE;
av2[5]=((C_word*)t0)[6];
((C_proc)C_fast_retrieve_proc(t5))(6,av2);}}

/* k18393 in k18389 in mapsafe3682 in k18272 in k18269 in k18266 in k18263 in k18260 in k18257 in k18254 in k18251 in k18248 in k18245 in k18242 in k18239 in k18236 in k18233 in k18073 in k8490 */
static void C_ccall f_18395(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,1)))){
C_save_and_reclaim((void *)f_18395,2,av);}
a=C_alloc(3);
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=C_a_i_cons(&a,2,((C_word*)t0)[3],t1);
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* check3683 in k18272 in k18269 in k18266 in k18263 in k18260 in k18257 in k18254 in k18251 in k18248 in k18245 in k18242 in k18239 in k18236 in k18233 in k18073 in k8490 */
static void C_ccall f_18403(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4=av[4];
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word *a;
if(c!=5) C_bad_argc_2(c,5,t0);
if(C_unlikely(!C_demand(C_calculate_demand(8,c,2)))){
C_save_and_reclaim((void *)f_18403,5,av);}
a=C_alloc(8);
t5=C_i_not(t3);
t6=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_18413,a[2]=t1,a[3]=t4,a[4]=t2,tmp=(C_word)a,a+=5,tmp);
if(C_truep(t5)){
t7=t6;
f_18413(t7,t5);}
else{
t7=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_18421,a[2]=((C_word)li523),tmp=(C_word)a,a+=3,tmp);
t8=t6;
f_18413(t8,(
  f_18421(t2)
));}}

/* k18411 in check3683 in k18272 in k18269 in k18266 in k18263 in k18260 in k18257 in k18254 in k18251 in k18248 in k18245 in k18242 in k18239 in k18236 in k18233 in k18073 in k8490 */
static void C_fcall f_18413(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,0,4)))){
C_save_and_reclaim_args((void *)trf_18413,2,t0,t1);}
if(C_truep(t1)){
/* library.scm:3064: ##sys#error */
t2=*((C_word*)lf[155]+1);{
C_word av2[5];
av2[0]=t2;
av2[1]=((C_word*)t0)[2];
av2[2]=((C_word*)t0)[3];
av2[3]=lf[692];
av2[4]=((C_word*)t0)[4];
((C_proc)(void*)(*((C_word*)t2+1)))(5,av2);}}
else{
t2=C_SCHEME_UNDEFINED;
t3=((C_word*)t0)[2];{
C_word av2[2];
av2[0]=t3;
av2[1]=t2;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}}

/* loop in check3683 in k18272 in k18269 in k18266 in k18263 in k18260 in k18257 in k18254 in k18251 in k18248 in k18245 in k18242 in k18239 in k18236 in k18233 in k18073 in k8490 */
static C_word C_fcall f_18421(C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_stack_overflow_check;
loop:{}
t2=C_eqp(t1,C_SCHEME_END_OF_LIST);
if(C_truep(C_i_not(t2))){
t3=C_slot(t1,C_fix(0));
t4=C_eqp(t3,C_SCHEME_END_OF_LIST);
if(C_truep(C_i_not(t4))){
t5=C_slot(t1,C_fix(1));
t7=t5;
t1=t7;
goto loop;}
else{
return(C_SCHEME_FALSE);}}
else{
return(C_SCHEME_FALSE);}}

/* scheme#for-each in k18272 in k18269 in k18266 in k18263 in k18260 in k18257 in k18254 in k18251 in k18248 in k18245 in k18242 in k18239 in k18236 in k18233 in k18073 in k8490 */
static void C_ccall f_18457(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word *a;
if(c<4) C_bad_min_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand((c-4)*C_SIZEOF_PAIR +12,c,3)))){
C_save_and_reclaim((void*)f_18457,c,av);}
a=C_alloc((c-4)*C_SIZEOF_PAIR+12);
t4=C_build_rest(&a,c,4,av);
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
if(C_truep(C_i_nullp(t4))){
t5=t2;
t6=t3;
t7=C_i_check_list_2(t6,lf[689]);
t8=C_SCHEME_UNDEFINED;
t9=(*a=C_VECTOR_TYPE|1,a[1]=t8,tmp=(C_word)a,a+=2,tmp);
t10=C_set_block_item(t9,0,(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_18472,a[2]=t9,a[3]=t5,a[4]=((C_word)li525),tmp=(C_word)a,a+=5,tmp));
t11=((C_word*)t9)[1];
f_18472(t11,t1,t6);}
else{
t5=C_a_i_cons(&a,2,t3,t4);
t6=C_SCHEME_UNDEFINED;
t7=(*a=C_VECTOR_TYPE|1,a[1]=t6,tmp=(C_word)a,a+=2,tmp);
t8=C_set_block_item(t7,0,(*a=C_CLOSURE_TYPE|6,a[1]=(C_word)f_18502,a[2]=t7,a[3]=((C_word*)t0)[2],a[4]=t2,a[5]=((C_word*)t0)[3],a[6]=((C_word)li528),tmp=(C_word)a,a+=7,tmp));
t9=((C_word*)t7)[1];
f_18502(t9,t1,t5);}}

/* for-each-loop3713 in scheme#for-each in k18272 in k18269 in k18266 in k18263 in k18260 in k18257 in k18254 in k18251 in k18248 in k18245 in k18242 in k18239 in k18236 in k18233 in k18073 in k8490 */
static void C_fcall f_18472(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,0,2)))){
C_save_and_reclaim_args((void *)trf_18472,3,t0,t1,t2);}
a=C_alloc(5);
if(C_truep(C_i_pairp(t2))){
t3=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_18482,a[2]=t2,a[3]=((C_word*)t0)[2],a[4]=t1,tmp=(C_word)a,a+=5,tmp);
t4=C_slot(t2,C_fix(0));
/* library.scm:3069: g3714 */
t5=((C_word*)t0)[3];{
C_word av2[3];
av2[0]=t5;
av2[1]=t3;
av2[2]=t4;
((C_proc)C_fast_retrieve_proc(t5))(3,av2);}}
else{
t3=C_SCHEME_UNDEFINED;
t4=t1;{
C_word av2[2];
av2[0]=t4;
av2[1]=t3;
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}}

/* k18480 in for-each-loop3713 in scheme#for-each in k18272 in k18269 in k18266 in k18263 in k18260 in k18257 in k18254 in k18251 in k18248 in k18245 in k18242 in k18239 in k18236 in k18233 in k18073 in k8490 */
static void C_ccall f_18482(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_18482,2,av);}
t2=C_slot(((C_word*)t0)[2],C_fix(1));
t3=((C_word*)((C_word*)t0)[3])[1];
f_18472(t3,((C_word*)t0)[4],t2);}

/* loop in scheme#for-each in k18272 in k18269 in k18266 in k18263 in k18260 in k18257 in k18254 in k18251 in k18248 in k18245 in k18242 in k18239 in k18236 in k18233 in k18073 in k8490 */
static void C_fcall f_18502(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(13,0,5)))){
C_save_and_reclaim_args((void *)trf_18502,3,t0,t1,t2);}
a=C_alloc(13);
t3=C_slot(t2,C_fix(0));
if(C_truep(C_i_pairp(t3))){
t4=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_18515,a[2]=((C_word*)t0)[2],a[3]=t1,a[4]=((C_word*)t0)[3],a[5]=t2,tmp=(C_word)a,a+=6,tmp);
t5=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_18532,a[2]=t4,a[3]=((C_word*)t0)[4],tmp=(C_word)a,a+=4,tmp);
t6=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_18534,a[2]=((C_word)li527),tmp=(C_word)a,a+=3,tmp);
/* library.scm:3073: mapsafe */
t7=((C_word*)((C_word*)t0)[3])[1];{
C_word av2[6];
av2[0]=t7;
av2[1]=t5;
av2[2]=t6;
av2[3]=t2;
av2[4]=C_SCHEME_TRUE;
av2[5]=lf[689];
((C_proc)C_fast_retrieve_proc(t7))(6,av2);}}
else{
/* library.scm:3075: check */
t4=((C_word*)((C_word*)t0)[5])[1];{
C_word av2[5];
av2[0]=t4;
av2[1]=t1;
av2[2]=t2;
av2[3]=C_SCHEME_TRUE;
av2[4]=lf[689];
((C_proc)C_fast_retrieve_proc(t4))(5,av2);}}}

/* k18513 in loop in scheme#for-each in k18272 in k18269 in k18266 in k18263 in k18260 in k18257 in k18254 in k18251 in k18248 in k18245 in k18242 in k18239 in k18236 in k18233 in k18073 in k8490 */
static void C_ccall f_18515(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(7,c,5)))){
C_save_and_reclaim((void *)f_18515,2,av);}
a=C_alloc(7);
t2=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_18522,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],tmp=(C_word)a,a+=4,tmp);
t3=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_18524,a[2]=((C_word)li526),tmp=(C_word)a,a+=3,tmp);
/* library.scm:3074: mapsafe */
t4=((C_word*)((C_word*)t0)[4])[1];{
C_word *av2;
if(c >= 6) {
  av2=av;
} else {
  av2=C_alloc(6);
}
av2[0]=t4;
av2[1]=t2;
av2[2]=t3;
av2[3]=((C_word*)t0)[5];
av2[4]=C_SCHEME_TRUE;
av2[5]=lf[689];
((C_proc)C_fast_retrieve_proc(t4))(6,av2);}}

/* k18520 in k18513 in loop in scheme#for-each in k18272 in k18269 in k18266 in k18263 in k18260 in k18257 in k18254 in k18251 in k18248 in k18245 in k18242 in k18239 in k18236 in k18233 in k18073 in k8490 */
static void C_ccall f_18522(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_18522,2,av);}
/* library.scm:3074: loop */
t2=((C_word*)((C_word*)t0)[2])[1];
f_18502(t2,((C_word*)t0)[3],t1);}

/* a18523 in k18513 in loop in scheme#for-each in k18272 in k18269 in k18266 in k18263 in k18260 in k18257 in k18254 in k18251 in k18248 in k18245 in k18242 in k18239 in k18236 in k18233 in k18073 in k8490 */
static void C_ccall f_18524(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_18524,3,av);}
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_i_cdr(t2);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* k18530 in loop in scheme#for-each in k18272 in k18269 in k18266 in k18263 in k18260 in k18257 in k18254 in k18251 in k18248 in k18245 in k18242 in k18239 in k18236 in k18233 in k18073 in k8490 */
static void C_ccall f_18532(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_18532,2,av);}{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=0;
av2[1]=((C_word*)t0)[2];
av2[2]=((C_word*)t0)[3];
av2[3]=t1;
C_apply(4,av2);}}

/* a18533 in loop in scheme#for-each in k18272 in k18269 in k18266 in k18263 in k18260 in k18257 in k18254 in k18251 in k18248 in k18245 in k18242 in k18239 in k18236 in k18233 in k18073 in k8490 */
static void C_ccall f_18534(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_18534,3,av);}
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_i_car(t2);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* scheme#map in k18272 in k18269 in k18266 in k18263 in k18260 in k18257 in k18254 in k18251 in k18248 in k18245 in k18242 in k18239 in k18236 in k18233 in k18073 in k8490 */
static void C_ccall f_18543(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word *a;
if(c<4) C_bad_min_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand((c-4)*C_SIZEOF_PAIR +14,c,3)))){
C_save_and_reclaim((void*)f_18543,c,av);}
a=C_alloc((c-4)*C_SIZEOF_PAIR+14);
t4=C_build_rest(&a,c,4,av);
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word t12;
C_word t13;
C_word t14;
C_word t15;
if(C_truep(C_i_nullp(t4))){
t5=C_a_i_cons(&a,2,C_SCHEME_UNDEFINED,C_SCHEME_END_OF_LIST);
t6=t5;
t7=(*a=C_VECTOR_TYPE|1,a[1]=t6,tmp=(C_word)a,a+=2,tmp);
t8=((C_word*)t7)[1];
t9=t2;
t10=t3;
t11=C_i_check_list_2(t10,lf[691]);
t12=C_SCHEME_UNDEFINED;
t13=(*a=C_VECTOR_TYPE|1,a[1]=t12,tmp=(C_word)a,a+=2,tmp);
t14=C_set_block_item(t13,0,(*a=C_CLOSURE_TYPE|6,a[1]=(C_word)f_18561,a[2]=t7,a[3]=t13,a[4]=t9,a[5]=t8,a[6]=((C_word)li530),tmp=(C_word)a,a+=7,tmp));
t15=((C_word*)t13)[1];
f_18561(t15,t1,t10);}
else{
t5=C_a_i_cons(&a,2,t3,t4);
t6=C_SCHEME_UNDEFINED;
t7=(*a=C_VECTOR_TYPE|1,a[1]=t6,tmp=(C_word)a,a+=2,tmp);
t8=C_set_block_item(t7,0,(*a=C_CLOSURE_TYPE|6,a[1]=(C_word)f_18602,a[2]=t7,a[3]=((C_word*)t0)[2],a[4]=t2,a[5]=((C_word*)t0)[3],a[6]=((C_word)li533),tmp=(C_word)a,a+=7,tmp));
t9=((C_word*)t7)[1];
f_18602(t9,t1,t5);}}

/* map-loop3744 in scheme#map in k18272 in k18269 in k18266 in k18263 in k18260 in k18257 in k18254 in k18251 in k18248 in k18245 in k18242 in k18239 in k18236 in k18233 in k18073 in k8490 */
static void C_fcall f_18561(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,0,2)))){
C_save_and_reclaim_args((void *)trf_18561,3,t0,t1,t2);}
a=C_alloc(6);
if(C_truep(C_i_pairp(t2))){
t3=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_18586,a[2]=((C_word*)t0)[2],a[3]=t2,a[4]=((C_word*)t0)[3],a[5]=t1,tmp=(C_word)a,a+=6,tmp);
t4=C_slot(t2,C_fix(0));
/* library.scm:3080: g3750 */
t5=((C_word*)t0)[4];{
C_word av2[3];
av2[0]=t5;
av2[1]=t3;
av2[2]=t4;
((C_proc)C_fast_retrieve_proc(t5))(3,av2);}}
else{
t3=t1;{
C_word av2[2];
av2[0]=t3;
av2[1]=C_slot(((C_word*)t0)[5],C_fix(1));
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}}

/* k18584 in map-loop3744 in scheme#map in k18272 in k18269 in k18266 in k18263 in k18260 in k18257 in k18254 in k18251 in k18248 in k18245 in k18242 in k18239 in k18236 in k18233 in k18073 in k8490 */
static void C_ccall f_18586(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,2)))){
C_save_and_reclaim((void *)f_18586,2,av);}
a=C_alloc(3);
t2=C_a_i_cons(&a,2,t1,C_SCHEME_END_OF_LIST);
t3=C_i_setslot(((C_word*)((C_word*)t0)[2])[1],C_fix(1),t2);
t4=C_mutate(((C_word *)((C_word*)t0)[2])+1,t2);
t5=C_slot(((C_word*)t0)[3],C_fix(1));
t6=((C_word*)((C_word*)t0)[4])[1];
f_18561(t6,((C_word*)t0)[5],t5);}

/* loop in scheme#map in k18272 in k18269 in k18266 in k18263 in k18260 in k18257 in k18254 in k18251 in k18248 in k18245 in k18242 in k18239 in k18236 in k18233 in k18073 in k8490 */
static void C_fcall f_18602(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(13,0,5)))){
C_save_and_reclaim_args((void *)trf_18602,3,t0,t1,t2);}
a=C_alloc(13);
t3=C_slot(t2,C_fix(0));
if(C_truep(C_i_pairp(t3))){
t4=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_18619,a[2]=t1,a[3]=((C_word*)t0)[2],a[4]=((C_word*)t0)[3],a[5]=t2,tmp=(C_word)a,a+=6,tmp);
t5=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_18637,a[2]=t4,a[3]=((C_word*)t0)[4],tmp=(C_word)a,a+=4,tmp);
t6=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_18639,a[2]=((C_word)li532),tmp=(C_word)a,a+=3,tmp);
/* library.scm:3084: mapsafe */
t7=((C_word*)((C_word*)t0)[3])[1];{
C_word av2[6];
av2[0]=t7;
av2[1]=t5;
av2[2]=t6;
av2[3]=t2;
av2[4]=C_SCHEME_TRUE;
av2[5]=lf[691];
((C_proc)C_fast_retrieve_proc(t7))(6,av2);}}
else{
t4=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_18646,a[2]=t1,tmp=(C_word)a,a+=3,tmp);
t5=C_i_cdr(t2);
/* library.scm:3086: check */
t6=((C_word*)((C_word*)t0)[5])[1];{
C_word av2[5];
av2[0]=t6;
av2[1]=t4;
av2[2]=t5;
av2[3]=C_SCHEME_TRUE;
av2[4]=lf[691];
((C_proc)C_fast_retrieve_proc(t6))(5,av2);}}}

/* k18617 in loop in scheme#map in k18272 in k18269 in k18266 in k18263 in k18260 in k18257 in k18254 in k18251 in k18248 in k18245 in k18242 in k18239 in k18236 in k18233 in k18073 in k8490 */
static void C_ccall f_18619(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(11,c,5)))){
C_save_and_reclaim((void *)f_18619,2,av);}
a=C_alloc(11);
t2=t1;
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_18623,a[2]=((C_word*)t0)[2],a[3]=t2,tmp=(C_word)a,a+=4,tmp);
t4=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_18627,a[2]=((C_word*)t0)[3],a[3]=t3,tmp=(C_word)a,a+=4,tmp);
t5=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_18629,a[2]=((C_word)li531),tmp=(C_word)a,a+=3,tmp);
/* library.scm:3085: mapsafe */
t6=((C_word*)((C_word*)t0)[4])[1];{
C_word *av2;
if(c >= 6) {
  av2=av;
} else {
  av2=C_alloc(6);
}
av2[0]=t6;
av2[1]=t4;
av2[2]=t5;
av2[3]=((C_word*)t0)[5];
av2[4]=C_SCHEME_TRUE;
av2[5]=lf[691];
((C_proc)C_fast_retrieve_proc(t6))(6,av2);}}

/* k18621 in k18617 in loop in scheme#map in k18272 in k18269 in k18266 in k18263 in k18260 in k18257 in k18254 in k18251 in k18248 in k18245 in k18242 in k18239 in k18236 in k18233 in k18073 in k8490 */
static void C_ccall f_18623(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,1)))){
C_save_and_reclaim((void *)f_18623,2,av);}
a=C_alloc(3);
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=C_a_i_cons(&a,2,((C_word*)t0)[3],t1);
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* k18625 in k18617 in loop in scheme#map in k18272 in k18269 in k18266 in k18263 in k18260 in k18257 in k18254 in k18251 in k18248 in k18245 in k18242 in k18239 in k18236 in k18233 in k18073 in k8490 */
static void C_ccall f_18627(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_18627,2,av);}
/* library.scm:3085: loop */
t2=((C_word*)((C_word*)t0)[2])[1];
f_18602(t2,((C_word*)t0)[3],t1);}

/* a18628 in k18617 in loop in scheme#map in k18272 in k18269 in k18266 in k18263 in k18260 in k18257 in k18254 in k18251 in k18248 in k18245 in k18242 in k18239 in k18236 in k18233 in k18073 in k8490 */
static void C_ccall f_18629(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_18629,3,av);}
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_i_cdr(t2);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* k18635 in loop in scheme#map in k18272 in k18269 in k18266 in k18263 in k18260 in k18257 in k18254 in k18251 in k18248 in k18245 in k18242 in k18239 in k18236 in k18233 in k18073 in k8490 */
static void C_ccall f_18637(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_18637,2,av);}{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=0;
av2[1]=((C_word*)t0)[2];
av2[2]=((C_word*)t0)[3];
av2[3]=t1;
C_apply(4,av2);}}

/* a18638 in loop in scheme#map in k18272 in k18269 in k18266 in k18263 in k18260 in k18257 in k18254 in k18251 in k18248 in k18245 in k18242 in k18239 in k18236 in k18233 in k18073 in k8490 */
static void C_ccall f_18639(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_18639,3,av);}
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_i_car(t2);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* k18644 in loop in scheme#map in k18272 in k18269 in k18266 in k18263 in k18260 in k18257 in k18254 in k18251 in k18248 in k18245 in k18242 in k18239 in k18236 in k18233 in k18073 in k8490 */
static void C_ccall f_18646(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_18646,2,av);}
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=C_SCHEME_END_OF_LIST;
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* scheme#dynamic-wind in k18272 in k18269 in k18266 in k18263 in k18260 in k18257 in k18254 in k18251 in k18248 in k18245 in k18242 in k18239 in k18236 in k18233 in k18073 in k8490 */
static void C_ccall f_18650(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4=av[4];
C_word t5;
C_word t6;
C_word *a;
if(c!=5) C_bad_argc_2(c,5,t0);
if(C_unlikely(!C_demand(C_calculate_demand(6,c,2)))){
C_save_and_reclaim((void *)f_18650,5,av);}
a=C_alloc(6);
t5=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_18654,a[2]=t2,a[3]=t4,a[4]=t1,a[5]=t3,tmp=(C_word)a,a+=6,tmp);
/* library.scm:3106: before */
t6=t2;{
C_word *av2=av;
av2[0]=t6;
av2[1]=t5;
((C_proc)C_fast_retrieve_proc(t6))(2,av2);}}

/* k18652 in scheme#dynamic-wind in k18272 in k18269 in k18266 in k18263 in k18260 in k18257 in k18254 in k18251 in k18248 in k18245 in k18242 in k18239 in k18236 in k18233 in k18073 in k8490 */
static void C_ccall f_18654(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(10,c,3)))){
C_save_and_reclaim((void *)f_18654,2,av);}
a=C_alloc(10);
t2=C_a_i_cons(&a,2,((C_word*)t0)[2],((C_word*)t0)[3]);
t3=C_a_i_cons(&a,2,t2,C_fast_retrieve(lf[693]));
t4=C_mutate((C_word*)lf[693]+1 /* (set! ##sys#dynamic-winds ...) */,t3);
t5=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_18663,a[2]=((C_word*)t0)[3],a[3]=((C_word)li535),tmp=(C_word)a,a+=4,tmp);
/* library.scm:3108: ##sys#call-with-values */{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=0;
av2[1]=((C_word*)t0)[4];
av2[2]=((C_word*)t0)[5];
av2[3]=t5;
C_call_with_values(4,av2);}}

/* a18662 in k18652 in scheme#dynamic-wind in k18272 in k18269 in k18266 in k18263 in k18260 in k18257 in k18254 in k18251 in k18248 in k18245 in k18242 in k18239 in k18236 in k18233 in k18073 in k8490 */
static void C_ccall f_18663(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand((c-2)*C_SIZEOF_PAIR +4,c,2)))){
C_save_and_reclaim((void*)f_18663,c,av);}
a=C_alloc((c-2)*C_SIZEOF_PAIR+4);
t2=C_build_rest(&a,c,2,av);
C_word t3;
C_word t4;
C_word t5;
C_word t6;
t3=C_slot(C_fast_retrieve(lf[693]),C_fix(1));
t4=C_mutate((C_word*)lf[693]+1 /* (set! ##sys#dynamic-winds ...) */,t3);
t5=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_18671,a[2]=t1,a[3]=t2,tmp=(C_word)a,a+=4,tmp);
/* library.scm:3112: after */
t6=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t6;
av2[1]=t5;
((C_proc)C_fast_retrieve_proc(t6))(2,av2);}}

/* k18669 in a18662 in k18652 in scheme#dynamic-wind in k18272 in k18269 in k18266 in k18263 in k18260 in k18257 in k18254 in k18251 in k18248 in k18245 in k18242 in k18239 in k18236 in k18233 in k18073 in k8490 */
static void C_ccall f_18671(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_18671,2,av);}{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=0;
av2[1]=((C_word*)t0)[2];
av2[2]=((C_word*)t0)[3];
C_apply_values(3,av2);}}

/* scheme#call-with-current-continuation in k18272 in k18269 in k18266 in k18263 in k18260 in k18257 in k18254 in k18251 in k18248 in k18245 in k18242 in k18239 in k18236 in k18233 in k18073 in k8490 */
static void C_ccall f_18681(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(5,c,3)))){
C_save_and_reclaim((void *)f_18681,3,av);}
a=C_alloc(5);
t3=C_fast_retrieve(lf[693]);
t4=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_18687,a[2]=t3,a[3]=t2,a[4]=((C_word)li538),tmp=(C_word)a,a+=5,tmp);
/* library.scm:3120: ##sys#call-with-current-continuation */{
C_word *av2=av;
av2[0]=0;
av2[1]=t1;
av2[2]=t4;
C_call_cc(3,av2);}}

/* a18686 in scheme#call-with-current-continuation in k18272 in k18269 in k18266 in k18263 in k18260 in k18257 in k18254 in k18251 in k18248 in k18245 in k18242 in k18239 in k18236 in k18233 in k18073 in k8490 */
static void C_ccall f_18687(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(5,c,2)))){
C_save_and_reclaim((void *)f_18687,3,av);}
a=C_alloc(5);
t3=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_18690,a[2]=t2,a[3]=((C_word*)t0)[2],a[4]=((C_word)li537),tmp=(C_word)a,a+=5,tmp);
/* library.scm:3126: proc */
t4=((C_word*)t0)[3];{
C_word *av2=av;
av2[0]=t4;
av2[1]=t1;
av2[2]=t3;
((C_proc)C_fast_retrieve_proc(t4))(3,av2);}}

/* continuation in a18686 in scheme#call-with-current-continuation in k18272 in k18269 in k18266 in k18263 in k18260 in k18257 in k18254 in k18251 in k18248 in k18245 in k18242 in k18239 in k18236 in k18233 in k18073 in k8490 */
static void C_ccall f_18690(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand((c-2)*C_SIZEOF_PAIR +5,c,3)))){
C_save_and_reclaim((void*)f_18690,c,av);}
a=C_alloc((c-2)*C_SIZEOF_PAIR+5);
t2=C_build_rest(&a,c,2,av);
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
t3=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_18694,a[2]=t1,a[3]=((C_word*)t0)[2],a[4]=t2,tmp=(C_word)a,a+=5,tmp);
t4=C_eqp(C_fast_retrieve(lf[693]),((C_word*)t0)[3]);
if(C_truep(t4)){{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=0;
av2[1]=t1;
av2[2]=((C_word*)t0)[2];
av2[3]=t2;
C_apply(4,av2);}}
else{
t5=C_i_length(C_fast_retrieve(lf[693]));
t6=C_i_length(((C_word*)t0)[3]);
t7=C_fixnum_difference(t5,t6);
/* library.scm:3124: ##sys#dynamic-unwind */
f_18721(t3,((C_word*)t0)[3],t7);}}

/* k18692 in continuation in a18686 in scheme#call-with-current-continuation in k18272 in k18269 in k18266 in k18263 in k18260 in k18257 in k18254 in k18251 in k18248 in k18245 in k18242 in k18239 in k18236 in k18233 in k18073 in k8490 */
static void C_ccall f_18694(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_18694,2,av);}{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=0;
av2[1]=((C_word*)t0)[2];
av2[2]=((C_word*)t0)[3];
av2[3]=((C_word*)t0)[4];
C_apply(4,av2);}}

/* ##sys#dynamic-unwind in k18272 in k18269 in k18266 in k18263 in k18260 in k18257 in k18254 in k18251 in k18248 in k18245 in k18242 in k18239 in k18236 in k18233 in k18073 in k8490 */
static void C_fcall f_18721(C_word t1,C_word t2,C_word t3){
C_word tmp;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word t12;
C_word t13;
C_word *a;
loop:
if(C_unlikely(!C_demand(C_calculate_demand(5,0,3)))){
C_save_and_reclaim_args((void *)trf_18721,3,t1,t2,t3);}
a=C_alloc(5);
t4=C_eqp(C_fast_retrieve(lf[693]),t2);
if(C_truep(t4)){
t5=t1;{
C_word av2[2];
av2[0]=t5;
av2[1]=t4;
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}
else{
if(C_truep(C_fixnum_lessp(t3,C_fix(0)))){
t5=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_18737,a[2]=t2,a[3]=t1,tmp=(C_word)a,a+=4,tmp);
t6=C_slot(t2,C_fix(1));
t7=C_fixnum_plus(t3,C_fix(1));
/* library.scm:3133: ##sys#dynamic-unwind */
t11=t5;
t12=t6;
t13=t7;
t1=t11;
t2=t12;
t3=t13;
goto loop;}
else{
t5=C_slot(C_fast_retrieve(lf[693]),C_fix(0));
t6=C_slot(t5,C_fix(1));
t7=C_slot(C_fast_retrieve(lf[693]),C_fix(1));
t8=C_mutate((C_word*)lf[693]+1 /* (set! ##sys#dynamic-winds ...) */,t7);
t9=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_18766,a[2]=t3,a[3]=t1,a[4]=t2,tmp=(C_word)a,a+=5,tmp);
/* library.scm:3139: after */
t10=t6;{
C_word av2[2];
av2[0]=t10;
av2[1]=t9;
((C_proc)C_fast_retrieve_proc(t10))(2,av2);}}}}

/* k18735 in dynamic-unwind in k18272 in k18269 in k18266 in k18263 in k18260 in k18257 in k18254 in k18251 in k18248 in k18245 in k18242 in k18239 in k18236 in k18233 in k18073 in k8490 */
static void C_ccall f_18737(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,c,2)))){
C_save_and_reclaim((void *)f_18737,2,av);}
a=C_alloc(4);
t2=C_slot(((C_word*)t0)[2],C_fix(0));
t3=C_slot(t2,C_fix(0));
t4=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_18743,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],tmp=(C_word)a,a+=4,tmp);
/* library.scm:3131: g3809 */
t5=t3;{
C_word *av2=av;
av2[0]=t5;
av2[1]=t4;
((C_proc)C_fast_retrieve_proc(t5))(2,av2);}}

/* k18741 in k18735 in dynamic-unwind in k18272 in k18269 in k18266 in k18263 in k18260 in k18257 in k18254 in k18251 in k18248 in k18245 in k18242 in k18239 in k18236 in k18233 in k18073 in k8490 */
static void C_ccall f_18743(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_18743,2,av);}
t2=C_mutate((C_word*)lf[693]+1 /* (set! ##sys#dynamic-winds ...) */,((C_word*)t0)[2]);
t3=((C_word*)t0)[3];{
C_word *av2=av;
av2[0]=t3;
av2[1]=t2;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* k18764 in dynamic-unwind in k18272 in k18269 in k18266 in k18263 in k18260 in k18257 in k18254 in k18251 in k18248 in k18245 in k18242 in k18239 in k18236 in k18233 in k18073 in k8490 */
static void C_ccall f_18766(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_18766,2,av);}
t2=C_fixnum_difference(((C_word*)t0)[2],C_fix(1));
/* library.scm:3140: ##sys#dynamic-unwind */
f_18721(((C_word*)t0)[3],((C_word*)t0)[4],t2);}

/* chicken.base#port? in k18272 in k18269 in k18266 in k18263 in k18260 in k18257 in k18254 in k18251 in k18248 in k18245 in k18242 in k18239 in k18236 in k18233 in k18073 in k8490 */
static void C_ccall f_18779(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_18779,3,av);}
if(C_truep(C_blockp(t2))){
t3=C_portp(t2);
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=t3;
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}
else{
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_SCHEME_FALSE;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}}

/* chicken.base#input-port-open? in k18272 in k18269 in k18266 in k18263 in k18260 in k18257 in k18254 in k18251 in k18248 in k18245 in k18242 in k18239 in k18236 in k18233 in k18073 in k8490 */
static void C_ccall f_18785(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_18785,3,av);}
t3=t2;
t4=C_i_check_port(t3,C_fix(1),lf[696]);
t5=t1;{
C_word *av2=av;
av2[0]=t5;
av2[1]=C_input_port_openp(t2);
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}

/* chicken.base#output-port-open? in k18272 in k18269 in k18266 in k18263 in k18260 in k18257 in k18254 in k18251 in k18248 in k18245 in k18242 in k18239 in k18236 in k18233 in k18073 in k8490 */
static void C_ccall f_18790(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_18790,3,av);}
t3=t2;
t4=C_i_check_port(t3,C_fix(2),lf[697]);
t5=t1;{
C_word *av2=av;
av2[0]=t5;
av2[1]=C_output_port_openp(t2);
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}

/* chicken.base#port-closed? in k18272 in k18269 in k18266 in k18263 in k18260 in k18257 in k18254 in k18251 in k18248 in k18245 in k18242 in k18239 in k18236 in k18233 in k18073 in k8490 */
static void C_ccall f_18795(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(4,c,3)))){
C_save_and_reclaim((void *)f_18795,3,av);}
a=C_alloc(4);
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_18799,a[2]=t2,a[3]=t1,tmp=(C_word)a,a+=4,tmp);
/* library.scm:3162: ##sys#check-port */
t4=*((C_word*)lf[698]+1);{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t4;
av2[1]=t3;
av2[2]=t2;
av2[3]=lf[699];
((C_proc)(void*)(*((C_word*)t4+1)))(4,av2);}}

/* k18797 in chicken.base#port-closed? in k18272 in k18269 in k18266 in k18263 in k18260 in k18257 in k18254 in k18251 in k18248 in k18245 in k18242 in k18239 in k18236 in k18233 in k18073 in k8490 */
static void C_ccall f_18799(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_18799,2,av);}
t2=C_slot(((C_word*)t0)[2],C_fix(8));
t3=((C_word*)t0)[3];{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_eqp(t2,C_fix(0));
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* ##sys#make-port in k18272 in k18269 in k18266 in k18263 in k18260 in k18257 in k18254 in k18251 in k18248 in k18245 in k18242 in k18239 in k18236 in k18233 in k18073 in k8490 */
static void C_ccall f_18808(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4=av[4];
C_word t5=av[5];
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word t12;
C_word t13;
C_word t14;
C_word *a;
if(c!=6) C_bad_argc_2(c,6,t0);
if(C_unlikely(!C_demand(C_calculate_demand(17,c,1)))){
C_save_and_reclaim((void *)f_18808,6,av);}
a=C_alloc(17);
t6=C_a_i_port(&a,0);
t7=C_i_set_i_slot(t6,C_fix(1),t2);
t8=C_i_setslot(t6,C_fix(2),t3);
t9=C_i_setslot(t6,C_fix(3),t4);
t10=C_i_set_i_slot(t6,C_fix(4),C_fix(1));
t11=C_i_set_i_slot(t6,C_fix(5),C_fix(0));
t12=C_i_setslot(t6,C_fix(7),t5);
t13=C_i_setslot(t6,C_fix(8),t2);
t14=t1;{
C_word *av2=av;
av2[0]=t14;
av2[1]=t6;
((C_proc)(void*)(*((C_word*)t14+1)))(2,av2);}}

/* k18837 in k18272 in k18269 in k18266 in k18263 in k18260 in k18257 in k18254 in k18251 in k18248 in k18245 in k18242 in k18239 in k18236 in k18233 in k18073 in k8490 */
static void C_ccall f_18839(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,5)))){
C_save_and_reclaim((void *)f_18839,2,av);}
a=C_alloc(3);
t2=C_mutate((C_word*)lf[716]+1 /* (set! ##sys#standard-input ...) */,t1);
t3=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_18843,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
/* library.scm:3308: ##sys#make-port */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[700]);
C_word *av2;
if(c >= 6) {
  av2=av;
} else {
  av2=C_alloc(6);
}
av2[0]=*((C_word*)lf[700]+1);
av2[1]=t3;
av2[2]=C_fix(2);
av2[3]=C_fast_retrieve(lf[714]);
av2[4]=lf[1369];
av2[5]=lf[733];
tp(6,av2);}}

/* k18841 in k18837 in k18272 in k18269 in k18266 in k18263 in k18260 in k18257 in k18254 in k18251 in k18248 in k18245 in k18242 in k18239 in k18236 in k18233 in k18073 in k8490 */
static void C_ccall f_18843(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,5)))){
C_save_and_reclaim((void *)f_18843,2,av);}
a=C_alloc(3);
t2=C_mutate((C_word*)lf[717]+1 /* (set! ##sys#standard-output ...) */,t1);
t3=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_18847,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
/* library.scm:3309: ##sys#make-port */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[700]);
C_word *av2;
if(c >= 6) {
  av2=av;
} else {
  av2=C_alloc(6);
}
av2[0]=*((C_word*)lf[700]+1);
av2[1]=t3;
av2[2]=C_fix(2);
av2[3]=C_fast_retrieve(lf[714]);
av2[4]=lf[1368];
av2[5]=lf[733];
tp(6,av2);}}

/* k18845 in k18841 in k18837 in k18272 in k18269 in k18266 in k18263 in k18260 in k18257 in k18254 in k18251 in k18248 in k18245 in k18242 in k18239 in k18236 in k18233 in k18073 in k8490 */
static void C_ccall f_18847(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,4)))){
C_save_and_reclaim((void *)f_18847,2,av);}
a=C_alloc(3);
t2=C_mutate((C_word*)lf[718]+1 /* (set! ##sys#standard-error ...) */,t1);
t3=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_18850,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
/* library.scm:3311: ##sys#open-file-port */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[715]);
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=*((C_word*)lf[715]+1);
av2[1]=t3;
av2[2]=*((C_word*)lf[716]+1);
av2[3]=C_fix(0);
av2[4]=C_SCHEME_FALSE;
tp(5,av2);}}

/* k18848 in k18845 in k18841 in k18837 in k18272 in k18269 in k18266 in k18263 in k18260 in k18257 in k18254 in k18251 in k18248 in k18245 in k18242 in k18239 in k18236 in k18233 in k18073 in k8490 */
static void C_ccall f_18850(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,4)))){
C_save_and_reclaim((void *)f_18850,2,av);}
a=C_alloc(3);
t2=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_18853,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
/* library.scm:3312: ##sys#open-file-port */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[715]);
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=*((C_word*)lf[715]+1);
av2[1]=t2;
av2[2]=*((C_word*)lf[717]+1);
av2[3]=C_fix(1);
av2[4]=C_SCHEME_FALSE;
tp(5,av2);}}

/* k18851 in k18848 in k18845 in k18841 in k18837 in k18272 in k18269 in k18266 in k18263 in k18260 in k18257 in k18254 in k18251 in k18248 in k18245 in k18242 in k18239 in k18236 in k18233 in k18073 in k8490 */
static void C_ccall f_18853(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,4)))){
C_save_and_reclaim((void *)f_18853,2,av);}
a=C_alloc(3);
t2=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_18856,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
/* library.scm:3313: ##sys#open-file-port */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[715]);
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=*((C_word*)lf[715]+1);
av2[1]=t2;
av2[2]=*((C_word*)lf[718]+1);
av2[3]=C_fix(2);
av2[4]=C_SCHEME_FALSE;
tp(5,av2);}}

/* k18854 in k18851 in k18848 in k18845 in k18841 in k18837 in k18272 in k18269 in k18266 in k18263 in k18260 in k18257 in k18254 in k18251 in k18248 in k18245 in k18242 in k18239 in k18236 in k18233 in k18073 in k8490 in ... */
static void C_ccall f_18856(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word t12;
C_word t13;
C_word t14;
C_word t15;
C_word t16;
C_word t17;
C_word t18;
C_word t19;
C_word t20;
C_word t21;
C_word t22;
C_word t23;
C_word t24;
C_word t25;
C_word t26;
C_word t27;
C_word t28;
C_word t29;
C_word t30;
C_word t31;
C_word t32;
C_word t33;
C_word t34;
C_word t35;
C_word t36;
C_word t37;
C_word t38;
C_word t39;
C_word t40;
C_word t41;
C_word t42;
C_word t43;
C_word t44;
C_word t45;
C_word t46;
C_word t47;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(119,c,6)))){
C_save_and_reclaim((void *)f_18856,2,av);}
a=C_alloc(119);
t2=C_mutate((C_word*)lf[719]+1 /* (set! ##sys#check-input-port ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_18858,a[2]=((C_word)li562),tmp=(C_word)a,a+=3,tmp));
t3=C_mutate((C_word*)lf[720]+1 /* (set! ##sys#check-output-port ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_18869,a[2]=((C_word)li563),tmp=(C_word)a,a+=3,tmp));
t4=C_mutate((C_word*)lf[698]+1 /* (set! ##sys#check-port ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_18880,a[2]=((C_word)li564),tmp=(C_word)a,a+=3,tmp));
t5=C_mutate((C_word*)lf[721]+1 /* (set! ##sys#check-open-port ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_18891,a[2]=((C_word)li565),tmp=(C_word)a,a+=3,tmp));
t6=C_mutate((C_word*)lf[135]+1 /* (set! scheme#current-input-port ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_18902,a[2]=((C_word)li567),tmp=(C_word)a,a+=3,tmp));
t7=C_mutate((C_word*)lf[136]+1 /* (set! scheme#current-output-port ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_18963,a[2]=((C_word)li569),tmp=(C_word)a,a+=3,tmp));
t8=C_mutate((C_word*)lf[192]+1 /* (set! chicken.base#current-error-port ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_19024,a[2]=((C_word)li571),tmp=(C_word)a,a+=3,tmp));
t9=C_mutate((C_word*)lf[725]+1 /* (set! ##sys#tty-port? ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_19085,a[2]=((C_word)li572),tmp=(C_word)a,a+=3,tmp));
t10=C_mutate((C_word*)lf[727]+1 /* (set! ##sys#port-data ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_19099,a[2]=((C_word)li573),tmp=(C_word)a,a+=3,tmp));
t11=C_mutate((C_word*)lf[728]+1 /* (set! ##sys#set-port-data! ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_19105,a[2]=((C_word)li574),tmp=(C_word)a,a+=3,tmp));
t12=C_SCHEME_UNDEFINED;
t13=(*a=C_VECTOR_TYPE|1,a[1]=t12,tmp=(C_word)a,a+=2,tmp);
t14=C_SCHEME_UNDEFINED;
t15=(*a=C_VECTOR_TYPE|1,a[1]=t14,tmp=(C_word)a,a+=2,tmp);
t16=C_set_block_item(t13,0,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_19111,a[2]=((C_word)li576),tmp=(C_word)a,a+=3,tmp));
t17=C_set_block_item(t15,0,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_19209,a[2]=((C_word)li577),tmp=(C_word)a,a+=3,tmp));
t18=C_mutate((C_word*)lf[137]+1 /* (set! scheme#open-input-file ...) */,(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_19246,a[2]=t13,a[3]=((C_word)li578),tmp=(C_word)a,a+=4,tmp));
t19=C_mutate((C_word*)lf[138]+1 /* (set! scheme#open-output-file ...) */,(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_19252,a[2]=t13,a[3]=((C_word)li579),tmp=(C_word)a,a+=4,tmp));
t20=C_mutate((C_word*)lf[139]+1 /* (set! scheme#close-input-port ...) */,(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_19258,a[2]=t15,a[3]=((C_word)li580),tmp=(C_word)a,a+=4,tmp));
t21=C_mutate((C_word*)lf[140]+1 /* (set! scheme#close-output-port ...) */,(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_19264,a[2]=t15,a[3]=((C_word)li581),tmp=(C_word)a,a+=4,tmp));
t22=*((C_word*)lf[137]+1);
t23=C_mutate((C_word*)lf[141]+1 /* (set! scheme#call-with-input-file ...) */,(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_19270,a[2]=t22,a[3]=((C_word)li584),tmp=(C_word)a,a+=4,tmp));
t24=*((C_word*)lf[138]+1);
t25=C_mutate((C_word*)lf[142]+1 /* (set! scheme#call-with-output-file ...) */,(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_19294,a[2]=t24,a[3]=((C_word)li587),tmp=(C_word)a,a+=4,tmp));
t26=*((C_word*)lf[137]+1);
t27=C_mutate((C_word*)lf[143]+1 /* (set! scheme#with-input-from-file ...) */,(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_19318,a[2]=t26,a[3]=((C_word)li592),tmp=(C_word)a,a+=4,tmp));
t28=*((C_word*)lf[138]+1);
t29=C_mutate((C_word*)lf[144]+1 /* (set! scheme#with-output-to-file ...) */,(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_19352,a[2]=t28,a[3]=((C_word)li597),tmp=(C_word)a,a+=4,tmp));
t30=C_mutate((C_word*)lf[746]+1 /* (set! ##sys#file-exists? ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_19386,a[2]=((C_word)li598),tmp=(C_word)a,a+=3,tmp));
t31=C_mutate((C_word*)lf[749]+1 /* (set! ##sys#flush-output ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_19412,a[2]=((C_word)li599),tmp=(C_word)a,a+=3,tmp));
t32=C_mutate((C_word*)lf[214]+1 /* (set! chicken.base#flush-output ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_19425,a[2]=((C_word)li600),tmp=(C_word)a,a+=3,tmp));
t33=C_mutate((C_word*)lf[751]+1 /* (set! ##sys#port-line ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_19443,a[2]=((C_word)li601),tmp=(C_word)a,a+=3,tmp));
t34=C_mutate((C_word*)lf[752]+1 /* (set! ##sys#decorate-lambda ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_19452,a[2]=((C_word)li604),tmp=(C_word)a,a+=3,tmp));
t35=C_mutate((C_word*)lf[753]+1 /* (set! ##sys#lambda-decoration ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_19527,a[2]=((C_word)li606),tmp=(C_word)a,a+=3,tmp));
t36=C_mutate((C_word*)lf[754]+1 /* (set! ##sys#make-lambda-info ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_19566,a[2]=((C_word)li607),tmp=(C_word)a,a+=3,tmp));
t37=C_mutate((C_word*)lf[755]+1 /* (set! ##sys#lambda-info? ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_19575,a[2]=((C_word)li608),tmp=(C_word)a,a+=3,tmp));
t38=C_mutate((C_word*)lf[756]+1 /* (set! ##sys#lambda-info ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_19588,a[2]=((C_word)li609),tmp=(C_word)a,a+=3,tmp));
t39=C_mutate((C_word*)lf[757]+1 /* (set! ##sys#lambda-info->string ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_19594,a[2]=((C_word)li610),tmp=(C_word)a,a+=3,tmp));
t40=C_mutate((C_word*)lf[202]+1 /* (set! chicken.base#procedure-information ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_19603,a[2]=((C_word)li611),tmp=(C_word)a,a+=3,tmp));
t41=C_a_i_vector1(&a,1,lf[760]);
t42=C_mutate(&lf[761] /* (set! setter-tag ...) */,t41);
t43=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_19632,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
t44=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_31645,a[2]=((C_word)li996),tmp=(C_word)a,a+=3,tmp);
t45=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_31685,a[2]=((C_word)li997),tmp=(C_word)a,a+=3,tmp);
t46=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_31701,a[2]=((C_word)li1001),tmp=(C_word)a,a+=3,tmp);
/* library.scm:3542: ##sys#decorate-lambda */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[752]);
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=*((C_word*)lf[752]+1);
av2[1]=t43;
av2[2]=t44;
av2[3]=t45;
av2[4]=t46;
tp(5,av2);}}

/* ##sys#check-input-port in k18854 in k18851 in k18848 in k18845 in k18841 in k18837 in k18272 in k18269 in k18266 in k18263 in k18260 in k18257 in k18254 in k18251 in k18248 in k18245 in k18242 in k18239 in k18236 in k18233 in k18073 in ... */
static void C_ccall f_18858(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word *a;
if(c<4) C_bad_min_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand((c-4)*C_SIZEOF_PAIR +0,c,1)))){
C_save_and_reclaim((void*)f_18858,c,av);}
a=C_alloc((c-4)*C_SIZEOF_PAIR+0);
t4=C_build_rest(&a,c,4,av);
C_word t5;
C_word t6;
C_word t7;
C_word t8;
if(C_truep(C_i_pairp(t4))){
t5=t4;
t6=C_u_i_car(t5);
t7=C_i_check_port_2(t2,C_fix(1),t3,t6);
t8=t1;{
C_word *av2=av;
av2[0]=t8;
av2[1]=t7;
((C_proc)(void*)(*((C_word*)t8+1)))(2,av2);}}
else{
t5=C_i_check_port(t2,C_fix(1),t3);
t6=t1;{
C_word *av2=av;
av2[0]=t6;
av2[1]=t5;
((C_proc)(void*)(*((C_word*)t6+1)))(2,av2);}}}

/* ##sys#check-output-port in k18854 in k18851 in k18848 in k18845 in k18841 in k18837 in k18272 in k18269 in k18266 in k18263 in k18260 in k18257 in k18254 in k18251 in k18248 in k18245 in k18242 in k18239 in k18236 in k18233 in k18073 in ... */
static void C_ccall f_18869(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word *a;
if(c<4) C_bad_min_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand((c-4)*C_SIZEOF_PAIR +0,c,1)))){
C_save_and_reclaim((void*)f_18869,c,av);}
a=C_alloc((c-4)*C_SIZEOF_PAIR+0);
t4=C_build_rest(&a,c,4,av);
C_word t5;
C_word t6;
C_word t7;
C_word t8;
if(C_truep(C_i_pairp(t4))){
t5=t4;
t6=C_u_i_car(t5);
t7=C_i_check_port_2(t2,C_fix(2),t3,t6);
t8=t1;{
C_word *av2=av;
av2[0]=t8;
av2[1]=t7;
((C_proc)(void*)(*((C_word*)t8+1)))(2,av2);}}
else{
t5=C_i_check_port(t2,C_fix(2),t3);
t6=t1;{
C_word *av2=av;
av2[0]=t6;
av2[1]=t5;
((C_proc)(void*)(*((C_word*)t6+1)))(2,av2);}}}

/* ##sys#check-port in k18854 in k18851 in k18848 in k18845 in k18841 in k18837 in k18272 in k18269 in k18266 in k18263 in k18260 in k18257 in k18254 in k18251 in k18248 in k18245 in k18242 in k18239 in k18236 in k18233 in k18073 in ... */
static void C_ccall f_18880(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c<3) C_bad_min_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand((c-3)*C_SIZEOF_PAIR +0,c,1)))){
C_save_and_reclaim((void*)f_18880,c,av);}
a=C_alloc((c-3)*C_SIZEOF_PAIR+0);
t3=C_build_rest(&a,c,3,av);
C_word t4;
C_word t5;
C_word t6;
C_word t7;
if(C_truep(C_i_pairp(t3))){
t4=t3;
t5=C_u_i_car(t4);
t6=C_i_check_port_2(t2,C_fix(0),C_SCHEME_FALSE,t5);
t7=t1;{
C_word *av2=av;
av2[0]=t7;
av2[1]=t6;
((C_proc)(void*)(*((C_word*)t7+1)))(2,av2);}}
else{
t4=C_i_check_port(t2,C_fix(0),C_SCHEME_FALSE);
t5=t1;{
C_word *av2=av;
av2[0]=t5;
av2[1]=t4;
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}}

/* ##sys#check-open-port in k18854 in k18851 in k18848 in k18845 in k18841 in k18837 in k18272 in k18269 in k18266 in k18263 in k18260 in k18257 in k18254 in k18251 in k18248 in k18245 in k18242 in k18239 in k18236 in k18233 in k18073 in ... */
static void C_ccall f_18891(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c<3) C_bad_min_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand((c-3)*C_SIZEOF_PAIR +0,c,1)))){
C_save_and_reclaim((void*)f_18891,c,av);}
a=C_alloc((c-3)*C_SIZEOF_PAIR+0);
t3=C_build_rest(&a,c,3,av);
C_word t4;
C_word t5;
C_word t6;
C_word t7;
if(C_truep(C_i_pairp(t3))){
t4=t3;
t5=C_u_i_car(t4);
t6=C_i_check_port_2(t2,C_fix(0),C_SCHEME_TRUE,t5);
t7=t1;{
C_word *av2=av;
av2[0]=t7;
av2[1]=t6;
((C_proc)(void*)(*((C_word*)t7+1)))(2,av2);}}
else{
t4=C_i_check_port(t2,C_fix(0),C_SCHEME_TRUE);
t5=t1;{
C_word *av2=av;
av2[0]=t5;
av2[1]=t4;
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}}

/* scheme#current-input-port in k18854 in k18851 in k18848 in k18845 in k18841 in k18837 in k18272 in k18269 in k18266 in k18263 in k18260 in k18257 in k18254 in k18251 in k18248 in k18245 in k18242 in k18239 in k18236 in k18233 in k18073 in ... */
static void C_ccall f_18902(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand((c-2)*C_SIZEOF_PAIR +5,c,3)))){
C_save_and_reclaim((void*)f_18902,c,av);}
a=C_alloc((c-2)*C_SIZEOF_PAIR+5);
t2=C_build_rest(&a,c,2,av);
C_word t3;
C_word t4;
C_word t5;
C_word t6;
if(C_truep(C_i_nullp(t2))){
t3=*((C_word*)lf[716]+1);
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=*((C_word*)lf[716]+1);
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}
else{
t3=C_i_car(t2);
t4=t3;
t5=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_18915,a[2]=t2,a[3]=t4,a[4]=t1,tmp=(C_word)a,a+=5,tmp);
/* library.scm:3340: ##sys#check-port */
t6=*((C_word*)lf[698]+1);{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t6;
av2[1]=t5;
av2[2]=t4;
av2[3]=lf[722];
((C_proc)(void*)(*((C_word*)t6+1)))(4,av2);}}}

/* k18913 in scheme#current-input-port in k18854 in k18851 in k18848 in k18845 in k18841 in k18837 in k18272 in k18269 in k18266 in k18263 in k18260 in k18257 in k18254 in k18251 in k18248 in k18245 in k18242 in k18239 in k18236 in k18233 in ... */
static void C_ccall f_18915(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word t12;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(10,c,2)))){
C_save_and_reclaim((void *)f_18915,2,av);}
a=C_alloc(10);
t2=((C_word*)t0)[2];
t3=C_u_i_cdr(t2);
t4=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_18917,a[2]=((C_word*)t0)[3],a[3]=((C_word)li566),tmp=(C_word)a,a+=4,tmp);
t5=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_18923,a[2]=t4,tmp=(C_word)a,a+=3,tmp);
t6=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_18928,a[2]=t5,tmp=(C_word)a,a+=3,tmp);
if(C_truep(C_i_nullp(t3))){
t7=(
  /* library.scm:3341: def-convert?3931 */
  f_18928(t6)
);
t8=((C_word*)t0)[4];{
C_word *av2=av;
av2[0]=t8;
av2[1]=((C_word*)t0)[3];
((C_proc)(void*)(*((C_word*)t8+1)))(2,av2);}}
else{
t7=C_i_car(t3);
t8=C_u_i_cdr(t3);
if(C_truep(C_i_nullp(t8))){
t9=(
  /* library.scm:3341: def-set?3932 */
  f_18923(t5)
);
t10=((C_word*)t0)[4];{
C_word *av2=av;
av2[0]=t10;
av2[1]=((C_word*)t0)[3];
((C_proc)(void*)(*((C_word*)t10+1)))(2,av2);}}
else{
t9=C_i_car(t8);
t10=C_u_i_cdr(t8);
t11=(
  /* library.scm:3341: body3929 */
  f_18917(t4,t9)
);
t12=((C_word*)t0)[4];{
C_word *av2=av;
av2[0]=t12;
av2[1]=((C_word*)t0)[3];
((C_proc)(void*)(*((C_word*)t12+1)))(2,av2);}}}}

/* body3929 in k18913 in scheme#current-input-port in k18854 in k18851 in k18848 in k18845 in k18841 in k18837 in k18272 in k18269 in k18266 in k18263 in k18260 in k18257 in k18254 in k18251 in k18248 in k18245 in k18242 in k18239 in k18236 in ... */
static C_word C_fcall f_18917(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_stack_overflow_check;{}
if(C_truep(t1)){
t2=C_mutate((C_word*)lf[716]+1 /* (set! ##sys#standard-input ...) */,((C_word*)t0)[2]);
return(t2);}
else{
t2=C_SCHEME_UNDEFINED;
return(t2);}}

/* def-set?3932 in k18913 in scheme#current-input-port in k18854 in k18851 in k18848 in k18845 in k18841 in k18837 in k18272 in k18269 in k18266 in k18263 in k18260 in k18257 in k18254 in k18251 in k18248 in k18245 in k18242 in k18239 in k18236 in ... */
static C_word C_fcall f_18923(C_word t0){
C_word tmp;
C_word t1;
C_stack_overflow_check;{}
return((
  /* library.scm:3341: body3929 */
  f_18917(((C_word*)t0)[2],C_SCHEME_TRUE)
));}

/* def-convert?3931 in k18913 in scheme#current-input-port in k18854 in k18851 in k18848 in k18845 in k18841 in k18837 in k18272 in k18269 in k18266 in k18263 in k18260 in k18257 in k18254 in k18251 in k18248 in k18245 in k18242 in k18239 in k18236 in ... */
static C_word C_fcall f_18928(C_word t0){
C_word tmp;
C_word t1;
C_stack_overflow_check;{}
return((
  /* library.scm:3341: def-set?3932 */
  f_18923(((C_word*)t0)[2])
));}

/* scheme#current-output-port in k18854 in k18851 in k18848 in k18845 in k18841 in k18837 in k18272 in k18269 in k18266 in k18263 in k18260 in k18257 in k18254 in k18251 in k18248 in k18245 in k18242 in k18239 in k18236 in k18233 in k18073 in ... */
static void C_ccall f_18963(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand((c-2)*C_SIZEOF_PAIR +5,c,3)))){
C_save_and_reclaim((void*)f_18963,c,av);}
a=C_alloc((c-2)*C_SIZEOF_PAIR+5);
t2=C_build_rest(&a,c,2,av);
C_word t3;
C_word t4;
C_word t5;
C_word t6;
if(C_truep(C_i_nullp(t2))){
t3=*((C_word*)lf[717]+1);
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=*((C_word*)lf[717]+1);
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}
else{
t3=C_i_car(t2);
t4=t3;
t5=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_18976,a[2]=t2,a[3]=t4,a[4]=t1,tmp=(C_word)a,a+=5,tmp);
/* library.scm:3350: ##sys#check-port */
t6=*((C_word*)lf[698]+1);{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t6;
av2[1]=t5;
av2[2]=t4;
av2[3]=lf[723];
((C_proc)(void*)(*((C_word*)t6+1)))(4,av2);}}}

/* k18974 in scheme#current-output-port in k18854 in k18851 in k18848 in k18845 in k18841 in k18837 in k18272 in k18269 in k18266 in k18263 in k18260 in k18257 in k18254 in k18251 in k18248 in k18245 in k18242 in k18239 in k18236 in k18233 in ... */
static void C_ccall f_18976(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word t12;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(10,c,2)))){
C_save_and_reclaim((void *)f_18976,2,av);}
a=C_alloc(10);
t2=((C_word*)t0)[2];
t3=C_u_i_cdr(t2);
t4=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_18978,a[2]=((C_word*)t0)[3],a[3]=((C_word)li568),tmp=(C_word)a,a+=4,tmp);
t5=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_18984,a[2]=t4,tmp=(C_word)a,a+=3,tmp);
t6=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_18989,a[2]=t5,tmp=(C_word)a,a+=3,tmp);
if(C_truep(C_i_nullp(t3))){
t7=(
  /* library.scm:3351: def-convert?3956 */
  f_18989(t6)
);
t8=((C_word*)t0)[4];{
C_word *av2=av;
av2[0]=t8;
av2[1]=((C_word*)t0)[3];
((C_proc)(void*)(*((C_word*)t8+1)))(2,av2);}}
else{
t7=C_i_car(t3);
t8=C_u_i_cdr(t3);
if(C_truep(C_i_nullp(t8))){
t9=(
  /* library.scm:3351: def-set?3957 */
  f_18984(t5)
);
t10=((C_word*)t0)[4];{
C_word *av2=av;
av2[0]=t10;
av2[1]=((C_word*)t0)[3];
((C_proc)(void*)(*((C_word*)t10+1)))(2,av2);}}
else{
t9=C_i_car(t8);
t10=C_u_i_cdr(t8);
t11=(
  /* library.scm:3351: body3954 */
  f_18978(t4,t9)
);
t12=((C_word*)t0)[4];{
C_word *av2=av;
av2[0]=t12;
av2[1]=((C_word*)t0)[3];
((C_proc)(void*)(*((C_word*)t12+1)))(2,av2);}}}}

/* body3954 in k18974 in scheme#current-output-port in k18854 in k18851 in k18848 in k18845 in k18841 in k18837 in k18272 in k18269 in k18266 in k18263 in k18260 in k18257 in k18254 in k18251 in k18248 in k18245 in k18242 in k18239 in k18236 in ... */
static C_word C_fcall f_18978(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_stack_overflow_check;{}
if(C_truep(t1)){
t2=C_mutate((C_word*)lf[717]+1 /* (set! ##sys#standard-output ...) */,((C_word*)t0)[2]);
return(t2);}
else{
t2=C_SCHEME_UNDEFINED;
return(t2);}}

/* def-set?3957 in k18974 in scheme#current-output-port in k18854 in k18851 in k18848 in k18845 in k18841 in k18837 in k18272 in k18269 in k18266 in k18263 in k18260 in k18257 in k18254 in k18251 in k18248 in k18245 in k18242 in k18239 in k18236 in ... */
static C_word C_fcall f_18984(C_word t0){
C_word tmp;
C_word t1;
C_stack_overflow_check;{}
return((
  /* library.scm:3351: body3954 */
  f_18978(((C_word*)t0)[2],C_SCHEME_TRUE)
));}

/* def-convert?3956 in k18974 in scheme#current-output-port in k18854 in k18851 in k18848 in k18845 in k18841 in k18837 in k18272 in k18269 in k18266 in k18263 in k18260 in k18257 in k18254 in k18251 in k18248 in k18245 in k18242 in k18239 in k18236 in ... */
static C_word C_fcall f_18989(C_word t0){
C_word tmp;
C_word t1;
C_stack_overflow_check;{}
return((
  /* library.scm:3351: def-set?3957 */
  f_18984(((C_word*)t0)[2])
));}

/* chicken.base#current-error-port in k18854 in k18851 in k18848 in k18845 in k18841 in k18837 in k18272 in k18269 in k18266 in k18263 in k18260 in k18257 in k18254 in k18251 in k18248 in k18245 in k18242 in k18239 in k18236 in k18233 in k18073 in ... */
static void C_ccall f_19024(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand((c-2)*C_SIZEOF_PAIR +5,c,3)))){
C_save_and_reclaim((void*)f_19024,c,av);}
a=C_alloc((c-2)*C_SIZEOF_PAIR+5);
t2=C_build_rest(&a,c,2,av);
C_word t3;
C_word t4;
C_word t5;
C_word t6;
if(C_truep(C_i_nullp(t2))){
t3=*((C_word*)lf[718]+1);
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=*((C_word*)lf[718]+1);
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}
else{
t3=C_i_car(t2);
t4=t3;
t5=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_19037,a[2]=t2,a[3]=t4,a[4]=t1,tmp=(C_word)a,a+=5,tmp);
/* library.scm:3360: ##sys#check-port */
t6=*((C_word*)lf[698]+1);{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t6;
av2[1]=t5;
av2[2]=t4;
av2[3]=lf[724];
((C_proc)(void*)(*((C_word*)t6+1)))(4,av2);}}}

/* k19035 in chicken.base#current-error-port in k18854 in k18851 in k18848 in k18845 in k18841 in k18837 in k18272 in k18269 in k18266 in k18263 in k18260 in k18257 in k18254 in k18251 in k18248 in k18245 in k18242 in k18239 in k18236 in k18233 in ... */
static void C_ccall f_19037(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word t12;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(10,c,2)))){
C_save_and_reclaim((void *)f_19037,2,av);}
a=C_alloc(10);
t2=((C_word*)t0)[2];
t3=C_u_i_cdr(t2);
t4=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_19039,a[2]=((C_word*)t0)[3],a[3]=((C_word)li570),tmp=(C_word)a,a+=4,tmp);
t5=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_19045,a[2]=t4,tmp=(C_word)a,a+=3,tmp);
t6=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_19050,a[2]=t5,tmp=(C_word)a,a+=3,tmp);
if(C_truep(C_i_nullp(t3))){
t7=(
  /* library.scm:3361: def-convert?3981 */
  f_19050(t6)
);
t8=((C_word*)t0)[4];{
C_word *av2=av;
av2[0]=t8;
av2[1]=((C_word*)t0)[3];
((C_proc)(void*)(*((C_word*)t8+1)))(2,av2);}}
else{
t7=C_i_car(t3);
t8=C_u_i_cdr(t3);
if(C_truep(C_i_nullp(t8))){
t9=(
  /* library.scm:3361: def-set?3982 */
  f_19045(t5)
);
t10=((C_word*)t0)[4];{
C_word *av2=av;
av2[0]=t10;
av2[1]=((C_word*)t0)[3];
((C_proc)(void*)(*((C_word*)t10+1)))(2,av2);}}
else{
t9=C_i_car(t8);
t10=C_u_i_cdr(t8);
t11=(
  /* library.scm:3361: body3979 */
  f_19039(t4,t9)
);
t12=((C_word*)t0)[4];{
C_word *av2=av;
av2[0]=t12;
av2[1]=((C_word*)t0)[3];
((C_proc)(void*)(*((C_word*)t12+1)))(2,av2);}}}}

/* body3979 in k19035 in chicken.base#current-error-port in k18854 in k18851 in k18848 in k18845 in k18841 in k18837 in k18272 in k18269 in k18266 in k18263 in k18260 in k18257 in k18254 in k18251 in k18248 in k18245 in k18242 in k18239 in k18236 in ... */
static C_word C_fcall f_19039(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_stack_overflow_check;{}
if(C_truep(t1)){
t2=C_mutate((C_word*)lf[718]+1 /* (set! ##sys#standard-error ...) */,((C_word*)t0)[2]);
return(t2);}
else{
t2=C_SCHEME_UNDEFINED;
return(t2);}}

/* def-set?3982 in k19035 in chicken.base#current-error-port in k18854 in k18851 in k18848 in k18845 in k18841 in k18837 in k18272 in k18269 in k18266 in k18263 in k18260 in k18257 in k18254 in k18251 in k18248 in k18245 in k18242 in k18239 in k18236 in ... */
static C_word C_fcall f_19045(C_word t0){
C_word tmp;
C_word t1;
C_stack_overflow_check;{}
return((
  /* library.scm:3361: body3979 */
  f_19039(((C_word*)t0)[2],C_SCHEME_TRUE)
));}

/* def-convert?3981 in k19035 in chicken.base#current-error-port in k18854 in k18851 in k18848 in k18845 in k18841 in k18837 in k18272 in k18269 in k18266 in k18263 in k18260 in k18257 in k18254 in k18251 in k18248 in k18245 in k18242 in k18239 in k18236 in ... */
static C_word C_fcall f_19050(C_word t0){
C_word tmp;
C_word t1;
C_stack_overflow_check;{}
return((
  /* library.scm:3361: def-set?3982 */
  f_19045(((C_word*)t0)[2])
));}

/* ##sys#tty-port? in k18854 in k18851 in k18848 in k18845 in k18841 in k18837 in k18272 in k18269 in k18266 in k18263 in k18260 in k18257 in k18254 in k18251 in k18248 in k18245 in k18242 in k18239 in k18236 in k18233 in k18073 in ... */
static void C_ccall f_19085(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(4,c,3)))){
C_save_and_reclaim((void *)f_19085,3,av);}
a=C_alloc(4);
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_19097,a[2]=t2,a[3]=t1,tmp=(C_word)a,a+=4,tmp);
/* library.scm:3366: ##sys#peek-unsigned-integer */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[726]);
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[726]+1);
av2[1]=t3;
av2[2]=t2;
av2[3]=C_fix(0);
tp(4,av2);}}

/* k19095 in tty-port? in k18854 in k18851 in k18848 in k18845 in k18841 in k18837 in k18272 in k18269 in k18266 in k18263 in k18260 in k18257 in k18254 in k18251 in k18248 in k18245 in k18242 in k18239 in k18236 in k18233 in ... */
static void C_ccall f_19097(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_19097,2,av);}
t2=C_i_zerop(t1);
if(C_truep(C_i_not(t2))){
t3=C_tty_portp(((C_word*)t0)[2]);
t4=((C_word*)t0)[3];{
C_word *av2=av;
av2[0]=t4;
av2[1]=t3;
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}
else{
t3=((C_word*)t0)[3];{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_SCHEME_FALSE;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}}

/* ##sys#port-data in k18854 in k18851 in k18848 in k18845 in k18841 in k18837 in k18272 in k18269 in k18266 in k18263 in k18260 in k18257 in k18254 in k18251 in k18248 in k18245 in k18242 in k18239 in k18236 in k18233 in k18073 in ... */
static void C_ccall f_19099(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_19099,3,av);}
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_slot(t2,C_fix(9));
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* ##sys#set-port-data! in k18854 in k18851 in k18848 in k18845 in k18841 in k18837 in k18272 in k18269 in k18266 in k18263 in k18260 in k18257 in k18254 in k18251 in k18248 in k18245 in k18242 in k18239 in k18236 in k18233 in k18073 in ... */
static void C_ccall f_19105(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_19105,4,av);}
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_i_setslot(t2,C_fix(9),t3);
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* open in k18854 in k18851 in k18848 in k18845 in k18841 in k18837 in k18272 in k18269 in k18266 in k18263 in k18260 in k18257 in k18254 in k18251 in k18248 in k18245 in k18242 in k18239 in k18236 in k18233 in k18073 in ... */
static void C_fcall f_19111(C_word t1,C_word t2,C_word t3,C_word t4,C_word t5){
C_word tmp;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word t12;
C_word t13;
C_word t14;
C_word t15;
C_word t16;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(22,0,3)))){
C_save_and_reclaim_args((void *)trf_19111,5,t1,t2,t3,t4,t5);}
a=C_alloc(22);
t6=C_i_check_string_2(t2,t5);
t7=(C_truep(t3)?lf[729]:lf[730]);
t8=t7;
t9=(*a=C_VECTOR_TYPE|1,a[1]=t8,tmp=(C_word)a,a+=2,tmp);
t10=lf[731];
t11=(*a=C_VECTOR_TYPE|1,a[1]=t10,tmp=(C_word)a,a+=2,tmp);
t12=(*a=C_CLOSURE_TYPE|7,a[1]=(C_word)f_19121,a[2]=t1,a[3]=t5,a[4]=t2,a[5]=t9,a[6]=t11,a[7]=t3,tmp=(C_word)a,a+=8,tmp);
t13=C_SCHEME_UNDEFINED;
t14=(*a=C_VECTOR_TYPE|1,a[1]=t13,tmp=(C_word)a,a+=2,tmp);
t15=C_set_block_item(t14,0,(*a=C_CLOSURE_TYPE|7,a[1]=(C_word)f_19154,a[2]=t14,a[3]=t11,a[4]=t3,a[5]=t5,a[6]=t9,a[7]=((C_word)li575),tmp=(C_word)a,a+=8,tmp));
t16=((C_word*)t14)[1];
f_19154(t16,t12,t4);}

/* k19119 in open in k18854 in k18851 in k18848 in k18845 in k18841 in k18837 in k18272 in k18269 in k18266 in k18263 in k18260 in k18257 in k18254 in k18251 in k18248 in k18245 in k18242 in k18239 in k18236 in k18233 in ... */
static void C_ccall f_19121(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(7,c,5)))){
C_save_and_reclaim((void *)f_19121,2,av);}
a=C_alloc(7);
t2=(*a=C_CLOSURE_TYPE|6,a[1]=(C_word)f_19124,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[5],a[6]=((C_word*)t0)[6],tmp=(C_word)a,a+=7,tmp);
if(C_truep(((C_word*)t0)[7])){
/* library.scm:3388: ##sys#make-port */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[700]);
C_word *av2;
if(c >= 6) {
  av2=av;
} else {
  av2=C_alloc(6);
}
av2[0]=*((C_word*)lf[700]+1);
av2[1]=t2;
av2[2]=C_fix(1);
av2[3]=C_fast_retrieve(lf[714]);
av2[4]=((C_word*)t0)[4];
av2[5]=lf[733];
tp(6,av2);}}
else{
/* library.scm:3388: ##sys#make-port */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[700]);
C_word *av2;
if(c >= 6) {
  av2=av;
} else {
  av2=C_alloc(6);
}
av2[0]=*((C_word*)lf[700]+1);
av2[1]=t2;
av2[2]=C_fix(2);
av2[3]=C_fast_retrieve(lf[714]);
av2[4]=((C_word*)t0)[4];
av2[5]=lf[733];
tp(6,av2);}}}

/* k19122 in k19119 in open in k18854 in k18851 in k18848 in k18845 in k18841 in k18837 in k18272 in k18269 in k18266 in k18263 in k18260 in k18257 in k18254 in k18251 in k18248 in k18245 in k18242 in k18239 in k18236 in ... */
static void C_ccall f_19124(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(16,c,3)))){
C_save_and_reclaim((void *)f_19124,2,av);}
a=C_alloc(16);
t2=t1;
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_19127,a[2]=((C_word*)t0)[2],a[3]=t2,tmp=(C_word)a,a+=4,tmp);
t4=(*a=C_CLOSURE_TYPE|6,a[1]=(C_word)f_19130,a[2]=((C_word*)t0)[2],a[3]=t2,a[4]=t3,a[5]=((C_word*)t0)[3],a[6]=((C_word*)t0)[4],tmp=(C_word)a,a+=7,tmp);
t5=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_19148,a[2]=t4,a[3]=t2,a[4]=((C_word*)t0)[4],tmp=(C_word)a,a+=5,tmp);
/* library.scm:3389: ##sys#string-append */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[412]+1));
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[412]+1);
av2[1]=t5;
av2[2]=((C_word*)((C_word*)t0)[5])[1];
av2[3]=((C_word*)((C_word*)t0)[6])[1];
tp(4,av2);}}

/* k19125 in k19122 in k19119 in open in k18854 in k18851 in k18848 in k18845 in k18841 in k18837 in k18272 in k18269 in k18266 in k18263 in k18260 in k18257 in k18254 in k18251 in k18248 in k18245 in k18242 in k18239 in ... */
static void C_ccall f_19127(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_19127,2,av);}
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=((C_word*)t0)[3];
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* k19128 in k19122 in k19119 in open in k18854 in k18851 in k18848 in k18845 in k18841 in k18837 in k18272 in k18269 in k18266 in k18263 in k18260 in k18257 in k18254 in k18251 in k18248 in k18245 in k18242 in k18239 in ... */
static void C_ccall f_19130(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,c,2)))){
C_save_and_reclaim((void *)f_19130,2,av);}
a=C_alloc(5);
if(C_truep(t1)){
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=((C_word*)t0)[3];
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}
else{
t2=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_19133,a[2]=((C_word*)t0)[4],a[3]=((C_word*)t0)[5],a[4]=((C_word*)t0)[6],tmp=(C_word)a,a+=5,tmp);
/* library.scm:3390: ##sys#update-errno */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[706]);
C_word *av2=av;
av2[0]=*((C_word*)lf[706]+1);
av2[1]=t2;
tp(2,av2);}}}

/* k19131 in k19128 in k19122 in k19119 in open in k18854 in k18851 in k18848 in k18845 in k18841 in k18837 in k18272 in k18269 in k18266 in k18263 in k18260 in k18257 in k18254 in k18251 in k18248 in k18245 in k18242 in ... */
static void C_ccall f_19133(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(11,c,3)))){
C_save_and_reclaim((void *)f_19133,2,av);}
a=C_alloc(11);
t2=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_19140,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],tmp=(C_word)a,a+=5,tmp);
t3=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_19144,a[2]=t2,tmp=(C_word)a,a+=3,tmp);
/* ##sys#peek-c-string */
t4=*((C_word*)lf[705]+1);{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t4;
av2[1]=t3;
av2[2]=C_mpointer(&a,(void*)strerror(errno));
av2[3]=C_fix(0);
((C_proc)(void*)(*((C_word*)t4+1)))(4,av2);}}

/* k19138 in k19131 in k19128 in k19122 in k19119 in open in k18854 in k18851 in k18848 in k18845 in k18841 in k18837 in k18272 in k18269 in k18266 in k18263 in k18260 in k18257 in k18254 in k18251 in k18248 in k18245 in ... */
static void C_ccall f_19140(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,5)))){
C_save_and_reclaim((void *)f_19140,2,av);}
/* library.scm:3391: ##sys#signal-hook */
t2=C_fast_retrieve(lf[194]);{
C_word *av2;
if(c >= 6) {
  av2=av;
} else {
  av2=C_alloc(6);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[2];
av2[2]=lf[702];
av2[3]=((C_word*)t0)[3];
av2[4]=t1;
av2[5]=((C_word*)t0)[4];
((C_proc)(void*)(*((C_word*)t2+1)))(6,av2);}}

/* k19142 in k19131 in k19128 in k19122 in k19119 in open in k18854 in k18851 in k18848 in k18845 in k18841 in k18837 in k18272 in k18269 in k18266 in k18263 in k18260 in k18257 in k18254 in k18251 in k18248 in k18245 in ... */
static void C_ccall f_19144(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_19144,2,av);}
/* library.scm:3391: ##sys#string-append */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[412]+1));
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[412]+1);
av2[1]=((C_word*)t0)[2];
av2[2]=lf[732];
av2[3]=t1;
tp(4,av2);}}

/* k19146 in k19122 in k19119 in open in k18854 in k18851 in k18848 in k18845 in k18841 in k18837 in k18272 in k18269 in k18266 in k18263 in k18260 in k18257 in k18254 in k18251 in k18248 in k18245 in k18242 in k18239 in ... */
static void C_ccall f_19148(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,4)))){
C_save_and_reclaim((void *)f_19148,2,av);}
/* library.scm:3389: ##sys#open-file-port */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[715]);
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=*((C_word*)lf[715]+1);
av2[1]=((C_word*)t0)[2];
av2[2]=((C_word*)t0)[3];
av2[3]=((C_word*)t0)[4];
av2[4]=t1;
tp(5,av2);}}

/* doloop4016 in open in k18854 in k18851 in k18848 in k18845 in k18841 in k18837 in k18272 in k18269 in k18266 in k18263 in k18260 in k18257 in k18254 in k18251 in k18248 in k18245 in k18242 in k18239 in k18236 in k18233 in ... */
static void C_fcall f_19154(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word t12;
C_word *a;
loop:
if(C_unlikely(!C_demand(C_calculate_demand(5,0,4)))){
C_save_and_reclaim_args((void *)trf_19154,3,t0,t1,t2);}
a=C_alloc(5);
if(C_truep(C_i_nullp(t2))){
t3=C_SCHEME_UNDEFINED;
t4=t1;{
C_word av2[2];
av2[0]=t4;
av2[1]=t3;
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}
else{
t3=C_slot(t2,C_fix(0));
t4=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_19167,a[2]=t2,a[3]=((C_word*)t0)[2],a[4]=t1,tmp=(C_word)a,a+=5,tmp);
t5=C_eqp(t3,lf[734]);
if(C_truep(t5)){
t6=C_mutate(((C_word *)((C_word*)t0)[3])+1,lf[735]);
t7=C_slot(t2,C_fix(1));
t11=t1;
t12=t7;
t1=t11;
t2=t12;
goto loop;}
else{
t6=C_eqp(t3,lf[736]);
if(C_truep(t6)){
t7=C_mutate(((C_word *)((C_word*)t0)[3])+1,lf[737]);
t8=C_slot(t2,C_fix(1));
t11=t1;
t12=t8;
t1=t11;
t2=t12;
goto loop;}
else{
t7=C_eqp(t3,lf[738]);
if(C_truep(t7)){
if(C_truep(((C_word*)t0)[4])){
/* library.scm:3385: ##sys#error */
t8=*((C_word*)lf[155]+1);{
C_word av2[4];
av2[0]=t8;
av2[1]=t4;
av2[2]=((C_word*)t0)[5];
av2[3]=lf[739];
((C_proc)(void*)(*((C_word*)t8+1)))(4,av2);}}
else{
t8=C_mutate(((C_word *)((C_word*)t0)[6])+1,lf[740]);
t9=C_slot(t2,C_fix(1));
t11=t1;
t12=t9;
t1=t11;
t2=t12;
goto loop;}}
else{
/* library.scm:3387: ##sys#error */
t8=*((C_word*)lf[155]+1);{
C_word av2[5];
av2[0]=t8;
av2[1]=t4;
av2[2]=((C_word*)t0)[5];
av2[3]=lf[741];
av2[4]=t3;
((C_proc)(void*)(*((C_word*)t8+1)))(5,av2);}}}}}}

/* k19165 in doloop4016 in open in k18854 in k18851 in k18848 in k18845 in k18841 in k18837 in k18272 in k18269 in k18266 in k18263 in k18260 in k18257 in k18254 in k18251 in k18248 in k18245 in k18242 in k18239 in k18236 in ... */
static void C_ccall f_19167(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_19167,2,av);}
t2=C_slot(((C_word*)t0)[2],C_fix(1));
t3=((C_word*)((C_word*)t0)[3])[1];
f_19154(t3,((C_word*)t0)[4],t2);}

/* close in k18854 in k18851 in k18848 in k18845 in k18841 in k18837 in k18272 in k18269 in k18266 in k18263 in k18260 in k18257 in k18254 in k18251 in k18248 in k18245 in k18242 in k18239 in k18236 in k18233 in k18073 in ... */
static void C_fcall f_19209(C_word t1,C_word t2,C_word t3,C_word t4){
C_word tmp;
C_word t5;
C_word t6;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,0,3)))){
C_save_and_reclaim_args((void *)trf_19209,4,t1,t2,t3,t4);}
a=C_alloc(5);
t5=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_19213,a[2]=t3,a[3]=t2,a[4]=t1,tmp=(C_word)a,a+=5,tmp);
/* library.scm:3395: ##sys#check-port */
t6=*((C_word*)lf[698]+1);{
C_word av2[4];
av2[0]=t6;
av2[1]=t5;
av2[2]=t2;
av2[3]=t4;
((C_proc)(void*)(*((C_word*)t6+1)))(4,av2);}}

/* k19211 in close in k18854 in k18851 in k18848 in k18845 in k18841 in k18837 in k18272 in k18269 in k18266 in k18263 in k18260 in k18257 in k18254 in k18251 in k18248 in k18245 in k18242 in k18239 in k18236 in k18233 in ... */
static void C_ccall f_19213(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_19213,2,av);}
t2=(C_truep(((C_word*)t0)[2])?C_fix(1):C_fix(2));
if(C_truep(C_port_openp(((C_word*)t0)[3],t2))){
t3=C_slot(((C_word*)t0)[3],C_fix(8));
t4=C_fixnum_not(t2);
t5=C_fixnum_and(t3,t4);
t6=C_i_set_i_slot(((C_word*)t0)[3],C_fix(8),t5);
t7=C_slot(((C_word*)t0)[3],C_fix(2));
t8=C_slot(t7,C_fix(4));
/* library.scm:3398: g4037 */
t9=t8;{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t9;
av2[1]=((C_word*)t0)[4];
av2[2]=((C_word*)t0)[3];
av2[3]=t2;
((C_proc)C_fast_retrieve_proc(t9))(4,av2);}}
else{
t3=C_SCHEME_UNDEFINED;
t4=((C_word*)t0)[4];{
C_word *av2=av;
av2[0]=t4;
av2[1]=t3;
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}}

/* scheme#open-input-file in k18854 in k18851 in k18848 in k18845 in k18841 in k18837 in k18272 in k18269 in k18266 in k18263 in k18260 in k18257 in k18254 in k18251 in k18248 in k18245 in k18242 in k18239 in k18236 in k18233 in k18073 in ... */
static void C_ccall f_19246(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c<3) C_bad_min_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand((c-3)*C_SIZEOF_PAIR +0,c,5)))){
C_save_and_reclaim((void*)f_19246,c,av);}
a=C_alloc((c-3)*C_SIZEOF_PAIR+0);
t3=C_build_rest(&a,c,3,av);
C_word t4;
/* library.scm:3402: open */
f_19111(t1,t2,C_SCHEME_TRUE,t3,lf[742]);}

/* scheme#open-output-file in k18854 in k18851 in k18848 in k18845 in k18841 in k18837 in k18272 in k18269 in k18266 in k18263 in k18260 in k18257 in k18254 in k18251 in k18248 in k18245 in k18242 in k18239 in k18236 in k18233 in k18073 in ... */
static void C_ccall f_19252(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c<3) C_bad_min_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand((c-3)*C_SIZEOF_PAIR +0,c,5)))){
C_save_and_reclaim((void*)f_19252,c,av);}
a=C_alloc((c-3)*C_SIZEOF_PAIR+0);
t3=C_build_rest(&a,c,3,av);
C_word t4;
/* library.scm:3403: open */
f_19111(t1,t2,C_SCHEME_FALSE,t3,lf[743]);}

/* scheme#close-input-port in k18854 in k18851 in k18848 in k18845 in k18841 in k18837 in k18272 in k18269 in k18266 in k18263 in k18260 in k18257 in k18254 in k18251 in k18248 in k18245 in k18242 in k18239 in k18236 in k18233 in k18073 in ... */
static void C_ccall f_19258(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,4)))){
C_save_and_reclaim((void *)f_19258,3,av);}
/* library.scm:3404: close */
f_19209(t1,t2,C_SCHEME_TRUE,lf[744]);}

/* scheme#close-output-port in k18854 in k18851 in k18848 in k18845 in k18841 in k18837 in k18272 in k18269 in k18266 in k18263 in k18260 in k18257 in k18254 in k18251 in k18248 in k18245 in k18242 in k18239 in k18236 in k18233 in k18073 in ... */
static void C_ccall f_19264(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,4)))){
C_save_and_reclaim((void *)f_19264,3,av);}
/* library.scm:3405: close */
f_19209(t1,t2,C_SCHEME_FALSE,lf[745]);}

/* scheme#call-with-input-file in k18854 in k18851 in k18848 in k18845 in k18841 in k18837 in k18272 in k18269 in k18266 in k18263 in k18260 in k18257 in k18254 in k18251 in k18248 in k18245 in k18242 in k18239 in k18236 in k18233 in k18073 in ... */
static void C_ccall f_19270(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word *a;
if(c<4) C_bad_min_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand((c-4)*C_SIZEOF_PAIR +4,c,4)))){
C_save_and_reclaim((void*)f_19270,c,av);}
a=C_alloc((c-4)*C_SIZEOF_PAIR+4);
t4=C_build_rest(&a,c,4,av);
C_word t5;
C_word t6;
t5=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_19274,a[2]=t3,a[3]=t1,tmp=(C_word)a,a+=4,tmp);{
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=0;
av2[1]=t5;
av2[2]=((C_word*)t0)[2];
av2[3]=t2;
av2[4]=t4;
C_apply(5,av2);}}

/* k19272 in scheme#call-with-input-file in k18854 in k18851 in k18848 in k18845 in k18841 in k18837 in k18272 in k18269 in k18266 in k18263 in k18260 in k18257 in k18254 in k18251 in k18248 in k18245 in k18242 in k18239 in k18236 in k18233 in ... */
static void C_ccall f_19274(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(9,c,3)))){
C_save_and_reclaim((void *)f_19274,2,av);}
a=C_alloc(9);
t2=t1;
t3=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_19279,a[2]=((C_word*)t0)[2],a[3]=t2,a[4]=((C_word)li582),tmp=(C_word)a,a+=5,tmp);
t4=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_19285,a[2]=t2,a[3]=((C_word)li583),tmp=(C_word)a,a+=4,tmp);
/* library.scm:3412: ##sys#call-with-values */{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=0;
av2[1]=((C_word*)t0)[3];
av2[2]=t3;
av2[3]=t4;
C_call_with_values(4,av2);}}

/* a19278 in k19272 in scheme#call-with-input-file in k18854 in k18851 in k18848 in k18845 in k18841 in k18837 in k18272 in k18269 in k18266 in k18263 in k18260 in k18257 in k18254 in k18251 in k18248 in k18245 in k18242 in k18239 in k18236 in ... */
static void C_ccall f_19279(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(c!=2) C_bad_argc_2(c,2,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_19279,2,av);}
/* library.scm:3413: p */
t2=((C_word*)t0)[2];{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t2;
av2[1]=t1;
av2[2]=((C_word*)t0)[3];
((C_proc)C_fast_retrieve_proc(t2))(3,av2);}}

/* a19284 in k19272 in scheme#call-with-input-file in k18854 in k18851 in k18848 in k18845 in k18841 in k18837 in k18272 in k18269 in k18266 in k18263 in k18260 in k18257 in k18254 in k18251 in k18248 in k18245 in k18242 in k18239 in k18236 in ... */
static void C_ccall f_19285(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand((c-2)*C_SIZEOF_PAIR +4,c,2)))){
C_save_and_reclaim((void*)f_19285,c,av);}
a=C_alloc((c-2)*C_SIZEOF_PAIR+4);
t2=C_build_rest(&a,c,2,av);
C_word t3;
C_word t4;
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_19289,a[2]=t1,a[3]=t2,tmp=(C_word)a,a+=4,tmp);
/* library.scm:3415: close-input-port */
t4=*((C_word*)lf[139]+1);{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t4;
av2[1]=t3;
av2[2]=((C_word*)t0)[2];
((C_proc)(void*)(*((C_word*)t4+1)))(3,av2);}}

/* k19287 in a19284 in k19272 in scheme#call-with-input-file in k18854 in k18851 in k18848 in k18845 in k18841 in k18837 in k18272 in k18269 in k18266 in k18263 in k18260 in k18257 in k18254 in k18251 in k18248 in k18245 in k18242 in k18239 in ... */
static void C_ccall f_19289(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_19289,2,av);}{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=0;
av2[1]=((C_word*)t0)[2];
av2[2]=((C_word*)t0)[3];
C_apply_values(3,av2);}}

/* scheme#call-with-output-file in k18854 in k18851 in k18848 in k18845 in k18841 in k18837 in k18272 in k18269 in k18266 in k18263 in k18260 in k18257 in k18254 in k18251 in k18248 in k18245 in k18242 in k18239 in k18236 in k18233 in k18073 in ... */
static void C_ccall f_19294(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word *a;
if(c<4) C_bad_min_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand((c-4)*C_SIZEOF_PAIR +4,c,4)))){
C_save_and_reclaim((void*)f_19294,c,av);}
a=C_alloc((c-4)*C_SIZEOF_PAIR+4);
t4=C_build_rest(&a,c,4,av);
C_word t5;
C_word t6;
t5=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_19298,a[2]=t3,a[3]=t1,tmp=(C_word)a,a+=4,tmp);{
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=0;
av2[1]=t5;
av2[2]=((C_word*)t0)[2];
av2[3]=t2;
av2[4]=t4;
C_apply(5,av2);}}

/* k19296 in scheme#call-with-output-file in k18854 in k18851 in k18848 in k18845 in k18841 in k18837 in k18272 in k18269 in k18266 in k18263 in k18260 in k18257 in k18254 in k18251 in k18248 in k18245 in k18242 in k18239 in k18236 in k18233 in ... */
static void C_ccall f_19298(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(9,c,3)))){
C_save_and_reclaim((void *)f_19298,2,av);}
a=C_alloc(9);
t2=t1;
t3=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_19303,a[2]=((C_word*)t0)[2],a[3]=t2,a[4]=((C_word)li585),tmp=(C_word)a,a+=5,tmp);
t4=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_19309,a[2]=t2,a[3]=((C_word)li586),tmp=(C_word)a,a+=4,tmp);
/* library.scm:3423: ##sys#call-with-values */{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=0;
av2[1]=((C_word*)t0)[3];
av2[2]=t3;
av2[3]=t4;
C_call_with_values(4,av2);}}

/* a19302 in k19296 in scheme#call-with-output-file in k18854 in k18851 in k18848 in k18845 in k18841 in k18837 in k18272 in k18269 in k18266 in k18263 in k18260 in k18257 in k18254 in k18251 in k18248 in k18245 in k18242 in k18239 in k18236 in ... */
static void C_ccall f_19303(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(c!=2) C_bad_argc_2(c,2,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_19303,2,av);}
/* library.scm:3424: p */
t2=((C_word*)t0)[2];{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t2;
av2[1]=t1;
av2[2]=((C_word*)t0)[3];
((C_proc)C_fast_retrieve_proc(t2))(3,av2);}}

/* a19308 in k19296 in scheme#call-with-output-file in k18854 in k18851 in k18848 in k18845 in k18841 in k18837 in k18272 in k18269 in k18266 in k18263 in k18260 in k18257 in k18254 in k18251 in k18248 in k18245 in k18242 in k18239 in k18236 in ... */
static void C_ccall f_19309(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand((c-2)*C_SIZEOF_PAIR +4,c,2)))){
C_save_and_reclaim((void*)f_19309,c,av);}
a=C_alloc((c-2)*C_SIZEOF_PAIR+4);
t2=C_build_rest(&a,c,2,av);
C_word t3;
C_word t4;
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_19313,a[2]=t1,a[3]=t2,tmp=(C_word)a,a+=4,tmp);
/* library.scm:3426: close-output-port */
t4=*((C_word*)lf[140]+1);{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t4;
av2[1]=t3;
av2[2]=((C_word*)t0)[2];
((C_proc)(void*)(*((C_word*)t4+1)))(3,av2);}}

/* k19311 in a19308 in k19296 in scheme#call-with-output-file in k18854 in k18851 in k18848 in k18845 in k18841 in k18837 in k18272 in k18269 in k18266 in k18263 in k18260 in k18257 in k18254 in k18251 in k18248 in k18245 in k18242 in k18239 in ... */
static void C_ccall f_19313(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_19313,2,av);}{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=0;
av2[1]=((C_word*)t0)[2];
av2[2]=((C_word*)t0)[3];
C_apply_values(3,av2);}}

/* scheme#with-input-from-file in k18854 in k18851 in k18848 in k18845 in k18841 in k18837 in k18272 in k18269 in k18266 in k18263 in k18260 in k18257 in k18254 in k18251 in k18248 in k18245 in k18242 in k18239 in k18236 in k18233 in k18073 in ... */
static void C_ccall f_19318(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word *a;
if(c<4) C_bad_min_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand((c-4)*C_SIZEOF_PAIR +4,c,4)))){
C_save_and_reclaim((void*)f_19318,c,av);}
a=C_alloc((c-4)*C_SIZEOF_PAIR+4);
t4=C_build_rest(&a,c,4,av);
C_word t5;
C_word t6;
t5=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_19322,a[2]=t3,a[3]=t1,tmp=(C_word)a,a+=4,tmp);{
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=0;
av2[1]=t5;
av2[2]=((C_word*)t0)[2];
av2[3]=t2;
av2[4]=t4;
C_apply(5,av2);}}

/* k19320 in scheme#with-input-from-file in k18854 in k18851 in k18848 in k18845 in k18841 in k18837 in k18272 in k18269 in k18266 in k18263 in k18260 in k18257 in k18254 in k18251 in k18248 in k18245 in k18242 in k18239 in k18236 in k18233 in ... */
static void C_ccall f_19322(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(19,c,4)))){
C_save_and_reclaim((void *)f_19322,2,av);}
a=C_alloc(19);
t2=t1;
t3=t2;
t4=(*a=C_VECTOR_TYPE|1,a[1]=t3,tmp=(C_word)a,a+=2,tmp);
t5=C_SCHEME_FALSE;
t6=(*a=C_VECTOR_TYPE|1,a[1]=t5,tmp=(C_word)a,a+=2,tmp);
t7=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_19327,a[2]=t6,a[3]=t4,a[4]=((C_word)li588),tmp=(C_word)a,a+=5,tmp);
t8=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_19332,a[2]=t2,a[3]=((C_word*)t0)[2],a[4]=((C_word)li590),tmp=(C_word)a,a+=5,tmp);
t9=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_19347,a[2]=t4,a[3]=t6,a[4]=((C_word)li591),tmp=(C_word)a,a+=5,tmp);
/* library.scm:3434: ##sys#dynamic-wind */
t10=*((C_word*)lf[694]+1);{
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=t10;
av2[1]=((C_word*)t0)[3];
av2[2]=t7;
av2[3]=t8;
av2[4]=t9;
((C_proc)(void*)(*((C_word*)t10+1)))(5,av2);}}

/* a19326 in k19320 in scheme#with-input-from-file in k18854 in k18851 in k18848 in k18845 in k18841 in k18837 in k18272 in k18269 in k18266 in k18263 in k18260 in k18257 in k18254 in k18251 in k18248 in k18245 in k18242 in k18239 in k18236 in ... */
static void C_ccall f_19327(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(c!=2) C_bad_argc_2(c,2,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_19327,2,av);}
t2=C_mutate(((C_word *)((C_word*)t0)[2])+1,*((C_word*)lf[716]+1));
t3=C_mutate((C_word*)lf[716]+1 /* (set! ##sys#standard-input ...) */,((C_word*)((C_word*)t0)[3])[1]);
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_SCHEME_UNDEFINED;
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* a19331 in k19320 in scheme#with-input-from-file in k18854 in k18851 in k18848 in k18845 in k18841 in k18837 in k18272 in k18269 in k18266 in k18263 in k18260 in k18257 in k18254 in k18251 in k18248 in k18245 in k18242 in k18239 in k18236 in ... */
static void C_ccall f_19332(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(c!=2) C_bad_argc_2(c,2,t0);
if(C_unlikely(!C_demand(C_calculate_demand(4,c,3)))){
C_save_and_reclaim((void *)f_19332,2,av);}
a=C_alloc(4);
t2=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_19338,a[2]=((C_word*)t0)[2],a[3]=((C_word)li589),tmp=(C_word)a,a+=4,tmp);
/* library.scm:3435: ##sys#call-with-values */{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=0;
av2[1]=t1;
av2[2]=((C_word*)t0)[3];
av2[3]=t2;
C_call_with_values(4,av2);}}

/* a19337 in a19331 in k19320 in scheme#with-input-from-file in k18854 in k18851 in k18848 in k18845 in k18841 in k18837 in k18272 in k18269 in k18266 in k18263 in k18260 in k18257 in k18254 in k18251 in k18248 in k18245 in k18242 in k18239 in ... */
static void C_ccall f_19338(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand((c-2)*C_SIZEOF_PAIR +4,c,2)))){
C_save_and_reclaim((void*)f_19338,c,av);}
a=C_alloc((c-2)*C_SIZEOF_PAIR+4);
t2=C_build_rest(&a,c,2,av);
C_word t3;
C_word t4;
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_19342,a[2]=t1,a[3]=t2,tmp=(C_word)a,a+=4,tmp);
/* library.scm:3437: close-input-port */
t4=*((C_word*)lf[139]+1);{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t4;
av2[1]=t3;
av2[2]=((C_word*)t0)[2];
((C_proc)(void*)(*((C_word*)t4+1)))(3,av2);}}

/* k19340 in a19337 in a19331 in k19320 in scheme#with-input-from-file in k18854 in k18851 in k18848 in k18845 in k18841 in k18837 in k18272 in k18269 in k18266 in k18263 in k18260 in k18257 in k18254 in k18251 in k18248 in k18245 in k18242 in ... */
static void C_ccall f_19342(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_19342,2,av);}{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=0;
av2[1]=((C_word*)t0)[2];
av2[2]=((C_word*)t0)[3];
C_apply_values(3,av2);}}

/* a19346 in k19320 in scheme#with-input-from-file in k18854 in k18851 in k18848 in k18845 in k18841 in k18837 in k18272 in k18269 in k18266 in k18263 in k18260 in k18257 in k18254 in k18251 in k18248 in k18245 in k18242 in k18239 in k18236 in ... */
static void C_ccall f_19347(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(c!=2) C_bad_argc_2(c,2,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_19347,2,av);}
t2=C_mutate(((C_word *)((C_word*)t0)[2])+1,*((C_word*)lf[716]+1));
t3=C_mutate((C_word*)lf[716]+1 /* (set! ##sys#standard-input ...) */,((C_word*)((C_word*)t0)[3])[1]);
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_SCHEME_UNDEFINED;
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* scheme#with-output-to-file in k18854 in k18851 in k18848 in k18845 in k18841 in k18837 in k18272 in k18269 in k18266 in k18263 in k18260 in k18257 in k18254 in k18251 in k18248 in k18245 in k18242 in k18239 in k18236 in k18233 in k18073 in ... */
static void C_ccall f_19352(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word *a;
if(c<4) C_bad_min_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand((c-4)*C_SIZEOF_PAIR +4,c,4)))){
C_save_and_reclaim((void*)f_19352,c,av);}
a=C_alloc((c-4)*C_SIZEOF_PAIR+4);
t4=C_build_rest(&a,c,4,av);
C_word t5;
C_word t6;
t5=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_19356,a[2]=t3,a[3]=t1,tmp=(C_word)a,a+=4,tmp);{
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=0;
av2[1]=t5;
av2[2]=((C_word*)t0)[2];
av2[3]=t2;
av2[4]=t4;
C_apply(5,av2);}}

/* k19354 in scheme#with-output-to-file in k18854 in k18851 in k18848 in k18845 in k18841 in k18837 in k18272 in k18269 in k18266 in k18263 in k18260 in k18257 in k18254 in k18251 in k18248 in k18245 in k18242 in k18239 in k18236 in k18233 in ... */
static void C_ccall f_19356(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(19,c,4)))){
C_save_and_reclaim((void *)f_19356,2,av);}
a=C_alloc(19);
t2=t1;
t3=t2;
t4=(*a=C_VECTOR_TYPE|1,a[1]=t3,tmp=(C_word)a,a+=2,tmp);
t5=C_SCHEME_FALSE;
t6=(*a=C_VECTOR_TYPE|1,a[1]=t5,tmp=(C_word)a,a+=2,tmp);
t7=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_19361,a[2]=t6,a[3]=t4,a[4]=((C_word)li593),tmp=(C_word)a,a+=5,tmp);
t8=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_19366,a[2]=t2,a[3]=((C_word*)t0)[2],a[4]=((C_word)li595),tmp=(C_word)a,a+=5,tmp);
t9=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_19381,a[2]=t4,a[3]=t6,a[4]=((C_word)li596),tmp=(C_word)a,a+=5,tmp);
/* library.scm:3445: ##sys#dynamic-wind */
t10=*((C_word*)lf[694]+1);{
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=t10;
av2[1]=((C_word*)t0)[3];
av2[2]=t7;
av2[3]=t8;
av2[4]=t9;
((C_proc)(void*)(*((C_word*)t10+1)))(5,av2);}}

/* a19360 in k19354 in scheme#with-output-to-file in k18854 in k18851 in k18848 in k18845 in k18841 in k18837 in k18272 in k18269 in k18266 in k18263 in k18260 in k18257 in k18254 in k18251 in k18248 in k18245 in k18242 in k18239 in k18236 in ... */
static void C_ccall f_19361(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(c!=2) C_bad_argc_2(c,2,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_19361,2,av);}
t2=C_mutate(((C_word *)((C_word*)t0)[2])+1,*((C_word*)lf[717]+1));
t3=C_mutate((C_word*)lf[717]+1 /* (set! ##sys#standard-output ...) */,((C_word*)((C_word*)t0)[3])[1]);
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_SCHEME_UNDEFINED;
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* a19365 in k19354 in scheme#with-output-to-file in k18854 in k18851 in k18848 in k18845 in k18841 in k18837 in k18272 in k18269 in k18266 in k18263 in k18260 in k18257 in k18254 in k18251 in k18248 in k18245 in k18242 in k18239 in k18236 in ... */
static void C_ccall f_19366(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(c!=2) C_bad_argc_2(c,2,t0);
if(C_unlikely(!C_demand(C_calculate_demand(4,c,3)))){
C_save_and_reclaim((void *)f_19366,2,av);}
a=C_alloc(4);
t2=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_19372,a[2]=((C_word*)t0)[2],a[3]=((C_word)li594),tmp=(C_word)a,a+=4,tmp);
/* library.scm:3446: ##sys#call-with-values */{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=0;
av2[1]=t1;
av2[2]=((C_word*)t0)[3];
av2[3]=t2;
C_call_with_values(4,av2);}}

/* a19371 in a19365 in k19354 in scheme#with-output-to-file in k18854 in k18851 in k18848 in k18845 in k18841 in k18837 in k18272 in k18269 in k18266 in k18263 in k18260 in k18257 in k18254 in k18251 in k18248 in k18245 in k18242 in k18239 in ... */
static void C_ccall f_19372(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand((c-2)*C_SIZEOF_PAIR +4,c,2)))){
C_save_and_reclaim((void*)f_19372,c,av);}
a=C_alloc((c-2)*C_SIZEOF_PAIR+4);
t2=C_build_rest(&a,c,2,av);
C_word t3;
C_word t4;
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_19376,a[2]=t1,a[3]=t2,tmp=(C_word)a,a+=4,tmp);
/* library.scm:3448: close-output-port */
t4=*((C_word*)lf[140]+1);{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t4;
av2[1]=t3;
av2[2]=((C_word*)t0)[2];
((C_proc)(void*)(*((C_word*)t4+1)))(3,av2);}}

/* k19374 in a19371 in a19365 in k19354 in scheme#with-output-to-file in k18854 in k18851 in k18848 in k18845 in k18841 in k18837 in k18272 in k18269 in k18266 in k18263 in k18260 in k18257 in k18254 in k18251 in k18248 in k18245 in k18242 in ... */
static void C_ccall f_19376(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_19376,2,av);}{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=0;
av2[1]=((C_word*)t0)[2];
av2[2]=((C_word*)t0)[3];
C_apply_values(3,av2);}}

/* a19380 in k19354 in scheme#with-output-to-file in k18854 in k18851 in k18848 in k18845 in k18841 in k18837 in k18272 in k18269 in k18266 in k18263 in k18260 in k18257 in k18254 in k18251 in k18248 in k18245 in k18242 in k18239 in k18236 in ... */
static void C_ccall f_19381(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(c!=2) C_bad_argc_2(c,2,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_19381,2,av);}
t2=C_mutate(((C_word *)((C_word*)t0)[2])+1,*((C_word*)lf[717]+1));
t3=C_mutate((C_word*)lf[717]+1 /* (set! ##sys#standard-output ...) */,((C_word*)((C_word*)t0)[3])[1]);
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_SCHEME_UNDEFINED;
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* ##sys#file-exists? in k18854 in k18851 in k18848 in k18845 in k18841 in k18837 in k18272 in k18269 in k18266 in k18263 in k18260 in k18257 in k18254 in k18251 in k18248 in k18245 in k18242 in k18239 in k18236 in k18233 in k18073 in ... */
static void C_ccall f_19386(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4=av[4];
C_word t5=av[5];
C_word t6;
C_word t7;
C_word *a;
if(c!=6) C_bad_argc_2(c,6,t0);
if(C_unlikely(!C_demand(C_calculate_demand(7,c,3)))){
C_save_and_reclaim((void *)f_19386,6,av);}
a=C_alloc(7);
t6=(*a=C_CLOSURE_TYPE|6,a[1]=(C_word)f_19391,a[2]=t3,a[3]=t4,a[4]=t1,a[5]=t5,a[6]=t2,tmp=(C_word)a,a+=7,tmp);
/* library.scm:3452: ##sys#make-c-string */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[748]);
C_word *av2=av;
av2[0]=*((C_word*)lf[748]+1);
av2[1]=t6;
av2[2]=t2;
av2[3]=t5;
tp(4,av2);}}

/* k19389 in file-exists? in k18854 in k18851 in k18848 in k18845 in k18841 in k18837 in k18272 in k18269 in k18266 in k18263 in k18260 in k18257 in k18254 in k18251 in k18248 in k18245 in k18242 in k18239 in k18236 in k18233 in ... */
static void C_ccall f_19391(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,5)))){
C_save_and_reclaim((void *)f_19391,2,av);}
t2=C_i_file_exists_p(t1,((C_word*)t0)[2],((C_word*)t0)[3]);
switch(t2){
case C_SCHEME_FALSE:
t3=((C_word*)t0)[4];{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_SCHEME_FALSE;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}
case C_SCHEME_TRUE:
t3=((C_word*)t0)[4];{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_SCHEME_TRUE;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}
default:
/* library.scm:3456: ##sys#signal-hook */
t3=C_fast_retrieve(lf[194]);{
C_word *av2;
if(c >= 6) {
  av2=av;
} else {
  av2=C_alloc(6);
}
av2[0]=t3;
av2[1]=((C_word*)t0)[4];
av2[2]=lf[702];
av2[3]=((C_word*)t0)[5];
av2[4]=lf[747];
av2[5]=((C_word*)t0)[6];
((C_proc)(void*)(*((C_word*)t3+1)))(6,av2);}}}

/* ##sys#flush-output in k18854 in k18851 in k18848 in k18845 in k18841 in k18837 in k18272 in k18269 in k18266 in k18263 in k18260 in k18257 in k18254 in k18251 in k18248 in k18245 in k18242 in k18239 in k18236 in k18233 in k18073 in ... */
static void C_ccall f_19412(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(3,c,2)))){
C_save_and_reclaim((void *)f_19412,3,av);}
a=C_alloc(3);
t3=C_slot(t2,C_fix(2));
t4=C_slot(t3,C_fix(5));
t5=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_19419,a[2]=t1,tmp=(C_word)a,a+=3,tmp);
/* library.scm:3460: g4117 */
t6=t4;{
C_word *av2=av;
av2[0]=t6;
av2[1]=t5;
av2[2]=t2;
((C_proc)C_fast_retrieve_proc(t6))(3,av2);}}

/* k19417 in flush-output in k18854 in k18851 in k18848 in k18845 in k18841 in k18837 in k18272 in k18269 in k18266 in k18263 in k18260 in k18257 in k18254 in k18251 in k18248 in k18245 in k18242 in k18239 in k18236 in k18233 in ... */
static void C_ccall f_19419(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_19419,2,av);}
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=C_SCHEME_UNDEFINED;
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* chicken.base#flush-output in k18854 in k18851 in k18848 in k18845 in k18841 in k18837 in k18272 in k18269 in k18266 in k18263 in k18260 in k18257 in k18254 in k18251 in k18248 in k18245 in k18242 in k18239 in k18236 in k18233 in k18073 in ... */
static void C_ccall f_19425(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand((c-2)*C_SIZEOF_PAIR +0,c,2)))){
C_save_and_reclaim((void*)f_19425,c,av);}
a=C_alloc((c-2)*C_SIZEOF_PAIR+0);
t2=C_build_rest(&a,c,2,av);
C_word t3;
C_word t4;
C_word t5;
if(C_truep(C_i_nullp(t2))){
t3=*((C_word*)lf[717]+1);
t4=C_i_check_port_2(*((C_word*)lf[717]+1),C_fix(2),C_SCHEME_TRUE,lf[750]);
/* library.scm:3467: ##sys#flush-output */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[749]);
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[749]+1);
av2[1]=t1;
av2[2]=*((C_word*)lf[717]+1);
tp(3,av2);}}
else{
t3=C_i_car(t2);
t4=C_i_check_port_2(t3,C_fix(2),C_SCHEME_TRUE,lf[750]);
/* library.scm:3467: ##sys#flush-output */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[749]);
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[749]+1);
av2[1]=t1;
av2[2]=t3;
tp(3,av2);}}}

/* ##sys#port-line in k18854 in k18851 in k18848 in k18845 in k18841 in k18837 in k18272 in k18269 in k18266 in k18263 in k18260 in k18257 in k18254 in k18251 in k18248 in k18245 in k18242 in k18239 in k18236 in k18233 in k18073 in ... */
static void C_ccall f_19443(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_19443,3,av);}
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=(C_truep(C_input_portp(t2))?C_slot(t2,C_fix(4)):C_SCHEME_FALSE);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* ##sys#decorate-lambda in k18854 in k18851 in k18848 in k18845 in k18841 in k18837 in k18272 in k18269 in k18266 in k18263 in k18260 in k18257 in k18254 in k18251 in k18248 in k18245 in k18242 in k18239 in k18236 in k18233 in k18073 in ... */
static void C_ccall f_19452(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4=av[4];
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word *a;
if(c!=5) C_bad_argc_2(c,5,t0);
if(C_unlikely(!C_demand(C_calculate_demand(10,c,3)))){
C_save_and_reclaim((void *)f_19452,5,av);}
a=C_alloc(10);
t5=C_block_size(t2);
t6=t5;
t7=C_fixnum_difference(t6,C_fix(1));
t8=C_SCHEME_UNDEFINED;
t9=(*a=C_VECTOR_TYPE|1,a[1]=t8,tmp=(C_word)a,a+=2,tmp);
t10=C_set_block_item(t9,0,(*a=C_CLOSURE_TYPE|7,a[1]=(C_word)f_19465,a[2]=t6,a[3]=t2,a[4]=t4,a[5]=t9,a[6]=t3,a[7]=((C_word)li603),tmp=(C_word)a,a+=8,tmp));
t11=((C_word*)t9)[1];
f_19465(t11,t1,t7);}

/* loop in decorate-lambda in k18854 in k18851 in k18848 in k18845 in k18841 in k18837 in k18272 in k18269 in k18266 in k18263 in k18260 in k18257 in k18254 in k18251 in k18248 in k18245 in k18242 in k18239 in k18236 in k18233 in ... */
static void C_fcall f_19465(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(7,0,2)))){
C_save_and_reclaim_args((void *)trf_19465,3,t0,t1,t2);}
a=C_alloc(7);
t3=t2;
if(C_truep(C_i_zerop(t3))){
t4=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_19473,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=t1,tmp=(C_word)a,a+=6,tmp);
t5=C_fixnum_plus(((C_word*)t0)[2],C_fix(1));
/* library.scm:3481: scheme#make-vector */
t6=*((C_word*)lf[93]+1);{
C_word av2[3];
av2[0]=t6;
av2[1]=t4;
av2[2]=t5;
((C_proc)(void*)(*((C_word*)t6+1)))(3,av2);}}
else{
t4=C_slot(((C_word*)t0)[3],t2);
t5=(*a=C_CLOSURE_TYPE|6,a[1]=(C_word)f_19515,a[2]=((C_word*)t0)[4],a[3]=t1,a[4]=((C_word*)t0)[3],a[5]=t2,a[6]=((C_word*)t0)[5],tmp=(C_word)a,a+=7,tmp);
/* library.scm:3490: pred */
t6=((C_word*)t0)[6];{
C_word av2[3];
av2[0]=t6;
av2[1]=t5;
av2[2]=t4;
((C_proc)C_fast_retrieve_proc(t6))(3,av2);}}}

/* k19471 in loop in decorate-lambda in k18854 in k18851 in k18848 in k18845 in k18841 in k18837 in k18272 in k18269 in k18266 in k18263 in k18260 in k18257 in k18254 in k18251 in k18248 in k18245 in k18242 in k18239 in k18236 in ... */
static void C_ccall f_19473(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(10,c,3)))){
C_save_and_reclaim((void *)f_19473,2,av);}
a=C_alloc(10);
t2=t1;
t3=C_SCHEME_UNDEFINED;
t4=(*a=C_VECTOR_TYPE|1,a[1]=t3,tmp=(C_word)a,a+=2,tmp);
t5=C_set_block_item(t4,0,(*a=C_CLOSURE_TYPE|7,a[1]=(C_word)f_19478,a[2]=((C_word*)t0)[2],a[3]=t2,a[4]=((C_word*)t0)[3],a[5]=((C_word*)t0)[4],a[6]=t4,a[7]=((C_word)li602),tmp=(C_word)a,a+=8,tmp));
t6=((C_word*)t4)[1];
f_19478(t6,((C_word*)t0)[5],C_fix(1));}

/* doloop4146 in k19471 in loop in decorate-lambda in k18854 in k18851 in k18848 in k18845 in k18841 in k18837 in k18272 in k18269 in k18266 in k18263 in k18260 in k18257 in k18254 in k18251 in k18248 in k18245 in k18242 in k18239 in ... */
static void C_fcall f_19478(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word *a;
loop:
if(C_unlikely(!C_demand(C_calculate_demand(0,0,3)))){
C_save_and_reclaim_args((void *)trf_19478,3,t0,t1,t2);}
if(C_truep(C_fixnum_greater_or_equal_p(t2,((C_word*)t0)[2]))){
t3=C_vector_to_closure(((C_word*)t0)[3]);
t4=C_copy_pointer(((C_word*)t0)[4],((C_word*)t0)[3]);
/* library.scm:3486: decorator */
t5=((C_word*)t0)[5];{
C_word av2[4];
av2[0]=t5;
av2[1]=t1;
av2[2]=((C_word*)t0)[3];
av2[3]=t2;
((C_proc)C_fast_retrieve_proc(t5))(4,av2);}}
else{
t3=C_slot(((C_word*)t0)[4],t2);
t4=C_i_setslot(((C_word*)t0)[3],t2,t3);
t5=C_fixnum_plus(t2,C_fix(1));
t7=t1;
t8=t5;
t1=t7;
t2=t8;
goto loop;}}

/* k19513 in loop in decorate-lambda in k18854 in k18851 in k18848 in k18845 in k18841 in k18837 in k18272 in k18269 in k18266 in k18263 in k18260 in k18257 in k18254 in k18251 in k18248 in k18245 in k18242 in k18239 in k18236 in ... */
static void C_ccall f_19515(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_19515,2,av);}
if(C_truep(t1)){
/* library.scm:3491: decorator */
t2=((C_word*)t0)[2];{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[3];
av2[2]=((C_word*)t0)[4];
av2[3]=((C_word*)t0)[5];
((C_proc)C_fast_retrieve_proc(t2))(4,av2);}}
else{
t2=C_fixnum_difference(((C_word*)t0)[5],C_fix(1));
/* library.scm:3492: loop */
t3=((C_word*)((C_word*)t0)[6])[1];
f_19465(t3,((C_word*)t0)[3],t2);}}

/* ##sys#lambda-decoration in k18854 in k18851 in k18848 in k18845 in k18841 in k18837 in k18272 in k18269 in k18266 in k18263 in k18260 in k18257 in k18254 in k18251 in k18248 in k18245 in k18242 in k18239 in k18236 in k18233 in k18073 in ... */
static void C_ccall f_19527(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(8,c,3)))){
C_save_and_reclaim((void *)f_19527,4,av);}
a=C_alloc(8);
t4=C_block_size(t2);
t5=C_fixnum_difference(t4,C_fix(1));
t6=C_SCHEME_UNDEFINED;
t7=(*a=C_VECTOR_TYPE|1,a[1]=t6,tmp=(C_word)a,a+=2,tmp);
t8=C_set_block_item(t7,0,(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_19537,a[2]=t2,a[3]=t7,a[4]=t3,a[5]=((C_word)li605),tmp=(C_word)a,a+=6,tmp));
t9=((C_word*)t7)[1];
f_19537(t9,t1,t5);}

/* loop in lambda-decoration in k18854 in k18851 in k18848 in k18845 in k18841 in k18837 in k18272 in k18269 in k18266 in k18263 in k18260 in k18257 in k18254 in k18251 in k18248 in k18245 in k18242 in k18239 in k18236 in k18233 in ... */
static void C_fcall f_19537(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,0,2)))){
C_save_and_reclaim_args((void *)trf_19537,3,t0,t1,t2);}
a=C_alloc(6);
if(C_truep(C_fixnum_greaterp(t2,C_fix(0)))){
t3=C_slot(((C_word*)t0)[2],t2);
t4=t3;
t5=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_19553,a[2]=t1,a[3]=t4,a[4]=t2,a[5]=((C_word*)t0)[3],tmp=(C_word)a,a+=6,tmp);
/* library.scm:3498: pred */
t6=((C_word*)t0)[4];{
C_word av2[3];
av2[0]=t6;
av2[1]=t5;
av2[2]=t4;
((C_proc)C_fast_retrieve_proc(t6))(3,av2);}}
else{
t3=t1;{
C_word av2[2];
av2[0]=t3;
av2[1]=C_SCHEME_FALSE;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}}

/* k19551 in loop in lambda-decoration in k18854 in k18851 in k18848 in k18845 in k18841 in k18837 in k18272 in k18269 in k18266 in k18263 in k18260 in k18257 in k18254 in k18251 in k18248 in k18245 in k18242 in k18239 in k18236 in ... */
static void C_ccall f_19553(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_19553,2,av);}
if(C_truep(t1)){
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=((C_word*)t0)[3];
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}
else{
t2=C_fixnum_difference(((C_word*)t0)[4],C_fix(1));
/* library.scm:3500: loop */
t3=((C_word*)((C_word*)t0)[5])[1];
f_19537(t3,((C_word*)t0)[2],t2);}}

/* ##sys#make-lambda-info in k18854 in k18851 in k18848 in k18845 in k18841 in k18837 in k18272 in k18269 in k18266 in k18263 in k18260 in k18257 in k18254 in k18251 in k18248 in k18245 in k18242 in k18239 in k18236 in k18233 in k18073 in ... */
static void C_ccall f_19566(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(5,c,2)))){
C_save_and_reclaim((void *)f_19566,3,av);}
a=C_alloc(5);
t3=C_block_size(t2);
t4=t3;
t5=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_19573,a[2]=t2,a[3]=t4,a[4]=t1,tmp=(C_word)a,a+=5,tmp);
/* library.scm:3507: ##sys#make-string */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[376]+1));
C_word *av2=av;
av2[0]=*((C_word*)lf[376]+1);
av2[1]=t5;
av2[2]=t4;
tp(3,av2);}}

/* k19571 in make-lambda-info in k18854 in k18851 in k18848 in k18845 in k18841 in k18837 in k18272 in k18269 in k18266 in k18263 in k18260 in k18257 in k18254 in k18251 in k18248 in k18245 in k18242 in k18239 in k18236 in k18233 in ... */
static void C_ccall f_19573(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_19573,2,av);}
t2=C_copy_memory(t1,((C_word*)t0)[2],((C_word*)t0)[3]);
t3=C_string_to_lambdainfo(t1);
t4=((C_word*)t0)[4];{
C_word *av2=av;
av2[0]=t4;
av2[1]=t1;
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* ##sys#lambda-info? in k18854 in k18851 in k18848 in k18845 in k18841 in k18837 in k18272 in k18269 in k18266 in k18263 in k18260 in k18257 in k18254 in k18251 in k18248 in k18245 in k18242 in k18239 in k18236 in k18233 in k18073 in ... */
static void C_ccall f_19575(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_19575,3,av);}
t3=C_immp(t2);
if(C_truep(C_i_not(t3))){
t4=C_lambdainfop(t2);
t5=t1;{
C_word *av2=av;
av2[0]=t5;
av2[1]=t4;
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}
else{
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_SCHEME_FALSE;
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}}

/* ##sys#lambda-info in k18854 in k18851 in k18848 in k18845 in k18841 in k18837 in k18272 in k18269 in k18266 in k18263 in k18260 in k18257 in k18254 in k18251 in k18248 in k18245 in k18242 in k18239 in k18236 in k18233 in k18073 in ... */
static void C_ccall f_19588(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_19588,3,av);}
/* library.scm:3519: ##sys#lambda-decoration */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[753]);
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[753]+1);
av2[1]=t1;
av2[2]=t2;
av2[3]=C_fast_retrieve(lf[755]);
tp(4,av2);}}

/* ##sys#lambda-info->string in k18854 in k18851 in k18848 in k18845 in k18841 in k18837 in k18272 in k18269 in k18266 in k18263 in k18260 in k18257 in k18254 in k18251 in k18248 in k18245 in k18242 in k18239 in k18236 in k18233 in k18073 in ... */
static void C_ccall f_19594(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(5,c,2)))){
C_save_and_reclaim((void *)f_19594,3,av);}
a=C_alloc(5);
t3=C_block_size(t2);
t4=t3;
t5=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_19601,a[2]=t2,a[3]=t4,a[4]=t1,tmp=(C_word)a,a+=5,tmp);
/* library.scm:3523: ##sys#make-string */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[376]+1));
C_word *av2=av;
av2[0]=*((C_word*)lf[376]+1);
av2[1]=t5;
av2[2]=t4;
tp(3,av2);}}

/* k19599 in lambda-info->string in k18854 in k18851 in k18848 in k18845 in k18841 in k18837 in k18272 in k18269 in k18266 in k18263 in k18260 in k18257 in k18254 in k18251 in k18248 in k18245 in k18242 in k18239 in k18236 in k18233 in ... */
static void C_ccall f_19601(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_19601,2,av);}
t2=C_copy_memory(t1,((C_word*)t0)[2],((C_word*)t0)[3]);
t3=((C_word*)t0)[4];{
C_word *av2=av;
av2[0]=t3;
av2[1]=t1;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* chicken.base#procedure-information in k18854 in k18851 in k18848 in k18845 in k18841 in k18837 in k18272 in k18269 in k18266 in k18263 in k18260 in k18257 in k18254 in k18251 in k18248 in k18245 in k18242 in k18239 in k18236 in k18233 in k18073 in ... */
static void C_ccall f_19603(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(4,c,3)))){
C_save_and_reclaim((void *)f_19603,3,av);}
a=C_alloc(4);
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_19607,a[2]=t1,a[3]=t2,tmp=(C_word)a,a+=4,tmp);
/* library.scm:3529: ##sys#check-closure */
t4=*((C_word*)lf[365]+1);{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t4;
av2[1]=t3;
av2[2]=t2;
av2[3]=lf[759];
((C_proc)(void*)(*((C_word*)t4+1)))(4,av2);}}

/* k19605 in chicken.base#procedure-information in k18854 in k18851 in k18848 in k18845 in k18841 in k18837 in k18272 in k18269 in k18266 in k18263 in k18260 in k18257 in k18254 in k18251 in k18248 in k18245 in k18242 in k18239 in k18236 in k18233 in ... */
static void C_ccall f_19607(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,2)))){
C_save_and_reclaim((void *)f_19607,2,av);}
a=C_alloc(3);
t2=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_19610,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
/* library.scm:3530: ##sys#lambda-info */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[756]);
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[756]+1);
av2[1]=t2;
av2[2]=((C_word*)t0)[3];
tp(3,av2);}}

/* k19608 in k19605 in chicken.base#procedure-information in k18854 in k18851 in k18848 in k18845 in k18841 in k18837 in k18272 in k18269 in k18266 in k18263 in k18260 in k18257 in k18254 in k18251 in k18248 in k18245 in k18242 in k18239 in k18236 in ... */
static void C_ccall f_19610(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,c,2)))){
C_save_and_reclaim((void *)f_19610,2,av);}
a=C_alloc(6);
if(C_truep(t1)){
t2=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_19620,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
t3=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_19624,a[2]=t2,tmp=(C_word)a,a+=3,tmp);
/* library.scm:3531: ##sys#lambda-info->string */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[757]);
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[757]+1);
av2[1]=t3;
av2[2]=t1;
tp(3,av2);}}
else{
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=C_SCHEME_FALSE;
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}}

/* k19618 in k19608 in k19605 in chicken.base#procedure-information in k18854 in k18851 in k18848 in k18845 in k18841 in k18837 in k18272 in k18269 in k18266 in k18263 in k18260 in k18257 in k18254 in k18251 in k18248 in k18245 in k18242 in k18239 in ... */
static void C_ccall f_19620(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_19620,2,av);}
/* library.scm:3531: ##sys#read */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[758]);
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[758]+1);
av2[1]=((C_word*)t0)[2];
av2[2]=t1;
av2[3]=C_SCHEME_FALSE;
tp(4,av2);}}

/* k19622 in k19608 in k19605 in chicken.base#procedure-information in k18854 in k18851 in k18848 in k18845 in k18841 in k18837 in k18272 in k18269 in k18266 in k18263 in k18260 in k18257 in k18254 in k18251 in k18248 in k18245 in k18242 in k18239 in ... */
static void C_ccall f_19624(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_19624,2,av);}
/* library.scm:3531: chicken.base#open-input-string */
t2=*((C_word*)lf[212]+1);{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[2];
av2[2]=t1;
((C_proc)(void*)(*((C_word*)t2+1)))(3,av2);}}

/* k19630 in k18854 in k18851 in k18848 in k18845 in k18841 in k18837 in k18272 in k18269 in k18266 in k18263 in k18260 in k18257 in k18254 in k18251 in k18248 in k18245 in k18242 in k18239 in k18236 in k18233 in k18073 in ... */
static void C_ccall f_19632(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,c,4)))){
C_save_and_reclaim((void *)f_19632,2,av);}
a=C_alloc(6);
t2=C_mutate((C_word*)lf[203]+1 /* (set! chicken.base#setter ...) */,t1);
t3=C_mutate((C_word*)lf[762]+1 /* (set! ##sys#setter ...) */,*((C_word*)lf[203]+1));
t4=C_mutate((C_word*)lf[200]+1 /* (set! chicken.base#getter-with-setter ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_19635,a[2]=((C_word)li615),tmp=(C_word)a,a+=3,tmp));
t5=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_19712,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
/* library.scm:3591: chicken.base#getter-with-setter */
t6=*((C_word*)lf[200]+1);{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t6;
av2[1]=t5;
av2[2]=*((C_word*)lf[9]+1);
av2[3]=*((C_word*)lf[11]+1);
((C_proc)(void*)(*((C_word*)t6+1)))(4,av2);}}

/* chicken.base#getter-with-setter in k19630 in k18854 in k18851 in k18848 in k18845 in k18841 in k18837 in k18272 in k18269 in k18266 in k18263 in k18260 in k18257 in k18254 in k18251 in k18248 in k18245 in k18242 in k18239 in k18236 in k18233 in ... */
static void C_ccall f_19635(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word *a;
if(c<4) C_bad_min_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand((c-4)*C_SIZEOF_PAIR +6,c,3)))){
C_save_and_reclaim((void*)f_19635,c,av);}
a=C_alloc((c-4)*C_SIZEOF_PAIR+6);
t4=C_build_rest(&a,c,4,av);
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
t5=C_i_nullp(t4);
t6=(C_truep(t5)?C_SCHEME_FALSE:C_i_car(t4));
t7=t6;
t8=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_19642,a[2]=t1,a[3]=t3,a[4]=t2,a[5]=t7,tmp=(C_word)a,a+=6,tmp);
/* library.scm:3570: ##sys#check-closure */
t9=*((C_word*)lf[365]+1);{
C_word *av2=av;
av2[0]=t9;
av2[1]=t8;
av2[2]=t2;
av2[3]=lf[763];
((C_proc)(void*)(*((C_word*)t9+1)))(4,av2);}}

/* k19640 in chicken.base#getter-with-setter in k19630 in k18854 in k18851 in k18848 in k18845 in k18841 in k18837 in k18272 in k18269 in k18266 in k18263 in k18260 in k18257 in k18254 in k18251 in k18248 in k18245 in k18242 in k18239 in k18236 in ... */
static void C_ccall f_19642(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,c,3)))){
C_save_and_reclaim((void *)f_19642,2,av);}
a=C_alloc(6);
t2=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_19645,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[5],tmp=(C_word)a,a+=6,tmp);
/* library.scm:3571: ##sys#check-closure */
t3=*((C_word*)lf[365]+1);{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t3;
av2[1]=t2;
av2[2]=((C_word*)t0)[3];
av2[3]=lf[763];
((C_proc)(void*)(*((C_word*)t3+1)))(4,av2);}}

/* k19643 in k19640 in chicken.base#getter-with-setter in k19630 in k18854 in k18851 in k18848 in k18845 in k18841 in k18837 in k18272 in k18269 in k18266 in k18263 in k18260 in k18257 in k18254 in k18251 in k18248 in k18245 in k18242 in k18239 in ... */
static void C_ccall f_19645(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,c,2)))){
C_save_and_reclaim((void *)f_19645,2,av);}
a=C_alloc(5);
t2=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_19648,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],tmp=(C_word)a,a+=5,tmp);
if(C_truep(((C_word*)t0)[5])){
t3=C_i_check_string_2(((C_word*)t0)[5],lf[763]);
/* library.scm:3574: ##sys#make-lambda-info */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[754]);
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[754]+1);
av2[1]=t2;
av2[2]=((C_word*)t0)[5];
tp(3,av2);}}
else{
/* library.scm:3575: ##sys#lambda-info */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[756]);
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[756]+1);
av2[1]=t2;
av2[2]=((C_word*)t0)[4];
tp(3,av2);}}}

/* k19646 in k19643 in k19640 in chicken.base#getter-with-setter in k19630 in k18854 in k18851 in k18848 in k18845 in k18841 in k18837 in k18272 in k18269 in k18266 in k18263 in k18260 in k18257 in k18254 in k18251 in k18248 in k18245 in k18242 in ... */
static void C_ccall f_19648(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(8,c,2)))){
C_save_and_reclaim((void *)f_19648,2,av);}
a=C_alloc(8);
t2=t1;
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_19651,a[2]=t2,a[3]=((C_word*)t0)[2],tmp=(C_word)a,a+=4,tmp);
t4=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_19667,a[2]=((C_word*)t0)[3],a[3]=t3,tmp=(C_word)a,a+=4,tmp);
/* library.scm:3577: ##sys#copy-closure */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[332]+1));
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[332]+1);
av2[1]=t4;
av2[2]=((C_word*)t0)[4];
tp(3,av2);}}

/* k19649 in k19646 in k19643 in k19640 in chicken.base#getter-with-setter in k19630 in k18854 in k18851 in k18848 in k18845 in k18841 in k18837 in k18272 in k18269 in k18266 in k18263 in k18260 in k18257 in k18254 in k18251 in k18248 in k18245 in ... */
static void C_ccall f_19651(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,c,4)))){
C_save_and_reclaim((void *)f_19651,2,av);}
a=C_alloc(4);
if(C_truep(((C_word*)t0)[2])){
t2=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_19659,a[2]=((C_word*)t0)[2],a[3]=((C_word)li612),tmp=(C_word)a,a+=4,tmp);
/* library.scm:3583: ##sys#decorate-lambda */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[752]);
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=*((C_word*)lf[752]+1);
av2[1]=((C_word*)t0)[3];
av2[2]=t1;
av2[3]=C_fast_retrieve(lf[755]);
av2[4]=t2;
tp(5,av2);}}
else{
t2=t1;
t3=((C_word*)t0)[3];{
C_word *av2=av;
av2[0]=t3;
av2[1]=t2;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}}

/* a19658 in k19649 in k19646 in k19643 in k19640 in chicken.base#getter-with-setter in k19630 in k18854 in k18851 in k18848 in k18845 in k18841 in k18837 in k18272 in k18269 in k18266 in k18263 in k18260 in k18257 in k18254 in k18251 in k18248 in ... */
static void C_ccall f_19659(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word t5;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_19659,4,av);}
t4=C_i_setslot(t2,t3,((C_word*)t0)[2]);
t5=t1;{
C_word *av2=av;
av2[0]=t5;
av2[1]=t2;
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}

/* k19665 in k19646 in k19643 in k19640 in chicken.base#getter-with-setter in k19630 in k18854 in k18851 in k18848 in k18845 in k18841 in k18837 in k18272 in k18269 in k18266 in k18263 in k18260 in k18257 in k18254 in k18251 in k18248 in k18245 in ... */
static void C_ccall f_19667(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(7,c,4)))){
C_save_and_reclaim((void *)f_19667,2,av);}
a=C_alloc(7);
t2=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_19669,a[2]=((C_word)li613),tmp=(C_word)a,a+=3,tmp);
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_19685,a[2]=((C_word*)t0)[2],a[3]=((C_word)li614),tmp=(C_word)a,a+=4,tmp);
/* library.scm:3576: ##sys#decorate-lambda */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[752]);
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=*((C_word*)lf[752]+1);
av2[1]=((C_word*)t0)[3];
av2[2]=t1;
av2[3]=t2;
av2[4]=t3;
tp(5,av2);}}

/* a19668 in k19665 in k19646 in k19643 in k19640 in chicken.base#getter-with-setter in k19630 in k18854 in k18851 in k18848 in k18845 in k18841 in k18837 in k18272 in k18269 in k18266 in k18263 in k18260 in k18257 in k18254 in k18251 in k18248 in ... */
static void C_ccall f_19669(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_19669,3,av);}
if(C_truep(C_i_pairp(t2))){
t3=C_slot(t2,C_fix(0));
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_eqp(C_retrieve2(lf[761],C_text("setter-tag")),t3);
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}
else{
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_SCHEME_FALSE;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}}

/* a19684 in k19665 in k19646 in k19643 in k19640 in chicken.base#getter-with-setter in k19630 in k18854 in k18851 in k18848 in k18845 in k18841 in k18837 in k18272 in k18269 in k18266 in k18263 in k18260 in k18257 in k18254 in k18251 in k18248 in ... */
static void C_ccall f_19685(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(3,c,1)))){
C_save_and_reclaim((void *)f_19685,4,av);}
a=C_alloc(3);
t4=C_a_i_cons(&a,2,C_retrieve2(lf[761],C_text("setter-tag")),((C_word*)t0)[2]);
t5=C_i_setslot(t2,t3,t4);
t6=t1;{
C_word *av2=av;
av2[0]=t6;
av2[1]=t2;
((C_proc)(void*)(*((C_word*)t6+1)))(2,av2);}}

/* k19710 in k19630 in k18854 in k18851 in k18848 in k18845 in k18841 in k18837 in k18272 in k18269 in k18266 in k18263 in k18260 in k18257 in k18254 in k18251 in k18248 in k18245 in k18242 in k18239 in k18236 in k18233 in ... */
static void C_ccall f_19712(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,3)))){
C_save_and_reclaim((void *)f_19712,2,av);}
a=C_alloc(3);
t2=C_mutate((C_word*)lf[9]+1 /* (set! scheme#car ...) */,t1);
t3=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_19716,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
/* library.scm:3592: chicken.base#getter-with-setter */
t4=*((C_word*)lf[200]+1);{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t4;
av2[1]=t3;
av2[2]=*((C_word*)lf[10]+1);
av2[3]=*((C_word*)lf[12]+1);
((C_proc)(void*)(*((C_word*)t4+1)))(4,av2);}}

/* k19714 in k19710 in k19630 in k18854 in k18851 in k18848 in k18845 in k18841 in k18837 in k18272 in k18269 in k18266 in k18263 in k18260 in k18257 in k18254 in k18251 in k18248 in k18245 in k18242 in k18239 in k18236 in ... */
static void C_ccall f_19716(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,c,4)))){
C_save_and_reclaim((void *)f_19716,2,av);}
a=C_alloc(6);
t2=C_mutate((C_word*)lf[10]+1 /* (set! scheme#cdr ...) */,t1);
t3=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_19720,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
t4=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_31635,a[2]=((C_word)li994),tmp=(C_word)a,a+=3,tmp);
/* library.scm:3593: chicken.base#getter-with-setter */
t5=*((C_word*)lf[200]+1);{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t5;
av2[1]=t3;
av2[2]=*((C_word*)lf[17]+1);
av2[3]=t4;
((C_proc)(void*)(*((C_word*)t5+1)))(4,av2);}}

/* k19718 in k19714 in k19710 in k19630 in k18854 in k18851 in k18848 in k18845 in k18841 in k18837 in k18272 in k18269 in k18266 in k18263 in k18260 in k18257 in k18254 in k18251 in k18248 in k18245 in k18242 in k18239 in ... */
static void C_ccall f_19720(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,c,4)))){
C_save_and_reclaim((void *)f_19720,2,av);}
a=C_alloc(6);
t2=C_mutate((C_word*)lf[17]+1 /* (set! scheme#caar ...) */,t1);
t3=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_19724,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
t4=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_31625,a[2]=((C_word)li993),tmp=(C_word)a,a+=3,tmp);
/* library.scm:3594: chicken.base#getter-with-setter */
t5=*((C_word*)lf[200]+1);{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t5;
av2[1]=t3;
av2[2]=*((C_word*)lf[13]+1);
av2[3]=t4;
((C_proc)(void*)(*((C_word*)t5+1)))(4,av2);}}

/* k19722 in k19718 in k19714 in k19710 in k19630 in k18854 in k18851 in k18848 in k18845 in k18841 in k18837 in k18272 in k18269 in k18266 in k18263 in k18260 in k18257 in k18254 in k18251 in k18248 in k18245 in k18242 in ... */
static void C_ccall f_19724(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,c,4)))){
C_save_and_reclaim((void *)f_19724,2,av);}
a=C_alloc(6);
t2=C_mutate((C_word*)lf[13]+1 /* (set! scheme#cadr ...) */,t1);
t3=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_19728,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
t4=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_31615,a[2]=((C_word)li992),tmp=(C_word)a,a+=3,tmp);
/* library.scm:3595: chicken.base#getter-with-setter */
t5=*((C_word*)lf[200]+1);{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t5;
av2[1]=t3;
av2[2]=*((C_word*)lf[18]+1);
av2[3]=t4;
((C_proc)(void*)(*((C_word*)t5+1)))(4,av2);}}

/* k19726 in k19722 in k19718 in k19714 in k19710 in k19630 in k18854 in k18851 in k18848 in k18845 in k18841 in k18837 in k18272 in k18269 in k18266 in k18263 in k18260 in k18257 in k18254 in k18251 in k18248 in k18245 in ... */
static void C_ccall f_19728(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,c,4)))){
C_save_and_reclaim((void *)f_19728,2,av);}
a=C_alloc(6);
t2=C_mutate((C_word*)lf[18]+1 /* (set! scheme#cdar ...) */,t1);
t3=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_19732,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
t4=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_31605,a[2]=((C_word)li991),tmp=(C_word)a,a+=3,tmp);
/* library.scm:3596: chicken.base#getter-with-setter */
t5=*((C_word*)lf[200]+1);{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t5;
av2[1]=t3;
av2[2]=*((C_word*)lf[19]+1);
av2[3]=t4;
((C_proc)(void*)(*((C_word*)t5+1)))(4,av2);}}

/* k19730 in k19726 in k19722 in k19718 in k19714 in k19710 in k19630 in k18854 in k18851 in k18848 in k18845 in k18841 in k18837 in k18272 in k18269 in k18266 in k18263 in k18260 in k18257 in k18254 in k18251 in k18248 in ... */
static void C_ccall f_19732(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,c,4)))){
C_save_and_reclaim((void *)f_19732,2,av);}
a=C_alloc(6);
t2=C_mutate((C_word*)lf[19]+1 /* (set! scheme#cddr ...) */,t1);
t3=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_19736,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
t4=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_31595,a[2]=((C_word)li990),tmp=(C_word)a,a+=3,tmp);
/* library.scm:3597: chicken.base#getter-with-setter */
t5=*((C_word*)lf[200]+1);{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t5;
av2[1]=t3;
av2[2]=*((C_word*)lf[20]+1);
av2[3]=t4;
((C_proc)(void*)(*((C_word*)t5+1)))(4,av2);}}

/* k19734 in k19730 in k19726 in k19722 in k19718 in k19714 in k19710 in k19630 in k18854 in k18851 in k18848 in k18845 in k18841 in k18837 in k18272 in k18269 in k18266 in k18263 in k18260 in k18257 in k18254 in k18251 in ... */
static void C_ccall f_19736(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,c,4)))){
C_save_and_reclaim((void *)f_19736,2,av);}
a=C_alloc(6);
t2=C_mutate((C_word*)lf[20]+1 /* (set! scheme#caaar ...) */,t1);
t3=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_19740,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
t4=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_31585,a[2]=((C_word)li989),tmp=(C_word)a,a+=3,tmp);
/* library.scm:3598: chicken.base#getter-with-setter */
t5=*((C_word*)lf[200]+1);{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t5;
av2[1]=t3;
av2[2]=*((C_word*)lf[21]+1);
av2[3]=t4;
((C_proc)(void*)(*((C_word*)t5+1)))(4,av2);}}

/* k19738 in k19734 in k19730 in k19726 in k19722 in k19718 in k19714 in k19710 in k19630 in k18854 in k18851 in k18848 in k18845 in k18841 in k18837 in k18272 in k18269 in k18266 in k18263 in k18260 in k18257 in k18254 in ... */
static void C_ccall f_19740(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,c,4)))){
C_save_and_reclaim((void *)f_19740,2,av);}
a=C_alloc(6);
t2=C_mutate((C_word*)lf[21]+1 /* (set! scheme#caadr ...) */,t1);
t3=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_19744,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
t4=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_31575,a[2]=((C_word)li988),tmp=(C_word)a,a+=3,tmp);
/* library.scm:3599: chicken.base#getter-with-setter */
t5=*((C_word*)lf[200]+1);{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t5;
av2[1]=t3;
av2[2]=*((C_word*)lf[22]+1);
av2[3]=t4;
((C_proc)(void*)(*((C_word*)t5+1)))(4,av2);}}

/* k19742 in k19738 in k19734 in k19730 in k19726 in k19722 in k19718 in k19714 in k19710 in k19630 in k18854 in k18851 in k18848 in k18845 in k18841 in k18837 in k18272 in k18269 in k18266 in k18263 in k18260 in k18257 in ... */
static void C_ccall f_19744(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,c,4)))){
C_save_and_reclaim((void *)f_19744,2,av);}
a=C_alloc(6);
t2=C_mutate((C_word*)lf[22]+1 /* (set! scheme#cadar ...) */,t1);
t3=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_19748,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
t4=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_31565,a[2]=((C_word)li987),tmp=(C_word)a,a+=3,tmp);
/* library.scm:3600: chicken.base#getter-with-setter */
t5=*((C_word*)lf[200]+1);{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t5;
av2[1]=t3;
av2[2]=*((C_word*)lf[14]+1);
av2[3]=t4;
((C_proc)(void*)(*((C_word*)t5+1)))(4,av2);}}

/* k19746 in k19742 in k19738 in k19734 in k19730 in k19726 in k19722 in k19718 in k19714 in k19710 in k19630 in k18854 in k18851 in k18848 in k18845 in k18841 in k18837 in k18272 in k18269 in k18266 in k18263 in k18260 in ... */
static void C_ccall f_19748(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,c,4)))){
C_save_and_reclaim((void *)f_19748,2,av);}
a=C_alloc(6);
t2=C_mutate((C_word*)lf[14]+1 /* (set! scheme#caddr ...) */,t1);
t3=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_19752,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
t4=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_31555,a[2]=((C_word)li986),tmp=(C_word)a,a+=3,tmp);
/* library.scm:3601: chicken.base#getter-with-setter */
t5=*((C_word*)lf[200]+1);{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t5;
av2[1]=t3;
av2[2]=*((C_word*)lf[23]+1);
av2[3]=t4;
((C_proc)(void*)(*((C_word*)t5+1)))(4,av2);}}

/* k19750 in k19746 in k19742 in k19738 in k19734 in k19730 in k19726 in k19722 in k19718 in k19714 in k19710 in k19630 in k18854 in k18851 in k18848 in k18845 in k18841 in k18837 in k18272 in k18269 in k18266 in k18263 in ... */
static void C_ccall f_19752(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,c,4)))){
C_save_and_reclaim((void *)f_19752,2,av);}
a=C_alloc(6);
t2=C_mutate((C_word*)lf[23]+1 /* (set! scheme#cdaar ...) */,t1);
t3=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_19756,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
t4=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_31545,a[2]=((C_word)li985),tmp=(C_word)a,a+=3,tmp);
/* library.scm:3602: chicken.base#getter-with-setter */
t5=*((C_word*)lf[200]+1);{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t5;
av2[1]=t3;
av2[2]=*((C_word*)lf[24]+1);
av2[3]=t4;
((C_proc)(void*)(*((C_word*)t5+1)))(4,av2);}}

/* k19754 in k19750 in k19746 in k19742 in k19738 in k19734 in k19730 in k19726 in k19722 in k19718 in k19714 in k19710 in k19630 in k18854 in k18851 in k18848 in k18845 in k18841 in k18837 in k18272 in k18269 in k18266 in ... */
static void C_ccall f_19756(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,c,4)))){
C_save_and_reclaim((void *)f_19756,2,av);}
a=C_alloc(6);
t2=C_mutate((C_word*)lf[24]+1 /* (set! scheme#cdadr ...) */,t1);
t3=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_19760,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
t4=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_31535,a[2]=((C_word)li984),tmp=(C_word)a,a+=3,tmp);
/* library.scm:3603: chicken.base#getter-with-setter */
t5=*((C_word*)lf[200]+1);{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t5;
av2[1]=t3;
av2[2]=*((C_word*)lf[25]+1);
av2[3]=t4;
((C_proc)(void*)(*((C_word*)t5+1)))(4,av2);}}

/* k19758 in k19754 in k19750 in k19746 in k19742 in k19738 in k19734 in k19730 in k19726 in k19722 in k19718 in k19714 in k19710 in k19630 in k18854 in k18851 in k18848 in k18845 in k18841 in k18837 in k18272 in k18269 in ... */
static void C_ccall f_19760(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,c,4)))){
C_save_and_reclaim((void *)f_19760,2,av);}
a=C_alloc(6);
t2=C_mutate((C_word*)lf[25]+1 /* (set! scheme#cddar ...) */,t1);
t3=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_19764,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
t4=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_31525,a[2]=((C_word)li983),tmp=(C_word)a,a+=3,tmp);
/* library.scm:3604: chicken.base#getter-with-setter */
t5=*((C_word*)lf[200]+1);{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t5;
av2[1]=t3;
av2[2]=*((C_word*)lf[26]+1);
av2[3]=t4;
((C_proc)(void*)(*((C_word*)t5+1)))(4,av2);}}

/* k19762 in k19758 in k19754 in k19750 in k19746 in k19742 in k19738 in k19734 in k19730 in k19726 in k19722 in k19718 in k19714 in k19710 in k19630 in k18854 in k18851 in k18848 in k18845 in k18841 in k18837 in k18272 in ... */
static void C_ccall f_19764(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,3)))){
C_save_and_reclaim((void *)f_19764,2,av);}
a=C_alloc(3);
t2=C_mutate((C_word*)lf[26]+1 /* (set! scheme#cdddr ...) */,t1);
t3=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_19768,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
/* library.scm:3605: chicken.base#getter-with-setter */
t4=*((C_word*)lf[200]+1);{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t4;
av2[1]=t3;
av2[2]=*((C_word*)lf[58]+1);
av2[3]=*((C_word*)lf[59]+1);
((C_proc)(void*)(*((C_word*)t4+1)))(4,av2);}}

/* k19766 in k19762 in k19758 in k19754 in k19750 in k19746 in k19742 in k19738 in k19734 in k19730 in k19726 in k19722 in k19718 in k19714 in k19710 in k19630 in k18854 in k18851 in k18848 in k18845 in k18841 in k18837 in ... */
static void C_ccall f_19768(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,3)))){
C_save_and_reclaim((void *)f_19768,2,av);}
a=C_alloc(3);
t2=C_mutate((C_word*)lf[58]+1 /* (set! scheme#string-ref ...) */,t1);
t3=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_19772,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
/* library.scm:3606: chicken.base#getter-with-setter */
t4=*((C_word*)lf[200]+1);{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t4;
av2[1]=t3;
av2[2]=*((C_word*)lf[91]+1);
av2[3]=*((C_word*)lf[92]+1);
((C_proc)(void*)(*((C_word*)t4+1)))(4,av2);}}

/* k19770 in k19766 in k19762 in k19758 in k19754 in k19750 in k19746 in k19742 in k19738 in k19734 in k19730 in k19726 in k19722 in k19718 in k19714 in k19710 in k19630 in k18854 in k18851 in k18848 in k18845 in k18841 in ... */
static void C_ccall f_19772(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,c,5)))){
C_save_and_reclaim((void *)f_19772,2,av);}
a=C_alloc(6);
t2=C_mutate((C_word*)lf[91]+1 /* (set! scheme#vector-ref ...) */,t1);
t3=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_19776,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
t4=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_31515,a[2]=((C_word)li982),tmp=(C_word)a,a+=3,tmp);
/* library.scm:3609: chicken.base#getter-with-setter */
t5=*((C_word*)lf[200]+1);{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t5;
av2[1]=t3;
av2[2]=*((C_word*)lf[45]+1);
av2[3]=t4;
((C_proc)(void*)(*((C_word*)t5+1)))(4,av2);}}

/* k19774 in k19770 in k19766 in k19762 in k19758 in k19754 in k19750 in k19746 in k19742 in k19738 in k19734 in k19730 in k19726 in k19722 in k19718 in k19714 in k19710 in k19630 in k18854 in k18851 in k18848 in k18845 in ... */
static void C_ccall f_19776(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word t12;
C_word t13;
C_word t14;
C_word t15;
C_word t16;
C_word t17;
C_word t18;
C_word t19;
C_word t20;
C_word t21;
C_word t22;
C_word t23;
C_word t24;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(56,c,4)))){
C_save_and_reclaim((void *)f_19776,2,av);}
a=C_alloc(56);
t2=C_mutate((C_word*)lf[45]+1 /* (set! scheme#list-ref ...) */,t1);
t3=C_SCHEME_UNDEFINED;
t4=C_a_i_vector(&a,16,t3,t3,t3,t3,t3,t3,t3,t3,t3,t3,t3,t3,t3,t3,t3,t3);
t5=C_mutate(&lf[764] /* (set! ##sys#default-parameter-vector ...) */,t4);
t6=C_mutate((C_word*)lf[765]+1 /* (set! ##sys#current-parameter-vector ...) */,lf[766]);
t7=C_fix(0);
t8=(*a=C_VECTOR_TYPE|1,a[1]=t7,tmp=(C_word)a,a+=2,tmp);
t9=C_mutate((C_word*)lf[201]+1 /* (set! chicken.base#make-parameter ...) */,(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_19783,a[2]=t8,a[3]=((C_word)li623),tmp=(C_word)a,a+=4,tmp));
t10=C_mutate((C_word*)lf[146]+1 /* (set! scheme#char-ready? ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_19947,a[2]=((C_word)li624),tmp=(C_word)a,a+=3,tmp));
t11=C_mutate((C_word*)lf[147]+1 /* (set! scheme#read-char ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_19972,a[2]=((C_word)li625),tmp=(C_word)a,a+=3,tmp));
t12=C_mutate((C_word*)lf[768]+1 /* (set! ##sys#read-char-0 ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_19990,a[2]=((C_word)li626),tmp=(C_word)a,a+=3,tmp));
t13=C_mutate((C_word*)lf[769]+1 /* (set! ##sys#read-char/port ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_20050,a[2]=((C_word)li627),tmp=(C_word)a,a+=3,tmp));
t14=C_mutate((C_word*)lf[770]+1 /* (set! ##sys#peek-char-0 ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_20059,a[2]=((C_word)li628),tmp=(C_word)a,a+=3,tmp));
t15=C_mutate((C_word*)lf[148]+1 /* (set! scheme#peek-char ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_20084,a[2]=((C_word)li629),tmp=(C_word)a,a+=3,tmp));
t16=C_mutate((C_word*)lf[149]+1 /* (set! scheme#read ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_20102,a[2]=((C_word)li630),tmp=(C_word)a,a+=3,tmp));
t17=C_set_block_item(lf[772] /* ##sys#default-read-info-hook */,0,C_SCHEME_FALSE);
t18=C_set_block_item(lf[773] /* ##sys#read-error-with-line-number */,0,C_SCHEME_FALSE);
t19=C_set_block_item(lf[774] /* ##sys#enable-qualifiers */,0,C_SCHEME_TRUE);
t20=C_mutate((C_word*)lf[775]+1 /* (set! ##sys#read-prompt-hook ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_20123,a[2]=((C_word)li631),tmp=(C_word)a,a+=3,tmp));
t21=C_mutate((C_word*)lf[776]+1 /* (set! ##sys#infix-list-hook ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_20126,a[2]=((C_word)li632),tmp=(C_word)a,a+=3,tmp));
t22=C_mutate((C_word*)lf[777]+1 /* (set! ##sys#sharp-number-hook ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_20129,a[2]=((C_word)li633),tmp=(C_word)a,a+=3,tmp));
t23=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_20137,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
/* library.scm:3720: chicken.base#make-parameter */
t24=*((C_word*)lf[201]+1);{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t24;
av2[1]=t23;
av2[2]=C_SCHEME_TRUE;
((C_proc)(void*)(*((C_word*)t24+1)))(3,av2);}}

/* chicken.base#make-parameter in k19774 in k19770 in k19766 in k19762 in k19758 in k19754 in k19750 in k19746 in k19742 in k19738 in k19734 in k19730 in k19726 in k19722 in k19718 in k19714 in k19710 in k19630 in k18854 in k18851 in k18848 in ... */
static void C_ccall f_19783(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c<3) C_bad_min_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand((c-3)*C_SIZEOF_PAIR +8,c,3)))){
C_save_and_reclaim((void*)f_19783,c,av);}
a=C_alloc((c-3)*C_SIZEOF_PAIR+8);
t3=C_build_rest(&a,c,3,av);
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
t4=C_i_nullp(t3);
t5=(C_truep(t4)?(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_19941,a[2]=((C_word)li616),tmp=(C_word)a,a+=3,tmp):C_i_car(t3));
t6=t5;
t7=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_19790,a[2]=((C_word*)t0)[2],a[3]=t6,a[4]=t1,tmp=(C_word)a,a+=5,tmp);
/* library.scm:3622: guard */
t8=t6;{
C_word *av2=av;
av2[0]=t8;
av2[1]=t7;
av2[2]=t2;
((C_proc)C_fast_retrieve_proc(t8))(3,av2);}}

/* k19788 in chicken.base#make-parameter in k19774 in k19770 in k19766 in k19762 in k19758 in k19754 in k19750 in k19746 in k19742 in k19738 in k19734 in k19730 in k19726 in k19722 in k19718 in k19714 in k19710 in k19630 in k18854 in k18851 in ... */
static void C_ccall f_19790(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(14,c,6)))){
C_save_and_reclaim((void *)f_19790,2,av);}
a=C_alloc(14);
t2=t1;
t3=((C_word*)((C_word*)t0)[2])[1];
t4=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_19791,a[2]=t3,a[3]=((C_word*)t0)[3],a[4]=((C_word)li617),tmp=(C_word)a,a+=5,tmp);
t5=C_fixnum_plus(((C_word*)((C_word*)t0)[2])[1],C_fix(1));
t6=C_set_block_item(((C_word*)t0)[2],0,t5);
t7=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_19825,a[2]=t3,a[3]=t2,a[4]=t4,a[5]=((C_word*)t0)[4],tmp=(C_word)a,a+=6,tmp);
t8=C_block_size(C_retrieve2(lf[764],C_text("##sys#default-parameter-vector")));
if(C_truep(C_fixnum_greater_or_equal_p(t3,t8))){
t9=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_19929,a[2]=t7,tmp=(C_word)a,a+=3,tmp);
t10=C_fixnum_plus(t3,C_fix(1));
/* library.scm:3639: ##sys#vector-resize */
f_17976(t9,C_retrieve2(lf[764],C_text("##sys#default-parameter-vector")),t10,C_SCHEME_UNDEFINED);}
else{
t9=t7;
f_19825(t9,C_SCHEME_UNDEFINED);}}

/* assign in k19788 in chicken.base#make-parameter in k19774 in k19770 in k19766 in k19762 in k19758 in k19754 in k19750 in k19746 in k19742 in k19738 in k19734 in k19730 in k19726 in k19722 in k19718 in k19714 in k19710 in k19630 in k18854 in ... */
static void C_fcall f_19791(C_word t0,C_word t1,C_word t2,C_word t3,C_word t4,C_word t5){
C_word tmp;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(11,0,4)))){
C_save_and_reclaim_args((void *)trf_19791,6,t0,t1,t2,t3,t4,t5);}
a=C_alloc(11);
t6=(*a=C_CLOSURE_TYPE|7,a[1]=(C_word)f_19795,a[2]=t5,a[3]=((C_word*)t0)[2],a[4]=t1,a[5]=t4,a[6]=((C_word*)t0)[3],a[7]=t2,tmp=(C_word)a,a+=8,tmp);
if(C_truep(C_fixnum_greater_or_equal_p(((C_word*)t0)[2],t3))){
t7=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_19814,a[2]=t6,tmp=(C_word)a,a+=3,tmp);
t8=C_fixnum_plus(((C_word*)t0)[2],C_fix(1));
/* library.scm:3627: ##sys#vector-resize */
f_17976(t7,C_fast_retrieve(lf[765]),t8,*((C_word*)lf[624]+1));}
else{
t7=t6;
f_19795(t7,C_SCHEME_UNDEFINED);}}

/* k19793 in assign in k19788 in chicken.base#make-parameter in k19774 in k19770 in k19766 in k19762 in k19758 in k19754 in k19750 in k19746 in k19742 in k19738 in k19734 in k19730 in k19726 in k19722 in k19718 in k19714 in k19710 in k19630 in ... */
static void C_fcall f_19795(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,0,2)))){
C_save_and_reclaim_args((void *)trf_19795,2,t0,t1);}
a=C_alloc(5);
t2=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_19798,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],tmp=(C_word)a,a+=5,tmp);
if(C_truep(((C_word*)t0)[5])){
/* library.scm:3631: guard */
t3=((C_word*)t0)[6];{
C_word av2[3];
av2[0]=t3;
av2[1]=t2;
av2[2]=((C_word*)t0)[7];
((C_proc)C_fast_retrieve_proc(t3))(3,av2);}}
else{
t3=t2;{
C_word av2[2];
av2[0]=t3;
av2[1]=((C_word*)t0)[7];
f_19798(2,av2);}}}

/* k19796 in k19793 in assign in k19788 in chicken.base#make-parameter in k19774 in k19770 in k19766 in k19762 in k19758 in k19754 in k19750 in k19746 in k19742 in k19738 in k19734 in k19730 in k19726 in k19722 in k19718 in k19714 in k19710 in ... */
static void C_ccall f_19798(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_19798,2,av);}
if(C_truep(((C_word*)t0)[2])){
t2=C_i_setslot(C_fast_retrieve(lf[765]),((C_word*)t0)[3],t1);
t3=((C_word*)t0)[4];{
C_word *av2=av;
av2[0]=t3;
av2[1]=t1;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}
else{
t2=((C_word*)t0)[4];{
C_word *av2=av;
av2[0]=t2;
av2[1]=t1;
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}}

/* k19812 in assign in k19788 in chicken.base#make-parameter in k19774 in k19770 in k19766 in k19762 in k19758 in k19754 in k19750 in k19746 in k19742 in k19738 in k19734 in k19730 in k19726 in k19722 in k19718 in k19714 in k19710 in k19630 in ... */
static void C_ccall f_19814(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_19814,2,av);}
t2=C_mutate((C_word*)lf[765]+1 /* (set! ##sys#current-parameter-vector ...) */,t1);
t3=((C_word*)t0)[2];
f_19795(t3,t2);}

/* k19823 in k19788 in chicken.base#make-parameter in k19774 in k19770 in k19766 in k19762 in k19758 in k19754 in k19750 in k19746 in k19742 in k19738 in k19734 in k19730 in k19726 in k19722 in k19718 in k19714 in k19710 in k19630 in k18854 in ... */
static void C_fcall f_19825(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(9,0,3)))){
C_save_and_reclaim_args((void *)trf_19825,2,t0,t1);}
a=C_alloc(9);
t2=C_i_setslot(C_retrieve2(lf[764],C_text("##sys#default-parameter-vector")),((C_word*)t0)[2],((C_word*)t0)[3]);
t3=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_19833,a[2]=((C_word*)t0)[4],a[3]=((C_word*)t0)[2],a[4]=((C_word)li621),tmp=(C_word)a,a+=5,tmp);
t4=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_19915,a[2]=((C_word*)t0)[4],a[3]=((C_word)li622),tmp=(C_word)a,a+=4,tmp);
/* library.scm:3645: chicken.base#getter-with-setter */
t5=*((C_word*)lf[200]+1);{
C_word av2[4];
av2[0]=t5;
av2[1]=((C_word*)t0)[5];
av2[2]=t3;
av2[3]=t4;
((C_proc)(void*)(*((C_word*)t5+1)))(4,av2);}}

/* a19832 in k19823 in k19788 in chicken.base#make-parameter in k19774 in k19770 in k19766 in k19762 in k19758 in k19754 in k19750 in k19746 in k19742 in k19738 in k19734 in k19730 in k19726 in k19722 in k19718 in k19714 in k19710 in k19630 in ... */
static void C_ccall f_19833(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand((c-2)*C_SIZEOF_PAIR +14,c,4)))){
C_save_and_reclaim((void*)f_19833,c,av);}
a=C_alloc((c-2)*C_SIZEOF_PAIR+14);
t2=C_build_rest(&a,c,2,av);
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word t12;
C_word t13;
C_word t14;
t3=C_block_size(C_fast_retrieve(lf[765]));
t4=t3;
if(C_truep(C_i_pairp(t2))){
t5=t2;
t6=C_u_i_cdr(t5);
t7=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_19845,a[2]=t2,a[3]=((C_word*)t0)[2],a[4]=t4,a[5]=((C_word)li618),tmp=(C_word)a,a+=6,tmp);
t8=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_19854,a[2]=t7,a[3]=((C_word)li619),tmp=(C_word)a,a+=4,tmp);
t9=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_19859,a[2]=t8,a[3]=((C_word)li620),tmp=(C_word)a,a+=4,tmp);
if(C_truep(C_i_nullp(t6))){
/* library.scm:3649: def-convert?4299 */
t10=t9;
f_19859(t10,t1);}
else{
t10=C_i_car(t6);
t11=C_u_i_cdr(t6);
if(C_truep(C_i_nullp(t11))){
/* library.scm:3649: def-set?4300 */
t12=t8;
f_19854(t12,t1,t10);}
else{
t12=C_i_car(t11);
t13=C_u_i_cdr(t11);
/* library.scm:3649: body4297 */
t14=t7;
f_19845(t14,t1,t10,t12);}}}
else{
if(C_truep(C_fixnum_greater_or_equal_p(((C_word*)t0)[3],t4))){
t5=t1;{
C_word *av2=av;
av2[0]=t5;
av2[1]=C_slot(C_retrieve2(lf[764],C_text("##sys#default-parameter-vector")),((C_word*)t0)[3]);
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}
else{
t5=C_slot(C_fast_retrieve(lf[765]),((C_word*)t0)[3]);
t6=C_eqp(t5,*((C_word*)lf[624]+1));
t7=t1;{
C_word *av2=av;
av2[0]=t7;
av2[1]=(C_truep(t6)?C_slot(C_retrieve2(lf[764],C_text("##sys#default-parameter-vector")),((C_word*)t0)[3]):t5);
((C_proc)(void*)(*((C_word*)t7+1)))(2,av2);}}}}

/* body4297 in a19832 in k19823 in k19788 in chicken.base#make-parameter in k19774 in k19770 in k19766 in k19762 in k19758 in k19754 in k19750 in k19746 in k19742 in k19738 in k19734 in k19730 in k19726 in k19722 in k19718 in k19714 in k19710 in ... */
static void C_fcall f_19845(C_word t0,C_word t1,C_word t2,C_word t3){
C_word tmp;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,0,5)))){
C_save_and_reclaim_args((void *)trf_19845,4,t0,t1,t2,t3);}
t4=C_i_car(((C_word*)t0)[2]);
/* library.scm:3651: assign */
t5=((C_word*)t0)[3];
f_19791(t5,t1,t4,((C_word*)t0)[4],t2,t3);}

/* def-set?4300 in a19832 in k19823 in k19788 in chicken.base#make-parameter in k19774 in k19770 in k19766 in k19762 in k19758 in k19754 in k19750 in k19746 in k19742 in k19738 in k19734 in k19730 in k19726 in k19722 in k19718 in k19714 in k19710 in ... */
static void C_fcall f_19854(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,0,3)))){
C_save_and_reclaim_args((void *)trf_19854,3,t0,t1,t2);}
/* library.scm:3649: body4297 */
t3=((C_word*)t0)[2];
f_19845(t3,t1,t2,C_SCHEME_TRUE);}

/* def-convert?4299 in a19832 in k19823 in k19788 in chicken.base#make-parameter in k19774 in k19770 in k19766 in k19762 in k19758 in k19754 in k19750 in k19746 in k19742 in k19738 in k19734 in k19730 in k19726 in k19722 in k19718 in k19714 in k19710 in ... */
static void C_fcall f_19859(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,0,2)))){
C_save_and_reclaim_args((void *)trf_19859,2,t0,t1);}
/* library.scm:3649: def-set?4300 */
t2=((C_word*)t0)[2];
f_19854(t2,t1,C_SCHEME_TRUE);}

/* a19914 in k19823 in k19788 in chicken.base#make-parameter in k19774 in k19770 in k19766 in k19762 in k19758 in k19754 in k19750 in k19746 in k19742 in k19738 in k19734 in k19730 in k19726 in k19722 in k19718 in k19714 in k19710 in k19630 in ... */
static void C_ccall f_19915(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,5)))){
C_save_and_reclaim((void *)f_19915,3,av);}
t3=C_block_size(C_fast_retrieve(lf[765]));
/* library.scm:3661: assign */
t4=((C_word*)t0)[2];
f_19791(t4,t1,t2,t3,C_SCHEME_FALSE,C_SCHEME_TRUE);}

/* k19927 in k19788 in chicken.base#make-parameter in k19774 in k19770 in k19766 in k19762 in k19758 in k19754 in k19750 in k19746 in k19742 in k19738 in k19734 in k19730 in k19726 in k19722 in k19718 in k19714 in k19710 in k19630 in k18854 in ... */
static void C_ccall f_19929(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_19929,2,av);}
t2=C_mutate(&lf[764] /* (set! ##sys#default-parameter-vector ...) */,t1);
t3=((C_word*)t0)[2];
f_19825(t3,t2);}

/* f_19941 in chicken.base#make-parameter in k19774 in k19770 in k19766 in k19762 in k19758 in k19754 in k19750 in k19746 in k19742 in k19738 in k19734 in k19730 in k19726 in k19722 in k19718 in k19714 in k19710 in k19630 in k18854 in k18851 in ... */
static void C_ccall f_19941(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_19941,3,av);}
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=t2;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* scheme#char-ready? in k19774 in k19770 in k19766 in k19762 in k19758 in k19754 in k19750 in k19746 in k19742 in k19738 in k19734 in k19730 in k19726 in k19722 in k19718 in k19714 in k19710 in k19630 in k18854 in k18851 in k18848 in ... */
static void C_ccall f_19947(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand((c-2)*C_SIZEOF_PAIR +0,c,2)))){
C_save_and_reclaim((void*)f_19947,c,av);}
a=C_alloc((c-2)*C_SIZEOF_PAIR+0);
t2=C_build_rest(&a,c,2,av);
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
t3=C_i_nullp(t2);
t4=(C_truep(t3)?*((C_word*)lf[716]+1):C_i_car(t2));
t5=C_i_check_port_2(t4,C_fix(1),C_SCHEME_TRUE,lf[767]);
t6=C_slot(t4,C_fix(2));
t7=C_slot(t6,C_fix(6));
/* library.scm:3667: g4332 */
t8=t7;{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t8;
av2[1]=t1;
av2[2]=t4;
((C_proc)C_fast_retrieve_proc(t8))(3,av2);}}

/* scheme#read-char in k19774 in k19770 in k19766 in k19762 in k19758 in k19754 in k19750 in k19746 in k19742 in k19738 in k19734 in k19730 in k19726 in k19722 in k19718 in k19714 in k19710 in k19630 in k18854 in k18851 in k18848 in ... */
static void C_ccall f_19972(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand((c-2)*C_SIZEOF_PAIR +0,c,2)))){
C_save_and_reclaim((void*)f_19972,c,av);}
a=C_alloc((c-2)*C_SIZEOF_PAIR+0);
t2=C_build_rest(&a,c,2,av);
C_word t3;
C_word t4;
C_word t5;
if(C_truep(C_i_nullp(t2))){
t3=*((C_word*)lf[716]+1);
t4=C_i_check_port_2(*((C_word*)lf[716]+1),C_fix(1),C_SCHEME_TRUE,lf[703]);
/* library.scm:3674: ##sys#read-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[768]);
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[768]+1);
av2[1]=t1;
av2[2]=*((C_word*)lf[716]+1);
tp(3,av2);}}
else{
t3=C_i_car(t2);
t4=C_i_check_port_2(t3,C_fix(1),C_SCHEME_TRUE,lf[703]);
/* library.scm:3674: ##sys#read-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[768]);
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[768]+1);
av2[1]=t1;
av2[2]=t3;
tp(3,av2);}}}

/* ##sys#read-char-0 in k19774 in k19770 in k19766 in k19762 in k19758 in k19754 in k19750 in k19746 in k19742 in k19738 in k19734 in k19730 in k19726 in k19722 in k19718 in k19714 in k19710 in k19630 in k18854 in k18851 in k18848 in ... */
static void C_ccall f_19990(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(4,c,2)))){
C_save_and_reclaim((void *)f_19990,3,av);}
a=C_alloc(4);
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_19994,a[2]=t2,a[3]=t1,tmp=(C_word)a,a+=4,tmp);
if(C_truep(C_slot(t2,C_fix(6)))){
t4=C_i_set_i_slot(t2,C_fix(6),C_SCHEME_FALSE);
t5=t3;{
C_word *av2=av;
av2[0]=t5;
av2[1]=C_SCHEME_END_OF_FILE;
f_19994(2,av2);}}
else{
t4=C_slot(t2,C_fix(2));
t5=C_slot(t4,C_fix(0));
/* library.scm:3677: g4350 */
t6=t5;{
C_word *av2=av;
av2[0]=t6;
av2[1]=t3;
av2[2]=t2;
((C_proc)C_fast_retrieve_proc(t6))(3,av2);}}}

/* k19992 in read-char-0 in k19774 in k19770 in k19766 in k19762 in k19758 in k19754 in k19750 in k19746 in k19742 in k19738 in k19734 in k19730 in k19726 in k19722 in k19718 in k19714 in k19710 in k19630 in k18854 in k18851 in ... */
static void C_ccall f_19994(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_19994,2,av);}
t2=C_eqp(t1,C_make_character(10));
if(C_truep(t2)){
t3=C_slot(((C_word*)t0)[2],C_fix(4));
t4=C_fixnum_plus(t3,C_fix(1));
t5=C_i_set_i_slot(((C_word*)t0)[2],C_fix(4),t4);
t6=C_i_set_i_slot(((C_word*)t0)[2],C_fix(5),C_fix(0));
t7=((C_word*)t0)[3];{
C_word *av2=av;
av2[0]=t7;
av2[1]=t1;
((C_proc)(void*)(*((C_word*)t7+1)))(2,av2);}}
else{
t3=C_eofp(t1);
if(C_truep(C_i_not(t3))){
t4=C_slot(((C_word*)t0)[2],C_fix(5));
t5=C_fixnum_plus(t4,C_fix(1));
t6=C_i_set_i_slot(((C_word*)t0)[2],C_fix(5),t5);
t7=((C_word*)t0)[3];{
C_word *av2=av;
av2[0]=t7;
av2[1]=t1;
((C_proc)(void*)(*((C_word*)t7+1)))(2,av2);}}
else{
t4=((C_word*)t0)[3];{
C_word *av2=av;
av2[0]=t4;
av2[1]=t1;
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}}}

/* ##sys#read-char/port in k19774 in k19770 in k19766 in k19762 in k19758 in k19754 in k19750 in k19746 in k19742 in k19738 in k19734 in k19730 in k19726 in k19722 in k19718 in k19714 in k19710 in k19630 in k18854 in k18851 in k18848 in ... */
static void C_ccall f_20050(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_20050,3,av);}
t3=t2;
t4=C_i_check_port_2(t3,C_fix(1),C_SCHEME_TRUE,lf[703]);
/* library.scm:3691: ##sys#read-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[768]);
C_word *av2=av;
av2[0]=*((C_word*)lf[768]+1);
av2[1]=t1;
av2[2]=t2;
tp(3,av2);}}

/* ##sys#peek-char-0 in k19774 in k19770 in k19766 in k19762 in k19758 in k19754 in k19750 in k19746 in k19742 in k19738 in k19734 in k19730 in k19726 in k19722 in k19718 in k19714 in k19710 in k19630 in k18854 in k18851 in k18848 in ... */
static void C_ccall f_20059(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(4,c,2)))){
C_save_and_reclaim((void *)f_20059,3,av);}
a=C_alloc(4);
if(C_truep(C_slot(t2,C_fix(6)))){
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_SCHEME_END_OF_FILE;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}
else{
t3=C_slot(t2,C_fix(2));
t4=C_slot(t3,C_fix(1));
t5=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_20072,a[2]=t2,a[3]=t1,tmp=(C_word)a,a+=4,tmp);
/* library.scm:3696: g4364 */
t6=t4;{
C_word *av2=av;
av2[0]=t6;
av2[1]=t5;
av2[2]=t2;
((C_proc)C_fast_retrieve_proc(t6))(3,av2);}}}

/* k20070 in peek-char-0 in k19774 in k19770 in k19766 in k19762 in k19758 in k19754 in k19750 in k19746 in k19742 in k19738 in k19734 in k19730 in k19726 in k19722 in k19718 in k19714 in k19710 in k19630 in k18854 in k18851 in ... */
static void C_ccall f_20072(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_20072,2,av);}
if(C_truep(C_eofp(t1))){
t2=C_i_set_i_slot(((C_word*)t0)[2],C_fix(6),C_SCHEME_TRUE);
t3=((C_word*)t0)[3];{
C_word *av2=av;
av2[0]=t3;
av2[1]=t1;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}
else{
t2=((C_word*)t0)[3];{
C_word *av2=av;
av2[0]=t2;
av2[1]=t1;
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}}

/* scheme#peek-char in k19774 in k19770 in k19766 in k19762 in k19758 in k19754 in k19750 in k19746 in k19742 in k19738 in k19734 in k19730 in k19726 in k19722 in k19718 in k19714 in k19710 in k19630 in k18854 in k18851 in k18848 in ... */
static void C_ccall f_20084(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand((c-2)*C_SIZEOF_PAIR +0,c,2)))){
C_save_and_reclaim((void*)f_20084,c,av);}
a=C_alloc((c-2)*C_SIZEOF_PAIR+0);
t2=C_build_rest(&a,c,2,av);
C_word t3;
C_word t4;
C_word t5;
if(C_truep(C_i_nullp(t2))){
t3=*((C_word*)lf[716]+1);
t4=C_i_check_port_2(*((C_word*)lf[716]+1),C_fix(1),C_SCHEME_TRUE,lf[707]);
/* library.scm:3704: ##sys#peek-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[770]);
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[770]+1);
av2[1]=t1;
av2[2]=*((C_word*)lf[716]+1);
tp(3,av2);}}
else{
t3=C_i_car(t2);
t4=C_i_check_port_2(t3,C_fix(1),C_SCHEME_TRUE,lf[707]);
/* library.scm:3704: ##sys#peek-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[770]);
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[770]+1);
av2[1]=t1;
av2[2]=t3;
tp(3,av2);}}}

/* scheme#read in k19774 in k19770 in k19766 in k19762 in k19758 in k19754 in k19750 in k19746 in k19742 in k19738 in k19734 in k19730 in k19726 in k19722 in k19718 in k19714 in k19710 in k19630 in k18854 in k18851 in k18848 in ... */
static void C_ccall f_20102(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand((c-2)*C_SIZEOF_PAIR +0,c,3)))){
C_save_and_reclaim((void*)f_20102,c,av);}
a=C_alloc((c-2)*C_SIZEOF_PAIR+0);
t2=C_build_rest(&a,c,2,av);
C_word t3;
C_word t4;
C_word t5;
if(C_truep(C_i_nullp(t2))){
t3=*((C_word*)lf[716]+1);
t4=C_i_check_port_2(*((C_word*)lf[716]+1),C_fix(1),C_SCHEME_TRUE,lf[771]);
/* library.scm:3709: ##sys#read */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[758]);
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[758]+1);
av2[1]=t1;
av2[2]=*((C_word*)lf[716]+1);
av2[3]=C_fast_retrieve(lf[772]);
tp(4,av2);}}
else{
t3=C_i_car(t2);
t4=C_i_check_port_2(t3,C_fix(1),C_SCHEME_TRUE,lf[771]);
/* library.scm:3709: ##sys#read */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[758]);
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[758]+1);
av2[1]=t1;
av2[2]=t3;
av2[3]=C_fast_retrieve(lf[772]);
tp(4,av2);}}}

/* ##sys#read-prompt-hook in k19774 in k19770 in k19766 in k19762 in k19758 in k19754 in k19750 in k19746 in k19742 in k19738 in k19734 in k19730 in k19726 in k19722 in k19718 in k19714 in k19710 in k19630 in k18854 in k18851 in k18848 in ... */
static void C_ccall f_20123(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(c!=2) C_bad_argc_2(c,2,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_20123,2,av);}
t2=t1;{
C_word *av2=av;
av2[0]=t2;
av2[1]=C_SCHEME_FALSE;
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* ##sys#infix-list-hook in k19774 in k19770 in k19766 in k19762 in k19758 in k19754 in k19750 in k19746 in k19742 in k19738 in k19734 in k19730 in k19726 in k19722 in k19718 in k19714 in k19710 in k19630 in k18854 in k18851 in k18848 in ... */
static void C_ccall f_20126(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_20126,3,av);}
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=t2;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* ##sys#sharp-number-hook in k19774 in k19770 in k19766 in k19762 in k19758 in k19754 in k19750 in k19746 in k19742 in k19738 in k19734 in k19730 in k19726 in k19722 in k19718 in k19714 in k19710 in k19630 in k18854 in k18851 in k18848 in ... */
static void C_ccall f_20129(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,4)))){
C_save_and_reclaim((void *)f_20129,4,av);}
/* library.scm:3718: ##sys#read-error */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[778]);
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=*((C_word*)lf[778]+1);
av2[1]=t1;
av2[2]=t2;
av2[3]=lf[779];
av2[4]=t3;
tp(5,av2);}}

/* k20135 in k19774 in k19770 in k19766 in k19762 in k19758 in k19754 in k19750 in k19746 in k19742 in k19738 in k19734 in k19730 in k19726 in k19722 in k19718 in k19714 in k19710 in k19630 in k18854 in k18851 in k18848 in ... */
static void C_ccall f_20137(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,2)))){
C_save_and_reclaim((void *)f_20137,2,av);}
a=C_alloc(3);
t2=C_mutate((C_word*)lf[230]+1 /* (set! chicken.base#case-sensitive ...) */,t1);
t3=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_20141,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
/* library.scm:3721: chicken.base#make-parameter */
t4=*((C_word*)lf[201]+1);{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t4;
av2[1]=t3;
av2[2]=lf[815];
((C_proc)(void*)(*((C_word*)t4+1)))(3,av2);}}

/* k20139 in k20135 in k19774 in k19770 in k19766 in k19762 in k19758 in k19754 in k19750 in k19746 in k19742 in k19738 in k19734 in k19730 in k19726 in k19722 in k19718 in k19714 in k19710 in k19630 in k18854 in k18851 in ... */
static void C_ccall f_20141(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,2)))){
C_save_and_reclaim((void *)f_20141,2,av);}
a=C_alloc(3);
t2=C_mutate((C_word*)lf[231]+1 /* (set! chicken.base#keyword-style ...) */,t1);
t3=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_20145,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
/* library.scm:3722: chicken.base#make-parameter */
t4=*((C_word*)lf[201]+1);{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t4;
av2[1]=t3;
av2[2]=C_SCHEME_TRUE;
((C_proc)(void*)(*((C_word*)t4+1)))(3,av2);}}

/* k20143 in k20139 in k20135 in k19774 in k19770 in k19766 in k19762 in k19758 in k19754 in k19750 in k19746 in k19742 in k19738 in k19734 in k19730 in k19726 in k19722 in k19718 in k19714 in k19710 in k19630 in k18854 in ... */
static void C_ccall f_20145(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,2)))){
C_save_and_reclaim((void *)f_20145,2,av);}
a=C_alloc(3);
t2=C_mutate((C_word*)lf[232]+1 /* (set! chicken.base#parentheses-synonyms ...) */,t1);
t3=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_20149,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
/* library.scm:3723: chicken.base#make-parameter */
t4=*((C_word*)lf[201]+1);{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t4;
av2[1]=t3;
av2[2]=C_SCHEME_TRUE;
((C_proc)(void*)(*((C_word*)t4+1)))(3,av2);}}

/* k20147 in k20143 in k20139 in k20135 in k19774 in k19770 in k19766 in k19762 in k19758 in k19754 in k19750 in k19746 in k19742 in k19738 in k19734 in k19730 in k19726 in k19722 in k19718 in k19714 in k19710 in k19630 in ... */
static void C_ccall f_20149(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(8,c,2)))){
C_save_and_reclaim((void *)f_20149,2,av);}
a=C_alloc(8);
t2=C_mutate((C_word*)lf[233]+1 /* (set! chicken.base#symbol-escape ...) */,t1);
t3=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_20153,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
t4=C_a_i_record4(&a,4,lf[1365],C_SCHEME_FALSE,C_SCHEME_FALSE,C_SCHEME_FALSE);
/* library.scm:3725: chicken.base#make-parameter */
t5=*((C_word*)lf[201]+1);{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t5;
av2[1]=t3;
av2[2]=t4;
((C_proc)(void*)(*((C_word*)t5+1)))(3,av2);}}

/* k20151 in k20147 in k20143 in k20139 in k20135 in k19774 in k19770 in k19766 in k19762 in k19758 in k19754 in k19750 in k19746 in k19742 in k19738 in k19734 in k19730 in k19726 in k19722 in k19718 in k19714 in k19710 in ... */
static void C_ccall f_20153(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word t12;
C_word t13;
C_word t14;
C_word t15;
C_word t16;
C_word t17;
C_word t18;
C_word t19;
C_word t20;
C_word t21;
C_word t22;
C_word t23;
C_word t24;
C_word t25;
C_word t26;
C_word t27;
C_word t28;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(59,c,4)))){
C_save_and_reclaim((void *)f_20153,2,av);}
a=C_alloc(59);
t2=C_mutate((C_word*)lf[780]+1 /* (set! ##sys#current-read-table ...) */,t1);
t3=C_mutate((C_word*)lf[781]+1 /* (set! ##sys#read-warning ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_20155,a[2]=((C_word)li634),tmp=(C_word)a,a+=3,tmp));
t4=C_mutate((C_word*)lf[778]+1 /* (set! ##sys#read-error ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_20178,a[2]=((C_word)li635),tmp=(C_word)a,a+=3,tmp));
t5=*((C_word*)lf[231]+1);
t6=*((C_word*)lf[230]+1);
t7=*((C_word*)lf[232]+1);
t8=*((C_word*)lf[233]+1);
t9=C_fast_retrieve(lf[780]);
t10=C_a_i_string(&a,1,C_make_character(0));
t11=t10;
t12=C_mutate((C_word*)lf[758]+1 /* (set! ##sys#read ...) */,(*a=C_CLOSURE_TYPE|8,a[1]=(C_word)f_20204,a[2]=t11,a[3]=t9,a[4]=t8,a[5]=t7,a[6]=t5,a[7]=t6,a[8]=((C_word)li692),tmp=(C_word)a,a+=9,tmp));
t13=C_mutate((C_word*)lf[793]+1 /* (set! ##sys#char->utf8-string ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_23130,a[2]=((C_word)li693),tmp=(C_word)a,a+=3,tmp));
t14=C_mutate((C_word*)lf[800]+1 /* (set! ##sys#unicode-surrogate? ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_23295,a[2]=((C_word)li694),tmp=(C_word)a,a+=3,tmp));
t15=C_mutate((C_word*)lf[797]+1 /* (set! ##sys#surrogates->codepoint ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_23307,a[2]=((C_word)li695),tmp=(C_word)a,a+=3,tmp));
t16=C_mutate((C_word*)lf[848]+1 /* (set! ##sys#read-bytevector-literal ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_23369,a[2]=((C_word)li698),tmp=(C_word)a,a+=3,tmp));
t17=C_mutate((C_word*)lf[860]+1 /* (set! ##sys#user-read-hook ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_23517,a[2]=((C_word)li699),tmp=(C_word)a,a+=3,tmp));
t18=C_set_block_item(lf[858] /* ##sys#read-marks */,0,C_SCHEME_END_OF_LIST);
t19=C_mutate((C_word*)lf[867]+1 /* (set! ##sys#write-char-0 ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_23562,a[2]=((C_word)li700),tmp=(C_word)a,a+=3,tmp));
t20=C_mutate((C_word*)lf[868]+1 /* (set! ##sys#write-char/port ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_23578,a[2]=((C_word)li701),tmp=(C_word)a,a+=3,tmp));
t21=C_mutate((C_word*)lf[150]+1 /* (set! scheme#write-char ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_23590,a[2]=((C_word)li702),tmp=(C_word)a,a+=3,tmp));
t22=C_mutate((C_word*)lf[151]+1 /* (set! scheme#newline ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_23611,a[2]=((C_word)li703),tmp=(C_word)a,a+=3,tmp));
t23=C_mutate((C_word*)lf[152]+1 /* (set! scheme#write ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_23626,a[2]=((C_word)li704),tmp=(C_word)a,a+=3,tmp));
t24=C_mutate((C_word*)lf[153]+1 /* (set! scheme#display ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_23644,a[2]=((C_word)li705),tmp=(C_word)a,a+=3,tmp));
t25=C_mutate((C_word*)lf[188]+1 /* (set! chicken.base#print ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_23662,a[2]=((C_word)li707),tmp=(C_word)a,a+=3,tmp));
t26=C_mutate((C_word*)lf[189]+1 /* (set! chicken.base#print* ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_23713,a[2]=((C_word)li709),tmp=(C_word)a,a+=3,tmp));
t27=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_23766,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
/* library.scm:4471: chicken.base#make-parameter */
t28=*((C_word*)lf[201]+1);{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t28;
av2[1]=t27;
av2[2]=C_fix(0);
((C_proc)(void*)(*((C_word*)t28+1)))(3,av2);}}

/* ##sys#read-warning in k20151 in k20147 in k20143 in k20139 in k20135 in k19774 in k19770 in k19766 in k19762 in k19758 in k19754 in k19750 in k19746 in k19742 in k19738 in k19734 in k19730 in k19726 in k19722 in k19718 in k19714 in ... */
static void C_ccall f_20155(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word *a;
if(c<4) C_bad_min_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand((c-4)*C_SIZEOF_PAIR +5,c,2)))){
C_save_and_reclaim((void*)f_20155,c,av);}
a=C_alloc((c-4)*C_SIZEOF_PAIR+5);
t4=C_build_rest(&a,c,4,av);
C_word t5;
C_word t6;
t5=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_20163,a[2]=t1,a[3]=t4,a[4]=t3,tmp=(C_word)a,a+=5,tmp);
/* library.scm:3732: ##sys#port-line */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[751]);
C_word *av2=av;
av2[0]=*((C_word*)lf[751]+1);
av2[1]=t5;
av2[2]=t2;
tp(3,av2);}}

/* k20161 in read-warning in k20151 in k20147 in k20143 in k20139 in k20135 in k19774 in k19770 in k19766 in k19762 in k19758 in k19754 in k19750 in k19746 in k19742 in k19738 in k19734 in k19730 in k19726 in k19722 in k19718 in ... */
static void C_ccall f_20163(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(8,c,4)))){
C_save_and_reclaim((void *)f_20163,2,av);}
a=C_alloc(8);
t2=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_20166,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],tmp=(C_word)a,a+=4,tmp);
t3=(C_truep(C_fast_retrieve(lf[773]))?t1:C_SCHEME_FALSE);
if(C_truep(t3)){
t4=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_20176,a[2]=t2,a[3]=((C_word*)t0)[4],tmp=(C_word)a,a+=4,tmp);
/* library.scm:3734: ##sys#number->string */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[600]+1));
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[600]+1);
av2[1]=t4;
av2[2]=t1;
tp(3,av2);}}
else{
t4=((C_word*)t0)[4];{
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=0;
av2[1]=((C_word*)t0)[2];
av2[2]=*((C_word*)lf[311]+1);
av2[3]=t4;
av2[4]=((C_word*)t0)[3];
C_apply(5,av2);}}}

/* k20164 in k20161 in read-warning in k20151 in k20147 in k20143 in k20139 in k20135 in k19774 in k19770 in k19766 in k19762 in k19758 in k19754 in k19750 in k19746 in k19742 in k19738 in k19734 in k19730 in k19726 in k19722 in ... */
static void C_ccall f_20166(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,4)))){
C_save_and_reclaim((void *)f_20166,2,av);}{
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=0;
av2[1]=((C_word*)t0)[2];
av2[2]=*((C_word*)lf[311]+1);
av2[3]=t1;
av2[4]=((C_word*)t0)[3];
C_apply(5,av2);}}

/* k20174 in k20161 in read-warning in k20151 in k20147 in k20143 in k20139 in k20135 in k19774 in k19770 in k19766 in k19762 in k19758 in k19754 in k19750 in k19746 in k19742 in k19738 in k19734 in k19730 in k19726 in k19722 in ... */
static void C_ccall f_20176(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,5)))){
C_save_and_reclaim((void *)f_20176,2,av);}
/* library.scm:3734: string-append */
t2=*((C_word*)lf[413]+1);{
C_word *av2;
if(c >= 6) {
  av2=av;
} else {
  av2=C_alloc(6);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[2];
av2[2]=lf[782];
av2[3]=t1;
av2[4]=lf[783];
av2[5]=((C_word*)t0)[3];
((C_proc)(void*)(*((C_word*)t2+1)))(6,av2);}}

/* ##sys#read-error in k20151 in k20147 in k20143 in k20139 in k20135 in k19774 in k19770 in k19766 in k19762 in k19758 in k19754 in k19750 in k19746 in k19742 in k19738 in k19734 in k19730 in k19726 in k19722 in k19718 in k19714 in ... */
static void C_ccall f_20178(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word *a;
if(c<4) C_bad_min_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand((c-4)*C_SIZEOF_PAIR +5,c,2)))){
C_save_and_reclaim((void*)f_20178,c,av);}
a=C_alloc((c-4)*C_SIZEOF_PAIR+5);
t4=C_build_rest(&a,c,4,av);
C_word t5;
C_word t6;
t5=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_20186,a[2]=t1,a[3]=t4,a[4]=t3,tmp=(C_word)a,a+=5,tmp);
/* library.scm:3744: ##sys#port-line */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[751]);
C_word *av2=av;
av2[0]=*((C_word*)lf[751]+1);
av2[1]=t5;
av2[2]=t2;
tp(3,av2);}}

/* k20184 in read-error in k20151 in k20147 in k20143 in k20139 in k20135 in k19774 in k19770 in k19766 in k19762 in k19758 in k19754 in k19750 in k19746 in k19742 in k19738 in k19734 in k19730 in k19726 in k19722 in k19718 in ... */
static void C_ccall f_20186(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(8,c,5)))){
C_save_and_reclaim((void *)f_20186,2,av);}
a=C_alloc(8);
t2=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_20189,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],tmp=(C_word)a,a+=4,tmp);
t3=(C_truep(C_fast_retrieve(lf[773]))?t1:C_SCHEME_FALSE);
if(C_truep(t3)){
t4=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_20199,a[2]=t2,a[3]=((C_word*)t0)[4],tmp=(C_word)a,a+=4,tmp);
/* library.scm:3746: ##sys#number->string */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[600]+1));
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[600]+1);
av2[1]=t4;
av2[2]=t1;
tp(3,av2);}}
else{
t4=((C_word*)t0)[4];{
C_word *av2;
if(c >= 6) {
  av2=av;
} else {
  av2=C_alloc(6);
}
av2[0]=0;
av2[1]=((C_word*)t0)[2];
av2[2]=C_fast_retrieve(lf[194]);
av2[3]=lf[784];
av2[4]=t4;
av2[5]=((C_word*)t0)[3];
C_apply(6,av2);}}}

/* k20187 in k20184 in read-error in k20151 in k20147 in k20143 in k20139 in k20135 in k19774 in k19770 in k19766 in k19762 in k19758 in k19754 in k19750 in k19746 in k19742 in k19738 in k19734 in k19730 in k19726 in k19722 in ... */
static void C_ccall f_20189(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,5)))){
C_save_and_reclaim((void *)f_20189,2,av);}{
C_word *av2;
if(c >= 6) {
  av2=av;
} else {
  av2=C_alloc(6);
}
av2[0]=0;
av2[1]=((C_word*)t0)[2];
av2[2]=C_fast_retrieve(lf[194]);
av2[3]=lf[784];
av2[4]=t1;
av2[5]=((C_word*)t0)[3];
C_apply(6,av2);}}

/* k20197 in k20184 in read-error in k20151 in k20147 in k20143 in k20139 in k20135 in k19774 in k19770 in k19766 in k19762 in k19758 in k19754 in k19750 in k19746 in k19742 in k19738 in k19734 in k19730 in k19726 in k19722 in ... */
static void C_ccall f_20199(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,5)))){
C_save_and_reclaim((void *)f_20199,2,av);}
/* library.scm:3746: string-append */
t2=*((C_word*)lf[413]+1);{
C_word *av2;
if(c >= 6) {
  av2=av;
} else {
  av2=C_alloc(6);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[2];
av2[2]=lf[785];
av2[3]=t1;
av2[4]=lf[786];
av2[5]=((C_word*)t0)[3];
((C_proc)(void*)(*((C_word*)t2+1)))(6,av2);}}

/* ##sys#read in k20151 in k20147 in k20143 in k20139 in k20135 in k19774 in k19770 in k19766 in k19762 in k19758 in k19754 in k19750 in k19746 in k19742 in k19738 in k19734 in k19730 in k19726 in k19722 in k19718 in k19714 in ... */
static void C_ccall f_20204(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word t5;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(10,c,2)))){
C_save_and_reclaim((void *)f_20204,4,av);}
a=C_alloc(10);
t4=(*a=C_CLOSURE_TYPE|9,a[1]=(C_word)f_20208,a[2]=t2,a[3]=t3,a[4]=((C_word*)t0)[2],a[5]=t1,a[6]=((C_word*)t0)[3],a[7]=((C_word*)t0)[4],a[8]=((C_word*)t0)[5],a[9]=((C_word*)t0)[6],tmp=(C_word)a,a+=10,tmp);
/* library.scm:3759: case-sensitive */
t5=((C_word*)t0)[7];{
C_word *av2=av;
av2[0]=t5;
av2[1]=t4;
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}

/* k20206 in read in k20151 in k20147 in k20143 in k20139 in k20135 in k19774 in k19770 in k19766 in k19762 in k19758 in k19754 in k19750 in k19746 in k19742 in k19738 in k19734 in k19730 in k19726 in k19722 in k19718 in ... */
static void C_ccall f_20208(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(12,c,2)))){
C_save_and_reclaim((void *)f_20208,2,av);}
a=C_alloc(12);
t2=t1;
t3=(*a=C_VECTOR_TYPE|1,a[1]=t2,tmp=(C_word)a,a+=2,tmp);
t4=(*a=C_CLOSURE_TYPE|9,a[1]=(C_word)f_20211,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=t3,a[5]=((C_word*)t0)[4],a[6]=((C_word*)t0)[5],a[7]=((C_word*)t0)[6],a[8]=((C_word*)t0)[7],a[9]=((C_word*)t0)[8],tmp=(C_word)a,a+=10,tmp);
/* library.scm:3760: keyword-style */
t5=((C_word*)t0)[9];{
C_word *av2=av;
av2[0]=t5;
av2[1]=t4;
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}

/* k20209 in k20206 in read in k20151 in k20147 in k20143 in k20139 in k20135 in k19774 in k19770 in k19766 in k19762 in k19758 in k19754 in k19750 in k19746 in k19742 in k19738 in k19734 in k19730 in k19726 in k19722 in ... */
static void C_ccall f_20211(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(12,c,2)))){
C_save_and_reclaim((void *)f_20211,2,av);}
a=C_alloc(12);
t2=t1;
t3=(*a=C_VECTOR_TYPE|1,a[1]=t2,tmp=(C_word)a,a+=2,tmp);
t4=(*a=C_CLOSURE_TYPE|9,a[1]=(C_word)f_20214,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=t3,a[5]=((C_word*)t0)[4],a[6]=((C_word*)t0)[5],a[7]=((C_word*)t0)[6],a[8]=((C_word*)t0)[7],a[9]=((C_word*)t0)[8],tmp=(C_word)a,a+=10,tmp);
/* library.scm:3761: parentheses-synonyms */
t5=((C_word*)t0)[9];{
C_word *av2=av;
av2[0]=t5;
av2[1]=t4;
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}

/* k20212 in k20209 in k20206 in read in k20151 in k20147 in k20143 in k20139 in k20135 in k19774 in k19770 in k19766 in k19762 in k19758 in k19754 in k19750 in k19746 in k19742 in k19738 in k19734 in k19730 in k19726 in ... */
static void C_ccall f_20214(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(10,c,2)))){
C_save_and_reclaim((void *)f_20214,2,av);}
a=C_alloc(10);
t2=t1;
t3=(*a=C_CLOSURE_TYPE|9,a[1]=(C_word)f_20217,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[5],a[6]=((C_word*)t0)[6],a[7]=t2,a[8]=((C_word*)t0)[7],a[9]=((C_word*)t0)[8],tmp=(C_word)a,a+=10,tmp);
/* library.scm:3762: symbol-escape */
t4=((C_word*)t0)[9];{
C_word *av2=av;
av2[0]=t4;
av2[1]=t3;
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* k20215 in k20212 in k20209 in k20206 in read in k20151 in k20147 in k20143 in k20139 in k20135 in k19774 in k19770 in k19766 in k19762 in k19758 in k19754 in k19750 in k19746 in k19742 in k19738 in k19734 in k19730 in ... */
static void C_ccall f_20217(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(10,c,2)))){
C_save_and_reclaim((void *)f_20217,2,av);}
a=C_alloc(10);
t2=t1;
t3=(*a=C_CLOSURE_TYPE|9,a[1]=(C_word)f_20220,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[5],a[6]=((C_word*)t0)[6],a[7]=((C_word*)t0)[7],a[8]=t2,a[9]=((C_word*)t0)[8],tmp=(C_word)a,a+=10,tmp);
/* library.scm:3763: current-read-table */
t4=((C_word*)t0)[9];{
C_word *av2=av;
av2[0]=t4;
av2[1]=t3;
((C_proc)C_fast_retrieve_proc(t4))(2,av2);}}

/* k20218 in k20215 in k20212 in k20209 in k20206 in read in k20151 in k20147 in k20143 in k20139 in k20135 in k19774 in k19770 in k19766 in k19762 in k19758 in k19754 in k19750 in k19746 in k19742 in k19738 in k19734 in ... */
static void C_ccall f_20220(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word t12;
C_word t13;
C_word t14;
C_word t15;
C_word t16;
C_word t17;
C_word t18;
C_word t19;
C_word t20;
C_word t21;
C_word t22;
C_word t23;
C_word t24;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(53,c,5)))){
C_save_and_reclaim((void *)f_20220,2,av);}
a=C_alloc(53);
t2=t1;
t3=lf[787];
t4=C_SCHEME_FALSE;
t5=(*a=C_VECTOR_TYPE|1,a[1]=t4,tmp=(C_word)a,a+=2,tmp);
t6=C_SCHEME_UNDEFINED;
t7=(*a=C_VECTOR_TYPE|1,a[1]=t6,tmp=(C_word)a,a+=2,tmp);
t8=C_SCHEME_UNDEFINED;
t9=(*a=C_VECTOR_TYPE|1,a[1]=t8,tmp=(C_word)a,a+=2,tmp);
t10=C_SCHEME_UNDEFINED;
t11=(*a=C_VECTOR_TYPE|1,a[1]=t10,tmp=(C_word)a,a+=2,tmp);
t12=C_SCHEME_UNDEFINED;
t13=(*a=C_VECTOR_TYPE|1,a[1]=t12,tmp=(C_word)a,a+=2,tmp);
t14=C_SCHEME_UNDEFINED;
t15=(*a=C_VECTOR_TYPE|1,a[1]=t14,tmp=(C_word)a,a+=2,tmp);
t16=C_SCHEME_UNDEFINED;
t17=(*a=C_VECTOR_TYPE|1,a[1]=t16,tmp=(C_word)a,a+=2,tmp);
t18=C_set_block_item(t7,0,(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_20222,a[2]=((C_word*)t0)[2],a[3]=((C_word)li636),tmp=(C_word)a,a+=4,tmp));
t19=C_set_block_item(t9,0,(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_20228,a[2]=((C_word*)t0)[3],a[3]=((C_word)li637),tmp=(C_word)a,a+=4,tmp));
t20=C_set_block_item(t11,0,(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_20237,a[2]=((C_word*)t0)[2],a[3]=((C_word)li639),tmp=(C_word)a,a+=4,tmp));
t21=C_set_block_item(t13,0,(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_20274,a[2]=((C_word*)t0)[2],a[3]=((C_word)li640),tmp=(C_word)a,a+=4,tmp));
t22=C_set_block_item(t15,0,(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_20283,a[2]=t5,a[3]=t13,a[4]=((C_word)li641),tmp=(C_word)a,a+=5,tmp));
t23=C_set_block_item(t17,0,(*a=C_CLOSURE_TYPE|17,a[1]=(C_word)f_20298,a[2]=((C_word*)t0)[2],a[3]=t11,a[4]=t7,a[5]=t9,a[6]=t17,a[7]=((C_word*)t0)[4],a[8]=((C_word*)t0)[5],a[9]=t15,a[10]=t3,a[11]=t5,a[12]=t13,a[13]=((C_word*)t0)[6],a[14]=t2,a[15]=((C_word*)t0)[7],a[16]=((C_word*)t0)[8],a[17]=((C_word)li691),tmp=(C_word)a,a+=18,tmp));
/* library.scm:4338: readrec */
t24=((C_word*)t17)[1];
f_20298(t24,((C_word*)t0)[9]);}

/* f_20222 in k20218 in k20215 in k20212 in k20209 in k20206 in read in k20151 in k20147 in k20143 in k20139 in k20135 in k19774 in k19770 in k19766 in k19762 in k19758 in k19754 in k19750 in k19746 in k19742 in k19738 in ... */
static void C_ccall f_20222(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,4)))){
C_save_and_reclaim((void *)f_20222,3,av);}
/* library.scm:3769: ##sys#read-error */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[778]);
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=*((C_word*)lf[778]+1);
av2[1]=t1;
av2[2]=((C_word*)t0)[2];
av2[3]=lf[788];
av2[4]=t2;
tp(5,av2);}}

/* info in k20218 in k20215 in k20212 in k20209 in k20206 in read in k20151 in k20147 in k20143 in k20139 in k20135 in k19774 in k19770 in k19766 in k19762 in k19758 in k19754 in k19750 in k19746 in k19742 in k19738 in ... */
static void C_fcall f_20228(C_word t0,C_word t1,C_word t2,C_word t3,C_word t4){
C_word tmp;
C_word t5;
C_word t6;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,0,4)))){
C_save_and_reclaim_args((void *)trf_20228,5,t0,t1,t2,t3,t4);}
if(C_truep(((C_word*)t0)[2])){
/* library.scm:3773: infohandler */
t5=((C_word*)t0)[2];{
C_word av2[5];
av2[0]=t5;
av2[1]=t1;
av2[2]=t2;
av2[3]=t3;
av2[4]=t4;
((C_proc)C_fast_retrieve_proc(t5))(5,av2);}}
else{
t5=t3;
t6=t1;{
C_word av2[2];
av2[0]=t6;
av2[1]=t5;
((C_proc)(void*)(*((C_word*)t6+1)))(2,av2);}}}

/* skip-to-eol in k20218 in k20215 in k20212 in k20209 in k20206 in read in k20151 in k20147 in k20143 in k20139 in k20135 in k19774 in k19770 in k19766 in k19762 in k19758 in k19754 in k19750 in k19746 in k19742 in k19738 in ... */
static void C_fcall f_20237(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,0,2)))){
C_save_and_reclaim_args((void *)trf_20237,2,t0,t1);}
a=C_alloc(4);
t2=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_20245,a[2]=((C_word*)t0)[2],a[3]=t1,tmp=(C_word)a,a+=4,tmp);
/* library.scm:3777: ##sys#read-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[768]);
C_word av2[3];
av2[0]=*((C_word*)lf[768]+1);
av2[1]=t2;
av2[2]=((C_word*)t0)[2];
tp(3,av2);}}

/* k20243 in skip-to-eol in k20218 in k20215 in k20212 in k20209 in k20206 in read in k20151 in k20147 in k20143 in k20139 in k20135 in k19774 in k19770 in k19766 in k19762 in k19758 in k19754 in k19750 in k19746 in k19742 in ... */
static void C_ccall f_20245(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(7,c,3)))){
C_save_and_reclaim((void *)f_20245,2,av);}
a=C_alloc(7);
t2=C_SCHEME_UNDEFINED;
t3=(*a=C_VECTOR_TYPE|1,a[1]=t2,tmp=(C_word)a,a+=2,tmp);
t4=C_set_block_item(t3,0,(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_20247,a[2]=t3,a[3]=((C_word*)t0)[2],a[4]=((C_word)li638),tmp=(C_word)a,a+=5,tmp));
t5=((C_word*)t3)[1];
f_20247(t5,((C_word*)t0)[3],t1);}

/* skip in k20243 in skip-to-eol in k20218 in k20215 in k20212 in k20209 in k20206 in read in k20151 in k20147 in k20143 in k20139 in k20135 in k19774 in k19770 in k19766 in k19762 in k19758 in k19754 in k19750 in k19746 in ... */
static void C_fcall f_20247(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,0,2)))){
C_save_and_reclaim_args((void *)trf_20247,3,t0,t1,t2);}
a=C_alloc(5);
t3=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_20254,a[2]=((C_word*)t0)[2],a[3]=t1,a[4]=((C_word*)t0)[3],tmp=(C_word)a,a+=5,tmp);
t4=C_eofp(t2);
if(C_truep(C_i_not(t4))){
t5=C_eqp(C_make_character(10),t2);
t6=t3;
f_20254(t6,C_i_not(t5));}
else{
t5=t3;
f_20254(t5,C_SCHEME_FALSE);}}

/* k20252 in skip in k20243 in skip-to-eol in k20218 in k20215 in k20212 in k20209 in k20206 in read in k20151 in k20147 in k20143 in k20139 in k20135 in k19774 in k19770 in k19766 in k19762 in k19758 in k19754 in k19750 in ... */
static void C_fcall f_20254(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,0,2)))){
C_save_and_reclaim_args((void *)trf_20254,2,t0,t1);}
a=C_alloc(4);
if(C_truep(t1)){
t2=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_20261,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],tmp=(C_word)a,a+=4,tmp);
/* library.scm:3779: ##sys#read-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[768]);
C_word av2[3];
av2[0]=*((C_word*)lf[768]+1);
av2[1]=t2;
av2[2]=((C_word*)t0)[4];
tp(3,av2);}}
else{
t2=C_SCHEME_UNDEFINED;
t3=((C_word*)t0)[3];{
C_word av2[2];
av2[0]=t3;
av2[1]=t2;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}}

/* k20259 in k20252 in skip in k20243 in skip-to-eol in k20218 in k20215 in k20212 in k20209 in k20206 in read in k20151 in k20147 in k20143 in k20139 in k20135 in k19774 in k19770 in k19766 in k19762 in k19758 in k19754 in ... */
static void C_ccall f_20261(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_20261,2,av);}
/* library.scm:3779: skip */
t2=((C_word*)((C_word*)t0)[2])[1];
f_20247(t2,((C_word*)t0)[3],t1);}

/* reserved-character in k20218 in k20215 in k20212 in k20209 in k20206 in read in k20151 in k20147 in k20143 in k20139 in k20135 in k19774 in k19770 in k19766 in k19762 in k19758 in k19754 in k19750 in k19746 in k19742 in k19738 in ... */
static void C_fcall f_20274(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,0,2)))){
C_save_and_reclaim_args((void *)trf_20274,3,t0,t1,t2);}
a=C_alloc(5);
t3=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_20278,a[2]=t1,a[3]=((C_word*)t0)[2],a[4]=t2,tmp=(C_word)a,a+=5,tmp);
/* library.scm:3782: ##sys#read-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[768]);
C_word av2[3];
av2[0]=*((C_word*)lf[768]+1);
av2[1]=t3;
av2[2]=((C_word*)t0)[2];
tp(3,av2);}}

/* k20276 in reserved-character in k20218 in k20215 in k20212 in k20209 in k20206 in read in k20151 in k20147 in k20143 in k20139 in k20135 in k19774 in k19770 in k19766 in k19762 in k19758 in k19754 in k19750 in k19746 in k19742 in ... */
static void C_ccall f_20278(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,4)))){
C_save_and_reclaim((void *)f_20278,2,av);}
/* library.scm:3783: ##sys#read-error */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[778]);
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=*((C_word*)lf[778]+1);
av2[1]=((C_word*)t0)[2];
av2[2]=((C_word*)t0)[3];
av2[3]=lf[789];
av2[4]=((C_word*)t0)[4];
tp(5,av2);}}

/* read-unreserved-char-0 in k20218 in k20215 in k20212 in k20209 in k20206 in read in k20151 in k20147 in k20143 in k20139 in k20135 in k19774 in k19770 in k19766 in k19762 in k19758 in k19754 in k19750 in k19746 in k19742 in k19738 in ... */
static void C_fcall f_20283(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,0,2)))){
C_save_and_reclaim_args((void *)trf_20283,3,t0,t1,t2);}
a=C_alloc(5);
t3=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_20287,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=t1,tmp=(C_word)a,a+=5,tmp);
/* library.scm:3786: ##sys#read-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[768]);
C_word av2[3];
av2[0]=*((C_word*)lf[768]+1);
av2[1]=t3;
av2[2]=t2;
tp(3,av2);}}

/* k20285 in read-unreserved-char-0 in k20218 in k20215 in k20212 in k20209 in k20206 in read in k20151 in k20147 in k20143 in k20139 in k20135 in k19774 in k19770 in k19766 in k19762 in k19758 in k19754 in k19750 in k19746 in k19742 in ... */
static void C_ccall f_20287(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_20287,2,av);}
if(C_truep(C_i_memq(t1,((C_word*)((C_word*)t0)[2])[1]))){
/* library.scm:3788: reserved-character */
t2=((C_word*)((C_word*)t0)[3])[1];
f_20274(t2,((C_word*)t0)[4],t1);}
else{
t2=((C_word*)t0)[4];{
C_word *av2=av;
av2[0]=t2;
av2[1]=t1;
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}}

/* readrec in k20218 in k20215 in k20212 in k20209 in k20206 in read in k20151 in k20147 in k20143 in k20139 in k20135 in k19774 in k19770 in k19766 in k19762 in k19758 in k19754 in k19750 in k19746 in k19742 in k19738 in ... */
static void C_fcall f_20298(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word t12;
C_word t13;
C_word t14;
C_word t15;
C_word t16;
C_word t17;
C_word t18;
C_word t19;
C_word t20;
C_word t21;
C_word t22;
C_word t23;
C_word t24;
C_word t25;
C_word t26;
C_word t27;
C_word t28;
C_word t29;
C_word t30;
C_word t31;
C_word t32;
C_word t33;
C_word t34;
C_word t35;
C_word t36;
C_word t37;
C_word t38;
C_word t39;
C_word t40;
C_word t41;
C_word t42;
C_word t43;
C_word t44;
C_word t45;
C_word t46;
C_word t47;
C_word t48;
C_word t49;
C_word t50;
C_word t51;
C_word t52;
C_word t53;
C_word t54;
C_word t55;
C_word t56;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(159,0,5)))){
C_save_and_reclaim_args((void *)trf_20298,2,t0,t1);}
a=C_alloc(159);
t2=C_SCHEME_UNDEFINED;
t3=(*a=C_VECTOR_TYPE|1,a[1]=t2,tmp=(C_word)a,a+=2,tmp);
t4=C_SCHEME_UNDEFINED;
t5=(*a=C_VECTOR_TYPE|1,a[1]=t4,tmp=(C_word)a,a+=2,tmp);
t6=C_SCHEME_UNDEFINED;
t7=(*a=C_VECTOR_TYPE|1,a[1]=t6,tmp=(C_word)a,a+=2,tmp);
t8=C_SCHEME_UNDEFINED;
t9=(*a=C_VECTOR_TYPE|1,a[1]=t8,tmp=(C_word)a,a+=2,tmp);
t10=C_SCHEME_UNDEFINED;
t11=(*a=C_VECTOR_TYPE|1,a[1]=t10,tmp=(C_word)a,a+=2,tmp);
t12=C_SCHEME_UNDEFINED;
t13=(*a=C_VECTOR_TYPE|1,a[1]=t12,tmp=(C_word)a,a+=2,tmp);
t14=C_SCHEME_UNDEFINED;
t15=(*a=C_VECTOR_TYPE|1,a[1]=t14,tmp=(C_word)a,a+=2,tmp);
t16=C_SCHEME_UNDEFINED;
t17=(*a=C_VECTOR_TYPE|1,a[1]=t16,tmp=(C_word)a,a+=2,tmp);
t18=C_SCHEME_UNDEFINED;
t19=(*a=C_VECTOR_TYPE|1,a[1]=t18,tmp=(C_word)a,a+=2,tmp);
t20=C_SCHEME_UNDEFINED;
t21=(*a=C_VECTOR_TYPE|1,a[1]=t20,tmp=(C_word)a,a+=2,tmp);
t22=C_SCHEME_UNDEFINED;
t23=(*a=C_VECTOR_TYPE|1,a[1]=t22,tmp=(C_word)a,a+=2,tmp);
t24=C_SCHEME_UNDEFINED;
t25=(*a=C_VECTOR_TYPE|1,a[1]=t24,tmp=(C_word)a,a+=2,tmp);
t26=C_SCHEME_UNDEFINED;
t27=(*a=C_VECTOR_TYPE|1,a[1]=t26,tmp=(C_word)a,a+=2,tmp);
t28=C_SCHEME_UNDEFINED;
t29=(*a=C_VECTOR_TYPE|1,a[1]=t28,tmp=(C_word)a,a+=2,tmp);
t30=C_SCHEME_UNDEFINED;
t31=(*a=C_VECTOR_TYPE|1,a[1]=t30,tmp=(C_word)a,a+=2,tmp);
t32=C_SCHEME_UNDEFINED;
t33=(*a=C_VECTOR_TYPE|1,a[1]=t32,tmp=(C_word)a,a+=2,tmp);
t34=C_SCHEME_UNDEFINED;
t35=(*a=C_VECTOR_TYPE|1,a[1]=t34,tmp=(C_word)a,a+=2,tmp);
t36=C_set_block_item(t3,0,(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_20301,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word)li643),tmp=(C_word)a,a+=5,tmp));
t37=C_set_block_item(t5,0,(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_20349,a[2]=((C_word*)t0)[2],a[3]=((C_word)li645),tmp=(C_word)a,a+=4,tmp));
t38=C_set_block_item(t7,0,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_20409,a[2]=((C_word)li647),tmp=(C_word)a,a+=3,tmp));
t39=C_set_block_item(t9,0,(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_20446,a[2]=((C_word*)t0)[2],a[3]=t5,a[4]=t7,a[5]=((C_word)li650),tmp=(C_word)a,a+=6,tmp));
t40=C_set_block_item(t11,0,(*a=C_CLOSURE_TYPE|10,a[1]=(C_word)f_21012,a[2]=((C_word*)t0)[4],a[3]=((C_word*)t0)[5],a[4]=((C_word*)t0)[2],a[5]=t3,a[6]=((C_word*)t0)[6],a[7]=((C_word*)t0)[7],a[8]=t35,a[9]=t27,a[10]=((C_word)li656),tmp=(C_word)a,a+=11,tmp));
t41=C_set_block_item(t13,0,(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_21274,a[2]=((C_word*)t0)[2],a[3]=t11,a[4]=((C_word)li657),tmp=(C_word)a,a+=5,tmp));
t42=C_set_block_item(t15,0,(*a=C_CLOSURE_TYPE|6,a[1]=(C_word)f_21292,a[2]=((C_word*)t0)[5],a[3]=((C_word*)t0)[2],a[4]=t35,a[5]=t27,a[6]=((C_word)li659),tmp=(C_word)a,a+=7,tmp));
t43=C_set_block_item(t17,0,(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_21362,a[2]=((C_word*)t0)[2],a[3]=t15,a[4]=((C_word)li660),tmp=(C_word)a,a+=5,tmp));
t44=C_set_block_item(t19,0,(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_21413,a[2]=((C_word*)t0)[2],a[3]=t15,a[4]=((C_word)li661),tmp=(C_word)a,a+=5,tmp));
t45=C_set_block_item(t21,0,(*a=C_CLOSURE_TYPE|6,a[1]=(C_word)f_21480,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[8],a[4]=((C_word*)t0)[9],a[5]=((C_word*)t0)[10],a[6]=((C_word)li663),tmp=(C_word)a,a+=7,tmp));
t46=C_set_block_item(t23,0,(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_21544,a[2]=((C_word*)t0)[2],a[3]=((C_word)li665),tmp=(C_word)a,a+=4,tmp));
t47=C_set_block_item(t25,0,(*a=C_CLOSURE_TYPE|6,a[1]=(C_word)f_21590,a[2]=((C_word*)t0)[5],a[3]=((C_word*)t0)[2],a[4]=t35,a[5]=t27,a[6]=((C_word)li667),tmp=(C_word)a,a+=7,tmp));
t48=C_set_block_item(t27,0,(*a=C_CLOSURE_TYPE|9,a[1]=(C_word)f_21615,a[2]=((C_word*)t0)[7],a[3]=((C_word*)t0)[11],a[4]=((C_word*)t0)[12],a[5]=t9,a[6]=((C_word*)t0)[2],a[7]=((C_word*)t0)[8],a[8]=((C_word*)t0)[10],a[9]=((C_word)li669),tmp=(C_word)a,a+=10,tmp));
t49=C_set_block_item(t29,0,(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_21829,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[10],a[4]=t21,a[5]=((C_word)li670),tmp=(C_word)a,a+=6,tmp));
t50=C_set_block_item(t31,0,(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_22038,a[2]=((C_word*)t0)[2],a[3]=((C_word)li672),tmp=(C_word)a,a+=4,tmp));
t51=C_set_block_item(t33,0,(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_22125,a[2]=((C_word*)t0)[2],a[3]=t21,a[4]=((C_word)li674),tmp=(C_word)a,a+=5,tmp));
t52=C_set_block_item(t35,0,(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_22217,a[2]=((C_word*)t0)[13],a[3]=((C_word)li675),tmp=(C_word)a,a+=4,tmp));
t53=(*a=C_CLOSURE_TYPE|26,a[1]=(C_word)f_22229,a[2]=((C_word*)t0)[11],a[3]=((C_word*)t0)[14],a[4]=((C_word*)t0)[2],a[5]=((C_word*)t0)[6],a[6]=t1,a[7]=t23,a[8]=t17,a[9]=t19,a[10]=((C_word*)t0)[8],a[11]=t13,a[12]=t29,a[13]=t31,a[14]=t33,a[15]=((C_word*)t0)[7],a[16]=t35,a[17]=t27,a[18]=((C_word*)t0)[3],a[19]=t21,a[20]=t11,a[21]=((C_word*)t0)[4],a[22]=t9,a[23]=t15,a[24]=((C_word*)t0)[12],a[25]=t25,a[26]=t3,tmp=(C_word)a,a+=27,tmp);
t54=C_i_not(((C_word*)t0)[15]);
t55=(C_truep(t54)?lf[861]:C_SCHEME_END_OF_LIST);
if(C_truep(C_i_not(((C_word*)t0)[16]))){
/* library.scm:4183: scheme#append */
t56=*((C_word*)lf[373]+1);{
C_word av2[4];
av2[0]=t56;
av2[1]=t53;
av2[2]=t55;
av2[3]=lf[862];
((C_proc)(void*)(*((C_word*)t56+1)))(4,av2);}}
else{
/* library.scm:4183: scheme#append */
t56=*((C_word*)lf[373]+1);{
C_word av2[4];
av2[0]=t56;
av2[1]=t53;
av2[2]=t55;
av2[3]=C_SCHEME_END_OF_LIST;
((C_proc)(void*)(*((C_word*)t56+1)))(4,av2);}}}

/* r-spaces in readrec in k20218 in k20215 in k20212 in k20209 in k20206 in read in k20151 in k20147 in k20143 in k20139 in k20135 in k19774 in k19770 in k19766 in k19762 in k19758 in k19754 in k19750 in k19746 in k19742 in ... */
static void C_fcall f_20301(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,0,2)))){
C_save_and_reclaim_args((void *)trf_20301,2,t0,t1);}
a=C_alloc(5);
t2=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_20309,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=t1,tmp=(C_word)a,a+=5,tmp);
/* library.scm:3794: ##sys#peek-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[770]);
C_word av2[3];
av2[0]=*((C_word*)lf[770]+1);
av2[1]=t2;
av2[2]=((C_word*)t0)[2];
tp(3,av2);}}

/* k20307 in r-spaces in readrec in k20218 in k20215 in k20212 in k20209 in k20206 in read in k20151 in k20147 in k20143 in k20139 in k20135 in k19774 in k19770 in k19766 in k19762 in k19758 in k19754 in k19750 in k19746 in ... */
static void C_ccall f_20309(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(8,c,3)))){
C_save_and_reclaim((void *)f_20309,2,av);}
a=C_alloc(8);
t2=C_SCHEME_UNDEFINED;
t3=(*a=C_VECTOR_TYPE|1,a[1]=t2,tmp=(C_word)a,a+=2,tmp);
t4=C_set_block_item(t3,0,(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_20311,a[2]=t3,a[3]=((C_word*)t0)[2],a[4]=((C_word*)t0)[3],a[5]=((C_word)li642),tmp=(C_word)a,a+=6,tmp));
t5=((C_word*)t3)[1];
f_20311(t5,((C_word*)t0)[4],t1);}

/* loop in k20307 in r-spaces in readrec in k20218 in k20215 in k20212 in k20209 in k20206 in read in k20151 in k20147 in k20143 in k20139 in k20135 in k19774 in k19770 in k19766 in k19762 in k19758 in k19754 in k19750 in ... */
static void C_fcall f_20311(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,0,2)))){
C_save_and_reclaim_args((void *)trf_20311,3,t0,t1,t2);}
a=C_alloc(5);
t3=C_eofp(t2);
if(C_truep(t3)){
t4=t1;{
C_word av2[2];
av2[0]=t4;
av2[1]=t3;
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}
else{
t4=C_eqp(C_make_character(59),t2);
if(C_truep(t4)){
t5=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_20324,a[2]=((C_word*)t0)[2],a[3]=t1,a[4]=((C_word*)t0)[3],tmp=(C_word)a,a+=5,tmp);
/* library.scm:3797: skip-to-eol */
t6=((C_word*)((C_word*)t0)[4])[1];
f_20237(t6,t5);}
else{
if(C_truep(C_u_i_char_whitespacep(t2))){
t5=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_20340,a[2]=((C_word*)t0)[2],a[3]=t1,a[4]=((C_word*)t0)[3],tmp=(C_word)a,a+=5,tmp);
/* library.scm:3800: ##sys#read-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[768]);
C_word av2[3];
av2[0]=*((C_word*)lf[768]+1);
av2[1]=t5;
av2[2]=((C_word*)t0)[3];
tp(3,av2);}}
else{
t5=C_SCHEME_UNDEFINED;
t6=t1;{
C_word av2[2];
av2[0]=t6;
av2[1]=t5;
((C_proc)(void*)(*((C_word*)t6+1)))(2,av2);}}}}}

/* k20322 in loop in k20307 in r-spaces in readrec in k20218 in k20215 in k20212 in k20209 in k20206 in read in k20151 in k20147 in k20143 in k20139 in k20135 in k19774 in k19770 in k19766 in k19762 in k19758 in k19754 in ... */
static void C_ccall f_20324(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,c,2)))){
C_save_and_reclaim((void *)f_20324,2,av);}
a=C_alloc(4);
t2=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_20331,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],tmp=(C_word)a,a+=4,tmp);
/* library.scm:3798: ##sys#peek-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[770]);
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[770]+1);
av2[1]=t2;
av2[2]=((C_word*)t0)[4];
tp(3,av2);}}

/* k20329 in k20322 in loop in k20307 in r-spaces in readrec in k20218 in k20215 in k20212 in k20209 in k20206 in read in k20151 in k20147 in k20143 in k20139 in k20135 in k19774 in k19770 in k19766 in k19762 in k19758 in ... */
static void C_ccall f_20331(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_20331,2,av);}
/* library.scm:3798: loop */
t2=((C_word*)((C_word*)t0)[2])[1];
f_20311(t2,((C_word*)t0)[3],t1);}

/* k20338 in loop in k20307 in r-spaces in readrec in k20218 in k20215 in k20212 in k20209 in k20206 in read in k20151 in k20147 in k20143 in k20139 in k20135 in k19774 in k19770 in k19766 in k19762 in k19758 in k19754 in ... */
static void C_ccall f_20340(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,c,2)))){
C_save_and_reclaim((void *)f_20340,2,av);}
a=C_alloc(4);
t2=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_20347,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],tmp=(C_word)a,a+=4,tmp);
/* library.scm:3801: ##sys#peek-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[770]);
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[770]+1);
av2[1]=t2;
av2[2]=((C_word*)t0)[4];
tp(3,av2);}}

/* k20345 in k20338 in loop in k20307 in r-spaces in readrec in k20218 in k20215 in k20212 in k20209 in k20206 in read in k20151 in k20147 in k20143 in k20139 in k20135 in k19774 in k19770 in k19766 in k19762 in k19758 in ... */
static void C_ccall f_20347(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_20347,2,av);}
/* library.scm:3801: loop */
t2=((C_word*)((C_word*)t0)[2])[1];
f_20311(t2,((C_word*)t0)[3],t1);}

/* r-usequence in readrec in k20218 in k20215 in k20212 in k20209 in k20206 in read in k20151 in k20147 in k20143 in k20139 in k20135 in k19774 in k19770 in k19766 in k19762 in k19758 in k19754 in k19750 in k19746 in k19742 in ... */
static void C_fcall f_20349(C_word t0,C_word t1,C_word t2,C_word t3,C_word t4){
C_word tmp;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(9,0,4)))){
C_save_and_reclaim_args((void *)trf_20349,5,t0,t1,t2,t3,t4);}
a=C_alloc(9);
t5=C_SCHEME_UNDEFINED;
t6=(*a=C_VECTOR_TYPE|1,a[1]=t5,tmp=(C_word)a,a+=2,tmp);
t7=C_set_block_item(t6,0,(*a=C_CLOSURE_TYPE|6,a[1]=(C_word)f_20355,a[2]=((C_word*)t0)[2],a[3]=t2,a[4]=t4,a[5]=t6,a[6]=((C_word)li644),tmp=(C_word)a,a+=7,tmp));
t8=((C_word*)t6)[1];
f_20355(t8,t1,C_SCHEME_END_OF_LIST,t3);}

/* loop in r-usequence in readrec in k20218 in k20215 in k20212 in k20209 in k20206 in read in k20151 in k20147 in k20143 in k20139 in k20135 in k19774 in k19770 in k19766 in k19762 in k19758 in k19754 in k19750 in k19746 in ... */
static void C_fcall f_20355(C_word t0,C_word t1,C_word t2,C_word t3){
C_word tmp;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(7,0,2)))){
C_save_and_reclaim_args((void *)trf_20355,4,t0,t1,t2,t3);}
a=C_alloc(7);
t4=C_eqp(t3,C_fix(0));
if(C_truep(t4)){
t5=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_20365,a[2]=t1,a[3]=((C_word*)t0)[2],a[4]=((C_word*)t0)[3],a[5]=((C_word*)t0)[4],tmp=(C_word)a,a+=6,tmp);
/* library.scm:3806: ##sys#reverse-list->string */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[387]+1));
C_word av2[3];
av2[0]=*((C_word*)lf[387]+1);
av2[1]=t5;
av2[2]=t2;
tp(3,av2);}}
else{
t5=(*a=C_CLOSURE_TYPE|6,a[1]=(C_word)f_20381,a[2]=t1,a[3]=((C_word*)t0)[2],a[4]=t2,a[5]=t3,a[6]=((C_word*)t0)[5],tmp=(C_word)a,a+=7,tmp);
/* library.scm:3813: ##sys#read-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[768]);
C_word av2[3];
av2[0]=*((C_word*)lf[768]+1);
av2[1]=t5;
av2[2]=((C_word*)t0)[2];
tp(3,av2);}}}

/* k20363 in loop in r-usequence in readrec in k20218 in k20215 in k20212 in k20209 in k20206 in read in k20151 in k20147 in k20143 in k20139 in k20135 in k19774 in k19770 in k19766 in k19762 in k19758 in k19754 in k19750 in ... */
static void C_ccall f_20365(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,c,3)))){
C_save_and_reclaim((void *)f_20365,2,av);}
a=C_alloc(6);
t2=t1;
t3=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_20368,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=t2,tmp=(C_word)a,a+=6,tmp);
/* library.scm:3807: scheme#string->number */
t4=*((C_word*)lf[617]+1);{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t4;
av2[1]=t3;
av2[2]=t2;
av2[3]=((C_word*)t0)[5];
((C_proc)(void*)(*((C_word*)t4+1)))(4,av2);}}

/* k20366 in k20363 in loop in r-usequence in readrec in k20218 in k20215 in k20212 in k20209 in k20206 in read in k20151 in k20147 in k20143 in k20139 in k20135 in k19774 in k19770 in k19766 in k19762 in k19758 in k19754 in ... */
static void C_ccall f_20368(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,c,5)))){
C_save_and_reclaim((void *)f_20368,2,av);}
a=C_alloc(4);
if(C_truep(t1)){
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=t1;
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}
else{
t2=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_20378,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],tmp=(C_word)a,a+=4,tmp);
/* library.scm:3811: string-append */
t3=*((C_word*)lf[413]+1);{
C_word *av2;
if(c >= 6) {
  av2=av;
} else {
  av2=C_alloc(6);
}
av2[0]=t3;
av2[1]=t2;
av2[2]=lf[790];
av2[3]=((C_word*)t0)[4];
av2[4]=((C_word*)t0)[5];
av2[5]=lf[791];
((C_proc)(void*)(*((C_word*)t3+1)))(6,av2);}}}

/* k20376 in k20366 in k20363 in loop in r-usequence in readrec in k20218 in k20215 in k20212 in k20209 in k20206 in read in k20151 in k20147 in k20143 in k20139 in k20135 in k19774 in k19770 in k19766 in k19762 in k19758 in ... */
static void C_ccall f_20378(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_20378,2,av);}
/* library.scm:3809: ##sys#read-error */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[778]);
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[778]+1);
av2[1]=((C_word*)t0)[2];
av2[2]=((C_word*)t0)[3];
av2[3]=t1;
tp(4,av2);}}

/* k20379 in loop in r-usequence in readrec in k20218 in k20215 in k20212 in k20209 in k20206 in read in k20151 in k20147 in k20143 in k20139 in k20135 in k19774 in k19770 in k19766 in k19762 in k19758 in k19754 in k19750 in ... */
static void C_ccall f_20381(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,3)))){
C_save_and_reclaim((void *)f_20381,2,av);}
a=C_alloc(3);
t2=C_eofp(t1);
t3=(C_truep(t2)?t2:C_i_char_equalp(C_make_character(34),t1));
if(C_truep(t3)){
/* library.scm:3815: ##sys#read-error */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[778]);
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[778]+1);
av2[1]=((C_word*)t0)[2];
av2[2]=((C_word*)t0)[3];
av2[3]=lf[792];
tp(4,av2);}}
else{
t4=C_a_i_cons(&a,2,t1,((C_word*)t0)[4]);
t5=C_fixnum_difference(((C_word*)t0)[5],C_fix(1));
/* library.scm:3816: loop */
t6=((C_word*)((C_word*)t0)[6])[1];
f_20355(t6,((C_word*)t0)[2],t4,t5);}}

/* r-cons-codepoint in readrec in k20218 in k20215 in k20212 in k20209 in k20206 in read in k20151 in k20147 in k20143 in k20139 in k20135 in k19774 in k19770 in k19766 in k19762 in k19758 in k19754 in k19750 in k19746 in k19742 in ... */
static void C_fcall f_20409(C_word t1,C_word t2,C_word t3){
C_word tmp;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,0,2)))){
C_save_and_reclaim_args((void *)trf_20409,3,t1,t2,t3);}
a=C_alloc(4);
t4=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_20413,a[2]=t1,a[3]=t3,tmp=(C_word)a,a+=4,tmp);
t5=C_make_character(C_unfix(t2));
/* library.scm:3819: ##sys#char->utf8-string */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[793]);
C_word av2[3];
av2[0]=*((C_word*)lf[793]+1);
av2[1]=t4;
av2[2]=t5;
tp(3,av2);}}

/* k20411 in r-cons-codepoint in readrec in k20218 in k20215 in k20212 in k20209 in k20206 in read in k20151 in k20147 in k20143 in k20139 in k20135 in k19774 in k19770 in k19766 in k19762 in k19758 in k19754 in k19750 in k19746 in ... */
static void C_ccall f_20413(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(8,c,4)))){
C_save_and_reclaim((void *)f_20413,2,av);}
a=C_alloc(8);
t2=t1;
t3=C_block_size(t2);
t4=t3;
t5=C_SCHEME_UNDEFINED;
t6=(*a=C_VECTOR_TYPE|1,a[1]=t5,tmp=(C_word)a,a+=2,tmp);
t7=C_set_block_item(t6,0,(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_20421,a[2]=t4,a[3]=t2,a[4]=t6,a[5]=((C_word)li646),tmp=(C_word)a,a+=6,tmp));
t8=((C_word*)t6)[1];
f_20421(t8,((C_word*)t0)[2],C_fix(0),((C_word*)t0)[3]);}

/* lp in k20411 in r-cons-codepoint in readrec in k20218 in k20215 in k20212 in k20209 in k20206 in read in k20151 in k20147 in k20143 in k20139 in k20135 in k19774 in k19770 in k19766 in k19762 in k19758 in k19754 in k19750 in ... */
static void C_fcall f_20421(C_word t0,C_word t1,C_word t2,C_word t3){
C_word tmp;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word *a;
loop:
if(C_unlikely(!C_demand(C_calculate_demand(3,0,3)))){
C_save_and_reclaim_args((void *)trf_20421,4,t0,t1,t2,t3);}
a=C_alloc(3);
if(C_truep(C_fixnum_greater_or_equal_p(t2,((C_word*)t0)[2]))){
t4=t3;
t5=t1;{
C_word av2[2];
av2[0]=t5;
av2[1]=t4;
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}
else{
t4=C_fixnum_plus(t2,C_fix(1));
t5=C_subchar(((C_word*)t0)[3],t2);
t6=C_a_i_cons(&a,2,t5,t3);
/* library.scm:3824: lp */
t8=t1;
t9=t4;
t10=t6;
t1=t8;
t2=t9;
t3=t10;
goto loop;}}

/* r-string in readrec in k20218 in k20215 in k20212 in k20209 in k20206 in read in k20151 in k20147 in k20143 in k20139 in k20135 in k19774 in k19770 in k19766 in k19762 in k19758 in k19754 in k19750 in k19746 in k19742 in ... */
static void C_fcall f_20446(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(7,0,2)))){
C_save_and_reclaim_args((void *)trf_20446,3,t0,t1,t2);}
a=C_alloc(7);
t3=(*a=C_CLOSURE_TYPE|6,a[1]=(C_word)f_20454,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=t2,a[6]=t1,tmp=(C_word)a,a+=7,tmp);
/* library.scm:3827: ##sys#read-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[768]);
C_word av2[3];
av2[0]=*((C_word*)lf[768]+1);
av2[1]=t3;
av2[2]=((C_word*)t0)[2];
tp(3,av2);}}

/* k20452 in r-string in readrec in k20218 in k20215 in k20212 in k20209 in k20206 in read in k20151 in k20147 in k20143 in k20139 in k20135 in k19774 in k19770 in k19766 in k19762 in k19758 in k19754 in k19750 in k19746 in ... */
static void C_ccall f_20454(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(10,c,4)))){
C_save_and_reclaim((void *)f_20454,2,av);}
a=C_alloc(10);
t2=C_SCHEME_UNDEFINED;
t3=(*a=C_VECTOR_TYPE|1,a[1]=t2,tmp=(C_word)a,a+=2,tmp);
t4=C_set_block_item(t3,0,(*a=C_CLOSURE_TYPE|7,a[1]=(C_word)f_20456,a[2]=((C_word*)t0)[2],a[3]=t3,a[4]=((C_word*)t0)[3],a[5]=((C_word*)t0)[4],a[6]=((C_word*)t0)[5],a[7]=((C_word)li649),tmp=(C_word)a,a+=8,tmp));
t5=((C_word*)t3)[1];
f_20456(t5,((C_word*)t0)[6],t1,C_SCHEME_END_OF_LIST);}

/* loop in k20452 in r-string in readrec in k20218 in k20215 in k20212 in k20209 in k20206 in read in k20151 in k20147 in k20143 in k20139 in k20135 in k19774 in k19770 in k19766 in k19762 in k19758 in k19754 in k19750 in ... */
static void C_fcall f_20456(C_word t0,C_word t1,C_word t2,C_word t3){
C_word tmp;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(11,0,3)))){
C_save_and_reclaim_args((void *)trf_20456,4,t0,t1,t2,t3);}
a=C_alloc(11);
t4=(*a=C_VECTOR_TYPE|1,a[1]=t2,tmp=(C_word)a,a+=2,tmp);
if(C_truep(C_eofp(((C_word*)t4)[1]))){
/* library.scm:3829: ##sys#read-error */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[778]);
C_word av2[4];
av2[0]=*((C_word*)lf[778]+1);
av2[1]=t1;
av2[2]=((C_word*)t0)[2];
av2[3]=lf[794];
tp(4,av2);}}
else{
t5=C_eqp(C_make_character(92),((C_word*)t4)[1]);
if(C_truep(t5)){
t6=(*a=C_CLOSURE_TYPE|8,a[1]=(C_word)f_20473,a[2]=t4,a[3]=t3,a[4]=((C_word*)t0)[3],a[5]=t1,a[6]=((C_word*)t0)[2],a[7]=((C_word*)t0)[4],a[8]=((C_word*)t0)[5],tmp=(C_word)a,a+=9,tmp);
/* library.scm:3831: ##sys#read-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[768]);
C_word av2[3];
av2[0]=*((C_word*)lf[768]+1);
av2[1]=t6;
av2[2]=((C_word*)t0)[2];
tp(3,av2);}}
else{
t6=C_eqp(((C_word*)t0)[6],((C_word*)t4)[1]);
if(C_truep(t6)){
/* library.scm:3902: ##sys#reverse-list->string */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[387]+1));
C_word av2[3];
av2[0]=*((C_word*)lf[387]+1);
av2[1]=t1;
av2[2]=t3;
tp(3,av2);}}
else{
t7=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_21006,a[2]=t4,a[3]=t3,a[4]=((C_word*)t0)[3],a[5]=t1,tmp=(C_word)a,a+=6,tmp);
/* library.scm:3903: ##sys#read-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[768]);
C_word av2[3];
av2[0]=*((C_word*)lf[768]+1);
av2[1]=t7;
av2[2]=((C_word*)t0)[2];
tp(3,av2);}}}}}

/* k20471 in loop in k20452 in r-string in readrec in k20218 in k20215 in k20212 in k20209 in k20206 in read in k20151 in k20147 in k20143 in k20139 in k20135 in k19774 in k19770 in k19766 in k19762 in k19758 in k19754 in ... */
static void C_ccall f_20473(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word t12;
C_word t13;
C_word t14;
C_word t15;
C_word t16;
C_word t17;
C_word t18;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(9,c,4)))){
C_save_and_reclaim((void *)f_20473,2,av);}
a=C_alloc(9);
t2=C_mutate(((C_word *)((C_word*)t0)[2])+1,t1);
t3=((C_word*)((C_word*)t0)[2])[1];
switch(t3){
case C_make_character(116):
t4=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_20486,a[2]=((C_word*)t0)[3],a[3]=((C_word*)t0)[4],a[4]=((C_word*)t0)[5],tmp=(C_word)a,a+=5,tmp);
/* library.scm:3833: ##sys#read-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[768]);
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[768]+1);
av2[1]=t4;
av2[2]=((C_word*)t0)[6];
tp(3,av2);}
case C_make_character(114):
t4=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_20503,a[2]=((C_word*)t0)[3],a[3]=((C_word*)t0)[4],a[4]=((C_word*)t0)[5],tmp=(C_word)a,a+=5,tmp);
/* library.scm:3834: ##sys#read-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[768]);
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[768]+1);
av2[1]=t4;
av2[2]=((C_word*)t0)[6];
tp(3,av2);}
case C_make_character(98):
t4=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_20520,a[2]=((C_word*)t0)[3],a[3]=((C_word*)t0)[4],a[4]=((C_word*)t0)[5],tmp=(C_word)a,a+=5,tmp);
/* library.scm:3835: ##sys#read-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[768]);
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[768]+1);
av2[1]=t4;
av2[2]=((C_word*)t0)[6];
tp(3,av2);}
case C_make_character(110):
t4=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_20537,a[2]=((C_word*)t0)[3],a[3]=((C_word*)t0)[4],a[4]=((C_word*)t0)[5],tmp=(C_word)a,a+=5,tmp);
/* library.scm:3836: ##sys#read-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[768]);
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[768]+1);
av2[1]=t4;
av2[2]=((C_word*)t0)[6];
tp(3,av2);}
case C_make_character(97):
t4=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_20554,a[2]=((C_word*)t0)[3],a[3]=((C_word*)t0)[4],a[4]=((C_word*)t0)[5],tmp=(C_word)a,a+=5,tmp);
/* library.scm:3837: ##sys#read-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[768]);
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[768]+1);
av2[1]=t4;
av2[2]=((C_word*)t0)[6];
tp(3,av2);}
case C_make_character(118):
t4=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_20575,a[2]=((C_word*)t0)[3],a[3]=((C_word*)t0)[4],a[4]=((C_word*)t0)[5],tmp=(C_word)a,a+=5,tmp);
/* library.scm:3838: ##sys#read-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[768]);
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[768]+1);
av2[1]=t4;
av2[2]=((C_word*)t0)[6];
tp(3,av2);}
case C_make_character(102):
t4=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_20596,a[2]=((C_word*)t0)[3],a[3]=((C_word*)t0)[4],a[4]=((C_word*)t0)[5],tmp=(C_word)a,a+=5,tmp);
/* library.scm:3839: ##sys#read-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[768]);
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[768]+1);
av2[1]=t4;
av2[2]=((C_word*)t0)[6];
tp(3,av2);}
case C_make_character(120):
t4=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_20628,a[2]=((C_word*)t0)[3],a[3]=((C_word*)t0)[4],a[4]=((C_word*)t0)[5],a[5]=((C_word*)t0)[6],tmp=(C_word)a,a+=6,tmp);
/* library.scm:3841: r-usequence */
t5=((C_word*)((C_word*)t0)[7])[1];
f_20349(t5,t4,lf[795],C_fix(2),C_fix(16));
case C_make_character(117):
t4=(*a=C_CLOSURE_TYPE|7,a[1]=(C_word)f_20637,a[2]=((C_word*)t0)[4],a[3]=((C_word*)t0)[5],a[4]=((C_word*)t0)[8],a[5]=((C_word*)t0)[3],a[6]=((C_word*)t0)[6],a[7]=((C_word*)t0)[7],tmp=(C_word)a,a+=8,tmp);
/* library.scm:3844: r-usequence */
t5=((C_word*)((C_word*)t0)[7])[1];
f_20349(t5,t4,lf[801],C_fix(4),C_fix(16));
case C_make_character(85):
t4=(*a=C_CLOSURE_TYPE|6,a[1]=(C_word)f_20711,a[2]=((C_word*)t0)[5],a[3]=((C_word*)t0)[6],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[8],a[6]=((C_word*)t0)[3],tmp=(C_word)a,a+=7,tmp);
/* library.scm:3857: r-usequence */
t5=((C_word*)((C_word*)t0)[7])[1];
f_20349(t5,t4,lf[803],C_fix(8),C_fix(16));
default:
t4=C_eqp(t3,C_make_character(92));
t5=(*a=C_CLOSURE_TYPE|8,a[1]=(C_word)f_20740,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[5],a[6]=((C_word*)t0)[6],a[7]=t3,a[8]=((C_word*)t0)[7],tmp=(C_word)a,a+=9,tmp);
if(C_truep(t4)){
t6=t5;
f_20740(t6,t4);}
else{
t6=C_eqp(t3,C_make_character(39));
if(C_truep(t6)){
t7=t5;
f_20740(t7,t6);}
else{
t7=C_eqp(t3,C_make_character(34));
t8=t5;
f_20740(t8,(C_truep(t7)?t7:C_eqp(t3,C_make_character(124))));}}}}

/* k20484 in k20471 in loop in k20452 in r-string in readrec in k20218 in k20215 in k20212 in k20209 in k20206 in read in k20151 in k20147 in k20143 in k20139 in k20135 in k19774 in k19770 in k19766 in k19762 in k19758 in ... */
static void C_ccall f_20486(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,3)))){
C_save_and_reclaim((void *)f_20486,2,av);}
a=C_alloc(3);
t2=C_a_i_cons(&a,2,C_make_character(9),((C_word*)t0)[2]);
/* library.scm:3833: loop */
t3=((C_word*)((C_word*)t0)[3])[1];
f_20456(t3,((C_word*)t0)[4],t1,t2);}

/* k20501 in k20471 in loop in k20452 in r-string in readrec in k20218 in k20215 in k20212 in k20209 in k20206 in read in k20151 in k20147 in k20143 in k20139 in k20135 in k19774 in k19770 in k19766 in k19762 in k19758 in ... */
static void C_ccall f_20503(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,3)))){
C_save_and_reclaim((void *)f_20503,2,av);}
a=C_alloc(3);
t2=C_a_i_cons(&a,2,C_make_character(13),((C_word*)t0)[2]);
/* library.scm:3834: loop */
t3=((C_word*)((C_word*)t0)[3])[1];
f_20456(t3,((C_word*)t0)[4],t1,t2);}

/* k20518 in k20471 in loop in k20452 in r-string in readrec in k20218 in k20215 in k20212 in k20209 in k20206 in read in k20151 in k20147 in k20143 in k20139 in k20135 in k19774 in k19770 in k19766 in k19762 in k19758 in ... */
static void C_ccall f_20520(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,3)))){
C_save_and_reclaim((void *)f_20520,2,av);}
a=C_alloc(3);
t2=C_a_i_cons(&a,2,C_make_character(8),((C_word*)t0)[2]);
/* library.scm:3835: loop */
t3=((C_word*)((C_word*)t0)[3])[1];
f_20456(t3,((C_word*)t0)[4],t1,t2);}

/* k20535 in k20471 in loop in k20452 in r-string in readrec in k20218 in k20215 in k20212 in k20209 in k20206 in read in k20151 in k20147 in k20143 in k20139 in k20135 in k19774 in k19770 in k19766 in k19762 in k19758 in ... */
static void C_ccall f_20537(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,3)))){
C_save_and_reclaim((void *)f_20537,2,av);}
a=C_alloc(3);
t2=C_a_i_cons(&a,2,C_make_character(10),((C_word*)t0)[2]);
/* library.scm:3836: loop */
t3=((C_word*)((C_word*)t0)[3])[1];
f_20456(t3,((C_word*)t0)[4],t1,t2);}

/* k20552 in k20471 in loop in k20452 in r-string in readrec in k20218 in k20215 in k20212 in k20209 in k20206 in read in k20151 in k20147 in k20143 in k20139 in k20135 in k19774 in k19770 in k19766 in k19762 in k19758 in ... */
static void C_ccall f_20554(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,3)))){
C_save_and_reclaim((void *)f_20554,2,av);}
a=C_alloc(3);
t2=C_a_i_cons(&a,2,C_make_character(7),((C_word*)t0)[2]);
/* library.scm:3837: loop */
t3=((C_word*)((C_word*)t0)[3])[1];
f_20456(t3,((C_word*)t0)[4],t1,t2);}

/* k20573 in k20471 in loop in k20452 in r-string in readrec in k20218 in k20215 in k20212 in k20209 in k20206 in read in k20151 in k20147 in k20143 in k20139 in k20135 in k19774 in k19770 in k19766 in k19762 in k19758 in ... */
static void C_ccall f_20575(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,3)))){
C_save_and_reclaim((void *)f_20575,2,av);}
a=C_alloc(3);
t2=C_a_i_cons(&a,2,C_make_character(11),((C_word*)t0)[2]);
/* library.scm:3838: loop */
t3=((C_word*)((C_word*)t0)[3])[1];
f_20456(t3,((C_word*)t0)[4],t1,t2);}

/* k20594 in k20471 in loop in k20452 in r-string in readrec in k20218 in k20215 in k20212 in k20209 in k20206 in read in k20151 in k20147 in k20143 in k20139 in k20135 in k19774 in k19770 in k19766 in k19762 in k19758 in ... */
static void C_ccall f_20596(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,3)))){
C_save_and_reclaim((void *)f_20596,2,av);}
a=C_alloc(3);
t2=C_a_i_cons(&a,2,C_make_character(12),((C_word*)t0)[2]);
/* library.scm:3839: loop */
t3=((C_word*)((C_word*)t0)[3])[1];
f_20456(t3,((C_word*)t0)[4],t1,t2);}

/* k20618 in k20626 in k20471 in loop in k20452 in r-string in readrec in k20218 in k20215 in k20212 in k20209 in k20206 in read in k20151 in k20147 in k20143 in k20139 in k20135 in k19774 in k19770 in k19766 in k19762 in ... */
static void C_ccall f_20620(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,3)))){
C_save_and_reclaim((void *)f_20620,2,av);}
a=C_alloc(3);
t2=C_a_i_cons(&a,2,((C_word*)t0)[2],((C_word*)t0)[3]);
/* library.scm:3842: loop */
t3=((C_word*)((C_word*)t0)[4])[1];
f_20456(t3,((C_word*)t0)[5],t1,t2);}

/* k20626 in k20471 in loop in k20452 in r-string in readrec in k20218 in k20215 in k20212 in k20209 in k20206 in read in k20151 in k20147 in k20143 in k20139 in k20135 in k19774 in k19770 in k19766 in k19762 in k19758 in ... */
static void C_ccall f_20628(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,c,2)))){
C_save_and_reclaim((void *)f_20628,2,av);}
a=C_alloc(6);
t2=C_make_character(C_unfix(t1));
t3=t2;
t4=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_20620,a[2]=t3,a[3]=((C_word*)t0)[2],a[4]=((C_word*)t0)[3],a[5]=((C_word*)t0)[4],tmp=(C_word)a,a+=6,tmp);
/* library.scm:3842: ##sys#read-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[768]);
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[768]+1);
av2[1]=t4;
av2[2]=((C_word*)t0)[5];
tp(3,av2);}}

/* k20635 in k20471 in loop in k20452 in r-string in readrec in k20218 in k20215 in k20212 in k20209 in k20206 in read in k20151 in k20147 in k20143 in k20139 in k20135 in k19774 in k19770 in k19766 in k19762 in k19758 in ... */
static void C_ccall f_20637(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(9,c,2)))){
C_save_and_reclaim((void *)f_20637,2,av);}
a=C_alloc(9);
t2=t1;
t3=(*a=C_CLOSURE_TYPE|8,a[1]=(C_word)f_20643,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[5],a[6]=((C_word*)t0)[6],a[7]=t2,a[8]=((C_word*)t0)[7],tmp=(C_word)a,a+=9,tmp);
/* library.scm:3845: ##sys#unicode-surrogate? */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[800]);
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[800]+1);
av2[1]=t3;
av2[2]=t2;
tp(3,av2);}}

/* k20641 in k20635 in k20471 in loop in k20452 in r-string in readrec in k20218 in k20215 in k20212 in k20209 in k20206 in read in k20151 in k20147 in k20143 in k20139 in k20135 in k19774 in k19770 in k19766 in k19762 in ... */
static void C_ccall f_20643(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(13,c,2)))){
C_save_and_reclaim((void *)f_20643,2,av);}
a=C_alloc(13);
if(C_truep(t1)){
t2=(*a=C_CLOSURE_TYPE|8,a[1]=(C_word)f_20649,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[5],a[6]=((C_word*)t0)[6],a[7]=((C_word*)t0)[7],a[8]=((C_word*)t0)[8],tmp=(C_word)a,a+=9,tmp);
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_20691,a[2]=t2,a[3]=((C_word*)t0)[6],tmp=(C_word)a,a+=4,tmp);
/* library.scm:3846: ##sys#read-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[768]);
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[768]+1);
av2[1]=t3;
av2[2]=((C_word*)t0)[6];
tp(3,av2);}}
else{
t2=(*a=C_CLOSURE_TYPE|6,a[1]=(C_word)f_20698,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[7],a[6]=((C_word*)t0)[5],tmp=(C_word)a,a+=7,tmp);
/* library.scm:3855: ##sys#read-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[768]);
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[768]+1);
av2[1]=t2;
av2[2]=((C_word*)t0)[6];
tp(3,av2);}}}

/* k20647 in k20641 in k20635 in k20471 in loop in k20452 in r-string in readrec in k20218 in k20215 in k20212 in k20209 in k20206 in read in k20151 in k20147 in k20143 in k20139 in k20135 in k19774 in k19770 in k19766 in ... */
static void C_fcall f_20649(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(8,0,4)))){
C_save_and_reclaim_args((void *)trf_20649,2,t0,t1);}
a=C_alloc(8);
if(C_truep(t1)){
t2=(*a=C_CLOSURE_TYPE|7,a[1]=(C_word)f_20652,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[5],a[6]=((C_word*)t0)[6],a[7]=((C_word*)t0)[7],tmp=(C_word)a,a+=8,tmp);
/* library.scm:3848: r-usequence */
t3=((C_word*)((C_word*)t0)[8])[1];
f_20349(t3,t2,lf[798],C_fix(4),C_fix(16));}
else{
/* library.scm:3854: ##sys#read-error */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[778]);
C_word av2[5];
av2[0]=*((C_word*)lf[778]+1);
av2[1]=((C_word*)t0)[3];
av2[2]=((C_word*)t0)[6];
av2[3]=lf[799];
av2[4]=((C_word*)t0)[7];
tp(5,av2);}}}

/* k20650 in k20647 in k20641 in k20635 in k20471 in loop in k20452 in r-string in readrec in k20218 in k20215 in k20212 in k20209 in k20206 in read in k20151 in k20147 in k20143 in k20139 in k20135 in k19774 in k19770 in ... */
static void C_ccall f_20652(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(9,c,3)))){
C_save_and_reclaim((void *)f_20652,2,av);}
a=C_alloc(9);
t2=t1;
t3=(*a=C_CLOSURE_TYPE|8,a[1]=(C_word)f_20655,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[5],a[6]=((C_word*)t0)[6],a[7]=((C_word*)t0)[7],a[8]=t2,tmp=(C_word)a,a+=9,tmp);
/* library.scm:3849: ##sys#surrogates->codepoint */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[797]);
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[797]+1);
av2[1]=t3;
av2[2]=((C_word*)t0)[7];
av2[3]=t2;
tp(4,av2);}}

/* k20653 in k20650 in k20647 in k20641 in k20635 in k20471 in loop in k20452 in r-string in readrec in k20218 in k20215 in k20212 in k20209 in k20206 in read in k20151 in k20147 in k20143 in k20139 in k20135 in k19774 in ... */
static void C_ccall f_20655(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(7,c,5)))){
C_save_and_reclaim((void *)f_20655,2,av);}
a=C_alloc(7);
t2=t1;
if(C_truep(t2)){
t3=(*a=C_CLOSURE_TYPE|6,a[1]=(C_word)f_20665,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=t2,a[6]=((C_word*)t0)[5],tmp=(C_word)a,a+=7,tmp);
/* library.scm:3851: ##sys#read-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[768]);
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[768]+1);
av2[1]=t3;
av2[2]=((C_word*)t0)[6];
tp(3,av2);}}
else{
/* library.scm:3853: ##sys#read-error */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[778]);
C_word *av2;
if(c >= 6) {
  av2=av;
} else {
  av2=C_alloc(6);
}
av2[0]=*((C_word*)lf[778]+1);
av2[1]=((C_word*)t0)[3];
av2[2]=((C_word*)t0)[6];
av2[3]=lf[796];
av2[4]=((C_word*)t0)[7];
av2[5]=((C_word*)t0)[8];
tp(6,av2);}}}

/* k20663 in k20653 in k20650 in k20647 in k20641 in k20635 in k20471 in loop in k20452 in r-string in readrec in k20218 in k20215 in k20212 in k20209 in k20206 in read in k20151 in k20147 in k20143 in k20139 in k20135 in ... */
static void C_ccall f_20665(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,c,3)))){
C_save_and_reclaim((void *)f_20665,2,av);}
a=C_alloc(5);
t2=t1;
t3=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_20669,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=t2,tmp=(C_word)a,a+=5,tmp);
/* library.scm:3852: r-cons-codepoint */
f_20409(t3,((C_word*)t0)[5],((C_word*)t0)[6]);}

/* k20667 in k20663 in k20653 in k20650 in k20647 in k20641 in k20635 in k20471 in loop in k20452 in r-string in readrec in k20218 in k20215 in k20212 in k20209 in k20206 in read in k20151 in k20147 in k20143 in k20139 in ... */
static void C_ccall f_20669(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_20669,2,av);}
/* library.scm:3851: loop */
t2=((C_word*)((C_word*)t0)[2])[1];
f_20456(t2,((C_word*)t0)[3],((C_word*)t0)[4],t1);}

/* k20684 in k20689 in k20641 in k20635 in k20471 in loop in k20452 in r-string in readrec in k20218 in k20215 in k20212 in k20209 in k20206 in read in k20151 in k20147 in k20143 in k20139 in k20135 in k19774 in k19770 in ... */
static void C_ccall f_20686(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_20686,2,av);}
t2=((C_word*)t0)[2];
f_20649(t2,C_eqp(C_make_character(117),t1));}

/* k20689 in k20641 in k20635 in k20471 in loop in k20452 in r-string in readrec in k20218 in k20215 in k20212 in k20209 in k20206 in read in k20151 in k20147 in k20143 in k20139 in k20135 in k19774 in k19770 in k19766 in ... */
static void C_ccall f_20691(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,2)))){
C_save_and_reclaim((void *)f_20691,2,av);}
a=C_alloc(3);
t2=C_eqp(C_make_character(92),t1);
if(C_truep(t2)){
t3=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_20686,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
/* library.scm:3847: ##sys#read-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[768]);
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[768]+1);
av2[1]=t3;
av2[2]=((C_word*)t0)[3];
tp(3,av2);}}
else{
t3=((C_word*)t0)[2];
f_20649(t3,C_SCHEME_FALSE);}}

/* k20696 in k20641 in k20635 in k20471 in loop in k20452 in r-string in readrec in k20218 in k20215 in k20212 in k20209 in k20206 in read in k20151 in k20147 in k20143 in k20139 in k20135 in k19774 in k19770 in k19766 in ... */
static void C_ccall f_20698(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,c,3)))){
C_save_and_reclaim((void *)f_20698,2,av);}
a=C_alloc(5);
t2=t1;
t3=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_20702,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=t2,tmp=(C_word)a,a+=5,tmp);
/* library.scm:3855: r-cons-codepoint */
f_20409(t3,((C_word*)t0)[5],((C_word*)t0)[6]);}

/* k20700 in k20696 in k20641 in k20635 in k20471 in loop in k20452 in r-string in readrec in k20218 in k20215 in k20212 in k20209 in k20206 in read in k20151 in k20147 in k20143 in k20139 in k20135 in k19774 in k19770 in ... */
static void C_ccall f_20702(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_20702,2,av);}
/* library.scm:3855: loop */
t2=((C_word*)((C_word*)t0)[2])[1];
f_20456(t2,((C_word*)t0)[3],((C_word*)t0)[4],t1);}

/* k20709 in k20471 in loop in k20452 in r-string in readrec in k20218 in k20215 in k20212 in k20209 in k20206 in read in k20151 in k20147 in k20143 in k20139 in k20135 in k19774 in k19770 in k19766 in k19762 in k19758 in ... */
static void C_ccall f_20711(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(8,c,2)))){
C_save_and_reclaim((void *)f_20711,2,av);}
a=C_alloc(8);
t2=t1;
t3=(*a=C_CLOSURE_TYPE|7,a[1]=(C_word)f_20717,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=t2,a[5]=((C_word*)t0)[4],a[6]=((C_word*)t0)[5],a[7]=((C_word*)t0)[6],tmp=(C_word)a,a+=8,tmp);
/* library.scm:3858: ##sys#unicode-surrogate? */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[800]);
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[800]+1);
av2[1]=t3;
av2[2]=t2;
tp(3,av2);}}

/* k20715 in k20709 in k20471 in loop in k20452 in r-string in readrec in k20218 in k20215 in k20212 in k20209 in k20206 in read in k20151 in k20147 in k20143 in k20139 in k20135 in k19774 in k19770 in k19766 in k19762 in ... */
static void C_ccall f_20717(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(7,c,4)))){
C_save_and_reclaim((void *)f_20717,2,av);}
a=C_alloc(7);
if(C_truep(t1)){
/* library.scm:3859: ##sys#read-error */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[778]);
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=*((C_word*)lf[778]+1);
av2[1]=((C_word*)t0)[2];
av2[2]=((C_word*)t0)[3];
av2[3]=lf[802];
av2[4]=((C_word*)t0)[4];
tp(5,av2);}}
else{
t2=(*a=C_CLOSURE_TYPE|6,a[1]=(C_word)f_20727,a[2]=((C_word*)t0)[5],a[3]=((C_word*)t0)[2],a[4]=((C_word*)t0)[6],a[5]=((C_word*)t0)[4],a[6]=((C_word*)t0)[7],tmp=(C_word)a,a+=7,tmp);
/* library.scm:3860: ##sys#read-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[768]);
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[768]+1);
av2[1]=t2;
av2[2]=((C_word*)t0)[3];
tp(3,av2);}}}

/* k20725 in k20715 in k20709 in k20471 in loop in k20452 in r-string in readrec in k20218 in k20215 in k20212 in k20209 in k20206 in read in k20151 in k20147 in k20143 in k20139 in k20135 in k19774 in k19770 in k19766 in ... */
static void C_ccall f_20727(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,c,3)))){
C_save_and_reclaim((void *)f_20727,2,av);}
a=C_alloc(5);
t2=t1;
t3=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_20731,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=t2,tmp=(C_word)a,a+=5,tmp);
/* library.scm:3860: r-cons-codepoint */
f_20409(t3,((C_word*)t0)[5],((C_word*)t0)[6]);}

/* k20729 in k20725 in k20715 in k20709 in k20471 in loop in k20452 in r-string in readrec in k20218 in k20215 in k20212 in k20209 in k20206 in read in k20151 in k20147 in k20143 in k20139 in k20135 in k19774 in k19770 in ... */
static void C_ccall f_20731(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_20731,2,av);}
/* library.scm:3860: loop */
t2=((C_word*)((C_word*)t0)[2])[1];
f_20456(t2,((C_word*)t0)[3],((C_word*)t0)[4],t1);}

/* k20738 in k20471 in loop in k20452 in r-string in readrec in k20218 in k20215 in k20212 in k20209 in k20206 in read in k20151 in k20147 in k20143 in k20139 in k20135 in k19774 in k19770 in k19766 in k19762 in k19758 in ... */
static void C_fcall f_20740(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(8,0,2)))){
C_save_and_reclaim_args((void *)trf_20740,2,t0,t1);}
a=C_alloc(8);
if(C_truep(t1)){
t2=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_20747,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[5],tmp=(C_word)a,a+=6,tmp);
/* library.scm:3862: ##sys#read-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[768]);
C_word av2[3];
av2[0]=*((C_word*)lf[768]+1);
av2[1]=t2;
av2[2]=((C_word*)t0)[6];
tp(3,av2);}}
else{
t2=C_eqp(((C_word*)t0)[7],C_make_character(10));
t3=(*a=C_CLOSURE_TYPE|7,a[1]=(C_word)f_20760,a[2]=((C_word*)t0)[6],a[3]=((C_word*)t0)[4],a[4]=((C_word*)t0)[3],a[5]=((C_word*)t0)[5],a[6]=((C_word*)t0)[2],a[7]=((C_word*)t0)[8],tmp=(C_word)a,a+=8,tmp);
if(C_truep(t2)){
t4=t3;
f_20760(t4,t2);}
else{
t4=C_eqp(((C_word*)t0)[7],C_make_character(13));
if(C_truep(t4)){
t5=t3;
f_20760(t5,t4);}
else{
t5=C_eqp(((C_word*)t0)[7],C_make_character(32));
t6=t3;
f_20760(t6,(C_truep(t5)?t5:C_eqp(((C_word*)t0)[7],C_make_character(9))));}}}}

/* k20745 in k20738 in k20471 in loop in k20452 in r-string in readrec in k20218 in k20215 in k20212 in k20209 in k20206 in read in k20151 in k20147 in k20143 in k20139 in k20135 in k19774 in k19770 in k19766 in k19762 in ... */
static void C_ccall f_20747(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,3)))){
C_save_and_reclaim((void *)f_20747,2,av);}
a=C_alloc(3);
t2=C_a_i_cons(&a,2,((C_word*)((C_word*)t0)[2])[1],((C_word*)t0)[3]);
/* library.scm:3862: loop */
t3=((C_word*)((C_word*)t0)[4])[1];
f_20456(t3,((C_word*)t0)[5],t1,t2);}

/* k20758 in k20738 in k20471 in loop in k20452 in r-string in readrec in k20218 in k20215 in k20212 in k20209 in k20206 in read in k20151 in k20147 in k20143 in k20139 in k20135 in k19774 in k19770 in k19766 in k19762 in ... */
static void C_fcall f_20760(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(9,0,4)))){
C_save_and_reclaim_args((void *)trf_20760,2,t0,t1);}
a=C_alloc(9);
if(C_truep(t1)){
t2=C_SCHEME_UNDEFINED;
t3=(*a=C_VECTOR_TYPE|1,a[1]=t2,tmp=(C_word)a,a+=2,tmp);
t4=C_set_block_item(t3,0,(*a=C_CLOSURE_TYPE|6,a[1]=(C_word)f_20765,a[2]=t3,a[3]=((C_word*)t0)[2],a[4]=((C_word*)t0)[3],a[5]=((C_word*)t0)[4],a[6]=((C_word)li648),tmp=(C_word)a,a+=7,tmp));
t5=((C_word*)t3)[1];
f_20765(t5,((C_word*)t0)[5],((C_word*)((C_word*)t0)[6])[1],C_SCHEME_FALSE);}
else{
if(C_truep(C_eofp(((C_word*)((C_word*)t0)[6])[1]))){
/* library.scm:3888: ##sys#read-error */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[778]);
C_word av2[4];
av2[0]=*((C_word*)lf[778]+1);
av2[1]=((C_word*)t0)[5];
av2[2]=((C_word*)t0)[2];
av2[3]=lf[805];
tp(4,av2);}}
else{
t2=(*a=C_CLOSURE_TYPE|7,a[1]=(C_word)f_20864,a[2]=((C_word*)t0)[6],a[3]=((C_word*)t0)[4],a[4]=((C_word*)t0)[3],a[5]=((C_word*)t0)[5],a[6]=((C_word*)t0)[2],a[7]=((C_word*)t0)[7],tmp=(C_word)a,a+=8,tmp);
if(C_truep(C_u_i_char_numericp(((C_word*)((C_word*)t0)[6])[1]))){
t3=C_i_char_greater_or_equal_p(((C_word*)((C_word*)t0)[6])[1],C_make_character(48));
t4=t2;
f_20864(t4,(C_truep(t3)?C_i_char_less_or_equal_p(((C_word*)((C_word*)t0)[6])[1],C_make_character(55)):C_SCHEME_FALSE));}
else{
t3=t2;
f_20864(t3,C_SCHEME_FALSE);}}}}

/* eat-ws in k20758 in k20738 in k20471 in loop in k20452 in r-string in readrec in k20218 in k20215 in k20212 in k20209 in k20206 in read in k20151 in k20147 in k20143 in k20139 in k20135 in k19774 in k19770 in k19766 in ... */
static void C_fcall f_20765(C_word t0,C_word t1,C_word t2,C_word t3){
C_word tmp;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,0,3)))){
C_save_and_reclaim_args((void *)trf_20765,4,t0,t1,t2,t3);}
a=C_alloc(6);
t4=t2;
t5=C_eqp(t4,C_make_character(32));
t6=(C_truep(t5)?t5:C_eqp(t4,C_make_character(9)));
if(C_truep(t6)){
t7=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_20782,a[2]=((C_word*)t0)[2],a[3]=t1,a[4]=t3,tmp=(C_word)a,a+=5,tmp);
/* library.scm:3868: ##sys#read-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[768]);
C_word av2[3];
av2[0]=*((C_word*)lf[768]+1);
av2[1]=t7;
av2[2]=((C_word*)t0)[3];
tp(3,av2);}}
else{
switch(t4){
case C_make_character(13):
if(C_truep(t3)){
/* library.scm:3871: loop */
t7=((C_word*)((C_word*)t0)[4])[1];
f_20456(t7,t1,t2,((C_word*)t0)[5]);}
else{
t7=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_20797,a[2]=((C_word*)t0)[2],a[3]=t1,a[4]=((C_word*)t0)[3],tmp=(C_word)a,a+=5,tmp);
/* library.scm:3872: ##sys#read-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[768]);
C_word av2[3];
av2[0]=*((C_word*)lf[768]+1);
av2[1]=t7;
av2[2]=((C_word*)t0)[3];
tp(3,av2);}}
case C_make_character(10):
if(C_truep(t3)){
/* library.scm:3878: loop */
t7=((C_word*)((C_word*)t0)[4])[1];
f_20456(t7,t1,t2,((C_word*)t0)[5]);}
else{
t7=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_20832,a[2]=((C_word*)t0)[2],a[3]=t1,tmp=(C_word)a,a+=4,tmp);
/* library.scm:3879: ##sys#read-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[768]);
C_word av2[3];
av2[0]=*((C_word*)lf[768]+1);
av2[1]=t7;
av2[2]=((C_word*)t0)[3];
tp(3,av2);}}
default:
t7=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_20835,a[2]=((C_word*)t0)[4],a[3]=t1,a[4]=t2,a[5]=((C_word*)t0)[5],tmp=(C_word)a,a+=6,tmp);
if(C_truep(t3)){
/* library.scm:3885: loop */
t8=((C_word*)((C_word*)t0)[4])[1];
f_20456(t8,t1,t2,((C_word*)t0)[5]);}
else{
/* library.scm:3882: ##sys#read-warning */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[781]);
C_word av2[4];
av2[0]=*((C_word*)lf[781]+1);
av2[1]=t7;
av2[2]=((C_word*)t0)[3];
av2[3]=lf[804];
tp(4,av2);}}}}}

/* k20780 in eat-ws in k20758 in k20738 in k20471 in loop in k20452 in r-string in readrec in k20218 in k20215 in k20212 in k20209 in k20206 in read in k20151 in k20147 in k20143 in k20139 in k20135 in k19774 in k19770 in ... */
static void C_ccall f_20782(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_20782,2,av);}
/* library.scm:3868: eat-ws */
t2=((C_word*)((C_word*)t0)[2])[1];
f_20765(t2,((C_word*)t0)[3],t1,((C_word*)t0)[4]);}

/* k20795 in eat-ws in k20758 in k20738 in k20471 in loop in k20452 in r-string in readrec in k20218 in k20215 in k20212 in k20209 in k20206 in read in k20151 in k20147 in k20143 in k20139 in k20135 in k19774 in k19770 in ... */
static void C_ccall f_20797(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,c,3)))){
C_save_and_reclaim((void *)f_20797,2,av);}
a=C_alloc(4);
t2=C_eqp(t1,C_make_character(10));
if(C_truep(t2)){
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_20810,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],tmp=(C_word)a,a+=4,tmp);
/* library.scm:3874: ##sys#read-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[768]);
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[768]+1);
av2[1]=t3;
av2[2]=((C_word*)t0)[4];
tp(3,av2);}}
else{
/* library.scm:3875: eat-ws */
t3=((C_word*)((C_word*)t0)[2])[1];
f_20765(t3,((C_word*)t0)[3],t1,C_SCHEME_TRUE);}}

/* k20808 in k20795 in eat-ws in k20758 in k20738 in k20471 in loop in k20452 in r-string in readrec in k20218 in k20215 in k20212 in k20209 in k20206 in read in k20151 in k20147 in k20143 in k20139 in k20135 in k19774 in ... */
static void C_ccall f_20810(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_20810,2,av);}
/* library.scm:3874: eat-ws */
t2=((C_word*)((C_word*)t0)[2])[1];
f_20765(t2,((C_word*)t0)[3],t1,C_SCHEME_TRUE);}

/* k20830 in eat-ws in k20758 in k20738 in k20471 in loop in k20452 in r-string in readrec in k20218 in k20215 in k20212 in k20209 in k20206 in read in k20151 in k20147 in k20143 in k20139 in k20135 in k19774 in k19770 in ... */
static void C_ccall f_20832(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_20832,2,av);}
/* library.scm:3879: eat-ws */
t2=((C_word*)((C_word*)t0)[2])[1];
f_20765(t2,((C_word*)t0)[3],t1,C_SCHEME_TRUE);}

/* k20833 in eat-ws in k20758 in k20738 in k20471 in loop in k20452 in r-string in readrec in k20218 in k20215 in k20212 in k20209 in k20206 in read in k20151 in k20147 in k20143 in k20139 in k20135 in k19774 in k19770 in ... */
static void C_ccall f_20835(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_20835,2,av);}
/* library.scm:3885: loop */
t2=((C_word*)((C_word*)t0)[2])[1];
f_20456(t2,((C_word*)t0)[3],((C_word*)t0)[4],((C_word*)t0)[5]);}

/* k20862 in k20758 in k20738 in k20471 in loop in k20452 in r-string in readrec in k20218 in k20215 in k20212 in k20209 in k20206 in read in k20151 in k20147 in k20143 in k20139 in k20135 in k19774 in k19770 in k19766 in ... */
static void C_fcall f_20864(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(7,0,4)))){
C_save_and_reclaim_args((void *)trf_20864,2,t0,t1);}
a=C_alloc(7);
if(C_truep(t1)){
t2=C_fix(C_character_code(((C_word*)((C_word*)t0)[2])[1]));
t3=C_fixnum_difference(t2,C_fix(48));
t4=C_fixnum_times(t3,C_fix(64));
t5=t4;
t6=(*a=C_CLOSURE_TYPE|6,a[1]=(C_word)f_20890,a[2]=t5,a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[5],a[6]=((C_word*)t0)[6],tmp=(C_word)a,a+=7,tmp);
/* library.scm:3894: r-usequence */
t7=((C_word*)((C_word*)t0)[7])[1];
f_20349(t7,t6,lf[806],C_fix(2),C_fix(8));}
else{
t2=(*a=C_CLOSURE_TYPE|6,a[1]=(C_word)f_20901,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[5],a[6]=((C_word*)t0)[6],tmp=(C_word)a,a+=7,tmp);
/* library.scm:3897: ##sys#read-warning */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[781]);
C_word av2[5];
av2[0]=*((C_word*)lf[781]+1);
av2[1]=t2;
av2[2]=((C_word*)t0)[6];
av2[3]=lf[807];
av2[4]=((C_word*)((C_word*)t0)[2])[1];
tp(5,av2);}}}

/* k20872 in k20888 in k20862 in k20758 in k20738 in k20471 in loop in k20452 in r-string in readrec in k20218 in k20215 in k20212 in k20209 in k20206 in read in k20151 in k20147 in k20143 in k20139 in k20135 in k19774 in ... */
static void C_ccall f_20874(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,3)))){
C_save_and_reclaim((void *)f_20874,2,av);}
a=C_alloc(3);
t2=C_a_i_cons(&a,2,((C_word*)t0)[2],((C_word*)t0)[3]);
/* library.scm:3895: loop */
t3=((C_word*)((C_word*)t0)[4])[1];
f_20456(t3,((C_word*)t0)[5],t1,t2);}

/* k20888 in k20862 in k20758 in k20738 in k20471 in loop in k20452 in r-string in readrec in k20218 in k20215 in k20212 in k20209 in k20206 in read in k20151 in k20147 in k20143 in k20139 in k20135 in k19774 in k19770 in ... */
static void C_ccall f_20890(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,c,2)))){
C_save_and_reclaim((void *)f_20890,2,av);}
a=C_alloc(6);
t2=C_fixnum_plus(((C_word*)t0)[2],t1);
t3=C_make_character(C_unfix(t2));
t4=t3;
t5=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_20874,a[2]=t4,a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[5],tmp=(C_word)a,a+=6,tmp);
/* library.scm:3895: ##sys#read-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[768]);
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[768]+1);
av2[1]=t5;
av2[2]=((C_word*)t0)[6];
tp(3,av2);}}

/* k20899 in k20862 in k20758 in k20738 in k20471 in loop in k20452 in r-string in readrec in k20218 in k20215 in k20212 in k20209 in k20206 in read in k20151 in k20147 in k20143 in k20139 in k20135 in k19774 in k19770 in ... */
static void C_ccall f_20901(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,c,2)))){
C_save_and_reclaim((void *)f_20901,2,av);}
a=C_alloc(6);
t2=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_20908,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[5],tmp=(C_word)a,a+=6,tmp);
/* library.scm:3901: ##sys#read-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[768]);
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[768]+1);
av2[1]=t2;
av2[2]=((C_word*)t0)[6];
tp(3,av2);}}

/* k20906 in k20899 in k20862 in k20758 in k20738 in k20471 in loop in k20452 in r-string in readrec in k20218 in k20215 in k20212 in k20209 in k20206 in read in k20151 in k20147 in k20143 in k20139 in k20135 in k19774 in ... */
static void C_ccall f_20908(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,3)))){
C_save_and_reclaim((void *)f_20908,2,av);}
a=C_alloc(3);
t2=C_a_i_cons(&a,2,((C_word*)((C_word*)t0)[2])[1],((C_word*)t0)[3]);
/* library.scm:3901: loop */
t3=((C_word*)((C_word*)t0)[4])[1];
f_20456(t3,((C_word*)t0)[5],t1,t2);}

/* k21004 in loop in k20452 in r-string in readrec in k20218 in k20215 in k20212 in k20209 in k20206 in read in k20151 in k20147 in k20143 in k20139 in k20135 in k19774 in k19770 in k19766 in k19762 in k19758 in k19754 in ... */
static void C_ccall f_21006(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,3)))){
C_save_and_reclaim((void *)f_21006,2,av);}
a=C_alloc(3);
t2=C_a_i_cons(&a,2,((C_word*)((C_word*)t0)[2])[1],((C_word*)t0)[3]);
/* library.scm:3903: loop */
t3=((C_word*)((C_word*)t0)[4])[1];
f_20456(t3,((C_word*)t0)[5],t1,t2);}

/* r-list in readrec in k20218 in k20215 in k20212 in k20209 in k20206 in read in k20151 in k20147 in k20143 in k20139 in k20135 in k19774 in k19770 in k19766 in k19762 in k19758 in k19754 in k19750 in k19746 in k19742 in ... */
static void C_fcall f_21012(C_word t0,C_word t1,C_word t2,C_word t3){
C_word tmp;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(13,0,2)))){
C_save_and_reclaim_args((void *)trf_21012,4,t0,t1,t2,t3);}
a=C_alloc(13);
t4=(*a=C_CLOSURE_TYPE|12,a[1]=(C_word)f_21272,a[2]=t2,a[3]=((C_word*)t0)[2],a[4]=((C_word*)t0)[3],a[5]=t1,a[6]=t3,a[7]=((C_word*)t0)[4],a[8]=((C_word*)t0)[5],a[9]=((C_word*)t0)[6],a[10]=((C_word*)t0)[7],a[11]=((C_word*)t0)[8],a[12]=((C_word*)t0)[9],tmp=(C_word)a,a+=13,tmp);
/* library.scm:3906: ##sys#read-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[768]);
C_word av2[3];
av2[0]=*((C_word*)lf[768]+1);
av2[1]=t4;
av2[2]=((C_word*)t0)[4];
tp(3,av2);}}

/* starting-line in k21270 in r-list in readrec in k20218 in k20215 in k20212 in k20209 in k20206 in read in k20151 in k20147 in k20143 in k20139 in k20135 in k19774 in k19770 in k19766 in k19762 in k19758 in k19754 in k19750 in ... */
static void C_fcall f_21021(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,0,2)))){
C_save_and_reclaim_args((void *)trf_21021,3,t0,t1,t2);}
a=C_alloc(4);
t3=(C_truep(((C_word*)((C_word*)t0)[2])[1])?C_fast_retrieve(lf[773]):C_SCHEME_FALSE);
if(C_truep(t3)){
t4=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_21035,a[2]=t1,a[3]=t2,tmp=(C_word)a,a+=4,tmp);
/* library.scm:3914: ##sys#number->string */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[600]+1));
C_word av2[3];
av2[0]=*((C_word*)lf[600]+1);
av2[1]=t4;
av2[2]=((C_word*)((C_word*)t0)[2])[1];
tp(3,av2);}}
else{
t4=t2;
t5=t1;{
C_word av2[2];
av2[0]=t5;
av2[1]=t4;
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}}

/* k21033 in starting-line in k21270 in r-list in readrec in k20218 in k20215 in k20212 in k20209 in k20206 in read in k20151 in k20147 in k20143 in k20139 in k20135 in k19774 in k19770 in k19766 in k19762 in k19758 in k19754 in ... */
static void C_ccall f_21035(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,4)))){
C_save_and_reclaim((void *)f_21035,2,av);}
/* library.scm:3912: string-append */
t2=*((C_word*)lf[413]+1);{
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[2];
av2[2]=((C_word*)t0)[3];
av2[3]=lf[808];
av2[4]=t1;
((C_proc)(void*)(*((C_word*)t2+1)))(5,av2);}}

/* k21036 in k21270 in r-list in readrec in k20218 in k20215 in k20212 in k20209 in k20206 in read in k20151 in k20147 in k20143 in k20139 in k20135 in k19774 in k19770 in k19766 in k19762 in k19758 in k19754 in k19750 in ... */
static void C_ccall f_21038(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,c,2)))){
C_save_and_reclaim((void *)f_21038,2,av);}
a=C_alloc(5);
t2=C_mutate(((C_word *)((C_word*)t0)[2])+1,((C_word*)t0)[3]);
if(C_truep(((C_word*)((C_word*)t0)[4])[1])){
t3=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_21049,a[2]=((C_word*)t0)[5],a[3]=((C_word*)t0)[6],a[4]=((C_word*)t0)[7],tmp=(C_word)a,a+=5,tmp);
/* library.scm:3981: ##sys#infix-list-hook */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[776]);
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[776]+1);
av2[1]=t3;
av2[2]=((C_word*)((C_word*)t0)[4])[1];
tp(3,av2);}}
else{
t3=((C_word*)t0)[6];{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_SCHEME_END_OF_LIST;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}}

/* k21047 in k21036 in k21270 in r-list in readrec in k20218 in k20215 in k20212 in k20209 in k20206 in read in k20151 in k20147 in k20143 in k20139 in k20135 in k19774 in k19770 in k19766 in k19762 in k19758 in k19754 in ... */
static void C_ccall f_21049(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,4)))){
C_save_and_reclaim((void *)f_21049,2,av);}
/* library.scm:3981: info */
t2=((C_word*)((C_word*)t0)[2])[1];
f_20228(t2,((C_word*)t0)[3],lf[809],t1,((C_word*)((C_word*)t0)[4])[1]);}

/* a21050 in k21270 in r-list in readrec in k20218 in k20215 in k20212 in k20209 in k20206 in read in k20151 in k20147 in k20143 in k20139 in k20135 in k19774 in k19770 in k19766 in k19762 in k19758 in k19754 in k19750 in ... */
static void C_ccall f_21051(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(23,c,3)))){
C_save_and_reclaim((void *)f_21051,3,av);}
a=C_alloc(23);
t3=C_mutate(((C_word *)((C_word*)t0)[2])+1,(*a=C_CLOSURE_TYPE|6,a[1]=(C_word)f_21054,a[2]=((C_word*)t0)[3],a[3]=t2,a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[5],a[6]=((C_word)li652),tmp=(C_word)a,a+=7,tmp));
t4=C_SCHEME_UNDEFINED;
t5=(*a=C_VECTOR_TYPE|1,a[1]=t4,tmp=(C_word)a,a+=2,tmp);
t6=C_set_block_item(t5,0,(*a=C_CLOSURE_TYPE|13,a[1]=(C_word)f_21076,a[2]=((C_word*)t0)[4],a[3]=((C_word*)t0)[5],a[4]=((C_word*)t0)[3],a[5]=((C_word*)t0)[6],a[6]=((C_word*)t0)[7],a[7]=((C_word*)t0)[8],a[8]=t5,a[9]=((C_word*)t0)[9],a[10]=((C_word*)t0)[10],a[11]=((C_word*)t0)[11],a[12]=((C_word*)t0)[12],a[13]=((C_word)li654),tmp=(C_word)a,a+=14,tmp));
t7=((C_word*)t5)[1];
f_21076(t7,t1,C_SCHEME_END_OF_LIST);}

/* f_21054 in a21050 in k21270 in r-list in readrec in k20218 in k20215 in k20212 in k20209 in k20206 in read in k20151 in k20147 in k20143 in k20139 in k20135 in k19774 in k19770 in k19766 in k19762 in k19758 in k19754 in ... */
static void C_ccall f_21054(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(6,c,2)))){
C_save_and_reclaim((void *)f_21054,3,av);}
a=C_alloc(6);
t3=C_eqp(t2,((C_word*)t0)[2]);
if(C_truep(t3)){
/* library.scm:3921: return */
t4=((C_word*)t0)[3];{
C_word *av2=av;
av2[0]=t4;
av2[1]=t1;
av2[2]=C_SCHEME_FALSE;
((C_proc)C_fast_retrieve_proc(t4))(3,av2);}}
else{
t4=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_21071,a[2]=t1,a[3]=((C_word*)t0)[4],a[4]=t2,a[5]=((C_word*)t0)[2],tmp=(C_word)a,a+=6,tmp);
/* library.scm:3924: starting-line */
t5=((C_word*)t0)[5];
f_21021(t5,t4,lf[810]);}}

/* k21069 */
static void C_ccall f_21071(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,5)))){
C_save_and_reclaim((void *)f_21071,2,av);}
/* library.scm:3922: ##sys#read-error */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[778]);
C_word *av2;
if(c >= 6) {
  av2=av;
} else {
  av2=C_alloc(6);
}
av2[0]=*((C_word*)lf[778]+1);
av2[1]=((C_word*)t0)[2];
av2[2]=((C_word*)t0)[3];
av2[3]=t1;
av2[4]=((C_word*)t0)[4];
av2[5]=((C_word*)t0)[5];
tp(6,av2);}}

/* loop in a21050 in k21270 in r-list in readrec in k20218 in k20215 in k20212 in k20209 in k20206 in read in k20151 in k20147 in k20143 in k20139 in k20135 in k19774 in k19770 in k19766 in k19762 in k19758 in k19754 in ... */
static void C_fcall f_21076(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(15,0,2)))){
C_save_and_reclaim_args((void *)trf_21076,3,t0,t1,t2);}
a=C_alloc(15);
t3=(*a=C_CLOSURE_TYPE|14,a[1]=(C_word)f_21080,a[2]=t1,a[3]=((C_word*)t0)[2],a[4]=((C_word*)t0)[3],a[5]=((C_word*)t0)[4],a[6]=t2,a[7]=((C_word*)t0)[5],a[8]=((C_word*)t0)[6],a[9]=((C_word*)t0)[7],a[10]=((C_word*)t0)[8],a[11]=((C_word*)t0)[9],a[12]=((C_word*)t0)[10],a[13]=((C_word*)t0)[11],a[14]=((C_word*)t0)[12],tmp=(C_word)a,a+=15,tmp);
/* library.scm:3927: r-spaces */
t4=((C_word*)((C_word*)t0)[5])[1];
f_20301(t4,t3);}

/* k21078 in loop in a21050 in k21270 in r-list in readrec in k20218 in k20215 in k20212 in k20209 in k20206 in read in k20151 in k20147 in k20143 in k20139 in k20135 in k19774 in k19770 in k19766 in k19762 in k19758 in ... */
static void C_ccall f_21080(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(18,c,2)))){
C_save_and_reclaim((void *)f_21080,2,av);}
a=C_alloc(18);
t2=(*a=C_CLOSURE_TYPE|13,a[1]=(C_word)f_21083,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[5],a[6]=((C_word*)t0)[6],a[7]=((C_word*)t0)[7],a[8]=((C_word*)t0)[8],a[9]=((C_word*)t0)[9],a[10]=((C_word*)t0)[10],a[11]=((C_word*)t0)[11],a[12]=((C_word*)t0)[12],a[13]=((C_word*)t0)[13],tmp=(C_word)a,a+=14,tmp);
if(C_truep(((C_word*)((C_word*)t0)[9])[1])){
t3=t2;
f_21083(t3,C_SCHEME_UNDEFINED);}
else{
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_21265,a[2]=((C_word*)t0)[14],a[3]=t2,tmp=(C_word)a,a+=4,tmp);
/* library.scm:3928: ##sys#port-line */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[751]);
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[751]+1);
av2[1]=t3;
av2[2]=((C_word*)t0)[3];
tp(3,av2);}}}

/* k21081 in k21078 in loop in a21050 in k21270 in r-list in readrec in k20218 in k20215 in k20212 in k20209 in k20206 in read in k20151 in k20147 in k20143 in k20139 in k20135 in k19774 in k19770 in k19766 in k19762 in ... */
static void C_fcall f_21083(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(14,0,2)))){
C_save_and_reclaim_args((void *)trf_21083,2,t0,t1);}
a=C_alloc(14);
t2=(*a=C_CLOSURE_TYPE|13,a[1]=(C_word)f_21086,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[5],a[6]=((C_word*)t0)[6],a[7]=((C_word*)t0)[7],a[8]=((C_word*)t0)[8],a[9]=((C_word*)t0)[9],a[10]=((C_word*)t0)[10],a[11]=((C_word*)t0)[11],a[12]=((C_word*)t0)[12],a[13]=((C_word*)t0)[13],tmp=(C_word)a,a+=14,tmp);
/* library.scm:3929: ##sys#peek-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[770]);
C_word av2[3];
av2[0]=*((C_word*)lf[770]+1);
av2[1]=t2;
av2[2]=((C_word*)t0)[3];
tp(3,av2);}}

/* k21084 in k21081 in k21078 in loop in a21050 in k21270 in r-list in readrec in k20218 in k20215 in k20212 in k20209 in k20206 in read in k20151 in k20147 in k20143 in k20139 in k20135 in k19774 in k19770 in k19766 in ... */
static void C_ccall f_21086(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(14,c,2)))){
C_save_and_reclaim((void *)f_21086,2,av);}
a=C_alloc(14);
if(C_truep(C_eofp(t1))){
t2=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_21096,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],tmp=(C_word)a,a+=4,tmp);
/* library.scm:3933: starting-line */
t3=((C_word*)t0)[4];
f_21021(t3,t2,lf[811]);}
else{
t2=C_eqp(t1,((C_word*)t0)[5]);
if(C_truep(t2)){
/* library.scm:3935: ##sys#read-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[768]);
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[768]+1);
av2[1]=((C_word*)t0)[2];
av2[2]=((C_word*)t0)[3];
tp(3,av2);}}
else{
t3=C_eqp(t1,C_make_character(46));
if(C_truep(t3)){
t4=(*a=C_CLOSURE_TYPE|13,a[1]=(C_word)f_21114,a[2]=((C_word*)t0)[6],a[3]=((C_word*)t0)[5],a[4]=((C_word*)t0)[2],a[5]=((C_word*)t0)[3],a[6]=((C_word*)t0)[4],a[7]=((C_word*)t0)[7],a[8]=((C_word*)t0)[8],a[9]=((C_word*)t0)[9],a[10]=((C_word*)t0)[10],a[11]=((C_word*)t0)[11],a[12]=((C_word*)t0)[12],a[13]=((C_word*)t0)[13],tmp=(C_word)a,a+=14,tmp);
/* library.scm:3937: ##sys#read-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[768]);
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[768]+1);
av2[1]=t4;
av2[2]=((C_word*)t0)[3];
tp(3,av2);}}
else{
t4=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_21261,a[2]=((C_word*)t0)[9],a[3]=((C_word*)t0)[6],a[4]=((C_word*)t0)[10],a[5]=((C_word*)t0)[2],tmp=(C_word)a,a+=6,tmp);
/* library.scm:3974: readrec */
t5=((C_word*)((C_word*)t0)[8])[1];
f_20298(t5,t4);}}}}

/* k21094 in k21084 in k21081 in k21078 in loop in a21050 in k21270 in r-list in readrec in k20218 in k20215 in k20212 in k20209 in k20206 in read in k20151 in k20147 in k20143 in k20139 in k20135 in k19774 in k19770 in ... */
static void C_ccall f_21096(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_21096,2,av);}
/* library.scm:3931: ##sys#read-error */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[778]);
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[778]+1);
av2[1]=((C_word*)t0)[2];
av2[2]=((C_word*)t0)[3];
av2[3]=t1;
tp(4,av2);}}

/* k21112 in k21084 in k21081 in k21078 in loop in a21050 in k21270 in r-list in readrec in k20218 in k20215 in k20212 in k20209 in k20206 in read in k20151 in k20147 in k20143 in k20139 in k20135 in k19774 in k19770 in ... */
static void C_ccall f_21114(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(14,c,2)))){
C_save_and_reclaim((void *)f_21114,2,av);}
a=C_alloc(14);
t2=(*a=C_CLOSURE_TYPE|13,a[1]=(C_word)f_21117,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[5],a[6]=((C_word*)t0)[6],a[7]=((C_word*)t0)[7],a[8]=((C_word*)t0)[8],a[9]=((C_word*)t0)[9],a[10]=((C_word*)t0)[10],a[11]=((C_word*)t0)[11],a[12]=((C_word*)t0)[12],a[13]=((C_word*)t0)[13],tmp=(C_word)a,a+=14,tmp);
/* library.scm:3938: ##sys#peek-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[770]);
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[770]+1);
av2[1]=t2;
av2[2]=((C_word*)t0)[5];
tp(3,av2);}}

/* k21115 in k21112 in k21084 in k21081 in k21078 in loop in a21050 in k21270 in r-list in readrec in k20218 in k20215 in k20212 in k20209 in k20206 in read in k20151 in k20147 in k20143 in k20139 in k20135 in k19774 in ... */
static void C_ccall f_21117(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(15,c,2)))){
C_save_and_reclaim((void *)f_21117,2,av);}
a=C_alloc(15);
t2=t1;
t3=C_u_i_char_whitespacep(t2);
t4=(*a=C_CLOSURE_TYPE|14,a[1]=(C_word)f_21126,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[5],a[6]=((C_word*)t0)[6],a[7]=((C_word*)t0)[7],a[8]=((C_word*)t0)[8],a[9]=((C_word*)t0)[9],a[10]=((C_word*)t0)[10],a[11]=((C_word*)t0)[11],a[12]=((C_word*)t0)[12],a[13]=t2,a[14]=((C_word*)t0)[13],tmp=(C_word)a,a+=15,tmp);
if(C_truep(t3)){
t5=t4;
f_21126(t5,t3);}
else{
t5=C_eqp(t2,C_make_character(40));
if(C_truep(t5)){
t6=t4;
f_21126(t6,t5);}
else{
t6=C_eqp(t2,C_make_character(41));
if(C_truep(t6)){
t7=t4;
f_21126(t7,t6);}
else{
t7=C_eqp(t2,C_make_character(34));
t8=t4;
f_21126(t8,(C_truep(t7)?t7:C_eqp(t2,C_make_character(59))));}}}}

/* k21124 in k21115 in k21112 in k21084 in k21081 in k21078 in loop in a21050 in k21270 in r-list in readrec in k20218 in k20215 in k20212 in k20209 in k20206 in read in k20151 in k20147 in k20143 in k20139 in k20135 in ... */
static void C_fcall f_21126(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(9,0,4)))){
C_save_and_reclaim_args((void *)trf_21126,2,t0,t1);}
a=C_alloc(9);
if(C_truep(t1)){
t2=(*a=C_CLOSURE_TYPE|8,a[1]=(C_word)f_21129,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[5],a[6]=((C_word*)t0)[6],a[7]=((C_word*)t0)[7],a[8]=((C_word*)t0)[8],tmp=(C_word)a,a+=9,tmp);
if(C_truep(C_i_pairp(((C_word*)t0)[2]))){
t3=t2;{
C_word av2[2];
av2[0]=t3;
av2[1]=C_SCHEME_UNDEFINED;
f_21129(2,av2);}}
else{
/* library.scm:3945: ##sys#read-error */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[778]);
C_word av2[4];
av2[0]=*((C_word*)lf[778]+1);
av2[1]=t2;
av2[2]=((C_word*)t0)[5];
av2[3]=lf[813];
tp(4,av2);}}}
else{
t2=(*a=C_CLOSURE_TYPE|8,a[1]=(C_word)f_21170,a[2]=((C_word*)t0)[9],a[3]=((C_word*)t0)[2],a[4]=((C_word*)t0)[10],a[5]=((C_word*)t0)[11],a[6]=((C_word*)t0)[12],a[7]=((C_word*)t0)[13],a[8]=((C_word)li653),tmp=(C_word)a,a+=9,tmp);
/* library.scm:3955: r-xtoken */
t3=((C_word*)((C_word*)t0)[14])[1];
f_21615(t3,((C_word*)t0)[4],t2);}}

/* k21127 in k21124 in k21115 in k21112 in k21084 in k21081 in k21078 in loop in a21050 in k21270 in r-list in readrec in k20218 in k20215 in k20212 in k20209 in k20206 in read in k20151 in k20147 in k20143 in k20139 in ... */
static void C_ccall f_21129(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(9,c,2)))){
C_save_and_reclaim((void *)f_21129,2,av);}
a=C_alloc(9);
t2=(*a=C_CLOSURE_TYPE|8,a[1]=(C_word)f_21132,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[5],a[6]=((C_word*)t0)[6],a[7]=((C_word*)t0)[7],a[8]=((C_word*)t0)[8],tmp=(C_word)a,a+=9,tmp);
/* library.scm:3946: r-spaces */
t3=((C_word*)((C_word*)t0)[7])[1];
f_20301(t3,t2);}

/* k21130 in k21127 in k21124 in k21115 in k21112 in k21084 in k21081 in k21078 in loop in a21050 in k21270 in r-list in readrec in k20218 in k20215 in k20212 in k20209 in k20206 in read in k20151 in k20147 in k20143 in ... */
static void C_ccall f_21132(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(8,c,2)))){
C_save_and_reclaim((void *)f_21132,2,av);}
a=C_alloc(8);
t2=(*a=C_CLOSURE_TYPE|7,a[1]=(C_word)f_21159,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[5],a[6]=((C_word*)t0)[6],a[7]=((C_word*)t0)[7],tmp=(C_word)a,a+=8,tmp);
/* library.scm:3947: readrec */
t3=((C_word*)((C_word*)t0)[8])[1];
f_20298(t3,t2);}

/* k21136 in k21157 in k21130 in k21127 in k21124 in k21115 in k21112 in k21084 in k21081 in k21078 in loop in a21050 in k21270 in r-list in readrec in k20218 in k20215 in k20212 in k20209 in k20206 in read in k20151 in ... */
static void C_ccall f_21138(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,c,2)))){
C_save_and_reclaim((void *)f_21138,2,av);}
a=C_alloc(6);
t2=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_21155,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[5],tmp=(C_word)a,a+=6,tmp);
/* library.scm:3949: ##sys#read-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[768]);
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[768]+1);
av2[1]=t2;
av2[2]=((C_word*)t0)[4];
tp(3,av2);}}

/* k21149 in k21153 in k21136 in k21157 in k21130 in k21127 in k21124 in k21115 in k21112 in k21084 in k21081 in k21078 in loop in a21050 in k21270 in r-list in readrec in k20218 in k20215 in k20212 in k20209 in k20206 in ... */
static void C_ccall f_21151(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,4)))){
C_save_and_reclaim((void *)f_21151,2,av);}
/* library.scm:3950: ##sys#read-error */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[778]);
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=*((C_word*)lf[778]+1);
av2[1]=((C_word*)t0)[2];
av2[2]=((C_word*)t0)[3];
av2[3]=t1;
av2[4]=((C_word*)t0)[4];
tp(5,av2);}}

/* k21153 in k21136 in k21157 in k21130 in k21127 in k21124 in k21115 in k21112 in k21084 in k21081 in k21078 in loop in a21050 in k21270 in r-list in readrec in k20218 in k20215 in k20212 in k20209 in k20206 in read in ... */
static void C_ccall f_21155(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,c,2)))){
C_save_and_reclaim((void *)f_21155,2,av);}
a=C_alloc(5);
t2=C_eqp(t1,((C_word*)t0)[2]);
if(C_truep(t2)){
t3=C_SCHEME_UNDEFINED;
t4=((C_word*)t0)[3];{
C_word *av2=av;
av2[0]=t4;
av2[1]=t3;
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}
else{
t3=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_21151,a[2]=((C_word*)t0)[3],a[3]=((C_word*)t0)[4],a[4]=((C_word*)t0)[2],tmp=(C_word)a,a+=5,tmp);
/* library.scm:3952: starting-line */
t4=((C_word*)t0)[5];
f_21021(t4,t3,lf[812]);}}

/* k21157 in k21130 in k21127 in k21124 in k21115 in k21112 in k21084 in k21081 in k21078 in loop in a21050 in k21270 in r-list in readrec in k20218 in k20215 in k20212 in k20209 in k20206 in read in k20151 in k20147 in ... */
static void C_ccall f_21159(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,c,2)))){
C_save_and_reclaim((void *)f_21159,2,av);}
a=C_alloc(6);
t2=C_i_setslot(((C_word*)t0)[2],C_fix(1),t1);
t3=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_21138,a[2]=((C_word*)t0)[3],a[3]=((C_word*)t0)[4],a[4]=((C_word*)t0)[5],a[5]=((C_word*)t0)[6],tmp=(C_word)a,a+=6,tmp);
/* library.scm:3948: r-spaces */
t4=((C_word*)((C_word*)t0)[7])[1];
f_20301(t4,t3);}

/* a21169 in k21124 in k21115 in k21112 in k21084 in k21081 in k21078 in loop in a21050 in k21270 in r-list in readrec in k20218 in k20215 in k20212 in k20209 in k20206 in read in k20151 in k20147 in k20143 in k20139 in ... */
static void C_ccall f_21170(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word t5;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(10,c,3)))){
C_save_and_reclaim((void *)f_21170,4,av);}
a=C_alloc(10);
t4=(*a=C_CLOSURE_TYPE|9,a[1]=(C_word)f_21174,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=t1,a[6]=((C_word*)t0)[5],a[7]=((C_word*)t0)[6],a[8]=t3,a[9]=((C_word*)t0)[7],tmp=(C_word)a,a+=10,tmp);
/* library.scm:3957: ##sys#string-append */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[412]+1));
C_word *av2=av;
av2[0]=*((C_word*)lf[412]+1);
av2[1]=t4;
av2[2]=lf[817];
av2[3]=t2;
tp(4,av2);}}

/* k21172 in a21169 in k21124 in k21115 in k21112 in k21084 in k21081 in k21078 in loop in a21050 in k21270 in r-list in readrec in k20218 in k20215 in k20212 in k20209 in k20206 in read in k20151 in k20147 in k20143 in ... */
static void C_ccall f_21174(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(10,c,2)))){
C_save_and_reclaim((void *)f_21174,2,av);}
a=C_alloc(10);
t2=t1;
t3=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_21177,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[5],tmp=(C_word)a,a+=6,tmp);
t4=C_i_string_equal_p(t2,lf[814]);
t5=(C_truep(t4)?C_eqp(((C_word*)((C_word*)t0)[6])[1],lf[815]):C_SCHEME_FALSE);
if(C_truep(t5)){
/* library.scm:3963: build-keyword */
t6=((C_word*)((C_word*)t0)[7])[1];
f_22217(t6,t3,lf[816]);}
else{
if(C_truep(((C_word*)t0)[8])){
/* library.scm:3964: build-keyword */
t6=((C_word*)((C_word*)t0)[7])[1];
f_22217(t6,t3,t2);}
else{
t6=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_21205,a[2]=t3,a[3]=t2,tmp=(C_word)a,a+=4,tmp);
if(C_truep(C_u_i_char_numericp(((C_word*)t0)[9]))){
/* library.scm:3966: ##sys#string->number */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[619]+1));
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[619]+1);
av2[1]=t6;
av2[2]=t2;
tp(3,av2);}}
else{
/* library.scm:4175: ##sys#intern-symbol */{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=0;
av2[1]=t3;
av2[2]=t2;
C_string_to_symbol(3,av2);}}}}}

/* k21175 in k21172 in a21169 in k21124 in k21115 in k21112 in k21084 in k21081 in k21078 in loop in a21050 in k21270 in r-list in readrec in k20218 in k20215 in k20212 in k20209 in k20206 in read in k20151 in k20147 in ... */
static void C_ccall f_21177(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,2)))){
C_save_and_reclaim((void *)f_21177,2,av);}
a=C_alloc(3);
t2=C_a_i_cons(&a,2,t1,C_SCHEME_END_OF_LIST);
if(C_truep(((C_word*)((C_word*)t0)[2])[1])){
t3=C_i_setslot(((C_word*)t0)[3],C_fix(1),t2);
/* library.scm:3972: loop */
t4=((C_word*)((C_word*)t0)[4])[1];
f_21076(t4,((C_word*)t0)[5],t2);}
else{
t3=C_mutate(((C_word *)((C_word*)t0)[2])+1,t2);
/* library.scm:3972: loop */
t4=((C_word*)((C_word*)t0)[4])[1];
f_21076(t4,((C_word*)t0)[5],t2);}}

/* k21203 in k21172 in a21169 in k21124 in k21115 in k21112 in k21084 in k21081 in k21078 in loop in a21050 in k21270 in r-list in readrec in k20218 in k20215 in k20212 in k20209 in k20206 in read in k20151 in k20147 in ... */
static void C_ccall f_21205(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_21205,2,av);}
if(C_truep(t1)){
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=t1;
f_21177(2,av2);}}
else{
/* library.scm:4175: ##sys#intern-symbol */{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=0;
av2[1]=((C_word*)t0)[2];
av2[2]=((C_word*)t0)[3];
C_string_to_symbol(3,av2);}}}

/* k21259 in k21084 in k21081 in k21078 in loop in a21050 in k21270 in r-list in readrec in k20218 in k20215 in k20212 in k20209 in k20206 in read in k20151 in k20147 in k20143 in k20139 in k20135 in k19774 in k19770 in ... */
static void C_ccall f_21261(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,2)))){
C_save_and_reclaim((void *)f_21261,2,av);}
a=C_alloc(3);
t2=C_a_i_cons(&a,2,t1,C_SCHEME_END_OF_LIST);
if(C_truep(((C_word*)((C_word*)t0)[2])[1])){
t3=C_i_setslot(((C_word*)t0)[3],C_fix(1),t2);
/* library.scm:3978: loop */
t4=((C_word*)((C_word*)t0)[4])[1];
f_21076(t4,((C_word*)t0)[5],t2);}
else{
t3=C_mutate(((C_word *)((C_word*)t0)[2])+1,t2);
/* library.scm:3978: loop */
t4=((C_word*)((C_word*)t0)[4])[1];
f_21076(t4,((C_word*)t0)[5],t2);}}

/* k21263 in k21078 in loop in a21050 in k21270 in r-list in readrec in k20218 in k20215 in k20212 in k20209 in k20206 in read in k20151 in k20147 in k20143 in k20139 in k20135 in k19774 in k19770 in k19766 in k19762 in ... */
static void C_ccall f_21265(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_21265,2,av);}
t2=C_mutate(((C_word *)((C_word*)t0)[2])+1,t1);
t3=((C_word*)t0)[3];
f_21083(t3,t2);}

/* k21270 in r-list in readrec in k20218 in k20215 in k20212 in k20209 in k20206 in read in k20151 in k20147 in k20143 in k20139 in k20135 in k19774 in k19770 in k19766 in k19762 in k19758 in k19754 in k19750 in k19746 in ... */
static void C_ccall f_21272(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(30,c,4)))){
C_save_and_reclaim((void *)f_21272,2,av);}
a=C_alloc(30);
t2=C_eqp(t1,((C_word*)t0)[2]);
if(C_truep(t2)){
t3=C_SCHEME_FALSE;
t4=(*a=C_VECTOR_TYPE|1,a[1]=t3,tmp=(C_word)a,a+=2,tmp);
t5=C_SCHEME_FALSE;
t6=(*a=C_VECTOR_TYPE|1,a[1]=t5,tmp=(C_word)a,a+=2,tmp);
t7=((C_word*)((C_word*)t0)[3])[1];
t8=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_21021,a[2]=t6,a[3]=((C_word)li651),tmp=(C_word)a,a+=4,tmp);
t9=(*a=C_CLOSURE_TYPE|7,a[1]=(C_word)f_21038,a[2]=((C_word*)t0)[3],a[3]=t7,a[4]=t4,a[5]=((C_word*)t0)[4],a[6]=((C_word*)t0)[5],a[7]=t6,tmp=(C_word)a,a+=8,tmp);
t10=(*a=C_CLOSURE_TYPE|13,a[1]=(C_word)f_21051,a[2]=((C_word*)t0)[3],a[3]=((C_word*)t0)[6],a[4]=((C_word*)t0)[7],a[5]=t8,a[6]=((C_word*)t0)[8],a[7]=((C_word*)t0)[9],a[8]=t4,a[9]=((C_word*)t0)[10],a[10]=((C_word*)t0)[11],a[11]=((C_word*)t0)[12],a[12]=t6,a[13]=((C_word)li655),tmp=(C_word)a,a+=14,tmp);
/* library.scm:3916: ##sys#call-with-current-continuation */{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=0;
av2[1]=t9;
av2[2]=t10;
C_call_cc(3,av2);}}
else{
/* library.scm:3983: ##sys#read-error */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[778]);
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=*((C_word*)lf[778]+1);
av2[1]=((C_word*)t0)[5];
av2[2]=((C_word*)t0)[7];
av2[3]=lf[818];
av2[4]=((C_word*)t0)[2];
tp(5,av2);}}}

/* r-vector in readrec in k20218 in k20215 in k20212 in k20209 in k20206 in read in k20151 in k20147 in k20143 in k20139 in k20135 in k19774 in k19770 in k19766 in k19762 in k19758 in k19754 in k19750 in k19746 in k19742 in ... */
static void C_fcall f_21274(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,0,3)))){
C_save_and_reclaim_args((void *)trf_21274,2,t0,t1);}
a=C_alloc(4);
t2=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_21278,a[2]=t1,a[3]=((C_word*)t0)[2],tmp=(C_word)a,a+=4,tmp);
/* library.scm:3986: r-list */
t3=((C_word*)((C_word*)t0)[3])[1];
f_21012(t3,t2,C_make_character(40),C_make_character(41));}

/* k21276 in r-vector in readrec in k20218 in k20215 in k20212 in k20209 in k20206 in read in k20151 in k20147 in k20143 in k20139 in k20135 in k19774 in k19770 in k19766 in k19762 in k19758 in k19754 in k19750 in k19746 in ... */
static void C_ccall f_21278(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,4)))){
C_save_and_reclaim((void *)f_21278,2,av);}
if(C_truep(C_i_listp(t1))){
/* library.scm:3988: ##sys#list->vector */
t2=*((C_word*)lf[819]+1);{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[2];
av2[2]=t1;
((C_proc)(void*)(*((C_word*)t2+1)))(3,av2);}}
else{
/* library.scm:3989: ##sys#read-error */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[778]);
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=*((C_word*)lf[778]+1);
av2[1]=((C_word*)t0)[2];
av2[2]=((C_word*)t0)[3];
av2[3]=lf[820];
av2[4]=t1;
tp(5,av2);}}}

/* r-number in readrec in k20218 in k20215 in k20212 in k20209 in k20206 in read in k20151 in k20147 in k20143 in k20139 in k20135 in k19774 in k19770 in k19766 in k19762 in k19758 in k19754 in k19750 in k19746 in k19742 in ... */
static void C_fcall f_21292(C_word t0,C_word t1,C_word t2,C_word t3){
C_word tmp;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(8,0,4)))){
C_save_and_reclaim_args((void *)trf_21292,4,t0,t1,t2,t3);}
a=C_alloc(8);
t4=(*a=C_CLOSURE_TYPE|7,a[1]=(C_word)f_21298,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=t2,a[6]=t3,a[7]=((C_word)li658),tmp=(C_word)a,a+=8,tmp);
/* library.scm:3992: r-xtoken */
t5=((C_word*)((C_word*)t0)[5])[1];
f_21615(t5,t1,t4);}

/* a21297 in r-number in readrec in k20218 in k20215 in k20212 in k20209 in k20206 in read in k20151 in k20147 in k20143 in k20139 in k20135 in k19774 in k19770 in k19766 in k19762 in k19758 in k19754 in k19750 in k19746 in ... */
static void C_ccall f_21298(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(7,c,3)))){
C_save_and_reclaim((void *)f_21298,4,av);}
a=C_alloc(7);
if(C_truep(t3)){
t4=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_21305,a[2]=((C_word*)t0)[2],a[3]=t1,a[4]=((C_word*)t0)[3],tmp=(C_word)a,a+=5,tmp);
/* library.scm:3995: build-keyword */
t5=((C_word*)((C_word*)t0)[4])[1];
f_22217(t5,t4,t2);}
else{
if(C_truep(C_i_string_equal_p(t2,lf[822]))){
/* library.scm:3998: ##sys#read-error */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[778]);
C_word *av2=av;
av2[0]=*((C_word*)lf[778]+1);
av2[1]=t1;
av2[2]=((C_word*)t0)[3];
av2[3]=lf[823];
tp(4,av2);}}
else{
t4=(*a=C_CLOSURE_TYPE|6,a[1]=(C_word)f_21327,a[2]=t1,a[3]=((C_word*)t0)[3],a[4]=t2,a[5]=((C_word*)t0)[5],a[6]=((C_word*)t0)[6],tmp=(C_word)a,a+=7,tmp);
t5=C_block_size(t2);
if(C_truep(C_fixnum_greaterp(t5,C_fix(0)))){
t6=t2;
t7=C_i_string_ref(t6,C_fix(0));
t8=t4;
f_21327(t8,C_u_i_char_equalp(t7,C_make_character(35)));}
else{
t6=t4;
f_21327(t6,C_SCHEME_FALSE);}}}}

/* k21303 in a21297 in r-number in readrec in k20218 in k20215 in k20212 in k20209 in k20206 in read in k20151 in k20147 in k20143 in k20139 in k20135 in k19774 in k19770 in k19766 in k19762 in k19758 in k19754 in k19750 in ... */
static void C_ccall f_21305(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,c,2)))){
C_save_and_reclaim((void *)f_21305,2,av);}
a=C_alloc(5);
t2=t1;
t3=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_21312,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=t2,tmp=(C_word)a,a+=5,tmp);
/* library.scm:3996: ##sys#port-line */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[751]);
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[751]+1);
av2[1]=t3;
av2[2]=((C_word*)t0)[4];
tp(3,av2);}}

/* k21310 in k21303 in a21297 in r-number in readrec in k20218 in k20215 in k20212 in k20209 in k20206 in read in k20151 in k20147 in k20143 in k20139 in k20135 in k19774 in k19770 in k19766 in k19762 in k19758 in k19754 in ... */
static void C_ccall f_21312(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,4)))){
C_save_and_reclaim((void *)f_21312,2,av);}
/* library.scm:3996: info */
t2=((C_word*)((C_word*)t0)[2])[1];
f_20228(t2,((C_word*)t0)[3],lf[821],((C_word*)t0)[4],t1);}

/* k21325 in a21297 in r-number in readrec in k20218 in k20215 in k20212 in k20209 in k20206 in read in k20151 in k20147 in k20143 in k20139 in k20135 in k19774 in k19770 in k19766 in k19762 in k19758 in k19754 in k19750 in ... */
static void C_fcall f_21327(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,0,4)))){
C_save_and_reclaim_args((void *)trf_21327,2,t0,t1);}
a=C_alloc(6);
if(C_truep(t1)){
/* library.scm:4000: ##sys#read-error */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[778]);
C_word av2[5];
av2[0]=*((C_word*)lf[778]+1);
av2[1]=((C_word*)t0)[2];
av2[2]=((C_word*)t0)[3];
av2[3]=lf[824];
av2[4]=((C_word*)t0)[4];
tp(5,av2);}}
else{
t2=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_21333,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[5],a[4]=((C_word*)t0)[3],a[5]=((C_word*)t0)[4],tmp=(C_word)a,a+=6,tmp);
t3=((C_word*)t0)[5];
if(C_truep(t3)){
/* library.scm:4001: ##sys#string->number */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[619]+1));
C_word av2[5];
av2[0]=*((C_word*)lf[619]+1);
av2[1]=t2;
av2[2]=((C_word*)t0)[4];
av2[3]=t3;
av2[4]=((C_word*)t0)[6];
tp(5,av2);}}
else{
/* library.scm:4001: ##sys#string->number */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[619]+1));
C_word av2[5];
av2[0]=*((C_word*)lf[619]+1);
av2[1]=t2;
av2[2]=((C_word*)t0)[4];
av2[3]=C_fix(10);
av2[4]=((C_word*)t0)[6];
tp(5,av2);}}}}

/* k21331 in k21325 in a21297 in r-number in readrec in k20218 in k20215 in k20212 in k20209 in k20206 in read in k20151 in k20147 in k20143 in k20139 in k20135 in k19774 in k19770 in k19766 in k19762 in k19758 in k19754 in ... */
static void C_ccall f_21333(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,4)))){
C_save_and_reclaim((void *)f_21333,2,av);}
if(C_truep(t1)){
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=t1;
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}
else{
if(C_truep(((C_word*)t0)[3])){
/* library.scm:4002: ##sys#read-error */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[778]);
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=*((C_word*)lf[778]+1);
av2[1]=((C_word*)t0)[2];
av2[2]=((C_word*)t0)[4];
av2[3]=lf[825];
av2[4]=((C_word*)t0)[5];
tp(5,av2);}}
else{
t2=((C_word*)t0)[2];
t3=((C_word*)t0)[5];
/* library.scm:4175: ##sys#intern-symbol */{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=0;
av2[1]=t2;
av2[2]=t3;
C_string_to_symbol(3,av2);}}}}

/* r-number-with-exactness in readrec in k20218 in k20215 in k20212 in k20209 in k20206 in read in k20151 in k20147 in k20143 in k20139 in k20135 in k19774 in k19770 in k19766 in k19762 in k19758 in k19754 in k19750 in k19746 in k19742 in ... */
static void C_fcall f_21362(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,0,2)))){
C_save_and_reclaim_args((void *)trf_21362,3,t0,t1,t2);}
a=C_alloc(6);
t3=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_21411,a[2]=t1,a[3]=((C_word*)t0)[2],a[4]=((C_word*)t0)[3],a[5]=t2,tmp=(C_word)a,a+=6,tmp);
/* library.scm:4006: ##sys#peek-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[770]);
C_word av2[3];
av2[0]=*((C_word*)lf[770]+1);
av2[1]=t3;
av2[2]=((C_word*)t0)[2];
tp(3,av2);}}

/* k21370 in k21409 in r-number-with-exactness in readrec in k20218 in k20215 in k20212 in k20209 in k20206 in read in k20151 in k20147 in k20143 in k20139 in k20135 in k19774 in k19770 in k19766 in k19762 in k19758 in k19754 in k19750 in ... */
static void C_ccall f_21372(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,c,2)))){
C_save_and_reclaim((void *)f_21372,2,av);}
a=C_alloc(6);
t2=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_21375,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[5],tmp=(C_word)a,a+=6,tmp);
/* library.scm:4008: ##sys#read-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[768]);
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[768]+1);
av2[1]=t2;
av2[2]=((C_word*)t0)[3];
tp(3,av2);}}

/* k21373 in k21370 in k21409 in r-number-with-exactness in readrec in k20218 in k20215 in k20212 in k20209 in k20206 in read in k20151 in k20147 in k20143 in k20139 in k20135 in k19774 in k19770 in k19766 in k19762 in k19758 in k19754 in ... */
static void C_ccall f_21375(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,4)))){
C_save_and_reclaim((void *)f_21375,2,av);}
if(C_truep(C_eofp(t1))){
/* library.scm:4010: ##sys#read-error */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[778]);
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[778]+1);
av2[1]=((C_word*)t0)[2];
av2[2]=((C_word*)t0)[3];
av2[3]=lf[826];
tp(4,av2);}}
else{
if(C_truep(C_i_char_equalp(t1,C_make_character(105)))){
/* library.scm:4011: r-number */
t2=((C_word*)((C_word*)t0)[4])[1];
f_21292(t2,((C_word*)t0)[2],((C_word*)t0)[5],lf[610]);}
else{
if(C_truep(C_u_i_char_equalp(t1,C_make_character(101)))){
/* library.scm:4012: r-number */
t2=((C_word*)((C_word*)t0)[4])[1];
f_21292(t2,((C_word*)t0)[2],((C_word*)t0)[5],lf[609]);}
else{
/* library.scm:4014: ##sys#read-error */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[778]);
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=*((C_word*)lf[778]+1);
av2[1]=((C_word*)t0)[2];
av2[2]=((C_word*)t0)[3];
av2[3]=lf[827];
av2[4]=t1;
tp(5,av2);}}}}}

/* k21409 in r-number-with-exactness in readrec in k20218 in k20215 in k20212 in k20209 in k20206 in read in k20151 in k20147 in k20143 in k20139 in k20135 in k19774 in k19770 in k19766 in k19762 in k19758 in k19754 in k19750 in k19746 in ... */
static void C_ccall f_21411(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,c,3)))){
C_save_and_reclaim((void *)f_21411,2,av);}
a=C_alloc(6);
t2=C_eqp(C_make_character(35),t1);
if(C_truep(t2)){
t3=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_21372,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[5],tmp=(C_word)a,a+=6,tmp);
/* library.scm:4007: ##sys#read-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[768]);
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[768]+1);
av2[1]=t3;
av2[2]=((C_word*)t0)[3];
tp(3,av2);}}
else{
/* library.scm:4017: r-number */
t3=((C_word*)((C_word*)t0)[4])[1];
f_21292(t3,((C_word*)t0)[2],((C_word*)t0)[5],C_SCHEME_FALSE);}}

/* r-number-with-radix in readrec in k20218 in k20215 in k20212 in k20209 in k20206 in read in k20151 in k20147 in k20143 in k20139 in k20135 in k19774 in k19770 in k19766 in k19762 in k19758 in k19754 in k19750 in k19746 in k19742 in ... */
static void C_fcall f_21413(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,0,2)))){
C_save_and_reclaim_args((void *)trf_21413,3,t0,t1,t2);}
a=C_alloc(6);
t3=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_21478,a[2]=t1,a[3]=((C_word*)t0)[2],a[4]=((C_word*)t0)[3],a[5]=t2,tmp=(C_word)a,a+=6,tmp);
/* library.scm:4020: ##sys#peek-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[770]);
C_word av2[3];
av2[0]=*((C_word*)lf[770]+1);
av2[1]=t3;
av2[2]=((C_word*)t0)[2];
tp(3,av2);}}

/* k21421 in k21476 in r-number-with-radix in readrec in k20218 in k20215 in k20212 in k20209 in k20206 in read in k20151 in k20147 in k20143 in k20139 in k20135 in k19774 in k19770 in k19766 in k19762 in k19758 in k19754 in k19750 in ... */
static void C_ccall f_21423(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,c,2)))){
C_save_and_reclaim((void *)f_21423,2,av);}
a=C_alloc(6);
t2=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_21426,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[5],tmp=(C_word)a,a+=6,tmp);
/* library.scm:4022: ##sys#read-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[768]);
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[768]+1);
av2[1]=t2;
av2[2]=((C_word*)t0)[3];
tp(3,av2);}}

/* k21424 in k21421 in k21476 in r-number-with-radix in readrec in k20218 in k20215 in k20212 in k20209 in k20206 in read in k20151 in k20147 in k20143 in k20139 in k20135 in k19774 in k19770 in k19766 in k19762 in k19758 in k19754 in ... */
static void C_ccall f_21426(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,4)))){
C_save_and_reclaim((void *)f_21426,2,av);}
if(C_truep(C_eofp(t1))){
/* library.scm:4023: ##sys#read-error */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[778]);
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[778]+1);
av2[1]=((C_word*)t0)[2];
av2[2]=((C_word*)t0)[3];
av2[3]=lf[828];
tp(4,av2);}}
else{
if(C_truep(C_i_char_equalp(t1,C_make_character(120)))){
/* library.scm:4024: r-number */
t2=((C_word*)((C_word*)t0)[4])[1];
f_21292(t2,((C_word*)t0)[2],C_fix(16),((C_word*)t0)[5]);}
else{
if(C_truep(C_u_i_char_equalp(t1,C_make_character(100)))){
/* library.scm:4025: r-number */
t2=((C_word*)((C_word*)t0)[4])[1];
f_21292(t2,((C_word*)t0)[2],C_fix(10),((C_word*)t0)[5]);}
else{
if(C_truep(C_u_i_char_equalp(t1,C_make_character(111)))){
/* library.scm:4026: r-number */
t2=((C_word*)((C_word*)t0)[4])[1];
f_21292(t2,((C_word*)t0)[2],C_fix(8),((C_word*)t0)[5]);}
else{
if(C_truep(C_u_i_char_equalp(t1,C_make_character(98)))){
/* library.scm:4027: r-number */
t2=((C_word*)((C_word*)t0)[4])[1];
f_21292(t2,((C_word*)t0)[2],C_fix(2),((C_word*)t0)[5]);}
else{
/* library.scm:4028: ##sys#read-error */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[778]);
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=*((C_word*)lf[778]+1);
av2[1]=((C_word*)t0)[2];
av2[2]=((C_word*)t0)[3];
av2[3]=lf[829];
av2[4]=t1;
tp(5,av2);}}}}}}}

/* k21476 in r-number-with-radix in readrec in k20218 in k20215 in k20212 in k20209 in k20206 in read in k20151 in k20147 in k20143 in k20139 in k20135 in k19774 in k19770 in k19766 in k19762 in k19758 in k19754 in k19750 in k19746 in ... */
static void C_ccall f_21478(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,c,3)))){
C_save_and_reclaim((void *)f_21478,2,av);}
a=C_alloc(6);
t2=C_eqp(C_make_character(35),t1);
if(C_truep(t2)){
t3=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_21423,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[5],tmp=(C_word)a,a+=6,tmp);
/* library.scm:4021: ##sys#read-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[768]);
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[768]+1);
av2[1]=t3;
av2[2]=((C_word*)t0)[3];
tp(3,av2);}}
else{
/* library.scm:4029: r-number */
t3=((C_word*)((C_word*)t0)[4])[1];
f_21292(t3,((C_word*)t0)[2],C_fix(10),((C_word*)t0)[5]);}}

/* r-token in readrec in k20218 in k20215 in k20212 in k20209 in k20206 in read in k20151 in k20147 in k20143 in k20139 in k20135 in k19774 in k19770 in k19766 in k19762 in k19758 in k19754 in k19750 in k19746 in k19742 in ... */
static void C_fcall f_21480(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(7,0,2)))){
C_save_and_reclaim_args((void *)trf_21480,2,t0,t1);}
a=C_alloc(7);
t2=(*a=C_CLOSURE_TYPE|6,a[1]=(C_word)f_21488,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[5],a[6]=t1,tmp=(C_word)a,a+=7,tmp);
/* library.scm:4032: ##sys#peek-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[770]);
C_word av2[3];
av2[0]=*((C_word*)lf[770]+1);
av2[1]=t2;
av2[2]=((C_word*)t0)[2];
tp(3,av2);}}

/* k21486 in r-token in readrec in k20218 in k20215 in k20212 in k20209 in k20206 in read in k20151 in k20147 in k20143 in k20139 in k20135 in k19774 in k19770 in k19766 in k19762 in k19758 in k19754 in k19750 in k19746 in ... */
static void C_ccall f_21488(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(10,c,4)))){
C_save_and_reclaim((void *)f_21488,2,av);}
a=C_alloc(10);
t2=C_SCHEME_UNDEFINED;
t3=(*a=C_VECTOR_TYPE|1,a[1]=t2,tmp=(C_word)a,a+=2,tmp);
t4=C_set_block_item(t3,0,(*a=C_CLOSURE_TYPE|7,a[1]=(C_word)f_21490,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=t3,a[5]=((C_word*)t0)[4],a[6]=((C_word*)t0)[5],a[7]=((C_word)li662),tmp=(C_word)a,a+=8,tmp));
t5=((C_word*)t3)[1];
f_21490(t5,((C_word*)t0)[6],t1,C_SCHEME_END_OF_LIST);}

/* loop in k21486 in r-token in readrec in k20218 in k20215 in k20212 in k20209 in k20206 in read in k20151 in k20147 in k20143 in k20139 in k20135 in k19774 in k19770 in k19766 in k19762 in k19758 in k19754 in k19750 in ... */
static void C_fcall f_21490(C_word t0,C_word t1,C_word t2,C_word t3){
C_word tmp;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(9,0,2)))){
C_save_and_reclaim_args((void *)trf_21490,4,t0,t1,t2,t3);}
a=C_alloc(9);
t4=C_eofp(t2);
t5=(*a=C_CLOSURE_TYPE|8,a[1]=(C_word)f_21500,a[2]=t1,a[3]=t3,a[4]=t2,a[5]=((C_word*)t0)[2],a[6]=((C_word*)t0)[3],a[7]=((C_word*)t0)[4],a[8]=((C_word*)t0)[5],tmp=(C_word)a,a+=9,tmp);
if(C_truep(t4)){
t6=t5;
f_21500(t6,t4);}
else{
t6=C_u_i_char_whitespacep(t2);
t7=t5;
f_21500(t7,(C_truep(t6)?t6:C_i_memq(t2,((C_word*)t0)[6])));}}

/* k21498 in loop in k21486 in r-token in readrec in k20218 in k20215 in k20212 in k20209 in k20206 in read in k20151 in k20147 in k20143 in k20139 in k20135 in k19774 in k19770 in k19766 in k19762 in k19758 in k19754 in ... */
static void C_fcall f_21500(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(8,0,3)))){
C_save_and_reclaim_args((void *)trf_21500,2,t0,t1);}
a=C_alloc(8);
if(C_truep(t1)){
/* library.scm:4036: ##sys#reverse-list->string */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[387]+1));
C_word av2[3];
av2[0]=*((C_word*)lf[387]+1);
av2[1]=((C_word*)t0)[2];
av2[2]=((C_word*)t0)[3];
tp(3,av2);}}
else{
if(C_truep(C_i_char_equalp(((C_word*)t0)[4],C_make_character(0)))){
/* library.scm:4038: ##sys#read-error */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[778]);
C_word av2[4];
av2[0]=*((C_word*)lf[778]+1);
av2[1]=((C_word*)t0)[2];
av2[2]=((C_word*)t0)[5];
av2[3]=lf[830];
tp(4,av2);}}
else{
t2=(*a=C_CLOSURE_TYPE|7,a[1]=(C_word)f_21515,a[2]=((C_word*)t0)[6],a[3]=((C_word*)t0)[4],a[4]=((C_word*)t0)[3],a[5]=((C_word*)t0)[7],a[6]=((C_word*)t0)[2],a[7]=((C_word*)t0)[5],tmp=(C_word)a,a+=8,tmp);
/* library.scm:4040: read-unreserved-char-0 */
t3=((C_word*)((C_word*)t0)[8])[1];
f_20283(t3,t2,((C_word*)t0)[5]);}}}

/* k21513 in k21498 in loop in k21486 in r-token in readrec in k20218 in k20215 in k20212 in k20209 in k20206 in read in k20151 in k20147 in k20143 in k20139 in k20135 in k19774 in k19770 in k19766 in k19762 in k19758 in ... */
static void C_ccall f_21515(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(7,c,2)))){
C_save_and_reclaim((void *)f_21515,2,av);}
a=C_alloc(7);
t2=(*a=C_CLOSURE_TYPE|6,a[1]=(C_word)f_21522,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[5],a[6]=((C_word*)t0)[6],tmp=(C_word)a,a+=7,tmp);
/* library.scm:4041: ##sys#peek-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[770]);
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[770]+1);
av2[1]=t2;
av2[2]=((C_word*)t0)[7];
tp(3,av2);}}

/* k21520 in k21513 in k21498 in loop in k21486 in r-token in readrec in k20218 in k20215 in k20212 in k20209 in k20206 in read in k20151 in k20147 in k20143 in k20139 in k20135 in k19774 in k19770 in k19766 in k19762 in ... */
static void C_ccall f_21522(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,3)))){
C_save_and_reclaim((void *)f_21522,2,av);}
a=C_alloc(3);
if(C_truep(((C_word*)((C_word*)t0)[2])[1])){
t2=((C_word*)t0)[3];
t3=C_a_i_cons(&a,2,t2,((C_word*)t0)[4]);
/* library.scm:4041: loop */
t4=((C_word*)((C_word*)t0)[5])[1];
f_21490(t4,((C_word*)t0)[6],t1,t3);}
else{
t2=C_u_i_char_downcase(((C_word*)t0)[3]);
t3=C_a_i_cons(&a,2,t2,((C_word*)t0)[4]);
/* library.scm:4041: loop */
t4=((C_word*)((C_word*)t0)[5])[1];
f_21490(t4,((C_word*)t0)[6],t1,t3);}}

/* r-digits in readrec in k20218 in k20215 in k20212 in k20209 in k20206 in read in k20151 in k20147 in k20143 in k20139 in k20135 in k19774 in k19770 in k19766 in k19762 in k19758 in k19754 in k19750 in k19746 in k19742 in ... */
static void C_fcall f_21544(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,0,2)))){
C_save_and_reclaim_args((void *)trf_21544,2,t0,t1);}
a=C_alloc(4);
t2=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_21552,a[2]=((C_word*)t0)[2],a[3]=t1,tmp=(C_word)a,a+=4,tmp);
/* library.scm:4045: ##sys#peek-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[770]);
C_word av2[3];
av2[0]=*((C_word*)lf[770]+1);
av2[1]=t2;
av2[2]=((C_word*)t0)[2];
tp(3,av2);}}

/* k21550 in r-digits in readrec in k20218 in k20215 in k20212 in k20209 in k20206 in read in k20151 in k20147 in k20143 in k20139 in k20135 in k19774 in k19770 in k19766 in k19762 in k19758 in k19754 in k19750 in k19746 in ... */
static void C_ccall f_21552(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(7,c,4)))){
C_save_and_reclaim((void *)f_21552,2,av);}
a=C_alloc(7);
t2=C_SCHEME_UNDEFINED;
t3=(*a=C_VECTOR_TYPE|1,a[1]=t2,tmp=(C_word)a,a+=2,tmp);
t4=C_set_block_item(t3,0,(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_21554,a[2]=t3,a[3]=((C_word*)t0)[2],a[4]=((C_word)li664),tmp=(C_word)a,a+=5,tmp));
t5=((C_word*)t3)[1];
f_21554(t5,((C_word*)t0)[3],t1,C_SCHEME_END_OF_LIST);}

/* loop in k21550 in r-digits in readrec in k20218 in k20215 in k20212 in k20209 in k20206 in read in k20151 in k20147 in k20143 in k20139 in k20135 in k19774 in k19770 in k19766 in k19762 in k19758 in k19754 in k19750 in ... */
static void C_fcall f_21554(C_word t0,C_word t1,C_word t2,C_word t3){
C_word tmp;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(7,0,2)))){
C_save_and_reclaim_args((void *)trf_21554,4,t0,t1,t2,t3);}
a=C_alloc(7);
t4=C_eofp(t2);
t5=(*a=C_CLOSURE_TYPE|6,a[1]=(C_word)f_21564,a[2]=t1,a[3]=t3,a[4]=t2,a[5]=((C_word*)t0)[2],a[6]=((C_word*)t0)[3],tmp=(C_word)a,a+=7,tmp);
if(C_truep(t4)){
t6=t5;
f_21564(t6,t4);}
else{
t6=C_u_i_char_numericp(t2);
t7=t5;
f_21564(t7,C_i_not(t6));}}

/* k21562 in loop in k21550 in r-digits in readrec in k20218 in k20215 in k20212 in k20209 in k20206 in read in k20151 in k20147 in k20143 in k20139 in k20135 in k19774 in k19770 in k19766 in k19762 in k19758 in k19754 in ... */
static void C_fcall f_21564(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(7,0,2)))){
C_save_and_reclaim_args((void *)trf_21564,2,t0,t1);}
a=C_alloc(7);
if(C_truep(t1)){
/* library.scm:4047: ##sys#reverse-list->string */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[387]+1));
C_word av2[3];
av2[0]=*((C_word*)lf[387]+1);
av2[1]=((C_word*)t0)[2];
av2[2]=((C_word*)t0)[3];
tp(3,av2);}}
else{
t2=(*a=C_CLOSURE_TYPE|6,a[1]=(C_word)f_21570,a[2]=((C_word*)t0)[4],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[5],a[5]=((C_word*)t0)[2],a[6]=((C_word*)t0)[6],tmp=(C_word)a,a+=7,tmp);
/* library.scm:4049: ##sys#read-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[768]);
C_word av2[3];
av2[0]=*((C_word*)lf[768]+1);
av2[1]=t2;
av2[2]=((C_word*)t0)[6];
tp(3,av2);}}}

/* k21568 in k21562 in loop in k21550 in r-digits in readrec in k20218 in k20215 in k20212 in k20209 in k20206 in read in k20151 in k20147 in k20143 in k20139 in k20135 in k19774 in k19770 in k19766 in k19762 in k19758 in ... */
static void C_ccall f_21570(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,c,2)))){
C_save_and_reclaim((void *)f_21570,2,av);}
a=C_alloc(6);
t2=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_21577,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[5],tmp=(C_word)a,a+=6,tmp);
/* library.scm:4050: ##sys#peek-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[770]);
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[770]+1);
av2[1]=t2;
av2[2]=((C_word*)t0)[6];
tp(3,av2);}}

/* k21575 in k21568 in k21562 in loop in k21550 in r-digits in readrec in k20218 in k20215 in k20212 in k20209 in k20206 in read in k20151 in k20147 in k20143 in k20139 in k20135 in k19774 in k19770 in k19766 in k19762 in ... */
static void C_ccall f_21577(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,3)))){
C_save_and_reclaim((void *)f_21577,2,av);}
a=C_alloc(3);
t2=C_a_i_cons(&a,2,((C_word*)t0)[2],((C_word*)t0)[3]);
/* library.scm:4050: loop */
t3=((C_word*)((C_word*)t0)[4])[1];
f_21554(t3,((C_word*)t0)[5],t1,t2);}

/* r-symbol in readrec in k20218 in k20215 in k20212 in k20209 in k20206 in read in k20151 in k20147 in k20143 in k20139 in k20135 in k19774 in k19770 in k19766 in k19762 in k19758 in k19754 in k19750 in k19746 in k19742 in ... */
static void C_fcall f_21590(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,0,4)))){
C_save_and_reclaim_args((void *)trf_21590,2,t0,t1);}
a=C_alloc(6);
t2=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_21596,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=((C_word)li666),tmp=(C_word)a,a+=6,tmp);
/* library.scm:4053: r-xtoken */
t3=((C_word*)((C_word*)t0)[5])[1];
f_21615(t3,t1,t2);}

/* a21595 in r-symbol in readrec in k20218 in k20215 in k20212 in k20209 in k20206 in read in k20151 in k20147 in k20143 in k20139 in k20135 in k19774 in k19770 in k19766 in k19762 in k19758 in k19754 in k19750 in k19746 in ... */
static void C_ccall f_21596(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(5,c,2)))){
C_save_and_reclaim((void *)f_21596,4,av);}
a=C_alloc(5);
t4=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_21600,a[2]=((C_word*)t0)[2],a[3]=t1,a[4]=((C_word*)t0)[3],tmp=(C_word)a,a+=5,tmp);
if(C_truep(t3)){
/* library.scm:4055: build-keyword */
t5=((C_word*)((C_word*)t0)[4])[1];
f_22217(t5,t4,t2);}
else{
t5=t2;
/* library.scm:4175: ##sys#intern-symbol */{
C_word *av2=av;
av2[0]=0;
av2[1]=t4;
av2[2]=t5;
C_string_to_symbol(3,av2);}}}

/* k21598 in a21595 in r-symbol in readrec in k20218 in k20215 in k20212 in k20209 in k20206 in read in k20151 in k20147 in k20143 in k20139 in k20135 in k19774 in k19770 in k19766 in k19762 in k19758 in k19754 in k19750 in ... */
static void C_ccall f_21600(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,c,2)))){
C_save_and_reclaim((void *)f_21600,2,av);}
a=C_alloc(5);
t2=t1;
t3=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_21607,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=t2,tmp=(C_word)a,a+=5,tmp);
/* library.scm:4056: ##sys#port-line */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[751]);
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[751]+1);
av2[1]=t3;
av2[2]=((C_word*)t0)[4];
tp(3,av2);}}

/* k21605 in k21598 in a21595 in r-symbol in readrec in k20218 in k20215 in k20212 in k20209 in k20206 in read in k20151 in k20147 in k20143 in k20139 in k20135 in k19774 in k19770 in k19766 in k19762 in k19758 in k19754 in ... */
static void C_ccall f_21607(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,4)))){
C_save_and_reclaim((void *)f_21607,2,av);}
/* library.scm:4056: info */
t2=((C_word*)((C_word*)t0)[2])[1];
f_20228(t2,((C_word*)t0)[3],lf[821],((C_word*)t0)[4],t1);}

/* r-xtoken in readrec in k20218 in k20215 in k20212 in k20209 in k20206 in read in k20151 in k20147 in k20143 in k20139 in k20135 in k19774 in k19770 in k19766 in k19762 in k19758 in k19754 in k19750 in k19746 in k19742 in ... */
static void C_fcall f_21615(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(17,0,4)))){
C_save_and_reclaim_args((void *)trf_21615,3,t0,t1,t2);}
a=C_alloc(17);
t3=C_SCHEME_FALSE;
t4=(*a=C_VECTOR_TYPE|1,a[1]=t3,tmp=(C_word)a,a+=2,tmp);
t5=C_SCHEME_UNDEFINED;
t6=(*a=C_VECTOR_TYPE|1,a[1]=t5,tmp=(C_word)a,a+=2,tmp);
t7=C_set_block_item(t6,0,(*a=C_CLOSURE_TYPE|12,a[1]=(C_word)f_21621,a[2]=t2,a[3]=t4,a[4]=((C_word*)t0)[2],a[5]=((C_word*)t0)[3],a[6]=((C_word*)t0)[4],a[7]=t6,a[8]=((C_word*)t0)[5],a[9]=((C_word*)t0)[6],a[10]=((C_word*)t0)[7],a[11]=((C_word*)t0)[8],a[12]=((C_word)li668),tmp=(C_word)a,a+=13,tmp));
t8=((C_word*)t6)[1];
f_21621(t8,t1,C_SCHEME_END_OF_LIST,C_SCHEME_FALSE);}

/* loop in r-xtoken in readrec in k20218 in k20215 in k20212 in k20209 in k20206 in read in k20151 in k20147 in k20143 in k20139 in k20135 in k19774 in k19770 in k19766 in k19762 in k19758 in k19754 in k19750 in k19746 in ... */
static void C_fcall f_21621(C_word t0,C_word t1,C_word t2,C_word t3){
C_word tmp;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(15,0,2)))){
C_save_and_reclaim_args((void *)trf_21621,4,t0,t1,t2,t3);}
a=C_alloc(15);
t4=(*a=C_CLOSURE_TYPE|14,a[1]=(C_word)f_21625,a[2]=((C_word*)t0)[2],a[3]=t1,a[4]=t2,a[5]=((C_word*)t0)[3],a[6]=t3,a[7]=((C_word*)t0)[4],a[8]=((C_word*)t0)[5],a[9]=((C_word*)t0)[6],a[10]=((C_word*)t0)[7],a[11]=((C_word*)t0)[8],a[12]=((C_word*)t0)[9],a[13]=((C_word*)t0)[10],a[14]=((C_word*)t0)[11],tmp=(C_word)a,a+=15,tmp);
/* library.scm:4061: ##sys#peek-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[770]);
C_word av2[3];
av2[0]=*((C_word*)lf[770]+1);
av2[1]=t4;
av2[2]=((C_word*)t0)[9];
tp(3,av2);}}

/* k21623 in loop in r-xtoken in readrec in k20218 in k20215 in k20212 in k20209 in k20206 in read in k20151 in k20147 in k20143 in k20139 in k20135 in k19774 in k19770 in k19766 in k19762 in k19758 in k19754 in k19750 in ... */
static void C_ccall f_21625(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(15,c,2)))){
C_save_and_reclaim((void *)f_21625,2,av);}
a=C_alloc(15);
t2=t1;
t3=C_eofp(t2);
t4=(*a=C_CLOSURE_TYPE|14,a[1]=(C_word)f_21634,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[5],a[6]=((C_word*)t0)[6],a[7]=((C_word*)t0)[7],a[8]=t2,a[9]=((C_word*)t0)[8],a[10]=((C_word*)t0)[9],a[11]=((C_word*)t0)[10],a[12]=((C_word*)t0)[11],a[13]=((C_word*)t0)[12],a[14]=((C_word*)t0)[13],tmp=(C_word)a,a+=15,tmp);
if(C_truep(t3)){
t5=t4;
f_21634(t5,t3);}
else{
t5=C_u_i_char_whitespacep(t2);
t6=t4;
f_21634(t6,(C_truep(t5)?t5:C_i_memq(t2,((C_word*)t0)[14])));}}

/* k21632 in k21623 in loop in r-xtoken in readrec in k20218 in k20215 in k20212 in k20209 in k20206 in read in k20151 in k20147 in k20143 in k20139 in k20135 in k19774 in k19770 in k19766 in k19762 in k19758 in k19754 in ... */
static void C_fcall f_21634(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(10,0,2)))){
C_save_and_reclaim_args((void *)trf_21634,2,t0,t1);}
a=C_alloc(10);
if(C_truep(t1)){
t2=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_21640,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[5],tmp=(C_word)a,a+=6,tmp);
if(C_truep(((C_word*)t0)[6])){
t3=C_eqp(((C_word*)((C_word*)t0)[7])[1],lf[815]);
if(C_truep(t3)){
t4=C_i_cdr(((C_word*)t0)[4]);
t5=C_i_nullp(t4);
t6=t2;
f_21640(t6,C_i_not(t5));}
else{
t4=t2;
f_21640(t4,C_SCHEME_FALSE);}}
else{
t3=t2;
f_21640(t3,C_SCHEME_FALSE);}}
else{
if(C_truep(C_i_memq(((C_word*)t0)[8],((C_word*)((C_word*)t0)[9])[1]))){
/* library.scm:4073: reserved-character */
t2=((C_word*)((C_word*)t0)[10])[1];
f_20274(t2,((C_word*)t0)[3],((C_word*)t0)[8]);}
else{
t2=(*a=C_CLOSURE_TYPE|9,a[1]=(C_word)f_21698,a[2]=((C_word*)t0)[11],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[12],a[6]=((C_word*)t0)[13],a[7]=((C_word*)t0)[7],a[8]=((C_word*)t0)[5],a[9]=((C_word*)t0)[14],tmp=(C_word)a,a+=10,tmp);
/* library.scm:4075: ##sys#read-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[768]);
C_word av2[3];
av2[0]=*((C_word*)lf[768]+1);
av2[1]=t2;
av2[2]=((C_word*)t0)[13];
tp(3,av2);}}}}

/* k21638 in k21632 in k21623 in loop in r-xtoken in readrec in k20218 in k20215 in k20212 in k20209 in k20206 in read in k20151 in k20147 in k20143 in k20139 in k20135 in k19774 in k19770 in k19766 in k19762 in k19758 in ... */
static void C_fcall f_21640(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,0,2)))){
C_save_and_reclaim_args((void *)trf_21640,2,t0,t1);}
a=C_alloc(6);
if(C_truep(t1)){
t2=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_21647,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],tmp=(C_word)a,a+=4,tmp);
t3=C_i_cdr(((C_word*)t0)[4]);
/* library.scm:4069: ##sys#reverse-list->string */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[387]+1));
C_word av2[3];
av2[0]=*((C_word*)lf[387]+1);
av2[1]=t2;
av2[2]=t3;
tp(3,av2);}}
else{
t2=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_21658,a[2]=((C_word*)t0)[5],a[3]=((C_word*)t0)[4],a[4]=((C_word*)t0)[2],a[5]=((C_word*)t0)[3],tmp=(C_word)a,a+=6,tmp);
/* library.scm:4070: ##sys#reverse-list->string */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[387]+1));
C_word av2[3];
av2[0]=*((C_word*)lf[387]+1);
av2[1]=t2;
av2[2]=((C_word*)t0)[4];
tp(3,av2);}}}

/* k21645 in k21638 in k21632 in k21623 in loop in r-xtoken in readrec in k20218 in k20215 in k20212 in k20209 in k20206 in read in k20151 in k20147 in k20143 in k20139 in k20135 in k19774 in k19770 in k19766 in k19762 in ... */
static void C_ccall f_21647(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_21647,2,av);}
/* library.scm:4069: k */
t2=((C_word*)t0)[2];{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[3];
av2[2]=t1;
av2[3]=C_SCHEME_TRUE;
((C_proc)C_fast_retrieve_proc(t2))(4,av2);}}

/* k21656 in k21638 in k21632 in k21623 in loop in r-xtoken in readrec in k20218 in k20215 in k20212 in k20209 in k20206 in read in k20151 in k20147 in k20143 in k20139 in k20135 in k19774 in k19770 in k19766 in k19762 in ... */
static void C_ccall f_21658(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_21658,2,av);}
if(C_truep(((C_word*)((C_word*)t0)[2])[1])){
t2=C_i_nullp(((C_word*)t0)[3]);
t3=C_i_not(t2);
/* library.scm:4070: k */
t4=((C_word*)t0)[4];{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t4;
av2[1]=((C_word*)t0)[5];
av2[2]=t1;
av2[3]=t3;
((C_proc)C_fast_retrieve_proc(t4))(4,av2);}}
else{
/* library.scm:4070: k */
t2=((C_word*)t0)[4];{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[5];
av2[2]=t1;
av2[3]=C_SCHEME_FALSE;
((C_proc)C_fast_retrieve_proc(t2))(4,av2);}}}

/* k21696 in k21632 in k21623 in loop in r-xtoken in readrec in k20218 in k20215 in k20212 in k20209 in k20206 in read in k20151 in k20147 in k20143 in k20139 in k20135 in k19774 in k19770 in k19766 in k19762 in k19758 in ... */
static void C_ccall f_21698(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(9,c,3)))){
C_save_and_reclaim((void *)f_21698,2,av);}
a=C_alloc(9);
switch(t1){
case C_make_character(124):
t2=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_21707,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],tmp=(C_word)a,a+=5,tmp);
/* library.scm:4078: r-string */
t3=((C_word*)((C_word*)t0)[5])[1];
f_20446(t3,t2,C_make_character(124));
case C_make_character(10):
t2=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_21731,a[2]=((C_word*)t0)[4],a[3]=((C_word*)t0)[2],a[4]=((C_word*)t0)[3],tmp=(C_word)a,a+=5,tmp);
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_21742,a[2]=t2,a[3]=((C_word*)t0)[6],tmp=(C_word)a,a+=4,tmp);
/* library.scm:4084: ##sys#reverse-list->string */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[387]+1));
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[387]+1);
av2[1]=t3;
av2[2]=((C_word*)t0)[4];
tp(3,av2);}
case C_make_character(58):
t2=C_i_nullp(((C_word*)t0)[4]);
t3=(C_truep(t2)?C_eqp(((C_word*)((C_word*)t0)[7])[1],lf[832]):C_SCHEME_FALSE);
if(C_truep(t3)){
t4=C_set_block_item(((C_word*)t0)[8],0,C_SCHEME_TRUE);
/* library.scm:4089: loop */
t5=((C_word*)((C_word*)t0)[2])[1];
f_21621(t5,((C_word*)t0)[3],C_SCHEME_END_OF_LIST,C_SCHEME_FALSE);}
else{
t4=C_a_i_cons(&a,2,C_make_character(58),((C_word*)t0)[4]);
/* library.scm:4090: loop */
t5=((C_word*)((C_word*)t0)[2])[1];
f_21621(t5,((C_word*)t0)[3],t4,C_SCHEME_TRUE);}
case C_make_character(92):
t2=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_21780,a[2]=((C_word*)t0)[3],a[3]=((C_word*)t0)[6],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[2],tmp=(C_word)a,a+=6,tmp);
/* library.scm:4092: ##sys#read-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[768]);
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[768]+1);
av2[1]=t2;
av2[2]=((C_word*)t0)[6];
tp(3,av2);}
default:
if(C_truep(((C_word*)((C_word*)t0)[9])[1])){
t2=C_a_i_cons(&a,2,t1,((C_word*)t0)[4]);
/* library.scm:4099: loop */
t3=((C_word*)((C_word*)t0)[2])[1];
f_21621(t3,((C_word*)t0)[3],t2,C_SCHEME_FALSE);}
else{
t2=C_u_i_char_downcase(t1);
t3=C_a_i_cons(&a,2,t2,((C_word*)t0)[4]);
/* library.scm:4099: loop */
t4=((C_word*)((C_word*)t0)[2])[1];
f_21621(t4,((C_word*)t0)[3],t3,C_SCHEME_FALSE);}}}

/* k21705 in k21696 in k21632 in k21623 in loop in r-xtoken in readrec in k20218 in k20215 in k20212 in k20209 in k20206 in read in k20151 in k20147 in k20143 in k20139 in k20135 in k19774 in k19770 in k19766 in k19762 in ... */
static void C_ccall f_21707(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(11,c,2)))){
C_save_and_reclaim((void *)f_21707,2,av);}
a=C_alloc(11);
t2=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_21714,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],tmp=(C_word)a,a+=4,tmp);
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_21718,a[2]=t2,a[3]=((C_word*)t0)[4],tmp=(C_word)a,a+=4,tmp);
t4=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_21722,a[2]=t3,tmp=(C_word)a,a+=3,tmp);
/* library.scm:4079: ##sys#string->list */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[383]+1));
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[383]+1);
av2[1]=t4;
av2[2]=t1;
tp(3,av2);}}

/* k21712 in k21705 in k21696 in k21632 in k21623 in loop in r-xtoken in readrec in k20218 in k20215 in k20212 in k20209 in k20206 in read in k20151 in k20147 in k20143 in k20139 in k20135 in k19774 in k19770 in k19766 in ... */
static void C_ccall f_21714(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_21714,2,av);}
/* library.scm:4079: loop */
t2=((C_word*)((C_word*)t0)[2])[1];
f_21621(t2,((C_word*)t0)[3],t1,C_SCHEME_FALSE);}

/* k21716 in k21705 in k21696 in k21632 in k21623 in loop in r-xtoken in readrec in k20218 in k20215 in k20212 in k20209 in k20206 in read in k20151 in k20147 in k20143 in k20139 in k20135 in k19774 in k19770 in k19766 in ... */
static void C_ccall f_21718(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_21718,2,av);}
/* library.scm:4079: scheme#append */
t2=*((C_word*)lf[373]+1);{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[2];
av2[2]=t1;
av2[3]=((C_word*)t0)[3];
((C_proc)(void*)(*((C_word*)t2+1)))(4,av2);}}

/* k21720 in k21705 in k21696 in k21632 in k21623 in loop in r-xtoken in readrec in k20218 in k20215 in k20212 in k20209 in k20206 in read in k20151 in k20147 in k20143 in k20139 in k20135 in k19774 in k19770 in k19766 in ... */
static void C_ccall f_21722(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_21722,2,av);}
/* library.scm:4079: ##sys#fast-reverse */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[375]+1));
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[375]+1);
av2[1]=((C_word*)t0)[2];
av2[2]=t1;
tp(3,av2);}}

/* k21729 in k21696 in k21632 in k21623 in loop in r-xtoken in readrec in k20218 in k20215 in k20212 in k20209 in k20206 in read in k20151 in k20147 in k20143 in k20139 in k20135 in k19774 in k19770 in k19766 in k19762 in ... */
static void C_ccall f_21731(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,3)))){
C_save_and_reclaim((void *)f_21731,2,av);}
a=C_alloc(3);
t2=C_a_i_cons(&a,2,C_make_character(10),((C_word*)t0)[2]);
/* library.scm:4085: loop */
t3=((C_word*)((C_word*)t0)[3])[1];
f_21621(t3,((C_word*)t0)[4],t2,C_SCHEME_FALSE);}

/* k21740 in k21696 in k21632 in k21623 in loop in r-xtoken in readrec in k20218 in k20215 in k20212 in k20209 in k20206 in read in k20151 in k20147 in k20143 in k20139 in k20135 in k19774 in k19770 in k19766 in k19762 in ... */
static void C_ccall f_21742(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,4)))){
C_save_and_reclaim((void *)f_21742,2,av);}
/* library.scm:4082: ##sys#read-warning */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[781]);
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=*((C_word*)lf[781]+1);
av2[1]=((C_word*)t0)[2];
av2[2]=((C_word*)t0)[3];
av2[3]=lf[831];
av2[4]=t1;
tp(5,av2);}}

/* k21778 in k21696 in k21632 in k21623 in loop in r-xtoken in readrec in k20218 in k20215 in k20212 in k20209 in k20206 in read in k20151 in k20147 in k20143 in k20139 in k20135 in k19774 in k19770 in k19766 in k19762 in ... */
static void C_ccall f_21780(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,3)))){
C_save_and_reclaim((void *)f_21780,2,av);}
a=C_alloc(3);
if(C_truep(C_eofp(t1))){
/* library.scm:4094: ##sys#read-error */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[778]);
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[778]+1);
av2[1]=((C_word*)t0)[2];
av2[2]=((C_word*)t0)[3];
av2[3]=lf[833];
tp(4,av2);}}
else{
t2=C_a_i_cons(&a,2,t1,((C_word*)t0)[4]);
/* library.scm:4097: loop */
t3=((C_word*)((C_word*)t0)[5])[1];
f_21621(t3,((C_word*)t0)[2],t2,C_SCHEME_FALSE);}}

/* r-char in readrec in k20218 in k20215 in k20212 in k20209 in k20206 in read in k20151 in k20147 in k20143 in k20139 in k20135 in k19774 in k19770 in k19766 in k19762 in k19758 in k19754 in k19750 in k19746 in k19742 in ... */
static void C_fcall f_21829(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,0,2)))){
C_save_and_reclaim_args((void *)trf_21829,2,t0,t1);}
a=C_alloc(6);
t2=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_21833,a[2]=t1,a[3]=((C_word*)t0)[2],a[4]=((C_word*)t0)[3],a[5]=((C_word*)t0)[4],tmp=(C_word)a,a+=6,tmp);
/* library.scm:4105: ##sys#peek-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[770]);
C_word av2[3];
av2[0]=*((C_word*)lf[770]+1);
av2[1]=t2;
av2[2]=((C_word*)t0)[2];
tp(3,av2);}}

/* k21831 in r-char in readrec in k20218 in k20215 in k20212 in k20209 in k20206 in read in k20151 in k20147 in k20143 in k20139 in k20135 in k19774 in k19770 in k19766 in k19762 in k19758 in k19754 in k19750 in k19746 in ... */
static void C_ccall f_21833(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,c,2)))){
C_save_and_reclaim((void *)f_21833,2,av);}
a=C_alloc(6);
t2=t1;
t3=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_21836,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=t2,a[5]=((C_word*)t0)[4],tmp=(C_word)a,a+=6,tmp);
/* library.scm:4106: r-token */
t4=((C_word*)((C_word*)t0)[5])[1];
f_21480(t4,t3);}

/* k21834 in k21831 in r-char in readrec in k20218 in k20215 in k20212 in k20209 in k20206 in read in k20151 in k20147 in k20143 in k20139 in k20135 in k19774 in k19770 in k19766 in k19762 in k19758 in k19754 in k19750 in ... */
static void C_ccall f_21836(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(11,c,2)))){
C_save_and_reclaim((void *)f_21836,2,av);}
a=C_alloc(11);
t2=t1;
t3=C_block_size(t2);
t4=t3;
if(C_truep(C_fixnum_greaterp(t4,C_fix(1)))){
t5=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_21848,a[2]=((C_word*)t0)[2],a[3]=t2,a[4]=((C_word*)t0)[3],a[5]=t4,tmp=(C_word)a,a+=6,tmp);
t6=C_i_char_equalp(C_make_character(120),((C_word*)t0)[4]);
t7=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_22013,a[2]=t5,a[3]=t2,a[4]=t4,tmp=(C_word)a,a+=5,tmp);
if(C_truep(t6)){
t8=t7;
f_22013(t8,t6);}
else{
t8=C_u_i_char_equalp(C_make_character(117),((C_word*)t0)[4]);
if(C_truep(t8)){
t9=t7;
f_22013(t9,t8);}
else{
t9=C_u_i_char_equalp(C_make_character(85),((C_word*)t0)[4]);
t10=t7;
f_22013(t10,t9);}}}
else{
if(C_truep(C_i_memq(((C_word*)t0)[4],((C_word*)t0)[5]))){
/* library.scm:4136: ##sys#read-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[768]);
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[768]+1);
av2[1]=((C_word*)t0)[2];
av2[2]=((C_word*)t0)[3];
tp(3,av2);}}
else{
t5=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t5;
av2[1]=((C_word*)t0)[4];
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}}}

/* k21846 in k21834 in k21831 in r-char in readrec in k20218 in k20215 in k20212 in k20209 in k20206 in read in k20151 in k20147 in k20143 in k20139 in k20135 in k19774 in k19770 in k19766 in k19762 in k19758 in k19754 in ... */
static void C_ccall f_21848(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word t12;
C_word t13;
C_word t14;
C_word t15;
C_word t16;
C_word t17;
C_word t18;
C_word t19;
C_word t20;
C_word t21;
C_word t22;
C_word t23;
C_word t24;
C_word t25;
C_word t26;
C_word t27;
C_word t28;
C_word t29;
C_word t30;
C_word t31;
C_word t32;
C_word t33;
C_word t34;
C_word t35;
C_word t36;
C_word t37;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,c,2)))){
C_save_and_reclaim((void *)f_21848,2,av);}
a=C_alloc(5);
if(C_truep(t1)){
t2=((C_word*)t0)[2];
t3=t1;
t4=t2;{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_make_character(C_unfix(t3));
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}
else{
t2=C_subchar(((C_word*)t0)[3],C_fix(0));
t3=C_fix(C_character_code(t2));
t4=C_fixnum_less_or_equal_p(C_fix(192),t3);
t5=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_21868,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[4],a[4]=((C_word*)t0)[3],tmp=(C_word)a,a+=5,tmp);
if(C_truep(t4)){
if(C_truep(C_fixnum_less_or_equal_p(t3,C_fix(247)))){
t6=C_fixnum_shift_right(t3,C_fix(4));
t7=C_fixnum_and(t6,C_fix(3));
t8=C_fixnum_shift_right(t7,C_fix(1));
t9=C_fixnum_or(t7,t8);
t10=C_fixnum_difference(t7,C_fix(1));
t11=C_fixnum_and(t9,t10);
t12=C_fixnum_plus(C_fix(2),t11);
t13=C_eqp(((C_word*)t0)[5],t12);
if(C_truep(t13)){
t14=C_fixnum_difference(C_fix(8),t12);
t15=C_fixnum_shift_left(C_fix(1),t14);
t16=C_fixnum_difference(t15,C_fix(1));
t17=C_fixnum_and(t3,t16);
t18=C_fixnum_shift_left(t17,C_fix(6));
t19=C_subchar(((C_word*)t0)[3],C_fix(1));
t20=C_fix(C_character_code(t19));
t21=C_fixnum_and(t20,C_fix(63));
t22=C_fixnum_plus(t18,t21);
t23=t22;
if(C_truep(t23)){
if(C_truep(C_fixnum_greater_or_equal_p(t12,C_fix(3)))){
t24=C_fixnum_shift_left(t23,C_fix(6));
t25=C_subchar(((C_word*)t0)[3],C_fix(2));
t26=C_fix(C_character_code(t25));
t27=C_fixnum_and(t26,C_fix(63));
t28=C_fixnum_plus(t24,t27);
t29=t23=t28;
t30=C_eqp(t12,C_fix(4));
if(C_truep(t30)){
t31=C_fixnum_shift_left(t23,C_fix(6));
t32=C_subchar(((C_word*)t0)[3],C_fix(3));
t33=C_fix(C_character_code(t32));
t34=C_fixnum_and(t33,C_fix(63));
t35=C_fixnum_plus(t31,t34);
t36=t23=t35;
t37=t5;
f_21868(t37,C_make_character(C_unfix(t23)));}
else{
t31=t5;
f_21868(t31,C_make_character(C_unfix(t23)));}}
else{
t24=t5;
f_21868(t24,C_make_character(C_unfix(t23)));}}
else{
t24=t5;
f_21868(t24,C_SCHEME_FALSE);}}
else{
t14=t5;
f_21868(t14,C_SCHEME_FALSE);}}
else{
t6=t5;
f_21868(t6,C_SCHEME_FALSE);}}
else{
t6=t5;
f_21868(t6,C_SCHEME_FALSE);}}}

/* k21866 in k21846 in k21834 in k21831 in r-char in readrec in k20218 in k20215 in k20212 in k20209 in k20206 in read in k20151 in k20147 in k20143 in k20139 in k20135 in k19774 in k19770 in k19766 in k19762 in k19758 in ... */
static void C_fcall f_21868(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(8,0,2)))){
C_save_and_reclaim_args((void *)trf_21868,2,t0,t1);}
a=C_alloc(8);
if(C_truep(t1)){
t2=t1;
t3=((C_word*)t0)[2];{
C_word av2[2];
av2[0]=t3;
av2[1]=t2;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}
else{
t2=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_21874,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],tmp=(C_word)a,a+=5,tmp);
t3=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_21884,a[2]=t2,tmp=(C_word)a,a+=3,tmp);
/* library.scm:4134: ##sys#intern-symbol */{
C_word av2[3];
av2[0]=0;
av2[1]=t3;
av2[2]=((C_word*)t0)[4];
C_string_to_symbol(3,av2);}}}

/* k21872 in k21866 in k21846 in k21834 in k21831 in r-char in readrec in k20218 in k20215 in k20212 in k20209 in k20206 in read in k20151 in k20147 in k20143 in k20139 in k20135 in k19774 in k19770 in k19766 in k19762 in ... */
static void C_ccall f_21874(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,4)))){
C_save_and_reclaim((void *)f_21874,2,av);}
if(C_truep(t1)){
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=t1;
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}
else{
/* library.scm:4135: ##sys#read-error */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[778]);
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=*((C_word*)lf[778]+1);
av2[1]=((C_word*)t0)[2];
av2[2]=((C_word*)t0)[3];
av2[3]=lf[834];
av2[4]=((C_word*)t0)[4];
tp(5,av2);}}}

/* k21882 in k21866 in k21846 in k21834 in k21831 in r-char in readrec in k20218 in k20215 in k20212 in k20209 in k20206 in read in k20151 in k20147 in k20143 in k20139 in k20135 in k19774 in k19770 in k19766 in k19762 in ... */
static void C_ccall f_21884(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_21884,2,av);}
/* library.scm:4134: chicken.base#char-name */
t2=*((C_word*)lf[199]+1);{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[2];
av2[2]=t1;
((C_proc)(void*)(*((C_word*)t2+1)))(3,av2);}}

/* k22011 in k21834 in k21831 in r-char in readrec in k20218 in k20215 in k20212 in k20209 in k20206 in read in k20151 in k20147 in k20143 in k20139 in k20135 in k19774 in k19770 in k19766 in k19762 in k19758 in k19754 in ... */
static void C_fcall f_22013(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,0,4)))){
C_save_and_reclaim_args((void *)trf_22013,2,t0,t1);}
a=C_alloc(3);
if(C_truep(t1)){
t2=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_22020,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
/* library.scm:4110: ##sys#substring */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[395]+1));
C_word av2[5];
av2[0]=*((C_word*)lf[395]+1);
av2[1]=t2;
av2[2]=((C_word*)t0)[3];
av2[3]=C_fix(1);
av2[4]=((C_word*)t0)[4];
tp(5,av2);}}
else{
t2=((C_word*)t0)[2];{
C_word av2[2];
av2[0]=t2;
av2[1]=C_SCHEME_FALSE;
f_21848(2,av2);}}}

/* k22018 in k22011 in k21834 in k21831 in r-char in readrec in k20218 in k20215 in k20212 in k20209 in k20206 in read in k20151 in k20147 in k20143 in k20139 in k20135 in k19774 in k19770 in k19766 in k19762 in k19758 in ... */
static void C_ccall f_22020(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_22020,2,av);}
/* library.scm:4110: ##sys#string->number */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[619]+1));
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[619]+1);
av2[1]=((C_word*)t0)[2];
av2[2]=t1;
av2[3]=C_fix(16);
tp(4,av2);}}

/* r-comment in readrec in k20218 in k20215 in k20212 in k20209 in k20206 in read in k20151 in k20147 in k20143 in k20139 in k20135 in k19774 in k19770 in k19766 in k19762 in k19758 in k19754 in k19750 in k19746 in k19742 in ... */
static void C_fcall f_22038(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(7,0,3)))){
C_save_and_reclaim_args((void *)trf_22038,2,t0,t1);}
a=C_alloc(7);
t2=C_SCHEME_UNDEFINED;
t3=(*a=C_VECTOR_TYPE|1,a[1]=t2,tmp=(C_word)a,a+=2,tmp);
t4=C_set_block_item(t3,0,(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_22044,a[2]=t3,a[3]=((C_word*)t0)[2],a[4]=((C_word)li671),tmp=(C_word)a,a+=5,tmp));
t5=((C_word*)t3)[1];
f_22044(t5,t1,C_fix(0));}

/* loop in r-comment in readrec in k20218 in k20215 in k20212 in k20209 in k20206 in read in k20151 in k20147 in k20143 in k20139 in k20135 in k19774 in k19770 in k19766 in k19762 in k19758 in k19754 in k19750 in k19746 in ... */
static void C_fcall f_22044(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,0,2)))){
C_save_and_reclaim_args((void *)trf_22044,3,t0,t1,t2);}
a=C_alloc(6);
t3=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_22048,a[2]=t2,a[3]=((C_word*)t0)[2],a[4]=t1,a[5]=((C_word*)t0)[3],tmp=(C_word)a,a+=6,tmp);
/* library.scm:4141: ##sys#read-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[768]);
C_word av2[3];
av2[0]=*((C_word*)lf[768]+1);
av2[1]=t3;
av2[2]=((C_word*)t0)[3];
tp(3,av2);}}

/* k22046 in loop in r-comment in readrec in k20218 in k20215 in k20212 in k20209 in k20206 in read in k20151 in k20147 in k20143 in k20139 in k20135 in k19774 in k19770 in k19766 in k19762 in k19758 in k19754 in k19750 in ... */
static void C_ccall f_22048(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,c,3)))){
C_save_and_reclaim((void *)f_22048,2,av);}
a=C_alloc(5);
switch(t1){
case C_make_character(124):
t2=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_22084,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],tmp=(C_word)a,a+=5,tmp);
/* library.scm:4143: ##sys#read-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[768]);
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[768]+1);
av2[1]=t2;
av2[2]=((C_word*)t0)[5];
tp(3,av2);}
case C_make_character(35):
t2=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_22107,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],tmp=(C_word)a,a+=5,tmp);
/* library.scm:4147: ##sys#read-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[768]);
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[768]+1);
av2[1]=t2;
av2[2]=((C_word*)t0)[5];
tp(3,av2);}
default:
if(C_truep(C_eofp(t1))){
/* library.scm:4151: ##sys#read-error */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[778]);
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[778]+1);
av2[1]=((C_word*)t0)[4];
av2[2]=((C_word*)t0)[5];
av2[3]=lf[835];
tp(4,av2);}}
else{
/* library.scm:4152: loop */
t2=((C_word*)((C_word*)t0)[3])[1];
f_22044(t2,((C_word*)t0)[4],((C_word*)t0)[2]);}}}

/* k22082 in k22046 in loop in r-comment in readrec in k20218 in k20215 in k20212 in k20209 in k20206 in read in k20151 in k20147 in k20143 in k20139 in k20135 in k19774 in k19770 in k19766 in k19762 in k19758 in k19754 in ... */
static void C_ccall f_22084(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_22084,2,av);}
t2=C_eqp(C_make_character(35),t1);
if(C_truep(t2)){
t3=C_eqp(((C_word*)t0)[2],C_fix(0));
if(C_truep(C_i_not(t3))){
t4=C_fixnum_difference(((C_word*)t0)[2],C_fix(1));
/* library.scm:4145: loop */
t5=((C_word*)((C_word*)t0)[3])[1];
f_22044(t5,((C_word*)t0)[4],t4);}
else{
t4=C_SCHEME_UNDEFINED;
t5=((C_word*)t0)[4];{
C_word *av2=av;
av2[0]=t5;
av2[1]=t4;
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}}
else{
/* library.scm:4146: loop */
t3=((C_word*)((C_word*)t0)[3])[1];
f_22044(t3,((C_word*)t0)[4],((C_word*)t0)[2]);}}

/* k22105 in k22046 in loop in r-comment in readrec in k20218 in k20215 in k20212 in k20209 in k20206 in read in k20151 in k20147 in k20143 in k20139 in k20135 in k19774 in k19770 in k19766 in k19762 in k19758 in k19754 in ... */
static void C_ccall f_22107(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_22107,2,av);}
t2=C_eqp(C_make_character(124),t1);
if(C_truep(t2)){
t3=C_fixnum_plus(((C_word*)t0)[2],C_fix(1));
/* library.scm:4147: loop */
t4=((C_word*)((C_word*)t0)[3])[1];
f_22044(t4,((C_word*)t0)[4],t3);}
else{
t3=((C_word*)t0)[2];
/* library.scm:4147: loop */
t4=((C_word*)((C_word*)t0)[3])[1];
f_22044(t4,((C_word*)t0)[4],t3);}}

/* r-ext-symbol in readrec in k20218 in k20215 in k20212 in k20209 in k20206 in read in k20151 in k20147 in k20143 in k20139 in k20135 in k19774 in k19770 in k19766 in k19762 in k19758 in k19754 in k19750 in k19746 in k19742 in ... */
static void C_fcall f_22125(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,0,2)))){
C_save_and_reclaim_args((void *)trf_22125,2,t0,t1);}
a=C_alloc(5);
t2=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_22129,a[2]=((C_word*)t0)[2],a[3]=t1,a[4]=((C_word*)t0)[3],tmp=(C_word)a,a+=5,tmp);
/* library.scm:4155: ##sys#make-string */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[376]+1));
C_word av2[3];
av2[0]=*((C_word*)lf[376]+1);
av2[1]=t2;
av2[2]=C_fix(1);
tp(3,av2);}}

/* k22127 in r-ext-symbol in readrec in k20218 in k20215 in k20212 in k20209 in k20206 in read in k20151 in k20147 in k20143 in k20139 in k20135 in k19774 in k19770 in k19766 in k19762 in k19758 in k19754 in k19750 in k19746 in ... */
static void C_ccall f_22129(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,c,2)))){
C_save_and_reclaim((void *)f_22129,2,av);}
a=C_alloc(5);
t2=t1;
t3=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_22132,a[2]=((C_word*)t0)[2],a[3]=t2,a[4]=((C_word*)t0)[3],tmp=(C_word)a,a+=5,tmp);
/* library.scm:4156: r-token */
t4=((C_word*)((C_word*)t0)[4])[1];
f_21480(t4,t3);}

/* k22130 in k22127 in r-ext-symbol in readrec in k20218 in k20215 in k20212 in k20209 in k20206 in read in k20151 in k20147 in k20143 in k20139 in k20135 in k19774 in k19770 in k19766 in k19762 in k19758 in k19754 in k19750 in ... */
static void C_ccall f_22132(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(9,c,4)))){
C_save_and_reclaim((void *)f_22132,2,av);}
a=C_alloc(9);
t2=t1;
t3=(*a=C_VECTOR_TYPE|1,a[1]=t2,tmp=(C_word)a,a+=2,tmp);
t4=C_block_size(((C_word*)t3)[1]);
t5=t4;
t6=(*a=C_CLOSURE_TYPE|6,a[1]=(C_word)f_22138,a[2]=t5,a[3]=((C_word*)t0)[2],a[4]=t3,a[5]=((C_word*)t0)[3],a[6]=((C_word*)t0)[4],tmp=(C_word)a,a+=7,tmp);
if(C_truep(C_fast_retrieve(lf[774]))){
t7=t6;{
C_word *av2=av;
av2[0]=t7;
av2[1]=C_SCHEME_UNDEFINED;
f_22138(2,av2);}}
else{
/* library.scm:4159: ##sys#read-error */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[778]);
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=*((C_word*)lf[778]+1);
av2[1]=t6;
av2[2]=((C_word*)t0)[2];
av2[3]=lf[837];
av2[4]=((C_word*)t3)[1];
tp(5,av2);}}}

/* k22136 in k22130 in k22127 in r-ext-symbol in readrec in k20218 in k20215 in k20212 in k20209 in k20206 in read in k20151 in k20147 in k20143 in k20139 in k20135 in k19774 in k19770 in k19766 in k19762 in k19758 in k19754 in ... */
static void C_ccall f_22138(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(10,c,3)))){
C_save_and_reclaim((void *)f_22138,2,av);}
a=C_alloc(10);
t2=C_SCHEME_UNDEFINED;
t3=(*a=C_VECTOR_TYPE|1,a[1]=t2,tmp=(C_word)a,a+=2,tmp);
t4=C_set_block_item(t3,0,(*a=C_CLOSURE_TYPE|7,a[1]=(C_word)f_22143,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[5],a[6]=t3,a[7]=((C_word)li673),tmp=(C_word)a,a+=8,tmp));
t5=((C_word*)t3)[1];
f_22143(t5,((C_word*)t0)[6],C_fix(0));}

/* loop in k22136 in k22130 in k22127 in r-ext-symbol in readrec in k20218 in k20215 in k20212 in k20209 in k20206 in read in k20151 in k20147 in k20143 in k20139 in k20135 in k19774 in k19770 in k19766 in k19762 in k19758 in ... */
static void C_fcall f_22143(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word *a;
loop:
if(C_unlikely(!C_demand(C_calculate_demand(11,0,4)))){
C_save_and_reclaim_args((void *)trf_22143,3,t0,t1,t2);}
a=C_alloc(11);
if(C_truep(C_fixnum_greater_or_equal_p(t2,((C_word*)t0)[2]))){
/* library.scm:4162: ##sys#read-error */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[778]);
C_word av2[5];
av2[0]=*((C_word*)lf[778]+1);
av2[1]=t1;
av2[2]=((C_word*)t0)[3];
av2[3]=lf[836];
av2[4]=((C_word*)((C_word*)t0)[4])[1];
tp(5,av2);}}
else{
t3=C_subbyte(((C_word*)((C_word*)t0)[4])[1],t2);
t4=C_eqp(t3,C_fix(35));
if(C_truep(t4)){
t5=(*a=C_CLOSURE_TYPE|6,a[1]=(C_word)f_22162,a[2]=((C_word*)t0)[5],a[3]=t2,a[4]=t1,a[5]=((C_word*)t0)[4],a[6]=((C_word*)t0)[2],tmp=(C_word)a,a+=7,tmp);
if(C_truep(C_fixnum_greaterp(t2,C_fix(31)))){
t6=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_22191,a[2]=((C_word*)t0)[4],a[3]=t5,tmp=(C_word)a,a+=4,tmp);
/* library.scm:4165: ##sys#substring */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[395]+1));
C_word av2[5];
av2[0]=*((C_word*)lf[395]+1);
av2[1]=t6;
av2[2]=((C_word*)((C_word*)t0)[4])[1];
av2[3]=C_fix(0);
av2[4]=C_fix(31);
tp(5,av2);}}
else{
t6=t5;
f_22162(t6,C_SCHEME_UNDEFINED);}}
else{
t5=C_fixnum_plus(t2,C_fix(1));
/* library.scm:4172: loop */
t8=t1;
t9=t5;
t1=t8;
t2=t9;
goto loop;}}}

/* k22160 in loop in k22136 in k22130 in k22127 in r-ext-symbol in readrec in k20218 in k20215 in k20212 in k20209 in k20206 in read in k20151 in k20147 in k20143 in k20139 in k20135 in k19774 in k19770 in k19766 in k19762 in ... */
static void C_fcall f_22162(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(10,0,4)))){
C_save_and_reclaim_args((void *)trf_22162,2,t0,t1);}
a=C_alloc(10);
t2=C_setbyte(((C_word*)t0)[2],C_fix(0),((C_word*)t0)[3]);
t3=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_22172,a[2]=((C_word*)t0)[4],tmp=(C_word)a,a+=3,tmp);
t4=(*a=C_CLOSURE_TYPE|6,a[1]=(C_word)f_22176,a[2]=t3,a[3]=((C_word*)t0)[2],a[4]=((C_word*)t0)[3],a[5]=((C_word*)t0)[5],a[6]=((C_word*)t0)[6],tmp=(C_word)a,a+=7,tmp);
/* library.scm:4170: ##sys#substring */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[395]+1));
C_word av2[5];
av2[0]=*((C_word*)lf[395]+1);
av2[1]=t4;
av2[2]=((C_word*)((C_word*)t0)[5])[1];
av2[3]=C_fix(0);
av2[4]=((C_word*)t0)[3];
tp(5,av2);}}

/* k22170 in k22160 in loop in k22136 in k22130 in k22127 in r-ext-symbol in readrec in k20218 in k20215 in k20212 in k20209 in k20206 in read in k20151 in k20147 in k20143 in k20139 in k20135 in k19774 in k19770 in k19766 in ... */
static void C_ccall f_22172(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_22172,2,av);}
/* library.scm:4167: ##sys#intern-symbol */{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=0;
av2[1]=((C_word*)t0)[2];
av2[2]=t1;
C_string_to_symbol(3,av2);}}

/* k22174 in k22160 in loop in k22136 in k22130 in k22127 in r-ext-symbol in readrec in k20218 in k20215 in k20212 in k20209 in k20206 in read in k20151 in k20147 in k20143 in k20139 in k20135 in k19774 in k19770 in k19766 in ... */
static void C_ccall f_22176(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,c,4)))){
C_save_and_reclaim((void *)f_22176,2,av);}
a=C_alloc(5);
t2=t1;
t3=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_22180,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=t2,tmp=(C_word)a,a+=5,tmp);
t4=C_fixnum_plus(((C_word*)t0)[4],C_fix(1));
/* library.scm:4171: ##sys#substring */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[395]+1));
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=*((C_word*)lf[395]+1);
av2[1]=t3;
av2[2]=((C_word*)((C_word*)t0)[5])[1];
av2[3]=t4;
av2[4]=((C_word*)t0)[6];
tp(5,av2);}}

/* k22178 in k22174 in k22160 in loop in k22136 in k22130 in k22127 in r-ext-symbol in readrec in k20218 in k20215 in k20212 in k20209 in k20206 in read in k20151 in k20147 in k20143 in k20139 in k20135 in k19774 in k19770 in ... */
static void C_ccall f_22180(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,4)))){
C_save_and_reclaim((void *)f_22180,2,av);}
/* library.scm:4168: string-append */
t2=*((C_word*)lf[413]+1);{
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[2];
av2[2]=((C_word*)t0)[3];
av2[3]=((C_word*)t0)[4];
av2[4]=t1;
((C_proc)(void*)(*((C_word*)t2+1)))(5,av2);}}

/* k22189 in loop in k22136 in k22130 in k22127 in r-ext-symbol in readrec in k20218 in k20215 in k20212 in k20209 in k20206 in read in k20151 in k20147 in k20143 in k20139 in k20135 in k19774 in k19770 in k19766 in k19762 in ... */
static void C_ccall f_22191(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_22191,2,av);}
t2=C_mutate(((C_word *)((C_word*)t0)[2])+1,t1);
t3=((C_word*)t0)[3];
f_22162(t3,t2);}

/* build-keyword in readrec in k20218 in k20215 in k20212 in k20209 in k20206 in read in k20151 in k20147 in k20143 in k20139 in k20135 in k19774 in k19770 in k19766 in k19762 in k19758 in k19754 in k19750 in k19746 in k19742 in ... */
static void C_fcall f_22217(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,0,3)))){
C_save_and_reclaim_args((void *)trf_22217,3,t0,t1,t2);}
a=C_alloc(3);
t3=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_22225,a[2]=t1,tmp=(C_word)a,a+=3,tmp);
/* library.scm:4179: ##sys#string-append */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[412]+1));
C_word av2[4];
av2[0]=*((C_word*)lf[412]+1);
av2[1]=t3;
av2[2]=((C_word*)t0)[2];
av2[3]=t2;
tp(4,av2);}}

/* k22223 in build-keyword in readrec in k20218 in k20215 in k20212 in k20209 in k20206 in read in k20151 in k20147 in k20143 in k20139 in k20135 in k19774 in k19770 in k19766 in k19762 in k19758 in k19754 in k19750 in k19746 in ... */
static void C_ccall f_22225(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_22225,2,av);}
/* library.scm:4178: ##sys#intern-symbol */{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=0;
av2[1]=((C_word*)t0)[2];
av2[2]=t1;
C_string_to_symbol(3,av2);}}

/* k22227 in readrec in k20218 in k20215 in k20212 in k20209 in k20206 in read in k20151 in k20147 in k20143 in k20139 in k20135 in k19774 in k19770 in k19766 in k19762 in k19758 in k19754 in k19750 in k19746 in k19742 in ... */
static void C_ccall f_22229(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(26,c,2)))){
C_save_and_reclaim((void *)f_22229,2,av);}
a=C_alloc(26);
t2=C_mutate(((C_word *)((C_word*)t0)[2])+1,t1);
t3=(*a=C_CLOSURE_TYPE|25,a[1]=(C_word)f_22232,a[2]=((C_word*)t0)[3],a[3]=((C_word*)t0)[4],a[4]=((C_word*)t0)[5],a[5]=((C_word*)t0)[6],a[6]=((C_word*)t0)[7],a[7]=((C_word*)t0)[8],a[8]=((C_word*)t0)[9],a[9]=((C_word*)t0)[10],a[10]=((C_word*)t0)[11],a[11]=((C_word*)t0)[12],a[12]=((C_word*)t0)[13],a[13]=((C_word*)t0)[14],a[14]=((C_word*)t0)[15],a[15]=((C_word*)t0)[16],a[16]=((C_word*)t0)[17],a[17]=((C_word*)t0)[18],a[18]=((C_word*)t0)[19],a[19]=((C_word*)t0)[20],a[20]=((C_word*)t0)[21],a[21]=((C_word*)t0)[22],a[22]=((C_word*)t0)[23],a[23]=((C_word*)t0)[2],a[24]=((C_word*)t0)[24],a[25]=((C_word*)t0)[25],tmp=(C_word)a,a+=26,tmp);
/* library.scm:4186: r-spaces */
t4=((C_word*)((C_word*)t0)[26])[1];
f_20301(t4,t3);}

/* k22230 in k22227 in readrec in k20218 in k20215 in k20212 in k20209 in k20206 in read in k20151 in k20147 in k20143 in k20139 in k20135 in k19774 in k19770 in k19766 in k19762 in k19758 in k19754 in k19750 in k19746 in ... */
static void C_ccall f_22232(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(26,c,2)))){
C_save_and_reclaim((void *)f_22232,2,av);}
a=C_alloc(26);
t2=(*a=C_CLOSURE_TYPE|25,a[1]=(C_word)f_22235,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[5],a[6]=((C_word*)t0)[6],a[7]=((C_word*)t0)[7],a[8]=((C_word*)t0)[8],a[9]=((C_word*)t0)[9],a[10]=((C_word*)t0)[10],a[11]=((C_word*)t0)[11],a[12]=((C_word*)t0)[12],a[13]=((C_word*)t0)[13],a[14]=((C_word*)t0)[14],a[15]=((C_word*)t0)[15],a[16]=((C_word*)t0)[16],a[17]=((C_word*)t0)[17],a[18]=((C_word*)t0)[18],a[19]=((C_word*)t0)[19],a[20]=((C_word*)t0)[20],a[21]=((C_word*)t0)[21],a[22]=((C_word*)t0)[22],a[23]=((C_word*)t0)[23],a[24]=((C_word*)t0)[24],a[25]=((C_word*)t0)[25],tmp=(C_word)a,a+=26,tmp);
/* library.scm:4187: ##sys#peek-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[770]);
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[770]+1);
av2[1]=t2;
av2[2]=((C_word*)t0)[3];
tp(3,av2);}}

/* k22233 in k22230 in k22227 in readrec in k20218 in k20215 in k20212 in k20209 in k20206 in read in k20151 in k20147 in k20143 in k20139 in k20135 in k19774 in k19770 in k19766 in k19762 in k19758 in k19754 in k19750 in ... */
static void C_ccall f_22235(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(27,c,2)))){
C_save_and_reclaim((void *)f_22235,2,av);}
a=C_alloc(27);
t2=t1;
t3=C_slot(((C_word*)t0)[2],C_fix(1));
t4=(*a=C_CLOSURE_TYPE|26,a[1]=(C_word)f_22241,a[2]=t2,a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[5],a[6]=((C_word*)t0)[2],a[7]=((C_word*)t0)[6],a[8]=((C_word*)t0)[7],a[9]=((C_word*)t0)[8],a[10]=((C_word*)t0)[9],a[11]=((C_word*)t0)[10],a[12]=((C_word*)t0)[11],a[13]=((C_word*)t0)[12],a[14]=((C_word*)t0)[13],a[15]=((C_word*)t0)[14],a[16]=((C_word*)t0)[15],a[17]=((C_word*)t0)[16],a[18]=((C_word*)t0)[17],a[19]=((C_word*)t0)[18],a[20]=((C_word*)t0)[19],a[21]=((C_word*)t0)[20],a[22]=((C_word*)t0)[21],a[23]=((C_word*)t0)[22],a[24]=((C_word*)t0)[23],a[25]=((C_word*)t0)[24],a[26]=((C_word*)t0)[25],tmp=(C_word)a,a+=27,tmp);
t5=C_eofp(t2);
if(C_truep(C_i_not(t5))){
if(C_truep(t3)){
t6=C_fix(C_character_code(t2));
t7=t4;
f_22241(t7,C_slot(t3,t6));}
else{
t6=t4;
f_22241(t6,C_SCHEME_FALSE);}}
else{
t6=t4;
f_22241(t6,C_SCHEME_FALSE);}}

/* k22239 in k22233 in k22230 in k22227 in readrec in k20218 in k20215 in k20212 in k20209 in k20206 in read in k20151 in k20147 in k20143 in k20139 in k20135 in k19774 in k19770 in k19766 in k19762 in k19758 in k19754 in ... */
static void C_fcall f_22241(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word t12;
C_word t13;
C_word t14;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(20,0,3)))){
C_save_and_reclaim_args((void *)trf_22241,2,t0,t1);}
a=C_alloc(20);
t2=t1;
if(C_truep(t2)){
t3=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_22249,a[2]=t2,a[3]=((C_word*)t0)[2],a[4]=((C_word*)t0)[3],a[5]=((C_word)li676),tmp=(C_word)a,a+=6,tmp);
t4=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_22255,a[2]=((C_word*)t0)[4],a[3]=((C_word)li677),tmp=(C_word)a,a+=4,tmp);
/* library.scm:4193: ##sys#call-with-values */{
C_word av2[4];
av2[0]=0;
av2[1]=((C_word*)t0)[5];
av2[2]=t3;
av2[3]=t4;
C_call_with_values(4,av2);}}
else{
switch(((C_word*)t0)[2]){
case C_make_character(39):
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_22277,a[2]=((C_word*)t0)[5],a[3]=((C_word*)t0)[4],tmp=(C_word)a,a+=4,tmp);
/* library.scm:4199: ##sys#read-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[768]);
C_word av2[3];
av2[0]=*((C_word*)lf[768]+1);
av2[1]=t3;
av2[2]=((C_word*)t0)[3];
tp(3,av2);}
case C_make_character(96):
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_22293,a[2]=((C_word*)t0)[5],a[3]=((C_word*)t0)[4],tmp=(C_word)a,a+=4,tmp);
/* library.scm:4202: ##sys#read-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[768]);
C_word av2[3];
av2[0]=*((C_word*)lf[768]+1);
av2[1]=t3;
av2[2]=((C_word*)t0)[3];
tp(3,av2);}
case C_make_character(44):
t3=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_22309,a[2]=((C_word*)t0)[5],a[3]=((C_word*)t0)[4],a[4]=((C_word*)t0)[3],tmp=(C_word)a,a+=5,tmp);
/* library.scm:4205: ##sys#read-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[768]);
C_word av2[3];
av2[0]=*((C_word*)lf[768]+1);
av2[1]=t3;
av2[2]=((C_word*)t0)[3];
tp(3,av2);}
case C_make_character(35):
t3=(*a=C_CLOSURE_TYPE|19,a[1]=(C_word)f_22345,a[2]=((C_word*)t0)[5],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[6],a[5]=((C_word*)t0)[2],a[6]=((C_word*)t0)[4],a[7]=((C_word*)t0)[7],a[8]=((C_word*)t0)[8],a[9]=((C_word*)t0)[9],a[10]=((C_word*)t0)[10],a[11]=((C_word*)t0)[11],a[12]=((C_word*)t0)[12],a[13]=((C_word*)t0)[13],a[14]=((C_word*)t0)[14],a[15]=((C_word*)t0)[15],a[16]=((C_word*)t0)[16],a[17]=((C_word*)t0)[17],a[18]=((C_word*)t0)[18],a[19]=((C_word*)t0)[19],tmp=(C_word)a,a+=20,tmp);
/* library.scm:4211: ##sys#read-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[768]);
C_word av2[3];
av2[0]=*((C_word*)lf[768]+1);
av2[1]=t3;
av2[2]=((C_word*)t0)[3];
tp(3,av2);}
case C_make_character(40):
/* library.scm:4321: r-list */
t3=((C_word*)((C_word*)t0)[20])[1];
f_21012(t3,((C_word*)t0)[5],C_make_character(40),C_make_character(41));
case C_make_character(41):
t3=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_22964,a[2]=((C_word*)t0)[21],a[3]=((C_word*)t0)[5],a[4]=((C_word*)t0)[2],tmp=(C_word)a,a+=5,tmp);
/* library.scm:4322: ##sys#read-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[768]);
C_word av2[3];
av2[0]=*((C_word*)lf[768]+1);
av2[1]=t3;
av2[2]=((C_word*)t0)[3];
tp(3,av2);}
case C_make_character(34):
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_22976,a[2]=((C_word*)t0)[22],a[3]=((C_word*)t0)[5],tmp=(C_word)a,a+=4,tmp);
/* library.scm:4323: ##sys#read-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[768]);
C_word av2[3];
av2[0]=*((C_word*)lf[768]+1);
av2[1]=t3;
av2[2]=((C_word*)t0)[3];
tp(3,av2);}
case C_make_character(46):
/* library.scm:4324: r-number */
t3=((C_word*)((C_word*)t0)[23])[1];
f_21292(t3,((C_word*)t0)[5],C_SCHEME_FALSE,C_SCHEME_FALSE);
default:
t3=C_eqp(((C_word*)t0)[2],C_make_character(45));
t4=(C_truep(t3)?t3:C_eqp(((C_word*)t0)[2],C_make_character(43)));
if(C_truep(t4)){
/* library.scm:4325: r-number */
t5=((C_word*)((C_word*)t0)[23])[1];
f_21292(t5,((C_word*)t0)[5],C_SCHEME_FALSE,C_SCHEME_FALSE);}
else{
if(C_truep(C_eofp(((C_word*)t0)[2]))){
t5=((C_word*)t0)[5];{
C_word av2[2];
av2[0]=t5;
av2[1]=((C_word*)t0)[2];
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}
else{
if(C_truep(C_u_i_char_numericp(((C_word*)t0)[2]))){
/* library.scm:4328: r-number */
t5=((C_word*)((C_word*)t0)[23])[1];
f_21292(t5,((C_word*)t0)[5],C_SCHEME_FALSE,C_SCHEME_FALSE);}
else{
if(C_truep(C_i_memq(((C_word*)t0)[2],((C_word*)((C_word*)t0)[24])[1]))){
/* library.scm:4330: reserved-character */
t5=((C_word*)((C_word*)t0)[25])[1];
f_20274(t5,((C_word*)t0)[5],((C_word*)t0)[2]);}
else{
switch(((C_word*)t0)[2]){
case C_make_character(91):
/* library.scm:4333: r-list */
t5=((C_word*)((C_word*)t0)[20])[1];
f_21012(t5,((C_word*)t0)[5],C_make_character(91),C_make_character(93));
case C_make_character(123):
/* library.scm:4334: r-list */
t5=((C_word*)((C_word*)t0)[20])[1];
f_21012(t5,((C_word*)t0)[5],C_make_character(123),C_make_character(125));
default:
t5=C_eqp(((C_word*)t0)[2],C_make_character(93));
t6=(C_truep(t5)?t5:C_eqp(((C_word*)t0)[2],C_make_character(125)));
if(C_truep(t6)){
t7=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_23054,a[2]=((C_word*)t0)[21],a[3]=((C_word*)t0)[5],a[4]=((C_word*)t0)[2],tmp=(C_word)a,a+=5,tmp);
/* library.scm:4335: ##sys#read-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[768]);
C_word av2[3];
av2[0]=*((C_word*)lf[768]+1);
av2[1]=t7;
av2[2]=((C_word*)t0)[3];
tp(3,av2);}}
else{
/* library.scm:4336: r-symbol */
t7=((C_word*)((C_word*)t0)[26])[1];
f_21590(t7,((C_word*)t0)[5]);}}}}}}}}}

/* a22248 in k22239 in k22233 in k22230 in k22227 in readrec in k20218 in k20215 in k20212 in k20209 in k20206 in read in k20151 in k20147 in k20143 in k20139 in k20135 in k19774 in k19770 in k19766 in k19762 in k19758 in ... */
static void C_ccall f_22249(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(c!=2) C_bad_argc_2(c,2,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_22249,2,av);}
/* library.scm:4194: h */
t2=((C_word*)t0)[2];{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t2;
av2[1]=t1;
av2[2]=((C_word*)t0)[3];
av2[3]=((C_word*)t0)[4];
((C_proc)C_fast_retrieve_proc(t2))(4,av2);}}

/* a22254 in k22239 in k22233 in k22230 in k22227 in readrec in k20218 in k20215 in k20212 in k20209 in k20206 in read in k20151 in k20147 in k20143 in k20139 in k20135 in k19774 in k19770 in k19766 in k19762 in k19758 in ... */
static void C_ccall f_22255(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand((c-2)*C_SIZEOF_PAIR +0,c,1)))){
C_save_and_reclaim((void*)f_22255,c,av);}
a=C_alloc((c-2)*C_SIZEOF_PAIR+0);
t2=C_build_rest(&a,c,2,av);
C_word t3;
if(C_truep(C_i_nullp(t2))){
/* library.scm:4195: readrec */
t3=((C_word*)((C_word*)t0)[2])[1];
f_20298(t3,t1);}
else{
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_i_car(t2);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}}

/* k22275 in k22239 in k22233 in k22230 in k22227 in readrec in k20218 in k20215 in k20212 in k20209 in k20206 in read in k20151 in k20147 in k20143 in k20139 in k20135 in k19774 in k19770 in k19766 in k19762 in k19758 in ... */
static void C_ccall f_22277(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,2)))){
C_save_and_reclaim((void *)f_22277,2,av);}
a=C_alloc(3);
t2=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_22284,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
/* library.scm:4200: readrec */
t3=((C_word*)((C_word*)t0)[3])[1];
f_20298(t3,t2);}

/* k22282 in k22275 in k22239 in k22233 in k22230 in k22227 in readrec in k20218 in k20215 in k20212 in k20209 in k20206 in read in k20151 in k20147 in k20143 in k20139 in k20135 in k19774 in k19770 in k19766 in k19762 in ... */
static void C_ccall f_22284(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,c,1)))){
C_save_and_reclaim((void *)f_22284,2,av);}
a=C_alloc(6);
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=C_a_i_list2(&a,2,lf[838],t1);
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* k22291 in k22239 in k22233 in k22230 in k22227 in readrec in k20218 in k20215 in k20212 in k20209 in k20206 in read in k20151 in k20147 in k20143 in k20139 in k20135 in k19774 in k19770 in k19766 in k19762 in k19758 in ... */
static void C_ccall f_22293(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,2)))){
C_save_and_reclaim((void *)f_22293,2,av);}
a=C_alloc(3);
t2=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_22300,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
/* library.scm:4203: readrec */
t3=((C_word*)((C_word*)t0)[3])[1];
f_20298(t3,t2);}

/* k22298 in k22291 in k22239 in k22233 in k22230 in k22227 in readrec in k20218 in k20215 in k20212 in k20209 in k20206 in read in k20151 in k20147 in k20143 in k20139 in k20135 in k19774 in k19770 in k19766 in k19762 in ... */
static void C_ccall f_22300(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,c,1)))){
C_save_and_reclaim((void *)f_22300,2,av);}
a=C_alloc(6);
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=C_a_i_list2(&a,2,lf[839],t1);
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* k22307 in k22239 in k22233 in k22230 in k22227 in readrec in k20218 in k20215 in k20212 in k20209 in k20206 in read in k20151 in k20147 in k20143 in k20139 in k20135 in k19774 in k19770 in k19766 in k19762 in k19758 in ... */
static void C_ccall f_22309(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,c,2)))){
C_save_and_reclaim((void *)f_22309,2,av);}
a=C_alloc(5);
t2=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_22336,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],tmp=(C_word)a,a+=5,tmp);
/* library.scm:4206: ##sys#peek-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[770]);
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[770]+1);
av2[1]=t2;
av2[2]=((C_word*)t0)[4];
tp(3,av2);}}

/* k22316 in k22334 in k22307 in k22239 in k22233 in k22230 in k22227 in readrec in k20218 in k20215 in k20212 in k20209 in k20206 in read in k20151 in k20147 in k20143 in k20139 in k20135 in k19774 in k19770 in k19766 in ... */
static void C_ccall f_22318(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,2)))){
C_save_and_reclaim((void *)f_22318,2,av);}
a=C_alloc(3);
t2=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_22325,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
/* library.scm:4208: readrec */
t3=((C_word*)((C_word*)t0)[3])[1];
f_20298(t3,t2);}

/* k22323 in k22316 in k22334 in k22307 in k22239 in k22233 in k22230 in k22227 in readrec in k20218 in k20215 in k20212 in k20209 in k20206 in read in k20151 in k20147 in k20143 in k20139 in k20135 in k19774 in k19770 in ... */
static void C_ccall f_22325(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,c,1)))){
C_save_and_reclaim((void *)f_22325,2,av);}
a=C_alloc(6);
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=C_a_i_list2(&a,2,lf[840],t1);
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* k22330 in k22334 in k22307 in k22239 in k22233 in k22230 in k22227 in readrec in k20218 in k20215 in k20212 in k20209 in k20206 in read in k20151 in k20147 in k20143 in k20139 in k20135 in k19774 in k19770 in k19766 in ... */
static void C_ccall f_22332(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,c,1)))){
C_save_and_reclaim((void *)f_22332,2,av);}
a=C_alloc(6);
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=C_a_i_list2(&a,2,lf[841],t1);
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* k22334 in k22307 in k22239 in k22233 in k22230 in k22227 in readrec in k20218 in k20215 in k20212 in k20209 in k20206 in read in k20151 in k20147 in k20143 in k20139 in k20135 in k19774 in k19770 in k19766 in k19762 in ... */
static void C_ccall f_22336(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,c,2)))){
C_save_and_reclaim((void *)f_22336,2,av);}
a=C_alloc(4);
t2=C_eqp(t1,C_make_character(64));
if(C_truep(t2)){
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_22318,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],tmp=(C_word)a,a+=4,tmp);
/* library.scm:4207: ##sys#read-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[768]);
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[768]+1);
av2[1]=t3;
av2[2]=((C_word*)t0)[4];
tp(3,av2);}}
else{
t3=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_22332,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
/* library.scm:4209: readrec */
t4=((C_word*)((C_word*)t0)[3])[1];
f_20298(t4,t3);}}

/* k22343 in k22239 in k22233 in k22230 in k22227 in readrec in k20218 in k20215 in k20212 in k20209 in k20206 in read in k20151 in k20147 in k20143 in k20139 in k20135 in k19774 in k19770 in k19766 in k19762 in k19758 in ... */
static void C_ccall f_22345(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(20,c,2)))){
C_save_and_reclaim((void *)f_22345,2,av);}
a=C_alloc(20);
t2=(*a=C_CLOSURE_TYPE|19,a[1]=(C_word)f_22348,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[5],a[6]=((C_word*)t0)[6],a[7]=((C_word*)t0)[7],a[8]=((C_word*)t0)[8],a[9]=((C_word*)t0)[9],a[10]=((C_word*)t0)[10],a[11]=((C_word*)t0)[11],a[12]=((C_word*)t0)[12],a[13]=((C_word*)t0)[13],a[14]=((C_word*)t0)[14],a[15]=((C_word*)t0)[15],a[16]=((C_word*)t0)[16],a[17]=((C_word*)t0)[17],a[18]=((C_word*)t0)[18],a[19]=((C_word*)t0)[19],tmp=(C_word)a,a+=20,tmp);
/* library.scm:4212: ##sys#peek-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[770]);
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[770]+1);
av2[1]=t2;
av2[2]=((C_word*)t0)[3];
tp(3,av2);}}

/* k22346 in k22343 in k22239 in k22233 in k22230 in k22227 in readrec in k20218 in k20215 in k20212 in k20209 in k20206 in read in k20151 in k20147 in k20143 in k20139 in k20135 in k19774 in k19770 in k19766 in k19762 in ... */
static void C_ccall f_22348(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(18,c,3)))){
C_save_and_reclaim((void *)f_22348,2,av);}
a=C_alloc(18);
t2=t1;
if(C_truep(C_eofp(t2))){
/* library.scm:4215: ##sys#read-error */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[778]);
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[778]+1);
av2[1]=((C_word*)t0)[2];
av2[2]=((C_word*)t0)[3];
av2[3]=lf[842];
tp(4,av2);}}
else{
if(C_truep(C_u_i_char_numericp(t2))){
t3=(*a=C_CLOSURE_TYPE|6,a[1]=(C_word)f_22366,a[2]=((C_word*)t0)[4],a[3]=((C_word*)t0)[2],a[4]=((C_word*)t0)[3],a[5]=((C_word*)t0)[5],a[6]=((C_word*)t0)[6],tmp=(C_word)a,a+=7,tmp);
t4=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_22449,a[2]=t3,tmp=(C_word)a,a+=3,tmp);
/* library.scm:4218: r-digits */
t5=((C_word*)((C_word*)t0)[7])[1];
f_21544(t5,t4);}
else{
t3=C_slot(((C_word*)t0)[4],C_fix(2));
t4=(*a=C_CLOSURE_TYPE|17,a[1]=(C_word)f_22455,a[2]=t2,a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[6],a[5]=((C_word*)t0)[2],a[6]=((C_word*)t0)[8],a[7]=((C_word*)t0)[9],a[8]=((C_word*)t0)[10],a[9]=((C_word*)t0)[11],a[10]=((C_word*)t0)[12],a[11]=((C_word*)t0)[13],a[12]=((C_word*)t0)[14],a[13]=((C_word*)t0)[15],a[14]=((C_word*)t0)[16],a[15]=((C_word*)t0)[17],a[16]=((C_word*)t0)[18],a[17]=((C_word*)t0)[19],tmp=(C_word)a,a+=18,tmp);
if(C_truep(t3)){
t5=C_fix(C_character_code(t2));
t6=t4;
f_22455(t6,C_slot(t3,t5));}
else{
t5=t4;
f_22455(t5,C_SCHEME_FALSE);}}}}

/* k22364 in k22346 in k22343 in k22239 in k22233 in k22230 in k22227 in readrec in k20218 in k20215 in k20212 in k20209 in k20206 in read in k20151 in k20147 in k20143 in k20139 in k20135 in k19774 in k19770 in k19766 in ... */
static void C_ccall f_22366(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(8,c,2)))){
C_save_and_reclaim((void *)f_22366,2,av);}
a=C_alloc(8);
t2=t1;
t3=(*a=C_CLOSURE_TYPE|7,a[1]=(C_word)f_22369,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[5],a[6]=t2,a[7]=((C_word*)t0)[6],tmp=(C_word)a,a+=8,tmp);
/* library.scm:4219: ##sys#peek-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[770]);
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[770]+1);
av2[1]=t3;
av2[2]=((C_word*)t0)[4];
tp(3,av2);}}

/* k22367 in k22364 in k22346 in k22343 in k22239 in k22233 in k22230 in k22227 in readrec in k20218 in k20215 in k20212 in k20209 in k20206 in read in k20151 in k20147 in k20143 in k20139 in k20135 in k19774 in k19770 in ... */
static void C_ccall f_22369(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(8,c,2)))){
C_save_and_reclaim((void *)f_22369,2,av);}
a=C_alloc(8);
t2=t1;
t3=C_slot(((C_word*)t0)[2],C_fix(3));
t4=(*a=C_CLOSURE_TYPE|7,a[1]=(C_word)f_22375,a[2]=t2,a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[5],a[6]=((C_word*)t0)[6],a[7]=((C_word*)t0)[7],tmp=(C_word)a,a+=8,tmp);
if(C_truep(C_charp(t2))){
if(C_truep(t3)){
t5=C_fix(C_character_code(t2));
t6=t4;
f_22375(t6,C_slot(t3,t5));}
else{
t5=t4;
f_22375(t5,C_SCHEME_FALSE);}}
else{
t5=t4;
f_22375(t5,C_SCHEME_FALSE);}}

/* k22373 in k22367 in k22364 in k22346 in k22343 in k22239 in k22233 in k22230 in k22227 in readrec in k20218 in k20215 in k20212 in k20209 in k20206 in read in k20151 in k20147 in k20143 in k20139 in k20135 in k19774 in ... */
static void C_fcall f_22375(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(11,0,5)))){
C_save_and_reclaim_args((void *)trf_22375,2,t0,t1);}
a=C_alloc(11);
t2=t1;
if(C_truep(C_eofp(((C_word*)t0)[2]))){
/* library.scm:4225: ##sys#read-error */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[778]);
C_word av2[6];
av2[0]=*((C_word*)lf[778]+1);
av2[1]=((C_word*)t0)[3];
av2[2]=((C_word*)t0)[4];
av2[3]=lf[843];
av2[4]=((C_word*)t0)[5];
av2[5]=((C_word*)t0)[6];
tp(6,av2);}}
else{
if(C_truep(t2)){
t3=(*a=C_CLOSURE_TYPE|6,a[1]=(C_word)f_22392,a[2]=t2,a[3]=((C_word*)t0)[2],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[6],a[6]=((C_word)li678),tmp=(C_word)a,a+=7,tmp);
t4=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_22398,a[2]=((C_word*)t0)[7],a[3]=((C_word)li679),tmp=(C_word)a,a+=4,tmp);
/* library.scm:4228: ##sys#call-with-values */{
C_word av2[4];
av2[0]=0;
av2[1]=((C_word*)t0)[3];
av2[2]=t3;
av2[3]=t4;
C_call_with_values(4,av2);}}
else{
t3=C_eqp(((C_word*)t0)[2],C_make_character(41));
t4=(C_truep(t3)?t3:C_u_i_char_whitespacep(((C_word*)t0)[2]));
if(C_truep(t4)){
/* library.scm:4233: ##sys#sharp-number-hook */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[777]);
C_word av2[4];
av2[0]=*((C_word*)lf[777]+1);
av2[1]=((C_word*)t0)[3];
av2[2]=((C_word*)t0)[4];
av2[3]=((C_word*)t0)[6];
tp(4,av2);}}
else{
t5=(*a=C_CLOSURE_TYPE|6,a[1]=(C_word)f_22426,a[2]=((C_word*)t0)[3],a[3]=((C_word*)t0)[4],a[4]=((C_word*)t0)[5],a[5]=((C_word*)t0)[6],a[6]=((C_word*)t0)[2],tmp=(C_word)a,a+=7,tmp);
/* library.scm:4234: ##sys#read-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[768]);
C_word av2[3];
av2[0]=*((C_word*)lf[768]+1);
av2[1]=t5;
av2[2]=((C_word*)t0)[4];
tp(3,av2);}}}}}

/* a22391 in k22373 in k22367 in k22364 in k22346 in k22343 in k22239 in k22233 in k22230 in k22227 in readrec in k20218 in k20215 in k20212 in k20209 in k20206 in read in k20151 in k20147 in k20143 in k20139 in k20135 in ... */
static void C_ccall f_22392(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(c!=2) C_bad_argc_2(c,2,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,4)))){
C_save_and_reclaim((void *)f_22392,2,av);}
/* library.scm:4229: h */
t2=((C_word*)t0)[2];{
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=t2;
av2[1]=t1;
av2[2]=((C_word*)t0)[3];
av2[3]=((C_word*)t0)[4];
av2[4]=((C_word*)t0)[5];
((C_proc)C_fast_retrieve_proc(t2))(5,av2);}}

/* a22397 in k22373 in k22367 in k22364 in k22346 in k22343 in k22239 in k22233 in k22230 in k22227 in readrec in k20218 in k20215 in k20212 in k20209 in k20206 in read in k20151 in k20147 in k20143 in k20139 in k20135 in ... */
static void C_ccall f_22398(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand((c-2)*C_SIZEOF_PAIR +0,c,1)))){
C_save_and_reclaim((void*)f_22398,c,av);}
a=C_alloc((c-2)*C_SIZEOF_PAIR+0);
t2=C_build_rest(&a,c,2,av);
C_word t3;
if(C_truep(C_i_nullp(t2))){
/* library.scm:4230: readrec */
t3=((C_word*)((C_word*)t0)[2])[1];
f_20298(t3,t1);}
else{
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_i_car(t2);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}}

/* k22424 in k22373 in k22367 in k22364 in k22346 in k22343 in k22239 in k22233 in k22230 in k22227 in readrec in k20218 in k20215 in k20212 in k20209 in k20206 in read in k20151 in k20147 in k20143 in k20139 in k20135 in ... */
static void C_ccall f_22426(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,6)))){
C_save_and_reclaim((void *)f_22426,2,av);}
/* library.scm:4235: ##sys#read-error */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[778]);
C_word *av2;
if(c >= 7) {
  av2=av;
} else {
  av2=C_alloc(7);
}
av2[0]=*((C_word*)lf[778]+1);
av2[1]=((C_word*)t0)[2];
av2[2]=((C_word*)t0)[3];
av2[3]=lf[844];
av2[4]=((C_word*)t0)[4];
av2[5]=((C_word*)t0)[5];
av2[6]=((C_word*)t0)[6];
tp(7,av2);}}

/* k22447 in k22346 in k22343 in k22239 in k22233 in k22230 in k22227 in readrec in k20218 in k20215 in k20212 in k20209 in k20206 in read in k20151 in k20147 in k20143 in k20139 in k20135 in k19774 in k19770 in k19766 in ... */
static void C_ccall f_22449(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_22449,2,av);}
/* library.scm:4218: scheme#string->number */
t2=*((C_word*)lf[617]+1);{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[2];
av2[2]=t1;
((C_proc)(void*)(*((C_word*)t2+1)))(3,av2);}}

/* k22453 in k22346 in k22343 in k22239 in k22233 in k22230 in k22227 in readrec in k20218 in k20215 in k20212 in k20209 in k20206 in read in k20151 in k20147 in k20143 in k20139 in k20135 in k19774 in k19770 in k19766 in ... */
static void C_fcall f_22455(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word t12;
C_word t13;
C_word t14;
C_word t15;
C_word t16;
C_word t17;
C_word t18;
C_word t19;
C_word t20;
C_word t21;
C_word t22;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(10,0,3)))){
C_save_and_reclaim_args((void *)trf_22455,2,t0,t1);}
a=C_alloc(10);
t2=t1;
if(C_truep(t2)){
t3=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_22463,a[2]=t2,a[3]=((C_word*)t0)[2],a[4]=((C_word*)t0)[3],a[5]=((C_word)li680),tmp=(C_word)a,a+=6,tmp);
t4=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_22469,a[2]=((C_word*)t0)[4],a[3]=((C_word)li681),tmp=(C_word)a,a+=4,tmp);
/* library.scm:4243: ##sys#call-with-values */{
C_word av2[4];
av2[0]=0;
av2[1]=((C_word*)t0)[5];
av2[2]=t3;
av2[3]=t4;
C_call_with_values(4,av2);}}
else{
t3=C_u_i_char_downcase(((C_word*)t0)[2]);
switch(t3){
case C_make_character(120):
t4=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_22494,a[2]=((C_word*)t0)[6],a[3]=((C_word*)t0)[5],tmp=(C_word)a,a+=4,tmp);
/* library.scm:4248: ##sys#read-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[768]);
C_word av2[3];
av2[0]=*((C_word*)lf[768]+1);
av2[1]=t4;
av2[2]=((C_word*)t0)[3];
tp(3,av2);}
case C_make_character(100):
t4=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_22506,a[2]=((C_word*)t0)[6],a[3]=((C_word*)t0)[5],tmp=(C_word)a,a+=4,tmp);
/* library.scm:4249: ##sys#read-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[768]);
C_word av2[3];
av2[0]=*((C_word*)lf[768]+1);
av2[1]=t4;
av2[2]=((C_word*)t0)[3];
tp(3,av2);}
case C_make_character(111):
t4=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_22518,a[2]=((C_word*)t0)[6],a[3]=((C_word*)t0)[5],tmp=(C_word)a,a+=4,tmp);
/* library.scm:4250: ##sys#read-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[768]);
C_word av2[3];
av2[0]=*((C_word*)lf[768]+1);
av2[1]=t4;
av2[2]=((C_word*)t0)[3];
tp(3,av2);}
case C_make_character(98):
t4=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_22530,a[2]=((C_word*)t0)[6],a[3]=((C_word*)t0)[5],tmp=(C_word)a,a+=4,tmp);
/* library.scm:4251: ##sys#read-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[768]);
C_word av2[3];
av2[0]=*((C_word*)lf[768]+1);
av2[1]=t4;
av2[2]=((C_word*)t0)[3];
tp(3,av2);}
case C_make_character(105):
t4=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_22542,a[2]=((C_word*)t0)[7],a[3]=((C_word*)t0)[5],tmp=(C_word)a,a+=4,tmp);
/* library.scm:4252: ##sys#read-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[768]);
C_word av2[3];
av2[0]=*((C_word*)lf[768]+1);
av2[1]=t4;
av2[2]=((C_word*)t0)[3];
tp(3,av2);}
case C_make_character(101):
t4=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_22554,a[2]=((C_word*)t0)[7],a[3]=((C_word*)t0)[5],tmp=(C_word)a,a+=4,tmp);
/* library.scm:4253: ##sys#read-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[768]);
C_word av2[3];
av2[0]=*((C_word*)lf[768]+1);
av2[1]=t4;
av2[2]=((C_word*)t0)[3];
tp(3,av2);}
case C_make_character(99):
t4=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_22566,a[2]=((C_word*)t0)[8],a[3]=((C_word*)t0)[4],a[4]=((C_word*)t0)[5],a[5]=((C_word*)t0)[3],tmp=(C_word)a,a+=6,tmp);
/* library.scm:4255: ##sys#read-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[768]);
C_word av2[3];
av2[0]=*((C_word*)lf[768]+1);
av2[1]=t4;
av2[2]=((C_word*)t0)[3];
tp(3,av2);}
case C_make_character(40):
/* library.scm:4264: r-vector */
t4=((C_word*)((C_word*)t0)[9])[1];
f_21274(t4,((C_word*)t0)[5]);
case C_make_character(92):
t4=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_22630,a[2]=((C_word*)t0)[10],a[3]=((C_word*)t0)[5],tmp=(C_word)a,a+=4,tmp);
/* library.scm:4265: ##sys#read-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[768]);
C_word av2[3];
av2[0]=*((C_word*)lf[768]+1);
av2[1]=t4;
av2[2]=((C_word*)t0)[3];
tp(3,av2);}
case C_make_character(124):
t4=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_22642,a[2]=((C_word*)t0)[4],a[3]=((C_word*)t0)[5],a[4]=((C_word*)t0)[11],tmp=(C_word)a,a+=5,tmp);
/* library.scm:4267: ##sys#read-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[768]);
C_word av2[3];
av2[0]=*((C_word*)lf[768]+1);
av2[1]=t4;
av2[2]=((C_word*)t0)[3];
tp(3,av2);}
case C_make_character(35):
t4=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_22657,a[2]=((C_word*)t0)[12],a[3]=((C_word*)t0)[5],tmp=(C_word)a,a+=4,tmp);
/* library.scm:4270: ##sys#read-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[768]);
C_word av2[3];
av2[0]=*((C_word*)lf[768]+1);
av2[1]=t4;
av2[2]=((C_word*)t0)[3];
tp(3,av2);}
case C_make_character(59):
t4=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_22669,a[2]=((C_word*)t0)[4],a[3]=((C_word*)t0)[5],tmp=(C_word)a,a+=4,tmp);
/* library.scm:4273: ##sys#read-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[768]);
C_word av2[3];
av2[0]=*((C_word*)lf[768]+1);
av2[1]=t4;
av2[2]=((C_word*)t0)[3];
tp(3,av2);}
case C_make_character(96):
t4=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_22684,a[2]=((C_word*)t0)[5],a[3]=((C_word*)t0)[4],tmp=(C_word)a,a+=4,tmp);
/* library.scm:4276: ##sys#read-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[768]);
C_word av2[3];
av2[0]=*((C_word*)lf[768]+1);
av2[1]=t4;
av2[2]=((C_word*)t0)[3];
tp(3,av2);}
case C_make_character(36):
t4=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_22700,a[2]=((C_word*)t0)[5],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],tmp=(C_word)a,a+=5,tmp);
/* library.scm:4279: ##sys#read-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[768]);
C_word av2[3];
av2[0]=*((C_word*)lf[768]+1);
av2[1]=t4;
av2[2]=((C_word*)t0)[3];
tp(3,av2);}
case C_make_character(58):
t4=(*a=C_CLOSURE_TYPE|6,a[1]=(C_word)f_22731,a[2]=((C_word*)t0)[13],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[14],a[5]=((C_word*)t0)[15],a[6]=((C_word*)t0)[5],tmp=(C_word)a,a+=7,tmp);
/* library.scm:4286: ##sys#read-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[768]);
C_word av2[3];
av2[0]=*((C_word*)lf[768]+1);
av2[1]=t4;
av2[2]=((C_word*)t0)[3];
tp(3,av2);}
case C_make_character(43):
t4=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_22791,a[2]=((C_word*)t0)[5],a[3]=((C_word*)t0)[4],tmp=(C_word)a,a+=4,tmp);
/* library.scm:4296: ##sys#read-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[768]);
C_word av2[3];
av2[0]=*((C_word*)lf[768]+1);
av2[1]=t4;
av2[2]=((C_word*)t0)[3];
tp(3,av2);}
case C_make_character(33):
t4=(*a=C_CLOSURE_TYPE|6,a[1]=(C_word)f_22814,a[2]=((C_word*)t0)[4],a[3]=((C_word*)t0)[5],a[4]=((C_word*)t0)[16],a[5]=((C_word*)t0)[3],a[6]=((C_word*)t0)[17],tmp=(C_word)a,a+=7,tmp);
/* library.scm:4300: ##sys#read-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[768]);
C_word av2[3];
av2[0]=*((C_word*)lf[768]+1);
av2[1]=t4;
av2[2]=((C_word*)t0)[3];
tp(3,av2);}
default:
t4=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_22886,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word)li689),tmp=(C_word)a,a+=5,tmp);
t5=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_22892,a[2]=((C_word*)t0)[4],a[3]=((C_word)li690),tmp=(C_word)a,a+=4,tmp);
/* library.scm:4319: ##sys#call-with-values */{
C_word av2[4];
av2[0]=0;
av2[1]=((C_word*)t0)[5];
av2[2]=t4;
av2[3]=t5;
C_call_with_values(4,av2);}}}}

/* a22462 in k22453 in k22346 in k22343 in k22239 in k22233 in k22230 in k22227 in readrec in k20218 in k20215 in k20212 in k20209 in k20206 in read in k20151 in k20147 in k20143 in k20139 in k20135 in k19774 in k19770 in ... */
static void C_ccall f_22463(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(c!=2) C_bad_argc_2(c,2,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_22463,2,av);}
/* library.scm:4244: h */
t2=((C_word*)t0)[2];{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t2;
av2[1]=t1;
av2[2]=((C_word*)t0)[3];
av2[3]=((C_word*)t0)[4];
((C_proc)C_fast_retrieve_proc(t2))(4,av2);}}

/* a22468 in k22453 in k22346 in k22343 in k22239 in k22233 in k22230 in k22227 in readrec in k20218 in k20215 in k20212 in k20209 in k20206 in read in k20151 in k20147 in k20143 in k20139 in k20135 in k19774 in k19770 in ... */
static void C_ccall f_22469(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand((c-2)*C_SIZEOF_PAIR +0,c,1)))){
C_save_and_reclaim((void*)f_22469,c,av);}
a=C_alloc((c-2)*C_SIZEOF_PAIR+0);
t2=C_build_rest(&a,c,2,av);
C_word t3;
if(C_truep(C_i_nullp(t2))){
/* library.scm:4245: readrec */
t3=((C_word*)((C_word*)t0)[2])[1];
f_20298(t3,t1);}
else{
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_i_car(t2);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}}

/* k22492 in k22453 in k22346 in k22343 in k22239 in k22233 in k22230 in k22227 in readrec in k20218 in k20215 in k20212 in k20209 in k20206 in read in k20151 in k20147 in k20143 in k20139 in k20135 in k19774 in k19770 in ... */
static void C_ccall f_22494(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_22494,2,av);}
/* library.scm:4248: r-number-with-exactness */
t2=((C_word*)((C_word*)t0)[2])[1];
f_21362(t2,((C_word*)t0)[3],C_fix(16));}

/* k22504 in k22453 in k22346 in k22343 in k22239 in k22233 in k22230 in k22227 in readrec in k20218 in k20215 in k20212 in k20209 in k20206 in read in k20151 in k20147 in k20143 in k20139 in k20135 in k19774 in k19770 in ... */
static void C_ccall f_22506(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_22506,2,av);}
/* library.scm:4249: r-number-with-exactness */
t2=((C_word*)((C_word*)t0)[2])[1];
f_21362(t2,((C_word*)t0)[3],C_fix(10));}

/* k22516 in k22453 in k22346 in k22343 in k22239 in k22233 in k22230 in k22227 in readrec in k20218 in k20215 in k20212 in k20209 in k20206 in read in k20151 in k20147 in k20143 in k20139 in k20135 in k19774 in k19770 in ... */
static void C_ccall f_22518(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_22518,2,av);}
/* library.scm:4250: r-number-with-exactness */
t2=((C_word*)((C_word*)t0)[2])[1];
f_21362(t2,((C_word*)t0)[3],C_fix(8));}

/* k22528 in k22453 in k22346 in k22343 in k22239 in k22233 in k22230 in k22227 in readrec in k20218 in k20215 in k20212 in k20209 in k20206 in read in k20151 in k20147 in k20143 in k20139 in k20135 in k19774 in k19770 in ... */
static void C_ccall f_22530(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_22530,2,av);}
/* library.scm:4251: r-number-with-exactness */
t2=((C_word*)((C_word*)t0)[2])[1];
f_21362(t2,((C_word*)t0)[3],C_fix(2));}

/* k22540 in k22453 in k22346 in k22343 in k22239 in k22233 in k22230 in k22227 in readrec in k20218 in k20215 in k20212 in k20209 in k20206 in read in k20151 in k20147 in k20143 in k20139 in k20135 in k19774 in k19770 in ... */
static void C_ccall f_22542(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_22542,2,av);}
/* library.scm:4252: r-number-with-radix */
t2=((C_word*)((C_word*)t0)[2])[1];
f_21413(t2,((C_word*)t0)[3],lf[610]);}

/* k22552 in k22453 in k22346 in k22343 in k22239 in k22233 in k22230 in k22227 in readrec in k20218 in k20215 in k20212 in k20209 in k20206 in read in k20151 in k20147 in k20143 in k20139 in k20135 in k19774 in k19770 in ... */
static void C_ccall f_22554(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_22554,2,av);}
/* library.scm:4253: r-number-with-radix */
t2=((C_word*)((C_word*)t0)[2])[1];
f_21413(t2,((C_word*)t0)[3],lf[609]);}

/* k22564 in k22453 in k22346 in k22343 in k22239 in k22233 in k22230 in k22227 in readrec in k20218 in k20215 in k20212 in k20209 in k20206 in read in k20151 in k20147 in k20143 in k20139 in k20135 in k19774 in k19770 in ... */
static void C_ccall f_22566(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,c,2)))){
C_save_and_reclaim((void *)f_22566,2,av);}
a=C_alloc(6);
t2=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_22569,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[5],tmp=(C_word)a,a+=6,tmp);
/* library.scm:4256: ##sys#read-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[768]);
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[768]+1);
av2[1]=t2;
av2[2]=((C_word*)t0)[5];
tp(3,av2);}}

/* k22567 in k22564 in k22453 in k22346 in k22343 in k22239 in k22233 in k22230 in k22227 in readrec in k20218 in k20215 in k20212 in k20209 in k20206 in read in k20151 in k20147 in k20143 in k20139 in k20135 in k19774 in ... */
static void C_ccall f_22569(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,c,4)))){
C_save_and_reclaim((void *)f_22569,2,av);}
a=C_alloc(5);
t2=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_22572,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],tmp=(C_word)a,a+=5,tmp);
if(C_truep(C_eofp(t1))){
/* library.scm:4259: ##sys#read-error */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[778]);
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[778]+1);
av2[1]=t2;
av2[2]=((C_word*)t0)[5];
av2[3]=lf[845];
tp(4,av2);}}
else{
switch(t1){
case C_make_character(105):
t3=t2;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_SCHEME_FALSE;
f_22572(2,av2);}
case C_make_character(115):
t3=t2;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_SCHEME_TRUE;
f_22572(2,av2);}
default:
/* library.scm:4262: ##sys#read-error */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[778]);
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=*((C_word*)lf[778]+1);
av2[1]=t2;
av2[2]=((C_word*)t0)[5];
av2[3]=lf[846];
av2[4]=t1;
tp(5,av2);}}}}

/* k22570 in k22567 in k22564 in k22453 in k22346 in k22343 in k22239 in k22233 in k22230 in k22227 in readrec in k20218 in k20215 in k20212 in k20209 in k20206 in read in k20151 in k20147 in k20143 in k20139 in k20135 in ... */
static void C_ccall f_22572(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(20,c,4)))){
C_save_and_reclaim((void *)f_22572,2,av);}
a=C_alloc(20);
t2=t1;
t3=(*a=C_VECTOR_TYPE|1,a[1]=t2,tmp=(C_word)a,a+=2,tmp);
t4=C_SCHEME_FALSE;
t5=(*a=C_VECTOR_TYPE|1,a[1]=t4,tmp=(C_word)a,a+=2,tmp);
t6=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_22577,a[2]=t5,a[3]=((C_word*)t0)[2],a[4]=t3,a[5]=((C_word)li682),tmp=(C_word)a,a+=6,tmp);
t7=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_22582,a[2]=((C_word*)t0)[3],a[3]=((C_word)li683),tmp=(C_word)a,a+=4,tmp);
t8=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_22588,a[2]=t3,a[3]=((C_word*)t0)[2],a[4]=t5,a[5]=((C_word)li684),tmp=(C_word)a,a+=6,tmp);
/* library.scm:4257: ##sys#dynamic-wind */
t9=*((C_word*)lf[694]+1);{
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=t9;
av2[1]=((C_word*)t0)[4];
av2[2]=t6;
av2[3]=t7;
av2[4]=t8;
((C_proc)(void*)(*((C_word*)t9+1)))(5,av2);}}

/* a22576 in k22570 in k22567 in k22564 in k22453 in k22346 in k22343 in k22239 in k22233 in k22230 in k22227 in readrec in k20218 in k20215 in k20212 in k20209 in k20206 in read in k20151 in k20147 in k20143 in k20139 in ... */
static void C_ccall f_22577(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(c!=2) C_bad_argc_2(c,2,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_22577,2,av);}
t2=C_mutate(((C_word *)((C_word*)t0)[2])+1,((C_word*)((C_word*)t0)[3])[1]);
t3=C_mutate(((C_word *)((C_word*)t0)[3])+1,((C_word*)((C_word*)t0)[4])[1]);
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_SCHEME_UNDEFINED;
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* a22581 in k22570 in k22567 in k22564 in k22453 in k22346 in k22343 in k22239 in k22233 in k22230 in k22227 in readrec in k20218 in k20215 in k20212 in k20209 in k20206 in read in k20151 in k20147 in k20143 in k20139 in ... */
static void C_ccall f_22582(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(c!=2) C_bad_argc_2(c,2,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_22582,2,av);}
/* library.scm:4263: readrec */
t2=((C_word*)((C_word*)t0)[2])[1];
f_20298(t2,t1);}

/* a22587 in k22570 in k22567 in k22564 in k22453 in k22346 in k22343 in k22239 in k22233 in k22230 in k22227 in readrec in k20218 in k20215 in k20212 in k20209 in k20206 in read in k20151 in k20147 in k20143 in k20139 in ... */
static void C_ccall f_22588(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(c!=2) C_bad_argc_2(c,2,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_22588,2,av);}
t2=C_mutate(((C_word *)((C_word*)t0)[2])+1,((C_word*)((C_word*)t0)[3])[1]);
t3=C_mutate(((C_word *)((C_word*)t0)[3])+1,((C_word*)((C_word*)t0)[4])[1]);
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_SCHEME_UNDEFINED;
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* k22628 in k22453 in k22346 in k22343 in k22239 in k22233 in k22230 in k22227 in readrec in k20218 in k20215 in k20212 in k20209 in k20206 in read in k20151 in k20147 in k20143 in k20139 in k20135 in k19774 in k19770 in ... */
static void C_ccall f_22630(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_22630,2,av);}
/* library.scm:4265: r-char */
t2=((C_word*)((C_word*)t0)[2])[1];
f_21829(t2,((C_word*)t0)[3]);}

/* k22640 in k22453 in k22346 in k22343 in k22239 in k22233 in k22230 in k22227 in readrec in k20218 in k20215 in k20212 in k20209 in k20206 in read in k20151 in k20147 in k20143 in k20139 in k20135 in k19774 in k19770 in ... */
static void C_ccall f_22642(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,c,2)))){
C_save_and_reclaim((void *)f_22642,2,av);}
a=C_alloc(4);
t2=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_22645,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],tmp=(C_word)a,a+=4,tmp);
/* library.scm:4268: r-comment */
t3=((C_word*)((C_word*)t0)[4])[1];
f_22038(t3,t2);}

/* k22643 in k22640 in k22453 in k22346 in k22343 in k22239 in k22233 in k22230 in k22227 in readrec in k20218 in k20215 in k20212 in k20209 in k20206 in read in k20151 in k20147 in k20143 in k20139 in k20135 in k19774 in ... */
static void C_ccall f_22645(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_22645,2,av);}
/* library.scm:4268: readrec */
t2=((C_word*)((C_word*)t0)[2])[1];
f_20298(t2,((C_word*)t0)[3]);}

/* k22655 in k22453 in k22346 in k22343 in k22239 in k22233 in k22230 in k22227 in readrec in k20218 in k20215 in k20212 in k20209 in k20206 in read in k20151 in k20147 in k20143 in k20139 in k20135 in k19774 in k19770 in ... */
static void C_ccall f_22657(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_22657,2,av);}
/* library.scm:4271: r-ext-symbol */
t2=((C_word*)((C_word*)t0)[2])[1];
f_22125(t2,((C_word*)t0)[3]);}

/* k22667 in k22453 in k22346 in k22343 in k22239 in k22233 in k22230 in k22227 in readrec in k20218 in k20215 in k20212 in k20209 in k20206 in read in k20151 in k20147 in k20143 in k20139 in k20135 in k19774 in k19770 in ... */
static void C_ccall f_22669(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,c,2)))){
C_save_and_reclaim((void *)f_22669,2,av);}
a=C_alloc(4);
t2=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_22672,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],tmp=(C_word)a,a+=4,tmp);
/* library.scm:4274: readrec */
t3=((C_word*)((C_word*)t0)[2])[1];
f_20298(t3,t2);}

/* k22670 in k22667 in k22453 in k22346 in k22343 in k22239 in k22233 in k22230 in k22227 in readrec in k20218 in k20215 in k20212 in k20209 in k20206 in read in k20151 in k20147 in k20143 in k20139 in k20135 in k19774 in ... */
static void C_ccall f_22672(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_22672,2,av);}
/* library.scm:4274: readrec */
t2=((C_word*)((C_word*)t0)[2])[1];
f_20298(t2,((C_word*)t0)[3]);}

/* k22682 in k22453 in k22346 in k22343 in k22239 in k22233 in k22230 in k22227 in readrec in k20218 in k20215 in k20212 in k20209 in k20206 in read in k20151 in k20147 in k20143 in k20139 in k20135 in k19774 in k19770 in ... */
static void C_ccall f_22684(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,2)))){
C_save_and_reclaim((void *)f_22684,2,av);}
a=C_alloc(3);
t2=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_22691,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
/* library.scm:4277: readrec */
t3=((C_word*)((C_word*)t0)[3])[1];
f_20298(t3,t2);}

/* k22689 in k22682 in k22453 in k22346 in k22343 in k22239 in k22233 in k22230 in k22227 in readrec in k20218 in k20215 in k20212 in k20209 in k20206 in read in k20151 in k20147 in k20143 in k20139 in k20135 in k19774 in ... */
static void C_ccall f_22691(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,c,1)))){
C_save_and_reclaim((void *)f_22691,2,av);}
a=C_alloc(6);
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=C_a_i_list2(&a,2,lf[847],t1);
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* k22698 in k22453 in k22346 in k22343 in k22239 in k22233 in k22230 in k22227 in readrec in k20218 in k20215 in k20212 in k20209 in k20206 in read in k20151 in k20147 in k20143 in k20139 in k20135 in k19774 in k19770 in ... */
static void C_ccall f_22700(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,c,2)))){
C_save_and_reclaim((void *)f_22700,2,av);}
a=C_alloc(5);
t2=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_22703,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],tmp=(C_word)a,a+=5,tmp);
/* library.scm:4280: ##sys#peek-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[770]);
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[770]+1);
av2[1]=t2;
av2[2]=((C_word*)t0)[3];
tp(3,av2);}}

/* k22701 in k22698 in k22453 in k22346 in k22343 in k22239 in k22233 in k22230 in k22227 in readrec in k20218 in k20215 in k20212 in k20209 in k20206 in read in k20151 in k20147 in k20143 in k20139 in k20135 in k19774 in ... */
static void C_ccall f_22703(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,c,2)))){
C_save_and_reclaim((void *)f_22703,2,av);}
a=C_alloc(4);
if(C_truep(C_i_char_equalp(t1,C_make_character(123)))){
t2=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_22712,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],tmp=(C_word)a,a+=4,tmp);
/* library.scm:4282: ##sys#read-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[768]);
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[768]+1);
av2[1]=t2;
av2[2]=((C_word*)t0)[3];
tp(3,av2);}}
else{
t2=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_22722,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
/* library.scm:4284: readrec */
t3=((C_word*)((C_word*)t0)[4])[1];
f_20298(t3,t2);}}

/* k22710 in k22701 in k22698 in k22453 in k22346 in k22343 in k22239 in k22233 in k22230 in k22227 in readrec in k20218 in k20215 in k20212 in k20209 in k20206 in read in k20151 in k20147 in k20143 in k20139 in k20135 in ... */
static void C_ccall f_22712(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_22712,2,av);}
/* library.scm:4283: ##sys#read-bytevector-literal */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[848]);
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[848]+1);
av2[1]=((C_word*)t0)[2];
av2[2]=((C_word*)t0)[3];
tp(3,av2);}}

/* k22720 in k22701 in k22698 in k22453 in k22346 in k22343 in k22239 in k22233 in k22230 in k22227 in readrec in k20218 in k20215 in k20212 in k20209 in k20206 in read in k20151 in k20147 in k20143 in k20139 in k20135 in ... */
static void C_ccall f_22722(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,c,1)))){
C_save_and_reclaim((void *)f_22722,2,av);}
a=C_alloc(6);
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=C_a_i_list2(&a,2,lf[849],t1);
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* k22729 in k22453 in k22346 in k22343 in k22239 in k22233 in k22230 in k22227 in readrec in k20218 in k20215 in k20212 in k20209 in k20206 in read in k20151 in k20147 in k20143 in k20139 in k20135 in k19774 in k19770 in ... */
static void C_ccall f_22731(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(7,c,2)))){
C_save_and_reclaim((void *)f_22731,2,av);}
a=C_alloc(7);
t2=(*a=C_CLOSURE_TYPE|6,a[1]=(C_word)f_22734,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[5],a[6]=((C_word*)t0)[6],tmp=(C_word)a,a+=7,tmp);
/* library.scm:4287: ##sys#peek-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[770]);
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[770]+1);
av2[1]=t2;
av2[2]=((C_word*)t0)[3];
tp(3,av2);}}

/* k22732 in k22729 in k22453 in k22346 in k22343 in k22239 in k22233 in k22230 in k22227 in readrec in k20218 in k20215 in k20212 in k20209 in k20206 in read in k20151 in k20147 in k20143 in k20139 in k20135 in k19774 in ... */
static void C_ccall f_22734(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(23,c,4)))){
C_save_and_reclaim((void *)f_22734,2,av);}
a=C_alloc(23);
t2=t1;
t3=C_SCHEME_FALSE;
t4=(*a=C_VECTOR_TYPE|1,a[1]=t3,tmp=(C_word)a,a+=2,tmp);
t5=C_SCHEME_FALSE;
t6=(*a=C_VECTOR_TYPE|1,a[1]=t5,tmp=(C_word)a,a+=2,tmp);
t7=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_22739,a[2]=t6,a[3]=((C_word*)t0)[2],a[4]=t4,a[5]=((C_word)li685),tmp=(C_word)a,a+=6,tmp);
t8=(*a=C_CLOSURE_TYPE|6,a[1]=(C_word)f_22744,a[2]=t2,a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[5],a[6]=((C_word)li687),tmp=(C_word)a,a+=7,tmp);
t9=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_22779,a[2]=t4,a[3]=((C_word*)t0)[2],a[4]=t6,a[5]=((C_word)li688),tmp=(C_word)a,a+=6,tmp);
/* library.scm:4288: ##sys#dynamic-wind */
t10=*((C_word*)lf[694]+1);{
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=t10;
av2[1]=((C_word*)t0)[6];
av2[2]=t7;
av2[3]=t8;
av2[4]=t9;
((C_proc)(void*)(*((C_word*)t10+1)))(5,av2);}}

/* a22738 in k22732 in k22729 in k22453 in k22346 in k22343 in k22239 in k22233 in k22230 in k22227 in readrec in k20218 in k20215 in k20212 in k20209 in k20206 in read in k20151 in k20147 in k20143 in k20139 in k20135 in ... */
static void C_ccall f_22739(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(c!=2) C_bad_argc_2(c,2,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_22739,2,av);}
t2=C_mutate(((C_word *)((C_word*)t0)[2])+1,((C_word*)((C_word*)t0)[3])[1]);
t3=C_mutate(((C_word *)((C_word*)t0)[3])+1,((C_word*)((C_word*)t0)[4])[1]);
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_SCHEME_UNDEFINED;
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* a22743 in k22732 in k22729 in k22453 in k22346 in k22343 in k22239 in k22233 in k22230 in k22227 in readrec in k20218 in k20215 in k20212 in k20209 in k20206 in read in k20151 in k20147 in k20143 in k20139 in k20135 in ... */
static void C_ccall f_22744(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(c!=2) C_bad_argc_2(c,2,t0);
if(C_unlikely(!C_demand(C_calculate_demand(6,c,4)))){
C_save_and_reclaim((void *)f_22744,2,av);}
a=C_alloc(6);
t2=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_22750,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=((C_word)li686),tmp=(C_word)a,a+=6,tmp);
/* library.scm:4289: r-xtoken */
t3=((C_word*)((C_word*)t0)[5])[1];
f_21615(t3,t1,t2);}

/* a22749 in a22743 in k22732 in k22729 in k22453 in k22346 in k22343 in k22239 in k22233 in k22230 in k22227 in readrec in k20218 in k20215 in k20212 in k20209 in k20206 in read in k20151 in k20147 in k20143 in k20139 in ... */
static void C_ccall f_22750(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_22750,4,av);}
t4=C_block_size(t2);
t5=C_eqp(C_fix(0),t4);
if(C_truep(t5)){
t6=C_i_char_equalp(((C_word*)t0)[2],C_make_character(124));
if(C_truep(C_i_not(t6))){
/* library.scm:4293: ##sys#read-error */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[778]);
C_word *av2=av;
av2[0]=*((C_word*)lf[778]+1);
av2[1]=t1;
av2[2]=((C_word*)t0)[3];
av2[3]=lf[850];
tp(4,av2);}}
else{
/* library.scm:4294: build-keyword */
t7=((C_word*)((C_word*)t0)[4])[1];
f_22217(t7,t1,t2);}}
else{
/* library.scm:4294: build-keyword */
t6=((C_word*)((C_word*)t0)[4])[1];
f_22217(t6,t1,t2);}}

/* a22778 in k22732 in k22729 in k22453 in k22346 in k22343 in k22239 in k22233 in k22230 in k22227 in readrec in k20218 in k20215 in k20212 in k20209 in k20206 in read in k20151 in k20147 in k20143 in k20139 in k20135 in ... */
static void C_ccall f_22779(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(c!=2) C_bad_argc_2(c,2,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_22779,2,av);}
t2=C_mutate(((C_word *)((C_word*)t0)[2])+1,((C_word*)((C_word*)t0)[3])[1]);
t3=C_mutate(((C_word *)((C_word*)t0)[3])+1,((C_word*)((C_word*)t0)[4])[1]);
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_SCHEME_UNDEFINED;
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* k22789 in k22453 in k22346 in k22343 in k22239 in k22233 in k22230 in k22227 in readrec in k20218 in k20215 in k20212 in k20209 in k20206 in read in k20151 in k20147 in k20143 in k20139 in k20135 in k19774 in k19770 in ... */
static void C_ccall f_22791(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,c,2)))){
C_save_and_reclaim((void *)f_22791,2,av);}
a=C_alloc(4);
t2=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_22794,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],tmp=(C_word)a,a+=4,tmp);
/* library.scm:4297: readrec */
t3=((C_word*)((C_word*)t0)[3])[1];
f_20298(t3,t2);}

/* k22792 in k22789 in k22453 in k22346 in k22343 in k22239 in k22233 in k22230 in k22227 in readrec in k20218 in k20215 in k20212 in k20209 in k20206 in read in k20151 in k20147 in k20143 in k20139 in k20135 in k19774 in ... */
static void C_ccall f_22794(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,c,2)))){
C_save_and_reclaim((void *)f_22794,2,av);}
a=C_alloc(4);
t2=t1;
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_22805,a[2]=t2,a[3]=((C_word*)t0)[2],tmp=(C_word)a,a+=4,tmp);
/* library.scm:4298: readrec */
t4=((C_word*)((C_word*)t0)[3])[1];
f_20298(t4,t3);}

/* k22803 in k22792 in k22789 in k22453 in k22346 in k22343 in k22239 in k22233 in k22230 in k22227 in readrec in k20218 in k20215 in k20212 in k20209 in k20206 in read in k20151 in k20147 in k20143 in k20139 in k20135 in ... */
static void C_ccall f_22805(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(15,c,1)))){
C_save_and_reclaim((void *)f_22805,2,av);}
a=C_alloc(15);
t2=C_a_i_list2(&a,2,((C_word*)t0)[2],t1);
t3=((C_word*)t0)[3];{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_a_i_list3(&a,3,lf[851],t2,lf[852]);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* k22812 in k22453 in k22346 in k22343 in k22239 in k22233 in k22230 in k22227 in readrec in k20218 in k20215 in k20212 in k20209 in k20206 in read in k20151 in k20147 in k20143 in k20139 in k20135 in k19774 in k19770 in ... */
static void C_ccall f_22814(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(7,c,2)))){
C_save_and_reclaim((void *)f_22814,2,av);}
a=C_alloc(7);
t2=(*a=C_CLOSURE_TYPE|6,a[1]=(C_word)f_22817,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[5],a[6]=((C_word*)t0)[6],tmp=(C_word)a,a+=7,tmp);
/* library.scm:4301: ##sys#peek-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[770]);
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[770]+1);
av2[1]=t2;
av2[2]=((C_word*)t0)[5];
tp(3,av2);}}

/* k22815 in k22812 in k22453 in k22346 in k22343 in k22239 in k22233 in k22230 in k22227 in readrec in k20218 in k20215 in k20212 in k20209 in k20206 in read in k20151 in k20147 in k20143 in k20139 in k20135 in k19774 in ... */
static void C_ccall f_22817(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(7,c,2)))){
C_save_and_reclaim((void *)f_22817,2,av);}
a=C_alloc(7);
t2=(*a=C_CLOSURE_TYPE|6,a[1]=(C_word)f_22823,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[5],a[6]=((C_word*)t0)[6],tmp=(C_word)a,a+=7,tmp);
if(C_truep(C_charp(t1))){
t3=C_u_i_char_whitespacep(t1);
if(C_truep(t3)){
t4=t2;
f_22823(t4,t3);}
else{
t4=C_u_i_char_equalp(C_make_character(47),t1);
t5=t2;
f_22823(t5,t4);}}
else{
t3=t2;
f_22823(t3,C_SCHEME_FALSE);}}

/* k22821 in k22815 in k22812 in k22453 in k22346 in k22343 in k22239 in k22233 in k22230 in k22227 in readrec in k20218 in k20215 in k20212 in k20209 in k20206 in read in k20151 in k20147 in k20143 in k20139 in k20135 in ... */
static void C_fcall f_22823(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,0,2)))){
C_save_and_reclaim_args((void *)trf_22823,2,t0,t1);}
a=C_alloc(4);
if(C_truep(t1)){
t2=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_22826,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],tmp=(C_word)a,a+=4,tmp);
/* library.scm:4304: skip-to-eol */
t3=((C_word*)((C_word*)t0)[4])[1];
f_20237(t3,t2);}
else{
t2=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_22832,a[2]=((C_word*)t0)[3],a[3]=((C_word*)t0)[5],tmp=(C_word)a,a+=4,tmp);
/* library.scm:4307: r-token */
t3=((C_word*)((C_word*)t0)[6])[1];
f_21480(t3,t2);}}

/* k22824 in k22821 in k22815 in k22812 in k22453 in k22346 in k22343 in k22239 in k22233 in k22230 in k22227 in readrec in k20218 in k20215 in k20212 in k20209 in k20206 in read in k20151 in k20147 in k20143 in k20139 in ... */
static void C_ccall f_22826(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_22826,2,av);}
/* library.scm:4305: readrec */
t2=((C_word*)((C_word*)t0)[2])[1];
f_20298(t2,((C_word*)t0)[3]);}

/* k22830 in k22821 in k22815 in k22812 in k22453 in k22346 in k22343 in k22239 in k22233 in k22230 in k22227 in readrec in k20218 in k20215 in k20212 in k20209 in k20206 in read in k20151 in k20147 in k20143 in k20139 in ... */
static void C_ccall f_22832(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,c,3)))){
C_save_and_reclaim((void *)f_22832,2,av);}
a=C_alloc(5);
t2=t1;
if(C_truep(C_i_string_equal_p(lf[853],t2))){
t3=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_SCHEME_END_OF_FILE;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}
else{
if(C_truep((C_truep(C_i_equalp(t2,lf[854]))?C_SCHEME_TRUE:(C_truep(C_i_equalp(t2,lf[855]))?C_SCHEME_TRUE:(C_truep(C_i_equalp(t2,lf[856]))?C_SCHEME_TRUE:C_SCHEME_FALSE))))){
t3=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_22851,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
/* library.scm:4310: ##sys#string-append */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[412]+1));
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[412]+1);
av2[1]=t3;
av2[2]=lf[857];
av2[3]=t2;
tp(4,av2);}}
else{
t3=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_22870,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=t2,tmp=(C_word)a,a+=5,tmp);
/* library.scm:4312: scheme#string->symbol */
t4=*((C_word*)lf[638]+1);{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t4;
av2[1]=t3;
av2[2]=t2;
((C_proc)(void*)(*((C_word*)t4+1)))(3,av2);}}}}

/* k22849 in k22830 in k22821 in k22815 in k22812 in k22453 in k22346 in k22343 in k22239 in k22233 in k22230 in k22227 in readrec in k20218 in k20215 in k20212 in k20209 in k20206 in read in k20151 in k20147 in k20143 in ... */
static void C_ccall f_22851(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_22851,2,av);}
t2=((C_word*)t0)[2];
/* library.scm:4175: ##sys#intern-symbol */{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=0;
av2[1]=t2;
av2[2]=t1;
C_string_to_symbol(3,av2);}}

/* k22868 in k22830 in k22821 in k22815 in k22812 in k22453 in k22346 in k22343 in k22239 in k22233 in k22230 in k22227 in readrec in k20218 in k20215 in k20212 in k20209 in k20206 in read in k20151 in k20147 in k20143 in ... */
static void C_ccall f_22870(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,4)))){
C_save_and_reclaim((void *)f_22870,2,av);}
t2=C_i_assq(t1,C_fast_retrieve(lf[858]));
if(C_truep(t2)){
t3=C_slot(t2,C_fix(1));
/* library.scm:4313: g4926 */
t4=t3;{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t4;
av2[1]=((C_word*)t0)[2];
av2[2]=((C_word*)t0)[3];
((C_proc)C_fast_retrieve_proc(t4))(3,av2);}}
else{
/* library.scm:4315: ##sys#read-error */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[778]);
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=*((C_word*)lf[778]+1);
av2[1]=((C_word*)t0)[2];
av2[2]=((C_word*)t0)[3];
av2[3]=lf[859];
av2[4]=((C_word*)t0)[4];
tp(5,av2);}}}

/* a22885 in k22453 in k22346 in k22343 in k22239 in k22233 in k22230 in k22227 in readrec in k20218 in k20215 in k20212 in k20209 in k20206 in read in k20151 in k20147 in k20143 in k20139 in k20135 in k19774 in k19770 in ... */
static void C_ccall f_22886(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(c!=2) C_bad_argc_2(c,2,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_22886,2,av);}
/* library.scm:4319: ##sys#user-read-hook */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[860]);
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[860]+1);
av2[1]=t1;
av2[2]=((C_word*)t0)[2];
av2[3]=((C_word*)t0)[3];
tp(4,av2);}}

/* a22891 in k22453 in k22346 in k22343 in k22239 in k22233 in k22230 in k22227 in readrec in k20218 in k20215 in k20212 in k20209 in k20206 in read in k20151 in k20147 in k20143 in k20139 in k20135 in k19774 in k19770 in ... */
static void C_ccall f_22892(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand((c-2)*C_SIZEOF_PAIR +0,c,1)))){
C_save_and_reclaim((void*)f_22892,c,av);}
a=C_alloc((c-2)*C_SIZEOF_PAIR+0);
t2=C_build_rest(&a,c,2,av);
C_word t3;
if(C_truep(C_i_nullp(t2))){
/* library.scm:4320: readrec */
t3=((C_word*)((C_word*)t0)[2])[1];
f_20298(t3,t1);}
else{
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_i_car(t2);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}}

/* k22962 in k22239 in k22233 in k22230 in k22227 in readrec in k20218 in k20215 in k20212 in k20209 in k20206 in read in k20151 in k20147 in k20143 in k20139 in k20135 in k19774 in k19770 in k19766 in k19762 in k19758 in ... */
static void C_ccall f_22964(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_22964,2,av);}
/* library.scm:4322: container */
t2=((C_word*)((C_word*)t0)[2])[1];{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[3];
av2[2]=((C_word*)t0)[4];
((C_proc)C_fast_retrieve_proc(t2))(3,av2);}}

/* k22974 in k22239 in k22233 in k22230 in k22227 in readrec in k20218 in k20215 in k20212 in k20209 in k20206 in read in k20151 in k20147 in k20143 in k20139 in k20135 in k19774 in k19770 in k19766 in k19762 in k19758 in ... */
static void C_ccall f_22976(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_22976,2,av);}
/* library.scm:4323: r-string */
t2=((C_word*)((C_word*)t0)[2])[1];
f_20446(t2,((C_word*)t0)[3],C_make_character(34));}

/* k23052 in k22239 in k22233 in k22230 in k22227 in readrec in k20218 in k20215 in k20212 in k20209 in k20206 in read in k20151 in k20147 in k20143 in k20139 in k20135 in k19774 in k19770 in k19766 in k19762 in k19758 in ... */
static void C_ccall f_23054(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_23054,2,av);}
/* library.scm:4335: container */
t2=((C_word*)((C_word*)t0)[2])[1];{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[3];
av2[2]=((C_word*)t0)[4];
((C_proc)C_fast_retrieve_proc(t2))(3,av2);}}

/* ##sys#char->utf8-string in k20151 in k20147 in k20143 in k20139 in k20135 in k19774 in k19770 in k19766 in k19762 in k19758 in k19754 in k19750 in k19746 in k19742 in k19738 in k19734 in k19730 in k19726 in k19722 in k19718 in k19714 in ... */
static void C_ccall f_23130(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word t12;
C_word t13;
C_word t14;
C_word t15;
C_word t16;
C_word t17;
C_word t18;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(5,c,3)))){
C_save_and_reclaim((void *)f_23130,3,av);}
a=C_alloc(5);
t3=C_fix(C_character_code(t2));
if(C_truep(C_fixnum_less_or_equal_p(t3,C_fix(127)))){
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_a_i_string(&a,1,t2);
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}
else{
if(C_truep(C_fixnum_less_or_equal_p(t3,C_fix(2047)))){
t4=C_fixnum_shift_right(t3,C_fix(6));
t5=C_fixnum_or(C_fix(192),t4);
t6=C_make_character(C_unfix(t5));
t7=C_fixnum_and(t3,C_fix(63));
t8=C_fixnum_or(C_fix(128),t7);
t9=C_make_character(C_unfix(t8));
t10=t1;{
C_word *av2=av;
av2[0]=t10;
av2[1]=C_a_i_string(&a,2,t6,t9);
((C_proc)(void*)(*((C_word*)t10+1)))(2,av2);}}
else{
if(C_truep(C_fixnum_less_or_equal_p(t3,C_fix(65535)))){
t4=C_fixnum_shift_right(t3,C_fix(12));
t5=C_fixnum_or(C_fix(224),t4);
t6=C_make_character(C_unfix(t5));
t7=C_fixnum_shift_right(t3,C_fix(6));
t8=C_fixnum_and(t7,C_fix(63));
t9=C_fixnum_or(C_fix(128),t8);
t10=C_make_character(C_unfix(t9));
t11=C_fixnum_and(t3,C_fix(63));
t12=C_fixnum_or(C_fix(128),t11);
t13=C_make_character(C_unfix(t12));
t14=t1;{
C_word *av2=av;
av2[0]=t14;
av2[1]=C_a_i_string(&a,3,t6,t10,t13);
((C_proc)(void*)(*((C_word*)t14+1)))(2,av2);}}
else{
if(C_truep(C_fixnum_less_or_equal_p(t3,C_fix(2097151)))){
t4=C_fixnum_shift_right(t3,C_fix(18));
t5=C_fixnum_or(C_fix(240),t4);
t6=C_make_character(C_unfix(t5));
t7=C_fixnum_shift_right(t3,C_fix(12));
t8=C_fixnum_and(t7,C_fix(63));
t9=C_fixnum_or(C_fix(128),t8);
t10=C_make_character(C_unfix(t9));
t11=C_fixnum_shift_right(t3,C_fix(6));
t12=C_fixnum_and(t11,C_fix(63));
t13=C_fixnum_or(C_fix(128),t12);
t14=C_make_character(C_unfix(t13));
t15=C_fixnum_and(t3,C_fix(63));
t16=C_fixnum_or(C_fix(128),t15);
t17=C_make_character(C_unfix(t16));
t18=t1;{
C_word *av2=av;
av2[0]=t18;
av2[1]=C_a_i_string(&a,4,t6,t10,t14,t17);
((C_proc)(void*)(*((C_word*)t18+1)))(2,av2);}}
else{
/* library.scm:4360: chicken.base#error */
t4=*((C_word*)lf[193]+1);{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t4;
av2[1]=t1;
av2[2]=lf[863];
av2[3]=t3;
((C_proc)(void*)(*((C_word*)t4+1)))(4,av2);}}}}}}

/* ##sys#unicode-surrogate? in k20151 in k20147 in k20143 in k20139 in k20135 in k19774 in k19770 in k19766 in k19762 in k19758 in k19754 in k19750 in k19746 in k19742 in k19738 in k19734 in k19730 in k19726 in k19722 in k19718 in k19714 in ... */
static void C_ccall f_23295(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_23295,3,av);}
t3=C_fixnum_less_or_equal_p(C_fix(55296),t2);
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=(C_truep(t3)?C_fixnum_less_or_equal_p(t2,C_fix(57343)):C_SCHEME_FALSE);
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* ##sys#surrogates->codepoint in k20151 in k20147 in k20143 in k20139 in k20135 in k19774 in k19770 in k19766 in k19762 in k19758 in k19754 in k19750 in k19746 in k19742 in k19738 in k19734 in k19730 in k19726 in k19722 in k19718 in k19714 in ... */
static void C_ccall f_23307(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word t12;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_23307,4,av);}
if(C_truep(C_fixnum_less_or_equal_p(C_fix(55296),t2))){
if(C_truep(C_fixnum_less_or_equal_p(t2,C_fix(56319)))){
if(C_truep(C_fixnum_less_or_equal_p(C_fix(56320),t3))){
if(C_truep(C_fixnum_less_or_equal_p(t3,C_fix(57343)))){
t4=C_fixnum_shift_right(t2,C_fix(6));
t5=C_fixnum_and(t4,C_fix(31));
t6=C_fixnum_plus(C_fix(1),t5);
t7=C_fixnum_shift_left(t6,C_fix(16));
t8=C_fixnum_and(t2,C_fix(63));
t9=C_fixnum_shift_left(t8,C_fix(10));
t10=C_fixnum_and(t3,C_fix(1023));
t11=C_fixnum_or(t9,t10);
t12=t1;{
C_word *av2=av;
av2[0]=t12;
av2[1]=C_fixnum_or(t7,t11);
((C_proc)(void*)(*((C_word*)t12+1)))(2,av2);}}
else{
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_SCHEME_FALSE;
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}}
else{
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_SCHEME_FALSE;
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}}
else{
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_SCHEME_FALSE;
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}}
else{
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_SCHEME_FALSE;
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}}

/* ##sys#read-bytevector-literal in k20151 in k20147 in k20143 in k20139 in k20135 in k19774 in k19770 in k19766 in k19762 in k19758 in k19754 in k19750 in k19746 in k19742 in k19738 in k19734 in k19730 in k19726 in k19722 in k19718 in k19714 in ... */
static void C_ccall f_23369(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(12,c,4)))){
C_save_and_reclaim((void *)f_23369,3,av);}
a=C_alloc(12);
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_23372,a[2]=t2,a[3]=((C_word)li696),tmp=(C_word)a,a+=4,tmp);
t4=C_SCHEME_UNDEFINED;
t5=(*a=C_VECTOR_TYPE|1,a[1]=t4,tmp=(C_word)a,a+=2,tmp);
t6=C_set_block_item(t5,0,(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_23418,a[2]=t2,a[3]=t5,a[4]=t3,a[5]=((C_word)li697),tmp=(C_word)a,a+=6,tmp));
t7=((C_word*)t5)[1];
f_23418(t7,t1,C_SCHEME_END_OF_LIST,C_SCHEME_FALSE);}

/* hex in read-bytevector-literal in k20151 in k20147 in k20143 in k20139 in k20135 in k19774 in k19770 in k19766 in k19762 in k19758 in k19754 in k19750 in k19746 in k19742 in k19738 in k19734 in k19730 in k19726 in k19722 in k19718 in ... */
static void C_fcall f_23372(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,0,3)))){
C_save_and_reclaim_args((void *)trf_23372,3,t0,t1,t2);}
t3=C_u_i_char_downcase(t2);
t4=(C_truep(C_u_i_char_greater_or_equal_p(t3,C_make_character(97)))?C_u_i_char_less_or_equal_p(t3,C_make_character(102)):C_SCHEME_FALSE);
if(C_truep(t4)){
t5=C_fix(C_character_code(t3));
t6=t1;{
C_word av2[2];
av2[0]=t6;
av2[1]=C_fixnum_difference(t5,C_fix(87));
((C_proc)(void*)(*((C_word*)t6+1)))(2,av2);}}
else{
t5=(C_truep(C_u_i_char_greater_or_equal_p(t3,C_make_character(48)))?C_u_i_char_less_or_equal_p(t3,C_make_character(57)):C_SCHEME_FALSE);
if(C_truep(t5)){
t6=C_fix(C_character_code(t3));
t7=t1;{
C_word av2[2];
av2[0]=t7;
av2[1]=C_fixnum_difference(t6,C_fix(48));
((C_proc)(void*)(*((C_word*)t7+1)))(2,av2);}}
else{
/* library.scm:4380: ##sys#read-error */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[778]);
C_word av2[4];
av2[0]=*((C_word*)lf[778]+1);
av2[1]=t1;
av2[2]=((C_word*)t0)[2];
av2[3]=lf[864];
tp(4,av2);}}}}

/* loop in read-bytevector-literal in k20151 in k20147 in k20143 in k20139 in k20135 in k19774 in k19770 in k19766 in k19762 in k19758 in k19754 in k19750 in k19746 in k19742 in k19738 in k19734 in k19730 in k19726 in k19722 in k19718 in ... */
static void C_fcall f_23418(C_word t0,C_word t1,C_word t2,C_word t3){
C_word tmp;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(8,0,2)))){
C_save_and_reclaim_args((void *)trf_23418,4,t0,t1,t2,t3);}
a=C_alloc(8);
t4=(*a=C_CLOSURE_TYPE|7,a[1]=(C_word)f_23422,a[2]=t1,a[3]=((C_word*)t0)[2],a[4]=t3,a[5]=t2,a[6]=((C_word*)t0)[3],a[7]=((C_word*)t0)[4],tmp=(C_word)a,a+=8,tmp);
/* library.scm:4382: ##sys#read-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[768]);
C_word av2[3];
av2[0]=*((C_word*)lf[768]+1);
av2[1]=t4;
av2[2]=((C_word*)t0)[2];
tp(3,av2);}}

/* k23420 in loop in read-bytevector-literal in k20151 in k20147 in k20143 in k20139 in k20135 in k19774 in k19770 in k19766 in k19762 in k19758 in k19754 in k19750 in k19746 in k19742 in k19738 in k19734 in k19730 in k19726 in k19722 in ... */
static void C_ccall f_23422(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,c,3)))){
C_save_and_reclaim((void *)f_23422,2,av);}
a=C_alloc(6);
if(C_truep(C_eofp(t1))){
/* library.scm:4384: ##sys#read-error */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[778]);
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[778]+1);
av2[1]=((C_word*)t0)[2];
av2[2]=((C_word*)t0)[3];
av2[3]=lf[865];
tp(4,av2);}}
else{
if(C_truep(C_i_char_equalp(C_make_character(125),t1))){
t2=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_23440,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
if(C_truep(((C_word*)t0)[4])){
t3=C_fixnum_shift_right(((C_word*)t0)[4],C_fix(4));
t4=C_make_character(C_unfix(t3));
t5=C_a_i_cons(&a,2,t4,((C_word*)t0)[5]);
/* library.scm:4386: ##sys#reverse-list->string */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[387]+1));
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[387]+1);
av2[1]=t2;
av2[2]=t5;
tp(3,av2);}}
else{
t3=((C_word*)t0)[5];
/* library.scm:4386: ##sys#reverse-list->string */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[387]+1));
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[387]+1);
av2[1]=t2;
av2[2]=t3;
tp(3,av2);}}}
else{
if(C_truep(C_u_i_char_whitespacep(t1))){
if(C_truep(((C_word*)t0)[4])){
t2=C_fixnum_shift_right(((C_word*)t0)[4],C_fix(4));
t3=C_make_character(C_unfix(t2));
t4=C_a_i_cons(&a,2,t3,((C_word*)t0)[5]);
/* library.scm:4394: loop */
t5=((C_word*)((C_word*)t0)[6])[1];
f_23418(t5,((C_word*)t0)[2],t4,C_SCHEME_FALSE);}
else{
/* library.scm:4395: loop */
t2=((C_word*)((C_word*)t0)[6])[1];
f_23418(t2,((C_word*)t0)[2],((C_word*)t0)[5],((C_word*)t0)[4]);}}
else{
if(C_truep(((C_word*)t0)[4])){
t2=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_23504,a[2]=((C_word*)t0)[4],a[3]=((C_word*)t0)[5],a[4]=((C_word*)t0)[6],a[5]=((C_word*)t0)[2],tmp=(C_word)a,a+=6,tmp);
/* library.scm:4396: hex */
t3=((C_word*)t0)[7];
f_23372(t3,t2,t1);}
else{
t2=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_23515,a[2]=((C_word*)t0)[6],a[3]=((C_word*)t0)[2],a[4]=((C_word*)t0)[5],tmp=(C_word)a,a+=5,tmp);
/* library.scm:4397: hex */
t3=((C_word*)t0)[7];
f_23372(t3,t2,t1);}}}}}

/* k23438 in k23420 in loop in read-bytevector-literal in k20151 in k20147 in k20143 in k20139 in k20135 in k19774 in k19770 in k19766 in k19762 in k19758 in k19754 in k19750 in k19746 in k19742 in k19738 in k19734 in k19730 in k19726 in ... */
static void C_ccall f_23440(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_23440,2,av);}
t2=C_string_to_bytevector(t1);
t3=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t3;
av2[1]=t1;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* k23502 in k23420 in loop in read-bytevector-literal in k20151 in k20147 in k20143 in k20139 in k20135 in k19774 in k19770 in k19766 in k19762 in k19758 in k19754 in k19750 in k19746 in k19742 in k19738 in k19734 in k19730 in k19726 in ... */
static void C_ccall f_23504(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,3)))){
C_save_and_reclaim((void *)f_23504,2,av);}
a=C_alloc(3);
t2=C_fixnum_or(((C_word*)t0)[2],t1);
t3=C_make_character(C_unfix(t2));
t4=C_a_i_cons(&a,2,t3,((C_word*)t0)[3]);
/* library.scm:4396: loop */
t5=((C_word*)((C_word*)t0)[4])[1];
f_23418(t5,((C_word*)t0)[5],t4,C_SCHEME_FALSE);}

/* k23513 in k23420 in loop in read-bytevector-literal in k20151 in k20147 in k20143 in k20139 in k20135 in k19774 in k19770 in k19766 in k19762 in k19758 in k19754 in k19750 in k19746 in k19742 in k19738 in k19734 in k19730 in k19726 in ... */
static void C_ccall f_23515(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_23515,2,av);}
t2=C_fixnum_shift_left(t1,C_fix(4));
/* library.scm:4397: loop */
t3=((C_word*)((C_word*)t0)[2])[1];
f_23418(t3,((C_word*)t0)[3],((C_word*)t0)[4],t2);}

/* ##sys#user-read-hook in k20151 in k20147 in k20143 in k20139 in k20135 in k19774 in k19770 in k19766 in k19762 in k19758 in k19754 in k19750 in k19746 in k19742 in k19738 in k19734 in k19730 in k19726 in k19722 in k19718 in k19714 in ... */
static void C_ccall f_23517(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(3,c,4)))){
C_save_and_reclaim((void *)f_23517,4,av);}
a=C_alloc(3);
t4=t2;
t5=C_eqp(t4,C_make_character(102));
t6=(C_truep(t5)?t5:C_eqp(t4,C_make_character(70)));
if(C_truep(t6)){
t7=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_23530,a[2]=t1,tmp=(C_word)a,a+=3,tmp);
/* library.scm:4409: ##sys#read-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[768]);
C_word *av2=av;
av2[0]=*((C_word*)lf[768]+1);
av2[1]=t7;
av2[2]=t3;
tp(3,av2);}}
else{
t7=C_eqp(t4,C_make_character(116));
t8=(C_truep(t7)?t7:C_eqp(t4,C_make_character(84)));
if(C_truep(t8)){
t9=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_23542,a[2]=t1,tmp=(C_word)a,a+=3,tmp);
/* library.scm:4410: ##sys#read-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[768]);
C_word *av2=av;
av2[0]=*((C_word*)lf[768]+1);
av2[1]=t9;
av2[2]=t3;
tp(3,av2);}}
else{
/* library.scm:4411: ##sys#read-error */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[778]);
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=*((C_word*)lf[778]+1);
av2[1]=t1;
av2[2]=t3;
av2[3]=lf[866];
av2[4]=t2;
tp(5,av2);}}}}

/* k23528 in user-read-hook in k20151 in k20147 in k20143 in k20139 in k20135 in k19774 in k19770 in k19766 in k19762 in k19758 in k19754 in k19750 in k19746 in k19742 in k19738 in k19734 in k19730 in k19726 in k19722 in k19718 in ... */
static void C_ccall f_23530(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_23530,2,av);}
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=C_SCHEME_FALSE;
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* k23540 in user-read-hook in k20151 in k20147 in k20143 in k20139 in k20135 in k19774 in k19770 in k19766 in k19762 in k19758 in k19754 in k19750 in k19746 in k19742 in k19738 in k19734 in k19730 in k19726 in k19722 in k19718 in ... */
static void C_ccall f_23542(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_23542,2,av);}
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=C_SCHEME_TRUE;
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* ##sys#write-char-0 in k20151 in k20147 in k20143 in k20139 in k20135 in k19774 in k19770 in k19766 in k19762 in k19758 in k19754 in k19750 in k19746 in k19742 in k19738 in k19734 in k19730 in k19726 in k19722 in k19718 in k19714 in ... */
static void C_ccall f_23562(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(3,c,3)))){
C_save_and_reclaim((void *)f_23562,4,av);}
a=C_alloc(3);
t4=C_slot(t3,C_fix(2));
t5=C_slot(t4,C_fix(2));
t6=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_23569,a[2]=t1,tmp=(C_word)a,a+=3,tmp);
/* library.scm:4425: g5037 */
t7=t5;{
C_word *av2=av;
av2[0]=t7;
av2[1]=t6;
av2[2]=t3;
av2[3]=t2;
((C_proc)C_fast_retrieve_proc(t7))(4,av2);}}

/* k23567 in write-char-0 in k20151 in k20147 in k20143 in k20139 in k20135 in k19774 in k19770 in k19766 in k19762 in k19758 in k19754 in k19750 in k19746 in k19742 in k19738 in k19734 in k19730 in k19726 in k19722 in k19718 in ... */
static void C_ccall f_23569(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_23569,2,av);}
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=*((C_word*)lf[244]+1);
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* ##sys#write-char/port in k20151 in k20147 in k20143 in k20139 in k20135 in k19774 in k19770 in k19766 in k19762 in k19758 in k19754 in k19750 in k19746 in k19742 in k19738 in k19734 in k19730 in k19726 in k19722 in k19718 in k19714 in ... */
static void C_ccall f_23578(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_23578,4,av);}
t4=t3;
t5=C_i_check_port_2(t4,C_fix(2),C_SCHEME_TRUE,lf[869]);
t6=C_i_check_char_2(t2,lf[869]);
/* library.scm:4432: ##sys#write-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[867]);
C_word *av2=av;
av2[0]=*((C_word*)lf[867]+1);
av2[1]=t1;
av2[2]=t2;
av2[3]=t3;
tp(4,av2);}}

/* scheme#write-char in k20151 in k20147 in k20143 in k20139 in k20135 in k19774 in k19770 in k19766 in k19762 in k19758 in k19754 in k19750 in k19746 in k19742 in k19738 in k19734 in k19730 in k19726 in k19722 in k19718 in k19714 in ... */
static void C_ccall f_23590(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c<3) C_bad_min_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand((c-3)*C_SIZEOF_PAIR +0,c,3)))){
C_save_and_reclaim((void*)f_23590,c,av);}
a=C_alloc((c-3)*C_SIZEOF_PAIR+0);
t3=C_build_rest(&a,c,3,av);
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
t4=C_i_nullp(t3);
t5=(C_truep(t4)?*((C_word*)lf[717]+1):C_i_car(t3));
t6=C_i_check_char_2(t2,lf[869]);
t7=C_i_check_port_2(t5,C_fix(2),C_SCHEME_TRUE,lf[869]);
/* library.scm:4438: ##sys#write-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[867]);
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[867]+1);
av2[1]=t1;
av2[2]=t2;
av2[3]=t5;
tp(4,av2);}}

/* scheme#newline in k20151 in k20147 in k20143 in k20139 in k20135 in k19774 in k19770 in k19766 in k19762 in k19758 in k19754 in k19750 in k19746 in k19742 in k19738 in k19734 in k19730 in k19726 in k19722 in k19718 in k19714 in ... */
static void C_ccall f_23611(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand((c-2)*C_SIZEOF_PAIR +0,c,3)))){
C_save_and_reclaim((void*)f_23611,c,av);}
a=C_alloc((c-2)*C_SIZEOF_PAIR+0);
t2=C_build_rest(&a,c,2,av);
C_word t3;
C_word t4;
C_word t5;
if(C_truep(C_i_nullp(t2))){
t3=*((C_word*)lf[717]+1);
t4=*((C_word*)lf[717]+1);
/* library.scm:4442: ##sys#write-char/port */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[868]);
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[868]+1);
av2[1]=t1;
av2[2]=C_make_character(10);
av2[3]=*((C_word*)lf[717]+1);
tp(4,av2);}}
else{
t3=C_i_car(t2);
/* library.scm:4442: ##sys#write-char/port */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[868]);
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[868]+1);
av2[1]=t1;
av2[2]=C_make_character(10);
av2[3]=t3;
tp(4,av2);}}}

/* scheme#write in k20151 in k20147 in k20143 in k20139 in k20135 in k19774 in k19770 in k19766 in k19762 in k19758 in k19754 in k19750 in k19746 in k19742 in k19738 in k19734 in k19730 in k19726 in k19722 in k19718 in k19714 in ... */
static void C_ccall f_23626(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c<3) C_bad_min_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand((c-3)*C_SIZEOF_PAIR +0,c,4)))){
C_save_and_reclaim((void*)f_23626,c,av);}
a=C_alloc((c-3)*C_SIZEOF_PAIR+0);
t3=C_build_rest(&a,c,3,av);
C_word t4;
C_word t5;
C_word t6;
if(C_truep(C_i_nullp(t3))){
t4=*((C_word*)lf[717]+1);
t5=C_i_check_port_2(*((C_word*)lf[717]+1),C_fix(2),C_SCHEME_TRUE,lf[870]);
/* library.scm:4447: ##sys#print */
t6=*((C_word*)lf[871]+1);{
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=t6;
av2[1]=t1;
av2[2]=t2;
av2[3]=C_SCHEME_TRUE;
av2[4]=*((C_word*)lf[717]+1);
((C_proc)(void*)(*((C_word*)t6+1)))(5,av2);}}
else{
t4=C_i_car(t3);
t5=C_i_check_port_2(t4,C_fix(2),C_SCHEME_TRUE,lf[870]);
/* library.scm:4447: ##sys#print */
t6=*((C_word*)lf[871]+1);{
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=t6;
av2[1]=t1;
av2[2]=t2;
av2[3]=C_SCHEME_TRUE;
av2[4]=t4;
((C_proc)(void*)(*((C_word*)t6+1)))(5,av2);}}}

/* scheme#display in k20151 in k20147 in k20143 in k20139 in k20135 in k19774 in k19770 in k19766 in k19762 in k19758 in k19754 in k19750 in k19746 in k19742 in k19738 in k19734 in k19730 in k19726 in k19722 in k19718 in k19714 in ... */
static void C_ccall f_23644(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c<3) C_bad_min_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand((c-3)*C_SIZEOF_PAIR +0,c,4)))){
C_save_and_reclaim((void*)f_23644,c,av);}
a=C_alloc((c-3)*C_SIZEOF_PAIR+0);
t3=C_build_rest(&a,c,3,av);
C_word t4;
C_word t5;
C_word t6;
if(C_truep(C_i_nullp(t3))){
t4=*((C_word*)lf[717]+1);
t5=C_i_check_port_2(*((C_word*)lf[717]+1),C_fix(2),C_SCHEME_TRUE,lf[872]);
/* library.scm:4452: ##sys#print */
t6=*((C_word*)lf[871]+1);{
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=t6;
av2[1]=t1;
av2[2]=t2;
av2[3]=C_SCHEME_FALSE;
av2[4]=*((C_word*)lf[717]+1);
((C_proc)(void*)(*((C_word*)t6+1)))(5,av2);}}
else{
t4=C_i_car(t3);
t5=C_i_check_port_2(t4,C_fix(2),C_SCHEME_TRUE,lf[872]);
/* library.scm:4452: ##sys#print */
t6=*((C_word*)lf[871]+1);{
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=t6;
av2[1]=t1;
av2[2]=t2;
av2[3]=C_SCHEME_FALSE;
av2[4]=t4;
((C_proc)(void*)(*((C_word*)t6+1)))(5,av2);}}}

/* chicken.base#print in k20151 in k20147 in k20143 in k20139 in k20135 in k19774 in k19770 in k19766 in k19762 in k19758 in k19754 in k19750 in k19746 in k19742 in k19738 in k19734 in k19730 in k19726 in k19722 in k19718 in k19714 in ... */
static void C_ccall f_23662(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand((c-2)*C_SIZEOF_PAIR +9,c,3)))){
C_save_and_reclaim((void*)f_23662,c,av);}
a=C_alloc((c-2)*C_SIZEOF_PAIR+9);
t2=C_build_rest(&a,c,2,av);
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
t3=*((C_word*)lf[717]+1);
t4=C_i_check_port_2(*((C_word*)lf[717]+1),C_fix(2),C_SCHEME_TRUE,lf[873]);
t5=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_23705,a[2]=t1,tmp=(C_word)a,a+=3,tmp);
t6=C_i_check_list_2(t2,lf[689]);
t7=C_SCHEME_UNDEFINED;
t8=(*a=C_VECTOR_TYPE|1,a[1]=t7,tmp=(C_word)a,a+=2,tmp);
t9=C_set_block_item(t8,0,(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_23681,a[2]=t8,a[3]=((C_word)li706),tmp=(C_word)a,a+=4,tmp));
t10=((C_word*)t8)[1];
f_23681(t10,t5,t2);}

/* for-each-loop5098 in chicken.base#print in k20151 in k20147 in k20143 in k20139 in k20135 in k19774 in k19770 in k19766 in k19762 in k19758 in k19754 in k19750 in k19746 in k19742 in k19738 in k19734 in k19730 in k19726 in k19722 in k19718 in ... */
static void C_fcall f_23681(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,0,4)))){
C_save_and_reclaim_args((void *)trf_23681,3,t0,t1,t2);}
a=C_alloc(5);
if(C_truep(C_i_pairp(t2))){
t3=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_23691,a[2]=t2,a[3]=((C_word*)t0)[2],a[4]=t1,tmp=(C_word)a,a+=5,tmp);
t4=C_slot(t2,C_fix(0));
t5=*((C_word*)lf[871]+1);
/* library.scm:4455: g5114 */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[871]+1));
C_word av2[5];
av2[0]=*((C_word*)lf[871]+1);
av2[1]=t3;
av2[2]=t4;
av2[3]=C_SCHEME_FALSE;
av2[4]=*((C_word*)lf[717]+1);
tp(5,av2);}}
else{
t3=C_SCHEME_UNDEFINED;
t4=t1;{
C_word av2[2];
av2[0]=t4;
av2[1]=t3;
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}}

/* k23689 in for-each-loop5098 in chicken.base#print in k20151 in k20147 in k20143 in k20139 in k20135 in k19774 in k19770 in k19766 in k19762 in k19758 in k19754 in k19750 in k19746 in k19742 in k19738 in k19734 in k19730 in k19726 in k19722 in ... */
static void C_ccall f_23691(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_23691,2,av);}
t2=C_slot(((C_word*)t0)[2],C_fix(1));
t3=((C_word*)((C_word*)t0)[3])[1];
f_23681(t3,((C_word*)t0)[4],t2);}

/* k23703 in chicken.base#print in k20151 in k20147 in k20143 in k20139 in k20135 in k19774 in k19770 in k19766 in k19762 in k19758 in k19754 in k19750 in k19746 in k19742 in k19738 in k19734 in k19730 in k19726 in k19722 in k19718 in ... */
static void C_ccall f_23705(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,3)))){
C_save_and_reclaim((void *)f_23705,2,av);}
a=C_alloc(3);
t2=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_23708,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
/* library.scm:4461: ##sys#write-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[867]);
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[867]+1);
av2[1]=t2;
av2[2]=C_make_character(10);
av2[3]=*((C_word*)lf[717]+1);
tp(4,av2);}}

/* k23706 in k23703 in chicken.base#print in k20151 in k20147 in k20143 in k20139 in k20135 in k19774 in k19770 in k19766 in k19762 in k19758 in k19754 in k19750 in k19746 in k19742 in k19738 in k19734 in k19730 in k19726 in k19722 in ... */
static void C_ccall f_23708(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_23708,2,av);}
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=*((C_word*)lf[244]+1);
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* chicken.base#print* in k20151 in k20147 in k20143 in k20139 in k20135 in k19774 in k19770 in k19766 in k19762 in k19758 in k19754 in k19750 in k19746 in k19742 in k19738 in k19734 in k19730 in k19726 in k19722 in k19718 in k19714 in ... */
static void C_ccall f_23713(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand((c-2)*C_SIZEOF_PAIR +9,c,3)))){
C_save_and_reclaim((void*)f_23713,c,av);}
a=C_alloc((c-2)*C_SIZEOF_PAIR+9);
t2=C_build_rest(&a,c,2,av);
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
t3=*((C_word*)lf[717]+1);
t4=C_i_check_port_2(*((C_word*)lf[717]+1),C_fix(2),C_SCHEME_TRUE,lf[873]);
t5=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_23756,a[2]=t1,tmp=(C_word)a,a+=3,tmp);
t6=C_i_check_list_2(t2,lf[689]);
t7=C_SCHEME_UNDEFINED;
t8=(*a=C_VECTOR_TYPE|1,a[1]=t7,tmp=(C_word)a,a+=2,tmp);
t9=C_set_block_item(t8,0,(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_23732,a[2]=t8,a[3]=((C_word)li708),tmp=(C_word)a,a+=4,tmp));
t10=((C_word*)t8)[1];
f_23732(t10,t5,t2);}

/* for-each-loop5130 in chicken.base#print* in k20151 in k20147 in k20143 in k20139 in k20135 in k19774 in k19770 in k19766 in k19762 in k19758 in k19754 in k19750 in k19746 in k19742 in k19738 in k19734 in k19730 in k19726 in k19722 in k19718 in ... */
static void C_fcall f_23732(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,0,4)))){
C_save_and_reclaim_args((void *)trf_23732,3,t0,t1,t2);}
a=C_alloc(5);
if(C_truep(C_i_pairp(t2))){
t3=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_23742,a[2]=t2,a[3]=((C_word*)t0)[2],a[4]=t1,tmp=(C_word)a,a+=5,tmp);
t4=C_slot(t2,C_fix(0));
t5=*((C_word*)lf[871]+1);
/* library.scm:4455: g5146 */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[871]+1));
C_word av2[5];
av2[0]=*((C_word*)lf[871]+1);
av2[1]=t3;
av2[2]=t4;
av2[3]=C_SCHEME_FALSE;
av2[4]=*((C_word*)lf[717]+1);
tp(5,av2);}}
else{
t3=C_SCHEME_UNDEFINED;
t4=t1;{
C_word av2[2];
av2[0]=t4;
av2[1]=t3;
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}}

/* k23740 in for-each-loop5130 in chicken.base#print* in k20151 in k20147 in k20143 in k20139 in k20135 in k19774 in k19770 in k19766 in k19762 in k19758 in k19754 in k19750 in k19746 in k19742 in k19738 in k19734 in k19730 in k19726 in k19722 in ... */
static void C_ccall f_23742(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_23742,2,av);}
t2=C_slot(((C_word*)t0)[2],C_fix(1));
t3=((C_word*)((C_word*)t0)[3])[1];
f_23732(t3,((C_word*)t0)[4],t2);}

/* k23754 in chicken.base#print* in k20151 in k20147 in k20143 in k20139 in k20135 in k19774 in k19770 in k19766 in k19762 in k19758 in k19754 in k19750 in k19746 in k19742 in k19738 in k19734 in k19730 in k19726 in k19722 in k19718 in ... */
static void C_ccall f_23756(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,2)))){
C_save_and_reclaim((void *)f_23756,2,av);}
a=C_alloc(3);
t2=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_23759,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
/* library.scm:4468: ##sys#flush-output */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[749]);
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[749]+1);
av2[1]=t2;
av2[2]=*((C_word*)lf[717]+1);
tp(3,av2);}}

/* k23757 in k23754 in chicken.base#print* in k20151 in k20147 in k20143 in k20139 in k20135 in k19774 in k19770 in k19766 in k19762 in k19758 in k19754 in k19750 in k19746 in k19742 in k19738 in k19734 in k19730 in k19726 in k19722 in ... */
static void C_ccall f_23759(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_23759,2,av);}
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=*((C_word*)lf[244]+1);
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* k23764 in k20151 in k20147 in k20143 in k20139 in k20135 in k19774 in k19770 in k19766 in k19762 in k19758 in k19754 in k19750 in k19746 in k19742 in k19738 in k19734 in k19730 in k19726 in k19722 in k19718 in k19714 in ... */
static void C_ccall f_23766(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,2)))){
C_save_and_reclaim((void *)f_23766,2,av);}
a=C_alloc(3);
t2=C_mutate(&lf[874] /* (set! current-print-length ...) */,t1);
t3=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_23770,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
/* library.scm:4472: chicken.base#make-parameter */
t4=*((C_word*)lf[201]+1);{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t4;
av2[1]=t3;
av2[2]=C_SCHEME_FALSE;
((C_proc)(void*)(*((C_word*)t4+1)))(3,av2);}}

/* k23768 in k23764 in k20151 in k20147 in k20143 in k20139 in k20135 in k19774 in k19770 in k19766 in k19762 in k19758 in k19754 in k19750 in k19746 in k19742 in k19738 in k19734 in k19730 in k19726 in k19722 in k19718 in ... */
static void C_ccall f_23770(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,2)))){
C_save_and_reclaim((void *)f_23770,2,av);}
a=C_alloc(3);
t2=C_mutate((C_word*)lf[875]+1 /* (set! ##sys#print-length-limit ...) */,t1);
t3=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_23774,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
/* library.scm:4473: chicken.base#make-parameter */
t4=*((C_word*)lf[201]+1);{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t4;
av2[1]=t3;
av2[2]=C_SCHEME_FALSE;
((C_proc)(void*)(*((C_word*)t4+1)))(3,av2);}}

/* k23772 in k23768 in k23764 in k20151 in k20147 in k20143 in k20139 in k20135 in k19774 in k19770 in k19766 in k19762 in k19758 in k19754 in k19750 in k19746 in k19742 in k19738 in k19734 in k19730 in k19726 in k19722 in ... */
static void C_ccall f_23774(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word t12;
C_word t13;
C_word t14;
C_word t15;
C_word t16;
C_word t17;
C_word t18;
C_word t19;
C_word t20;
C_word t21;
C_word t22;
C_word t23;
C_word t24;
C_word t25;
C_word t26;
C_word t27;
C_word t28;
C_word t29;
C_word t30;
C_word t31;
C_word t32;
C_word t33;
C_word t34;
C_word t35;
C_word t36;
C_word t37;
C_word t38;
C_word t39;
C_word t40;
C_word t41;
C_word t42;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(104,c,6)))){
C_save_and_reclaim((void *)f_23774,2,av);}
a=C_alloc(104);
t2=C_mutate(&lf[876] /* (set! ##sys#print-exit ...) */,t1);
t3=*((C_word*)lf[230]+1);
t4=*((C_word*)lf[231]+1);
t5=C_mutate((C_word*)lf[871]+1 /* (set! ##sys#print ...) */,(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_23776,a[2]=t4,a[3]=t3,a[4]=((C_word)li723),tmp=(C_word)a,a+=5,tmp));
t6=C_mutate((C_word*)lf[897]+1 /* (set! ##sys#procedure->string ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_24880,a[2]=((C_word)li724),tmp=(C_word)a,a+=3,tmp));
t7=C_set_block_item(lf[910] /* ##sys#record-printers */,0,C_SCHEME_END_OF_LIST);
t8=C_mutate((C_word*)lf[911]+1 /* (set! ##sys#register-record-printer ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_24897,a[2]=((C_word)li725),tmp=(C_word)a,a+=3,tmp));
t9=C_mutate((C_word*)lf[896]+1 /* (set! ##sys#user-print-hook ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_24917,a[2]=((C_word)li733),tmp=(C_word)a,a+=3,tmp));
t10=C_mutate((C_word*)lf[922]+1 /* (set! ##sys#with-print-length-limit ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_25068,a[2]=((C_word)li738),tmp=(C_word)a,a+=3,tmp));
t11=C_SCHEME_UNDEFINED;
t12=(*a=C_VECTOR_TYPE|1,a[1]=t11,tmp=(C_word)a,a+=2,tmp);
t13=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_25153,a[2]=t12,a[3]=((C_word)li739),tmp=(C_word)a,a+=4,tmp);
t14=C_set_block_item(t12,0,t13);
t15=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_31271,a[2]=((C_word)li740),tmp=(C_word)a,a+=3,tmp);
t16=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_31296,a[2]=((C_word)li741),tmp=(C_word)a,a+=3,tmp);
t17=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_31314,a[2]=t12,a[3]=((C_word)li742),tmp=(C_word)a,a+=4,tmp);
t18=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_31333,a[2]=t12,a[3]=((C_word)li743),tmp=(C_word)a,a+=4,tmp);
t19=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_31352,a[2]=((C_word)li744),tmp=(C_word)a,a+=3,tmp);
t20=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_31355,a[2]=((C_word)li745),tmp=(C_word)a,a+=3,tmp);
t21=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_31358,a[2]=((C_word)li746),tmp=(C_word)a,a+=3,tmp);
t22=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_31399,a[2]=((C_word)li750),tmp=(C_word)a,a+=3,tmp);
t23=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_31483,a[2]=((C_word)li751),tmp=(C_word)a,a+=3,tmp);
t24=C_a_i_vector(&a,10,t15,t16,t17,t18,*((C_word*)lf[196]+1),t19,t20,t21,t22,t23);
t25=C_mutate((C_word*)lf[927]+1 /* (set! ##sys#string-port-class ...) */,t24);
t26=C_mutate((C_word*)lf[925]+1 /* (set! ##sys#scan-buffer-line ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_25209,a[2]=((C_word)li758),tmp=(C_word)a,a+=3,tmp));
t27=C_mutate((C_word*)lf[212]+1 /* (set! chicken.base#open-input-string ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_25406,a[2]=((C_word)li759),tmp=(C_word)a,a+=3,tmp));
t28=C_mutate((C_word*)lf[213]+1 /* (set! chicken.base#open-output-string ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_25425,a[2]=((C_word)li760),tmp=(C_word)a,a+=3,tmp));
t29=C_mutate((C_word*)lf[211]+1 /* (set! chicken.base#get-output-string ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_25444,a[2]=((C_word)li761),tmp=(C_word)a,a+=3,tmp));
t30=*((C_word*)lf[211]+1);
t31=*((C_word*)lf[213]+1);
t32=C_mutate((C_word*)lf[937]+1 /* (set! ##sys#print-to-string ...) */,(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_25478,a[2]=t30,a[3]=t31,a[4]=((C_word)li764),tmp=(C_word)a,a+=5,tmp));
t33=C_mutate((C_word*)lf[891]+1 /* (set! ##sys#pointer->string ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_25521,a[2]=((C_word)li765),tmp=(C_word)a,a+=3,tmp));
t34=C_mutate((C_word*)lf[186]+1 /* (set! chicken.base#get-call-chain ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_25574,a[2]=((C_word)li767),tmp=(C_word)a,a+=3,tmp));
t35=C_mutate((C_word*)lf[946]+1 /* (set! ##sys#really-print-call-chain ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_25718,a[2]=((C_word)li771),tmp=(C_word)a,a+=3,tmp));
t36=C_mutate((C_word*)lf[187]+1 /* (set! chicken.base#print-call-chain ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_25823,a[2]=((C_word)li772),tmp=(C_word)a,a+=3,tmp));
t37=C_mutate((C_word*)lf[954]+1 /* (set! ##sys#user-interrupt-hook ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_25914,a[2]=((C_word)li774),tmp=(C_word)a,a+=3,tmp));
t38=lf[957] /* exit-in-progress */ =C_SCHEME_FALSE;;
t39=C_mutate(&lf[958] /* (set! cleanup-before-exit ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_25936,a[2]=((C_word)li777),tmp=(C_word)a,a+=3,tmp));
t40=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_26019,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
t41=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_31247,a[2]=((C_word)li981),tmp=(C_word)a,a+=3,tmp);
/* library.scm:5039: chicken.base#make-parameter */
t42=*((C_word*)lf[201]+1);{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t42;
av2[1]=t40;
av2[2]=t41;
((C_proc)(void*)(*((C_word*)t42+1)))(3,av2);}}

/* ##sys#print in k23772 in k23768 in k23764 in k20151 in k20147 in k20143 in k20139 in k20135 in k19774 in k19770 in k19766 in k19762 in k19758 in k19754 in k19750 in k19746 in k19742 in k19738 in k19734 in k19730 in k19726 in ... */
static void C_ccall f_23776(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4=av[4];
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word *a;
if(c!=5) C_bad_argc_2(c,5,t0);
if(C_unlikely(!C_demand(C_calculate_demand(7,c,2)))){
C_save_and_reclaim((void *)f_23776,5,av);}
a=C_alloc(7);
t5=t4;
t6=C_i_check_port_2(t5,C_fix(2),C_SCHEME_TRUE,C_SCHEME_FALSE);
t7=(*a=C_CLOSURE_TYPE|6,a[1]=(C_word)f_23783,a[2]=t3,a[3]=t1,a[4]=t4,a[5]=t2,a[6]=((C_word*)t0)[2],tmp=(C_word)a,a+=7,tmp);
/* library.scm:4480: case-sensitive */
t8=((C_word*)t0)[3];{
C_word *av2=av;
av2[0]=t8;
av2[1]=t7;
((C_proc)(void*)(*((C_word*)t8+1)))(2,av2);}}

/* k23781 in print in k23772 in k23768 in k23764 in k20151 in k20147 in k20143 in k20139 in k20135 in k19774 in k19770 in k19766 in k19762 in k19758 in k19754 in k19750 in k19746 in k19742 in k19738 in k19734 in k19730 in ... */
static void C_ccall f_23783(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(7,c,2)))){
C_save_and_reclaim((void *)f_23783,2,av);}
a=C_alloc(7);
t2=t1;
t3=(*a=C_CLOSURE_TYPE|6,a[1]=(C_word)f_23786,a[2]=((C_word*)t0)[2],a[3]=t2,a[4]=((C_word*)t0)[3],a[5]=((C_word*)t0)[4],a[6]=((C_word*)t0)[5],tmp=(C_word)a,a+=7,tmp);
/* library.scm:4481: keyword-style */
t4=((C_word*)t0)[6];{
C_word *av2=av;
av2[0]=t4;
av2[1]=t3;
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* k23784 in k23781 in print in k23772 in k23768 in k23764 in k20151 in k20147 in k20143 in k20139 in k20135 in k19774 in k19770 in k19766 in k19762 in k19758 in k19754 in k19750 in k19746 in k19742 in k19738 in k19734 in ... */
static void C_ccall f_23786(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(8,c,2)))){
C_save_and_reclaim((void *)f_23786,2,av);}
a=C_alloc(8);
t2=t1;
t3=(*a=C_CLOSURE_TYPE|7,a[1]=(C_word)f_23789,a[2]=((C_word*)t0)[2],a[3]=t2,a[4]=((C_word*)t0)[3],a[5]=((C_word*)t0)[4],a[6]=((C_word*)t0)[5],a[7]=((C_word*)t0)[6],tmp=(C_word)a,a+=8,tmp);
/* library.scm:4482: ##sys#print-length-limit */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[875]);
C_word *av2=av;
av2[0]=*((C_word*)lf[875]+1);
av2[1]=t3;
tp(2,av2);}}

/* k23787 in k23784 in k23781 in print in k23772 in k23768 in k23764 in k20151 in k20147 in k20143 in k20139 in k20135 in k19774 in k19770 in k19766 in k19762 in k19758 in k19754 in k19750 in k19746 in k19742 in k19738 in ... */
static void C_ccall f_23789(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word t12;
C_word t13;
C_word t14;
C_word t15;
C_word t16;
C_word t17;
C_word t18;
C_word t19;
C_word t20;
C_word t21;
C_word t22;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(50,c,4)))){
C_save_and_reclaim((void *)f_23789,2,av);}
a=C_alloc(50);
t2=t1;
t3=C_SCHEME_UNDEFINED;
t4=(*a=C_VECTOR_TYPE|1,a[1]=t3,tmp=(C_word)a,a+=2,tmp);
t5=C_SCHEME_UNDEFINED;
t6=(*a=C_VECTOR_TYPE|1,a[1]=t5,tmp=(C_word)a,a+=2,tmp);
t7=C_SCHEME_UNDEFINED;
t8=(*a=C_VECTOR_TYPE|1,a[1]=t7,tmp=(C_word)a,a+=2,tmp);
t9=C_SCHEME_UNDEFINED;
t10=(*a=C_VECTOR_TYPE|1,a[1]=t9,tmp=(C_word)a,a+=2,tmp);
t11=C_SCHEME_UNDEFINED;
t12=(*a=C_VECTOR_TYPE|1,a[1]=t11,tmp=(C_word)a,a+=2,tmp);
t13=C_set_block_item(t4,0,(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_23791,a[2]=t2,a[3]=((C_word)li710),tmp=(C_word)a,a+=4,tmp));
t14=C_set_block_item(t6,0,(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_23863,a[2]=t2,a[3]=((C_word)li711),tmp=(C_word)a,a+=4,tmp));
t15=C_set_block_item(t8,0,(*a=C_CLOSURE_TYPE|6,a[1]=(C_word)f_23923,a[2]=((C_word*)t0)[2],a[3]=t4,a[4]=t10,a[5]=t12,a[6]=((C_word)li712),tmp=(C_word)a,a+=7,tmp));
t16=C_set_block_item(t10,0,(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_23947,a[2]=t6,a[3]=t4,a[4]=((C_word)li714),tmp=(C_word)a,a+=5,tmp));
t17=C_set_block_item(t12,0,(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_24036,a[2]=((C_word*)t0)[3],a[3]=((C_word*)t0)[4],a[4]=((C_word)li716),tmp=(C_word)a,a+=5,tmp));
t18=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_24215,a[2]=((C_word*)t0)[5],tmp=(C_word)a,a+=3,tmp);
t19=C_SCHEME_UNDEFINED;
t20=(*a=C_VECTOR_TYPE|1,a[1]=t19,tmp=(C_word)a,a+=2,tmp);
t21=C_set_block_item(t20,0,(*a=C_CLOSURE_TYPE|9,a[1]=(C_word)f_24220,a[2]=t4,a[3]=((C_word*)t0)[6],a[4]=((C_word*)t0)[2],a[5]=t6,a[6]=((C_word*)t0)[3],a[7]=t8,a[8]=t20,a[9]=((C_word)li722),tmp=(C_word)a,a+=10,tmp));
t22=((C_word*)t20)[1];
f_24220(t22,t18,((C_word*)t0)[7]);}

/* outstr in k23787 in k23784 in k23781 in print in k23772 in k23768 in k23764 in k20151 in k20147 in k20143 in k20139 in k20135 in k19774 in k19770 in k19766 in k19762 in k19758 in k19754 in k19750 in k19746 in k19742 in ... */
static void C_fcall f_23791(C_word t0,C_word t1,C_word t2,C_word t3){
C_word tmp;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(7,0,3)))){
C_save_and_reclaim_args((void *)trf_23791,4,t0,t1,t2,t3);}
a=C_alloc(7);
if(C_truep(((C_word*)t0)[2])){
t4=C_block_size(t3);
t5=t4;
t6=(*a=C_CLOSURE_TYPE|6,a[1]=(C_word)f_23801,a[2]=t5,a[3]=t1,a[4]=((C_word*)t0)[2],a[5]=t2,a[6]=t3,tmp=(C_word)a,a+=7,tmp);
/* library.scm:4488: current-print-length */
t7=C_retrieve2(lf[874],C_text("current-print-length"));{
C_word av2[2];
av2[0]=t7;
av2[1]=t6;
((C_proc)(void*)(*((C_word*)t7+1)))(2,av2);}}
else{
t4=t1;
t5=t2;
t6=t3;
t7=C_slot(t5,C_fix(2));
t8=C_slot(t7,C_fix(3));
/* g51895190 */
t9=t8;{
C_word av2[4];
av2[0]=t9;
av2[1]=t4;
av2[2]=t5;
av2[3]=t6;
((C_proc)C_fast_retrieve_proc(t9))(4,av2);}}}

/* k23799 in outstr in k23787 in k23784 in k23781 in print in k23772 in k23768 in k23764 in k20151 in k20147 in k20143 in k20139 in k20135 in k19774 in k19770 in k19766 in k19762 in k19758 in k19754 in k19750 in k19746 in ... */
static void C_ccall f_23801(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(12,c,4)))){
C_save_and_reclaim((void *)f_23801,2,av);}
a=C_alloc(12);
t2=C_fixnum_plus(t1,((C_word*)t0)[2]);
t3=t2;
t4=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_23807,a[2]=((C_word*)t0)[3],a[3]=t3,tmp=(C_word)a,a+=4,tmp);
if(C_truep(C_fixnum_greaterp(t3,((C_word*)t0)[4]))){
t5=C_fixnum_difference(((C_word*)t0)[4],t1);
t6=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_23819,a[2]=t4,a[3]=((C_word*)t0)[5],tmp=(C_word)a,a+=4,tmp);
if(C_truep(C_fixnum_greaterp(t5,C_fix(0)))){
t7=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_23842,a[2]=((C_word*)t0)[5],a[3]=t6,tmp=(C_word)a,a+=4,tmp);
/* library.scm:4492: ##sys#substring */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[395]+1));
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=*((C_word*)lf[395]+1);
av2[1]=t7;
av2[2]=((C_word*)t0)[6];
av2[3]=C_fix(0);
av2[4]=t5;
tp(5,av2);}}
else{
t7=t6;{
C_word *av2=av;
av2[0]=t7;
av2[1]=C_SCHEME_UNDEFINED;
f_23819(2,av2);}}}
else{
t5=((C_word*)t0)[5];
t6=((C_word*)t0)[6];
t7=C_slot(t5,C_fix(2));
t8=C_slot(t7,C_fix(3));
/* g51895190 */
t9=t8;{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t9;
av2[1]=t4;
av2[2]=t5;
av2[3]=t6;
((C_proc)C_fast_retrieve_proc(t9))(4,av2);}}}

/* k23805 in k23799 in outstr in k23787 in k23784 in k23781 in print in k23772 in k23768 in k23764 in k20151 in k20147 in k20143 in k20139 in k20135 in k19774 in k19770 in k19766 in k19762 in k19758 in k19754 in k19750 in ... */
static void C_ccall f_23807(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_23807,2,av);}
/* library.scm:4496: current-print-length */
t2=C_retrieve2(lf[874],C_text("current-print-length"));{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[2];
av2[2]=((C_word*)t0)[3];
((C_proc)(void*)(*((C_word*)t2+1)))(3,av2);}}

/* k23817 in k23799 in outstr in k23787 in k23784 in k23781 in print in k23772 in k23768 in k23764 in k20151 in k20147 in k20143 in k20139 in k20135 in k19774 in k19770 in k19766 in k19762 in k19758 in k19754 in k19750 in ... */
static void C_ccall f_23819(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,3)))){
C_save_and_reclaim((void *)f_23819,2,av);}
a=C_alloc(3);
t2=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_23822,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
t3=((C_word*)t0)[3];
t4=C_slot(t3,C_fix(2));
t5=C_slot(t4,C_fix(3));
/* g51895190 */
t6=t5;{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t6;
av2[1]=t2;
av2[2]=t3;
av2[3]=lf[877];
((C_proc)C_fast_retrieve_proc(t6))(4,av2);}}

/* k23820 in k23817 in k23799 in outstr in k23787 in k23784 in k23781 in print in k23772 in k23768 in k23764 in k20151 in k20147 in k20143 in k20139 in k20135 in k19774 in k19770 in k19766 in k19762 in k19758 in k19754 in ... */
static void C_ccall f_23822(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,2)))){
C_save_and_reclaim((void *)f_23822,2,av);}
a=C_alloc(3);
t2=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_23825,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
/* library.scm:4494: ##sys#print-exit */
t3=C_retrieve2(lf[876],C_text("##sys#print-exit"));{
C_word *av2=av;
av2[0]=t3;
av2[1]=t2;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* k23823 in k23820 in k23817 in k23799 in outstr in k23787 in k23784 in k23781 in print in k23772 in k23768 in k23764 in k20151 in k20147 in k20143 in k20139 in k20135 in k19774 in k19770 in k19766 in k19762 in k19758 in ... */
static void C_ccall f_23825(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_23825,2,av);}
t2=*((C_word*)lf[244]+1);
/* library.scm:4491: g5182 */
t3=t1;{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t3;
av2[1]=((C_word*)t0)[2];
av2[2]=*((C_word*)lf[244]+1);
((C_proc)C_fast_retrieve_proc(t3))(3,av2);}}

/* k23840 in k23799 in outstr in k23787 in k23784 in k23781 in print in k23772 in k23768 in k23764 in k20151 in k20147 in k20143 in k20139 in k20135 in k19774 in k19770 in k19766 in k19762 in k19758 in k19754 in k19750 in ... */
static void C_ccall f_23842(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_23842,2,av);}
t2=((C_word*)t0)[2];
t3=C_slot(t2,C_fix(2));
t4=C_slot(t3,C_fix(3));
/* g51895190 */
t5=t4;{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t5;
av2[1]=((C_word*)t0)[3];
av2[2]=t2;
av2[3]=t1;
((C_proc)C_fast_retrieve_proc(t5))(4,av2);}}

/* outchr in k23787 in k23784 in k23781 in print in k23772 in k23768 in k23764 in k20151 in k20147 in k20143 in k20139 in k20135 in k19774 in k19770 in k19766 in k19762 in k19758 in k19754 in k19750 in k19746 in k19742 in ... */
static void C_fcall f_23863(C_word t0,C_word t1,C_word t2,C_word t3){
C_word tmp;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(12,0,3)))){
C_save_and_reclaim_args((void *)trf_23863,4,t0,t1,t2,t3);}
a=C_alloc(12);
t4=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_23867,a[2]=t2,a[3]=t1,a[4]=t3,tmp=(C_word)a,a+=5,tmp);
if(C_truep(((C_word*)t0)[2])){
t5=(*a=C_CLOSURE_TYPE|6,a[1]=(C_word)f_23880,a[2]=((C_word*)t0)[2],a[3]=t4,a[4]=t2,a[5]=t1,a[6]=t3,tmp=(C_word)a,a+=7,tmp);
/* library.scm:4504: current-print-length */
t6=C_retrieve2(lf[874],C_text("current-print-length"));{
C_word av2[2];
av2[0]=t6;
av2[1]=t5;
((C_proc)(void*)(*((C_word*)t6+1)))(2,av2);}}
else{
t5=C_slot(t2,C_fix(2));
t6=C_slot(t5,C_fix(2));
/* g51985199 */
t7=t6;{
C_word av2[4];
av2[0]=t7;
av2[1]=t1;
av2[2]=t2;
av2[3]=t3;
((C_proc)C_fast_retrieve_proc(t7))(4,av2);}}}

/* k23865 in outchr in k23787 in k23784 in k23781 in print in k23772 in k23768 in k23764 in k20151 in k20147 in k20143 in k20139 in k20135 in k19774 in k19770 in k19766 in k19762 in k19758 in k19754 in k19750 in k19746 in ... */
static void C_ccall f_23867(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_23867,2,av);}
t2=C_slot(((C_word*)t0)[2],C_fix(2));
t3=C_slot(t2,C_fix(2));
/* g51985199 */
t4=t3;{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t4;
av2[1]=((C_word*)t0)[3];
av2[2]=((C_word*)t0)[2];
av2[3]=((C_word*)t0)[4];
((C_proc)C_fast_retrieve_proc(t4))(4,av2);}}

/* k23878 in outchr in k23787 in k23784 in k23781 in print in k23772 in k23768 in k23764 in k20151 in k20147 in k20143 in k20139 in k20135 in k19774 in k19770 in k19766 in k19762 in k19758 in k19754 in k19750 in k19746 in ... */
static void C_ccall f_23880(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(8,c,2)))){
C_save_and_reclaim((void *)f_23880,2,av);}
a=C_alloc(8);
t2=t1;
t3=(*a=C_CLOSURE_TYPE|7,a[1]=(C_word)f_23883,a[2]=t2,a[3]=((C_word*)t0)[2],a[4]=((C_word*)t0)[3],a[5]=((C_word*)t0)[4],a[6]=((C_word*)t0)[5],a[7]=((C_word*)t0)[6],tmp=(C_word)a,a+=8,tmp);
t4=C_fixnum_plus(t2,C_fix(1));
/* library.scm:4505: current-print-length */
t5=C_retrieve2(lf[874],C_text("current-print-length"));{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t5;
av2[1]=t3;
av2[2]=t4;
((C_proc)(void*)(*((C_word*)t5+1)))(3,av2);}}

/* k23881 in k23878 in outchr in k23787 in k23784 in k23781 in print in k23772 in k23768 in k23764 in k20151 in k20147 in k20143 in k20139 in k20135 in k19774 in k19770 in k19766 in k19762 in k19758 in k19754 in k19750 in ... */
static void C_ccall f_23883(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,3)))){
C_save_and_reclaim((void *)f_23883,2,av);}
a=C_alloc(3);
if(C_truep(C_fixnum_greater_or_equal_p(((C_word*)t0)[2],((C_word*)t0)[3]))){
t2=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_23892,a[2]=((C_word*)t0)[4],tmp=(C_word)a,a+=3,tmp);
t3=((C_word*)t0)[5];
t4=C_slot(t3,C_fix(2));
t5=C_slot(t4,C_fix(3));
/* g51895190 */
t6=t5;{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t6;
av2[1]=t2;
av2[2]=t3;
av2[3]=lf[878];
((C_proc)C_fast_retrieve_proc(t6))(4,av2);}}
else{
t2=C_slot(((C_word*)t0)[5],C_fix(2));
t3=C_slot(t2,C_fix(2));
/* g51985199 */
t4=t3;{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t4;
av2[1]=((C_word*)t0)[6];
av2[2]=((C_word*)t0)[5];
av2[3]=((C_word*)t0)[7];
((C_proc)C_fast_retrieve_proc(t4))(4,av2);}}}

/* k23890 in k23881 in k23878 in outchr in k23787 in k23784 in k23781 in print in k23772 in k23768 in k23764 in k20151 in k20147 in k20143 in k20139 in k20135 in k19774 in k19770 in k19766 in k19762 in k19758 in k19754 in ... */
static void C_ccall f_23892(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,2)))){
C_save_and_reclaim((void *)f_23892,2,av);}
a=C_alloc(3);
t2=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_23895,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
/* library.scm:4508: ##sys#print-exit */
t3=C_retrieve2(lf[876],C_text("##sys#print-exit"));{
C_word *av2=av;
av2[0]=t3;
av2[1]=t2;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* k23893 in k23890 in k23881 in k23878 in outchr in k23787 in k23784 in k23781 in print in k23772 in k23768 in k23764 in k20151 in k20147 in k20143 in k20139 in k20135 in k19774 in k19770 in k19766 in k19762 in k19758 in ... */
static void C_ccall f_23895(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_23895,2,av);}
t2=*((C_word*)lf[244]+1);
/* library.scm:4506: g5194 */
t3=t1;{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t3;
av2[1]=((C_word*)t0)[2];
av2[2]=*((C_word*)lf[244]+1);
((C_proc)C_fast_retrieve_proc(t3))(3,av2);}}

/* outsym in k23787 in k23784 in k23781 in print in k23772 in k23768 in k23764 in k20151 in k20147 in k20143 in k20139 in k20135 in k19774 in k19770 in k19766 in k19762 in k19758 in k19754 in k19750 in k19746 in k19742 in ... */
static void C_fcall f_23923(C_word t0,C_word t1,C_word t2,C_word t3){
C_word tmp;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(8,0,2)))){
C_save_and_reclaim_args((void *)trf_23923,4,t0,t1,t2,t3);}
a=C_alloc(8);
t4=(*a=C_CLOSURE_TYPE|7,a[1]=(C_word)f_23927,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=t1,a[5]=t2,a[6]=((C_word*)t0)[4],a[7]=((C_word*)t0)[5],tmp=(C_word)a,a+=8,tmp);
/* library.scm:4517: ##sys#symbol->string */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[629]+1));
C_word av2[3];
av2[0]=*((C_word*)lf[629]+1);
av2[1]=t4;
av2[2]=t3;
tp(3,av2);}}

/* k23925 in outsym in k23787 in k23784 in k23781 in print in k23772 in k23768 in k23764 in k20151 in k20147 in k20143 in k20139 in k20135 in k19774 in k19770 in k19766 in k19762 in k19758 in k19754 in k19750 in k19746 in ... */
static void C_ccall f_23927(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(7,c,2)))){
C_save_and_reclaim((void *)f_23927,2,av);}
a=C_alloc(7);
t2=t1;
t3=C_i_not(((C_word*)t0)[2]);
t4=(*a=C_CLOSURE_TYPE|6,a[1]=(C_word)f_23936,a[2]=((C_word*)t0)[3],a[3]=((C_word*)t0)[4],a[4]=((C_word*)t0)[5],a[5]=t2,a[6]=((C_word*)t0)[6],tmp=(C_word)a,a+=7,tmp);
if(C_truep(t3)){
t5=t4;{
C_word *av2=av;
av2[0]=t5;
av2[1]=t3;
f_23936(2,av2);}}
else{
/* library.scm:4518: sym-is-readable? */
t5=((C_word*)((C_word*)t0)[7])[1];
f_24036(t5,t4,t2);}}

/* k23934 in k23925 in outsym in k23787 in k23784 in k23781 in print in k23772 in k23768 in k23764 in k20151 in k20147 in k20143 in k20139 in k20135 in k19774 in k19770 in k19766 in k19762 in k19758 in k19754 in k19750 in ... */
static void C_ccall f_23936(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_23936,2,av);}
if(C_truep(t1)){
/* library.scm:4519: outstr */
t2=((C_word*)((C_word*)t0)[2])[1];
f_23791(t2,((C_word*)t0)[3],((C_word*)t0)[4],((C_word*)t0)[5]);}
else{
/* library.scm:4520: outreadablesym */
t2=((C_word*)((C_word*)t0)[6])[1];
f_23947(t2,((C_word*)t0)[3],((C_word*)t0)[4],((C_word*)t0)[5]);}}

/* outreadablesym in k23787 in k23784 in k23781 in print in k23772 in k23768 in k23764 in k20151 in k20147 in k20143 in k20139 in k20135 in k19774 in k19770 in k19766 in k19762 in k19758 in k19754 in k19750 in k19746 in k19742 in ... */
static void C_fcall f_23947(C_word t0,C_word t1,C_word t2,C_word t3){
C_word tmp;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(8,0,3)))){
C_save_and_reclaim_args((void *)trf_23947,4,t0,t1,t2,t3);}
a=C_alloc(8);
t4=C_block_size(t3);
t5=t4;
t6=(*a=C_CLOSURE_TYPE|7,a[1]=(C_word)f_23954,a[2]=t5,a[3]=((C_word*)t0)[2],a[4]=t2,a[5]=t3,a[6]=((C_word*)t0)[3],a[7]=t1,tmp=(C_word)a,a+=8,tmp);
/* library.scm:4524: outchr */
t7=((C_word*)((C_word*)t0)[2])[1];
f_23863(t7,t6,t2,C_make_character(124));}

/* k23952 in outreadablesym in k23787 in k23784 in k23781 in print in k23772 in k23768 in k23764 in k20151 in k20147 in k20143 in k20139 in k20135 in k19774 in k19770 in k19766 in k19762 in k19758 in k19754 in k19750 in k19746 in ... */
static void C_ccall f_23954(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(11,c,3)))){
C_save_and_reclaim((void *)f_23954,2,av);}
a=C_alloc(11);
t2=C_SCHEME_UNDEFINED;
t3=(*a=C_VECTOR_TYPE|1,a[1]=t2,tmp=(C_word)a,a+=2,tmp);
t4=C_set_block_item(t3,0,(*a=C_CLOSURE_TYPE|8,a[1]=(C_word)f_23959,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[5],a[6]=t3,a[7]=((C_word*)t0)[6],a[8]=((C_word)li713),tmp=(C_word)a,a+=9,tmp));
t5=((C_word*)t3)[1];
f_23959(t5,((C_word*)t0)[7],C_fix(0));}

/* loop in k23952 in outreadablesym in k23787 in k23784 in k23781 in print in k23772 in k23768 in k23764 in k20151 in k20147 in k20143 in k20139 in k20135 in k19774 in k19770 in k19766 in k19762 in k19758 in k19754 in k19750 in ... */
static void C_fcall f_23959(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(9,0,3)))){
C_save_and_reclaim_args((void *)trf_23959,3,t0,t1,t2);}
a=C_alloc(9);
if(C_truep(C_fixnum_greater_or_equal_p(t2,((C_word*)t0)[2]))){
/* library.scm:4527: outchr */
t3=((C_word*)((C_word*)t0)[3])[1];
f_23863(t3,t1,((C_word*)t0)[4],C_make_character(124));}
else{
t3=C_subchar(((C_word*)t0)[5],t2);
t4=C_i_char_lessp(t3,C_make_character(32));
t5=(C_truep(t4)?t4:C_u_i_char_greaterp(t3,C_make_character(126)));
if(C_truep(t5)){
t6=(*a=C_CLOSURE_TYPE|8,a[1]=(C_word)f_23981,a[2]=t3,a[3]=t2,a[4]=((C_word*)t0)[6],a[5]=t1,a[6]=((C_word*)t0)[7],a[7]=((C_word*)t0)[4],a[8]=((C_word*)t0)[3],tmp=(C_word)a,a+=9,tmp);
/* library.scm:4530: outstr */
t7=((C_word*)((C_word*)t0)[7])[1];
f_23791(t7,t6,((C_word*)t0)[4],lf[879]);}
else{
t6=(*a=C_CLOSURE_TYPE|7,a[1]=(C_word)f_24010,a[2]=t2,a[3]=((C_word*)t0)[6],a[4]=t1,a[5]=((C_word*)t0)[3],a[6]=((C_word*)t0)[4],a[7]=t3,tmp=(C_word)a,a+=8,tmp);
t7=C_eqp(t3,C_make_character(124));
if(C_truep(t7)){
if(C_truep(t7)){
/* library.scm:4536: outchr */
t8=((C_word*)((C_word*)t0)[3])[1];
f_23863(t8,t6,((C_word*)t0)[4],C_make_character(92));}
else{
t8=t6;{
C_word av2[2];
av2[0]=t8;
av2[1]=C_SCHEME_UNDEFINED;
f_24010(2,av2);}}}
else{
t8=C_eqp(t3,C_make_character(92));
if(C_truep(t8)){
/* library.scm:4536: outchr */
t9=((C_word*)((C_word*)t0)[3])[1];
f_23863(t9,t6,((C_word*)t0)[4],C_make_character(92));}
else{
t9=t6;{
C_word av2[2];
av2[0]=t9;
av2[1]=C_SCHEME_UNDEFINED;
f_24010(2,av2);}}}}}}

/* k23979 in loop in k23952 in outreadablesym in k23787 in k23784 in k23781 in print in k23772 in k23768 in k23764 in k20151 in k20147 in k20143 in k20139 in k20135 in k19774 in k19770 in k19766 in k19762 in k19758 in k19754 in ... */
static void C_ccall f_23981(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(8,c,3)))){
C_save_and_reclaim((void *)f_23981,2,av);}
a=C_alloc(8);
t2=C_fix(C_character_code(((C_word*)t0)[2]));
t3=t2;
t4=(*a=C_CLOSURE_TYPE|7,a[1]=(C_word)f_23987,a[2]=((C_word*)t0)[3],a[3]=((C_word*)t0)[4],a[4]=((C_word*)t0)[5],a[5]=((C_word*)t0)[6],a[6]=((C_word*)t0)[7],a[7]=t3,tmp=(C_word)a,a+=8,tmp);
if(C_truep(C_fixnum_lessp(t3,C_fix(16)))){
/* library.scm:4532: outchr */
t5=((C_word*)((C_word*)t0)[8])[1];
f_23863(t5,t4,((C_word*)t0)[7],C_make_character(48));}
else{
t5=t4;{
C_word *av2=av;
av2[0]=t5;
av2[1]=C_SCHEME_UNDEFINED;
f_23987(2,av2);}}}

/* k23985 in k23979 in loop in k23952 in outreadablesym in k23787 in k23784 in k23781 in print in k23772 in k23768 in k23764 in k20151 in k20147 in k20143 in k20139 in k20135 in k19774 in k19770 in k19766 in k19762 in k19758 in ... */
static void C_ccall f_23987(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(10,c,3)))){
C_save_and_reclaim((void *)f_23987,2,av);}
a=C_alloc(10);
t2=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_23990,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],tmp=(C_word)a,a+=5,tmp);
t3=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_24001,a[2]=((C_word*)t0)[5],a[3]=t2,a[4]=((C_word*)t0)[6],tmp=(C_word)a,a+=5,tmp);
/* library.scm:4533: ##sys#number->string */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[600]+1));
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[600]+1);
av2[1]=t3;
av2[2]=((C_word*)t0)[7];
av2[3]=C_fix(16);
tp(4,av2);}}

/* k23988 in k23985 in k23979 in loop in k23952 in outreadablesym in k23787 in k23784 in k23781 in print in k23772 in k23768 in k23764 in k20151 in k20147 in k20143 in k20139 in k20135 in k19774 in k19770 in k19766 in k19762 in ... */
static void C_ccall f_23990(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_23990,2,av);}
t2=C_fixnum_plus(((C_word*)t0)[2],C_fix(1));
/* library.scm:4534: loop */
t3=((C_word*)((C_word*)t0)[3])[1];
f_23959(t3,((C_word*)t0)[4],t2);}

/* k23999 in k23985 in k23979 in loop in k23952 in outreadablesym in k23787 in k23784 in k23781 in print in k23772 in k23768 in k23764 in k20151 in k20147 in k20143 in k20139 in k20135 in k19774 in k19770 in k19766 in k19762 in ... */
static void C_ccall f_24001(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_24001,2,av);}
/* library.scm:4533: outstr */
t2=((C_word*)((C_word*)t0)[2])[1];
f_23791(t2,((C_word*)t0)[3],((C_word*)t0)[4],t1);}

/* k24008 in loop in k23952 in outreadablesym in k23787 in k23784 in k23781 in print in k23772 in k23768 in k23764 in k20151 in k20147 in k20143 in k20139 in k20135 in k19774 in k19770 in k19766 in k19762 in k19758 in k19754 in ... */
static void C_ccall f_24010(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,c,3)))){
C_save_and_reclaim((void *)f_24010,2,av);}
a=C_alloc(5);
t2=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_24013,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],tmp=(C_word)a,a+=5,tmp);
/* library.scm:4537: outchr */
t3=((C_word*)((C_word*)t0)[5])[1];
f_23863(t3,t2,((C_word*)t0)[6],((C_word*)t0)[7]);}

/* k24011 in k24008 in loop in k23952 in outreadablesym in k23787 in k23784 in k23781 in print in k23772 in k23768 in k23764 in k20151 in k20147 in k20143 in k20139 in k20135 in k19774 in k19770 in k19766 in k19762 in k19758 in ... */
static void C_ccall f_24013(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_24013,2,av);}
t2=C_fixnum_plus(((C_word*)t0)[2],C_fix(1));
/* library.scm:4538: loop */
t3=((C_word*)((C_word*)t0)[3])[1];
f_23959(t3,((C_word*)t0)[4],t2);}

/* sym-is-readable? in k23787 in k23784 in k23781 in print in k23772 in k23768 in k23764 in k20151 in k20147 in k20143 in k20139 in k20135 in k19774 in k19770 in k19766 in k19762 in k19758 in k19754 in k19750 in k19746 in k19742 in ... */
static void C_fcall f_24036(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word t12;
C_word t13;
C_word t14;
C_word t15;
C_word t16;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(10,0,3)))){
C_save_and_reclaim_args((void *)trf_24036,3,t0,t1,t2);}
a=C_alloc(10);
t3=C_block_size(t2);
t4=t3;
switch(t4){
case C_fix(0):
t5=t1;{
C_word av2[2];
av2[0]=t5;
av2[1]=C_SCHEME_FALSE;
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}
case C_fix(1):
t5=C_subchar(t2,C_fix(0));
t6=C_eqp(C_make_character(35),t5);
t7=(C_truep(t6)?t6:C_eqp(C_make_character(46),t5));
if(C_truep(t7)){
t8=t1;{
C_word av2[2];
av2[0]=t8;
av2[1]=C_SCHEME_FALSE;
((C_proc)(void*)(*((C_word*)t8+1)))(2,av2);}}
else{
t8=C_fix(C_character_code(t5));
t9=C_fixnum_less_or_equal_p(t8,C_fix(32));
t10=(C_truep(t9)?t9:C_i_memq(t5,lf[880]));
if(C_truep(t10)){
t11=t1;{
C_word av2[2];
av2[0]=t11;
av2[1]=C_SCHEME_FALSE;
((C_proc)(void*)(*((C_word*)t11+1)))(2,av2);}}
else{
t11=C_u_i_char_numericp(t5);
t12=t1;{
C_word av2[2];
av2[0]=t12;
av2[1]=(C_truep(t11)?C_SCHEME_FALSE:C_SCHEME_TRUE);
((C_proc)(void*)(*((C_word*)t12+1)))(2,av2);}}}
default:
t5=C_fixnum_difference(t4,C_fix(1));
t6=C_SCHEME_UNDEFINED;
t7=(*a=C_VECTOR_TYPE|1,a[1]=t6,tmp=(C_word)a,a+=2,tmp);
t8=C_set_block_item(t7,0,(*a=C_CLOSURE_TYPE|7,a[1]=(C_word)f_24085,a[2]=t2,a[3]=((C_word*)t0)[2],a[4]=t7,a[5]=t4,a[6]=((C_word*)t0)[3],a[7]=((C_word)li715),tmp=(C_word)a,a+=8,tmp));
t9=((C_word*)t7)[1];
f_24085(t9,t1,t5);}}

/* loop in sym-is-readable? in k23787 in k23784 in k23781 in print in k23772 in k23768 in k23764 in k20151 in k20147 in k20143 in k20139 in k20135 in k19774 in k19770 in k19766 in k19762 in k19758 in k19754 in k19750 in k19746 in ... */
static void C_fcall f_24085(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(8,0,2)))){
C_save_and_reclaim_args((void *)trf_24085,3,t0,t1,t2);}
a=C_alloc(8);
t3=C_eqp(t2,C_fix(0));
if(C_truep(t3)){
t4=C_subchar(((C_word*)t0)[2],C_fix(0));
t5=C_u_i_char_numericp(t4);
t6=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_24101,a[2]=t1,a[3]=((C_word*)t0)[2],a[4]=t4,a[5]=((C_word*)t0)[3],tmp=(C_word)a,a+=6,tmp);
if(C_truep(t5)){
t7=t6;
f_24101(t7,t5);}
else{
t7=C_eqp(t4,C_make_character(43));
if(C_truep(t7)){
t8=t6;
f_24101(t8,t7);}
else{
t8=C_eqp(t4,C_make_character(46));
t9=t6;
f_24101(t9,(C_truep(t8)?t8:C_eqp(t4,C_make_character(45))));}}}
else{
t4=C_subchar(((C_word*)t0)[2],t2);
t5=(*a=C_CLOSURE_TYPE|7,a[1]=(C_word)f_24158,a[2]=t4,a[3]=t2,a[4]=((C_word*)t0)[4],a[5]=t1,a[6]=((C_word*)t0)[5],a[7]=((C_word*)t0)[3],tmp=(C_word)a,a+=8,tmp);
if(C_truep(((C_word*)t0)[6])){
t6=t5;
f_24158(t6,((C_word*)t0)[6]);}
else{
t6=C_u_i_char_upper_casep(t4);
t7=t5;
f_24158(t7,C_i_not(t6));}}}

/* k24099 in loop in sym-is-readable? in k23787 in k23784 in k23781 in print in k23772 in k23768 in k23764 in k20151 in k20147 in k20143 in k20139 in k20135 in k19774 in k19770 in k19766 in k19762 in k19758 in k19754 in k19750 in ... */
static void C_fcall f_24101(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,0,2)))){
C_save_and_reclaim_args((void *)trf_24101,2,t0,t1);}
a=C_alloc(3);
if(C_truep(t1)){
t2=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_24108,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
/* library.scm:4557: ##sys#string->number */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[619]+1));
C_word av2[3];
av2[0]=*((C_word*)lf[619]+1);
av2[1]=t2;
av2[2]=((C_word*)t0)[3];
tp(3,av2);}}
else{
switch(((C_word*)t0)[4]){
case C_make_character(58):
t2=C_eqp(((C_word*)t0)[5],lf[832]);
t3=((C_word*)t0)[2];{
C_word av2[2];
av2[0]=t3;
av2[1]=C_i_not(t2);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}
case C_make_character(35):
t2=C_subchar(((C_word*)t0)[3],C_fix(1));
t3=((C_word*)t0)[2];{
C_word av2[2];
av2[0]=t3;
av2[1]=C_eqp(t2,C_make_character(33));
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}
default:
t2=C_fix(C_character_code(((C_word*)t0)[4]));
t3=C_fixnum_less_or_equal_p(t2,C_fix(32));
t4=(C_truep(t3)?t3:C_i_memq(((C_word*)t0)[4],lf[880]));
t5=((C_word*)t0)[2];{
C_word av2[2];
av2[0]=t5;
av2[1]=(C_truep(t4)?C_SCHEME_FALSE:C_SCHEME_TRUE);
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}}}

/* k24106 in k24099 in loop in sym-is-readable? in k23787 in k23784 in k23781 in print in k23772 in k23768 in k23764 in k20151 in k20147 in k20143 in k20139 in k20135 in k19774 in k19770 in k19766 in k19762 in k19758 in k19754 in ... */
static void C_ccall f_24108(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_24108,2,av);}
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=C_i_not(t1);
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* k24156 in loop in sym-is-readable? in k23787 in k23784 in k23781 in print in k23772 in k23768 in k23764 in k20151 in k20147 in k20143 in k20139 in k20135 in k19774 in k19770 in k19766 in k19762 in k19758 in k19754 in k19750 in ... */
static void C_fcall f_24158(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,0,2)))){
C_save_and_reclaim_args((void *)trf_24158,2,t0,t1);}
if(C_truep(t1)){
t2=C_fix(C_character_code(((C_word*)t0)[2]));
t3=C_fixnum_less_or_equal_p(t2,C_fix(32));
t4=(C_truep(t3)?t3:C_i_memq(((C_word*)t0)[2],lf[880]));
if(C_truep(C_i_not(t4))){
t5=C_eqp(((C_word*)t0)[2],C_make_character(58));
t6=C_i_not(t5);
if(C_truep(t6)){
if(C_truep(t6)){
t7=C_fixnum_difference(((C_word*)t0)[3],C_fix(1));
/* library.scm:4569: loop */
t8=((C_word*)((C_word*)t0)[4])[1];
f_24085(t8,((C_word*)t0)[5],t7);}
else{
t7=((C_word*)t0)[5];{
C_word av2[2];
av2[0]=t7;
av2[1]=C_SCHEME_FALSE;
((C_proc)(void*)(*((C_word*)t7+1)))(2,av2);}}}
else{
t7=C_fixnum_difference(((C_word*)t0)[6],C_fix(1));
t8=C_fixnum_lessp(((C_word*)t0)[3],t7);
if(C_truep(t8)){
if(C_truep(t8)){
t9=C_fixnum_difference(((C_word*)t0)[3],C_fix(1));
/* library.scm:4569: loop */
t10=((C_word*)((C_word*)t0)[4])[1];
f_24085(t10,((C_word*)t0)[5],t9);}
else{
t9=((C_word*)t0)[5];{
C_word av2[2];
av2[0]=t9;
av2[1]=C_SCHEME_FALSE;
((C_proc)(void*)(*((C_word*)t9+1)))(2,av2);}}}
else{
t9=C_eqp(((C_word*)t0)[7],lf[815]);
if(C_truep(C_i_not(t9))){
t10=C_fixnum_difference(((C_word*)t0)[3],C_fix(1));
/* library.scm:4569: loop */
t11=((C_word*)((C_word*)t0)[4])[1];
f_24085(t11,((C_word*)t0)[5],t10);}
else{
t10=((C_word*)t0)[5];{
C_word av2[2];
av2[0]=t10;
av2[1]=C_SCHEME_FALSE;
((C_proc)(void*)(*((C_word*)t10+1)))(2,av2);}}}}}
else{
t5=((C_word*)t0)[5];{
C_word av2[2];
av2[0]=t5;
av2[1]=C_SCHEME_FALSE;
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}}
else{
t2=((C_word*)t0)[5];{
C_word av2[2];
av2[0]=t2;
av2[1]=C_SCHEME_FALSE;
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}}

/* k24213 in k23787 in k23784 in k23781 in print in k23772 in k23768 in k23764 in k20151 in k20147 in k20143 in k20139 in k20135 in k19774 in k19770 in k19766 in k19762 in k19758 in k19754 in k19750 in k19746 in k19742 in ... */
static void C_ccall f_24215(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_24215,2,av);}
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=*((C_word*)lf[244]+1);
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* out in k23787 in k23784 in k23781 in print in k23772 in k23768 in k23764 in k20151 in k20147 in k20143 in k20139 in k20135 in k19774 in k19770 in k19766 in k19762 in k19758 in k19754 in k19750 in k19746 in k19742 in ... */
static void C_fcall f_24220(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(9,0,3)))){
C_save_and_reclaim_args((void *)trf_24220,3,t0,t1,t2);}
a=C_alloc(9);
switch(t2){
case C_SCHEME_END_OF_LIST:
/* library.scm:4572: outstr */
t3=((C_word*)((C_word*)t0)[2])[1];
f_23791(t3,t1,((C_word*)t0)[3],lf[881]);
case C_SCHEME_TRUE:
/* library.scm:4573: outstr */
t3=((C_word*)((C_word*)t0)[2])[1];
f_23791(t3,t1,((C_word*)t0)[3],lf[882]);
case C_SCHEME_FALSE:
/* library.scm:4574: outstr */
t3=((C_word*)((C_word*)t0)[2])[1];
f_23791(t3,t1,((C_word*)t0)[3],lf[883]);
default:
if(C_truep(C_eofp(t2))){
/* library.scm:4575: outstr */
t3=((C_word*)((C_word*)t0)[2])[1];
f_23791(t3,t1,((C_word*)t0)[3],lf[884]);}
else{
if(C_truep(C_undefinedp(t2))){
/* library.scm:4576: outstr */
t3=((C_word*)((C_word*)t0)[2])[1];
f_23791(t3,t1,((C_word*)t0)[3],lf[885]);}
else{
if(C_truep(C_charp(t2))){
if(C_truep(((C_word*)t0)[4])){
t3=(*a=C_CLOSURE_TYPE|6,a[1]=(C_word)f_24269,a[2]=t2,a[3]=((C_word*)t0)[2],a[4]=((C_word*)t0)[3],a[5]=t1,a[6]=((C_word*)t0)[5],tmp=(C_word)a,a+=7,tmp);
/* library.scm:4579: outstr */
t4=((C_word*)((C_word*)t0)[2])[1];
f_23791(t4,t3,((C_word*)t0)[3],lf[886]);}
else{
/* library.scm:4588: outchr */
t3=((C_word*)((C_word*)t0)[5])[1];
f_23863(t3,t1,((C_word*)t0)[3],t2);}}
else{
if(C_truep(C_fixnump(t2))){
t3=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_24328,a[2]=((C_word*)t0)[2],a[3]=t1,a[4]=((C_word*)t0)[3],tmp=(C_word)a,a+=5,tmp);
/* library.scm:4589: ##sys#number->string */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[600]+1));
C_word av2[3];
av2[0]=*((C_word*)lf[600]+1);
av2[1]=t3;
av2[2]=t2;
tp(3,av2);}}
else{
if(C_truep(C_unboundvaluep(t2))){
/* library.scm:4590: outstr */
t3=((C_word*)((C_word*)t0)[2])[1];
f_23791(t3,t1,((C_word*)t0)[3],lf[887]);}
else{
t3=C_blockp(t2);
if(C_truep(C_i_not(t3))){
/* library.scm:4591: outstr */
t4=((C_word*)((C_word*)t0)[2])[1];
f_23791(t4,t1,((C_word*)t0)[3],lf[888]);}
else{
if(C_truep(C_forwardedp(t2))){
/* library.scm:4592: outstr */
t4=((C_word*)((C_word*)t0)[2])[1];
f_23791(t4,t1,((C_word*)t0)[3],lf[889]);}
else{
if(C_truep(C_symbolp(t2))){
if(C_truep(C_u_i_keywordp(t2))){
t4=C_i_not(((C_word*)t0)[4]);
t5=(C_truep(t4)?((C_word*)t0)[6]:C_SCHEME_FALSE);
t6=C_eqp(t5,lf[832]);
if(C_truep(t6)){
t7=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_24367,a[2]=((C_word*)t0)[7],a[3]=t1,a[4]=((C_word*)t0)[3],a[5]=t2,tmp=(C_word)a,a+=6,tmp);
/* library.scm:4598: outchr */
t8=((C_word*)((C_word*)t0)[5])[1];
f_23863(t8,t7,((C_word*)t0)[3],C_make_character(58));}
else{
t7=C_eqp(t5,lf[815]);
if(C_truep(t7)){
t8=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_24379,a[2]=((C_word*)t0)[5],a[3]=t1,a[4]=((C_word*)t0)[3],tmp=(C_word)a,a+=5,tmp);
/* library.scm:4601: outsym */
t9=((C_word*)((C_word*)t0)[7])[1];
f_23923(t9,t8,((C_word*)t0)[3],t2);}
else{
t8=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_24385,a[2]=((C_word*)t0)[7],a[3]=t1,a[4]=((C_word*)t0)[3],a[5]=t2,tmp=(C_word)a,a+=6,tmp);
/* library.scm:4604: outstr */
t9=((C_word*)((C_word*)t0)[2])[1];
f_23791(t9,t8,((C_word*)t0)[3],lf[890]);}}}
else{
t4=(*a=C_CLOSURE_TYPE|6,a[1]=(C_word)f_24401,a[2]=((C_word*)t0)[2],a[3]=t1,a[4]=((C_word*)t0)[3],a[5]=t2,a[6]=((C_word*)t0)[7],tmp=(C_word)a,a+=7,tmp);
/* library.scm:4606: ##sys#qualified-symbol? */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[634]+1));
C_word av2[3];
av2[0]=*((C_word*)lf[634]+1);
av2[1]=t4;
av2[2]=t2;
tp(3,av2);}}}
else{
t4=(*a=C_CLOSURE_TYPE|8,a[1]=(C_word)f_24417,a[2]=((C_word*)t0)[2],a[3]=t1,a[4]=((C_word*)t0)[3],a[5]=t2,a[6]=((C_word*)t0)[4],a[7]=((C_word*)t0)[5],a[8]=((C_word*)t0)[8],tmp=(C_word)a,a+=9,tmp);
/* library.scm:4610: ##sys#number? */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[495]+1));
C_word av2[3];
av2[0]=*((C_word*)lf[495]+1);
av2[1]=t4;
av2[2]=t2;
tp(3,av2);}}}}}}}}}}}

/* k24267 in out in k23787 in k23784 in k23781 in print in k23772 in k23768 in k23764 in k20151 in k20147 in k20143 in k20139 in k20135 in k19774 in k19770 in k19766 in k19762 in k19758 in k19754 in k19750 in k19746 in ... */
static void C_ccall f_24269(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(8,c,2)))){
C_save_and_reclaim((void *)f_24269,2,av);}
a=C_alloc(8);
t2=C_fix(C_character_code(((C_word*)t0)[2]));
t3=t2;
t4=(*a=C_CLOSURE_TYPE|7,a[1]=(C_word)f_24275,a[2]=((C_word*)t0)[3],a[3]=((C_word*)t0)[4],a[4]=((C_word*)t0)[5],a[5]=t3,a[6]=((C_word*)t0)[6],a[7]=((C_word*)t0)[2],tmp=(C_word)a,a+=8,tmp);
/* library.scm:4581: chicken.base#char-name */
t5=*((C_word*)lf[199]+1);{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t5;
av2[1]=t4;
av2[2]=((C_word*)t0)[2];
((C_proc)(void*)(*((C_word*)t5+1)))(3,av2);}}

/* k24273 in k24267 in out in k23787 in k23784 in k23781 in print in k23772 in k23768 in k23764 in k20151 in k20147 in k20143 in k20139 in k20135 in k19774 in k19770 in k19766 in k19762 in k19758 in k19754 in k19750 in ... */
static void C_ccall f_24275(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,c,3)))){
C_save_and_reclaim((void *)f_24275,2,av);}
a=C_alloc(6);
if(C_truep(t1)){
t2=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_24279,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word)li717),tmp=(C_word)a,a+=5,tmp);
/* library.scm:4581: g5296 */
t3=t2;
f_24279(t3,((C_word*)t0)[4],t1);}
else{
t2=C_fixnum_lessp(((C_word*)t0)[5],C_fix(32));
t3=(C_truep(t2)?t2:C_fixnum_greaterp(((C_word*)t0)[5],C_fix(255)));
if(C_truep(t3)){
t4=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_24302,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[4],a[4]=((C_word*)t0)[3],a[5]=((C_word*)t0)[5],tmp=(C_word)a,a+=6,tmp);
/* library.scm:4585: outchr */
t5=((C_word*)((C_word*)t0)[6])[1];
f_23863(t5,t4,((C_word*)t0)[3],C_make_character(120));}
else{
/* library.scm:4587: outchr */
t4=((C_word*)((C_word*)t0)[6])[1];
f_23863(t4,((C_word*)t0)[4],((C_word*)t0)[3],((C_word*)t0)[7]);}}}

/* g5296 in k24273 in k24267 in out in k23787 in k23784 in k23781 in print in k23772 in k23768 in k23764 in k20151 in k20147 in k20143 in k20139 in k20135 in k19774 in k19770 in k19766 in k19762 in k19758 in k19754 in ... */
static void C_fcall f_24279(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,0,3)))){
C_save_and_reclaim_args((void *)trf_24279,3,t0,t1,t2);}
t3=C_slot(t2,C_fix(1));
/* library.scm:4583: outstr */
t4=((C_word*)((C_word*)t0)[2])[1];
f_23791(t4,t1,((C_word*)t0)[3],t3);}

/* k24300 in k24273 in k24267 in out in k23787 in k23784 in k23781 in print in k23772 in k23768 in k23764 in k20151 in k20147 in k20143 in k20139 in k20135 in k19774 in k19770 in k19766 in k19762 in k19758 in k19754 in ... */
static void C_ccall f_24302(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,c,3)))){
C_save_and_reclaim((void *)f_24302,2,av);}
a=C_alloc(5);
t2=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_24309,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],tmp=(C_word)a,a+=5,tmp);
/* library.scm:4586: ##sys#number->string */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[600]+1));
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[600]+1);
av2[1]=t2;
av2[2]=((C_word*)t0)[5];
av2[3]=C_fix(16);
tp(4,av2);}}

/* k24307 in k24300 in k24273 in k24267 in out in k23787 in k23784 in k23781 in print in k23772 in k23768 in k23764 in k20151 in k20147 in k20143 in k20139 in k20135 in k19774 in k19770 in k19766 in k19762 in k19758 in ... */
static void C_ccall f_24309(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_24309,2,av);}
/* library.scm:4586: outstr */
t2=((C_word*)((C_word*)t0)[2])[1];
f_23791(t2,((C_word*)t0)[3],((C_word*)t0)[4],t1);}

/* k24326 in out in k23787 in k23784 in k23781 in print in k23772 in k23768 in k23764 in k20151 in k20147 in k20143 in k20139 in k20135 in k19774 in k19770 in k19766 in k19762 in k19758 in k19754 in k19750 in k19746 in ... */
static void C_ccall f_24328(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_24328,2,av);}
/* library.scm:4589: outstr */
t2=((C_word*)((C_word*)t0)[2])[1];
f_23791(t2,((C_word*)t0)[3],((C_word*)t0)[4],t1);}

/* k24365 in out in k23787 in k23784 in k23781 in print in k23772 in k23768 in k23764 in k20151 in k20147 in k20143 in k20139 in k20135 in k19774 in k19770 in k19766 in k19762 in k19758 in k19754 in k19750 in k19746 in ... */
static void C_ccall f_24367(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_24367,2,av);}
/* library.scm:4599: outsym */
t2=((C_word*)((C_word*)t0)[2])[1];
f_23923(t2,((C_word*)t0)[3],((C_word*)t0)[4],((C_word*)t0)[5]);}

/* k24377 in out in k23787 in k23784 in k23781 in print in k23772 in k23768 in k23764 in k20151 in k20147 in k20143 in k20139 in k20135 in k19774 in k19770 in k19766 in k19762 in k19758 in k19754 in k19750 in k19746 in ... */
static void C_ccall f_24379(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_24379,2,av);}
/* library.scm:4602: outchr */
t2=((C_word*)((C_word*)t0)[2])[1];
f_23863(t2,((C_word*)t0)[3],((C_word*)t0)[4],C_make_character(58));}

/* k24383 in out in k23787 in k23784 in k23781 in print in k23772 in k23768 in k23764 in k20151 in k20147 in k20143 in k20139 in k20135 in k19774 in k19770 in k19766 in k19762 in k19758 in k19754 in k19750 in k19746 in ... */
static void C_ccall f_24385(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_24385,2,av);}
/* library.scm:4605: outsym */
t2=((C_word*)((C_word*)t0)[2])[1];
f_23923(t2,((C_word*)t0)[3],((C_word*)t0)[4],((C_word*)t0)[5]);}

/* k24399 in out in k23787 in k23784 in k23781 in print in k23772 in k23768 in k23764 in k20151 in k20147 in k20143 in k20139 in k20135 in k19774 in k19770 in k19766 in k19762 in k19758 in k19754 in k19750 in k19746 in ... */
static void C_ccall f_24401(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,c,3)))){
C_save_and_reclaim((void *)f_24401,2,av);}
a=C_alloc(5);
if(C_truep(t1)){
t2=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_24408,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],tmp=(C_word)a,a+=5,tmp);
/* library.scm:4607: ##sys#symbol->qualified-string */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[630]+1));
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[630]+1);
av2[1]=t2;
av2[2]=((C_word*)t0)[5];
tp(3,av2);}}
else{
/* library.scm:4609: outsym */
t2=((C_word*)((C_word*)t0)[6])[1];
f_23923(t2,((C_word*)t0)[3],((C_word*)t0)[4],((C_word*)t0)[5]);}}

/* k24406 in k24399 in out in k23787 in k23784 in k23781 in print in k23772 in k23768 in k23764 in k20151 in k20147 in k20143 in k20139 in k20135 in k19774 in k19770 in k19766 in k19762 in k19758 in k19754 in k19750 in ... */
static void C_ccall f_24408(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_24408,2,av);}
/* library.scm:4607: outstr */
t2=((C_word*)((C_word*)t0)[2])[1];
f_23791(t2,((C_word*)t0)[3],((C_word*)t0)[4],t1);}

/* k24415 in out in k23787 in k23784 in k23781 in print in k23772 in k23768 in k23764 in k20151 in k20147 in k20143 in k20139 in k20135 in k19774 in k19770 in k19766 in k19762 in k19758 in k19754 in k19750 in k19746 in ... */
static void C_ccall f_24417(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(8,c,4)))){
C_save_and_reclaim((void *)f_24417,2,av);}
a=C_alloc(8);
if(C_truep(t1)){
t2=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_24424,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],tmp=(C_word)a,a+=5,tmp);
/* library.scm:4610: ##sys#number->string */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[600]+1));
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[600]+1);
av2[1]=t2;
av2[2]=((C_word*)t0)[5];
tp(3,av2);}}
else{
if(C_truep(C_anypointerp(((C_word*)t0)[5]))){
t2=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_24434,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],tmp=(C_word)a,a+=5,tmp);
/* library.scm:4611: ##sys#pointer->string */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[891]);
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[891]+1);
av2[1]=t2;
av2[2]=((C_word*)t0)[5];
tp(3,av2);}}
else{
if(C_truep(C_stringp(((C_word*)t0)[5]))){
if(C_truep(((C_word*)t0)[6])){
t2=(*a=C_CLOSURE_TYPE|6,a[1]=(C_word)f_24443,a[2]=((C_word*)t0)[5],a[3]=((C_word*)t0)[7],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[2],a[6]=((C_word*)t0)[3],tmp=(C_word)a,a+=7,tmp);
/* library.scm:4614: outchr */
t3=((C_word*)((C_word*)t0)[7])[1];
f_23863(t3,t2,((C_word*)t0)[4],C_make_character(34));}
else{
/* library.scm:4640: outstr */
t2=((C_word*)((C_word*)t0)[2])[1];
f_23791(t2,((C_word*)t0)[3],((C_word*)t0)[4],((C_word*)t0)[5]);}}
else{
if(C_truep(C_pairp(((C_word*)t0)[5]))){
t2=(*a=C_CLOSURE_TYPE|7,a[1]=(C_word)f_24616,a[2]=((C_word*)t0)[5],a[3]=((C_word*)t0)[7],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[8],a[6]=((C_word*)t0)[2],a[7]=((C_word*)t0)[3],tmp=(C_word)a,a+=8,tmp);
/* library.scm:4642: outchr */
t3=((C_word*)((C_word*)t0)[7])[1];
f_23863(t3,t2,((C_word*)t0)[4],C_make_character(40));}
else{
if(C_truep(C_bytevectorp(((C_word*)t0)[5]))){
t2=(*a=C_CLOSURE_TYPE|6,a[1]=(C_word)f_24689,a[2]=((C_word*)t0)[5],a[3]=((C_word*)t0)[7],a[4]=((C_word*)t0)[3],a[5]=((C_word*)t0)[4],a[6]=((C_word*)t0)[2],tmp=(C_word)a,a+=7,tmp);
/* library.scm:4654: outstr */
t3=((C_word*)((C_word*)t0)[2])[1];
f_23791(t3,t2,((C_word*)t0)[4],lf[895]);}
else{
if(C_truep(C_structurep(((C_word*)t0)[5]))){
/* library.scm:4663: ##sys#user-print-hook */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[896]);
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=*((C_word*)lf[896]+1);
av2[1]=((C_word*)t0)[3];
av2[2]=((C_word*)t0)[5];
av2[3]=((C_word*)t0)[6];
av2[4]=((C_word*)t0)[4];
tp(5,av2);}}
else{
if(C_truep(C_closurep(((C_word*)t0)[5]))){
t2=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_24749,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],tmp=(C_word)a,a+=5,tmp);
/* library.scm:4664: ##sys#procedure->string */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[897]);
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[897]+1);
av2[1]=t2;
av2[2]=((C_word*)t0)[5];
tp(3,av2);}}
else{
if(C_truep(C_locativep(((C_word*)t0)[5]))){
/* library.scm:4665: outstr */
t2=((C_word*)((C_word*)t0)[2])[1];
f_23791(t2,((C_word*)t0)[3],((C_word*)t0)[4],lf[898]);}
else{
if(C_truep(C_lambdainfop(((C_word*)t0)[5]))){
t2=(*a=C_CLOSURE_TYPE|6,a[1]=(C_word)f_24761,a[2]=((C_word*)t0)[7],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[2],a[6]=((C_word*)t0)[5],tmp=(C_word)a,a+=7,tmp);
/* library.scm:4667: outstr */
t3=((C_word*)((C_word*)t0)[2])[1];
f_23791(t3,t2,((C_word*)t0)[4],lf[899]);}
else{
if(C_truep(C_portp(((C_word*)t0)[5]))){
t2=C_slot(((C_word*)t0)[5],C_fix(1));
t3=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_24780,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[5],tmp=(C_word)a,a+=6,tmp);
switch(t2){
case C_fix(1):
/* library.scm:4672: outstr */
t4=((C_word*)((C_word*)t0)[2])[1];
f_23791(t4,t3,((C_word*)t0)[4],lf[901]);
case C_fix(2):
/* library.scm:4673: outstr */
t4=((C_word*)((C_word*)t0)[2])[1];
f_23791(t4,t3,((C_word*)t0)[4],lf[902]);
default:
/* library.scm:4674: outstr */
t4=((C_word*)((C_word*)t0)[2])[1];
f_23791(t4,t3,((C_word*)t0)[4],lf[903]);}}
else{
if(C_truep(C_vectorp(((C_word*)t0)[5]))){
t2=C_block_size(((C_word*)t0)[5]);
t3=C_eqp(C_fix(0),t2);
if(C_truep(t3)){
/* library.scm:4680: outstr */
t4=((C_word*)((C_word*)t0)[2])[1];
f_23791(t4,((C_word*)t0)[3],((C_word*)t0)[4],lf[904]);}
else{
t4=(*a=C_CLOSURE_TYPE|7,a[1]=(C_word)f_24827,a[2]=t2,a[3]=((C_word*)t0)[7],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[5],a[6]=((C_word*)t0)[8],a[7]=((C_word*)t0)[3],tmp=(C_word)a,a+=8,tmp);
/* library.scm:4682: outstr */
t5=((C_word*)((C_word*)t0)[2])[1];
f_23791(t5,t4,((C_word*)t0)[4],lf[905]);}}
else{
/* library.scm:4690: ##sys#error */
t2=*((C_word*)lf[155]+1);{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[3];
av2[2]=lf[906];
((C_proc)(void*)(*((C_word*)t2+1)))(3,av2);}}}}}}}}}}}}}

/* k24422 in k24415 in out in k23787 in k23784 in k23781 in print in k23772 in k23768 in k23764 in k20151 in k20147 in k20143 in k20139 in k20135 in k19774 in k19770 in k19766 in k19762 in k19758 in k19754 in k19750 in ... */
static void C_ccall f_24424(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_24424,2,av);}
/* library.scm:4610: outstr */
t2=((C_word*)((C_word*)t0)[2])[1];
f_23791(t2,((C_word*)t0)[3],((C_word*)t0)[4],t1);}

/* k24432 in k24415 in out in k23787 in k23784 in k23781 in print in k23772 in k23768 in k23764 in k20151 in k20147 in k20143 in k20139 in k20135 in k19774 in k19770 in k19766 in k19762 in k19758 in k19754 in k19750 in ... */
static void C_ccall f_24434(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_24434,2,av);}
/* library.scm:4611: outstr */
t2=((C_word*)((C_word*)t0)[2])[1];
f_23791(t2,((C_word*)t0)[3],((C_word*)t0)[4],t1);}

/* k24441 in k24415 in out in k23787 in k23784 in k23781 in print in k23772 in k23768 in k23764 in k20151 in k20147 in k20143 in k20139 in k20135 in k19774 in k19770 in k19766 in k19762 in k19758 in k19754 in k19750 in ... */
static void C_ccall f_24443(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(10,c,4)))){
C_save_and_reclaim((void *)f_24443,2,av);}
a=C_alloc(10);
t2=C_block_size(((C_word*)t0)[2]);
t3=C_SCHEME_UNDEFINED;
t4=(*a=C_VECTOR_TYPE|1,a[1]=t3,tmp=(C_word)a,a+=2,tmp);
t5=C_set_block_item(t4,0,(*a=C_CLOSURE_TYPE|7,a[1]=(C_word)f_24449,a[2]=((C_word*)t0)[3],a[3]=((C_word*)t0)[4],a[4]=((C_word*)t0)[2],a[5]=t4,a[6]=((C_word*)t0)[5],a[7]=((C_word)li718),tmp=(C_word)a,a+=8,tmp));
t6=((C_word*)t4)[1];
f_24449(t6,((C_word*)t0)[6],C_fix(0),t2);}

/* doloop5321 in k24441 in k24415 in out in k23787 in k23784 in k23781 in print in k23772 in k23768 in k23764 in k20151 in k20147 in k20143 in k20139 in k20135 in k19774 in k19770 in k19766 in k19762 in k19758 in k19754 in ... */
static void C_fcall f_24449(C_word t0,C_word t1,C_word t2,C_word t3){
C_word tmp;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(13,0,3)))){
C_save_and_reclaim_args((void *)trf_24449,4,t0,t1,t2,t3);}
a=C_alloc(13);
t4=C_eqp(t3,C_fix(0));
if(C_truep(t4)){
/* library.scm:4618: outchr */
t5=((C_word*)((C_word*)t0)[2])[1];
f_23863(t5,t1,((C_word*)t0)[3],C_make_character(34));}
else{
t5=C_subbyte(((C_word*)t0)[4],t2);
t6=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_24462,a[2]=t2,a[3]=t3,a[4]=((C_word*)t0)[5],a[5]=t1,tmp=(C_word)a,a+=6,tmp);
switch(t5){
case C_fix(34):
/* library.scm:4621: outstr */
t7=((C_word*)((C_word*)t0)[6])[1];
f_23791(t7,t6,((C_word*)t0)[3],lf[892]);
case C_fix(92):
/* library.scm:4622: outstr */
t7=((C_word*)((C_word*)t0)[6])[1];
f_23791(t7,t6,((C_word*)t0)[3],lf[893]);
default:
t7=C_fixnum_lessp(t5,C_fix(32));
t8=(C_truep(t7)?t7:C_eqp(t5,C_fix(127)));
if(C_truep(t8)){
t9=(*a=C_CLOSURE_TYPE|6,a[1]=(C_word)f_24500,a[2]=t5,a[3]=((C_word*)t0)[2],a[4]=t6,a[5]=((C_word*)t0)[3],a[6]=((C_word*)t0)[6],tmp=(C_word)a,a+=7,tmp);
/* library.scm:4626: outchr */
t10=((C_word*)((C_word*)t0)[2])[1];
f_23863(t10,t9,((C_word*)t0)[3],C_make_character(92));}
else{
t9=C_fix_to_char(t5);
/* library.scm:4639: outchr */
t10=((C_word*)((C_word*)t0)[2])[1];
f_23863(t10,t6,((C_word*)t0)[3],t9);}}}}

/* k24460 in doloop5321 in k24441 in k24415 in out in k23787 in k23784 in k23781 in print in k23772 in k23768 in k23764 in k20151 in k20147 in k20143 in k20139 in k20135 in k19774 in k19770 in k19766 in k19762 in k19758 in ... */
static void C_ccall f_24462(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_24462,2,av);}
t2=C_fixnum_plus(((C_word*)t0)[2],C_fix(1));
t3=C_fixnum_difference(((C_word*)t0)[3],C_fix(1));
t4=((C_word*)((C_word*)t0)[4])[1];
f_24449(t4,((C_word*)t0)[5],t2,t3);}

/* k24498 in doloop5321 in k24441 in k24415 in out in k23787 in k23784 in k23781 in print in k23772 in k23768 in k23764 in k20151 in k20147 in k20143 in k20139 in k20135 in k19774 in k19770 in k19766 in k19762 in k19758 in ... */
static void C_ccall f_24500(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(7,c,3)))){
C_save_and_reclaim((void *)f_24500,2,av);}
a=C_alloc(7);
switch(((C_word*)t0)[2]){
case C_fix(7):
/* library.scm:4628: outchr */
t2=((C_word*)((C_word*)t0)[3])[1];
f_23863(t2,((C_word*)t0)[4],((C_word*)t0)[5],C_make_character(97));
case C_fix(8):
/* library.scm:4629: outchr */
t2=((C_word*)((C_word*)t0)[3])[1];
f_23863(t2,((C_word*)t0)[4],((C_word*)t0)[5],C_make_character(98));
case C_fix(9):
/* library.scm:4630: outchr */
t2=((C_word*)((C_word*)t0)[3])[1];
f_23863(t2,((C_word*)t0)[4],((C_word*)t0)[5],C_make_character(116));
case C_fix(10):
/* library.scm:4631: outchr */
t2=((C_word*)((C_word*)t0)[3])[1];
f_23863(t2,((C_word*)t0)[4],((C_word*)t0)[5],C_make_character(110));
case C_fix(11):
/* library.scm:4632: outchr */
t2=((C_word*)((C_word*)t0)[3])[1];
f_23863(t2,((C_word*)t0)[4],((C_word*)t0)[5],C_make_character(118));
case C_fix(12):
/* library.scm:4633: outchr */
t2=((C_word*)((C_word*)t0)[3])[1];
f_23863(t2,((C_word*)t0)[4],((C_word*)t0)[5],C_make_character(102));
case C_fix(13):
/* library.scm:4634: outchr */
t2=((C_word*)((C_word*)t0)[3])[1];
f_23863(t2,((C_word*)t0)[4],((C_word*)t0)[5],C_make_character(114));
default:
t2=(*a=C_CLOSURE_TYPE|6,a[1]=(C_word)f_24566,a[2]=((C_word*)t0)[6],a[3]=((C_word*)t0)[4],a[4]=((C_word*)t0)[5],a[5]=((C_word*)t0)[2],a[6]=((C_word*)t0)[3],tmp=(C_word)a,a+=7,tmp);
/* library.scm:4636: outchr */
t3=((C_word*)((C_word*)t0)[3])[1];
f_23863(t3,t2,((C_word*)t0)[5],C_make_character(120));}}

/* k24564 in k24498 in doloop5321 in k24441 in k24415 in out in k23787 in k23784 in k23781 in print in k23772 in k23768 in k23764 in k20151 in k20147 in k20143 in k20139 in k20135 in k19774 in k19770 in k19766 in k19762 in ... */
static void C_ccall f_24566(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,c,3)))){
C_save_and_reclaim((void *)f_24566,2,av);}
a=C_alloc(6);
t2=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_24569,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[5],tmp=(C_word)a,a+=6,tmp);
if(C_truep(C_fixnum_lessp(((C_word*)t0)[5],C_fix(16)))){
/* library.scm:4637: outchr */
t3=((C_word*)((C_word*)t0)[6])[1];
f_23863(t3,t2,((C_word*)t0)[4],C_make_character(48));}
else{
t3=t2;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_SCHEME_UNDEFINED;
f_24569(2,av2);}}}

/* k24567 in k24564 in k24498 in doloop5321 in k24441 in k24415 in out in k23787 in k23784 in k23781 in print in k23772 in k23768 in k23764 in k20151 in k20147 in k20143 in k20139 in k20135 in k19774 in k19770 in k19766 in ... */
static void C_ccall f_24569(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,c,3)))){
C_save_and_reclaim((void *)f_24569,2,av);}
a=C_alloc(5);
t2=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_24576,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],tmp=(C_word)a,a+=5,tmp);
/* library.scm:4638: ##sys#number->string */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[600]+1));
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[600]+1);
av2[1]=t2;
av2[2]=((C_word*)t0)[5];
av2[3]=C_fix(16);
tp(4,av2);}}

/* k24574 in k24567 in k24564 in k24498 in doloop5321 in k24441 in k24415 in out in k23787 in k23784 in k23781 in print in k23772 in k23768 in k23764 in k20151 in k20147 in k20143 in k20139 in k20135 in k19774 in k19770 in ... */
static void C_ccall f_24576(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_24576,2,av);}
/* library.scm:4638: outstr */
t2=((C_word*)((C_word*)t0)[2])[1];
f_23791(t2,((C_word*)t0)[3],((C_word*)t0)[4],t1);}

/* k24614 in k24415 in out in k23787 in k23784 in k23781 in print in k23772 in k23768 in k23764 in k20151 in k20147 in k20143 in k20139 in k20135 in k19774 in k19770 in k19766 in k19762 in k19758 in k19754 in k19750 in ... */
static void C_ccall f_24616(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(8,c,2)))){
C_save_and_reclaim((void *)f_24616,2,av);}
a=C_alloc(8);
t2=(*a=C_CLOSURE_TYPE|7,a[1]=(C_word)f_24619,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[5],a[6]=((C_word*)t0)[6],a[7]=((C_word*)t0)[7],tmp=(C_word)a,a+=8,tmp);
t3=C_slot(((C_word*)t0)[2],C_fix(0));
/* library.scm:4643: out */
t4=((C_word*)((C_word*)t0)[5])[1];
f_24220(t4,t2,t3);}

/* k24617 in k24614 in k24415 in out in k23787 in k23784 in k23781 in print in k23772 in k23768 in k23764 in k20151 in k20147 in k20143 in k20139 in k20135 in k19774 in k19770 in k19766 in k19762 in k19758 in k19754 in ... */
static void C_ccall f_24619(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(10,c,3)))){
C_save_and_reclaim((void *)f_24619,2,av);}
a=C_alloc(10);
t2=C_slot(((C_word*)t0)[2],C_fix(1));
t3=C_SCHEME_UNDEFINED;
t4=(*a=C_VECTOR_TYPE|1,a[1]=t3,tmp=(C_word)a,a+=2,tmp);
t5=C_set_block_item(t4,0,(*a=C_CLOSURE_TYPE|7,a[1]=(C_word)f_24628,a[2]=((C_word*)t0)[3],a[3]=((C_word*)t0)[4],a[4]=((C_word*)t0)[5],a[5]=((C_word*)t0)[6],a[6]=t4,a[7]=((C_word)li719),tmp=(C_word)a,a+=8,tmp));
t6=((C_word*)t4)[1];
f_24628(t6,((C_word*)t0)[7],t2);}

/* doloop5351 in k24617 in k24614 in k24415 in out in k23787 in k23784 in k23781 in print in k23772 in k23768 in k23764 in k20151 in k20147 in k20143 in k20139 in k20135 in k19774 in k19770 in k19766 in k19762 in k19758 in ... */
static void C_fcall f_24628(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(9,0,2)))){
C_save_and_reclaim_args((void *)trf_24628,3,t0,t1,t2);}
a=C_alloc(9);
t3=C_blockp(t2);
t4=C_i_not(t3);
t5=(*a=C_CLOSURE_TYPE|8,a[1]=(C_word)f_24638,a[2]=((C_word*)t0)[2],a[3]=t1,a[4]=((C_word*)t0)[3],a[5]=t2,a[6]=((C_word*)t0)[4],a[7]=((C_word*)t0)[5],a[8]=((C_word*)t0)[6],tmp=(C_word)a,a+=9,tmp);
if(C_truep(t4)){
t6=t5;
f_24638(t6,t4);}
else{
t6=C_pairp(t2);
t7=t5;
f_24638(t7,C_i_not(t6));}}

/* k24636 in doloop5351 in k24617 in k24614 in k24415 in out in k23787 in k23784 in k23781 in print in k23772 in k23768 in k23764 in k20151 in k20147 in k20143 in k20139 in k20135 in k19774 in k19770 in k19766 in k19762 in ... */
static void C_fcall f_24638(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(10,0,3)))){
C_save_and_reclaim_args((void *)trf_24638,2,t0,t1);}
a=C_alloc(10);
if(C_truep(t1)){
t2=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_24641,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],tmp=(C_word)a,a+=5,tmp);
t3=C_eqp(((C_word*)t0)[5],C_SCHEME_END_OF_LIST);
if(C_truep(C_i_not(t3))){
t4=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_24650,a[2]=((C_word*)t0)[6],a[3]=t2,a[4]=((C_word*)t0)[5],tmp=(C_word)a,a+=5,tmp);
/* library.scm:4648: outstr */
t5=((C_word*)((C_word*)t0)[7])[1];
f_23791(t5,t4,((C_word*)t0)[4],lf[894]);}
else{
/* library.scm:4650: outchr */
t4=((C_word*)((C_word*)t0)[2])[1];
f_23863(t4,((C_word*)t0)[3],((C_word*)t0)[4],C_make_character(41));}}
else{
t2=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_24660,a[2]=((C_word*)t0)[5],a[3]=((C_word*)t0)[8],a[4]=((C_word*)t0)[3],a[5]=((C_word*)t0)[6],tmp=(C_word)a,a+=6,tmp);
/* library.scm:4651: outchr */
t3=((C_word*)((C_word*)t0)[2])[1];
f_23863(t3,t2,((C_word*)t0)[4],C_make_character(32));}}

/* k24639 in k24636 in doloop5351 in k24617 in k24614 in k24415 in out in k23787 in k23784 in k23781 in print in k23772 in k23768 in k23764 in k20151 in k20147 in k20143 in k20139 in k20135 in k19774 in k19770 in k19766 in ... */
static void C_ccall f_24641(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_24641,2,av);}
/* library.scm:4650: outchr */
t2=((C_word*)((C_word*)t0)[2])[1];
f_23863(t2,((C_word*)t0)[3],((C_word*)t0)[4],C_make_character(41));}

/* k24648 in k24636 in doloop5351 in k24617 in k24614 in k24415 in out in k23787 in k23784 in k23781 in print in k23772 in k23768 in k23764 in k20151 in k20147 in k20143 in k20139 in k20135 in k19774 in k19770 in k19766 in ... */
static void C_ccall f_24650(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_24650,2,av);}
/* library.scm:4649: out */
t2=((C_word*)((C_word*)t0)[2])[1];
f_24220(t2,((C_word*)t0)[3],((C_word*)t0)[4]);}

/* k24658 in k24636 in doloop5351 in k24617 in k24614 in k24415 in out in k23787 in k23784 in k23781 in print in k23772 in k23768 in k23764 in k20151 in k20147 in k20143 in k20139 in k20135 in k19774 in k19770 in k19766 in ... */
static void C_ccall f_24660(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,c,2)))){
C_save_and_reclaim((void *)f_24660,2,av);}
a=C_alloc(5);
t2=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_24663,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],tmp=(C_word)a,a+=5,tmp);
t3=C_slot(((C_word*)t0)[2],C_fix(0));
/* library.scm:4652: out */
t4=((C_word*)((C_word*)t0)[5])[1];
f_24220(t4,t2,t3);}

/* k24661 in k24658 in k24636 in doloop5351 in k24617 in k24614 in k24415 in out in k23787 in k23784 in k23781 in print in k23772 in k23768 in k23764 in k20151 in k20147 in k20143 in k20139 in k20135 in k19774 in k19770 in ... */
static void C_ccall f_24663(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_24663,2,av);}
t2=C_slot(((C_word*)t0)[2],C_fix(1));
t3=((C_word*)((C_word*)t0)[3])[1];
f_24628(t3,((C_word*)t0)[4],t2);}

/* k24687 in k24415 in out in k23787 in k23784 in k23781 in print in k23772 in k23768 in k23764 in k20151 in k20147 in k20143 in k20139 in k20135 in k19774 in k19770 in k19766 in k19762 in k19758 in k19754 in k19750 in ... */
static void C_ccall f_24689(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(16,c,3)))){
C_save_and_reclaim((void *)f_24689,2,av);}
a=C_alloc(16);
t2=C_block_size(((C_word*)t0)[2]);
t3=t2;
t4=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_24695,a[2]=((C_word*)t0)[3],a[3]=((C_word*)t0)[4],a[4]=((C_word*)t0)[5],tmp=(C_word)a,a+=5,tmp);
t5=C_SCHEME_UNDEFINED;
t6=(*a=C_VECTOR_TYPE|1,a[1]=t5,tmp=(C_word)a,a+=2,tmp);
t7=C_set_block_item(t6,0,(*a=C_CLOSURE_TYPE|8,a[1]=(C_word)f_24700,a[2]=t3,a[3]=((C_word*)t0)[2],a[4]=t6,a[5]=((C_word*)t0)[6],a[6]=((C_word*)t0)[5],a[7]=((C_word*)t0)[3],a[8]=((C_word)li720),tmp=(C_word)a,a+=9,tmp));
t8=((C_word*)t6)[1];
f_24700(t8,t4,C_fix(0));}

/* k24693 in k24687 in k24415 in out in k23787 in k23784 in k23781 in print in k23772 in k23768 in k23764 in k20151 in k20147 in k20143 in k20139 in k20135 in k19774 in k19770 in k19766 in k19762 in k19758 in k19754 in ... */
static void C_ccall f_24695(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_24695,2,av);}
/* library.scm:4662: outchr */
t2=((C_word*)((C_word*)t0)[2])[1];
f_23863(t2,((C_word*)t0)[3],((C_word*)t0)[4],C_make_character(125));}

/* doloop5365 in k24687 in k24415 in out in k23787 in k23784 in k23781 in print in k23772 in k23768 in k23764 in k20151 in k20147 in k20143 in k20139 in k20135 in k19774 in k19770 in k19766 in k19762 in k19758 in k19754 in ... */
static void C_fcall f_24700(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(8,0,3)))){
C_save_and_reclaim_args((void *)trf_24700,3,t0,t1,t2);}
a=C_alloc(8);
if(C_truep(C_fixnum_greater_or_equal_p(t2,((C_word*)t0)[2]))){
t3=C_SCHEME_UNDEFINED;
t4=t1;{
C_word av2[2];
av2[0]=t4;
av2[1]=t3;
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}
else{
t3=C_subbyte(((C_word*)t0)[3],t2);
t4=t3;
t5=(*a=C_CLOSURE_TYPE|7,a[1]=(C_word)f_24713,a[2]=t2,a[3]=((C_word*)t0)[4],a[4]=t1,a[5]=((C_word*)t0)[5],a[6]=((C_word*)t0)[6],a[7]=t4,tmp=(C_word)a,a+=8,tmp);
if(C_truep(C_fixnum_lessp(t4,C_fix(16)))){
/* library.scm:4660: outchr */
t6=((C_word*)((C_word*)t0)[7])[1];
f_23863(t6,t5,((C_word*)t0)[6],C_make_character(48));}
else{
t6=t5;{
C_word av2[2];
av2[0]=t6;
av2[1]=C_SCHEME_UNDEFINED;
f_24713(2,av2);}}}}

/* k24711 in doloop5365 in k24687 in k24415 in out in k23787 in k23784 in k23781 in print in k23772 in k23768 in k23764 in k20151 in k20147 in k20143 in k20139 in k20135 in k19774 in k19770 in k19766 in k19762 in k19758 in ... */
static void C_ccall f_24713(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(10,c,3)))){
C_save_and_reclaim((void *)f_24713,2,av);}
a=C_alloc(10);
t2=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_24716,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],tmp=(C_word)a,a+=5,tmp);
t3=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_24727,a[2]=((C_word*)t0)[5],a[3]=t2,a[4]=((C_word*)t0)[6],tmp=(C_word)a,a+=5,tmp);
/* library.scm:4661: ##sys#number->string */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[600]+1));
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[600]+1);
av2[1]=t3;
av2[2]=((C_word*)t0)[7];
av2[3]=C_fix(16);
tp(4,av2);}}

/* k24714 in k24711 in doloop5365 in k24687 in k24415 in out in k23787 in k23784 in k23781 in print in k23772 in k23768 in k23764 in k20151 in k20147 in k20143 in k20139 in k20135 in k19774 in k19770 in k19766 in k19762 in ... */
static void C_ccall f_24716(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_24716,2,av);}
t2=C_fixnum_plus(((C_word*)t0)[2],C_fix(1));
t3=((C_word*)((C_word*)t0)[3])[1];
f_24700(t3,((C_word*)t0)[4],t2);}

/* k24725 in k24711 in doloop5365 in k24687 in k24415 in out in k23787 in k23784 in k23781 in print in k23772 in k23768 in k23764 in k20151 in k20147 in k20143 in k20139 in k20135 in k19774 in k19770 in k19766 in k19762 in ... */
static void C_ccall f_24727(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_24727,2,av);}
/* library.scm:4661: outstr */
t2=((C_word*)((C_word*)t0)[2])[1];
f_23791(t2,((C_word*)t0)[3],((C_word*)t0)[4],t1);}

/* k24747 in k24415 in out in k23787 in k23784 in k23781 in print in k23772 in k23768 in k23764 in k20151 in k20147 in k20143 in k20139 in k20135 in k19774 in k19770 in k19766 in k19762 in k19758 in k19754 in k19750 in ... */
static void C_ccall f_24749(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_24749,2,av);}
/* library.scm:4664: outstr */
t2=((C_word*)((C_word*)t0)[2])[1];
f_23791(t2,((C_word*)t0)[3],((C_word*)t0)[4],t1);}

/* k24759 in k24415 in out in k23787 in k23784 in k23781 in print in k23772 in k23768 in k23764 in k20151 in k20147 in k20143 in k20139 in k20135 in k19774 in k19770 in k19766 in k19762 in k19758 in k19754 in k19750 in ... */
static void C_ccall f_24761(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(10,c,2)))){
C_save_and_reclaim((void *)f_24761,2,av);}
a=C_alloc(10);
t2=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_24764,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],tmp=(C_word)a,a+=5,tmp);
t3=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_24771,a[2]=((C_word*)t0)[5],a[3]=t2,a[4]=((C_word*)t0)[4],tmp=(C_word)a,a+=5,tmp);
/* library.scm:4668: ##sys#lambda-info->string */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[757]);
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[757]+1);
av2[1]=t3;
av2[2]=((C_word*)t0)[6];
tp(3,av2);}}

/* k24762 in k24759 in k24415 in out in k23787 in k23784 in k23781 in print in k23772 in k23768 in k23764 in k20151 in k20147 in k20143 in k20139 in k20135 in k19774 in k19770 in k19766 in k19762 in k19758 in k19754 in ... */
static void C_ccall f_24764(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_24764,2,av);}
/* library.scm:4669: outchr */
t2=((C_word*)((C_word*)t0)[2])[1];
f_23863(t2,((C_word*)t0)[3],((C_word*)t0)[4],C_make_character(62));}

/* k24769 in k24759 in k24415 in out in k23787 in k23784 in k23781 in print in k23772 in k23768 in k23764 in k20151 in k20147 in k20143 in k20139 in k20135 in k19774 in k19770 in k19766 in k19762 in k19758 in k19754 in ... */
static void C_ccall f_24771(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_24771,2,av);}
/* library.scm:4668: outstr */
t2=((C_word*)((C_word*)t0)[2])[1];
f_23791(t2,((C_word*)t0)[3],((C_word*)t0)[4],t1);}

/* k24778 in k24415 in out in k23787 in k23784 in k23781 in print in k23772 in k23768 in k23764 in k20151 in k20147 in k20143 in k20139 in k20135 in k19774 in k19770 in k19766 in k19762 in k19758 in k19754 in k19750 in ... */
static void C_ccall f_24780(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,c,3)))){
C_save_and_reclaim((void *)f_24780,2,av);}
a=C_alloc(5);
t2=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_24783,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],tmp=(C_word)a,a+=5,tmp);
t3=C_slot(((C_word*)t0)[5],C_fix(3));
/* library.scm:4675: outstr */
t4=((C_word*)((C_word*)t0)[2])[1];
f_23791(t4,t2,((C_word*)t0)[4],t3);}

/* k24781 in k24778 in k24415 in out in k23787 in k23784 in k23781 in print in k23772 in k23768 in k23764 in k20151 in k20147 in k20143 in k20139 in k20135 in k19774 in k19770 in k19766 in k19762 in k19758 in k19754 in ... */
static void C_ccall f_24783(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_24783,2,av);}
/* library.scm:4676: outstr */
t2=((C_word*)((C_word*)t0)[2])[1];
f_23791(t2,((C_word*)t0)[3],((C_word*)t0)[4],lf[900]);}

/* k24825 in k24415 in out in k23787 in k23784 in k23781 in print in k23772 in k23768 in k23764 in k20151 in k20147 in k20143 in k20139 in k20135 in k19774 in k19770 in k19766 in k19762 in k19758 in k19754 in k19750 in ... */
static void C_ccall f_24827(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(8,c,2)))){
C_save_and_reclaim((void *)f_24827,2,av);}
a=C_alloc(8);
t2=(*a=C_CLOSURE_TYPE|7,a[1]=(C_word)f_24830,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[5],a[6]=((C_word*)t0)[6],a[7]=((C_word*)t0)[7],tmp=(C_word)a,a+=8,tmp);
t3=C_slot(((C_word*)t0)[5],C_fix(0));
/* library.scm:4683: out */
t4=((C_word*)((C_word*)t0)[6])[1];
f_24220(t4,t2,t3);}

/* k24828 in k24825 in k24415 in out in k23787 in k23784 in k23781 in print in k23772 in k23768 in k23764 in k20151 in k20147 in k20143 in k20139 in k20135 in k19774 in k19770 in k19766 in k19762 in k19758 in k19754 in ... */
static void C_ccall f_24830(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(10,c,4)))){
C_save_and_reclaim((void *)f_24830,2,av);}
a=C_alloc(10);
t2=C_fixnum_difference(((C_word*)t0)[2],C_fix(1));
t3=C_SCHEME_UNDEFINED;
t4=(*a=C_VECTOR_TYPE|1,a[1]=t3,tmp=(C_word)a,a+=2,tmp);
t5=C_set_block_item(t4,0,(*a=C_CLOSURE_TYPE|7,a[1]=(C_word)f_24839,a[2]=((C_word*)t0)[3],a[3]=((C_word*)t0)[4],a[4]=t4,a[5]=((C_word*)t0)[5],a[6]=((C_word*)t0)[6],a[7]=((C_word)li721),tmp=(C_word)a,a+=8,tmp));
t6=((C_word*)t4)[1];
f_24839(t6,((C_word*)t0)[7],C_fix(1),t2);}

/* doloop5389 in k24828 in k24825 in k24415 in out in k23787 in k23784 in k23781 in print in k23772 in k23768 in k23764 in k20151 in k20147 in k20143 in k20139 in k20135 in k19774 in k19770 in k19766 in k19762 in k19758 in ... */
static void C_fcall f_24839(C_word t0,C_word t1,C_word t2,C_word t3){
C_word tmp;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(8,0,3)))){
C_save_and_reclaim_args((void *)trf_24839,4,t0,t1,t2,t3);}
a=C_alloc(8);
t4=C_eqp(t3,C_fix(0));
if(C_truep(t4)){
/* library.scm:4687: outchr */
t5=((C_word*)((C_word*)t0)[2])[1];
f_23863(t5,t1,((C_word*)t0)[3],C_make_character(41));}
else{
t5=(*a=C_CLOSURE_TYPE|7,a[1]=(C_word)f_24852,a[2]=t2,a[3]=t3,a[4]=((C_word*)t0)[4],a[5]=t1,a[6]=((C_word*)t0)[5],a[7]=((C_word*)t0)[6],tmp=(C_word)a,a+=8,tmp);
/* library.scm:4688: outchr */
t6=((C_word*)((C_word*)t0)[2])[1];
f_23863(t6,t5,((C_word*)t0)[3],C_make_character(32));}}

/* k24850 in doloop5389 in k24828 in k24825 in k24415 in out in k23787 in k23784 in k23781 in print in k23772 in k23768 in k23764 in k20151 in k20147 in k20143 in k20139 in k20135 in k19774 in k19770 in k19766 in k19762 in ... */
static void C_ccall f_24852(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,c,2)))){
C_save_and_reclaim((void *)f_24852,2,av);}
a=C_alloc(6);
t2=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_24855,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[5],tmp=(C_word)a,a+=6,tmp);
t3=C_slot(((C_word*)t0)[6],((C_word*)t0)[2]);
/* library.scm:4689: out */
t4=((C_word*)((C_word*)t0)[7])[1];
f_24220(t4,t2,t3);}

/* k24853 in k24850 in doloop5389 in k24828 in k24825 in k24415 in out in k23787 in k23784 in k23781 in print in k23772 in k23768 in k23764 in k20151 in k20147 in k20143 in k20139 in k20135 in k19774 in k19770 in k19766 in ... */
static void C_ccall f_24855(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_24855,2,av);}
t2=C_fixnum_plus(((C_word*)t0)[2],C_fix(1));
t3=C_fixnum_difference(((C_word*)t0)[3],C_fix(1));
t4=((C_word*)((C_word*)t0)[4])[1];
f_24839(t4,((C_word*)t0)[5],t2,t3);}

/* ##sys#procedure->string in k23772 in k23768 in k23764 in k20151 in k20147 in k20143 in k20139 in k20135 in k19774 in k19770 in k19766 in k19762 in k19758 in k19754 in k19750 in k19746 in k19742 in k19738 in k19734 in k19730 in k19726 in ... */
static void C_ccall f_24880(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(3,c,2)))){
C_save_and_reclaim((void *)f_24880,3,av);}
a=C_alloc(3);
t3=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_24884,a[2]=t1,tmp=(C_word)a,a+=3,tmp);
/* library.scm:4696: ##sys#lambda-info */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[756]);
C_word *av2=av;
av2[0]=*((C_word*)lf[756]+1);
av2[1]=t3;
av2[2]=t2;
tp(3,av2);}}

/* k24882 in procedure->string in k23772 in k23768 in k23764 in k20151 in k20147 in k20143 in k20139 in k20135 in k19774 in k19770 in k19766 in k19762 in k19758 in k19754 in k19750 in k19746 in k19742 in k19738 in k19734 in k19730 in ... */
static void C_ccall f_24884(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,2)))){
C_save_and_reclaim((void *)f_24884,2,av);}
a=C_alloc(3);
if(C_truep(t1)){
t2=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_24894,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
/* library.scm:4698: ##sys#lambda-info->string */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[757]);
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[757]+1);
av2[1]=t2;
av2[2]=t1;
tp(3,av2);}}
else{
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=lf[909];
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}}

/* k24892 in k24882 in procedure->string in k23772 in k23768 in k23764 in k20151 in k20147 in k20143 in k20139 in k20135 in k19774 in k19770 in k19766 in k19762 in k19758 in k19754 in k19750 in k19746 in k19742 in k19738 in k19734 in ... */
static void C_ccall f_24894(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,4)))){
C_save_and_reclaim((void *)f_24894,2,av);}
/* library.scm:4698: string-append */
t2=*((C_word*)lf[413]+1);{
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[2];
av2[2]=lf[907];
av2[3]=t1;
av2[4]=lf[908];
((C_proc)(void*)(*((C_word*)t2+1)))(5,av2);}}

/* ##sys#register-record-printer in k23772 in k23768 in k23764 in k20151 in k20147 in k20143 in k20139 in k20135 in k19774 in k19770 in k19766 in k19762 in k19758 in k19754 in k19750 in k19746 in k19742 in k19738 in k19734 in k19730 in k19726 in ... */
static void C_ccall f_24897(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(6,c,1)))){
C_save_and_reclaim((void *)f_24897,4,av);}
a=C_alloc(6);
t4=C_i_assq(t2,C_fast_retrieve(lf[910]));
if(C_truep(t4)){
t5=C_i_setslot(t4,C_fix(1),t3);
t6=t1;{
C_word *av2=av;
av2[0]=t6;
av2[1]=C_SCHEME_UNDEFINED;
((C_proc)(void*)(*((C_word*)t6+1)))(2,av2);}}
else{
t5=C_a_i_cons(&a,2,t2,t3);
t6=C_a_i_cons(&a,2,t5,C_fast_retrieve(lf[910]));
t7=C_mutate((C_word*)lf[910]+1 /* (set! ##sys#record-printers ...) */,t6);
t8=t1;{
C_word *av2=av;
av2[0]=t8;
av2[1]=C_SCHEME_UNDEFINED;
((C_proc)(void*)(*((C_word*)t8+1)))(2,av2);}}}

/* ##sys#user-print-hook in k23772 in k23768 in k23764 in k20151 in k20147 in k20143 in k20139 in k20135 in k19774 in k19770 in k19766 in k19762 in k19758 in k19754 in k19750 in k19746 in k19742 in k19738 in k19734 in k19730 in k19726 in ... */
static void C_ccall f_24917(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4=av[4];
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word *a;
if(c!=5) C_bad_argc_2(c,5,t0);
if(C_unlikely(!C_demand(C_calculate_demand(10,c,4)))){
C_save_and_reclaim((void *)f_24917,5,av);}
a=C_alloc(10);
t5=C_slot(t2,C_fix(0));
t6=t5;
t7=C_i_assq(t6,C_fast_retrieve(lf[910]));
t8=t7;
if(C_truep(t8)){
t9=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_24930,a[2]=t1,tmp=(C_word)a,a+=3,tmp);
t10=(*a=C_CLOSURE_TYPE|6,a[1]=(C_word)f_24935,a[2]=t4,a[3]=t6,a[4]=t8,a[5]=t2,a[6]=((C_word)li732),tmp=(C_word)a,a+=7,tmp);
/* library.scm:4713: scheme#call-with-current-continuation */
t11=*((C_word*)lf[132]+1);{
C_word *av2=av;
av2[0]=t11;
av2[1]=t9;
av2[2]=t10;
((C_proc)(void*)(*((C_word*)t11+1)))(3,av2);}}
else{
t9=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_25020,a[2]=t1,a[3]=t4,a[4]=t6,a[5]=t2,tmp=(C_word)a,a+=6,tmp);
/* library.scm:4725: ##sys#print */
t10=*((C_word*)lf[871]+1);{
C_word *av2=av;
av2[0]=t10;
av2[1]=t9;
av2[2]=lf[921];
av2[3]=C_SCHEME_FALSE;
av2[4]=t4;
((C_proc)(void*)(*((C_word*)t10+1)))(5,av2);}}}

/* k24928 in user-print-hook in k23772 in k23768 in k23764 in k20151 in k20147 in k20143 in k20139 in k20135 in k19774 in k19770 in k19766 in k19762 in k19758 in k19754 in k19750 in k19746 in k19742 in k19738 in k19734 in k19730 in ... */
static void C_ccall f_24930(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_24930,2,av);}
/* library.scm:4713: g5430 */
t2=t1;{
C_word *av2=av;
av2[0]=t2;
av2[1]=((C_word*)t0)[2];
((C_proc)C_fast_retrieve_proc(t2))(2,av2);}}

/* a24934 in user-print-hook in k23772 in k23768 in k23764 in k20151 in k20147 in k20143 in k20139 in k20135 in k19774 in k19770 in k19766 in k19762 in k19758 in k19754 in k19750 in k19746 in k19742 in k19738 in k19734 in k19730 in ... */
static void C_ccall f_24935(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(13,c,3)))){
C_save_and_reclaim((void *)f_24935,3,av);}
a=C_alloc(13);
t3=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_24941,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=t2,a[5]=((C_word)li727),tmp=(C_word)a,a+=6,tmp);
t4=(*a=C_CLOSURE_TYPE|6,a[1]=(C_word)f_24992,a[2]=((C_word*)t0)[4],a[3]=((C_word*)t0)[5],a[4]=((C_word*)t0)[2],a[5]=t2,a[6]=((C_word)li731),tmp=(C_word)a,a+=7,tmp);
/* library.scm:4713: chicken.condition#with-exception-handler */
t5=C_fast_retrieve(lf[917]);{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t5;
av2[1]=t1;
av2[2]=t3;
av2[3]=t4;
((C_proc)(void*)(*((C_word*)t5+1)))(4,av2);}}

/* a24940 in a24934 in user-print-hook in k23772 in k23768 in k23764 in k20151 in k20147 in k20143 in k20139 in k20135 in k19774 in k19770 in k19766 in k19762 in k19758 in k19754 in k19750 in k19746 in k19742 in k19738 in k19734 in ... */
static void C_ccall f_24941(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(6,c,2)))){
C_save_and_reclaim((void *)f_24941,3,av);}
a=C_alloc(6);
t3=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_24947,a[2]=t2,a[3]=((C_word*)t0)[2],a[4]=((C_word*)t0)[3],a[5]=((C_word)li726),tmp=(C_word)a,a+=6,tmp);
/* library.scm:4713: k5427 */
t4=((C_word*)t0)[4];{
C_word *av2=av;
av2[0]=t4;
av2[1]=t1;
av2[2]=t3;
((C_proc)C_fast_retrieve_proc(t4))(3,av2);}}

/* a24946 in a24940 in a24934 in user-print-hook in k23772 in k23768 in k23764 in k20151 in k20147 in k20143 in k20139 in k20135 in k19774 in k19770 in k19766 in k19762 in k19758 in k19754 in k19750 in k19746 in k19742 in k19738 in ... */
static void C_ccall f_24947(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(c!=2) C_bad_argc_2(c,2,t0);
if(C_unlikely(!C_demand(C_calculate_demand(6,c,4)))){
C_save_and_reclaim((void *)f_24947,2,av);}
a=C_alloc(6);
t2=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_24951,a[2]=((C_word*)t0)[2],a[3]=t1,a[4]=((C_word*)t0)[3],a[5]=((C_word*)t0)[4],tmp=(C_word)a,a+=6,tmp);
/* library.scm:4715: ##sys#print */
t3=*((C_word*)lf[871]+1);{
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=t3;
av2[1]=t2;
av2[2]=lf[916];
av2[3]=C_SCHEME_FALSE;
av2[4]=((C_word*)t0)[3];
((C_proc)(void*)(*((C_word*)t3+1)))(5,av2);}}

/* k24949 in a24946 in a24940 in a24934 in user-print-hook in k23772 in k23768 in k23764 in k20151 in k20147 in k20143 in k20139 in k20135 in k19774 in k19770 in k19766 in k19762 in k19758 in k19754 in k19750 in k19746 in k19742 in ... */
static void C_ccall f_24951(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(9,c,2)))){
C_save_and_reclaim((void *)f_24951,2,av);}
a=C_alloc(9);
t2=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_24954,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],tmp=(C_word)a,a+=5,tmp);
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_24990,a[2]=t2,a[3]=((C_word*)t0)[4],tmp=(C_word)a,a+=4,tmp);
/* library.scm:4716: ##sys#symbol->string */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[629]+1));
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[629]+1);
av2[1]=t3;
av2[2]=((C_word*)t0)[5];
tp(3,av2);}}

/* k24952 in k24949 in a24946 in a24940 in a24934 in user-print-hook in k23772 in k23768 in k23764 in k20151 in k20147 in k20143 in k20139 in k20135 in k19774 in k19770 in k19766 in k19762 in k19758 in k19754 in k19750 in k19746 in ... */
static void C_ccall f_24954(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,c,4)))){
C_save_and_reclaim((void *)f_24954,2,av);}
a=C_alloc(5);
if(C_truep(C_i_structurep(((C_word*)t0)[2],lf[912]))){
t2=C_slot(((C_word*)t0)[2],C_fix(2));
t3=C_i_member(lf[913],t2);
t4=t3;
if(C_truep(t4)){
t5=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_24969,a[2]=((C_word*)t0)[3],a[3]=((C_word*)t0)[4],a[4]=t4,tmp=(C_word)a,a+=5,tmp);
/* library.scm:4719: ##sys#print */
t6=*((C_word*)lf[871]+1);{
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=t6;
av2[1]=t5;
av2[2]=lf[914];
av2[3]=C_SCHEME_FALSE;
av2[4]=((C_word*)t0)[4];
((C_proc)(void*)(*((C_word*)t6+1)))(5,av2);}}
else{
t5=((C_word*)t0)[3];{
C_word *av2=av;
av2[0]=t5;
av2[1]=C_SCHEME_FALSE;
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}}
else{
/* library.scm:4722: ##sys#print */
t2=*((C_word*)lf[871]+1);{
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[3];
av2[2]=lf[915];
av2[3]=C_SCHEME_FALSE;
av2[4]=((C_word*)t0)[4];
((C_proc)(void*)(*((C_word*)t2+1)))(5,av2);}}}

/* k24967 in k24952 in k24949 in a24946 in a24940 in a24934 in user-print-hook in k23772 in k23768 in k23764 in k20151 in k20147 in k20143 in k20139 in k20135 in k19774 in k19770 in k19766 in k19762 in k19758 in k19754 in k19750 in ... */
static void C_ccall f_24969(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,c,4)))){
C_save_and_reclaim((void *)f_24969,2,av);}
a=C_alloc(4);
t2=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_24972,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],tmp=(C_word)a,a+=4,tmp);
t3=C_i_cadr(((C_word*)t0)[4]);
/* library.scm:4720: ##sys#print */
t4=*((C_word*)lf[871]+1);{
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=t4;
av2[1]=t2;
av2[2]=t3;
av2[3]=C_SCHEME_FALSE;
av2[4]=((C_word*)t0)[3];
((C_proc)(void*)(*((C_word*)t4+1)))(5,av2);}}

/* k24970 in k24967 in k24952 in k24949 in a24946 in a24940 in a24934 in user-print-hook in k23772 in k23768 in k23764 in k20151 in k20147 in k20143 in k20139 in k20135 in k19774 in k19770 in k19766 in k19762 in k19758 in k19754 in ... */
static void C_ccall f_24972(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_24972,2,av);}
/* library.scm:4721: ##sys#write-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[867]);
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[867]+1);
av2[1]=((C_word*)t0)[2];
av2[2]=C_make_character(62);
av2[3]=((C_word*)t0)[3];
tp(4,av2);}}

/* k24988 in k24949 in a24946 in a24940 in a24934 in user-print-hook in k23772 in k23768 in k23764 in k20151 in k20147 in k20143 in k20139 in k20135 in k19774 in k19770 in k19766 in k19762 in k19758 in k19754 in k19750 in k19746 in ... */
static void C_ccall f_24990(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,4)))){
C_save_and_reclaim((void *)f_24990,2,av);}
/* library.scm:4716: ##sys#print */
t2=*((C_word*)lf[871]+1);{
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[2];
av2[2]=t1;
av2[3]=C_SCHEME_FALSE;
av2[4]=((C_word*)t0)[3];
((C_proc)(void*)(*((C_word*)t2+1)))(5,av2);}}

/* a24991 in a24934 in user-print-hook in k23772 in k23768 in k23764 in k20151 in k20147 in k20143 in k20139 in k20135 in k19774 in k19770 in k19766 in k19762 in k19758 in k19754 in k19750 in k19746 in k19742 in k19738 in k19734 in ... */
static void C_ccall f_24992(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(c!=2) C_bad_argc_2(c,2,t0);
if(C_unlikely(!C_demand(C_calculate_demand(10,c,3)))){
C_save_and_reclaim((void *)f_24992,2,av);}
a=C_alloc(10);
t2=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_24998,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=((C_word)li728),tmp=(C_word)a,a+=6,tmp);
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_25007,a[2]=((C_word*)t0)[5],a[3]=((C_word)li730),tmp=(C_word)a,a+=4,tmp);
/* library.scm:4713: ##sys#call-with-values */{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=0;
av2[1]=t1;
av2[2]=t2;
av2[3]=t3;
C_call_with_values(4,av2);}}

/* a24997 in a24991 in a24934 in user-print-hook in k23772 in k23768 in k23764 in k20151 in k20147 in k20143 in k20139 in k20135 in k19774 in k19770 in k19766 in k19762 in k19758 in k19754 in k19750 in k19746 in k19742 in k19738 in ... */
static void C_ccall f_24998(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(c!=2) C_bad_argc_2(c,2,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_24998,2,av);}
t2=C_slot(((C_word*)t0)[2],C_fix(1));
/* library.scm:4713: g5440 */
t3=t2;{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t3;
av2[1]=t1;
av2[2]=((C_word*)t0)[3];
av2[3]=((C_word*)t0)[4];
((C_proc)C_fast_retrieve_proc(t3))(4,av2);}}

/* a25006 in a24991 in a24934 in user-print-hook in k23772 in k23768 in k23764 in k20151 in k20147 in k20143 in k20139 in k20135 in k19774 in k19770 in k19766 in k19762 in k19758 in k19754 in k19750 in k19746 in k19742 in k19738 in ... */
static void C_ccall f_25007(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand((c-2)*C_SIZEOF_PAIR +4,c,2)))){
C_save_and_reclaim((void*)f_25007,c,av);}
a=C_alloc((c-2)*C_SIZEOF_PAIR+4);
t2=C_build_rest(&a,c,2,av);
C_word t3;
C_word t4;
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_25013,a[2]=t2,a[3]=((C_word)li729),tmp=(C_word)a,a+=4,tmp);
/* library.scm:4713: k5427 */
t4=((C_word*)t0)[2];{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t4;
av2[1]=t1;
av2[2]=t3;
((C_proc)C_fast_retrieve_proc(t4))(3,av2);}}

/* a25012 in a25006 in a24991 in a24934 in user-print-hook in k23772 in k23768 in k23764 in k20151 in k20147 in k20143 in k20139 in k20135 in k19774 in k19770 in k19766 in k19762 in k19758 in k19754 in k19750 in k19746 in k19742 in ... */
static void C_ccall f_25013(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(c!=2) C_bad_argc_2(c,2,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_25013,2,av);}{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=0;
av2[1]=t1;
av2[2]=((C_word*)t0)[2];
C_apply_values(3,av2);}}

/* k25018 in user-print-hook in k23772 in k23768 in k23764 in k20151 in k20147 in k20143 in k20139 in k20135 in k19774 in k19770 in k19766 in k19762 in k19758 in k19754 in k19750 in k19746 in k19742 in k19738 in k19734 in k19730 in ... */
static void C_ccall f_25020(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(10,c,2)))){
C_save_and_reclaim((void *)f_25020,2,av);}
a=C_alloc(10);
t2=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_25023,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[5],tmp=(C_word)a,a+=6,tmp);
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_25066,a[2]=t2,a[3]=((C_word*)t0)[3],tmp=(C_word)a,a+=4,tmp);
/* library.scm:4726: ##sys#symbol->string */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[629]+1));
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[629]+1);
av2[1]=t3;
av2[2]=((C_word*)t0)[4];
tp(3,av2);}}

/* k25021 in k25018 in user-print-hook in k23772 in k23768 in k23764 in k20151 in k20147 in k20143 in k20139 in k20135 in k19774 in k19770 in k19766 in k19762 in k19758 in k19754 in k19750 in k19746 in k19742 in k19738 in k19734 in ... */
static void C_ccall f_25023(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(9,c,4)))){
C_save_and_reclaim((void *)f_25023,2,av);}
a=C_alloc(9);
t2=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_25026,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],tmp=(C_word)a,a+=4,tmp);
t3=C_eqp(((C_word*)t0)[4],lf[912]);
if(C_truep(t3)){
t4=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_25035,a[2]=((C_word*)t0)[5],a[3]=t2,a[4]=((C_word*)t0)[3],tmp=(C_word)a,a+=5,tmp);
/* library.scm:4729: ##sys#print */
t5=*((C_word*)lf[871]+1);{
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=t5;
av2[1]=t4;
av2[2]=lf[918];
av2[3]=C_SCHEME_FALSE;
av2[4]=((C_word*)t0)[3];
((C_proc)(void*)(*((C_word*)t5+1)))(5,av2);}}
else{
t4=C_eqp(((C_word*)t0)[4],lf[919]);
if(C_truep(t4)){
t5=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_25051,a[2]=((C_word*)t0)[5],a[3]=t2,a[4]=((C_word*)t0)[3],tmp=(C_word)a,a+=5,tmp);
/* library.scm:4732: ##sys#print */
t6=*((C_word*)lf[871]+1);{
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=t6;
av2[1]=t5;
av2[2]=lf[920];
av2[3]=C_SCHEME_FALSE;
av2[4]=((C_word*)t0)[3];
((C_proc)(void*)(*((C_word*)t6+1)))(5,av2);}}
else{
/* library.scm:4734: ##sys#write-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[867]);
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[867]+1);
av2[1]=((C_word*)t0)[2];
av2[2]=C_make_character(62);
av2[3]=((C_word*)t0)[3];
tp(4,av2);}}}}

/* k25024 in k25021 in k25018 in user-print-hook in k23772 in k23768 in k23764 in k20151 in k20147 in k20143 in k20139 in k20135 in k19774 in k19770 in k19766 in k19762 in k19758 in k19754 in k19750 in k19746 in k19742 in k19738 in ... */
static void C_ccall f_25026(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_25026,2,av);}
/* library.scm:4734: ##sys#write-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[867]);
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[867]+1);
av2[1]=((C_word*)t0)[2];
av2[2]=C_make_character(62);
av2[3]=((C_word*)t0)[3];
tp(4,av2);}}

/* k25033 in k25021 in k25018 in user-print-hook in k23772 in k23768 in k23764 in k20151 in k20147 in k20143 in k20139 in k20135 in k19774 in k19770 in k19766 in k19762 in k19758 in k19754 in k19750 in k19746 in k19742 in k19738 in ... */
static void C_ccall f_25035(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,4)))){
C_save_and_reclaim((void *)f_25035,2,av);}
t2=C_slot(((C_word*)t0)[2],C_fix(1));
/* library.scm:4730: ##sys#print */
t3=*((C_word*)lf[871]+1);{
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=t3;
av2[1]=((C_word*)t0)[3];
av2[2]=t2;
av2[3]=C_SCHEME_FALSE;
av2[4]=((C_word*)t0)[4];
((C_proc)(void*)(*((C_word*)t3+1)))(5,av2);}}

/* k25049 in k25021 in k25018 in user-print-hook in k23772 in k23768 in k23764 in k20151 in k20147 in k20143 in k20139 in k20135 in k19774 in k19770 in k19766 in k19762 in k19758 in k19754 in k19750 in k19746 in k19742 in k19738 in ... */
static void C_ccall f_25051(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,4)))){
C_save_and_reclaim((void *)f_25051,2,av);}
t2=C_slot(((C_word*)t0)[2],C_fix(6));
/* library.scm:4733: ##sys#print */
t3=*((C_word*)lf[871]+1);{
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=t3;
av2[1]=((C_word*)t0)[3];
av2[2]=t2;
av2[3]=C_SCHEME_FALSE;
av2[4]=((C_word*)t0)[4];
((C_proc)(void*)(*((C_word*)t3+1)))(5,av2);}}

/* k25064 in k25018 in user-print-hook in k23772 in k23768 in k23764 in k20151 in k20147 in k20143 in k20139 in k20135 in k19774 in k19770 in k19766 in k19762 in k19758 in k19754 in k19750 in k19746 in k19742 in k19738 in k19734 in ... */
static void C_ccall f_25066(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,4)))){
C_save_and_reclaim((void *)f_25066,2,av);}
/* library.scm:4726: ##sys#print */
t2=*((C_word*)lf[871]+1);{
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[2];
av2[2]=t1;
av2[3]=C_SCHEME_FALSE;
av2[4]=((C_word*)t0)[3];
((C_proc)(void*)(*((C_word*)t2+1)))(5,av2);}}

/* ##sys#with-print-length-limit in k23772 in k23768 in k23764 in k20151 in k20147 in k20143 in k20139 in k20135 in k19774 in k19770 in k19766 in k19762 in k19758 in k19754 in k19750 in k19746 in k19742 in k19738 in k19734 in k19730 in k19726 in ... */
static void C_ccall f_25068(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word t5;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(5,c,3)))){
C_save_and_reclaim((void *)f_25068,4,av);}
a=C_alloc(5);
t4=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_25074,a[2]=t2,a[3]=t3,a[4]=((C_word)li737),tmp=(C_word)a,a+=5,tmp);
/* library.scm:4739: call-with-current-continuation */
t5=*((C_word*)lf[132]+1);{
C_word *av2=av;
av2[0]=t5;
av2[1]=t1;
av2[2]=t4;
((C_proc)(void*)(*((C_word*)t5+1)))(3,av2);}}

/* a25073 in with-print-length-limit in k23772 in k23768 in k23764 in k20151 in k20147 in k20143 in k20139 in k20135 in k19774 in k19770 in k19766 in k19762 in k19758 in k19754 in k19750 in k19746 in k19742 in k19738 in k19734 in k19730 in ... */
static void C_ccall f_25074(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word t12;
C_word t13;
C_word t14;
C_word t15;
C_word t16;
C_word t17;
C_word t18;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(31,c,4)))){
C_save_and_reclaim((void *)f_25074,3,av);}
a=C_alloc(31);
t3=C_fast_retrieve(lf[875]);
t4=C_retrieve2(lf[876],C_text("##sys#print-exit"));
t5=C_retrieve2(lf[874],C_text("current-print-length"));
t6=((C_word*)t0)[2];
t7=t6;
t8=(*a=C_VECTOR_TYPE|1,a[1]=t7,tmp=(C_word)a,a+=2,tmp);
t9=t2;
t10=(*a=C_VECTOR_TYPE|1,a[1]=t9,tmp=(C_word)a,a+=2,tmp);
t11=C_fix(0);
t12=(*a=C_VECTOR_TYPE|1,a[1]=t11,tmp=(C_word)a,a+=2,tmp);
t13=C_SCHEME_TRUE;
t14=(*a=C_VECTOR_TYPE|1,a[1]=t13,tmp=(C_word)a,a+=2,tmp);
t15=(*a=C_CLOSURE_TYPE|9,a[1]=(C_word)f_25080,a[2]=t8,a[3]=t10,a[4]=t12,a[5]=t14,a[6]=t5,a[7]=t4,a[8]=t3,a[9]=((C_word)li734),tmp=(C_word)a,a+=10,tmp);
t16=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_25123,a[2]=((C_word*)t0)[3],a[3]=((C_word)li735),tmp=(C_word)a,a+=4,tmp);
t17=(*a=C_CLOSURE_TYPE|8,a[1]=(C_word)f_25129,a[2]=t8,a[3]=t10,a[4]=t12,a[5]=t5,a[6]=t4,a[7]=t3,a[8]=((C_word)li736),tmp=(C_word)a,a+=9,tmp);
/* library.scm:4741: ##sys#dynamic-wind */
t18=*((C_word*)lf[694]+1);{
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=t18;
av2[1]=t1;
av2[2]=t15;
av2[3]=t16;
av2[4]=t17;
((C_proc)(void*)(*((C_word*)t18+1)))(5,av2);}}

/* a25079 in a25073 in with-print-length-limit in k23772 in k23768 in k23764 in k20151 in k20147 in k20143 in k20139 in k20135 in k19774 in k19770 in k19766 in k19762 in k19758 in k19754 in k19750 in k19746 in k19742 in k19738 in k19734 in ... */
static void C_ccall f_25080(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(c!=2) C_bad_argc_2(c,2,t0);
if(C_unlikely(!C_demand(C_calculate_demand(10,c,4)))){
C_save_and_reclaim((void *)f_25080,2,av);}
a=C_alloc(10);
t2=(*a=C_CLOSURE_TYPE|9,a[1]=(C_word)f_25084,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[5],a[6]=t1,a[7]=((C_word*)t0)[6],a[8]=((C_word*)t0)[7],a[9]=((C_word*)t0)[8],tmp=(C_word)a,a+=10,tmp);
if(C_truep(((C_word*)((C_word*)t0)[5])[1])){
/* library.scm:4741: print-length-limit54605461 */
t3=((C_word*)t0)[8];{
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=t3;
av2[1]=t2;
av2[2]=((C_word*)((C_word*)t0)[2])[1];
av2[3]=C_SCHEME_TRUE;
av2[4]=C_SCHEME_FALSE;
((C_proc)C_fast_retrieve_proc(t3))(5,av2);}}
else{
t3=t2;{
C_word *av2=av;
av2[0]=t3;
av2[1]=((C_word*)((C_word*)t0)[2])[1];
f_25084(2,av2);}}}

/* k25082 in a25079 in a25073 in with-print-length-limit in k23772 in k23768 in k23764 in k20151 in k20147 in k20143 in k20139 in k20135 in k19774 in k19770 in k19766 in k19762 in k19758 in k19754 in k19750 in k19746 in k19742 in k19738 in ... */
static void C_ccall f_25084(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(11,c,4)))){
C_save_and_reclaim((void *)f_25084,2,av);}
a=C_alloc(11);
t2=t1;
t3=(*a=C_CLOSURE_TYPE|10,a[1]=(C_word)f_25087,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[5],a[6]=((C_word*)t0)[6],a[7]=((C_word*)t0)[7],a[8]=((C_word*)t0)[8],a[9]=((C_word*)t0)[9],a[10]=t2,tmp=(C_word)a,a+=11,tmp);
if(C_truep(((C_word*)((C_word*)t0)[5])[1])){
/* library.scm:4741: print-exit54625463 */
t4=((C_word*)t0)[8];{
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=t4;
av2[1]=t3;
av2[2]=((C_word*)((C_word*)t0)[3])[1];
av2[3]=C_SCHEME_TRUE;
av2[4]=C_SCHEME_FALSE;
((C_proc)(void*)(*((C_word*)t4+1)))(5,av2);}}
else{
t4=t3;{
C_word *av2=av;
av2[0]=t4;
av2[1]=((C_word*)((C_word*)t0)[3])[1];
f_25087(2,av2);}}}

/* k25085 in k25082 in a25079 in a25073 in with-print-length-limit in k23772 in k23768 in k23764 in k20151 in k20147 in k20143 in k20139 in k20135 in k19774 in k19770 in k19766 in k19762 in k19758 in k19754 in k19750 in k19746 in k19742 in ... */
static void C_ccall f_25087(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(12,c,4)))){
C_save_and_reclaim((void *)f_25087,2,av);}
a=C_alloc(12);
t2=t1;
t3=(*a=C_CLOSURE_TYPE|11,a[1]=(C_word)f_25090,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[5],a[6]=((C_word*)t0)[6],a[7]=((C_word*)t0)[7],a[8]=((C_word*)t0)[8],a[9]=t2,a[10]=((C_word*)t0)[9],a[11]=((C_word*)t0)[10],tmp=(C_word)a,a+=12,tmp);
if(C_truep(((C_word*)((C_word*)t0)[5])[1])){
/* library.scm:4741: current-print-length54645465 */
t4=((C_word*)t0)[7];{
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=t4;
av2[1]=t3;
av2[2]=((C_word*)((C_word*)t0)[4])[1];
av2[3]=C_SCHEME_TRUE;
av2[4]=C_SCHEME_FALSE;
((C_proc)(void*)(*((C_word*)t4+1)))(5,av2);}}
else{
t4=t3;{
C_word *av2=av;
av2[0]=t4;
av2[1]=((C_word*)((C_word*)t0)[4])[1];
f_25090(2,av2);}}}

/* k25088 in k25085 in k25082 in a25079 in a25073 in with-print-length-limit in k23772 in k23768 in k23764 in k20151 in k20147 in k20143 in k20139 in k20135 in k19774 in k19770 in k19766 in k19762 in k19758 in k19754 in k19750 in k19746 in ... */
static void C_ccall f_25090(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(13,c,2)))){
C_save_and_reclaim((void *)f_25090,2,av);}
a=C_alloc(13);
t2=t1;
t3=(*a=C_CLOSURE_TYPE|12,a[1]=(C_word)f_25094,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[5],a[6]=((C_word*)t0)[6],a[7]=((C_word*)t0)[7],a[8]=t2,a[9]=((C_word*)t0)[8],a[10]=((C_word*)t0)[9],a[11]=((C_word*)t0)[10],a[12]=((C_word*)t0)[11],tmp=(C_word)a,a+=13,tmp);
/* library.scm:4741: print-length-limit54605461 */
t4=((C_word*)t0)[10];{
C_word *av2=av;
av2[0]=t4;
av2[1]=t3;
((C_proc)C_fast_retrieve_proc(t4))(2,av2);}}

/* k25092 in k25088 in k25085 in k25082 in a25079 in a25073 in with-print-length-limit in k23772 in k23768 in k23764 in k20151 in k20147 in k20143 in k20139 in k20135 in k19774 in k19770 in k19766 in k19762 in k19758 in k19754 in k19750 in ... */
static void C_ccall f_25094(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(12,c,2)))){
C_save_and_reclaim((void *)f_25094,2,av);}
a=C_alloc(12);
t2=C_mutate(((C_word *)((C_word*)t0)[2])+1,t1);
t3=(*a=C_CLOSURE_TYPE|11,a[1]=(C_word)f_25098,a[2]=((C_word*)t0)[3],a[3]=((C_word*)t0)[4],a[4]=((C_word*)t0)[5],a[5]=((C_word*)t0)[6],a[6]=((C_word*)t0)[7],a[7]=((C_word*)t0)[8],a[8]=((C_word*)t0)[9],a[9]=((C_word*)t0)[10],a[10]=((C_word*)t0)[11],a[11]=((C_word*)t0)[12],tmp=(C_word)a,a+=12,tmp);
/* library.scm:4741: print-exit54625463 */
t4=((C_word*)t0)[9];{
C_word *av2=av;
av2[0]=t4;
av2[1]=t3;
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* k25096 in k25092 in k25088 in k25085 in k25082 in a25079 in a25073 in with-print-length-limit in k23772 in k23768 in k23764 in k20151 in k20147 in k20143 in k20139 in k20135 in k19774 in k19770 in k19766 in k19762 in k19758 in k19754 in ... */
static void C_ccall f_25098(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(11,c,2)))){
C_save_and_reclaim((void *)f_25098,2,av);}
a=C_alloc(11);
t2=C_mutate(((C_word *)((C_word*)t0)[2])+1,t1);
t3=(*a=C_CLOSURE_TYPE|10,a[1]=(C_word)f_25102,a[2]=((C_word*)t0)[3],a[3]=((C_word*)t0)[4],a[4]=((C_word*)t0)[5],a[5]=((C_word*)t0)[6],a[6]=((C_word*)t0)[7],a[7]=((C_word*)t0)[8],a[8]=((C_word*)t0)[9],a[9]=((C_word*)t0)[10],a[10]=((C_word*)t0)[11],tmp=(C_word)a,a+=11,tmp);
/* library.scm:4741: current-print-length54645465 */
t4=((C_word*)t0)[6];{
C_word *av2=av;
av2[0]=t4;
av2[1]=t3;
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* k25100 in k25096 in k25092 in k25088 in k25085 in k25082 in a25079 in a25073 in with-print-length-limit in k23772 in k23768 in k23764 in k20151 in k20147 in k20143 in k20139 in k20135 in k19774 in k19770 in k19766 in k19762 in k19758 in ... */
static void C_ccall f_25102(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(8,c,4)))){
C_save_and_reclaim((void *)f_25102,2,av);}
a=C_alloc(8);
t2=C_mutate(((C_word *)((C_word*)t0)[2])+1,t1);
t3=(*a=C_CLOSURE_TYPE|7,a[1]=(C_word)f_25105,a[2]=((C_word*)t0)[3],a[3]=((C_word*)t0)[4],a[4]=((C_word*)t0)[5],a[5]=((C_word*)t0)[6],a[6]=((C_word*)t0)[7],a[7]=((C_word*)t0)[8],tmp=(C_word)a,a+=8,tmp);
/* library.scm:4741: print-length-limit54605461 */
t4=((C_word*)t0)[9];{
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=t4;
av2[1]=t3;
av2[2]=((C_word*)t0)[10];
av2[3]=C_SCHEME_FALSE;
av2[4]=C_SCHEME_TRUE;
((C_proc)C_fast_retrieve_proc(t4))(5,av2);}}

/* k25103 in k25100 in k25096 in k25092 in k25088 in k25085 in k25082 in a25079 in a25073 in with-print-length-limit in k23772 in k23768 in k23764 in k20151 in k20147 in k20143 in k20139 in k20135 in k19774 in k19770 in k19766 in k19762 in ... */
static void C_ccall f_25105(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,c,4)))){
C_save_and_reclaim((void *)f_25105,2,av);}
a=C_alloc(6);
t2=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_25108,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[5],tmp=(C_word)a,a+=6,tmp);
/* library.scm:4741: print-exit54625463 */
t3=((C_word*)t0)[6];{
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=t3;
av2[1]=t2;
av2[2]=((C_word*)t0)[7];
av2[3]=C_SCHEME_FALSE;
av2[4]=C_SCHEME_TRUE;
((C_proc)(void*)(*((C_word*)t3+1)))(5,av2);}}

/* k25106 in k25103 in k25100 in k25096 in k25092 in k25088 in k25085 in k25082 in a25079 in a25073 in with-print-length-limit in k23772 in k23768 in k23764 in k20151 in k20147 in k20143 in k20139 in k20135 in k19774 in k19770 in k19766 in ... */
static void C_ccall f_25108(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,c,4)))){
C_save_and_reclaim((void *)f_25108,2,av);}
a=C_alloc(4);
t2=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_25111,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],tmp=(C_word)a,a+=4,tmp);
/* library.scm:4741: current-print-length54645465 */
t3=((C_word*)t0)[4];{
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=t3;
av2[1]=t2;
av2[2]=((C_word*)t0)[5];
av2[3]=C_SCHEME_FALSE;
av2[4]=C_SCHEME_TRUE;
((C_proc)(void*)(*((C_word*)t3+1)))(5,av2);}}

/* k25109 in k25106 in k25103 in k25100 in k25096 in k25092 in k25088 in k25085 in k25082 in a25079 in a25073 in with-print-length-limit in k23772 in k23768 in k23764 in k20151 in k20147 in k20143 in k20139 in k20135 in k19774 in k19770 in ... */
static void C_ccall f_25111(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_25111,2,av);}
t2=C_set_block_item(((C_word*)t0)[2],0,C_SCHEME_FALSE);
t3=((C_word*)t0)[3];{
C_word *av2=av;
av2[0]=t3;
av2[1]=t2;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* a25122 in a25073 in with-print-length-limit in k23772 in k23768 in k23764 in k20151 in k20147 in k20143 in k20139 in k20135 in k19774 in k19770 in k19766 in k19762 in k19758 in k19754 in k19750 in k19746 in k19742 in k19738 in k19734 in ... */
static void C_ccall f_25123(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(c!=2) C_bad_argc_2(c,2,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_25123,2,av);}
/* library.scm:4744: thunk */
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=t1;
((C_proc)C_fast_retrieve_proc(t2))(2,av2);}}

/* a25128 in a25073 in with-print-length-limit in k23772 in k23768 in k23764 in k20151 in k20147 in k20143 in k20139 in k20135 in k19774 in k19770 in k19766 in k19762 in k19758 in k19754 in k19750 in k19746 in k19742 in k19738 in k19734 in ... */
static void C_ccall f_25129(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(c!=2) C_bad_argc_2(c,2,t0);
if(C_unlikely(!C_demand(C_calculate_demand(9,c,2)))){
C_save_and_reclaim((void *)f_25129,2,av);}
a=C_alloc(9);
t2=(*a=C_CLOSURE_TYPE|8,a[1]=(C_word)f_25133,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=t1,a[6]=((C_word*)t0)[5],a[7]=((C_word*)t0)[6],a[8]=((C_word*)t0)[7],tmp=(C_word)a,a+=9,tmp);
/* library.scm:4741: print-length-limit54605461 */
t3=((C_word*)t0)[7];{
C_word *av2=av;
av2[0]=t3;
av2[1]=t2;
((C_proc)C_fast_retrieve_proc(t3))(2,av2);}}

/* k25131 in a25128 in a25073 in with-print-length-limit in k23772 in k23768 in k23764 in k20151 in k20147 in k20143 in k20139 in k20135 in k19774 in k19770 in k19766 in k19762 in k19758 in k19754 in k19750 in k19746 in k19742 in k19738 in ... */
static void C_ccall f_25133(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(10,c,2)))){
C_save_and_reclaim((void *)f_25133,2,av);}
a=C_alloc(10);
t2=t1;
t3=(*a=C_CLOSURE_TYPE|9,a[1]=(C_word)f_25136,a[2]=((C_word*)t0)[2],a[3]=t2,a[4]=((C_word*)t0)[3],a[5]=((C_word*)t0)[4],a[6]=((C_word*)t0)[5],a[7]=((C_word*)t0)[6],a[8]=((C_word*)t0)[7],a[9]=((C_word*)t0)[8],tmp=(C_word)a,a+=10,tmp);
/* library.scm:4741: print-exit54625463 */
t4=((C_word*)t0)[7];{
C_word *av2=av;
av2[0]=t4;
av2[1]=t3;
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* k25134 in k25131 in a25128 in a25073 in with-print-length-limit in k23772 in k23768 in k23764 in k20151 in k20147 in k20143 in k20139 in k20135 in k19774 in k19770 in k19766 in k19762 in k19758 in k19754 in k19750 in k19746 in k19742 in ... */
static void C_ccall f_25136(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(11,c,2)))){
C_save_and_reclaim((void *)f_25136,2,av);}
a=C_alloc(11);
t2=t1;
t3=(*a=C_CLOSURE_TYPE|10,a[1]=(C_word)f_25139,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=t2,a[6]=((C_word*)t0)[5],a[7]=((C_word*)t0)[6],a[8]=((C_word*)t0)[7],a[9]=((C_word*)t0)[8],a[10]=((C_word*)t0)[9],tmp=(C_word)a,a+=11,tmp);
/* library.scm:4741: current-print-length54645465 */
t4=((C_word*)t0)[7];{
C_word *av2=av;
av2[0]=t4;
av2[1]=t3;
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* k25137 in k25134 in k25131 in a25128 in a25073 in with-print-length-limit in k23772 in k23768 in k23764 in k20151 in k20147 in k20143 in k20139 in k20135 in k19774 in k19770 in k19766 in k19762 in k19758 in k19754 in k19750 in k19746 in ... */
static void C_ccall f_25139(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(11,c,4)))){
C_save_and_reclaim((void *)f_25139,2,av);}
a=C_alloc(11);
t2=t1;
t3=(*a=C_CLOSURE_TYPE|10,a[1]=(C_word)f_25142,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[5],a[6]=((C_word*)t0)[6],a[7]=t2,a[8]=((C_word*)t0)[7],a[9]=((C_word*)t0)[8],a[10]=((C_word*)t0)[9],tmp=(C_word)a,a+=11,tmp);
/* library.scm:4741: print-length-limit54605461 */
t4=((C_word*)t0)[10];{
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=t4;
av2[1]=t3;
av2[2]=((C_word*)((C_word*)t0)[2])[1];
av2[3]=C_SCHEME_FALSE;
av2[4]=C_SCHEME_TRUE;
((C_proc)C_fast_retrieve_proc(t4))(5,av2);}}

/* k25140 in k25137 in k25134 in k25131 in a25128 in a25073 in with-print-length-limit in k23772 in k23768 in k23764 in k20151 in k20147 in k20143 in k20139 in k20135 in k19774 in k19770 in k19766 in k19762 in k19758 in k19754 in k19750 in ... */
static void C_ccall f_25142(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(10,c,4)))){
C_save_and_reclaim((void *)f_25142,2,av);}
a=C_alloc(10);
t2=(*a=C_CLOSURE_TYPE|9,a[1]=(C_word)f_25145,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[5],a[6]=((C_word*)t0)[6],a[7]=((C_word*)t0)[7],a[8]=((C_word*)t0)[8],a[9]=((C_word*)t0)[9],tmp=(C_word)a,a+=10,tmp);
/* library.scm:4741: print-exit54625463 */
t3=((C_word*)t0)[10];{
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=t3;
av2[1]=t2;
av2[2]=((C_word*)((C_word*)t0)[4])[1];
av2[3]=C_SCHEME_FALSE;
av2[4]=C_SCHEME_TRUE;
((C_proc)(void*)(*((C_word*)t3+1)))(5,av2);}}

/* k25143 in k25140 in k25137 in k25134 in k25131 in a25128 in a25073 in with-print-length-limit in k23772 in k23768 in k23764 in k20151 in k20147 in k20143 in k20139 in k20135 in k19774 in k19770 in k19766 in k19762 in k19758 in k19754 in ... */
static void C_ccall f_25145(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(9,c,4)))){
C_save_and_reclaim((void *)f_25145,2,av);}
a=C_alloc(9);
t2=(*a=C_CLOSURE_TYPE|8,a[1]=(C_word)f_25148,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[5],a[6]=((C_word*)t0)[6],a[7]=((C_word*)t0)[7],a[8]=((C_word*)t0)[8],tmp=(C_word)a,a+=9,tmp);
/* library.scm:4741: current-print-length54645465 */
t3=((C_word*)t0)[9];{
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=t3;
av2[1]=t2;
av2[2]=((C_word*)((C_word*)t0)[6])[1];
av2[3]=C_SCHEME_FALSE;
av2[4]=C_SCHEME_TRUE;
((C_proc)(void*)(*((C_word*)t3+1)))(5,av2);}}

/* k25146 in k25143 in k25140 in k25137 in k25134 in k25131 in a25128 in a25073 in with-print-length-limit in k23772 in k23768 in k23764 in k20151 in k20147 in k20143 in k20139 in k20135 in k19774 in k19770 in k19766 in k19762 in k19758 in ... */
static void C_ccall f_25148(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_25148,2,av);}
t2=C_mutate(((C_word *)((C_word*)t0)[2])+1,((C_word*)t0)[3]);
t3=C_mutate(((C_word *)((C_word*)t0)[4])+1,((C_word*)t0)[5]);
t4=C_mutate(((C_word *)((C_word*)t0)[6])+1,((C_word*)t0)[7]);
t5=((C_word*)t0)[8];{
C_word *av2=av;
av2[0]=t5;
av2[1]=t4;
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}

/* check5506 in k23772 in k23768 in k23764 in k20151 in k20147 in k20143 in k20139 in k20135 in k19774 in k19770 in k19766 in k19762 in k19758 in k19754 in k19750 in k19746 in k19742 in k19738 in k19734 in k19730 in k19726 in ... */
static void C_ccall f_25153(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word t12;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(9,c,3)))){
C_save_and_reclaim((void *)f_25153,4,av);}
a=C_alloc(9);
t4=C_slot(t2,C_fix(10));
t5=t4;
t6=C_slot(t2,C_fix(11));
t7=t6;
t8=C_slot(t2,C_fix(12));
t9=t8;
t10=C_fixnum_plus(t5,t3);
if(C_truep(C_fixnum_greater_or_equal_p(t10,t7))){
t11=(*a=C_CLOSURE_TYPE|8,a[1]=(C_word)f_25175,a[2]=t7,a[3]=t2,a[4]=((C_word*)t0)[2],a[5]=t1,a[6]=t3,a[7]=t9,a[8]=t5,tmp=(C_word)a,a+=9,tmp);
if(C_truep(C_fixnum_greater_or_equal_p(t10,lf[269]))){
/* library.scm:4772: ##sys#error */
t12=*((C_word*)lf[155]+1);{
C_word *av2=av;
av2[0]=t12;
av2[1]=t11;
av2[2]=lf[924];
av2[3]=t2;
((C_proc)(void*)(*((C_word*)t12+1)))(4,av2);}}
else{
t12=t11;{
C_word *av2=av;
av2[0]=t12;
av2[1]=C_SCHEME_UNDEFINED;
f_25175(2,av2);}}}
else{
t11=C_SCHEME_UNDEFINED;
t12=t1;{
C_word *av2=av;
av2[0]=t12;
av2[1]=t11;
((C_proc)(void*)(*((C_word*)t12+1)))(2,av2);}}}

/* k25173 in check5506 in k23772 in k23768 in k23764 in k20151 in k20147 in k20143 in k20139 in k20135 in k19774 in k19770 in k19766 in k19762 in k19758 in k19754 in k19750 in k19746 in k19742 in k19738 in k19734 in k19730 in ... */
static void C_ccall f_25175(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(9,c,2)))){
C_save_and_reclaim((void *)f_25175,2,av);}
a=C_alloc(9);
t2=C_fixnum_plus(((C_word*)t0)[2],((C_word*)t0)[2]);
t3=C_i_fixnum_min(lf[269],t2);
t4=t3;
t5=(*a=C_CLOSURE_TYPE|8,a[1]=(C_word)f_25181,a[2]=((C_word*)t0)[3],a[3]=t4,a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[5],a[6]=((C_word*)t0)[6],a[7]=((C_word*)t0)[7],a[8]=((C_word*)t0)[8],tmp=(C_word)a,a+=9,tmp);
/* library.scm:4774: ##sys#make-string */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[376]+1));
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[376]+1);
av2[1]=t5;
av2[2]=t4;
tp(3,av2);}}

/* k25179 in k25173 in check5506 in k23772 in k23768 in k23764 in k20151 in k20147 in k20143 in k20139 in k20135 in k19774 in k19770 in k19766 in k19762 in k19758 in k19754 in k19750 in k19746 in k19742 in k19738 in k19734 in ... */
static void C_ccall f_25181(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(8,c,6)))){
C_save_and_reclaim((void *)f_25181,2,av);}
a=C_alloc(8);
t2=t1;
t3=(*a=C_CLOSURE_TYPE|7,a[1]=(C_word)f_25184,a[2]=((C_word*)t0)[2],a[3]=t2,a[4]=((C_word*)t0)[3],a[5]=((C_word*)t0)[4],a[6]=((C_word*)t0)[5],a[7]=((C_word*)t0)[6],tmp=(C_word)a,a+=8,tmp);
/* library.scm:4775: ##sys#copy-bytes */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[923]);
C_word *av2;
if(c >= 7) {
  av2=av;
} else {
  av2=C_alloc(7);
}
av2[0]=*((C_word*)lf[923]+1);
av2[1]=t3;
av2[2]=((C_word*)t0)[7];
av2[3]=t2;
av2[4]=C_fix(0);
av2[5]=C_fix(0);
av2[6]=((C_word*)t0)[8];
tp(7,av2);}}

/* k25182 in k25179 in k25173 in check5506 in k23772 in k23768 in k23764 in k20151 in k20147 in k20143 in k20139 in k20135 in k19774 in k19770 in k19766 in k19762 in k19758 in k19754 in k19750 in k19746 in k19742 in k19738 in ... */
static void C_ccall f_25184(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_25184,2,av);}
t2=C_i_setslot(((C_word*)t0)[2],C_fix(12),((C_word*)t0)[3]);
t3=C_i_set_i_slot(((C_word*)t0)[2],C_fix(11),((C_word*)t0)[4]);
/* library.scm:4778: check */
t4=((C_word*)((C_word*)t0)[5])[1];{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t4;
av2[1]=((C_word*)t0)[6];
av2[2]=((C_word*)t0)[2];
av2[3]=((C_word*)t0)[7];
((C_proc)C_fast_retrieve_proc(t4))(4,av2);}}

/* ##sys#scan-buffer-line in k23772 in k23768 in k23764 in k20151 in k20147 in k20143 in k20139 in k20135 in k19774 in k19770 in k19766 in k19762 in k19758 in k19754 in k19750 in k19746 in k19742 in k19738 in k19734 in k19730 in k19726 in ... */
static void C_ccall f_25209(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4=av[4];
C_word t5=av[5];
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word *a;
if(c!=6) C_bad_argc_2(c,6,t0);
if(C_unlikely(!C_demand(C_calculate_demand(11,c,7)))){
C_save_and_reclaim((void *)f_25209,6,av);}
a=C_alloc(11);
t6=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_25212,a[2]=((C_word)li752),tmp=(C_word)a,a+=3,tmp);
t7=C_SCHEME_UNDEFINED;
t8=(*a=C_VECTOR_TYPE|1,a[1]=t7,tmp=(C_word)a,a+=2,tmp);
t9=C_set_block_item(t8,0,(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_25232,a[2]=t5,a[3]=t8,a[4]=t6,a[5]=((C_word)li757),tmp=(C_word)a,a+=6,tmp));
t10=((C_word*)t8)[1];
f_25232(t10,t1,t2,t4,t4,t3,lf[930]);}

/* copy&append in scan-buffer-line in k23772 in k23768 in k23764 in k20151 in k20147 in k20143 in k20139 in k20135 in k19774 in k19770 in k19766 in k19762 in k19758 in k19754 in k19750 in k19746 in k19742 in k19738 in k19734 in k19730 in ... */
static void C_fcall f_25212(C_word t1,C_word t2,C_word t3,C_word t4,C_word t5){
C_word tmp;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(8,0,2)))){
C_save_and_reclaim_args((void *)trf_25212,5,t1,t2,t3,t4,t5);}
a=C_alloc(8);
t6=C_block_size(t5);
t7=t6;
t8=(*a=C_CLOSURE_TYPE|7,a[1]=(C_word)f_25219,a[2]=t5,a[3]=t7,a[4]=t2,a[5]=t3,a[6]=t4,a[7]=t1,tmp=(C_word)a,a+=8,tmp);
t9=C_fixnum_difference(t4,t3);
t10=C_fixnum_plus(t7,t9);
/* library.scm:4855: ##sys#make-string */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[376]+1));
C_word av2[3];
av2[0]=*((C_word*)lf[376]+1);
av2[1]=t8;
av2[2]=t10;
tp(3,av2);}}

/* k25217 in copy&append in scan-buffer-line in k23772 in k23768 in k23764 in k20151 in k20147 in k20143 in k20139 in k20135 in k19774 in k19770 in k19766 in k19762 in k19758 in k19754 in k19750 in k19746 in k19742 in k19738 in k19734 in ... */
static void C_ccall f_25219(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_25219,2,av);}
t2=C_substring_copy(((C_word*)t0)[2],t1,C_fix(0),((C_word*)t0)[3],C_fix(0));
t3=C_substring_copy(((C_word*)t0)[4],t1,((C_word*)t0)[5],((C_word*)t0)[6],((C_word*)t0)[3]);
t4=((C_word*)t0)[7];{
C_word *av2=av;
av2[0]=t4;
av2[1]=t1;
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* loop in scan-buffer-line in k23772 in k23768 in k23764 in k20151 in k20147 in k20143 in k20139 in k20135 in k19774 in k19770 in k19766 in k19762 in k19758 in k19754 in k19750 in k19746 in k19742 in k19738 in k19734 in k19730 in ... */
static void C_fcall f_25232(C_word t0,C_word t1,C_word t2,C_word t3,C_word t4,C_word t5,C_word t6){
C_word tmp;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word t12;
C_word t13;
C_word t14;
C_word t15;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(12,0,5)))){
C_save_and_reclaim_args((void *)trf_25232,7,t0,t1,t2,t3,t4,t5,t6);}
a=C_alloc(12);
t7=C_eqp(t4,t5);
if(C_truep(t7)){
t8=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_25242,a[2]=((C_word*)t0)[2],a[3]=t4,a[4]=((C_word*)t0)[3],a[5]=t1,tmp=(C_word)a,a+=6,tmp);
/* library.scm:4865: copy&append */
f_25212(t8,t2,t3,t4,t6);}
else{
t8=C_subchar(t2,t4);
t9=C_eqp(t8,C_make_character(10));
if(C_truep(t9)){
t10=C_fixnum_plus(t4,C_fix(1));
t11=t10;
t12=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_25280,a[2]=t1,a[3]=t11,tmp=(C_word)a,a+=4,tmp);
/* library.scm:4872: copy&append */
f_25212(t12,t2,t3,t4,t6);}
else{
t10=(*a=C_CLOSURE_TYPE|11,a[1]=(C_word)f_25286,a[2]=t4,a[3]=t1,a[4]=((C_word*)t0)[4],a[5]=t2,a[6]=t3,a[7]=t6,a[8]=((C_word*)t0)[2],a[9]=((C_word*)t0)[3],a[10]=t8,a[11]=t5,tmp=(C_word)a,a+=12,tmp);
t11=C_eqp(t8,C_make_character(13));
if(C_truep(t11)){
t12=C_fixnum_plus(t4,C_fix(1));
if(C_truep(C_fixnum_greaterp(t5,t12))){
t13=C_fixnum_plus(t4,C_fix(1));
t14=C_subchar(t2,t13);
t15=t10;
f_25286(t15,C_eqp(t14,C_make_character(10)));}
else{
t13=t10;
f_25286(t13,C_SCHEME_FALSE);}}
else{
t12=t10;
f_25286(t12,C_SCHEME_FALSE);}}}}

/* k25240 in loop in scan-buffer-line in k23772 in k23768 in k23764 in k20151 in k20147 in k20143 in k20139 in k20135 in k19774 in k19770 in k19766 in k19762 in k19758 in k19754 in k19750 in k19746 in k19742 in k19738 in k19734 in ... */
static void C_ccall f_25242(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(10,c,5)))){
C_save_and_reclaim((void *)f_25242,2,av);}
a=C_alloc(10);
t2=t1;
t3=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_25247,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word)li753),tmp=(C_word)a,a+=5,tmp);
t4=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_25253,a[2]=((C_word*)t0)[4],a[3]=t2,a[4]=((C_word)li754),tmp=(C_word)a,a+=5,tmp);
/* library.scm:4866: ##sys#call-with-values */{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=0;
av2[1]=((C_word*)t0)[5];
av2[2]=t3;
av2[3]=t4;
C_call_with_values(4,av2);}}

/* a25246 in k25240 in loop in scan-buffer-line in k23772 in k23768 in k23764 in k20151 in k20147 in k20143 in k20139 in k20135 in k19774 in k19770 in k19766 in k19762 in k19758 in k19754 in k19750 in k19746 in k19742 in k19738 in ... */
static void C_ccall f_25247(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(c!=2) C_bad_argc_2(c,2,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_25247,2,av);}
/* library.scm:4866: eos-handler */
t2=((C_word*)t0)[2];{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t2;
av2[1]=t1;
av2[2]=((C_word*)t0)[3];
((C_proc)C_fast_retrieve_proc(t2))(3,av2);}}

/* a25252 in k25240 in loop in scan-buffer-line in k23772 in k23768 in k23764 in k20151 in k20147 in k20143 in k20139 in k20135 in k19774 in k19770 in k19766 in k19762 in k19758 in k19754 in k19750 in k19746 in k19742 in k19738 in ... */
static void C_ccall f_25253(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4=av[4];
C_word t5;
C_word *a;
if(c!=5) C_bad_argc_2(c,5,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,6)))){
C_save_and_reclaim((void *)f_25253,5,av);}
if(C_truep(t2)){
/* library.scm:4868: loop */
t5=((C_word*)((C_word*)t0)[2])[1];
f_25232(t5,t1,t2,t3,t3,t4,((C_word*)t0)[3]);}
else{
/* library.scm:4869: scheme#values */{
C_word *av2=av;
av2[0]=0;
av2[1]=t1;
av2[2]=t3;
av2[3]=((C_word*)t0)[3];
av2[4]=C_SCHEME_FALSE;
C_values(5,av2);}}}

/* k25278 in loop in scan-buffer-line in k23772 in k23768 in k23764 in k20151 in k20147 in k20143 in k20139 in k20135 in k19774 in k19770 in k19766 in k19762 in k19758 in k19754 in k19750 in k19746 in k19742 in k19738 in k19734 in ... */
static void C_ccall f_25280(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,4)))){
C_save_and_reclaim((void *)f_25280,2,av);}
/* library.scm:4872: scheme#values */{
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=0;
av2[1]=((C_word*)t0)[2];
av2[2]=((C_word*)t0)[3];
av2[3]=t1;
av2[4]=C_SCHEME_TRUE;
C_values(5,av2);}}

/* k25284 in loop in scan-buffer-line in k23772 in k23768 in k23764 in k20151 in k20147 in k20143 in k20139 in k20135 in k19774 in k19770 in k19766 in k19762 in k19758 in k19754 in k19750 in k19746 in k19742 in k19738 in k19734 in ... */
static void C_fcall f_25286(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(12,0,5)))){
C_save_and_reclaim_args((void *)trf_25286,2,t0,t1);}
a=C_alloc(12);
if(C_truep(t1)){
t2=C_fixnum_plus(((C_word*)t0)[2],C_fix(2));
t3=t2;
t4=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_25297,a[2]=((C_word*)t0)[3],a[3]=t3,tmp=(C_word)a,a+=4,tmp);
/* library.scm:4876: copy&append */
f_25212(t4,((C_word*)t0)[5],((C_word*)t0)[6],((C_word*)t0)[2],((C_word*)t0)[7]);}
else{
t2=(*a=C_CLOSURE_TYPE|11,a[1]=(C_word)f_25303,a[2]=((C_word*)t0)[8],a[3]=((C_word*)t0)[2],a[4]=((C_word*)t0)[9],a[5]=((C_word*)t0)[3],a[6]=((C_word*)t0)[4],a[7]=((C_word*)t0)[5],a[8]=((C_word*)t0)[6],a[9]=((C_word*)t0)[7],a[10]=((C_word*)t0)[10],a[11]=((C_word*)t0)[11],tmp=(C_word)a,a+=12,tmp);
t3=C_eqp(((C_word*)t0)[10],C_make_character(13));
if(C_truep(t3)){
t4=C_fixnum_plus(((C_word*)t0)[2],C_fix(1));
t5=t2;
f_25303(t5,C_eqp(((C_word*)t0)[11],t4));}
else{
t4=t2;
f_25303(t4,C_SCHEME_FALSE);}}}

/* k25295 in k25284 in loop in scan-buffer-line in k23772 in k23768 in k23764 in k20151 in k20147 in k20143 in k20139 in k20135 in k19774 in k19770 in k19766 in k19762 in k19758 in k19754 in k19750 in k19746 in k19742 in k19738 in ... */
static void C_ccall f_25297(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,4)))){
C_save_and_reclaim((void *)f_25297,2,av);}
/* library.scm:4876: scheme#values */{
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=0;
av2[1]=((C_word*)t0)[2];
av2[2]=((C_word*)t0)[3];
av2[3]=t1;
av2[4]=C_SCHEME_TRUE;
C_values(5,av2);}}

/* k25301 in k25284 in loop in scan-buffer-line in k23772 in k23768 in k23764 in k20151 in k20147 in k20143 in k20139 in k20135 in k19774 in k19770 in k19766 in k19762 in k19758 in k19754 in k19750 in k19746 in k19742 in k19738 in ... */
static void C_fcall f_25303(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,0,6)))){
C_save_and_reclaim_args((void *)trf_25303,2,t0,t1);}
a=C_alloc(6);
if(C_truep(t1)){
t2=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_25306,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[5],tmp=(C_word)a,a+=6,tmp);
/* library.scm:4879: copy&append */
f_25212(t2,((C_word*)t0)[7],((C_word*)t0)[8],((C_word*)t0)[3],((C_word*)t0)[9]);}
else{
t2=C_eqp(((C_word*)t0)[10],C_make_character(13));
if(C_truep(t2)){
t3=C_fixnum_plus(((C_word*)t0)[3],C_fix(1));
t4=t3;
t5=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_25366,a[2]=((C_word*)t0)[5],a[3]=t4,tmp=(C_word)a,a+=4,tmp);
/* library.scm:4890: copy&append */
f_25212(t5,((C_word*)t0)[7],((C_word*)t0)[8],((C_word*)t0)[3],((C_word*)t0)[9]);}
else{
t3=C_fixnum_plus(((C_word*)t0)[3],C_fix(1));
/* library.scm:4891: loop */
t4=((C_word*)((C_word*)t0)[4])[1];
f_25232(t4,((C_word*)t0)[5],((C_word*)t0)[7],((C_word*)t0)[8],t3,((C_word*)t0)[11],((C_word*)t0)[9]);}}}

/* k25304 in k25301 in k25284 in loop in scan-buffer-line in k23772 in k23768 in k23764 in k20151 in k20147 in k20143 in k20139 in k20135 in k19774 in k19770 in k19766 in k19762 in k19758 in k19754 in k19750 in k19746 in k19742 in ... */
static void C_ccall f_25306(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(10,c,5)))){
C_save_and_reclaim((void *)f_25306,2,av);}
a=C_alloc(10);
t2=t1;
t3=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_25311,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word)li755),tmp=(C_word)a,a+=5,tmp);
t4=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_25317,a[2]=t2,a[3]=((C_word*)t0)[4],a[4]=((C_word)li756),tmp=(C_word)a,a+=5,tmp);
/* library.scm:4880: ##sys#call-with-values */{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=0;
av2[1]=((C_word*)t0)[5];
av2[2]=t3;
av2[3]=t4;
C_call_with_values(4,av2);}}

/* a25310 in k25304 in k25301 in k25284 in loop in scan-buffer-line in k23772 in k23768 in k23764 in k20151 in k20147 in k20143 in k20139 in k20135 in k19774 in k19770 in k19766 in k19762 in k19758 in k19754 in k19750 in k19746 in ... */
static void C_ccall f_25311(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(c!=2) C_bad_argc_2(c,2,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_25311,2,av);}
/* library.scm:4880: eos-handler */
t2=((C_word*)t0)[2];{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t2;
av2[1]=t1;
av2[2]=((C_word*)t0)[3];
((C_proc)C_fast_retrieve_proc(t2))(3,av2);}}

/* a25316 in k25304 in k25301 in k25284 in loop in scan-buffer-line in k23772 in k23768 in k23764 in k20151 in k20147 in k20143 in k20139 in k20135 in k19774 in k19770 in k19766 in k19762 in k19758 in k19754 in k19750 in k19746 in ... */
static void C_ccall f_25317(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4=av[4];
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word *a;
if(c!=5) C_bad_argc_2(c,5,t0);
if(C_unlikely(!C_demand(C_calculate_demand(7,c,4)))){
C_save_and_reclaim((void *)f_25317,5,av);}
a=C_alloc(7);
if(C_truep(t2)){
t5=C_subchar(t2,t3);
t6=C_eqp(t5,C_make_character(10));
if(C_truep(t6)){
t7=C_fixnum_plus(t3,C_fix(1));
/* library.scm:4883: scheme#values */{
C_word *av2=av;
av2[0]=0;
av2[1]=t1;
av2[2]=t7;
av2[3]=((C_word*)t0)[2];
av2[4]=C_SCHEME_TRUE;
C_values(5,av2);}}
else{
t7=(*a=C_CLOSURE_TYPE|6,a[1]=(C_word)f_25341,a[2]=((C_word*)t0)[3],a[3]=t1,a[4]=t2,a[5]=t3,a[6]=t4,tmp=(C_word)a,a+=7,tmp);
/* library.scm:4886: ##sys#string-append */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[412]+1));
C_word *av2=av;
av2[0]=*((C_word*)lf[412]+1);
av2[1]=t7;
av2[2]=((C_word*)t0)[2];
av2[3]=lf[928];
tp(4,av2);}}}
else{
t5=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_25349,a[2]=t1,a[3]=t3,tmp=(C_word)a,a+=4,tmp);
/* library.scm:4888: ##sys#string-append */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[412]+1));
C_word *av2=av;
av2[0]=*((C_word*)lf[412]+1);
av2[1]=t5;
av2[2]=((C_word*)t0)[2];
av2[3]=lf[929];
tp(4,av2);}}}

/* k25339 in a25316 in k25304 in k25301 in k25284 in loop in scan-buffer-line in k23772 in k23768 in k23764 in k20151 in k20147 in k20143 in k20139 in k20135 in k19774 in k19770 in k19766 in k19762 in k19758 in k19754 in k19750 in ... */
static void C_ccall f_25341(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,6)))){
C_save_and_reclaim((void *)f_25341,2,av);}
/* library.scm:4885: loop */
t2=((C_word*)((C_word*)t0)[2])[1];
f_25232(t2,((C_word*)t0)[3],((C_word*)t0)[4],((C_word*)t0)[5],((C_word*)t0)[5],((C_word*)t0)[6],t1);}

/* k25347 in a25316 in k25304 in k25301 in k25284 in loop in scan-buffer-line in k23772 in k23768 in k23764 in k20151 in k20147 in k20143 in k20139 in k20135 in k19774 in k19770 in k19766 in k19762 in k19758 in k19754 in k19750 in ... */
static void C_ccall f_25349(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,4)))){
C_save_and_reclaim((void *)f_25349,2,av);}
/* library.scm:4888: scheme#values */{
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=0;
av2[1]=((C_word*)t0)[2];
av2[2]=((C_word*)t0)[3];
av2[3]=t1;
av2[4]=C_SCHEME_TRUE;
C_values(5,av2);}}

/* k25364 in k25301 in k25284 in loop in scan-buffer-line in k23772 in k23768 in k23764 in k20151 in k20147 in k20143 in k20139 in k20135 in k19774 in k19770 in k19766 in k19762 in k19758 in k19754 in k19750 in k19746 in k19742 in ... */
static void C_ccall f_25366(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,4)))){
C_save_and_reclaim((void *)f_25366,2,av);}
/* library.scm:4890: scheme#values */{
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=0;
av2[1]=((C_word*)t0)[2];
av2[2]=((C_word*)t0)[3];
av2[3]=t1;
av2[4]=C_SCHEME_TRUE;
C_values(5,av2);}}

/* chicken.base#open-input-string in k23772 in k23768 in k23764 in k20151 in k20147 in k20143 in k20139 in k20135 in k19774 in k19770 in k19766 in k19762 in k19758 in k19754 in k19750 in k19746 in k19742 in k19738 in k19734 in k19730 in k19726 in ... */
static void C_ccall f_25406(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(4,c,5)))){
C_save_and_reclaim((void *)f_25406,3,av);}
a=C_alloc(4);
t3=C_i_check_string_2(t2,lf[931]);
t4=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_25413,a[2]=t2,a[3]=t1,tmp=(C_word)a,a+=4,tmp);
/* library.scm:4896: ##sys#make-port */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[700]);
C_word *av2;
if(c >= 6) {
  av2=av;
} else {
  av2=C_alloc(6);
}
av2[0]=*((C_word*)lf[700]+1);
av2[1]=t4;
av2[2]=C_fix(1);
av2[3]=C_fast_retrieve(lf[927]);
av2[4]=lf[932];
av2[5]=lf[933];
tp(6,av2);}}

/* k25411 in chicken.base#open-input-string in k23772 in k23768 in k23764 in k20151 in k20147 in k20143 in k20139 in k20135 in k19774 in k19770 in k19766 in k19762 in k19758 in k19754 in k19750 in k19746 in k19742 in k19738 in k19734 in k19730 in ... */
static void C_ccall f_25413(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_25413,2,av);}
t2=C_block_size(((C_word*)t0)[2]);
t3=C_i_set_i_slot(t1,C_fix(11),t2);
t4=C_i_set_i_slot(t1,C_fix(10),C_fix(0));
t5=C_i_setslot(t1,C_fix(12),((C_word*)t0)[2]);
t6=((C_word*)t0)[3];{
C_word *av2=av;
av2[0]=t6;
av2[1]=t1;
((C_proc)(void*)(*((C_word*)t6+1)))(2,av2);}}

/* chicken.base#open-output-string in k23772 in k23768 in k23764 in k20151 in k20147 in k20143 in k20139 in k20135 in k19774 in k19770 in k19766 in k19762 in k19758 in k19754 in k19750 in k19746 in k19742 in k19738 in k19734 in k19730 in k19726 in ... */
static void C_ccall f_25425(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(c!=2) C_bad_argc_2(c,2,t0);
if(C_unlikely(!C_demand(C_calculate_demand(3,c,5)))){
C_save_and_reclaim((void *)f_25425,2,av);}
a=C_alloc(3);
t2=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_25429,a[2]=t1,tmp=(C_word)a,a+=3,tmp);
/* library.scm:4904: ##sys#make-port */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[700]);
C_word *av2;
if(c >= 6) {
  av2=av;
} else {
  av2=C_alloc(6);
}
av2[0]=*((C_word*)lf[700]+1);
av2[1]=t2;
av2[2]=C_fix(2);
av2[3]=C_fast_retrieve(lf[927]);
av2[4]=lf[934];
av2[5]=lf[933];
tp(6,av2);}}

/* k25427 in chicken.base#open-output-string in k23772 in k23768 in k23764 in k20151 in k20147 in k20143 in k20139 in k20135 in k19774 in k19770 in k19766 in k19762 in k19758 in k19754 in k19750 in k19746 in k19742 in k19738 in k19734 in k19730 in ... */
static void C_ccall f_25429(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,c,2)))){
C_save_and_reclaim((void *)f_25429,2,av);}
a=C_alloc(4);
t2=t1;
t3=C_i_set_i_slot(t2,C_fix(10),C_fix(0));
t4=C_i_set_i_slot(t2,C_fix(11),C_fix(256));
t5=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_25442,a[2]=t2,a[3]=((C_word*)t0)[2],tmp=(C_word)a,a+=4,tmp);
/* library.scm:4907: ##sys#make-string */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[376]+1));
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[376]+1);
av2[1]=t5;
av2[2]=C_fix(256);
tp(3,av2);}}

/* k25440 in k25427 in chicken.base#open-output-string in k23772 in k23768 in k23764 in k20151 in k20147 in k20143 in k20139 in k20135 in k19774 in k19770 in k19766 in k19762 in k19758 in k19754 in k19750 in k19746 in k19742 in k19738 in k19734 in ... */
static void C_ccall f_25442(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_25442,2,av);}
t2=C_i_setslot(((C_word*)t0)[2],C_fix(12),t1);
t3=((C_word*)t0)[3];{
C_word *av2=av;
av2[0]=t3;
av2[1]=((C_word*)t0)[2];
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* chicken.base#get-output-string in k23772 in k23768 in k23764 in k20151 in k20147 in k20143 in k20139 in k20135 in k19774 in k19770 in k19766 in k19762 in k19758 in k19754 in k19750 in k19746 in k19742 in k19738 in k19734 in k19730 in k19726 in ... */
static void C_ccall f_25444(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,5)))){
C_save_and_reclaim((void *)f_25444,3,av);}
t3=t2;
t4=C_i_check_port_2(t3,C_fix(2),C_SCHEME_FALSE,lf[935]);
t5=C_slot(t2,C_fix(7));
t6=C_eqp(lf[933],t5);
if(C_truep(C_i_not(t6))){
/* library.scm:4914: ##sys#signal-hook */
t7=C_fast_retrieve(lf[194]);{
C_word *av2;
if(c >= 6) {
  av2=av;
} else {
  av2=C_alloc(6);
}
av2[0]=t7;
av2[1]=t1;
av2[2]=lf[258];
av2[3]=lf[935];
av2[4]=lf[936];
av2[5]=t2;
((C_proc)(void*)(*((C_word*)t7+1)))(6,av2);}}
else{
t7=C_slot(t2,C_fix(12));
t8=C_slot(t2,C_fix(10));
/* library.scm:4916: ##sys#substring */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[395]+1));
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=*((C_word*)lf[395]+1);
av2[1]=t1;
av2[2]=t7;
av2[3]=C_fix(0);
av2[4]=t8;
tp(5,av2);}}}

/* ##sys#print-to-string in k23772 in k23768 in k23764 in k20151 in k20147 in k20143 in k20139 in k20135 in k19774 in k19770 in k19766 in k19762 in k19758 in k19754 in k19750 in k19746 in k19742 in k19738 in k19734 in k19730 in k19726 in ... */
static void C_ccall f_25478(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(5,c,2)))){
C_save_and_reclaim((void *)f_25478,3,av);}
a=C_alloc(5);
t3=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_25482,a[2]=t2,a[3]=((C_word*)t0)[2],a[4]=t1,tmp=(C_word)a,a+=5,tmp);
/* library.scm:4922: open-output-string */
t4=((C_word*)t0)[3];{
C_word *av2=av;
av2[0]=t4;
av2[1]=t3;
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* k25480 in print-to-string in k23772 in k23768 in k23764 in k20151 in k20147 in k20143 in k20139 in k20135 in k19774 in k19770 in k19766 in k19762 in k19758 in k19754 in k19750 in k19746 in k19742 in k19738 in k19734 in k19730 in ... */
static void C_ccall f_25482(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(16,c,3)))){
C_save_and_reclaim((void *)f_25482,2,av);}
a=C_alloc(16);
t2=t1;
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_25483,a[2]=t2,a[3]=((C_word)li762),tmp=(C_word)a,a+=4,tmp);
t4=((C_word*)t0)[2];
t5=C_i_check_list_2(t4,lf[689]);
t6=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_25493,a[2]=((C_word*)t0)[3],a[3]=((C_word*)t0)[4],a[4]=t2,tmp=(C_word)a,a+=5,tmp);
t7=C_SCHEME_UNDEFINED;
t8=(*a=C_VECTOR_TYPE|1,a[1]=t7,tmp=(C_word)a,a+=2,tmp);
t9=C_set_block_item(t8,0,(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_25498,a[2]=t8,a[3]=t3,a[4]=((C_word)li763),tmp=(C_word)a,a+=5,tmp));
t10=((C_word*)t8)[1];
f_25498(t10,t6,t4);}

/* g5636 in k25480 in print-to-string in k23772 in k23768 in k23764 in k20151 in k20147 in k20143 in k20139 in k20135 in k19774 in k19770 in k19766 in k19762 in k19758 in k19754 in k19750 in k19746 in k19742 in k19738 in k19734 in ... */
static void C_fcall f_25483(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,0,4)))){
C_save_and_reclaim_args((void *)trf_25483,3,t0,t1,t2);}
/* library.scm:4923: ##sys#print */
t3=*((C_word*)lf[871]+1);{
C_word av2[5];
av2[0]=t3;
av2[1]=t1;
av2[2]=t2;
av2[3]=C_SCHEME_FALSE;
av2[4]=((C_word*)t0)[2];
((C_proc)(void*)(*((C_word*)t3+1)))(5,av2);}}

/* k25491 in k25480 in print-to-string in k23772 in k23768 in k23764 in k20151 in k20147 in k20143 in k20139 in k20135 in k19774 in k19770 in k19766 in k19762 in k19758 in k19754 in k19750 in k19746 in k19742 in k19738 in k19734 in ... */
static void C_ccall f_25493(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_25493,2,av);}
/* library.scm:4924: get-output-string */
t2=((C_word*)t0)[2];{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[3];
av2[2]=((C_word*)t0)[4];
((C_proc)(void*)(*((C_word*)t2+1)))(3,av2);}}

/* for-each-loop5635 in k25480 in print-to-string in k23772 in k23768 in k23764 in k20151 in k20147 in k20143 in k20139 in k20135 in k19774 in k19770 in k19766 in k19762 in k19758 in k19754 in k19750 in k19746 in k19742 in k19738 in k19734 in ... */
static void C_fcall f_25498(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,0,2)))){
C_save_and_reclaim_args((void *)trf_25498,3,t0,t1,t2);}
a=C_alloc(5);
if(C_truep(C_i_pairp(t2))){
t3=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_25508,a[2]=t2,a[3]=((C_word*)t0)[2],a[4]=t1,tmp=(C_word)a,a+=5,tmp);
t4=C_slot(t2,C_fix(0));
/* library.scm:4923: g5636 */
t5=((C_word*)t0)[3];
f_25483(t5,t3,t4);}
else{
t3=C_SCHEME_UNDEFINED;
t4=t1;{
C_word av2[2];
av2[0]=t4;
av2[1]=t3;
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}}

/* k25506 in for-each-loop5635 in k25480 in print-to-string in k23772 in k23768 in k23764 in k20151 in k20147 in k20143 in k20139 in k20135 in k19774 in k19770 in k19766 in k19762 in k19758 in k19754 in k19750 in k19746 in k19742 in k19738 in ... */
static void C_ccall f_25508(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_25508,2,av);}
t2=C_slot(((C_word*)t0)[2],C_fix(1));
t3=((C_word*)((C_word*)t0)[3])[1];
f_25498(t3,((C_word*)t0)[4],t2);}

/* ##sys#pointer->string in k23772 in k23768 in k23764 in k20151 in k20147 in k20143 in k20139 in k20135 in k19774 in k19770 in k19766 in k19762 in k19758 in k19754 in k19750 in k19746 in k19742 in k19738 in k19734 in k19730 in k19726 in ... */
static void C_ccall f_25521(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(7,c,2)))){
C_save_and_reclaim((void *)f_25521,3,av);}
a=C_alloc(7);
if(C_truep(C_taggedpointerp(t2))){
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_25532,a[2]=t1,a[3]=t2,tmp=(C_word)a,a+=4,tmp);
t4=C_slot(t2,C_fix(1));
if(C_truep(C_i_pairp(t4))){
t5=C_u_i_car(t4);
t6=C_a_i_list1(&a,1,t5);
/* library.scm:4932: ##sys#print-to-string */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[937]);
C_word *av2=av;
av2[0]=*((C_word*)lf[937]+1);
av2[1]=t3;
av2[2]=t6;
tp(3,av2);}}
else{
t5=C_a_i_list1(&a,1,t4);
/* library.scm:4932: ##sys#print-to-string */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[937]);
C_word *av2=av;
av2[0]=*((C_word*)lf[937]+1);
av2[1]=t3;
av2[2]=t5;
tp(3,av2);}}}
else{
t3=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_25562,a[2]=t1,tmp=(C_word)a,a+=3,tmp);
t4=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_25566,a[2]=t3,tmp=(C_word)a,a+=3,tmp);
/* library.scm:4938: ##sys#pointer->address */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[941]);
C_word *av2=av;
av2[0]=*((C_word*)lf[941]+1);
av2[1]=t4;
av2[2]=t2;
tp(3,av2);}}}

/* k25530 in pointer->string in k23772 in k23768 in k23764 in k20151 in k20147 in k20143 in k20139 in k20135 in k19774 in k19770 in k19766 in k19762 in k19758 in k19754 in k19750 in k19746 in k19742 in k19738 in k19734 in k19730 in ... */
static void C_ccall f_25532(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(7,c,2)))){
C_save_and_reclaim((void *)f_25532,2,av);}
a=C_alloc(7);
t2=t1;
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_25536,a[2]=((C_word*)t0)[2],a[3]=t2,tmp=(C_word)a,a+=4,tmp);
t4=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_25540,a[2]=t3,tmp=(C_word)a,a+=3,tmp);
/* library.scm:4936: ##sys#pointer->address */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[941]);
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[941]+1);
av2[1]=t4;
av2[2]=((C_word*)t0)[3];
tp(3,av2);}}

/* k25534 in k25530 in pointer->string in k23772 in k23768 in k23764 in k20151 in k20147 in k20143 in k20139 in k20135 in k19774 in k19770 in k19766 in k19762 in k19758 in k19754 in k19750 in k19746 in k19742 in k19738 in k19734 in ... */
static void C_ccall f_25536(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,6)))){
C_save_and_reclaim((void *)f_25536,2,av);}
/* library.scm:4930: string-append */
t2=*((C_word*)lf[413]+1);{
C_word *av2;
if(c >= 7) {
  av2=av;
} else {
  av2=C_alloc(7);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[2];
av2[2]=lf[938];
av2[3]=((C_word*)t0)[3];
av2[4]=lf[939];
av2[5]=t1;
av2[6]=lf[940];
((C_proc)(void*)(*((C_word*)t2+1)))(7,av2);}}

/* k25538 in k25530 in pointer->string in k23772 in k23768 in k23764 in k20151 in k20147 in k20143 in k20139 in k20135 in k19774 in k19770 in k19766 in k19762 in k19758 in k19754 in k19750 in k19746 in k19742 in k19738 in k19734 in ... */
static void C_ccall f_25540(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_25540,2,av);}
/* library.scm:4936: ##sys#number->string */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[600]+1));
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[600]+1);
av2[1]=((C_word*)t0)[2];
av2[2]=t1;
av2[3]=C_fix(16);
tp(4,av2);}}

/* k25560 in pointer->string in k23772 in k23768 in k23764 in k20151 in k20147 in k20143 in k20139 in k20135 in k19774 in k19770 in k19766 in k19762 in k19758 in k19754 in k19750 in k19746 in k19742 in k19738 in k19734 in k19730 in ... */
static void C_ccall f_25562(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,4)))){
C_save_and_reclaim((void *)f_25562,2,av);}
/* library.scm:4938: string-append */
t2=*((C_word*)lf[413]+1);{
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[2];
av2[2]=lf[942];
av2[3]=t1;
av2[4]=lf[943];
((C_proc)(void*)(*((C_word*)t2+1)))(5,av2);}}

/* k25564 in pointer->string in k23772 in k23768 in k23764 in k20151 in k20147 in k20143 in k20139 in k20135 in k19774 in k19770 in k19766 in k19762 in k19758 in k19754 in k19750 in k19746 in k19742 in k19738 in k19734 in k19730 in ... */
static void C_ccall f_25566(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_25566,2,av);}
/* library.scm:4938: ##sys#number->string */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[600]+1));
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[600]+1);
av2[1]=((C_word*)t0)[2];
av2[2]=t1;
av2[3]=C_fix(16);
tp(4,av2);}}

/* chicken.base#get-call-chain in k23772 in k23768 in k23764 in k20151 in k20147 in k20143 in k20139 in k20135 in k19774 in k19770 in k19766 in k19762 in k19758 in k19754 in k19750 in k19746 in k19742 in k19738 in k19734 in k19730 in k19726 in ... */
static void C_ccall f_25574(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand((c-2)*C_SIZEOF_PAIR +6,c,3)))){
C_save_and_reclaim((void*)f_25574,c,av);}
a=C_alloc((c-2)*C_SIZEOF_PAIR+6);
t2=C_build_rest(&a,c,2,av);
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word t12;
C_word t13;
C_word t14;
C_word t15;
C_word t16;
t3=C_i_nullp(t2);
t4=(C_truep(t3)?C_fix(0):C_i_car(t2));
t5=t4;
t6=C_i_nullp(t2);
t7=(C_truep(t6)?C_SCHEME_END_OF_LIST:C_i_cdr(t2));
t8=C_i_nullp(t7);
t9=(C_truep(t8)?C_fast_retrieve(lf[944]):C_i_car(t7));
t10=t9;
t11=C_i_nullp(t7);
t12=(C_truep(t11)?C_SCHEME_END_OF_LIST:C_i_cdr(t7));
t13=C_fix((C_word)C_trace_buffer_size);
t14=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_25590,a[2]=t5,a[3]=t13,a[4]=t10,a[5]=t1,tmp=(C_word)a,a+=6,tmp);
t15=C_fixnum_times(C_fix(4),t13);
/* library.scm:4952: ##sys#make-vector */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[674]+1));
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[674]+1);
av2[1]=t14;
av2[2]=t15;
av2[3]=C_SCHEME_FALSE;
tp(4,av2);}}

/* k25588 in chicken.base#get-call-chain in k23772 in k23768 in k23764 in k20151 in k20147 in k20143 in k20139 in k20135 in k19774 in k19770 in k19766 in k19762 in k19758 in k19754 in k19750 in k19746 in k19742 in k19738 in k19734 in k19730 in ... */
static void C_ccall f_25590(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word t12;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(10,c,3)))){
C_save_and_reclaim((void *)f_25590,2,av);}
a=C_alloc(10);
t2=t1;
t3=C_fetch_trace(((C_word*)t0)[2],t2);
t4=C_fixnump(t3);
t5=(C_truep(t4)?t3:C_fixnum_times(C_fix(4),((C_word*)t0)[3]));
t6=t5;
t7=(C_truep(((C_word*)t0)[4])?C_slot(((C_word*)t0)[4],C_fix(14)):C_SCHEME_FALSE);
t8=t7;
t9=C_SCHEME_UNDEFINED;
t10=(*a=C_VECTOR_TYPE|1,a[1]=t9,tmp=(C_word)a,a+=2,tmp);
t11=C_set_block_item(t10,0,(*a=C_CLOSURE_TYPE|7,a[1]=(C_word)f_25601,a[2]=t6,a[3]=t2,a[4]=t10,a[5]=((C_word*)t0)[4],a[6]=t8,a[7]=((C_word)li766),tmp=(C_word)a,a+=8,tmp));
t12=((C_word*)t10)[1];
f_25601(t12,((C_word*)t0)[5],C_fix(0));}

/* loop in k25588 in chicken.base#get-call-chain in k23772 in k23768 in k23764 in k20151 in k20147 in k20143 in k20139 in k20135 in k19774 in k19770 in k19766 in k19762 in k19758 in k19754 in k19750 in k19746 in k19742 in k19738 in k19734 in ... */
static void C_fcall f_25601(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,0,2)))){
C_save_and_reclaim_args((void *)trf_25601,3,t0,t1,t2);}
a=C_alloc(6);
if(C_truep(C_fixnum_greater_or_equal_p(t2,((C_word*)t0)[2]))){
t3=t1;{
C_word av2[2];
av2[0]=t3;
av2[1]=C_SCHEME_END_OF_LIST;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}
else{
t3=C_fixnum_plus(t2,C_fix(3));
t4=C_slot(((C_word*)t0)[3],t3);
t5=C_i_not(t4);
t6=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_25620,a[2]=t2,a[3]=((C_word*)t0)[3],a[4]=t1,a[5]=((C_word*)t0)[4],tmp=(C_word)a,a+=6,tmp);
if(C_truep(t5)){
t7=t6;
f_25620(t7,t5);}
else{
t7=C_i_not(((C_word*)t0)[5]);
t8=t6;
f_25620(t8,(C_truep(t7)?t7:C_eqp(((C_word*)t0)[6],t4)));}}}

/* k25618 in loop in k25588 in chicken.base#get-call-chain in k23772 in k23768 in k23764 in k20151 in k20147 in k20143 in k20139 in k20135 in k19774 in k19770 in k19766 in k19762 in k19758 in k19754 in k19750 in k19746 in k19742 in k19738 in ... */
static void C_fcall f_25620(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(11,0,3)))){
C_save_and_reclaim_args((void *)trf_25620,2,t0,t1);}
a=C_alloc(11);
if(C_truep(t1)){
t2=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_25639,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[5],tmp=(C_word)a,a+=6,tmp);
t3=C_slot(((C_word*)t0)[3],((C_word*)t0)[2]);
t4=C_a_i_bytevector(&a,1,C_fix(3));
t5=stub5658(t4,t3);
/* library.scm:4947: ##sys#peek-nonnull-c-string */
t6=*((C_word*)lf[945]+1);{
C_word av2[4];
av2[0]=t6;
av2[1]=t2;
av2[2]=t5;
av2[3]=C_fix(0);
((C_proc)(void*)(*((C_word*)t6+1)))(4,av2);}}
else{
t2=C_fixnum_plus(((C_word*)t0)[2],C_fix(4));
/* library.scm:4966: loop */
t3=((C_word*)((C_word*)t0)[5])[1];
f_25601(t3,((C_word*)t0)[4],t2);}}

/* k25629 in k25637 in k25618 in loop in k25588 in chicken.base#get-call-chain in k23772 in k23768 in k23764 in k20151 in k20147 in k20143 in k20139 in k20135 in k19774 in k19770 in k19766 in k19762 in k19758 in k19754 in k19750 in k19746 in ... */
static void C_ccall f_25631(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,1)))){
C_save_and_reclaim((void *)f_25631,2,av);}
a=C_alloc(3);
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=C_a_i_cons(&a,2,((C_word*)t0)[3],t1);
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* k25637 in k25618 in loop in k25588 in chicken.base#get-call-chain in k23772 in k23768 in k23764 in k20151 in k20147 in k20143 in k20139 in k20135 in k19774 in k19770 in k19766 in k19762 in k19758 in k19754 in k19750 in k19746 in k19742 in ... */
static void C_ccall f_25639(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(8,c,2)))){
C_save_and_reclaim((void *)f_25639,2,av);}
a=C_alloc(8);
t2=C_fixnum_plus(((C_word*)t0)[2],C_fix(1));
t3=C_slot(((C_word*)t0)[3],t2);
t4=C_fixnum_plus(((C_word*)t0)[2],C_fix(2));
t5=C_slot(((C_word*)t0)[3],t4);
t6=C_a_i_vector3(&a,3,t1,t3,t5);
t7=t6;
t8=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_25631,a[2]=((C_word*)t0)[4],a[3]=t7,tmp=(C_word)a,a+=4,tmp);
t9=C_fixnum_plus(((C_word*)t0)[2],C_fix(4));
/* library.scm:4965: loop */
t10=((C_word*)((C_word*)t0)[5])[1];
f_25601(t10,t8,t9);}

/* ##sys#really-print-call-chain in k23772 in k23768 in k23764 in k20151 in k20147 in k20143 in k20139 in k20135 in k19774 in k19770 in k19766 in k19762 in k19758 in k19754 in k19750 in k19746 in k19742 in k19738 in k19734 in k19730 in k19726 in ... */
static void C_ccall f_25718(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4=av[4];
C_word t5;
C_word t6;
C_word *a;
if(c!=5) C_bad_argc_2(c,5,t0);
if(C_unlikely(!C_demand(C_calculate_demand(5,c,4)))){
C_save_and_reclaim((void *)f_25718,5,av);}
a=C_alloc(5);
if(C_truep(C_i_pairp(t3))){
t5=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_25728,a[2]=t2,a[3]=t3,a[4]=t1,tmp=(C_word)a,a+=5,tmp);
/* library.scm:4970: ##sys#print */
t6=*((C_word*)lf[871]+1);{
C_word *av2=av;
av2[0]=t6;
av2[1]=t5;
av2[2]=t4;
av2[3]=C_SCHEME_FALSE;
av2[4]=t2;
((C_proc)(void*)(*((C_word*)t6+1)))(5,av2);}}
else{
t5=C_SCHEME_UNDEFINED;
t6=t1;{
C_word *av2=av;
av2[0]=t6;
av2[1]=t5;
((C_proc)(void*)(*((C_word*)t6+1)))(2,av2);}}}

/* k25726 in really-print-call-chain in k23772 in k23768 in k23764 in k20151 in k20147 in k20143 in k20139 in k20135 in k19774 in k19770 in k19766 in k19762 in k19758 in k19754 in k19750 in k19746 in k19742 in k19738 in k19734 in k19730 in ... */
static void C_ccall f_25728(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(15,c,3)))){
C_save_and_reclaim((void *)f_25728,2,av);}
a=C_alloc(15);
t2=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_25729,a[2]=((C_word*)t0)[2],a[3]=((C_word)li769),tmp=(C_word)a,a+=4,tmp);
t3=((C_word*)t0)[3];
t4=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_25795,a[2]=((C_word*)t0)[4],a[3]=((C_word*)t0)[2],tmp=(C_word)a,a+=4,tmp);
t5=C_SCHEME_UNDEFINED;
t6=(*a=C_VECTOR_TYPE|1,a[1]=t5,tmp=(C_word)a,a+=2,tmp);
t7=C_set_block_item(t6,0,(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_25800,a[2]=t6,a[3]=t2,a[4]=((C_word)li770),tmp=(C_word)a,a+=5,tmp));
t8=((C_word*)t6)[1];
f_25800(t8,t4,t3);}

/* g5702 in k25726 in really-print-call-chain in k23772 in k23768 in k23764 in k20151 in k20147 in k20143 in k20139 in k20135 in k19774 in k19770 in k19766 in k19762 in k19758 in k19754 in k19750 in k19746 in k19742 in k19738 in k19734 in ... */
static void C_fcall f_25729(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(8,0,4)))){
C_save_and_reclaim_args((void *)trf_25729,3,t0,t1,t2);}
a=C_alloc(8);
t3=C_slot(t2,C_fix(1));
t4=t3;
t5=C_slot(t2,C_fix(2));
t6=t5;
t7=C_i_structurep(t6,lf[947]);
t8=t7;
t9=(*a=C_CLOSURE_TYPE|7,a[1]=(C_word)f_25742,a[2]=t4,a[3]=((C_word*)t0)[2],a[4]=t1,a[5]=t8,a[6]=t6,a[7]=t2,tmp=(C_word)a,a+=8,tmp);
/* library.scm:4976: ##sys#print */
t10=*((C_word*)lf[871]+1);{
C_word av2[5];
av2[0]=t10;
av2[1]=t9;
av2[2]=lf[950];
av2[3]=C_SCHEME_FALSE;
av2[4]=((C_word*)t0)[2];
((C_proc)(void*)(*((C_word*)t10+1)))(5,av2);}}

/* k25740 in g5702 in k25726 in really-print-call-chain in k23772 in k23768 in k23764 in k20151 in k20147 in k20143 in k20139 in k20135 in k19774 in k19770 in k19766 in k19762 in k19758 in k19754 in k19750 in k19746 in k19742 in k19738 in ... */
static void C_ccall f_25742(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(7,c,4)))){
C_save_and_reclaim((void *)f_25742,2,av);}
a=C_alloc(7);
t2=(*a=C_CLOSURE_TYPE|6,a[1]=(C_word)f_25745,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[5],a[6]=((C_word*)t0)[6],tmp=(C_word)a,a+=7,tmp);
t3=C_slot(((C_word*)t0)[7],C_fix(0));
/* library.scm:4977: ##sys#print */
t4=*((C_word*)lf[871]+1);{
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=t4;
av2[1]=t2;
av2[2]=t3;
av2[3]=C_SCHEME_FALSE;
av2[4]=((C_word*)t0)[3];
((C_proc)(void*)(*((C_word*)t4+1)))(5,av2);}}

/* k25743 in k25740 in g5702 in k25726 in really-print-call-chain in k23772 in k23768 in k23764 in k20151 in k20147 in k20143 in k20139 in k20135 in k19774 in k19770 in k19766 in k19762 in k19758 in k19754 in k19750 in k19746 in k19742 in ... */
static void C_ccall f_25745(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(7,c,4)))){
C_save_and_reclaim((void *)f_25745,2,av);}
a=C_alloc(7);
t2=(*a=C_CLOSURE_TYPE|6,a[1]=(C_word)f_25748,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[5],a[6]=((C_word*)t0)[6],tmp=(C_word)a,a+=7,tmp);
/* library.scm:4978: ##sys#print */
t3=*((C_word*)lf[871]+1);{
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=t3;
av2[1]=t2;
av2[2]=lf[949];
av2[3]=C_SCHEME_FALSE;
av2[4]=((C_word*)t0)[3];
((C_proc)(void*)(*((C_word*)t3+1)))(5,av2);}}

/* k25746 in k25743 in k25740 in g5702 in k25726 in really-print-call-chain in k23772 in k23768 in k23764 in k20151 in k20147 in k20143 in k20139 in k20135 in k19774 in k19770 in k19766 in k19762 in k19758 in k19754 in k19750 in k19746 in ... */
static void C_ccall f_25748(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(11,c,2)))){
C_save_and_reclaim((void *)f_25748,2,av);}
a=C_alloc(11);
t2=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_25751,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],tmp=(C_word)a,a+=5,tmp);
t3=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_25766,a[2]=t2,a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[5],a[5]=((C_word*)t0)[6],tmp=(C_word)a,a+=6,tmp);
if(C_truep(((C_word*)t0)[6])){
if(C_truep(((C_word*)t0)[5])){
t4=t3;
f_25766(t4,C_slot(((C_word*)t0)[6],C_fix(1)));}
else{
t4=C_SCHEME_UNDEFINED;
t5=t3;
f_25766(t5,t4);}}
else{
t4=t3;
f_25766(t4,C_SCHEME_FALSE);}}

/* k25749 in k25746 in k25743 in k25740 in g5702 in k25726 in really-print-call-chain in k23772 in k23768 in k23764 in k20151 in k20147 in k20143 in k20139 in k20135 in k19774 in k19770 in k19766 in k19762 in k19758 in k19754 in k19750 in ... */
static void C_ccall f_25751(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,c,3)))){
C_save_and_reclaim((void *)f_25751,2,av);}
a=C_alloc(5);
if(C_truep(((C_word*)t0)[2])){
t2=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_25759,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word)li768),tmp=(C_word)a,a+=5,tmp);
/* library.scm:4988: ##sys#with-print-length-limit */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[922]);
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[922]+1);
av2[1]=((C_word*)t0)[4];
av2[2]=C_fix(100);
av2[3]=t2;
tp(4,av2);}}
else{
t2=C_SCHEME_UNDEFINED;
t3=((C_word*)t0)[4];{
C_word *av2=av;
av2[0]=t3;
av2[1]=t2;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}}

/* a25758 in k25749 in k25746 in k25743 in k25740 in g5702 in k25726 in really-print-call-chain in k23772 in k23768 in k23764 in k20151 in k20147 in k20143 in k20139 in k20135 in k19774 in k19770 in k19766 in k19762 in k19758 in k19754 in ... */
static void C_ccall f_25759(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(c!=2) C_bad_argc_2(c,2,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,4)))){
C_save_and_reclaim((void *)f_25759,2,av);}
/* library.scm:4991: ##sys#print */
t2=*((C_word*)lf[871]+1);{
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=t2;
av2[1]=t1;
av2[2]=((C_word*)t0)[2];
av2[3]=C_SCHEME_TRUE;
av2[4]=((C_word*)t0)[3];
((C_proc)(void*)(*((C_word*)t2+1)))(5,av2);}}

/* k25764 in k25746 in k25743 in k25740 in g5702 in k25726 in really-print-call-chain in k23772 in k23768 in k23764 in k20151 in k20147 in k20143 in k20139 in k20135 in k19774 in k19770 in k19766 in k19762 in k19758 in k19754 in k19750 in ... */
static void C_fcall f_25766(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,0,3)))){
C_save_and_reclaim_args((void *)trf_25766,2,t0,t1);}
a=C_alloc(6);
if(C_truep(t1)){
t2=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_25769,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[5],tmp=(C_word)a,a+=6,tmp);
/* library.scm:4980: ##sys#write-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[867]);
C_word av2[4];
av2[0]=*((C_word*)lf[867]+1);
av2[1]=t2;
av2[2]=C_make_character(91);
av2[3]=((C_word*)t0)[3];
tp(4,av2);}}
else{
t2=((C_word*)t0)[2];{
C_word av2[2];
av2[0]=t2;
av2[1]=C_SCHEME_UNDEFINED;
f_25751(2,av2);}}}

/* k25767 in k25764 in k25746 in k25743 in k25740 in g5702 in k25726 in really-print-call-chain in k23772 in k23768 in k23764 in k20151 in k20147 in k20143 in k20139 in k20135 in k19774 in k19770 in k19766 in k19762 in k19758 in k19754 in ... */
static void C_ccall f_25769(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,c,4)))){
C_save_and_reclaim((void *)f_25769,2,av);}
a=C_alloc(4);
t2=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_25772,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],tmp=(C_word)a,a+=4,tmp);
if(C_truep(((C_word*)t0)[4])){
t3=C_slot(((C_word*)t0)[5],C_fix(1));
/* library.scm:4981: ##sys#print */
t4=*((C_word*)lf[871]+1);{
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=t4;
av2[1]=t2;
av2[2]=t3;
av2[3]=C_SCHEME_FALSE;
av2[4]=((C_word*)t0)[3];
((C_proc)(void*)(*((C_word*)t4+1)))(5,av2);}}
else{
/* library.scm:4981: ##sys#print */
t3=*((C_word*)lf[871]+1);{
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=t3;
av2[1]=t2;
av2[2]=((C_word*)t0)[5];
av2[3]=C_SCHEME_FALSE;
av2[4]=((C_word*)t0)[3];
((C_proc)(void*)(*((C_word*)t3+1)))(5,av2);}}}

/* k25770 in k25767 in k25764 in k25746 in k25743 in k25740 in g5702 in k25726 in really-print-call-chain in k23772 in k23768 in k23764 in k20151 in k20147 in k20143 in k20139 in k20135 in k19774 in k19770 in k19766 in k19762 in k19758 in ... */
static void C_ccall f_25772(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,4)))){
C_save_and_reclaim((void *)f_25772,2,av);}
/* library.scm:4986: ##sys#print */
t2=*((C_word*)lf[871]+1);{
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[2];
av2[2]=lf[948];
av2[3]=C_SCHEME_FALSE;
av2[4]=((C_word*)t0)[3];
((C_proc)(void*)(*((C_word*)t2+1)))(5,av2);}}

/* k25793 in k25726 in really-print-call-chain in k23772 in k23768 in k23764 in k20151 in k20147 in k20143 in k20139 in k20135 in k19774 in k19770 in k19766 in k19762 in k19758 in k19754 in k19750 in k19746 in k19742 in k19738 in k19734 in ... */
static void C_ccall f_25795(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,4)))){
C_save_and_reclaim((void *)f_25795,2,av);}
/* library.scm:4993: ##sys#print */
t2=*((C_word*)lf[871]+1);{
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[2];
av2[2]=lf[951];
av2[3]=C_SCHEME_FALSE;
av2[4]=((C_word*)t0)[3];
((C_proc)(void*)(*((C_word*)t2+1)))(5,av2);}}

/* for-each-loop5701 in k25726 in really-print-call-chain in k23772 in k23768 in k23764 in k20151 in k20147 in k20143 in k20139 in k20135 in k19774 in k19770 in k19766 in k19762 in k19758 in k19754 in k19750 in k19746 in k19742 in k19738 in k19734 in ... */
static void C_fcall f_25800(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,0,2)))){
C_save_and_reclaim_args((void *)trf_25800,3,t0,t1,t2);}
a=C_alloc(5);
if(C_truep(C_i_pairp(t2))){
t3=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_25810,a[2]=t2,a[3]=((C_word*)t0)[2],a[4]=t1,tmp=(C_word)a,a+=5,tmp);
t4=C_slot(t2,C_fix(0));
/* library.scm:4971: g5702 */
t5=((C_word*)t0)[3];
f_25729(t5,t3,t4);}
else{
t3=C_SCHEME_UNDEFINED;
t4=t1;{
C_word av2[2];
av2[0]=t4;
av2[1]=t3;
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}}

/* k25808 in for-each-loop5701 in k25726 in really-print-call-chain in k23772 in k23768 in k23764 in k20151 in k20147 in k20143 in k20139 in k20135 in k19774 in k19770 in k19766 in k19762 in k19758 in k19754 in k19750 in k19746 in k19742 in k19738 in ... */
static void C_ccall f_25810(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_25810,2,av);}
t2=C_slot(((C_word*)t0)[2],C_fix(1));
t3=((C_word*)((C_word*)t0)[3])[1];
f_25800(t3,((C_word*)t0)[4],t2);}

/* chicken.base#print-call-chain in k23772 in k23768 in k23764 in k20151 in k20147 in k20143 in k20139 in k20135 in k19774 in k19770 in k19766 in k19762 in k19758 in k19754 in k19750 in k19746 in k19742 in k19738 in k19734 in k19730 in k19726 in ... */
static void C_ccall f_25823(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand((c-2)*C_SIZEOF_PAIR +7,c,3)))){
C_save_and_reclaim((void*)f_25823,c,av);}
a=C_alloc((c-2)*C_SIZEOF_PAIR+7);
t2=C_build_rest(&a,c,2,av);
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word t12;
C_word t13;
C_word t14;
C_word t15;
C_word t16;
C_word t17;
C_word t18;
C_word t19;
C_word t20;
C_word t21;
C_word t22;
C_word t23;
C_word t24;
C_word t25;
t3=C_i_nullp(t2);
t4=(C_truep(t3)?*((C_word*)lf[717]+1):C_i_car(t2));
t5=t4;
t6=C_i_nullp(t2);
t7=(C_truep(t6)?C_SCHEME_END_OF_LIST:C_i_cdr(t2));
t8=C_i_nullp(t7);
t9=(C_truep(t8)?C_fix(0):C_i_car(t7));
t10=t9;
t11=C_i_nullp(t7);
t12=(C_truep(t11)?C_SCHEME_END_OF_LIST:C_i_cdr(t7));
t13=C_i_nullp(t12);
t14=(C_truep(t13)?C_fast_retrieve(lf[944]):C_i_car(t12));
t15=t14;
t16=C_i_nullp(t12);
t17=(C_truep(t16)?C_SCHEME_END_OF_LIST:C_i_cdr(t12));
t18=C_i_nullp(t17);
t19=(C_truep(t18)?lf[952]:C_i_car(t17));
t20=t19;
t21=C_i_nullp(t17);
t22=(C_truep(t21)?C_SCHEME_END_OF_LIST:C_i_cdr(t17));
t23=C_i_check_port_2(t5,C_fix(2),C_SCHEME_TRUE,lf[953]);
t24=(*a=C_CLOSURE_TYPE|6,a[1]=(C_word)f_25854,a[2]=t20,a[3]=t1,a[4]=t5,a[5]=t10,a[6]=t15,tmp=(C_word)a,a+=7,tmp);
/* library.scm:5000: ##sys#check-fixnum */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[102]+1));
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[102]+1);
av2[1]=t24;
av2[2]=t10;
av2[3]=lf[953];
tp(4,av2);}}

/* k25852 in chicken.base#print-call-chain in k23772 in k23768 in k23764 in k20151 in k20147 in k20143 in k20139 in k20135 in k19774 in k19770 in k19766 in k19762 in k19758 in k19754 in k19750 in k19746 in k19742 in k19738 in k19734 in k19730 in ... */
static void C_ccall f_25854(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,c,3)))){
C_save_and_reclaim((void *)f_25854,2,av);}
a=C_alloc(5);
t2=C_i_check_string_2(((C_word*)t0)[2],lf[953]);
t3=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_25864,a[2]=((C_word*)t0)[3],a[3]=((C_word*)t0)[4],a[4]=((C_word*)t0)[2],tmp=(C_word)a,a+=5,tmp);
/* library.scm:5002: chicken.base#get-call-chain */
t4=*((C_word*)lf[186]+1);{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t4;
av2[1]=t3;
av2[2]=((C_word*)t0)[5];
av2[3]=((C_word*)t0)[6];
((C_proc)(void*)(*((C_word*)t4+1)))(4,av2);}}

/* k25862 in k25852 in chicken.base#print-call-chain in k23772 in k23768 in k23764 in k20151 in k20147 in k20143 in k20139 in k20135 in k19774 in k19770 in k19766 in k19762 in k19758 in k19754 in k19750 in k19746 in k19742 in k19738 in k19734 in ... */
static void C_ccall f_25864(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,4)))){
C_save_and_reclaim((void *)f_25864,2,av);}
/* library.scm:5002: ##sys#really-print-call-chain */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[946]);
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=*((C_word*)lf[946]+1);
av2[1]=((C_word*)t0)[2];
av2[2]=((C_word*)t0)[3];
av2[3]=t1;
av2[4]=((C_word*)t0)[4];
tp(5,av2);}}

/* ##sys#user-interrupt-hook in k23772 in k23768 in k23764 in k20151 in k20147 in k20143 in k20139 in k20135 in k19774 in k19770 in k19766 in k19762 in k19758 in k19754 in k19750 in k19746 in k19742 in k19738 in k19734 in k19730 in k19726 in ... */
static void C_ccall f_25914(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(c!=2) C_bad_argc_2(c,2,t0);
if(C_unlikely(!C_demand(C_calculate_demand(3,c,3)))){
C_save_and_reclaim((void *)f_25914,2,av);}
a=C_alloc(3);
t2=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_25917,a[2]=((C_word)li773),tmp=(C_word)a,a+=3,tmp);
t3=C_eqp(C_fast_retrieve(lf[944]),C_fast_retrieve(lf[956]));
if(C_truep(t3)){
t4=t1;
/* library.scm:5008: ##sys#signal-hook */
t5=C_fast_retrieve(lf[194]);{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t5;
av2[1]=t4;
av2[2]=lf[955];
av2[3]=C_SCHEME_FALSE;
((C_proc)(void*)(*((C_word*)t5+1)))(4,av2);}}
else{
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_i_setslot(C_fast_retrieve(lf[956]),C_fix(1),t2);
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}}

/* break in user-interrupt-hook in k23772 in k23768 in k23764 in k20151 in k20147 in k20143 in k20139 in k20135 in k19774 in k19770 in k19766 in k19762 in k19758 in k19754 in k19750 in k19746 in k19742 in k19738 in k19734 in k19730 in ... */
static void C_ccall f_25917(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(c!=2) C_bad_argc_2(c,2,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_25917,2,av);}
/* library.scm:5008: ##sys#signal-hook */
t2=C_fast_retrieve(lf[194]);{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t2;
av2[1]=t1;
av2[2]=lf[955];
av2[3]=C_SCHEME_FALSE;
((C_proc)(void*)(*((C_word*)t2+1)))(4,av2);}}

/* cleanup-before-exit in k23772 in k23768 in k23764 in k20151 in k20147 in k20143 in k20139 in k20135 in k19774 in k19770 in k19766 in k19762 in k19758 in k19754 in k19750 in k19746 in k19742 in k19738 in k19734 in k19730 in k19726 in ... */
static void C_fcall f_25936(C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,0,4)))){
C_save_and_reclaim_args((void *)trf_25936,1,t1);}
a=C_alloc(6);
t2=lf[957] /* exit-in-progress */ =C_SCHEME_TRUE;;
t3=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_25941,a[2]=t1,tmp=(C_word)a,a+=3,tmp);
if(C_truep(C_i_dump_heap_on_exitp())){
t4=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_26012,a[2]=t3,tmp=(C_word)a,a+=3,tmp);
/* library.scm:5023: ##sys#print */
t5=*((C_word*)lf[871]+1);{
C_word av2[5];
av2[0]=t5;
av2[1]=t4;
av2[2]=lf[963];
av2[3]=C_SCHEME_FALSE;
av2[4]=*((C_word*)lf[718]+1);
((C_proc)(void*)(*((C_word*)t5+1)))(5,av2);}}
else{
t4=t3;{
C_word av2[2];
av2[0]=t4;
av2[1]=C_SCHEME_UNDEFINED;
f_25941(2,av2);}}}

/* k25939 in cleanup-before-exit in k23772 in k23768 in k23764 in k20151 in k20147 in k20143 in k20139 in k20135 in k19774 in k19770 in k19766 in k19762 in k19758 in k19754 in k19750 in k19746 in k19742 in k19738 in k19734 in k19730 in ... */
static void C_ccall f_25941(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(9,c,2)))){
C_save_and_reclaim((void *)f_25941,2,av);}
a=C_alloc(9);
t2=(C_truep(C_i_profilingp())?C_i_dump_statistical_profile():C_SCHEME_UNDEFINED);
t3=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_25947,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
t4=C_SCHEME_UNDEFINED;
t5=(*a=C_VECTOR_TYPE|1,a[1]=t4,tmp=(C_word)a,a+=2,tmp);
t6=C_set_block_item(t5,0,(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_25964,a[2]=t5,a[3]=((C_word)li776),tmp=(C_word)a,a+=4,tmp));
t7=((C_word*)t5)[1];
f_25964(t7,t3);}

/* k25945 in k25939 in cleanup-before-exit in k23772 in k23768 in k23764 in k20151 in k20147 in k20143 in k20139 in k20135 in k19774 in k19770 in k19766 in k19762 in k19758 in k19754 in k19750 in k19746 in k19742 in k19738 in k19734 in ... */
static void C_ccall f_25947(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,4)))){
C_save_and_reclaim((void *)f_25947,2,av);}
a=C_alloc(3);
t2=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_25950,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
if(C_truep(C_i_debug_modep())){
/* library.scm:5034: ##sys#print */
t3=*((C_word*)lf[871]+1);{
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=t3;
av2[1]=t2;
av2[2]=lf[961];
av2[3]=C_SCHEME_FALSE;
av2[4]=*((C_word*)lf[718]+1);
((C_proc)(void*)(*((C_word*)t3+1)))(5,av2);}}
else{
t3=t2;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_SCHEME_UNDEFINED;
f_25950(2,av2);}}}

/* k25948 in k25945 in k25939 in cleanup-before-exit in k23772 in k23768 in k23764 in k20151 in k20147 in k20143 in k20139 in k20135 in k19774 in k19770 in k19766 in k19762 in k19758 in k19754 in k19750 in k19746 in k19742 in k19738 in ... */
static void C_ccall f_25950(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,2)))){
C_save_and_reclaim((void *)f_25950,2,av);}
a=C_alloc(3);
t2=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_25956,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
/* library.scm:5035: chicken.gc#force-finalizers */
t3=C_fast_retrieve(lf[960]);{
C_word *av2=av;
av2[0]=t3;
av2[1]=t2;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* k25954 in k25948 in k25945 in k25939 in cleanup-before-exit in k23772 in k23768 in k23764 in k20151 in k20147 in k20143 in k20139 in k20135 in k19774 in k19770 in k19766 in k19762 in k19758 in k19754 in k19750 in k19746 in k19742 in ... */
static void C_ccall f_25956(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_25956,2,av);}
if(C_truep(t1)){
/* library.scm:5036: ##sys#force-finalizers */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[959]);
C_word *av2=av;
av2[0]=*((C_word*)lf[959]+1);
av2[1]=((C_word*)t0)[2];
tp(2,av2);}}
else{
t2=C_SCHEME_UNDEFINED;
t3=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t3;
av2[1]=t2;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}}

/* loop in k25939 in cleanup-before-exit in k23772 in k23768 in k23764 in k20151 in k20147 in k20143 in k20139 in k20135 in k19774 in k19770 in k19766 in k19762 in k19758 in k19754 in k19750 in k19746 in k19742 in k19738 in k19734 in ... */
static void C_fcall f_25964(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(10,0,3)))){
C_save_and_reclaim_args((void *)trf_25964,2,t0,t1);}
a=C_alloc(10);
t2=*((C_word*)lf[225]+1);
t3=C_set_block_item(lf[225] /* chicken.base#cleanup-tasks */,0,C_SCHEME_END_OF_LIST);
if(C_truep(C_i_nullp(t2))){
t4=C_SCHEME_UNDEFINED;
t5=t1;{
C_word av2[2];
av2[0]=t5;
av2[1]=t4;
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}
else{
t4=C_i_check_list_2(t2,lf[689]);
t5=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_25983,a[2]=((C_word*)t0)[2],a[3]=t1,tmp=(C_word)a,a+=4,tmp);
t6=C_SCHEME_UNDEFINED;
t7=(*a=C_VECTOR_TYPE|1,a[1]=t6,tmp=(C_word)a,a+=2,tmp);
t8=C_set_block_item(t7,0,(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_25988,a[2]=t7,a[3]=((C_word)li775),tmp=(C_word)a,a+=4,tmp));
t9=((C_word*)t7)[1];
f_25988(t9,t5,t2);}}

/* k25981 in loop in k25939 in cleanup-before-exit in k23772 in k23768 in k23764 in k20151 in k20147 in k20143 in k20139 in k20135 in k19774 in k19770 in k19766 in k19762 in k19758 in k19754 in k19750 in k19746 in k19742 in k19738 in ... */
static void C_ccall f_25983(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_25983,2,av);}
/* library.scm:5032: loop */
t2=((C_word*)((C_word*)t0)[2])[1];
f_25964(t2,((C_word*)t0)[3]);}

/* for-each-loop5761 in loop in k25939 in cleanup-before-exit in k23772 in k23768 in k23764 in k20151 in k20147 in k20143 in k20139 in k20135 in k19774 in k19770 in k19766 in k19762 in k19758 in k19754 in k19750 in k19746 in k19742 in k19738 in ... */
static void C_fcall f_25988(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,0,2)))){
C_save_and_reclaim_args((void *)trf_25988,3,t0,t1,t2);}
a=C_alloc(5);
if(C_truep(C_i_pairp(t2))){
t3=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_25998,a[2]=t2,a[3]=((C_word*)t0)[2],a[4]=t1,tmp=(C_word)a,a+=5,tmp);
t4=C_slot(t2,C_fix(0));
/* library.scm:5031: t */
t5=t4;{
C_word av2[2];
av2[0]=t5;
av2[1]=t3;
((C_proc)C_fast_retrieve_proc(t5))(2,av2);}}
else{
t3=C_SCHEME_UNDEFINED;
t4=t1;{
C_word av2[2];
av2[0]=t4;
av2[1]=t3;
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}}

/* k25996 in for-each-loop5761 in loop in k25939 in cleanup-before-exit in k23772 in k23768 in k23764 in k20151 in k20147 in k20143 in k20139 in k20135 in k19774 in k19770 in k19766 in k19762 in k19758 in k19754 in k19750 in k19746 in k19742 in ... */
static void C_ccall f_25998(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_25998,2,av);}
t2=C_slot(((C_word*)t0)[2],C_fix(1));
t3=((C_word*)((C_word*)t0)[3])[1];
f_25988(t3,((C_word*)t0)[4],t2);}

/* k26010 in cleanup-before-exit in k23772 in k23768 in k23764 in k20151 in k20147 in k20143 in k20139 in k20135 in k19774 in k19770 in k19766 in k19762 in k19758 in k19754 in k19750 in k19746 in k19742 in k19738 in k19734 in k19730 in ... */
static void C_ccall f_26012(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_26012,2,av);}
/* library.scm:5024: ##sys#dump-heap-state */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[962]);
C_word *av2=av;
av2[0]=*((C_word*)lf[962]+1);
av2[1]=((C_word*)t0)[2];
tp(2,av2);}}

/* k26017 in k23772 in k23768 in k23764 in k20151 in k20147 in k20143 in k20139 in k20135 in k19774 in k19770 in k19766 in k19762 in k19758 in k19754 in k19750 in k19746 in k19742 in k19738 in k19734 in k19730 in k19726 in ... */
static void C_ccall f_26019(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,c,2)))){
C_save_and_reclaim((void *)f_26019,2,av);}
a=C_alloc(6);
t2=C_mutate((C_word*)lf[224]+1 /* (set! chicken.base#exit-handler ...) */,t1);
t3=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_26023,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
t4=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_31241,a[2]=((C_word)li980),tmp=(C_word)a,a+=3,tmp);
/* library.scm:5049: chicken.base#make-parameter */
t5=*((C_word*)lf[201]+1);{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t5;
av2[1]=t3;
av2[2]=t4;
((C_proc)(void*)(*((C_word*)t5+1)))(3,av2);}}

/* k26021 in k26017 in k23772 in k23768 in k23764 in k20151 in k20147 in k20143 in k20139 in k20135 in k19774 in k19770 in k19766 in k19762 in k19758 in k19754 in k19750 in k19746 in k19742 in k19738 in k19734 in k19730 in ... */
static void C_ccall f_26023(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,c,2)))){
C_save_and_reclaim((void *)f_26023,2,av);}
a=C_alloc(6);
t2=C_mutate((C_word*)lf[223]+1 /* (set! chicken.base#implicit-exit-handler ...) */,t1);
t3=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_26027,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
t4=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_31232,a[2]=((C_word)li979),tmp=(C_word)a,a+=3,tmp);
/* library.scm:5054: chicken.base#make-parameter */
t5=*((C_word*)lf[201]+1);{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t5;
av2[1]=t3;
av2[2]=t4;
((C_proc)(void*)(*((C_word*)t5+1)))(3,av2);}}

/* k26025 in k26021 in k26017 in k23772 in k23768 in k23764 in k20151 in k20147 in k20143 in k20139 in k20135 in k19774 in k19770 in k19766 in k19762 in k19758 in k19754 in k19750 in k19746 in k19742 in k19738 in k19734 in ... */
static void C_ccall f_26027(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(23,c,4)))){
C_save_and_reclaim((void *)f_26027,2,av);}
a=C_alloc(23);
t2=C_mutate((C_word*)lf[964]+1 /* (set! ##sys#reset-handler ...) */,t1);
t3=C_a_i_provide(&a,1,lf[965]);
t4=C_mutate((C_word*)lf[194]+1 /* (set! ##sys#signal-hook ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_26029,a[2]=((C_word)li780),tmp=(C_word)a,a+=3,tmp));
t5=C_mutate((C_word*)lf[967]+1 /* (set! chicken.condition#abort ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_26313,a[2]=((C_word)li781),tmp=(C_word)a,a+=3,tmp));
t6=C_mutate((C_word*)lf[1005]+1 /* (set! chicken.condition#signal ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_26330,a[2]=((C_word)li782),tmp=(C_word)a,a+=3,tmp));
t7=C_mutate((C_word*)lf[1006]+1 /* (set! ##sys#break-on-error ...) */,C_mk_bool(C_enable_repl));
t8=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_26339,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
t9=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_31072,a[2]=((C_word)li978),tmp=(C_word)a,a+=3,tmp);
/* library.scm:5151: chicken.base#make-parameter */
t10=*((C_word*)lf[201]+1);{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t10;
av2[1]=t8;
av2[2]=t9;
((C_proc)(void*)(*((C_word*)t10+1)))(3,av2);}}

/* ##sys#signal-hook in k26025 in k26021 in k26017 in k23772 in k23768 in k23764 in k20151 in k20147 in k20143 in k20139 in k20135 in k19774 in k19770 in k19766 in k19762 in k19758 in k19754 in k19750 in k19746 in k19742 in k19738 in ... */
static void C_ccall f_26029(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word *a;
if(c<4) C_bad_min_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand((c-4)*C_SIZEOF_PAIR +12,c,4)))){
C_save_and_reclaim((void*)f_26029,c,av);}
a=C_alloc((c-4)*C_SIZEOF_PAIR+12);
t4=C_build_rest(&a,c,4,av);
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word t12;
C_word t13;
C_word t14;
C_word t15;
C_word t16;
t5=(*a=C_VECTOR_TYPE|1,a[1]=t3,tmp=(C_word)a,a+=2,tmp);
t6=C_dbg_hook(C_SCHEME_FALSE);
t7=signal_debug_event(t2,((C_word*)t5)[1],t4);
t8=t2;
t9=C_eqp(t8,lf[955]);
if(C_truep(t9)){
t10=C_a_i_record3(&a,3,lf[912],lf[966],C_SCHEME_END_OF_LIST);
/* library.scm:5082: abort */
t11=C_fast_retrieve(lf[967]);{
C_word *av2=av;
av2[0]=t11;
av2[1]=t1;
av2[2]=t10;
((C_proc)(void*)(*((C_word*)t11+1)))(3,av2);}}
else{
t10=C_eqp(t8,lf[307]);
t11=(C_truep(t10)?t10:C_eqp(t8,lf[309]));
if(C_truep(t11)){
t12=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_26055,a[2]=t4,a[3]=t1,a[4]=t5,tmp=(C_word)a,a+=5,tmp);
t13=C_eqp(t2,lf[307]);
if(C_truep(t13)){
/* library.scm:5088: ##sys#print */
t14=*((C_word*)lf[871]+1);{
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=t14;
av2[1]=t12;
av2[2]=lf[969];
av2[3]=C_SCHEME_FALSE;
av2[4]=*((C_word*)lf[718]+1);
((C_proc)(void*)(*((C_word*)t14+1)))(5,av2);}}
else{
/* library.scm:5088: ##sys#print */
t14=*((C_word*)lf[871]+1);{
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=t14;
av2[1]=t12;
av2[2]=lf[970];
av2[3]=C_SCHEME_FALSE;
av2[4]=*((C_word*)lf[718]+1);
((C_proc)(void*)(*((C_word*)t14+1)))(5,av2);}}}
else{
t12=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_26131,a[2]=t5,a[3]=t4,a[4]=t2,a[5]=t1,tmp=(C_word)a,a+=6,tmp);
t13=C_i_symbolp(((C_word*)t5)[1]);
t14=(C_truep(t13)?C_i_nullp(t4):C_SCHEME_FALSE);
if(C_truep(t14)){
t15=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_26296,a[2]=t5,a[3]=t12,tmp=(C_word)a,a+=4,tmp);
/* library.scm:5106: scheme#symbol->string */
t16=*((C_word*)lf[636]+1);{
C_word *av2=av;
av2[0]=t16;
av2[1]=t15;
av2[2]=((C_word*)t5)[1];
((C_proc)(void*)(*((C_word*)t16+1)))(3,av2);}}
else{
t15=t12;
f_26131(t15,C_SCHEME_UNDEFINED);}}}}

/* k26053 in signal-hook in k26025 in k26021 in k26017 in k23772 in k23768 in k23764 in k20151 in k20147 in k20143 in k20139 in k20135 in k19774 in k19770 in k19766 in k19762 in k19758 in k19754 in k19750 in k19746 in k19742 in ... */
static void C_ccall f_26055(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,c,4)))){
C_save_and_reclaim((void *)f_26055,2,av);}
a=C_alloc(4);
t2=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_26058,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],tmp=(C_word)a,a+=4,tmp);
/* library.scm:5091: ##sys#print */
t3=*((C_word*)lf[871]+1);{
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=t3;
av2[1]=t2;
av2[2]=((C_word*)((C_word*)t0)[4])[1];
av2[3]=C_SCHEME_FALSE;
av2[4]=*((C_word*)lf[718]+1);
((C_proc)(void*)(*((C_word*)t3+1)))(5,av2);}}

/* k26056 in k26053 in signal-hook in k26025 in k26021 in k26017 in k23772 in k23768 in k23764 in k20151 in k20147 in k20143 in k20139 in k20135 in k19774 in k19770 in k19766 in k19762 in k19758 in k19754 in k19750 in k19746 in ... */
static void C_ccall f_26058(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(7,c,2)))){
C_save_and_reclaim((void *)f_26058,2,av);}
a=C_alloc(7);
t2=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_26061,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],tmp=(C_word)a,a+=4,tmp);
t3=C_i_nullp(((C_word*)t0)[2]);
t4=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_26110,a[2]=t2,tmp=(C_word)a,a+=3,tmp);
if(C_truep(t3)){
t5=t4;
f_26110(t5,t3);}
else{
t5=((C_word*)t0)[2];
t6=C_u_i_length(t5);
t7=t4;
f_26110(t7,C_fixnum_greaterp(t6,C_fix(1)));}}

/* k26059 in k26056 in k26053 in signal-hook in k26025 in k26021 in k26017 in k23772 in k23768 in k23764 in k20151 in k20147 in k20143 in k20139 in k20135 in k19774 in k19770 in k19766 in k19762 in k19758 in k19754 in k19750 in ... */
static void C_ccall f_26061(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(9,c,3)))){
C_save_and_reclaim((void *)f_26061,2,av);}
a=C_alloc(9);
t2=((C_word*)t0)[2];
t3=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_26078,a[2]=((C_word*)t0)[3],tmp=(C_word)a,a+=3,tmp);
t4=C_SCHEME_UNDEFINED;
t5=(*a=C_VECTOR_TYPE|1,a[1]=t4,tmp=(C_word)a,a+=2,tmp);
t6=C_set_block_item(t5,0,(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_26083,a[2]=t5,a[3]=((C_word)li779),tmp=(C_word)a,a+=4,tmp));
t7=((C_word*)t5)[1];
f_26083(t7,t3,t2);}

/* a26067 in for-each-loop5829 in k26059 in k26056 in k26053 in signal-hook in k26025 in k26021 in k26017 in k23772 in k23768 in k23764 in k20151 in k20147 in k20143 in k20139 in k20135 in k19774 in k19770 in k19766 in k19762 in k19758 in ... */
static void C_ccall f_26068(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(c!=2) C_bad_argc_2(c,2,t0);
if(C_unlikely(!C_demand(C_calculate_demand(3,c,4)))){
C_save_and_reclaim((void *)f_26068,2,av);}
a=C_alloc(3);
t2=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_26072,a[2]=t1,tmp=(C_word)a,a+=3,tmp);
/* library.scm:5100: ##sys#print */
t3=*((C_word*)lf[871]+1);{
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=t3;
av2[1]=t2;
av2[2]=((C_word*)t0)[2];
av2[3]=C_SCHEME_TRUE;
av2[4]=*((C_word*)lf[718]+1);
((C_proc)(void*)(*((C_word*)t3+1)))(5,av2);}}

/* k26070 in a26067 in for-each-loop5829 in k26059 in k26056 in k26053 in signal-hook in k26025 in k26021 in k26017 in k23772 in k23768 in k23764 in k20151 in k20147 in k20143 in k20139 in k20135 in k19774 in k19770 in k19766 in k19762 in ... */
static void C_ccall f_26072(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_26072,2,av);}
/* library.scm:5101: ##sys#write-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[867]);
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[867]+1);
av2[1]=((C_word*)t0)[2];
av2[2]=C_make_character(10);
av2[3]=*((C_word*)lf[718]+1);
tp(4,av2);}}

/* k26076 in k26059 in k26056 in k26053 in signal-hook in k26025 in k26021 in k26017 in k23772 in k23768 in k23764 in k20151 in k20147 in k20143 in k20139 in k20135 in k19774 in k19770 in k19766 in k19762 in k19758 in k19754 in ... */
static void C_ccall f_26078(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_26078,2,av);}
/* library.scm:5103: ##sys#flush-output */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[749]);
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[749]+1);
av2[1]=((C_word*)t0)[2];
av2[2]=*((C_word*)lf[718]+1);
tp(3,av2);}}

/* for-each-loop5829 in k26059 in k26056 in k26053 in signal-hook in k26025 in k26021 in k26017 in k23772 in k23768 in k23764 in k20151 in k20147 in k20143 in k20139 in k20135 in k19774 in k19770 in k19766 in k19762 in k19758 in k19754 in ... */
static void C_fcall f_26083(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(9,0,3)))){
C_save_and_reclaim_args((void *)trf_26083,3,t0,t1,t2);}
a=C_alloc(9);
if(C_truep(C_i_pairp(t2))){
t3=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_26093,a[2]=t2,a[3]=((C_word*)t0)[2],a[4]=t1,tmp=(C_word)a,a+=5,tmp);
t4=C_slot(t2,C_fix(0));
t5=t4;
t6=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_26068,a[2]=t5,a[3]=((C_word)li778),tmp=(C_word)a,a+=4,tmp);
/* library.scm:5097: ##sys#with-print-length-limit */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[922]);
C_word av2[4];
av2[0]=*((C_word*)lf[922]+1);
av2[1]=t3;
av2[2]=C_fix(400);
av2[3]=t6;
tp(4,av2);}}
else{
t3=C_SCHEME_UNDEFINED;
t4=t1;{
C_word av2[2];
av2[0]=t4;
av2[1]=t3;
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}}

/* k26091 in for-each-loop5829 in k26059 in k26056 in k26053 in signal-hook in k26025 in k26021 in k26017 in k23772 in k23768 in k23764 in k20151 in k20147 in k20143 in k20139 in k20135 in k19774 in k19770 in k19766 in k19762 in k19758 in ... */
static void C_ccall f_26093(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_26093,2,av);}
t2=C_slot(((C_word*)t0)[2],C_fix(1));
t3=((C_word*)((C_word*)t0)[3])[1];
f_26083(t3,((C_word*)t0)[4],t2);}

/* k26108 in k26056 in k26053 in signal-hook in k26025 in k26021 in k26017 in k23772 in k23768 in k23764 in k20151 in k20147 in k20143 in k20139 in k20135 in k19774 in k19770 in k19766 in k19762 in k19758 in k19754 in k19750 in ... */
static void C_fcall f_26110(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,0,4)))){
C_save_and_reclaim_args((void *)trf_26110,2,t0,t1);}
if(C_truep(t1)){
/* library.scm:5093: ##sys#write-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[867]);
C_word av2[4];
av2[0]=*((C_word*)lf[867]+1);
av2[1]=((C_word*)t0)[2];
av2[2]=C_make_character(10);
av2[3]=*((C_word*)lf[718]+1);
tp(4,av2);}}
else{
/* library.scm:5094: ##sys#print */
t2=*((C_word*)lf[871]+1);{
C_word av2[5];
av2[0]=t2;
av2[1]=((C_word*)t0)[2];
av2[2]=lf[968];
av2[3]=C_SCHEME_FALSE;
av2[4]=*((C_word*)lf[718]+1);
((C_proc)(void*)(*((C_word*)t2+1)))(5,av2);}}}

/* k26129 in signal-hook in k26025 in k26021 in k26017 in k23772 in k23768 in k23764 in k20151 in k20147 in k20143 in k20139 in k20135 in k19774 in k19770 in k19766 in k19762 in k19758 in k19754 in k19750 in k19746 in k19742 in ... */
static void C_fcall f_26131(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,0,2)))){
C_save_and_reclaim_args((void *)trf_26131,2,t0,t1);}
a=C_alloc(6);
t2=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_26134,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[5],tmp=(C_word)a,a+=6,tmp);
t3=C_i_not(((C_word*)((C_word*)t0)[2])[1]);
if(C_truep(t3)){
t4=t2;
f_26134(t4,(C_truep(t3)?C_i_pairp(((C_word*)t0)[3]):C_SCHEME_FALSE));}
else{
t4=C_i_symbolp(((C_word*)((C_word*)t0)[2])[1]);
t5=t2;
f_26134(t5,(C_truep(t4)?C_i_pairp(((C_word*)t0)[3]):C_SCHEME_FALSE));}}

/* k26132 in k26129 in signal-hook in k26025 in k26021 in k26017 in k23772 in k23768 in k23764 in k20151 in k20147 in k20143 in k20139 in k20135 in k19774 in k19770 in k19766 in k19762 in k19758 in k19754 in k19750 in k19746 in ... */
static void C_fcall f_26134(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word t12;
C_word t13;
C_word t14;
C_word t15;
C_word t16;
C_word t17;
C_word t18;
C_word t19;
C_word t20;
C_word t21;
C_word t22;
C_word t23;
C_word t24;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,0,2)))){
C_save_and_reclaim_args((void *)trf_26134,2,t0,t1);}
a=C_alloc(6);
t2=(C_truep(t1)?((C_word*)((C_word*)t0)[2])[1]:C_SCHEME_FALSE);
t3=t2;
t4=(C_truep(t1)?C_slot(((C_word*)t0)[3],C_fix(0)):((C_word*)((C_word*)t0)[2])[1]);
t5=t4;
t6=(C_truep(t1)?C_slot(((C_word*)t0)[3],C_fix(1)):((C_word*)t0)[3]);
t7=t6;
t8=((C_word*)t0)[4];
t9=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_26154,a[2]=t5,a[3]=t7,a[4]=t3,a[5]=((C_word*)t0)[5],tmp=(C_word)a,a+=6,tmp);
t10=C_eqp(t8,lf[258]);
if(C_truep(t10)){
t11=t9;
f_26154(t11,lf[975]);}
else{
t11=C_eqp(t8,lf[784]);
if(C_truep(t11)){
t12=t9;
f_26154(t12,lf[976]);}
else{
t12=C_eqp(t8,lf[379]);
if(C_truep(t12)){
t13=t9;
f_26154(t13,lf[977]);}
else{
t13=C_eqp(t8,lf[563]);
if(C_truep(t13)){
t14=t9;
f_26154(t14,lf[978]);}
else{
t14=C_eqp(t8,lf[702]);
if(C_truep(t14)){
t15=t9;
f_26154(t15,lf[979]);}
else{
t15=C_eqp(t8,lf[980]);
if(C_truep(t15)){
t16=t9;
f_26154(t16,lf[981]);}
else{
t16=C_eqp(t8,lf[982]);
if(C_truep(t16)){
t17=t9;
f_26154(t17,lf[983]);}
else{
t17=C_eqp(t8,lf[984]);
if(C_truep(t17)){
t18=t9;
f_26154(t18,lf[985]);}
else{
t18=C_eqp(t8,lf[986]);
if(C_truep(t18)){
t19=t9;
f_26154(t19,lf[987]);}
else{
t19=C_eqp(t8,lf[988]);
if(C_truep(t19)){
t20=t9;
f_26154(t20,lf[989]);}
else{
t20=C_eqp(t8,lf[990]);
if(C_truep(t20)){
t21=t9;
f_26154(t21,lf[991]);}
else{
t21=C_eqp(t8,lf[992]);
if(C_truep(t21)){
t22=t9;
f_26154(t22,lf[993]);}
else{
t22=C_eqp(t8,lf[994]);
if(C_truep(t22)){
t23=t9;
f_26154(t23,lf[995]);}
else{
t23=C_eqp(t8,lf[996]);
t24=t9;
f_26154(t24,(C_truep(t23)?lf[997]:lf[998]));}}}}}}}}}}}}}}

/* k26152 in k26132 in k26129 in signal-hook in k26025 in k26021 in k26017 in k23772 in k23768 in k23764 in k20151 in k20147 in k20143 in k20139 in k20135 in k19774 in k19770 in k19766 in k19762 in k19758 in k19754 in k19750 in ... */
static void C_fcall f_26154(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(7,0,2)))){
C_save_and_reclaim_args((void *)trf_26154,2,t0,t1);}
a=C_alloc(7);
t2=t1;
t3=(*a=C_CLOSURE_TYPE|6,a[1]=(C_word)f_26162,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=t2,a[6]=((C_word*)t0)[5],tmp=(C_word)a,a+=7,tmp);
/* library.scm:5132: chicken.base#get-call-chain */
t4=*((C_word*)lf[186]+1);{
C_word av2[2];
av2[0]=t4;
av2[1]=t3;
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* k26160 in k26152 in k26132 in k26129 in signal-hook in k26025 in k26021 in k26017 in k23772 in k23768 in k23764 in k20151 in k20147 in k20143 in k20139 in k20135 in k19774 in k19770 in k19766 in k19762 in k19758 in k19754 in ... */
static void C_ccall f_26162(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(28,c,2)))){
C_save_and_reclaim((void *)f_26162,2,av);}
a=C_alloc(28);
t2=C_a_i_list8(&a,8,lf[971],((C_word*)t0)[2],lf[972],((C_word*)t0)[3],lf[973],t1,lf[974],((C_word*)t0)[4]);
t3=C_a_i_record3(&a,3,lf[912],((C_word*)t0)[5],t2);
/* library.scm:5111: abort */
t4=C_fast_retrieve(lf[967]);{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t4;
av2[1]=((C_word*)t0)[6];
av2[2]=t3;
((C_proc)(void*)(*((C_word*)t4+1)))(3,av2);}}

/* k26294 in signal-hook in k26025 in k26021 in k26017 in k23772 in k23768 in k23764 in k20151 in k20147 in k20143 in k20139 in k20135 in k19774 in k19770 in k19766 in k19762 in k19758 in k19754 in k19750 in k19746 in k19742 in ... */
static void C_ccall f_26296(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_26296,2,av);}
t2=C_mutate(((C_word *)((C_word*)t0)[2])+1,t1);
t3=((C_word*)t0)[3];
f_26131(t3,t2);}

/* chicken.condition#abort in k26025 in k26021 in k26017 in k23772 in k23768 in k23764 in k20151 in k20147 in k20143 in k20139 in k20135 in k19774 in k19770 in k19766 in k19762 in k19758 in k19754 in k19750 in k19746 in k19742 in k19738 in ... */
static void C_ccall f_26313(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(3,c,2)))){
C_save_and_reclaim((void *)f_26313,3,av);}
a=C_alloc(3);
t3=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_26317,a[2]=t1,tmp=(C_word)a,a+=3,tmp);
/* library.scm:5136: ##sys#current-exception-handler */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[1004]);
C_word *av2=av;
av2[0]=*((C_word*)lf[1004]+1);
av2[1]=t3;
av2[2]=t2;
tp(3,av2);}}

/* k26315 in chicken.condition#abort in k26025 in k26021 in k26017 in k23772 in k23768 in k23764 in k20151 in k20147 in k20143 in k20139 in k20135 in k19774 in k19770 in k19766 in k19762 in k19758 in k19754 in k19750 in k19746 in k19742 in ... */
static void C_ccall f_26317(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(22,c,2)))){
C_save_and_reclaim((void *)f_26317,2,av);}
a=C_alloc(22);
t2=C_a_i_list6(&a,6,lf[999],lf[1000],lf[1001],C_SCHEME_END_OF_LIST,lf[1002],C_SCHEME_FALSE);
t3=C_a_i_record3(&a,3,lf[912],lf[1003],t2);
/* library.scm:5137: abort */
t4=C_fast_retrieve(lf[967]);{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t4;
av2[1]=((C_word*)t0)[2];
av2[2]=t3;
((C_proc)(void*)(*((C_word*)t4+1)))(3,av2);}}

/* chicken.condition#signal in k26025 in k26021 in k26017 in k23772 in k23768 in k23764 in k20151 in k20147 in k20143 in k20139 in k20135 in k19774 in k19770 in k19766 in k19762 in k19758 in k19754 in k19750 in k19746 in k19742 in k19738 in ... */
static void C_ccall f_26330(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_26330,3,av);}
/* library.scm:5146: ##sys#current-exception-handler */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[1004]);
C_word *av2=av;
av2[0]=*((C_word*)lf[1004]+1);
av2[1]=t1;
av2[2]=t2;
tp(3,av2);}}

/* k26337 in k26025 in k26021 in k26017 in k23772 in k23768 in k23764 in k20151 in k20147 in k20143 in k20139 in k20135 in k19774 in k19770 in k19766 in k19762 in k19758 in k19754 in k19750 in k19746 in k19742 in k19738 in ... */
static void C_ccall f_26339(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word t12;
C_word t13;
C_word t14;
C_word t15;
C_word t16;
C_word t17;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(39,c,5)))){
C_save_and_reclaim((void *)f_26339,2,av);}
a=C_alloc(39);
t2=C_mutate((C_word*)lf[1007]+1 /* (set! ##sys#error-handler ...) */,t1);
t3=C_set_block_item(lf[1008] /* ##sys#last-exception */,0,C_SCHEME_FALSE);
t4=C_mutate((C_word*)lf[1004]+1 /* (set! ##sys#current-exception-handler ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_26342,a[2]=((C_word)li783),tmp=(C_word)a,a+=3,tmp));
t5=C_mutate((C_word*)lf[917]+1 /* (set! chicken.condition#with-exception-handler ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_26502,a[2]=((C_word)li786),tmp=(C_word)a,a+=3,tmp));
t6=C_mutate((C_word*)lf[1024]+1 /* (set! chicken.condition#current-exception-handler ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_26516,a[2]=((C_word)li788),tmp=(C_word)a,a+=3,tmp));
t7=C_mutate(&lf[1026] /* (set! chicken.condition#prop-list->kind-prefixed-prop-list ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_26577,a[2]=((C_word)li790),tmp=(C_word)a,a+=3,tmp));
t8=C_mutate((C_word*)lf[1028]+1 /* (set! chicken.condition#make-property-condition ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_26645,a[2]=((C_word)li791),tmp=(C_word)a,a+=3,tmp));
t9=C_mutate((C_word*)lf[1030]+1 /* (set! chicken.condition#make-composite-condition ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_26659,a[2]=((C_word)li795),tmp=(C_word)a,a+=3,tmp));
t10=C_mutate((C_word*)lf[1032]+1 /* (set! chicken.condition#condition ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_26799,a[2]=((C_word)li798),tmp=(C_word)a,a+=3,tmp));
t11=C_mutate((C_word*)lf[1033]+1 /* (set! chicken.condition#condition? ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_26904,a[2]=((C_word)li799),tmp=(C_word)a,a+=3,tmp));
t12=C_mutate((C_word*)lf[1034]+1 /* (set! chicken.condition#condition->list ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_26910,a[2]=((C_word)li803),tmp=(C_word)a,a+=3,tmp));
t13=C_mutate((C_word*)lf[1037]+1 /* (set! chicken.condition#condition-predicate ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_27028,a[2]=((C_word)li805),tmp=(C_word)a,a+=3,tmp));
t14=C_mutate((C_word*)lf[1038]+1 /* (set! chicken.condition#condition-property-accessor ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_27049,a[2]=((C_word)li807),tmp=(C_word)a,a+=3,tmp));
t15=C_mutate((C_word*)lf[1041]+1 /* (set! chicken.condition#get-condition-property ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_27095,a[2]=((C_word)li808),tmp=(C_word)a,a+=3,tmp));
t16=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_27106,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
/* library.scm:5334: condition-property-accessor */
t17=C_fast_retrieve(lf[1038]);{
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=t17;
av2[1]=t16;
av2[2]=lf[1011];
av2[3]=lf[1358];
av2[4]=C_SCHEME_FALSE;
((C_proc)(void*)(*((C_word*)t17+1)))(5,av2);}}

/* ##sys#current-exception-handler in k26337 in k26025 in k26021 in k26017 in k23772 in k23768 in k23764 in k20151 in k20147 in k20143 in k20139 in k20135 in k19774 in k19770 in k19766 in k19762 in k19758 in k19754 in k19750 in k19746 in k19742 in ... */
static void C_ccall f_26342(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word t12;
C_word t13;
C_word t14;
C_word t15;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(14,c,4)))){
C_save_and_reclaim((void *)f_26342,3,av);}
a=C_alloc(14);
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_26346,a[2]=t2,a[3]=t1,tmp=(C_word)a,a+=4,tmp);
if(C_truep(C_i_structurep(t2,lf[912]))){
t4=C_mutate((C_word*)lf[1008]+1 /* (set! ##sys#last-exception ...) */,t2);
t5=C_slot(t2,C_fix(1));
if(C_truep(C_i_memq(lf[1011],t5))){
t6=C_slot(t2,C_fix(2));
t7=C_i_member(lf[1012],t6);
t8=t7;
t9=C_i_member(lf[1013],t6);
t10=t9;
t11=C_i_member(lf[1014],t6);
t12=t11;
t13=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_26385,a[2]=t3,tmp=(C_word)a,a+=3,tmp);
t14=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_26395,a[2]=t10,a[3]=t13,a[4]=t8,a[5]=t12,tmp=(C_word)a,a+=6,tmp);
/* library.scm:5203: ##sys#error-handler */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[1007]);
C_word *av2=av;
av2[0]=*((C_word*)lf[1007]+1);
av2[1]=t14;
tp(2,av2);}}
else{
t6=C_slot(t5,C_fix(0));
t7=C_eqp(lf[1019],t6);
if(C_truep(t7)){
t8=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_26456,a[2]=t3,tmp=(C_word)a,a+=3,tmp);
/* library.scm:5221: ##sys#print */
t9=*((C_word*)lf[871]+1);{
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=t9;
av2[1]=t8;
av2[2]=lf[1020];
av2[3]=C_SCHEME_FALSE;
av2[4]=*((C_word*)lf[718]+1);
((C_proc)(void*)(*((C_word*)t9+1)))(5,av2);}}
else{
t8=C_slot(t5,C_fix(0));
t9=C_eqp(lf[1021],t8);
if(C_truep(t9)){
t10=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_26471,a[2]=t3,a[3]=t2,tmp=(C_word)a,a+=4,tmp);
/* library.scm:5224: ##sys#error-handler */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[1007]);
C_word *av2=av;
av2[0]=*((C_word*)lf[1007]+1);
av2[1]=t10;
tp(2,av2);}}
else{
t10=C_a_i_list2(&a,2,lf[1009],t2);
t11=C_a_i_record3(&a,3,lf[912],lf[1010],t10);
/* library.scm:5228: abort */
t12=C_fast_retrieve(lf[967]);{
C_word *av2=av;
av2[0]=t12;
av2[1]=t1;
av2[2]=t11;
((C_proc)(void*)(*((C_word*)t12+1)))(3,av2);}}}}}
else{
t4=C_a_i_list2(&a,2,lf[1009],t2);
t5=C_a_i_record3(&a,3,lf[912],lf[1010],t4);
/* library.scm:5228: abort */
t6=C_fast_retrieve(lf[967]);{
C_word *av2=av;
av2[0]=t6;
av2[1]=t1;
av2[2]=t5;
((C_proc)(void*)(*((C_word*)t6+1)))(3,av2);}}}

/* k26344 in current-exception-handler in k26337 in k26025 in k26021 in k26017 in k23772 in k23768 in k23764 in k20151 in k20147 in k20143 in k20139 in k20135 in k19774 in k19770 in k19766 in k19762 in k19758 in k19754 in k19750 in k19746 in ... */
static void C_ccall f_26346(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(10,c,2)))){
C_save_and_reclaim((void *)f_26346,2,av);}
a=C_alloc(10);
t2=C_a_i_list2(&a,2,lf[1009],((C_word*)t0)[2]);
t3=C_a_i_record3(&a,3,lf[912],lf[1010],t2);
/* library.scm:5228: abort */
t4=C_fast_retrieve(lf[967]);{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t4;
av2[1]=((C_word*)t0)[3];
av2[2]=t3;
((C_proc)(void*)(*((C_word*)t4+1)))(3,av2);}}

/* k26383 in current-exception-handler in k26337 in k26025 in k26021 in k26017 in k23772 in k23768 in k23764 in k20151 in k20147 in k20143 in k20139 in k20135 in k19774 in k19770 in k19766 in k19762 in k19758 in k19754 in k19750 in k19746 in ... */
static void C_ccall f_26385(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,2)))){
C_save_and_reclaim((void *)f_26385,2,av);}
a=C_alloc(3);
t2=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_26388,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
/* library.scm:5219: ##sys#reset-handler */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[964]);
C_word *av2=av;
av2[0]=*((C_word*)lf[964]+1);
av2[1]=t2;
tp(2,av2);}}

/* k26386 in k26383 in current-exception-handler in k26337 in k26025 in k26021 in k26017 in k23772 in k23768 in k23764 in k20151 in k20147 in k20143 in k20139 in k20135 in k19774 in k19770 in k19766 in k19762 in k19758 in k19754 in k19750 in ... */
static void C_ccall f_26388(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_26388,2,av);}
/* library.scm:5198: g5967 */
t2=t1;{
C_word *av2=av;
av2[0]=t2;
av2[1]=((C_word*)t0)[2];
((C_proc)C_fast_retrieve_proc(t2))(2,av2);}}

/* k26393 in current-exception-handler in k26337 in k26025 in k26021 in k26017 in k23772 in k23768 in k23764 in k20151 in k20147 in k20143 in k20139 in k20135 in k19774 in k19770 in k19766 in k19762 in k19758 in k19754 in k19750 in k19746 in ... */
static void C_ccall f_26395(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(9,c,2)))){
C_save_and_reclaim((void *)f_26395,2,av);}
a=C_alloc(9);
t2=t1;
t3=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_26399,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=t2,tmp=(C_word)a,a+=5,tmp);
if(C_truep(((C_word*)t0)[4])){
t4=C_i_cadr(((C_word*)t0)[4]);
t5=t4;
t6=(C_truep(((C_word*)t0)[5])?C_i_cadr(((C_word*)t0)[5]):C_SCHEME_FALSE);
t7=(C_truep(t6)?C_i_symbolp(t6):C_SCHEME_FALSE);
if(C_truep(t7)){
t8=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_26425,a[2]=t5,a[3]=t3,tmp=(C_word)a,a+=4,tmp);
/* library.scm:5209: ##sys#symbol->qualified-string */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[630]+1));
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[630]+1);
av2[1]=t8;
av2[2]=t6;
tp(3,av2);}}
else{
t8=t3;{
C_word *av2=av;
av2[0]=t8;
av2[1]=t5;
f_26399(2,av2);}}}
else{
t4=t3;{
C_word *av2=av;
av2[0]=t4;
av2[1]=lf[1018];
f_26399(2,av2);}}}

/* k26397 in k26393 in current-exception-handler in k26337 in k26025 in k26021 in k26017 in k23772 in k23768 in k23764 in k20151 in k20147 in k20143 in k20139 in k20135 in k19774 in k19770 in k19766 in k19762 in k19758 in k19754 in k19750 in ... */
static void C_ccall f_26399(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,4)))){
C_save_and_reclaim((void *)f_26399,2,av);}
if(C_truep(((C_word*)t0)[2])){
t2=C_i_cadr(((C_word*)t0)[2]);{
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=0;
av2[1]=((C_word*)t0)[3];
av2[2]=((C_word*)t0)[4];
av2[3]=t1;
av2[4]=t2;
C_apply(5,av2);}}
else{
t2=((C_word*)t0)[4];{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[3];
av2[2]=t1;
((C_proc)C_fast_retrieve_proc(t2))(3,av2);}}}

/* k26423 in k26393 in current-exception-handler in k26337 in k26025 in k26021 in k26017 in k23772 in k23768 in k23764 in k20151 in k20147 in k20143 in k20139 in k20135 in k19774 in k19770 in k19766 in k19762 in k19758 in k19754 in k19750 in ... */
static void C_ccall f_26425(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,5)))){
C_save_and_reclaim((void *)f_26425,2,av);}
if(C_truep(C_i_symbolp(((C_word*)t0)[2]))){
t2=C_slot(((C_word*)t0)[2],C_fix(1));
/* library.scm:5208: string-append */
t3=*((C_word*)lf[413]+1);{
C_word *av2;
if(c >= 6) {
  av2=av;
} else {
  av2=C_alloc(6);
}
av2[0]=t3;
av2[1]=((C_word*)t0)[3];
av2[2]=lf[1015];
av2[3]=t1;
av2[4]=lf[1016];
av2[5]=t2;
((C_proc)(void*)(*((C_word*)t3+1)))(6,av2);}}
else{
if(C_truep(C_i_stringp(((C_word*)t0)[2]))){
/* library.scm:5208: string-append */
t2=*((C_word*)lf[413]+1);{
C_word *av2;
if(c >= 6) {
  av2=av;
} else {
  av2=C_alloc(6);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[3];
av2[2]=lf[1015];
av2[3]=t1;
av2[4]=lf[1016];
av2[5]=((C_word*)t0)[2];
((C_proc)(void*)(*((C_word*)t2+1)))(6,av2);}}
else{
/* library.scm:5208: string-append */
t2=*((C_word*)lf[413]+1);{
C_word *av2;
if(c >= 6) {
  av2=av;
} else {
  av2=C_alloc(6);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[3];
av2[2]=lf[1015];
av2[3]=t1;
av2[4]=lf[1016];
av2[5]=lf[1017];
((C_proc)(void*)(*((C_word*)t2+1)))(6,av2);}}}}

/* k26454 in current-exception-handler in k26337 in k26025 in k26021 in k26017 in k23772 in k23768 in k23764 in k20151 in k20147 in k20143 in k20139 in k20135 in k19774 in k19770 in k19766 in k19762 in k19758 in k19754 in k19750 in k19746 in ... */
static void C_ccall f_26456(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,2)))){
C_save_and_reclaim((void *)f_26456,2,av);}
a=C_alloc(3);
t2=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_26459,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
/* library.scm:5222: ##sys#reset-handler */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[964]);
C_word *av2=av;
av2[0]=*((C_word*)lf[964]+1);
av2[1]=t2;
tp(2,av2);}}

/* k26457 in k26454 in current-exception-handler in k26337 in k26025 in k26021 in k26017 in k23772 in k23768 in k23764 in k20151 in k20147 in k20143 in k20139 in k20135 in k19774 in k19770 in k19766 in k19762 in k19758 in k19754 in k19750 in ... */
static void C_ccall f_26459(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_26459,2,av);}
/* library.scm:5197: g5970 */
t2=t1;{
C_word *av2=av;
av2[0]=t2;
av2[1]=((C_word*)t0)[2];
((C_proc)C_fast_retrieve_proc(t2))(2,av2);}}

/* k26469 in current-exception-handler in k26337 in k26025 in k26021 in k26017 in k23772 in k23768 in k23764 in k20151 in k20147 in k20143 in k20139 in k20135 in k19774 in k19770 in k19766 in k19762 in k19758 in k19754 in k19750 in k19746 in ... */
static void C_ccall f_26471(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,3)))){
C_save_and_reclaim((void *)f_26471,2,av);}
a=C_alloc(3);
t2=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_26474,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
t3=C_slot(((C_word*)t0)[3],C_fix(2));
t4=C_i_member(lf[1022],t3);
t5=C_i_cadr(t4);
/* library.scm:5197: g5973 */
t6=t1;{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t6;
av2[1]=t2;
av2[2]=lf[1023];
av2[3]=t5;
((C_proc)C_fast_retrieve_proc(t6))(4,av2);}}

/* k26472 in k26469 in current-exception-handler in k26337 in k26025 in k26021 in k26017 in k23772 in k23768 in k23764 in k20151 in k20147 in k20143 in k20139 in k20135 in k19774 in k19770 in k19766 in k19762 in k19758 in k19754 in k19750 in ... */
static void C_ccall f_26474(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,2)))){
C_save_and_reclaim((void *)f_26474,2,av);}
a=C_alloc(3);
t2=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_26477,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
/* library.scm:5227: ##sys#reset-handler */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[964]);
C_word *av2=av;
av2[0]=*((C_word*)lf[964]+1);
av2[1]=t2;
tp(2,av2);}}

/* k26475 in k26472 in k26469 in current-exception-handler in k26337 in k26025 in k26021 in k26017 in k23772 in k23768 in k23764 in k20151 in k20147 in k20143 in k20139 in k20135 in k19774 in k19770 in k19766 in k19762 in k19758 in k19754 in ... */
static void C_ccall f_26477(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_26477,2,av);}
/* library.scm:5197: g5975 */
t2=t1;{
C_word *av2=av;
av2[0]=t2;
av2[1]=((C_word*)t0)[2];
((C_proc)C_fast_retrieve_proc(t2))(2,av2);}}

/* chicken.condition#with-exception-handler in k26337 in k26025 in k26021 in k26017 in k23772 in k23768 in k23764 in k20151 in k20147 in k20143 in k20139 in k20135 in k19774 in k19770 in k19766 in k19762 in k19758 in k19754 in k19750 in k19746 in k19742 in ... */
static void C_ccall f_26502(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(8,c,4)))){
C_save_and_reclaim((void *)f_26502,4,av);}
a=C_alloc(8);
t4=C_fast_retrieve(lf[1004]);
t5=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_26508,a[2]=t2,a[3]=((C_word)li784),tmp=(C_word)a,a+=4,tmp);
t6=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_26512,a[2]=t4,a[3]=((C_word)li785),tmp=(C_word)a,a+=4,tmp);
/* library.scm:5236: ##sys#dynamic-wind */
t7=*((C_word*)lf[694]+1);{
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=t7;
av2[1]=t1;
av2[2]=t5;
av2[3]=t3;
av2[4]=t6;
((C_proc)(void*)(*((C_word*)t7+1)))(5,av2);}}

/* a26507 in chicken.condition#with-exception-handler in k26337 in k26025 in k26021 in k26017 in k23772 in k23768 in k23764 in k20151 in k20147 in k20143 in k20139 in k20135 in k19774 in k19770 in k19766 in k19762 in k19758 in k19754 in k19750 in k19746 in ... */
static void C_ccall f_26508(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(c!=2) C_bad_argc_2(c,2,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_26508,2,av);}
t2=C_mutate((C_word*)lf[1004]+1 /* (set! ##sys#current-exception-handler ...) */,((C_word*)t0)[2]);
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=t2;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* a26511 in chicken.condition#with-exception-handler in k26337 in k26025 in k26021 in k26017 in k23772 in k23768 in k23764 in k20151 in k20147 in k20143 in k20139 in k20135 in k19774 in k19770 in k19766 in k19762 in k19758 in k19754 in k19750 in k19746 in ... */
static void C_ccall f_26512(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(c!=2) C_bad_argc_2(c,2,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_26512,2,av);}
t2=C_mutate((C_word*)lf[1004]+1 /* (set! ##sys#current-exception-handler ...) */,((C_word*)t0)[2]);
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=t2;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* chicken.condition#current-exception-handler in k26337 in k26025 in k26021 in k26017 in k23772 in k23768 in k23764 in k20151 in k20147 in k20143 in k20139 in k20135 in k19774 in k19770 in k19766 in k19762 in k19758 in k19754 in k19750 in k19746 in k19742 in ... */
static void C_ccall f_26516(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand((c-2)*C_SIZEOF_PAIR +5,c,3)))){
C_save_and_reclaim((void*)f_26516,c,av);}
a=C_alloc((c-2)*C_SIZEOF_PAIR+5);
t2=C_build_rest(&a,c,2,av);
C_word t3;
C_word t4;
C_word t5;
C_word t6;
if(C_truep(C_i_nullp(t2))){
t3=C_fast_retrieve(lf[1004]);
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_fast_retrieve(lf[1004]);
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}
else{
t3=C_i_car(t2);
t4=t3;
t5=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_26529,a[2]=t2,a[3]=t4,a[4]=t1,tmp=(C_word)a,a+=5,tmp);
/* library.scm:5246: ##sys#check-closure */
t6=*((C_word*)lf[365]+1);{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t6;
av2[1]=t5;
av2[2]=t4;
av2[3]=lf[1025];
((C_proc)(void*)(*((C_word*)t6+1)))(4,av2);}}}

/* k26527 in chicken.condition#current-exception-handler in k26337 in k26025 in k26021 in k26017 in k23772 in k23768 in k23764 in k20151 in k20147 in k20143 in k20139 in k20135 in k19774 in k19770 in k19766 in k19762 in k19758 in k19754 in k19750 in k19746 in ... */
static void C_ccall f_26529(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word t12;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(10,c,2)))){
C_save_and_reclaim((void *)f_26529,2,av);}
a=C_alloc(10);
t2=((C_word*)t0)[2];
t3=C_u_i_cdr(t2);
t4=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_26531,a[2]=((C_word*)t0)[3],a[3]=((C_word)li787),tmp=(C_word)a,a+=4,tmp);
t5=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_26537,a[2]=t4,tmp=(C_word)a,a+=3,tmp);
t6=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_26542,a[2]=t5,tmp=(C_word)a,a+=3,tmp);
if(C_truep(C_i_nullp(t3))){
t7=(
  /* library.scm:5247: def-convert?5991 */
  f_26542(t6)
);
t8=((C_word*)t0)[4];{
C_word *av2=av;
av2[0]=t8;
av2[1]=((C_word*)t0)[3];
((C_proc)(void*)(*((C_word*)t8+1)))(2,av2);}}
else{
t7=C_i_car(t3);
t8=C_u_i_cdr(t3);
if(C_truep(C_i_nullp(t8))){
t9=(
  /* library.scm:5247: def-set?5992 */
  f_26537(t5)
);
t10=((C_word*)t0)[4];{
C_word *av2=av;
av2[0]=t10;
av2[1]=((C_word*)t0)[3];
((C_proc)(void*)(*((C_word*)t10+1)))(2,av2);}}
else{
t9=C_i_car(t8);
t10=C_u_i_cdr(t8);
t11=(
  /* library.scm:5247: body5989 */
  f_26531(t4,t9)
);
t12=((C_word*)t0)[4];{
C_word *av2=av;
av2[0]=t12;
av2[1]=((C_word*)t0)[3];
((C_proc)(void*)(*((C_word*)t12+1)))(2,av2);}}}}

/* body5989 in k26527 in chicken.condition#current-exception-handler in k26337 in k26025 in k26021 in k26017 in k23772 in k23768 in k23764 in k20151 in k20147 in k20143 in k20139 in k20135 in k19774 in k19770 in k19766 in k19762 in k19758 in k19754 in k19750 in ... */
static C_word C_fcall f_26531(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_stack_overflow_check;{}
if(C_truep(t1)){
t2=C_mutate((C_word*)lf[1004]+1 /* (set! ##sys#current-exception-handler ...) */,((C_word*)t0)[2]);
return(t2);}
else{
t2=C_SCHEME_UNDEFINED;
return(t2);}}

/* def-set?5992 in k26527 in chicken.condition#current-exception-handler in k26337 in k26025 in k26021 in k26017 in k23772 in k23768 in k23764 in k20151 in k20147 in k20143 in k20139 in k20135 in k19774 in k19770 in k19766 in k19762 in k19758 in k19754 in k19750 in ... */
static C_word C_fcall f_26537(C_word t0){
C_word tmp;
C_word t1;
C_stack_overflow_check;{}
return((
  /* library.scm:5247: body5989 */
  f_26531(((C_word*)t0)[2],C_SCHEME_TRUE)
));}

/* def-convert?5991 in k26527 in chicken.condition#current-exception-handler in k26337 in k26025 in k26021 in k26017 in k23772 in k23768 in k23764 in k20151 in k20147 in k20143 in k20139 in k20135 in k19774 in k19770 in k19766 in k19762 in k19758 in k19754 in k19750 in ... */
static C_word C_fcall f_26542(C_word t0){
C_word tmp;
C_word t1;
C_stack_overflow_check;{}
return((
  /* library.scm:5247: def-set?5992 */
  f_26537(((C_word*)t0)[2])
));}

/* chicken.condition#prop-list->kind-prefixed-prop-list in k26337 in k26025 in k26021 in k26017 in k23772 in k23768 in k23764 in k20151 in k20147 in k20143 in k20139 in k20135 in k19774 in k19770 in k19766 in k19762 in k19758 in k19754 in k19750 in k19746 in k19742 in ... */
static void C_fcall f_26577(C_word t1,C_word t2,C_word t3,C_word t4){
C_word tmp;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(9,0,3)))){
C_save_and_reclaim_args((void *)trf_26577,4,t1,t2,t3,t4);}
a=C_alloc(9);
t5=C_SCHEME_UNDEFINED;
t6=(*a=C_VECTOR_TYPE|1,a[1]=t5,tmp=(C_word)a,a+=2,tmp);
t7=C_set_block_item(t6,0,(*a=C_CLOSURE_TYPE|6,a[1]=(C_word)f_26583,a[2]=t2,a[3]=t4,a[4]=t3,a[5]=t6,a[6]=((C_word)li789),tmp=(C_word)a,a+=7,tmp));
t8=((C_word*)t6)[1];
f_26583(t8,t1,t4);}

/* loop in chicken.condition#prop-list->kind-prefixed-prop-list in k26337 in k26025 in k26021 in k26017 in k23772 in k23768 in k23764 in k20151 in k20147 in k20143 in k20139 in k20135 in k19774 in k19770 in k19766 in k19762 in k19758 in k19754 in k19750 in k19746 in ... */
static void C_fcall f_26583(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(8,0,2)))){
C_save_and_reclaim_args((void *)trf_26583,3,t0,t1,t2);}
a=C_alloc(8);
if(C_truep(C_i_nullp(t2))){
t3=t1;{
C_word av2[2];
av2[0]=t3;
av2[1]=C_SCHEME_END_OF_LIST;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}
else{
t3=C_i_pairp(t2);
t4=C_i_not(t3);
t5=(*a=C_CLOSURE_TYPE|7,a[1]=(C_word)f_26599,a[2]=t1,a[3]=((C_word*)t0)[2],a[4]=((C_word*)t0)[3],a[5]=t2,a[6]=((C_word*)t0)[4],a[7]=((C_word*)t0)[5],tmp=(C_word)a,a+=8,tmp);
if(C_truep(t4)){
t6=t5;
f_26599(t6,t4);}
else{
t6=C_i_cdr(t2);
t7=C_i_pairp(t6);
t8=t5;
f_26599(t8,C_i_not(t7));}}}

/* k26597 in loop in chicken.condition#prop-list->kind-prefixed-prop-list in k26337 in k26025 in k26021 in k26017 in k23772 in k23768 in k23764 in k20151 in k20147 in k20143 in k20139 in k20135 in k19774 in k19770 in k19766 in k19762 in k19758 in k19754 in k19750 in ... */
static void C_fcall f_26599(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(8,0,5)))){
C_save_and_reclaim_args((void *)trf_26599,2,t0,t1);}
a=C_alloc(8);
if(C_truep(t1)){
/* library.scm:5257: ##sys#signal-hook */
t2=C_fast_retrieve(lf[194]);{
C_word av2[6];
av2[0]=t2;
av2[1]=((C_word*)t0)[2];
av2[2]=lf[258];
av2[3]=((C_word*)t0)[3];
av2[4]=lf[1027];
av2[5]=((C_word*)t0)[4];
((C_proc)(void*)(*((C_word*)t2+1)))(6,av2);}}
else{
t2=C_i_car(((C_word*)t0)[5]);
t3=C_a_i_cons(&a,2,((C_word*)t0)[6],t2);
t4=t3;
t5=C_i_cadr(((C_word*)t0)[5]);
t6=t5;
t7=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_26621,a[2]=t6,a[3]=((C_word*)t0)[2],a[4]=t4,tmp=(C_word)a,a+=5,tmp);
t8=((C_word*)t0)[5];
t9=C_u_i_cdr(t8);
t10=C_u_i_cdr(t9);
/* library.scm:5261: loop */
t11=((C_word*)((C_word*)t0)[7])[1];
f_26583(t11,t7,t10);}}

/* k26619 in k26597 in loop in chicken.condition#prop-list->kind-prefixed-prop-list in k26337 in k26025 in k26021 in k26017 in k23772 in k23768 in k23764 in k20151 in k20147 in k20143 in k20139 in k20135 in k19774 in k19770 in k19766 in k19762 in k19758 in k19754 in ... */
static void C_ccall f_26621(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,c,1)))){
C_save_and_reclaim((void *)f_26621,2,av);}
a=C_alloc(6);
t2=C_a_i_cons(&a,2,((C_word*)t0)[2],t1);
t3=((C_word*)t0)[3];{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_a_i_cons(&a,2,((C_word*)t0)[4],t2);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* chicken.condition#make-property-condition in k26337 in k26025 in k26021 in k26017 in k23772 in k23768 in k23764 in k20151 in k20147 in k20143 in k20139 in k20135 in k19774 in k19770 in k19766 in k19762 in k19758 in k19754 in k19750 in k19746 in k19742 in ... */
static void C_ccall f_26645(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c<3) C_bad_min_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand((c-3)*C_SIZEOF_PAIR +7,c,4)))){
C_save_and_reclaim((void*)f_26645,c,av);}
a=C_alloc((c-3)*C_SIZEOF_PAIR+7);
t3=C_build_rest(&a,c,3,av);
C_word t4;
C_word t5;
C_word t6;
C_word t7;
t4=C_a_i_list1(&a,1,t2);
t5=t4;
t6=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_26657,a[2]=t1,a[3]=t5,tmp=(C_word)a,a+=4,tmp);
/* library.scm:5266: prop-list->kind-prefixed-prop-list */
f_26577(t6,lf[1029],t2,t3);}

/* k26655 in chicken.condition#make-property-condition in k26337 in k26025 in k26021 in k26017 in k23772 in k23768 in k23764 in k20151 in k20147 in k20143 in k20139 in k20135 in k19774 in k19770 in k19766 in k19762 in k19758 in k19754 in k19750 in k19746 in ... */
static void C_ccall f_26657(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,c,1)))){
C_save_and_reclaim((void *)f_26657,2,av);}
a=C_alloc(4);
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=C_a_i_record3(&a,3,lf[912],((C_word*)t0)[3],t1);
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* chicken.condition#make-composite-condition in k26337 in k26025 in k26021 in k26017 in k23772 in k23768 in k23764 in k20151 in k20147 in k20143 in k20139 in k20135 in k19774 in k19770 in k19766 in k19762 in k19758 in k19754 in k19750 in k19746 in k19742 in ... */
static void C_ccall f_26659(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c<3) C_bad_min_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand((c-3)*C_SIZEOF_PAIR +26,c,3)))){
C_save_and_reclaim((void*)f_26659,c,av);}
a=C_alloc((c-3)*C_SIZEOF_PAIR+26);
t3=C_build_rest(&a,c,3,av);
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word t12;
C_word t13;
C_word t14;
C_word t15;
C_word t16;
C_word t17;
t4=C_a_i_cons(&a,2,t2,t3);
t5=t4;
t6=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_26776,a[2]=((C_word)li792),tmp=(C_word)a,a+=3,tmp);
t7=(
  f_26776(t5)
);
t8=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_26678,a[2]=t1,a[3]=t5,tmp=(C_word)a,a+=4,tmp);
t9=C_a_i_cons(&a,2,C_SCHEME_UNDEFINED,C_SCHEME_END_OF_LIST);
t10=t9;
t11=(*a=C_VECTOR_TYPE|1,a[1]=t10,tmp=(C_word)a,a+=2,tmp);
t12=((C_word*)t11)[1];
t13=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_26740,a[2]=t8,tmp=(C_word)a,a+=3,tmp);
t14=C_SCHEME_UNDEFINED;
t15=(*a=C_VECTOR_TYPE|1,a[1]=t14,tmp=(C_word)a,a+=2,tmp);
t16=C_set_block_item(t15,0,(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_26742,a[2]=t11,a[3]=t15,a[4]=t12,a[5]=((C_word)li794),tmp=(C_word)a,a+=6,tmp));
t17=((C_word*)t15)[1];
f_26742(t17,t13,t5);}

/* k26676 in chicken.condition#make-composite-condition in k26337 in k26025 in k26021 in k26017 in k23772 in k23768 in k23764 in k20151 in k20147 in k20143 in k20139 in k20135 in k19774 in k19770 in k19766 in k19762 in k19758 in k19754 in k19750 in k19746 in ... */
static void C_ccall f_26678(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word t12;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(20,c,3)))){
C_save_and_reclaim((void *)f_26678,2,av);}
a=C_alloc(20);
t2=t1;
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_26682,a[2]=((C_word*)t0)[2],a[3]=t2,tmp=(C_word)a,a+=4,tmp);
t4=C_a_i_cons(&a,2,C_SCHEME_UNDEFINED,C_SCHEME_END_OF_LIST);
t5=t4;
t6=(*a=C_VECTOR_TYPE|1,a[1]=t5,tmp=(C_word)a,a+=2,tmp);
t7=((C_word*)t6)[1];
t8=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_26694,a[2]=t3,tmp=(C_word)a,a+=3,tmp);
t9=C_SCHEME_UNDEFINED;
t10=(*a=C_VECTOR_TYPE|1,a[1]=t9,tmp=(C_word)a,a+=2,tmp);
t11=C_set_block_item(t10,0,(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_26696,a[2]=t6,a[3]=t10,a[4]=t7,a[5]=((C_word)li793),tmp=(C_word)a,a+=6,tmp));
t12=((C_word*)t10)[1];
f_26696(t12,t8,((C_word*)t0)[3]);}

/* k26680 in k26676 in chicken.condition#make-composite-condition in k26337 in k26025 in k26021 in k26017 in k23772 in k23768 in k23764 in k20151 in k20147 in k20143 in k20139 in k20135 in k19774 in k19770 in k19766 in k19762 in k19758 in k19754 in k19750 in ... */
static void C_ccall f_26682(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,c,1)))){
C_save_and_reclaim((void *)f_26682,2,av);}
a=C_alloc(4);
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=C_a_i_record3(&a,3,lf[912],((C_word*)t0)[3],t1);
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* k26692 in k26676 in chicken.condition#make-composite-condition in k26337 in k26025 in k26021 in k26017 in k23772 in k23768 in k23764 in k20151 in k20147 in k20143 in k20139 in k20135 in k19774 in k19770 in k19766 in k19762 in k19758 in k19754 in k19750 in ... */
static void C_ccall f_26694(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_26694,2,av);}{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=0;
av2[1]=((C_word*)t0)[2];
av2[2]=*((C_word*)lf[254]+1);
av2[3]=t1;
C_apply(4,av2);}}

/* map-loop6078 in k26676 in chicken.condition#make-composite-condition in k26337 in k26025 in k26021 in k26017 in k23772 in k23768 in k23764 in k20151 in k20147 in k20143 in k20139 in k20135 in k19774 in k19770 in k19766 in k19762 in k19758 in k19754 in k19750 in ... */
static void C_fcall f_26696(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word *a;
loop:
if(C_unlikely(!C_demand(C_calculate_demand(3,0,2)))){
C_save_and_reclaim_args((void *)trf_26696,3,t0,t1,t2);}
a=C_alloc(3);
if(C_truep(C_i_pairp(t2))){
t3=C_slot(t2,C_fix(0));
t4=C_slot(t3,C_fix(2));
t5=C_a_i_cons(&a,2,t4,C_SCHEME_END_OF_LIST);
t6=C_i_setslot(((C_word*)((C_word*)t0)[2])[1],C_fix(1),t5);
t7=C_mutate(((C_word *)((C_word*)t0)[2])+1,t5);
t8=C_slot(t2,C_fix(1));
t10=t1;
t11=t8;
t1=t10;
t2=t11;
goto loop;}
else{
t3=t1;{
C_word av2[2];
av2[0]=t3;
av2[1]=C_slot(((C_word*)t0)[4],C_fix(1));
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}}

/* k26738 in chicken.condition#make-composite-condition in k26337 in k26025 in k26021 in k26017 in k23772 in k23768 in k23764 in k20151 in k20147 in k20143 in k20139 in k20135 in k19774 in k19770 in k19766 in k19762 in k19758 in k19754 in k19750 in k19746 in ... */
static void C_ccall f_26740(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_26740,2,av);}{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=0;
av2[1]=((C_word*)t0)[2];
av2[2]=*((C_word*)lf[254]+1);
av2[3]=t1;
C_apply(4,av2);}}

/* map-loop6051 in chicken.condition#make-composite-condition in k26337 in k26025 in k26021 in k26017 in k23772 in k23768 in k23764 in k20151 in k20147 in k20143 in k20139 in k20135 in k19774 in k19770 in k19766 in k19762 in k19758 in k19754 in k19750 in k19746 in ... */
static void C_fcall f_26742(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word *a;
loop:
if(C_unlikely(!C_demand(C_calculate_demand(3,0,2)))){
C_save_and_reclaim_args((void *)trf_26742,3,t0,t1,t2);}
a=C_alloc(3);
if(C_truep(C_i_pairp(t2))){
t3=C_slot(t2,C_fix(0));
t4=C_slot(t3,C_fix(1));
t5=C_a_i_cons(&a,2,t4,C_SCHEME_END_OF_LIST);
t6=C_i_setslot(((C_word*)((C_word*)t0)[2])[1],C_fix(1),t5);
t7=C_mutate(((C_word *)((C_word*)t0)[2])+1,t5);
t8=C_slot(t2,C_fix(1));
t10=t1;
t11=t8;
t1=t10;
t2=t11;
goto loop;}
else{
t3=t1;{
C_word av2[2];
av2[0]=t3;
av2[1]=C_slot(((C_word*)t0)[4],C_fix(1));
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}}

/* for-each-loop6033 in chicken.condition#make-composite-condition in k26337 in k26025 in k26021 in k26017 in k23772 in k23768 in k23764 in k20151 in k20147 in k20143 in k20139 in k20135 in k19774 in k19770 in k19766 in k19762 in k19758 in k19754 in k19750 in k19746 in ... */
static C_word C_fcall f_26776(C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_stack_overflow_check;
loop:{}
if(C_truep(C_i_pairp(t1))){
t2=C_slot(t1,C_fix(0));
t3=C_i_check_structure_2(t2,lf[912],lf[1031]);
t4=C_slot(t1,C_fix(1));
t6=t4;
t1=t6;
goto loop;}
else{
t2=C_SCHEME_UNDEFINED;
return(t2);}}

/* chicken.condition#condition in k26337 in k26025 in k26021 in k26017 in k23772 in k23768 in k23764 in k20151 in k20147 in k20143 in k20139 in k20135 in k19774 in k19770 in k19766 in k19762 in k19758 in k19754 in k19750 in k19746 in k19742 in ... */
static void C_ccall f_26799(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c<3) C_bad_min_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand((c-3)*C_SIZEOF_PAIR +23,c,3)))){
C_save_and_reclaim((void*)f_26799,c,av);}
a=C_alloc((c-3)*C_SIZEOF_PAIR+23);
t3=C_build_rest(&a,c,3,av);
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word t12;
C_word t13;
C_word t14;
C_word t15;
t4=C_a_i_cons(&a,2,t2,t3);
t5=t4;
t6=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_26806,a[2]=t1,a[3]=t5,tmp=(C_word)a,a+=4,tmp);
t7=C_a_i_cons(&a,2,C_SCHEME_UNDEFINED,C_SCHEME_END_OF_LIST);
t8=t7;
t9=(*a=C_VECTOR_TYPE|1,a[1]=t8,tmp=(C_word)a,a+=2,tmp);
t10=((C_word*)t9)[1];
t11=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_26868,a[2]=t6,tmp=(C_word)a,a+=3,tmp);
t12=C_SCHEME_UNDEFINED;
t13=(*a=C_VECTOR_TYPE|1,a[1]=t12,tmp=(C_word)a,a+=2,tmp);
t14=C_set_block_item(t13,0,(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_26870,a[2]=t9,a[3]=t13,a[4]=t10,a[5]=((C_word)li797),tmp=(C_word)a,a+=6,tmp));
t15=((C_word*)t13)[1];
f_26870(t15,t11,t5);}

/* k26804 in chicken.condition#condition in k26337 in k26025 in k26021 in k26017 in k23772 in k23768 in k23764 in k20151 in k20147 in k20143 in k20139 in k20135 in k19774 in k19770 in k19766 in k19762 in k19758 in k19754 in k19750 in k19746 in ... */
static void C_ccall f_26806(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(17,c,3)))){
C_save_and_reclaim((void *)f_26806,2,av);}
a=C_alloc(17);
t2=t1;
t3=C_a_i_cons(&a,2,C_SCHEME_UNDEFINED,C_SCHEME_END_OF_LIST);
t4=t3;
t5=(*a=C_VECTOR_TYPE|1,a[1]=t4,tmp=(C_word)a,a+=2,tmp);
t6=((C_word*)t5)[1];
t7=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_26816,a[2]=((C_word*)t0)[2],a[3]=t2,tmp=(C_word)a,a+=4,tmp);
t8=C_SCHEME_UNDEFINED;
t9=(*a=C_VECTOR_TYPE|1,a[1]=t8,tmp=(C_word)a,a+=2,tmp);
t10=C_set_block_item(t9,0,(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_26818,a[2]=t5,a[3]=t9,a[4]=t6,a[5]=((C_word)li796),tmp=(C_word)a,a+=6,tmp));
t11=((C_word*)t9)[1];
f_26818(t11,t7,((C_word*)t0)[3]);}

/* k26814 in k26804 in chicken.condition#condition in k26337 in k26025 in k26021 in k26017 in k23772 in k23768 in k23764 in k20151 in k20147 in k20143 in k20139 in k20135 in k19774 in k19770 in k19766 in k19762 in k19758 in k19754 in k19750 in ... */
static void C_ccall f_26816(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,c,1)))){
C_save_and_reclaim((void *)f_26816,2,av);}
a=C_alloc(4);
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=C_a_i_record3(&a,3,lf[912],t1,((C_word*)t0)[3]);
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* map-loop6138 in k26804 in chicken.condition#condition in k26337 in k26025 in k26021 in k26017 in k23772 in k23768 in k23764 in k20151 in k20147 in k20143 in k20139 in k20135 in k19774 in k19770 in k19766 in k19762 in k19758 in k19754 in k19750 in ... */
static void C_fcall f_26818(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word *a;
loop:
if(C_unlikely(!C_demand(C_calculate_demand(3,0,2)))){
C_save_and_reclaim_args((void *)trf_26818,3,t0,t1,t2);}
a=C_alloc(3);
if(C_truep(C_i_pairp(t2))){
t3=C_slot(t2,C_fix(0));
t4=C_i_car(t3);
t5=C_a_i_cons(&a,2,t4,C_SCHEME_END_OF_LIST);
t6=C_i_setslot(((C_word*)((C_word*)t0)[2])[1],C_fix(1),t5);
t7=C_mutate(((C_word *)((C_word*)t0)[2])+1,t5);
t8=C_slot(t2,C_fix(1));
t10=t1;
t11=t8;
t1=t10;
t2=t11;
goto loop;}
else{
t3=t1;{
C_word av2[2];
av2[0]=t3;
av2[1]=C_slot(((C_word*)t0)[4],C_fix(1));
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}}

/* k26866 in chicken.condition#condition in k26337 in k26025 in k26021 in k26017 in k23772 in k23768 in k23764 in k20151 in k20147 in k20143 in k20139 in k20135 in k19774 in k19770 in k19766 in k19762 in k19758 in k19754 in k19750 in k19746 in ... */
static void C_ccall f_26868(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_26868,2,av);}{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=0;
av2[1]=((C_word*)t0)[2];
av2[2]=*((C_word*)lf[254]+1);
av2[3]=t1;
C_apply(4,av2);}}

/* map-loop6111 in chicken.condition#condition in k26337 in k26025 in k26021 in k26017 in k23772 in k23768 in k23764 in k20151 in k20147 in k20143 in k20139 in k20135 in k19774 in k19770 in k19766 in k19762 in k19758 in k19754 in k19750 in k19746 in ... */
static void C_fcall f_26870(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,0,4)))){
C_save_and_reclaim_args((void *)trf_26870,3,t0,t1,t2);}
a=C_alloc(6);
if(C_truep(C_i_pairp(t2))){
t3=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_26895,a[2]=((C_word*)t0)[2],a[3]=t2,a[4]=((C_word*)t0)[3],a[5]=t1,tmp=(C_word)a,a+=6,tmp);
t4=C_slot(t2,C_fix(0));
t5=C_i_car(t4);
t6=C_u_i_cdr(t4);
/* library.scm:5281: prop-list->kind-prefixed-prop-list */
f_26577(t3,lf[912],t5,t6);}
else{
t3=t1;{
C_word av2[2];
av2[0]=t3;
av2[1]=C_slot(((C_word*)t0)[4],C_fix(1));
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}}

/* k26893 in map-loop6111 in chicken.condition#condition in k26337 in k26025 in k26021 in k26017 in k23772 in k23768 in k23764 in k20151 in k20147 in k20143 in k20139 in k20135 in k19774 in k19770 in k19766 in k19762 in k19758 in k19754 in k19750 in ... */
static void C_ccall f_26895(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,2)))){
C_save_and_reclaim((void *)f_26895,2,av);}
a=C_alloc(3);
t2=C_a_i_cons(&a,2,t1,C_SCHEME_END_OF_LIST);
t3=C_i_setslot(((C_word*)((C_word*)t0)[2])[1],C_fix(1),t2);
t4=C_mutate(((C_word *)((C_word*)t0)[2])+1,t2);
t5=C_slot(((C_word*)t0)[3],C_fix(1));
t6=((C_word*)((C_word*)t0)[4])[1];
f_26870(t6,((C_word*)t0)[5],t5);}

/* chicken.condition#condition? in k26337 in k26025 in k26021 in k26017 in k23772 in k23768 in k23764 in k20151 in k20147 in k20143 in k20139 in k20135 in k19774 in k19770 in k19766 in k19762 in k19758 in k19754 in k19750 in k19746 in k19742 in ... */
static void C_ccall f_26904(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_26904,3,av);}
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_i_structurep(t2,lf[912]);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* chicken.condition#condition->list in k26337 in k26025 in k26021 in k26017 in k23772 in k23768 in k23764 in k20151 in k20147 in k20143 in k20139 in k20135 in k19774 in k19770 in k19766 in k19762 in k19758 in k19754 in k19750 in k19746 in k19742 in ... */
static void C_ccall f_26910(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(8,c,2)))){
C_save_and_reclaim((void *)f_26910,3,av);}
a=C_alloc(8);
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_26914,a[2]=t2,a[3]=t1,tmp=(C_word)a,a+=4,tmp);
t4=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_27023,a[2]=t3,a[3]=t2,tmp=(C_word)a,a+=4,tmp);
/* library.scm:5289: condition? */
t5=C_fast_retrieve(lf[1033]);{
C_word *av2=av;
av2[0]=t5;
av2[1]=t4;
av2[2]=t2;
((C_proc)(void*)(*((C_word*)t5+1)))(3,av2);}}

/* k26912 in chicken.condition#condition->list in k26337 in k26025 in k26021 in k26017 in k23772 in k23768 in k23764 in k20151 in k20147 in k20143 in k20139 in k20135 in k19774 in k19770 in k19766 in k19762 in k19758 in k19754 in k19750 in k19746 in ... */
static void C_ccall f_26914(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word t12;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(18,c,3)))){
C_save_and_reclaim((void *)f_26914,2,av);}
a=C_alloc(18);
t2=C_a_i_cons(&a,2,C_SCHEME_UNDEFINED,C_SCHEME_END_OF_LIST);
t3=t2;
t4=(*a=C_VECTOR_TYPE|1,a[1]=t3,tmp=(C_word)a,a+=2,tmp);
t5=((C_word*)t4)[1];
t6=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_26918,a[2]=((C_word*)t0)[2],a[3]=((C_word)li801),tmp=(C_word)a,a+=4,tmp);
t7=C_slot(((C_word*)t0)[2],C_fix(1));
t8=C_i_check_list_2(t7,lf[691]);
t9=C_SCHEME_UNDEFINED;
t10=(*a=C_VECTOR_TYPE|1,a[1]=t9,tmp=(C_word)a,a+=2,tmp);
t11=C_set_block_item(t10,0,(*a=C_CLOSURE_TYPE|6,a[1]=(C_word)f_26988,a[2]=t4,a[3]=t10,a[4]=t6,a[5]=t5,a[6]=((C_word)li802),tmp=(C_word)a,a+=7,tmp));
t12=((C_word*)t10)[1];
f_26988(t12,((C_word*)t0)[3],t7);}

/* g6174 in k26912 in chicken.condition#condition->list in k26337 in k26025 in k26021 in k26017 in k23772 in k23768 in k23764 in k20151 in k20147 in k20143 in k20139 in k20135 in k19774 in k19770 in k19766 in k19762 in k19758 in k19754 in k19750 in ... */
static void C_fcall f_26918(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(11,0,3)))){
C_save_and_reclaim_args((void *)trf_26918,3,t0,t1,t2);}
a=C_alloc(11);
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_26926,a[2]=t1,a[3]=t2,tmp=(C_word)a,a+=4,tmp);
t4=C_slot(((C_word*)t0)[2],C_fix(2));
t5=C_SCHEME_UNDEFINED;
t6=(*a=C_VECTOR_TYPE|1,a[1]=t5,tmp=(C_word)a,a+=2,tmp);
t7=C_set_block_item(t6,0,(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_26932,a[2]=t2,a[3]=t6,a[4]=((C_word)li800),tmp=(C_word)a,a+=5,tmp));
t8=((C_word*)t6)[1];
f_26932(t8,t3,t4);}

/* k26924 in g6174 in k26912 in chicken.condition#condition->list in k26337 in k26025 in k26021 in k26017 in k23772 in k23768 in k23764 in k20151 in k20147 in k20143 in k20139 in k20135 in k19774 in k19770 in k19766 in k19762 in k19758 in k19754 in ... */
static void C_ccall f_26926(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,1)))){
C_save_and_reclaim((void *)f_26926,2,av);}
a=C_alloc(3);
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=C_a_i_cons(&a,2,((C_word*)t0)[3],t1);
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* loop in g6174 in k26912 in chicken.condition#condition->list in k26337 in k26025 in k26021 in k26017 in k23772 in k23768 in k23764 in k20151 in k20147 in k20143 in k20139 in k20135 in k19774 in k19770 in k19766 in k19762 in k19758 in k19754 in ... */
static void C_fcall f_26932(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word t12;
C_word t13;
C_word t14;
C_word t15;
C_word t16;
C_word *a;
loop:
if(C_unlikely(!C_demand(C_calculate_demand(5,0,2)))){
C_save_and_reclaim_args((void *)trf_26932,3,t0,t1,t2);}
a=C_alloc(5);
if(C_truep(C_i_nullp(t2))){
t3=t1;{
C_word av2[2];
av2[0]=t3;
av2[1]=C_SCHEME_END_OF_LIST;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}
else{
t3=C_i_caar(t2);
t4=C_eqp(t3,((C_word*)t0)[2]);
if(C_truep(t4)){
t5=t2;
t6=C_u_i_car(t5);
t7=C_u_i_cdr(t6);
t8=C_i_cadr(t2);
t9=t8;
t10=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_26963,a[2]=t9,a[3]=t1,a[4]=t7,tmp=(C_word)a,a+=5,tmp);
t11=t2;
t12=C_u_i_cdr(t11);
t13=C_u_i_cdr(t12);
/* library.scm:5299: loop */
t15=t10;
t16=t13;
t1=t15;
t2=t16;
goto loop;}
else{
t5=C_i_cddr(t2);
/* library.scm:5301: loop */
t15=t1;
t16=t5;
t1=t15;
t2=t16;
goto loop;}}}

/* k26961 in loop in g6174 in k26912 in chicken.condition#condition->list in k26337 in k26025 in k26021 in k26017 in k23772 in k23768 in k23764 in k20151 in k20147 in k20143 in k20139 in k20135 in k19774 in k19770 in k19766 in k19762 in k19758 in ... */
static void C_ccall f_26963(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,c,1)))){
C_save_and_reclaim((void *)f_26963,2,av);}
a=C_alloc(6);
t2=C_a_i_cons(&a,2,((C_word*)t0)[2],t1);
t3=((C_word*)t0)[3];{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_a_i_cons(&a,2,((C_word*)t0)[4],t2);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* map-loop6168 in k26912 in chicken.condition#condition->list in k26337 in k26025 in k26021 in k26017 in k23772 in k23768 in k23764 in k20151 in k20147 in k20143 in k20139 in k20135 in k19774 in k19770 in k19766 in k19762 in k19758 in k19754 in k19750 in ... */
static void C_fcall f_26988(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,0,2)))){
C_save_and_reclaim_args((void *)trf_26988,3,t0,t1,t2);}
a=C_alloc(6);
if(C_truep(C_i_pairp(t2))){
t3=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_27013,a[2]=((C_word*)t0)[2],a[3]=t2,a[4]=((C_word*)t0)[3],a[5]=t1,tmp=(C_word)a,a+=6,tmp);
t4=C_slot(t2,C_fix(0));
/* library.scm:5293: g6174 */
t5=((C_word*)t0)[4];
f_26918(t5,t3,t4);}
else{
t3=t1;{
C_word av2[2];
av2[0]=t3;
av2[1]=C_slot(((C_word*)t0)[5],C_fix(1));
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}}

/* k27011 in map-loop6168 in k26912 in chicken.condition#condition->list in k26337 in k26025 in k26021 in k26017 in k23772 in k23768 in k23764 in k20151 in k20147 in k20143 in k20139 in k20135 in k19774 in k19770 in k19766 in k19762 in k19758 in k19754 in ... */
static void C_ccall f_27013(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,2)))){
C_save_and_reclaim((void *)f_27013,2,av);}
a=C_alloc(3);
t2=C_a_i_cons(&a,2,t1,C_SCHEME_END_OF_LIST);
t3=C_i_setslot(((C_word*)((C_word*)t0)[2])[1],C_fix(1),t2);
t4=C_mutate(((C_word *)((C_word*)t0)[2])+1,t2);
t5=C_slot(((C_word*)t0)[3],C_fix(1));
t6=((C_word*)((C_word*)t0)[4])[1];
f_26988(t6,((C_word*)t0)[5],t5);}

/* k27021 in chicken.condition#condition->list in k26337 in k26025 in k26021 in k26017 in k23772 in k23768 in k23764 in k20151 in k20147 in k20143 in k20139 in k20135 in k19774 in k19770 in k19766 in k19762 in k19758 in k19754 in k19750 in k19746 in ... */
static void C_ccall f_27023(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,5)))){
C_save_and_reclaim((void *)f_27023,2,av);}
if(C_truep(t1)){
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=C_SCHEME_UNDEFINED;
f_26914(2,av2);}}
else{
/* library.scm:5290: ##sys#signal-hook */
t2=C_fast_retrieve(lf[194]);{
C_word *av2;
if(c >= 6) {
  av2=av;
} else {
  av2=C_alloc(6);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[2];
av2[2]=lf[258];
av2[3]=lf[1035];
av2[4]=lf[1036];
av2[5]=((C_word*)t0)[3];
((C_proc)(void*)(*((C_word*)t2+1)))(6,av2);}}}

/* chicken.condition#condition-predicate in k26337 in k26025 in k26021 in k26017 in k23772 in k23768 in k23764 in k20151 in k20147 in k20143 in k20139 in k20135 in k19774 in k19770 in k19766 in k19762 in k19758 in k19754 in k19750 in k19746 in k19742 in ... */
static void C_ccall f_27028(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(4,c,3)))){
C_save_and_reclaim((void *)f_27028,3,av);}
a=C_alloc(4);
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_27030,a[2]=t2,a[3]=((C_word)li804),tmp=(C_word)a,a+=4,tmp);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* f_27030 in chicken.condition#condition-predicate in k26337 in k26025 in k26021 in k26017 in k23772 in k23768 in k23764 in k20151 in k20147 in k20143 in k20139 in k20135 in k19774 in k19770 in k19766 in k19762 in k19758 in k19754 in k19750 in k19746 in ... */
static void C_ccall f_27030(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(5,c,2)))){
C_save_and_reclaim((void *)f_27030,3,av);}
a=C_alloc(5);
t3=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_27037,a[2]=t2,a[3]=((C_word*)t0)[2],a[4]=t1,tmp=(C_word)a,a+=5,tmp);
/* library.scm:5306: condition? */
t4=C_fast_retrieve(lf[1033]);{
C_word *av2=av;
av2[0]=t4;
av2[1]=t3;
av2[2]=t2;
((C_proc)(void*)(*((C_word*)t4+1)))(3,av2);}}

/* k27035 */
static void C_ccall f_27037(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_27037,2,av);}
if(C_truep(t1)){
t2=C_slot(((C_word*)t0)[2],C_fix(1));
t3=C_i_memv(((C_word*)t0)[3],t2);
t4=((C_word*)t0)[4];{
C_word *av2=av;
av2[0]=t4;
av2[1]=(C_truep(t3)?C_SCHEME_TRUE:C_SCHEME_FALSE);
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}
else{
t2=((C_word*)t0)[4];{
C_word *av2=av;
av2[0]=t2;
av2[1]=C_SCHEME_FALSE;
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}}

/* chicken.condition#condition-property-accessor in k26337 in k26025 in k26021 in k26017 in k23772 in k23768 in k23764 in k20151 in k20147 in k20143 in k20139 in k20135 in k19774 in k19770 in k19766 in k19762 in k19758 in k19754 in k19750 in k19746 in k19742 in ... */
static void C_ccall f_27049(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word *a;
if(c<4) C_bad_min_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand((c-4)*C_SIZEOF_PAIR +11,c,3)))){
C_save_and_reclaim((void*)f_27049,c,av);}
a=C_alloc((c-4)*C_SIZEOF_PAIR+11);
t4=C_build_rest(&a,c,4,av);
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
t5=C_i_nullp(t4);
t6=t5;
t7=C_a_i_cons(&a,2,t2,t3);
t8=t7;
t9=t1;{
C_word *av2=av;
av2[0]=t9;
av2[1]=(*a=C_CLOSURE_TYPE|7,a[1]=(C_word)f_27057,a[2]=t2,a[3]=t8,a[4]=t6,a[5]=t3,a[6]=t4,a[7]=((C_word)li806),tmp=(C_word)a,a+=8,tmp);
((C_proc)(void*)(*((C_word*)t9+1)))(2,av2);}}

/* f_27057 in chicken.condition#condition-property-accessor in k26337 in k26025 in k26021 in k26017 in k23772 in k23768 in k23764 in k20151 in k20147 in k20143 in k20139 in k20135 in k19774 in k19770 in k19766 in k19762 in k19758 in k19754 in k19750 in k19746 in ... */
static void C_ccall f_27057(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,5)))){
C_save_and_reclaim((void *)f_27057,3,av);}
t3=C_i_check_structure(t2,lf[912]);
t4=C_slot(t2,C_fix(1));
if(C_truep(C_i_memv(((C_word*)t0)[2],t4))){
t5=C_slot(t2,C_fix(2));
t6=C_i_member(((C_word*)t0)[3],t5);
if(C_truep(t6)){
t7=t1;{
C_word *av2=av;
av2[0]=t7;
av2[1]=C_i_cadr(t6);
((C_proc)(void*)(*((C_word*)t7+1)))(2,av2);}}
else{
if(C_truep(((C_word*)t0)[4])){
/* library.scm:5317: ##sys#signal-hook */
t7=C_fast_retrieve(lf[194]);{
C_word *av2;
if(c >= 6) {
  av2=av;
} else {
  av2=C_alloc(6);
}
av2[0]=t7;
av2[1]=t1;
av2[2]=lf[258];
av2[3]=lf[1039];
av2[4]=lf[1040];
av2[5]=((C_word*)t0)[5];
((C_proc)(void*)(*((C_word*)t7+1)))(6,av2);}}
else{
t7=t1;{
C_word *av2=av;
av2[0]=t7;
av2[1]=C_i_car(((C_word*)t0)[6]);
((C_proc)(void*)(*((C_word*)t7+1)))(2,av2);}}}}
else{
t5=t1;{
C_word *av2=av;
av2[0]=t5;
av2[1]=C_SCHEME_FALSE;
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}}

/* chicken.condition#get-condition-property in k26337 in k26025 in k26021 in k26017 in k23772 in k23768 in k23764 in k20151 in k20147 in k20143 in k20139 in k20135 in k19774 in k19770 in k19766 in k19762 in k19758 in k19754 in k19750 in k19746 in k19742 in ... */
static void C_ccall f_27095(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4=av[4];
C_word t5;
C_word *a;
if(c<5) C_bad_min_argc_2(c,5,t0);
if(C_unlikely(!C_demand(C_calculate_demand((c-5)*C_SIZEOF_PAIR +4,c,5)))){
C_save_and_reclaim((void*)f_27095,c,av);}
a=C_alloc((c-5)*C_SIZEOF_PAIR+4);
t5=C_build_rest(&a,c,5,av);
C_word t6;
C_word t7;
t6=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_27099,a[2]=t1,a[3]=t2,tmp=(C_word)a,a+=4,tmp);{
C_word *av2;
if(c >= 6) {
  av2=av;
} else {
  av2=C_alloc(6);
}
av2[0]=0;
av2[1]=t6;
av2[2]=C_fast_retrieve(lf[1038]);
av2[3]=t3;
av2[4]=t4;
av2[5]=t5;
C_apply(6,av2);}}

/* k27097 in chicken.condition#get-condition-property in k26337 in k26025 in k26021 in k26017 in k23772 in k23768 in k23764 in k20151 in k20147 in k20143 in k20139 in k20135 in k19774 in k19770 in k19766 in k19762 in k19758 in k19754 in k19750 in k19746 in ... */
static void C_ccall f_27099(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_27099,2,av);}
/* library.scm:5323: g6223 */
t2=t1;{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[2];
av2[2]=((C_word*)t0)[3];
((C_proc)C_fast_retrieve_proc(t2))(3,av2);}}

/* k27104 in k26337 in k26025 in k26021 in k26017 in k23772 in k23768 in k23764 in k20151 in k20147 in k20143 in k20139 in k20135 in k19774 in k19770 in k19766 in k19762 in k19758 in k19754 in k19750 in k19746 in k19742 in ... */
static void C_ccall f_27106(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,c,4)))){
C_save_and_reclaim((void *)f_27106,2,av);}
a=C_alloc(4);
t2=t1;
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_27109,a[2]=t2,a[3]=((C_word*)t0)[2],tmp=(C_word)a,a+=4,tmp);
/* library.scm:5335: condition-property-accessor */
t4=C_fast_retrieve(lf[1038]);{
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=t4;
av2[1]=t3;
av2[2]=lf[1011];
av2[3]=lf[849];
av2[4]=C_SCHEME_FALSE;
((C_proc)(void*)(*((C_word*)t4+1)))(5,av2);}}

/* k27107 in k27104 in k26337 in k26025 in k26021 in k26017 in k23772 in k23768 in k23764 in k20151 in k20147 in k20143 in k20139 in k20135 in k19774 in k19770 in k19766 in k19762 in k19758 in k19754 in k19750 in k19746 in ... */
static void C_ccall f_27109(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,c,4)))){
C_save_and_reclaim((void *)f_27109,2,av);}
a=C_alloc(5);
t2=t1;
t3=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_27112,a[2]=t2,a[3]=((C_word*)t0)[2],a[4]=((C_word*)t0)[3],tmp=(C_word)a,a+=5,tmp);
/* library.scm:5336: condition-property-accessor */
t4=C_fast_retrieve(lf[1038]);{
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=t4;
av2[1]=t3;
av2[2]=lf[1011];
av2[3]=lf[1357];
av2[4]=C_SCHEME_FALSE;
((C_proc)(void*)(*((C_word*)t4+1)))(5,av2);}}

/* k27110 in k27107 in k27104 in k26337 in k26025 in k26021 in k26017 in k23772 in k23768 in k23764 in k20151 in k20147 in k20143 in k20139 in k20135 in k19774 in k19770 in k19766 in k19762 in k19758 in k19754 in k19750 in ... */
static void C_ccall f_27112(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word t12;
C_word t13;
C_word t14;
C_word t15;
C_word t16;
C_word t17;
C_word t18;
C_word t19;
C_word t20;
C_word t21;
C_word t22;
C_word t23;
C_word t24;
C_word t25;
C_word t26;
C_word t27;
C_word t28;
C_word t29;
C_word t30;
C_word t31;
C_word t32;
C_word t33;
C_word t34;
C_word t35;
C_word t36;
C_word t37;
C_word t38;
C_word t39;
C_word t40;
C_word t41;
C_word t42;
C_word t43;
C_word t44;
C_word t45;
C_word t46;
C_word t47;
C_word t48;
C_word t49;
C_word t50;
C_word t51;
C_word t52;
C_word t53;
C_word t54;
C_word t55;
C_word t56;
C_word t57;
C_word t58;
C_word t59;
C_word t60;
C_word t61;
C_word t62;
C_word t63;
C_word t64;
C_word t65;
C_word t66;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(182,c,7)))){
C_save_and_reclaim((void *)f_27112,2,av);}
a=C_alloc(182);
t2=t1;
t3=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_27113,a[2]=((C_word)li812),tmp=(C_word)a,a+=3,tmp);
t4=C_mutate((C_word*)lf[1042]+1 /* (set! chicken.condition#print-error-message ...) */,(*a=C_CLOSURE_TYPE|6,a[1]=(C_word)f_27158,a[2]=t3,a[3]=t2,a[4]=((C_word*)t0)[2],a[5]=((C_word*)t0)[3],a[6]=((C_word)li817),tmp=(C_word)a,a+=7,tmp));
t5=C_fast_retrieve(lf[1042]);
t6=*((C_word*)lf[187]+1);
t7=*((C_word*)lf[213]+1);
t8=*((C_word*)lf[211]+1);
t9=C_mutate((C_word*)lf[1054]+1 /* (set! ##sys#show-exception-warning ...) */,(*a=C_CLOSURE_TYPE|6,a[1]=(C_word)f_27349,a[2]=t6,a[3]=t5,a[4]=t8,a[5]=t7,a[6]=((C_word)li818),tmp=(C_word)a,a+=7,tmp));
t10=C_mutate((C_word*)lf[362]+1 /* (set! ##sys#error-hook ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_27398,a[2]=((C_word)li819),tmp=(C_word)a,a+=3,tmp));
t11=C_mutate((C_word*)lf[1115]+1 /* (set! ##sys#structure? ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_28054,a[2]=((C_word)li820),tmp=(C_word)a,a+=3,tmp));
t12=C_mutate((C_word*)lf[1116]+1 /* (set! ##sys#generic-structure? ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_28057,a[2]=((C_word)li821),tmp=(C_word)a,a+=3,tmp));
t13=C_mutate((C_word*)lf[1117]+1 /* (set! ##sys#slot ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_28060,a[2]=((C_word)li822),tmp=(C_word)a,a+=3,tmp));
t14=C_mutate((C_word*)lf[1118]+1 /* (set! ##sys#size ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_28063,a[2]=((C_word)li823),tmp=(C_word)a,a+=3,tmp));
t15=C_mutate((C_word*)lf[1119]+1 /* (set! ##sys#make-pointer ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)C_make_pointer,a[2]=((C_word)li824),tmp=(C_word)a,a+=3,tmp));
t16=C_mutate((C_word*)lf[1120]+1 /* (set! ##sys#make-tagged-pointer ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)C_make_tagged_pointer,a[2]=((C_word)li825),tmp=(C_word)a,a+=3,tmp));
t17=C_mutate((C_word*)lf[1121]+1 /* (set! ##sys#pointer? ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_28068,a[2]=((C_word)li826),tmp=(C_word)a,a+=3,tmp));
t18=C_mutate((C_word*)lf[1122]+1 /* (set! ##sys#set-pointer-address! ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_28071,a[2]=((C_word)li827),tmp=(C_word)a,a+=3,tmp));
t19=C_mutate((C_word*)lf[1123]+1 /* (set! ##sys#bytevector? ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_28074,a[2]=((C_word)li828),tmp=(C_word)a,a+=3,tmp));
t20=C_mutate((C_word*)lf[1124]+1 /* (set! ##sys#string->pbytevector ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_28077,a[2]=((C_word)li829),tmp=(C_word)a,a+=3,tmp));
t21=C_mutate((C_word*)lf[1125]+1 /* (set! ##sys#permanent? ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_28080,a[2]=((C_word)li830),tmp=(C_word)a,a+=3,tmp));
t22=C_mutate((C_word*)lf[1126]+1 /* (set! ##sys#block-address ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_28083,a[2]=((C_word)li831),tmp=(C_word)a,a+=3,tmp));
t23=C_mutate((C_word*)lf[1127]+1 /* (set! ##sys#locative? ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_28086,a[2]=((C_word)li832),tmp=(C_word)a,a+=3,tmp));
t24=C_mutate((C_word*)lf[1128]+1 /* (set! ##sys#srfi-4-vector? ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_28089,a[2]=((C_word)li833),tmp=(C_word)a,a+=3,tmp));
t25=C_mutate((C_word*)lf[1130]+1 /* (set! ##sys#null-pointer ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_28106,a[2]=((C_word)li834),tmp=(C_word)a,a+=3,tmp));
t26=C_mutate((C_word*)lf[1131]+1 /* (set! ##sys#null-pointer? ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_28112,a[2]=((C_word)li835),tmp=(C_word)a,a+=3,tmp));
t27=C_mutate((C_word*)lf[1132]+1 /* (set! ##sys#address->pointer ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_28122,a[2]=((C_word)li836),tmp=(C_word)a,a+=3,tmp));
t28=C_mutate((C_word*)lf[941]+1 /* (set! ##sys#pointer->address ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_28128,a[2]=((C_word)li837),tmp=(C_word)a,a+=3,tmp));
t29=C_mutate((C_word*)lf[748]+1 /* (set! ##sys#make-c-string ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_28135,a[2]=((C_word)li838),tmp=(C_word)a,a+=3,tmp));
t30=C_mutate((C_word*)lf[1133]+1 /* (set! ##sys#peek-signed-integer ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)C_peek_signed_integer,a[2]=((C_word)li839),tmp=(C_word)a,a+=3,tmp));
t31=C_mutate((C_word*)lf[726]+1 /* (set! ##sys#peek-unsigned-integer ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)C_peek_unsigned_integer,a[2]=((C_word)li840),tmp=(C_word)a,a+=3,tmp));
t32=C_mutate((C_word*)lf[1134]+1 /* (set! ##sys#peek-fixnum ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_28170,a[2]=((C_word)li841),tmp=(C_word)a,a+=3,tmp));
t33=C_mutate((C_word*)lf[1135]+1 /* (set! ##sys#peek-byte ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_28173,a[2]=((C_word)li842),tmp=(C_word)a,a+=3,tmp));
t34=C_mutate((C_word*)lf[1136]+1 /* (set! ##sys#vector->structure! ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_28176,a[2]=((C_word)li843),tmp=(C_word)a,a+=3,tmp));
t35=C_mutate((C_word*)lf[1137]+1 /* (set! ##sys#peek-double ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_28179,a[2]=((C_word)li844),tmp=(C_word)a,a+=3,tmp));
t36=C_mutate((C_word*)lf[705]+1 /* (set! ##sys#peek-c-string ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_28182,a[2]=((C_word)li845),tmp=(C_word)a,a+=3,tmp));
t37=C_mutate((C_word*)lf[945]+1 /* (set! ##sys#peek-nonnull-c-string ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_28198,a[2]=((C_word)li846),tmp=(C_word)a,a+=3,tmp));
t38=C_mutate((C_word*)lf[1138]+1 /* (set! ##sys#peek-and-free-c-string ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_28204,a[2]=((C_word)li847),tmp=(C_word)a,a+=3,tmp));
t39=C_mutate((C_word*)lf[1139]+1 /* (set! ##sys#peek-and-free-nonnull-c-string ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_28220,a[2]=((C_word)li848),tmp=(C_word)a,a+=3,tmp));
t40=C_mutate((C_word*)lf[1140]+1 /* (set! ##sys#poke-c-string ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_28226,a[2]=((C_word)li849),tmp=(C_word)a,a+=3,tmp));
t41=C_mutate((C_word*)lf[1141]+1 /* (set! ##sys#poke-integer ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_28233,a[2]=((C_word)li850),tmp=(C_word)a,a+=3,tmp));
t42=C_mutate((C_word*)lf[1142]+1 /* (set! ##sys#poke-double ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_28236,a[2]=((C_word)li851),tmp=(C_word)a,a+=3,tmp));
t43=C_mutate((C_word*)lf[1143]+1 /* (set! ##sys#peek-c-string-list ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_28256,a[2]=((C_word)li853),tmp=(C_word)a,a+=3,tmp));
t44=C_mutate((C_word*)lf[1144]+1 /* (set! ##sys#peek-and-free-c-string-list ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_28317,a[2]=((C_word)li855),tmp=(C_word)a,a+=3,tmp));
t45=C_mutate((C_word*)lf[1145]+1 /* (set! ##sys#vector->closure! ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_28355,a[2]=((C_word)li856),tmp=(C_word)a,a+=3,tmp));
t46=C_mutate((C_word*)lf[1146]+1 /* (set! ##sys#symbol-has-toplevel-binding? ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_28358,a[2]=((C_word)li857),tmp=(C_word)a,a+=3,tmp));
t47=C_mutate((C_word*)lf[923]+1 /* (set! ##sys#copy-bytes ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_28361,a[2]=((C_word)li858),tmp=(C_word)a,a+=3,tmp));
t48=C_mutate((C_word*)lf[1147]+1 /* (set! ##sys#copy-words ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_28368,a[2]=((C_word)li859),tmp=(C_word)a,a+=3,tmp));
t49=C_mutate((C_word*)lf[1148]+1 /* (set! ##sys#compare-bytes ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_28375,a[2]=((C_word)li860),tmp=(C_word)a,a+=3,tmp));
t50=C_mutate((C_word*)lf[1149]+1 /* (set! ##sys#block-pointer ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_28378,a[2]=((C_word)li861),tmp=(C_word)a,a+=3,tmp));
t51=C_mutate((C_word*)lf[1150]+1 /* (set! ##sys#foreign-char-argument ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_28384,a[2]=((C_word)li862),tmp=(C_word)a,a+=3,tmp));
t52=C_mutate((C_word*)lf[1151]+1 /* (set! ##sys#foreign-fixnum-argument ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_28387,a[2]=((C_word)li863),tmp=(C_word)a,a+=3,tmp));
t53=C_mutate((C_word*)lf[1152]+1 /* (set! ##sys#foreign-flonum-argument ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_28390,a[2]=((C_word)li864),tmp=(C_word)a,a+=3,tmp));
t54=C_mutate((C_word*)lf[1153]+1 /* (set! ##sys#foreign-block-argument ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_28393,a[2]=((C_word)li865),tmp=(C_word)a,a+=3,tmp));
t55=C_mutate((C_word*)lf[1154]+1 /* (set! ##sys#foreign-struct-wrapper-argument ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_28396,a[2]=((C_word)li866),tmp=(C_word)a,a+=3,tmp));
t56=C_mutate((C_word*)lf[1155]+1 /* (set! ##sys#foreign-string-argument ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_28399,a[2]=((C_word)li867),tmp=(C_word)a,a+=3,tmp));
t57=C_mutate((C_word*)lf[1156]+1 /* (set! ##sys#foreign-symbol-argument ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_28402,a[2]=((C_word)li868),tmp=(C_word)a,a+=3,tmp));
t58=C_mutate((C_word*)lf[1157]+1 /* (set! ##sys#foreign-pointer-argument ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_28405,a[2]=((C_word)li869),tmp=(C_word)a,a+=3,tmp));
t59=C_mutate((C_word*)lf[1158]+1 /* (set! ##sys#foreign-tagged-pointer-argument ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_28408,a[2]=((C_word)li870),tmp=(C_word)a,a+=3,tmp));
t60=C_mutate((C_word*)lf[1159]+1 /* (set! ##sys#foreign-ranged-integer-argument ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_28411,a[2]=((C_word)li871),tmp=(C_word)a,a+=3,tmp));
t61=C_mutate((C_word*)lf[1160]+1 /* (set! ##sys#foreign-unsigned-ranged-integer-argument ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_28414,a[2]=((C_word)li872),tmp=(C_word)a,a+=3,tmp));
t62=C_set_block_item(lf[1161] /* ##sys#default-thread-quantum */,0,C_fix(10000));
t63=C_mutate((C_word*)lf[1162]+1 /* (set! ##sys#default-exception-handler ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_28418,a[2]=((C_word)li873),tmp=(C_word)a,a+=3,tmp));
t64=C_mutate((C_word*)lf[1164]+1 /* (set! ##sys#make-thread ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_28421,a[2]=((C_word)li874),tmp=(C_word)a,a+=3,tmp));
t65=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_28445,a[2]=((C_word*)t0)[4],tmp=(C_word)a,a+=3,tmp);
/* library.scm:5694: ##sys#make-thread */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[1164]);
C_word *av2;
if(c >= 6) {
  av2=av;
} else {
  av2=C_alloc(6);
}
av2[0]=*((C_word*)lf[1164]+1);
av2[1]=t65;
av2[2]=C_SCHEME_FALSE;
av2[3]=lf[1355];
av2[4]=lf[1356];
av2[5]=C_fast_retrieve(lf[1161]);
tp(6,av2);}}

/* writeargs in k27110 in k27107 in k27104 in k26337 in k26025 in k26021 in k26017 in k23772 in k23768 in k23764 in k20151 in k20147 in k20143 in k20139 in k20135 in k19774 in k19770 in k19766 in k19762 in k19758 in k19754 in ... */
static void C_fcall f_27113(C_word t1,C_word t2,C_word t3){
C_word tmp;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(11,0,3)))){
C_save_and_reclaim_args((void *)trf_27113,3,t1,t2,t3);}
a=C_alloc(11);
t4=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_27115,a[2]=t3,a[3]=((C_word)li810),tmp=(C_word)a,a+=4,tmp);
t5=C_i_check_list_2(t2,lf[689]);
t6=C_SCHEME_UNDEFINED;
t7=(*a=C_VECTOR_TYPE|1,a[1]=t6,tmp=(C_word)a,a+=2,tmp);
t8=C_set_block_item(t7,0,(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_27136,a[2]=t7,a[3]=t4,a[4]=((C_word)li811),tmp=(C_word)a,a+=5,tmp));
t9=((C_word*)t7)[1];
f_27136(t9,t1,t2);}

/* g6239 in writeargs in k27110 in k27107 in k27104 in k26337 in k26025 in k26021 in k26017 in k23772 in k23768 in k23764 in k20151 in k20147 in k20143 in k20139 in k20135 in k19774 in k19770 in k19766 in k19762 in k19758 in ... */
static void C_fcall f_27115(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(9,0,3)))){
C_save_and_reclaim_args((void *)trf_27115,3,t0,t1,t2);}
a=C_alloc(9);
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_27119,a[2]=t1,a[3]=((C_word*)t0)[2],tmp=(C_word)a,a+=4,tmp);
t4=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_27124,a[2]=t2,a[3]=((C_word*)t0)[2],a[4]=((C_word)li809),tmp=(C_word)a,a+=5,tmp);
/* library.scm:5341: ##sys#with-print-length-limit */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[922]);
C_word av2[4];
av2[0]=*((C_word*)lf[922]+1);
av2[1]=t3;
av2[2]=C_fix(80);
av2[3]=t4;
tp(4,av2);}}

/* k27117 in g6239 in writeargs in k27110 in k27107 in k27104 in k26337 in k26025 in k26021 in k26017 in k23772 in k23768 in k23764 in k20151 in k20147 in k20143 in k20139 in k20135 in k19774 in k19770 in k19766 in k19762 in ... */
static void C_ccall f_27119(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_27119,2,av);}
/* library.scm:5342: newline */
t2=*((C_word*)lf[151]+1);{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[2];
av2[2]=((C_word*)t0)[3];
((C_proc)(void*)(*((C_word*)t2+1)))(3,av2);}}

/* a27123 in g6239 in writeargs in k27110 in k27107 in k27104 in k26337 in k26025 in k26021 in k26017 in k23772 in k23768 in k23764 in k20151 in k20147 in k20143 in k20139 in k20135 in k19774 in k19770 in k19766 in k19762 in ... */
static void C_ccall f_27124(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(c!=2) C_bad_argc_2(c,2,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_27124,2,av);}
/* library.scm:5341: write */
t2=*((C_word*)lf[152]+1);{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t2;
av2[1]=t1;
av2[2]=((C_word*)t0)[2];
av2[3]=((C_word*)t0)[3];
((C_proc)(void*)(*((C_word*)t2+1)))(4,av2);}}

/* for-each-loop6238 in writeargs in k27110 in k27107 in k27104 in k26337 in k26025 in k26021 in k26017 in k23772 in k23768 in k23764 in k20151 in k20147 in k20143 in k20139 in k20135 in k19774 in k19770 in k19766 in k19762 in k19758 in ... */
static void C_fcall f_27136(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,0,2)))){
C_save_and_reclaim_args((void *)trf_27136,3,t0,t1,t2);}
a=C_alloc(5);
if(C_truep(C_i_pairp(t2))){
t3=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_27146,a[2]=t2,a[3]=((C_word*)t0)[2],a[4]=t1,tmp=(C_word)a,a+=5,tmp);
t4=C_slot(t2,C_fix(0));
/* library.scm:5339: g6239 */
t5=((C_word*)t0)[3];
f_27115(t5,t3,t4);}
else{
t3=C_SCHEME_UNDEFINED;
t4=t1;{
C_word av2[2];
av2[0]=t4;
av2[1]=t3;
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}}

/* k27144 in for-each-loop6238 in writeargs in k27110 in k27107 in k27104 in k26337 in k26025 in k26021 in k26017 in k23772 in k23768 in k23764 in k20151 in k20147 in k20143 in k20139 in k20135 in k19774 in k19770 in k19766 in k19762 in ... */
static void C_ccall f_27146(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_27146,2,av);}
t2=C_slot(((C_word*)t0)[2],C_fix(1));
t3=((C_word*)((C_word*)t0)[3])[1];
f_27136(t3,((C_word*)t0)[4],t2);}

/* chicken.condition#print-error-message in k27110 in k27107 in k27104 in k26337 in k26025 in k26021 in k26017 in k23772 in k23768 in k23764 in k20151 in k20147 in k20143 in k20139 in k20135 in k19774 in k19770 in k19766 in k19762 in k19758 in k19754 in ... */
static void C_ccall f_27158(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c<3) C_bad_min_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand((c-3)*C_SIZEOF_PAIR +16,c,4)))){
C_save_and_reclaim((void*)f_27158,c,av);}
a=C_alloc((c-3)*C_SIZEOF_PAIR+16);
t3=C_build_rest(&a,c,3,av);
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
t4=(*a=C_CLOSURE_TYPE|7,a[1]=(C_word)f_27160,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=t2,a[5]=((C_word*)t0)[4],a[6]=((C_word*)t0)[5],a[7]=((C_word)li814),tmp=(C_word)a,a+=8,tmp);
t5=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_27309,a[2]=t4,a[3]=((C_word)li815),tmp=(C_word)a,a+=4,tmp);
t6=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_27314,a[2]=t5,a[3]=((C_word)li816),tmp=(C_word)a,a+=4,tmp);
if(C_truep(C_i_nullp(t3))){
/* library.scm:5345: def-port6261 */
t7=t6;
f_27314(t7,t1);}
else{
t7=C_i_car(t3);
t8=C_u_i_cdr(t3);
if(C_truep(C_i_nullp(t8))){
/* library.scm:5345: def-header6262 */
t9=t5;
f_27309(t9,t1,t7);}
else{
t9=C_i_car(t8);
t10=C_u_i_cdr(t8);
/* library.scm:5345: body6259 */
t11=t4;
f_27160(t11,t1,t7,t9);}}}

/* body6259 in chicken.condition#print-error-message in k27110 in k27107 in k27104 in k26337 in k26025 in k26021 in k26017 in k23772 in k23768 in k23764 in k20151 in k20147 in k20143 in k20139 in k20135 in k19774 in k19770 in k19766 in k19762 in k19758 in ... */
static void C_fcall f_27160(C_word t0,C_word t1,C_word t2,C_word t3){
C_word tmp;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(10,0,2)))){
C_save_and_reclaim_args((void *)trf_27160,4,t0,t1,t2,t3);}
a=C_alloc(10);
t4=t2;
t5=C_i_check_port_2(t4,C_fix(2),C_SCHEME_TRUE,lf[1043]);
t6=(*a=C_CLOSURE_TYPE|9,a[1]=(C_word)f_27167,a[2]=t1,a[3]=((C_word*)t0)[2],a[4]=t2,a[5]=((C_word*)t0)[3],a[6]=((C_word*)t0)[4],a[7]=((C_word*)t0)[5],a[8]=((C_word*)t0)[6],a[9]=t3,tmp=(C_word)a,a+=10,tmp);
/* library.scm:5348: newline */
t7=*((C_word*)lf[151]+1);{
C_word av2[3];
av2[0]=t7;
av2[1]=t6;
av2[2]=t2;
((C_proc)(void*)(*((C_word*)t7+1)))(3,av2);}}

/* k27165 in body6259 in chicken.condition#print-error-message in k27110 in k27107 in k27104 in k26337 in k26025 in k26021 in k26017 in k23772 in k23768 in k23764 in k20151 in k20147 in k20143 in k20139 in k20135 in k19774 in k19770 in k19766 in k19762 in ... */
static void C_ccall f_27167(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(9,c,3)))){
C_save_and_reclaim((void *)f_27167,2,av);}
a=C_alloc(9);
t2=(*a=C_CLOSURE_TYPE|8,a[1]=(C_word)f_27170,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[5],a[6]=((C_word*)t0)[6],a[7]=((C_word*)t0)[7],a[8]=((C_word*)t0)[8],tmp=(C_word)a,a+=9,tmp);
/* library.scm:5349: display */
t3=*((C_word*)lf[153]+1);{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t3;
av2[1]=t2;
av2[2]=((C_word*)t0)[9];
av2[3]=((C_word*)t0)[4];
((C_proc)(void*)(*((C_word*)t3+1)))(4,av2);}}

/* k27168 in k27165 in body6259 in chicken.condition#print-error-message in k27110 in k27107 in k27104 in k26337 in k26025 in k26021 in k26017 in k23772 in k23768 in k23764 in k20151 in k20147 in k20143 in k20139 in k20135 in k19774 in k19770 in k19766 in ... */
static void C_ccall f_27170(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(9,c,2)))){
C_save_and_reclaim((void *)f_27170,2,av);}
a=C_alloc(9);
t2=(*a=C_CLOSURE_TYPE|8,a[1]=(C_word)f_27176,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[5],a[6]=((C_word*)t0)[6],a[7]=((C_word*)t0)[7],a[8]=((C_word*)t0)[8],tmp=(C_word)a,a+=9,tmp);
t3=C_immp(((C_word*)t0)[6]);
if(C_truep(C_i_not(t3))){
t4=C_slot(((C_word*)t0)[6],C_fix(0));
t5=t2;
f_27176(t5,C_eqp(lf[912],t4));}
else{
t4=t2;
f_27176(t4,C_SCHEME_FALSE);}}

/* k27174 in k27168 in k27165 in body6259 in chicken.condition#print-error-message in k27110 in k27107 in k27104 in k26337 in k26025 in k26021 in k26017 in k23772 in k23768 in k23764 in k20151 in k20147 in k20143 in k20139 in k20135 in k19774 in k19770 in ... */
static void C_fcall f_27176(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(8,0,3)))){
C_save_and_reclaim_args((void *)trf_27176,2,t0,t1);}
a=C_alloc(8);
if(C_truep(t1)){
t2=(*a=C_CLOSURE_TYPE|7,a[1]=(C_word)f_27179,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[5],a[6]=((C_word*)t0)[6],a[7]=((C_word*)t0)[7],tmp=(C_word)a,a+=8,tmp);
/* library.scm:5351: errmsg */
t3=((C_word*)t0)[8];{
C_word av2[3];
av2[0]=t3;
av2[1]=t2;
av2[2]=((C_word*)t0)[6];
((C_proc)(void*)(*((C_word*)t3+1)))(3,av2);}}
else{
if(C_truep(C_i_stringp(((C_word*)t0)[6]))){
t2=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_27278,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[4],a[4]=((C_word*)t0)[6],tmp=(C_word)a,a+=5,tmp);
/* library.scm:5375: display */
t3=*((C_word*)lf[153]+1);{
C_word av2[4];
av2[0]=t3;
av2[1]=t2;
av2[2]=lf[1051];
av2[3]=((C_word*)t0)[4];
((C_proc)(void*)(*((C_word*)t3+1)))(4,av2);}}
else{
t2=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_27287,a[2]=((C_word*)t0)[6],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[2],a[5]=((C_word*)t0)[4],tmp=(C_word)a,a+=6,tmp);
/* library.scm:5379: display */
t3=*((C_word*)lf[153]+1);{
C_word av2[4];
av2[0]=t3;
av2[1]=t2;
av2[2]=lf[1052];
av2[3]=((C_word*)t0)[4];
((C_proc)(void*)(*((C_word*)t3+1)))(4,av2);}}}}

/* k27177 in k27174 in k27168 in k27165 in body6259 in chicken.condition#print-error-message in k27110 in k27107 in k27104 in k26337 in k26025 in k26021 in k26017 in k23772 in k23768 in k23764 in k20151 in k20147 in k20143 in k20139 in k20135 in k19774 in ... */
static void C_ccall f_27179(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(13,c,3)))){
C_save_and_reclaim((void *)f_27179,2,av);}
a=C_alloc(13);
t2=(*a=C_CLOSURE_TYPE|6,a[1]=(C_word)f_27182,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[5],a[6]=((C_word*)t0)[6],tmp=(C_word)a,a+=7,tmp);
if(C_truep(t1)){
t3=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_27214,a[2]=((C_word*)t0)[4],a[3]=((C_word*)t0)[7],a[4]=((C_word*)t0)[6],a[5]=((C_word)li813),tmp=(C_word)a,a+=6,tmp);
/* library.scm:5351: g6282 */
t4=t3;
f_27214(t4,t2,t1);}
else{
t3=C_slot(((C_word*)t0)[6],C_fix(1));
if(C_truep(C_i_equalp(lf[1048],t3))){
/* library.scm:5361: display */
t4=*((C_word*)lf[153]+1);{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t4;
av2[1]=t2;
av2[2]=lf[1049];
av2[3]=((C_word*)t0)[4];
((C_proc)(void*)(*((C_word*)t4+1)))(4,av2);}}
else{
t4=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_27262,a[2]=((C_word*)t0)[6],a[3]=t2,a[4]=((C_word*)t0)[4],tmp=(C_word)a,a+=5,tmp);
/* library.scm:5363: display */
t5=*((C_word*)lf[153]+1);{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t5;
av2[1]=t4;
av2[2]=lf[1050];
av2[3]=((C_word*)t0)[4];
((C_proc)(void*)(*((C_word*)t5+1)))(4,av2);}}}}

/* k27180 in k27177 in k27174 in k27168 in k27165 in body6259 in chicken.condition#print-error-message in k27110 in k27107 in k27104 in k26337 in k26025 in k26021 in k26017 in k23772 in k23768 in k23764 in k20151 in k20147 in k20143 in k20139 in k20135 in ... */
static void C_ccall f_27182(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,c,2)))){
C_save_and_reclaim((void *)f_27182,2,av);}
a=C_alloc(5);
t2=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_27185,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],tmp=(C_word)a,a+=5,tmp);
/* library.scm:5365: errargs */
t3=((C_word*)t0)[5];{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t3;
av2[1]=t2;
av2[2]=((C_word*)t0)[6];
((C_proc)(void*)(*((C_word*)t3+1)))(3,av2);}}

/* k27183 in k27180 in k27177 in k27174 in k27168 in k27165 in body6259 in chicken.condition#print-error-message in k27110 in k27107 in k27104 in k26337 in k26025 in k26021 in k26017 in k23772 in k23768 in k23764 in k20151 in k20147 in k20143 in k20139 in ... */
static void C_ccall f_27185(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,c,3)))){
C_save_and_reclaim((void *)f_27185,2,av);}
a=C_alloc(6);
t2=t1;
t3=C_i_not(t2);
if(C_truep(t3)){
t4=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t4;
av2[1]=t3;
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}
else{
t4=C_i_length(t2);
t5=C_eqp(C_fix(1),t4);
if(C_truep(t5)){
t6=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_27200,a[2]=((C_word*)t0)[3],a[3]=((C_word*)t0)[2],a[4]=t2,a[5]=((C_word*)t0)[4],tmp=(C_word)a,a+=6,tmp);
/* library.scm:5369: display */
t7=*((C_word*)lf[153]+1);{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t7;
av2[1]=t6;
av2[2]=lf[1044];
av2[3]=((C_word*)t0)[4];
((C_proc)(void*)(*((C_word*)t7+1)))(4,av2);}}
else{
t6=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_27206,a[2]=((C_word*)t0)[3],a[3]=((C_word*)t0)[2],a[4]=t2,a[5]=((C_word*)t0)[4],tmp=(C_word)a,a+=6,tmp);
/* library.scm:5372: newline */
t7=*((C_word*)lf[151]+1);{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t7;
av2[1]=t6;
av2[2]=((C_word*)t0)[4];
((C_proc)(void*)(*((C_word*)t7+1)))(3,av2);}}}}

/* k27198 in k27183 in k27180 in k27177 in k27174 in k27168 in k27165 in body6259 in chicken.condition#print-error-message in k27110 in k27107 in k27104 in k26337 in k26025 in k26021 in k26017 in k23772 in k23768 in k23764 in k20151 in k20147 in k20143 in ... */
static void C_ccall f_27200(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_27200,2,av);}
/* library.scm:5370: writeargs */
f_27113(((C_word*)t0)[3],((C_word*)t0)[4],((C_word*)t0)[5]);}

/* k27204 in k27183 in k27180 in k27177 in k27174 in k27168 in k27165 in body6259 in chicken.condition#print-error-message in k27110 in k27107 in k27104 in k26337 in k26025 in k26021 in k26017 in k23772 in k23768 in k23764 in k20151 in k20147 in k20143 in ... */
static void C_ccall f_27206(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_27206,2,av);}
/* library.scm:5373: writeargs */
f_27113(((C_word*)t0)[3],((C_word*)t0)[4],((C_word*)t0)[5]);}

/* g6282 in k27177 in k27174 in k27168 in k27165 in body6259 in chicken.condition#print-error-message in k27110 in k27107 in k27104 in k26337 in k26025 in k26021 in k26017 in k23772 in k23768 in k23764 in k20151 in k20147 in k20143 in k20139 in k20135 in ... */
static void C_fcall f_27214(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(7,0,3)))){
C_save_and_reclaim_args((void *)trf_27214,3,t0,t1,t2);}
a=C_alloc(7);
t3=(*a=C_CLOSURE_TYPE|6,a[1]=(C_word)f_27218,a[2]=t1,a[3]=t2,a[4]=((C_word*)t0)[2],a[5]=((C_word*)t0)[3],a[6]=((C_word*)t0)[4],tmp=(C_word)a,a+=7,tmp);
/* library.scm:5353: display */
t4=*((C_word*)lf[153]+1);{
C_word av2[4];
av2[0]=t4;
av2[1]=t3;
av2[2]=lf[1047];
av2[3]=((C_word*)t0)[2];
((C_proc)(void*)(*((C_word*)t4+1)))(4,av2);}}

/* k27216 in g6282 in k27177 in k27174 in k27168 in k27165 in body6259 in chicken.condition#print-error-message in k27110 in k27107 in k27104 in k26337 in k26025 in k26021 in k26017 in k23772 in k23768 in k23764 in k20151 in k20147 in k20143 in k20139 in ... */
static void C_ccall f_27218(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,c,2)))){
C_save_and_reclaim((void *)f_27218,2,av);}
a=C_alloc(5);
t2=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_27221,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],tmp=(C_word)a,a+=5,tmp);
/* library.scm:5354: errloc */
t3=((C_word*)t0)[5];{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t3;
av2[1]=t2;
av2[2]=((C_word*)t0)[6];
((C_proc)(void*)(*((C_word*)t3+1)))(3,av2);}}

/* k27219 in k27216 in g6282 in k27177 in k27174 in k27168 in k27165 in body6259 in chicken.condition#print-error-message in k27110 in k27107 in k27104 in k26337 in k26025 in k26021 in k26017 in k23772 in k23768 in k23764 in k20151 in k20147 in k20143 in ... */
static void C_ccall f_27221(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(12,c,3)))){
C_save_and_reclaim((void *)f_27221,2,av);}
a=C_alloc(12);
t2=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_27224,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],tmp=(C_word)a,a+=5,tmp);
t3=(C_truep(t1)?C_i_symbolp(t1):C_SCHEME_FALSE);
if(C_truep(t3)){
t4=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_27237,a[2]=t2,a[3]=((C_word*)t0)[4],tmp=(C_word)a,a+=4,tmp);
t5=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_27241,a[2]=t4,tmp=(C_word)a,a+=3,tmp);
/* library.scm:5356: ##sys#symbol->qualified-string */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[630]+1));
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[630]+1);
av2[1]=t5;
av2[2]=t1;
tp(3,av2);}}
else{
/* library.scm:5357: display */
t4=*((C_word*)lf[153]+1);{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t4;
av2[1]=((C_word*)t0)[2];
av2[2]=((C_word*)t0)[3];
av2[3]=((C_word*)t0)[4];
((C_proc)(void*)(*((C_word*)t4+1)))(4,av2);}}}

/* k27222 in k27219 in k27216 in g6282 in k27177 in k27174 in k27168 in k27165 in body6259 in chicken.condition#print-error-message in k27110 in k27107 in k27104 in k26337 in k26025 in k26021 in k26017 in k23772 in k23768 in k23764 in k20151 in k20147 in ... */
static void C_ccall f_27224(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_27224,2,av);}
/* library.scm:5357: display */
t2=*((C_word*)lf[153]+1);{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[2];
av2[2]=((C_word*)t0)[3];
av2[3]=((C_word*)t0)[4];
((C_proc)(void*)(*((C_word*)t2+1)))(4,av2);}}

/* k27235 in k27219 in k27216 in g6282 in k27177 in k27174 in k27168 in k27165 in body6259 in chicken.condition#print-error-message in k27110 in k27107 in k27104 in k26337 in k26025 in k26021 in k26017 in k23772 in k23768 in k23764 in k20151 in k20147 in ... */
static void C_ccall f_27237(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_27237,2,av);}
/* library.scm:5356: display */
t2=*((C_word*)lf[153]+1);{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[2];
av2[2]=t1;
av2[3]=((C_word*)t0)[3];
((C_proc)(void*)(*((C_word*)t2+1)))(4,av2);}}

/* k27239 in k27219 in k27216 in g6282 in k27177 in k27174 in k27168 in k27165 in body6259 in chicken.condition#print-error-message in k27110 in k27107 in k27104 in k26337 in k26025 in k26021 in k26017 in k23772 in k23768 in k23764 in k20151 in k20147 in ... */
static void C_ccall f_27241(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,4)))){
C_save_and_reclaim((void *)f_27241,2,av);}
/* library.scm:5356: string-append */
t2=*((C_word*)lf[413]+1);{
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[2];
av2[2]=lf[1045];
av2[3]=t1;
av2[4]=lf[1046];
((C_proc)(void*)(*((C_word*)t2+1)))(5,av2);}}

/* k27260 in k27177 in k27174 in k27168 in k27165 in body6259 in chicken.condition#print-error-message in k27110 in k27107 in k27104 in k26337 in k26025 in k26021 in k26017 in k23772 in k23768 in k23764 in k20151 in k20147 in k20143 in k20139 in k20135 in ... */
static void C_ccall f_27262(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_27262,2,av);}
t2=C_slot(((C_word*)t0)[2],C_fix(1));
/* library.scm:5364: display */
t3=*((C_word*)lf[153]+1);{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t3;
av2[1]=((C_word*)t0)[3];
av2[2]=t2;
av2[3]=((C_word*)t0)[4];
((C_proc)(void*)(*((C_word*)t3+1)))(4,av2);}}

/* k27276 in k27174 in k27168 in k27165 in body6259 in chicken.condition#print-error-message in k27110 in k27107 in k27104 in k26337 in k26025 in k26021 in k26017 in k23772 in k23768 in k23764 in k20151 in k20147 in k20143 in k20139 in k20135 in k19774 in ... */
static void C_ccall f_27278(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,c,3)))){
C_save_and_reclaim((void *)f_27278,2,av);}
a=C_alloc(4);
t2=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_27281,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],tmp=(C_word)a,a+=4,tmp);
/* library.scm:5376: display */
t3=*((C_word*)lf[153]+1);{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t3;
av2[1]=t2;
av2[2]=((C_word*)t0)[4];
av2[3]=((C_word*)t0)[3];
((C_proc)(void*)(*((C_word*)t3+1)))(4,av2);}}

/* k27279 in k27276 in k27174 in k27168 in k27165 in body6259 in chicken.condition#print-error-message in k27110 in k27107 in k27104 in k26337 in k26025 in k26021 in k26017 in k23772 in k23768 in k23764 in k20151 in k20147 in k20143 in k20139 in k20135 in ... */
static void C_ccall f_27281(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_27281,2,av);}
/* library.scm:5377: newline */
t2=*((C_word*)lf[151]+1);{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[2];
av2[2]=((C_word*)t0)[3];
((C_proc)(void*)(*((C_word*)t2+1)))(3,av2);}}

/* k27285 in k27174 in k27168 in k27165 in body6259 in chicken.condition#print-error-message in k27110 in k27107 in k27104 in k26337 in k26025 in k26021 in k26017 in k23772 in k23768 in k23764 in k20151 in k20147 in k20143 in k20139 in k20135 in k19774 in ... */
static void C_ccall f_27287(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,3)))){
C_save_and_reclaim((void *)f_27287,2,av);}
a=C_alloc(3);
t2=C_a_i_list1(&a,1,((C_word*)t0)[2]);
/* library.scm:5380: writeargs */
f_27113(((C_word*)t0)[4],t2,((C_word*)t0)[5]);}

/* def-header6262 in chicken.condition#print-error-message in k27110 in k27107 in k27104 in k26337 in k26025 in k26021 in k26017 in k23772 in k23768 in k23764 in k20151 in k20147 in k20143 in k20139 in k20135 in k19774 in k19770 in k19766 in k19762 in k19758 in ... */
static void C_fcall f_27309(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,0,3)))){
C_save_and_reclaim_args((void *)trf_27309,3,t0,t1,t2);}
/* library.scm:5345: body6259 */
t3=((C_word*)t0)[2];
f_27160(t3,t1,t2,lf[1053]);}

/* def-port6261 in chicken.condition#print-error-message in k27110 in k27107 in k27104 in k26337 in k26025 in k26021 in k26017 in k23772 in k23768 in k23764 in k20151 in k20147 in k20143 in k20139 in k20135 in k19774 in k19770 in k19766 in k19762 in k19758 in ... */
static void C_fcall f_27314(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,0,2)))){
C_save_and_reclaim_args((void *)trf_27314,2,t0,t1);}
/* library.scm:5345: def-header6262 */
t2=((C_word*)t0)[2];
f_27309(t2,t1,*((C_word*)lf[717]+1));}

/* ##sys#show-exception-warning in k27110 in k27107 in k27104 in k26337 in k26025 in k26021 in k26017 in k23772 in k23768 in k23764 in k20151 in k20147 in k20143 in k20139 in k20135 in k19774 in k19770 in k19766 in k19762 in k19758 in k19754 in ... */
static void C_ccall f_27349(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word *a;
if(c<4) C_bad_min_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand((c-4)*C_SIZEOF_PAIR +9,c,2)))){
C_save_and_reclaim((void*)f_27349,c,av);}
a=C_alloc((c-4)*C_SIZEOF_PAIR+9);
t4=C_build_rest(&a,c,4,av);
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
t5=C_i_nullp(t4);
t6=(C_truep(t5)?C_fast_retrieve(lf[944]):C_i_car(t4));
t7=t6;
if(C_truep(*((C_word*)lf[304]+1))){
t8=(*a=C_CLOSURE_TYPE|8,a[1]=(C_word)f_27359,a[2]=((C_word*)t0)[2],a[3]=t1,a[4]=t7,a[5]=((C_word*)t0)[3],a[6]=t2,a[7]=((C_word*)t0)[4],a[8]=t3,tmp=(C_word)a,a+=9,tmp);
/* library.scm:5395: open-output-string */
t9=((C_word*)t0)[5];{
C_word *av2=av;
av2[0]=t9;
av2[1]=t8;
((C_proc)(void*)(*((C_word*)t9+1)))(2,av2);}}
else{
t8=C_SCHEME_UNDEFINED;
t9=t1;{
C_word *av2=av;
av2[0]=t9;
av2[1]=t8;
((C_proc)(void*)(*((C_word*)t9+1)))(2,av2);}}}

/* k27357 in show-exception-warning in k27110 in k27107 in k27104 in k26337 in k26025 in k26021 in k26017 in k23772 in k23768 in k23764 in k20151 in k20147 in k20143 in k20139 in k20135 in k19774 in k19770 in k19766 in k19762 in k19758 in ... */
static void C_ccall f_27359(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(10,c,3)))){
C_save_and_reclaim((void *)f_27359,2,av);}
a=C_alloc(10);
t2=t1;
t3=(*a=C_CLOSURE_TYPE|9,a[1]=(C_word)f_27362,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[5],a[6]=((C_word*)t0)[6],a[7]=((C_word*)t0)[7],a[8]=t2,a[9]=((C_word*)t0)[8],tmp=(C_word)a,a+=10,tmp);
/* library.scm:5396: display */
t4=*((C_word*)lf[153]+1);{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t4;
av2[1]=t3;
av2[2]=lf[1057];
av2[3]=t2;
((C_proc)(void*)(*((C_word*)t4+1)))(4,av2);}}

/* k27360 in k27357 in show-exception-warning in k27110 in k27107 in k27104 in k26337 in k26025 in k26021 in k26017 in k23772 in k23768 in k23764 in k20151 in k20147 in k20143 in k20139 in k20135 in k19774 in k19770 in k19766 in k19762 in ... */
static void C_ccall f_27362(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(15,c,3)))){
C_save_and_reclaim((void *)f_27362,2,av);}
a=C_alloc(15);
t2=(*a=C_CLOSURE_TYPE|9,a[1]=(C_word)f_27365,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[5],a[6]=((C_word*)t0)[6],a[7]=((C_word*)t0)[7],a[8]=((C_word*)t0)[8],a[9]=((C_word*)t0)[9],tmp=(C_word)a,a+=10,tmp);
if(C_truep(((C_word*)t0)[4])){
t3=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_27384,a[2]=t2,a[3]=((C_word*)t0)[8],a[4]=((C_word*)t0)[4],tmp=(C_word)a,a+=5,tmp);
/* library.scm:5398: display */
t4=*((C_word*)lf[153]+1);{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t4;
av2[1]=t3;
av2[2]=lf[1056];
av2[3]=((C_word*)t0)[8];
((C_proc)(void*)(*((C_word*)t4+1)))(4,av2);}}
else{
t3=t2;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_SCHEME_UNDEFINED;
f_27365(2,av2);}}}

/* k27363 in k27360 in k27357 in show-exception-warning in k27110 in k27107 in k27104 in k26337 in k26025 in k26021 in k26017 in k23772 in k23768 in k23764 in k20151 in k20147 in k20143 in k20139 in k20135 in k19774 in k19770 in k19766 in ... */
static void C_ccall f_27365(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(10,c,3)))){
C_save_and_reclaim((void *)f_27365,2,av);}
a=C_alloc(10);
t2=(*a=C_CLOSURE_TYPE|9,a[1]=(C_word)f_27368,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[5],a[6]=((C_word*)t0)[6],a[7]=((C_word*)t0)[7],a[8]=((C_word*)t0)[8],a[9]=((C_word*)t0)[9],tmp=(C_word)a,a+=10,tmp);
/* library.scm:5401: display */
t3=*((C_word*)lf[153]+1);{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t3;
av2[1]=t2;
av2[2]=lf[1055];
av2[3]=((C_word*)t0)[8];
((C_proc)(void*)(*((C_word*)t3+1)))(4,av2);}}

/* k27366 in k27363 in k27360 in k27357 in show-exception-warning in k27110 in k27107 in k27104 in k26337 in k26025 in k26021 in k26017 in k23772 in k23768 in k23764 in k20151 in k20147 in k20143 in k20139 in k20135 in k19774 in k19770 in ... */
static void C_ccall f_27368(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(9,c,3)))){
C_save_and_reclaim((void *)f_27368,2,av);}
a=C_alloc(9);
t2=(*a=C_CLOSURE_TYPE|8,a[1]=(C_word)f_27371,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[5],a[6]=((C_word*)t0)[6],a[7]=((C_word*)t0)[7],a[8]=((C_word*)t0)[8],tmp=(C_word)a,a+=9,tmp);
/* library.scm:5402: display */
t3=*((C_word*)lf[153]+1);{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t3;
av2[1]=t2;
av2[2]=((C_word*)t0)[9];
av2[3]=((C_word*)t0)[8];
((C_proc)(void*)(*((C_word*)t3+1)))(4,av2);}}

/* k27369 in k27366 in k27363 in k27360 in k27357 in show-exception-warning in k27110 in k27107 in k27104 in k26337 in k26025 in k26021 in k26017 in k23772 in k23768 in k23764 in k20151 in k20147 in k20143 in k20139 in k20135 in k19774 in ... */
static void C_ccall f_27371(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(10,c,2)))){
C_save_and_reclaim((void *)f_27371,2,av);}
a=C_alloc(10);
t2=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_27374,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],tmp=(C_word)a,a+=5,tmp);
t3=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_27381,a[2]=((C_word*)t0)[5],a[3]=t2,a[4]=((C_word*)t0)[6],tmp=(C_word)a,a+=5,tmp);
/* library.scm:5403: get-output-string */
t4=((C_word*)t0)[7];{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t4;
av2[1]=t3;
av2[2]=((C_word*)t0)[8];
((C_proc)(void*)(*((C_word*)t4+1)))(3,av2);}}

/* k27372 in k27369 in k27366 in k27363 in k27360 in k27357 in show-exception-warning in k27110 in k27107 in k27104 in k26337 in k26025 in k26021 in k26017 in k23772 in k23768 in k23764 in k20151 in k20147 in k20143 in k20139 in k20135 in ... */
static void C_ccall f_27374(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,4)))){
C_save_and_reclaim((void *)f_27374,2,av);}
/* library.scm:5404: print-call-chain */
t2=((C_word*)t0)[2];{
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[3];
av2[2]=*((C_word*)lf[718]+1);
av2[3]=C_fix(0);
av2[4]=((C_word*)t0)[4];
((C_proc)(void*)(*((C_word*)t2+1)))(5,av2);}}

/* k27379 in k27369 in k27366 in k27363 in k27360 in k27357 in show-exception-warning in k27110 in k27107 in k27104 in k26337 in k26025 in k26021 in k26017 in k23772 in k23768 in k23764 in k20151 in k20147 in k20143 in k20139 in k20135 in ... */
static void C_ccall f_27381(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,4)))){
C_save_and_reclaim((void *)f_27381,2,av);}
/* library.scm:5403: print-error-message */
t2=((C_word*)t0)[2];{
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[3];
av2[2]=((C_word*)t0)[4];
av2[3]=*((C_word*)lf[718]+1);
av2[4]=t1;
((C_proc)(void*)(*((C_word*)t2+1)))(5,av2);}}

/* k27382 in k27360 in k27357 in show-exception-warning in k27110 in k27107 in k27104 in k26337 in k26025 in k26021 in k26017 in k23772 in k23768 in k23764 in k20151 in k20147 in k20143 in k20139 in k20135 in k19774 in k19770 in k19766 in ... */
static void C_ccall f_27384(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,c,3)))){
C_save_and_reclaim((void *)f_27384,2,av);}
a=C_alloc(4);
t2=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_27387,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],tmp=(C_word)a,a+=4,tmp);
/* library.scm:5399: display */
t3=*((C_word*)lf[153]+1);{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t3;
av2[1]=t2;
av2[2]=((C_word*)t0)[4];
av2[3]=((C_word*)t0)[3];
((C_proc)(void*)(*((C_word*)t3+1)))(4,av2);}}

/* k27385 in k27382 in k27360 in k27357 in show-exception-warning in k27110 in k27107 in k27104 in k26337 in k26025 in k26021 in k26017 in k23772 in k23768 in k23764 in k20151 in k20147 in k20143 in k20139 in k20135 in k19774 in k19770 in ... */
static void C_ccall f_27387(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_27387,2,av);}
/* write-char/port */
t2=C_fast_retrieve(lf[868]);{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[2];
av2[2]=C_make_character(41);
av2[3]=((C_word*)t0)[3];
((C_proc)(void*)(*((C_word*)t2+1)))(4,av2);}}

/* ##sys#error-hook in k27110 in k27107 in k27104 in k26337 in k26025 in k26021 in k26017 in k23772 in k23768 in k23764 in k20151 in k20147 in k20143 in k20139 in k20135 in k19774 in k19770 in k19766 in k19762 in k19758 in k19754 in ... */
static void C_ccall f_27398(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word *a;
if(c<4) C_bad_min_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand((c-4)*C_SIZEOF_PAIR +9,c,6)))){
C_save_and_reclaim((void*)f_27398,c,av);}
a=C_alloc((c-4)*C_SIZEOF_PAIR+9);
t4=C_build_rest(&a,c,4,av);
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word t12;
C_word t13;
C_word t14;
C_word t15;
C_word t16;
C_word t17;
C_word t18;
C_word t19;
switch(t2){
case C_fix(1):
t5=C_i_car(t4);
t6=t5;
t7=C_i_cadr(t4);
t8=C_i_caddr(t4);
t9=t8;
t10=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_27421,a[2]=t9,a[3]=t1,a[4]=t3,tmp=(C_word)a,a+=5,tmp);
t11=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_27432,a[2]=t10,a[3]=t6,tmp=(C_word)a,a+=4,tmp);
/* library.scm:5419: ##sys#number->string */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[600]+1));
C_word *av2=av;
av2[0]=*((C_word*)lf[600]+1);
av2[1]=t11;
av2[2]=t7;
tp(3,av2);}
case C_fix(2):
t5=C_i_car(t4);
t6=t5;
t7=C_i_cadr(t4);
t8=C_i_caddr(t4);
t9=t8;
t10=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_27458,a[2]=t9,a[3]=t1,a[4]=t3,tmp=(C_word)a,a+=5,tmp);
t11=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_27469,a[2]=t10,a[3]=t6,tmp=(C_word)a,a+=4,tmp);
/* library.scm:5428: ##sys#number->string */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[600]+1));
C_word *av2=av;
av2[0]=*((C_word*)lf[600]+1);
av2[1]=t11;
av2[2]=t7;
tp(3,av2);}
case C_fix(3):{
C_word *av2;
if(c >= 7) {
  av2=av;
} else {
  av2=C_alloc(7);
}
av2[0]=0;
av2[1]=t1;
av2[2]=C_fast_retrieve(lf[194]);
av2[3]=lf[258];
av2[4]=t3;
av2[5]=lf[1062];
av2[6]=t4;
C_apply(7,av2);}
case C_fix(4):{
C_word *av2;
if(c >= 7) {
  av2=av;
} else {
  av2=C_alloc(7);
}
av2[0]=0;
av2[1]=t1;
av2[2]=C_fast_retrieve(lf[194]);
av2[3]=lf[980];
av2[4]=t3;
av2[5]=lf[1063];
av2[6]=t4;
C_apply(7,av2);}
case C_fix(6):{
C_word *av2;
if(c >= 7) {
  av2=av;
} else {
  av2=C_alloc(7);
}
av2[0]=0;
av2[1]=t1;
av2[2]=C_fast_retrieve(lf[194]);
av2[3]=lf[988];
av2[4]=t3;
av2[5]=lf[1064];
av2[6]=t4;
C_apply(7,av2);}
case C_fix(7):{
C_word *av2;
if(c >= 7) {
  av2=av;
} else {
  av2=C_alloc(7);
}
av2[0]=0;
av2[1]=t1;
av2[2]=C_fast_retrieve(lf[194]);
av2[3]=lf[563];
av2[4]=t3;
av2[5]=lf[1065];
av2[6]=t4;
C_apply(7,av2);}
case C_fix(8):{
C_word *av2;
if(c >= 7) {
  av2=av;
} else {
  av2=C_alloc(7);
}
av2[0]=0;
av2[1]=t1;
av2[2]=C_fast_retrieve(lf[194]);
av2[3]=lf[379];
av2[4]=t3;
av2[5]=lf[1066];
av2[6]=t4;
C_apply(7,av2);}
case C_fix(9):{
C_word *av2;
if(c >= 7) {
  av2=av;
} else {
  av2=C_alloc(7);
}
av2[0]=0;
av2[1]=t1;
av2[2]=C_fast_retrieve(lf[194]);
av2[3]=lf[258];
av2[4]=t3;
av2[5]=lf[1067];
av2[6]=t4;
C_apply(7,av2);}
case C_fix(10):{
C_word *av2;
if(c >= 7) {
  av2=av;
} else {
  av2=C_alloc(7);
}
av2[0]=0;
av2[1]=t1;
av2[2]=C_fast_retrieve(lf[194]);
av2[3]=lf[990];
av2[4]=t3;
av2[5]=lf[1068];
av2[6]=t4;
C_apply(7,av2);}
case C_fix(11):{
C_word *av2;
if(c >= 7) {
  av2=av;
} else {
  av2=C_alloc(7);
}
av2[0]=0;
av2[1]=t1;
av2[2]=C_fast_retrieve(lf[194]);
av2[3]=lf[258];
av2[4]=t3;
av2[5]=lf[1069];
av2[6]=t4;
C_apply(7,av2);}
case C_fix(12):{
C_word *av2;
if(c >= 7) {
  av2=av;
} else {
  av2=C_alloc(7);
}
av2[0]=0;
av2[1]=t1;
av2[2]=C_fast_retrieve(lf[194]);
av2[3]=lf[988];
av2[4]=t3;
av2[5]=lf[1070];
av2[6]=t4;
C_apply(7,av2);}
case C_fix(13):{
C_word *av2;
if(c >= 7) {
  av2=av;
} else {
  av2=C_alloc(7);
}
av2[0]=0;
av2[1]=t1;
av2[2]=C_fast_retrieve(lf[194]);
av2[3]=lf[258];
av2[4]=t3;
av2[5]=lf[1071];
av2[6]=t4;
C_apply(7,av2);}
case C_fix(14):{
C_word *av2;
if(c >= 7) {
  av2=av;
} else {
  av2=C_alloc(7);
}
av2[0]=0;
av2[1]=t1;
av2[2]=C_fast_retrieve(lf[194]);
av2[3]=lf[258];
av2[4]=t3;
av2[5]=lf[1072];
av2[6]=t4;
C_apply(7,av2);}
case C_fix(15):{
C_word *av2;
if(c >= 7) {
  av2=av;
} else {
  av2=C_alloc(7);
}
av2[0]=0;
av2[1]=t1;
av2[2]=C_fast_retrieve(lf[194]);
av2[3]=lf[258];
av2[4]=t3;
av2[5]=lf[1073];
av2[6]=t4;
C_apply(7,av2);}
case C_fix(16):{
C_word *av2;
if(c >= 7) {
  av2=av;
} else {
  av2=C_alloc(7);
}
av2[0]=0;
av2[1]=t1;
av2[2]=C_fast_retrieve(lf[194]);
av2[3]=lf[258];
av2[4]=t3;
av2[5]=lf[1074];
av2[6]=t4;
C_apply(7,av2);}
case C_fix(17):{
C_word *av2;
if(c >= 7) {
  av2=av;
} else {
  av2=C_alloc(7);
}
av2[0]=0;
av2[1]=t1;
av2[2]=C_fast_retrieve(lf[194]);
av2[3]=lf[258];
av2[4]=t3;
av2[5]=lf[1075];
av2[6]=t4;
C_apply(7,av2);}
case C_fix(18):{
C_word *av2;
if(c >= 7) {
  av2=av;
} else {
  av2=C_alloc(7);
}
av2[0]=0;
av2[1]=t1;
av2[2]=C_fast_retrieve(lf[194]);
av2[3]=lf[258];
av2[4]=t3;
av2[5]=lf[1076];
av2[6]=t4;
C_apply(7,av2);}
case C_fix(19):{
C_word *av2;
if(c >= 7) {
  av2=av;
} else {
  av2=C_alloc(7);
}
av2[0]=0;
av2[1]=t1;
av2[2]=C_fast_retrieve(lf[194]);
av2[3]=lf[258];
av2[4]=t3;
av2[5]=lf[1077];
av2[6]=t4;
C_apply(7,av2);}
case C_fix(20):{
C_word *av2;
if(c >= 7) {
  av2=av;
} else {
  av2=C_alloc(7);
}
av2[0]=0;
av2[1]=t1;
av2[2]=C_fast_retrieve(lf[194]);
av2[3]=lf[258];
av2[4]=t3;
av2[5]=lf[1078];
av2[6]=t4;
C_apply(7,av2);}
case C_fix(21):{
C_word *av2;
if(c >= 7) {
  av2=av;
} else {
  av2=C_alloc(7);
}
av2[0]=0;
av2[1]=t1;
av2[2]=C_fast_retrieve(lf[194]);
av2[3]=lf[258];
av2[4]=t3;
av2[5]=lf[1079];
av2[6]=t4;
C_apply(7,av2);}
case C_fix(22):{
C_word *av2;
if(c >= 7) {
  av2=av;
} else {
  av2=C_alloc(7);
}
av2[0]=0;
av2[1]=t1;
av2[2]=C_fast_retrieve(lf[194]);
av2[3]=lf[258];
av2[4]=t3;
av2[5]=lf[1080];
av2[6]=t4;
C_apply(7,av2);}
case C_fix(23):{
C_word *av2;
if(c >= 7) {
  av2=av;
} else {
  av2=C_alloc(7);
}
av2[0]=0;
av2[1]=t1;
av2[2]=C_fast_retrieve(lf[194]);
av2[3]=lf[988];
av2[4]=t3;
av2[5]=lf[1081];
av2[6]=t4;
C_apply(7,av2);}
case C_fix(24):{
C_word *av2;
if(c >= 7) {
  av2=av;
} else {
  av2=C_alloc(7);
}
av2[0]=0;
av2[1]=t1;
av2[2]=C_fast_retrieve(lf[194]);
av2[3]=lf[258];
av2[4]=t3;
av2[5]=lf[1082];
av2[6]=t4;
C_apply(7,av2);}
case C_fix(25):{
C_word *av2;
if(c >= 7) {
  av2=av;
} else {
  av2=C_alloc(7);
}
av2[0]=0;
av2[1]=t1;
av2[2]=C_fast_retrieve(lf[194]);
av2[3]=lf[258];
av2[4]=t3;
av2[5]=lf[1083];
av2[6]=t4;
C_apply(7,av2);}
case C_fix(26):{
C_word *av2;
if(c >= 7) {
  av2=av;
} else {
  av2=C_alloc(7);
}
av2[0]=0;
av2[1]=t1;
av2[2]=C_fast_retrieve(lf[194]);
av2[3]=lf[258];
av2[4]=t3;
av2[5]=lf[1084];
av2[6]=t4;
C_apply(7,av2);}
case C_fix(27):{
C_word *av2;
if(c >= 7) {
  av2=av;
} else {
  av2=C_alloc(7);
}
av2[0]=0;
av2[1]=t1;
av2[2]=C_fast_retrieve(lf[194]);
av2[3]=lf[258];
av2[4]=t3;
av2[5]=lf[1085];
av2[6]=t4;
C_apply(7,av2);}
case C_fix(28):{
C_word *av2;
if(c >= 7) {
  av2=av;
} else {
  av2=C_alloc(7);
}
av2[0]=0;
av2[1]=t1;
av2[2]=C_fast_retrieve(lf[194]);
av2[3]=lf[258];
av2[4]=t3;
av2[5]=lf[1086];
av2[6]=t4;
C_apply(7,av2);}
case C_fix(29):{
C_word *av2;
if(c >= 7) {
  av2=av;
} else {
  av2=C_alloc(7);
}
av2[0]=0;
av2[1]=t1;
av2[2]=C_fast_retrieve(lf[194]);
av2[3]=lf[258];
av2[4]=t3;
av2[5]=lf[1087];
av2[6]=t4;
C_apply(7,av2);}
case C_fix(30):{
C_word *av2;
if(c >= 7) {
  av2=av;
} else {
  av2=C_alloc(7);
}
av2[0]=0;
av2[1]=t1;
av2[2]=C_fast_retrieve(lf[194]);
av2[3]=lf[258];
av2[4]=t3;
av2[5]=lf[1088];
av2[6]=t4;
C_apply(7,av2);}
case C_fix(31):{
C_word *av2;
if(c >= 7) {
  av2=av;
} else {
  av2=C_alloc(7);
}
av2[0]=0;
av2[1]=t1;
av2[2]=C_fast_retrieve(lf[194]);
av2[3]=lf[258];
av2[4]=t3;
av2[5]=lf[1089];
av2[6]=t4;
C_apply(7,av2);}
case C_fix(32):{
C_word *av2;
if(c >= 7) {
  av2=av;
} else {
  av2=C_alloc(7);
}
av2[0]=0;
av2[1]=t1;
av2[2]=C_fast_retrieve(lf[194]);
av2[3]=lf[258];
av2[4]=t3;
av2[5]=lf[1090];
av2[6]=t4;
C_apply(7,av2);}
case C_fix(33):{
C_word *av2;
if(c >= 7) {
  av2=av;
} else {
  av2=C_alloc(7);
}
av2[0]=0;
av2[1]=t1;
av2[2]=C_fast_retrieve(lf[194]);
av2[3]=lf[258];
av2[4]=t3;
av2[5]=lf[1091];
av2[6]=t4;
C_apply(7,av2);}
case C_fix(34):{
C_word *av2;
if(c >= 7) {
  av2=av;
} else {
  av2=C_alloc(7);
}
av2[0]=0;
av2[1]=t1;
av2[2]=C_fast_retrieve(lf[194]);
av2[3]=lf[258];
av2[4]=t3;
av2[5]=lf[1092];
av2[6]=t4;
C_apply(7,av2);}
case C_fix(35):{
C_word *av2;
if(c >= 7) {
  av2=av;
} else {
  av2=C_alloc(7);
}
av2[0]=0;
av2[1]=t1;
av2[2]=C_fast_retrieve(lf[194]);
av2[3]=lf[258];
av2[4]=t3;
av2[5]=lf[1093];
av2[6]=t4;
C_apply(7,av2);}
case C_fix(36):{
C_word *av2;
if(c >= 7) {
  av2=av;
} else {
  av2=C_alloc(7);
}
av2[0]=0;
av2[1]=t1;
av2[2]=C_fast_retrieve(lf[194]);
av2[3]=lf[988];
av2[4]=t3;
av2[5]=lf[1094];
av2[6]=t4;
C_apply(7,av2);}
case C_fix(37):{
C_word *av2;
if(c >= 7) {
  av2=av;
} else {
  av2=C_alloc(7);
}
av2[0]=0;
av2[1]=t1;
av2[2]=C_fast_retrieve(lf[194]);
av2[3]=lf[258];
av2[4]=t3;
av2[5]=lf[1095];
av2[6]=t4;
C_apply(7,av2);}
case C_fix(38):{
C_word *av2;
if(c >= 7) {
  av2=av;
} else {
  av2=C_alloc(7);
}
av2[0]=0;
av2[1]=t1;
av2[2]=C_fast_retrieve(lf[194]);
av2[3]=lf[258];
av2[4]=t3;
av2[5]=lf[1096];
av2[6]=t4;
C_apply(7,av2);}
case C_fix(39):{
C_word *av2;
if(c >= 7) {
  av2=av;
} else {
  av2=C_alloc(7);
}
av2[0]=0;
av2[1]=t1;
av2[2]=C_fast_retrieve(lf[194]);
av2[3]=lf[258];
av2[4]=t3;
av2[5]=lf[1097];
av2[6]=t4;
C_apply(7,av2);}
case C_fix(40):{
C_word *av2;
if(c >= 7) {
  av2=av;
} else {
  av2=C_alloc(7);
}
av2[0]=0;
av2[1]=t1;
av2[2]=C_fast_retrieve(lf[194]);
av2[3]=lf[258];
av2[4]=t3;
av2[5]=lf[1098];
av2[6]=t4;
C_apply(7,av2);}
case C_fix(41):{
C_word *av2;
if(c >= 7) {
  av2=av;
} else {
  av2=C_alloc(7);
}
av2[0]=0;
av2[1]=t1;
av2[2]=C_fast_retrieve(lf[194]);
av2[3]=lf[258];
av2[4]=t3;
av2[5]=lf[1099];
av2[6]=t4;
C_apply(7,av2);}
case C_fix(42):{
C_word *av2;
if(c >= 7) {
  av2=av;
} else {
  av2=C_alloc(7);
}
av2[0]=0;
av2[1]=t1;
av2[2]=C_fast_retrieve(lf[194]);
av2[3]=lf[258];
av2[4]=t3;
av2[5]=lf[1100];
av2[6]=t4;
C_apply(7,av2);}
case C_fix(43):{
C_word *av2;
if(c >= 7) {
  av2=av;
} else {
  av2=C_alloc(7);
}
av2[0]=0;
av2[1]=t1;
av2[2]=C_fast_retrieve(lf[194]);
av2[3]=lf[702];
av2[4]=t3;
av2[5]=lf[1101];
av2[6]=t4;
C_apply(7,av2);}
case C_fix(44):{
C_word *av2;
if(c >= 7) {
  av2=av;
} else {
  av2=C_alloc(7);
}
av2[0]=0;
av2[1]=t1;
av2[2]=C_fast_retrieve(lf[194]);
av2[3]=lf[258];
av2[4]=t3;
av2[5]=lf[1102];
av2[6]=t4;
C_apply(7,av2);}
case C_fix(45):{
C_word *av2;
if(c >= 7) {
  av2=av;
} else {
  av2=C_alloc(7);
}
av2[0]=0;
av2[1]=t1;
av2[2]=C_fast_retrieve(lf[194]);
av2[3]=lf[996];
av2[4]=t3;
av2[5]=lf[1103];
av2[6]=t4;
C_apply(7,av2);}
case C_fix(46):{
C_word *av2;
if(c >= 7) {
  av2=av;
} else {
  av2=C_alloc(7);
}
av2[0]=0;
av2[1]=t1;
av2[2]=C_fast_retrieve(lf[194]);
av2[3]=lf[563];
av2[4]=t3;
av2[5]=lf[1104];
av2[6]=t4;
C_apply(7,av2);}
case C_fix(47):{
C_word *av2;
if(c >= 7) {
  av2=av;
} else {
  av2=C_alloc(7);
}
av2[0]=0;
av2[1]=t1;
av2[2]=C_fast_retrieve(lf[194]);
av2[3]=lf[980];
av2[4]=t3;
av2[5]=lf[1105];
av2[6]=t4;
C_apply(7,av2);}
case C_fix(48):{
C_word *av2;
if(c >= 7) {
  av2=av;
} else {
  av2=C_alloc(7);
}
av2[0]=0;
av2[1]=t1;
av2[2]=C_fast_retrieve(lf[194]);
av2[3]=lf[996];
av2[4]=t3;
av2[5]=lf[1106];
av2[6]=t4;
C_apply(7,av2);}
case C_fix(49):{
C_word *av2;
if(c >= 7) {
  av2=av;
} else {
  av2=C_alloc(7);
}
av2[0]=0;
av2[1]=t1;
av2[2]=C_fast_retrieve(lf[194]);
av2[3]=lf[258];
av2[4]=t3;
av2[5]=lf[1107];
av2[6]=t4;
C_apply(7,av2);}
case C_fix(50):{
C_word *av2;
if(c >= 7) {
  av2=av;
} else {
  av2=C_alloc(7);
}
av2[0]=0;
av2[1]=t1;
av2[2]=C_fast_retrieve(lf[194]);
av2[3]=lf[258];
av2[4]=t3;
av2[5]=lf[1108];
av2[6]=t4;
C_apply(7,av2);}
case C_fix(51):{
C_word *av2;
if(c >= 7) {
  av2=av;
} else {
  av2=C_alloc(7);
}
av2[0]=0;
av2[1]=t1;
av2[2]=C_fast_retrieve(lf[194]);
av2[3]=lf[258];
av2[4]=t3;
av2[5]=lf[1109];
av2[6]=t4;
C_apply(7,av2);}
case C_fix(52):{
C_word *av2;
if(c >= 7) {
  av2=av;
} else {
  av2=C_alloc(7);
}
av2[0]=0;
av2[1]=t1;
av2[2]=C_fast_retrieve(lf[194]);
av2[3]=lf[258];
av2[4]=t3;
av2[5]=lf[1110];
av2[6]=t4;
C_apply(7,av2);}
case C_fix(53):{
C_word *av2;
if(c >= 7) {
  av2=av;
} else {
  av2=C_alloc(7);
}
av2[0]=0;
av2[1]=t1;
av2[2]=C_fast_retrieve(lf[194]);
av2[3]=lf[258];
av2[4]=t3;
av2[5]=lf[1111];
av2[6]=t4;
C_apply(7,av2);}
case C_fix(54):{
C_word *av2;
if(c >= 7) {
  av2=av;
} else {
  av2=C_alloc(7);
}
av2[0]=0;
av2[1]=t1;
av2[2]=C_fast_retrieve(lf[194]);
av2[3]=lf[258];
av2[4]=t3;
av2[5]=lf[1112];
av2[6]=t4;
C_apply(7,av2);}
case C_fix(55):{
C_word *av2;
if(c >= 7) {
  av2=av;
} else {
  av2=C_alloc(7);
}
av2[0]=0;
av2[1]=t1;
av2[2]=C_fast_retrieve(lf[194]);
av2[3]=lf[258];
av2[4]=t3;
av2[5]=lf[1113];
av2[6]=t4;
C_apply(7,av2);}
default:{
C_word *av2;
if(c >= 7) {
  av2=av;
} else {
  av2=C_alloc(7);
}
av2[0]=0;
av2[1]=t1;
av2[2]=C_fast_retrieve(lf[194]);
av2[3]=lf[980];
av2[4]=t3;
av2[5]=lf[1114];
av2[6]=t4;
C_apply(7,av2);}}}

/* k27419 in error-hook in k27110 in k27107 in k27104 in k26337 in k26025 in k26021 in k26017 in k23772 in k23768 in k23764 in k20151 in k20147 in k20143 in k20139 in k20135 in k19774 in k19770 in k19766 in k19762 in k19758 in ... */
static void C_ccall f_27421(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,6)))){
C_save_and_reclaim((void *)f_27421,2,av);}
a=C_alloc(3);
if(C_truep(((C_word*)t0)[2])){
t2=C_a_i_list1(&a,1,((C_word*)t0)[2]);{
C_word *av2;
if(c >= 7) {
  av2=av;
} else {
  av2=C_alloc(7);
}
av2[0]=0;
av2[1]=((C_word*)t0)[3];
av2[2]=C_fast_retrieve(lf[194]);
av2[3]=lf[990];
av2[4]=((C_word*)t0)[4];
av2[5]=t1;
av2[6]=t2;
C_apply(7,av2);}}
else{
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[194]);
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=*((C_word*)lf[194]+1);
av2[1]=((C_word*)t0)[3];
av2[2]=lf[990];
av2[3]=((C_word*)t0)[4];
av2[4]=t1;
tp(5,av2);}}}

/* k27430 in error-hook in k27110 in k27107 in k27104 in k26337 in k26025 in k26021 in k26017 in k23772 in k23768 in k23764 in k20151 in k20147 in k20143 in k20139 in k20135 in k19774 in k19770 in k19766 in k19762 in k19758 in ... */
static void C_ccall f_27432(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,c,2)))){
C_save_and_reclaim((void *)f_27432,2,av);}
a=C_alloc(4);
t2=t1;
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_27436,a[2]=((C_word*)t0)[2],a[3]=t2,tmp=(C_word)a,a+=4,tmp);
/* library.scm:5420: ##sys#number->string */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[600]+1));
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[600]+1);
av2[1]=t3;
av2[2]=((C_word*)t0)[3];
tp(3,av2);}}

/* k27434 in k27430 in error-hook in k27110 in k27107 in k27104 in k26337 in k26025 in k26021 in k26017 in k23772 in k23768 in k23764 in k20151 in k20147 in k20143 in k20139 in k20135 in k19774 in k19770 in k19766 in k19762 in ... */
static void C_ccall f_27436(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,5)))){
C_save_and_reclaim((void *)f_27436,2,av);}
/* library.scm:5419: string-append */
t2=*((C_word*)lf[413]+1);{
C_word *av2;
if(c >= 6) {
  av2=av;
} else {
  av2=C_alloc(6);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[2];
av2[2]=lf[1058];
av2[3]=((C_word*)t0)[3];
av2[4]=lf[1059];
av2[5]=t1;
((C_proc)(void*)(*((C_word*)t2+1)))(6,av2);}}

/* k27456 in error-hook in k27110 in k27107 in k27104 in k26337 in k26025 in k26021 in k26017 in k23772 in k23768 in k23764 in k20151 in k20147 in k20143 in k20139 in k20135 in k19774 in k19770 in k19766 in k19762 in k19758 in ... */
static void C_ccall f_27458(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,6)))){
C_save_and_reclaim((void *)f_27458,2,av);}
a=C_alloc(3);
if(C_truep(((C_word*)t0)[2])){
t2=C_a_i_list1(&a,1,((C_word*)t0)[2]);{
C_word *av2;
if(c >= 7) {
  av2=av;
} else {
  av2=C_alloc(7);
}
av2[0]=0;
av2[1]=((C_word*)t0)[3];
av2[2]=C_fast_retrieve(lf[194]);
av2[3]=lf[990];
av2[4]=((C_word*)t0)[4];
av2[5]=t1;
av2[6]=t2;
C_apply(7,av2);}}
else{
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[194]);
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=*((C_word*)lf[194]+1);
av2[1]=((C_word*)t0)[3];
av2[2]=lf[990];
av2[3]=((C_word*)t0)[4];
av2[4]=t1;
tp(5,av2);}}}

/* k27467 in error-hook in k27110 in k27107 in k27104 in k26337 in k26025 in k26021 in k26017 in k23772 in k23768 in k23764 in k20151 in k20147 in k20143 in k20139 in k20135 in k19774 in k19770 in k19766 in k19762 in k19758 in ... */
static void C_ccall f_27469(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,c,2)))){
C_save_and_reclaim((void *)f_27469,2,av);}
a=C_alloc(4);
t2=t1;
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_27473,a[2]=((C_word*)t0)[2],a[3]=t2,tmp=(C_word)a,a+=4,tmp);
/* library.scm:5429: ##sys#number->string */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[600]+1));
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[600]+1);
av2[1]=t3;
av2[2]=((C_word*)t0)[3];
tp(3,av2);}}

/* k27471 in k27467 in error-hook in k27110 in k27107 in k27104 in k26337 in k26025 in k26021 in k26017 in k23772 in k23768 in k23764 in k20151 in k20147 in k20143 in k20139 in k20135 in k19774 in k19770 in k19766 in k19762 in ... */
static void C_ccall f_27473(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,5)))){
C_save_and_reclaim((void *)f_27473,2,av);}
/* library.scm:5428: string-append */
t2=*((C_word*)lf[413]+1);{
C_word *av2;
if(c >= 6) {
  av2=av;
} else {
  av2=C_alloc(6);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[2];
av2[2]=lf[1060];
av2[3]=((C_word*)t0)[3];
av2[4]=lf[1061];
av2[5]=t1;
((C_proc)(void*)(*((C_word*)t2+1)))(6,av2);}}

/* ##sys#structure? in k27110 in k27107 in k27104 in k26337 in k26025 in k26021 in k26017 in k23772 in k23768 in k23764 in k20151 in k20147 in k20143 in k20139 in k20135 in k19774 in k19770 in k19766 in k19762 in k19758 in k19754 in ... */
static void C_ccall f_28054(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_28054,4,av);}
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_i_structurep(t2,t3);
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* ##sys#generic-structure? in k27110 in k27107 in k27104 in k26337 in k26025 in k26021 in k26017 in k23772 in k23768 in k23764 in k20151 in k20147 in k20143 in k20139 in k20135 in k19774 in k19770 in k19766 in k19762 in k19758 in k19754 in ... */
static void C_ccall f_28057(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_28057,3,av);}
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_structurep(t2);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* ##sys#slot in k27110 in k27107 in k27104 in k26337 in k26025 in k26021 in k26017 in k23772 in k23768 in k23764 in k20151 in k20147 in k20143 in k20139 in k20135 in k19774 in k19770 in k19766 in k19762 in k19758 in k19754 in ... */
static void C_ccall f_28060(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_28060,4,av);}
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_slot(t2,t3);
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* ##sys#size in k27110 in k27107 in k27104 in k26337 in k26025 in k26021 in k26017 in k23772 in k23768 in k23764 in k20151 in k20147 in k20143 in k20139 in k20135 in k19774 in k19770 in k19766 in k19762 in k19758 in k19754 in ... */
static void C_ccall f_28063(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_28063,3,av);}
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_block_size(t2);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* ##sys#pointer? in k27110 in k27107 in k27104 in k26337 in k26025 in k26021 in k26017 in k23772 in k23768 in k23764 in k20151 in k20147 in k20143 in k20139 in k20135 in k19774 in k19770 in k19766 in k19762 in k19758 in k19754 in ... */
static void C_ccall f_28068(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_28068,3,av);}
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_anypointerp(t2);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* ##sys#set-pointer-address! in k27110 in k27107 in k27104 in k26337 in k26025 in k26021 in k26017 in k23772 in k23768 in k23764 in k20151 in k20147 in k20143 in k20139 in k20135 in k19774 in k19770 in k19766 in k19762 in k19758 in k19754 in ... */
static void C_ccall f_28071(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_28071,4,av);}
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_update_pointer(t3,t2);
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* ##sys#bytevector? in k27110 in k27107 in k27104 in k26337 in k26025 in k26021 in k26017 in k23772 in k23768 in k23764 in k20151 in k20147 in k20143 in k20139 in k20135 in k19774 in k19770 in k19766 in k19762 in k19758 in k19754 in ... */
static void C_ccall f_28074(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_28074,3,av);}
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_bytevectorp(t2);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* ##sys#string->pbytevector in k27110 in k27107 in k27104 in k26337 in k26025 in k26021 in k26017 in k23772 in k23768 in k23764 in k20151 in k20147 in k20143 in k20139 in k20135 in k19774 in k19770 in k19766 in k19762 in k19758 in k19754 in ... */
static void C_ccall f_28077(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_28077,3,av);}
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_string_to_pbytevector(t2);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* ##sys#permanent? in k27110 in k27107 in k27104 in k26337 in k26025 in k26021 in k26017 in k23772 in k23768 in k23764 in k20151 in k20147 in k20143 in k20139 in k20135 in k19774 in k19770 in k19766 in k19762 in k19758 in k19754 in ... */
static void C_ccall f_28080(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_28080,3,av);}
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_permanentp(t2);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* ##sys#block-address in k27110 in k27107 in k27104 in k26337 in k26025 in k26021 in k26017 in k23772 in k23768 in k23764 in k20151 in k20147 in k20143 in k20139 in k20135 in k19774 in k19770 in k19766 in k19762 in k19758 in k19754 in ... */
static void C_ccall f_28083(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(6,c,1)))){
C_save_and_reclaim((void *)f_28083,3,av);}
a=C_alloc(6);
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_block_address(&a,1,t2);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* ##sys#locative? in k27110 in k27107 in k27104 in k26337 in k26025 in k26021 in k26017 in k23772 in k23768 in k23764 in k20151 in k20147 in k20143 in k20139 in k20135 in k19774 in k19770 in k19766 in k19762 in k19758 in k19754 in ... */
static void C_ccall f_28086(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_28086,3,av);}
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_locativep(t2);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* ##sys#srfi-4-vector? in k27110 in k27107 in k27104 in k26337 in k26025 in k26021 in k26017 in k23772 in k23768 in k23764 in k20151 in k20147 in k20143 in k20139 in k20135 in k19774 in k19770 in k19766 in k19762 in k19758 in k19754 in ... */
static void C_ccall f_28089(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_28089,3,av);}
if(C_truep(C_blockp(t2))){
if(C_truep(C_structurep(t2))){
t3=C_slot(t2,C_fix(0));
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_u_i_memq(t3,lf[1129]);
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}
else{
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_SCHEME_FALSE;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}}
else{
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_SCHEME_FALSE;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}}

/* ##sys#null-pointer in k27110 in k27107 in k27104 in k26337 in k26025 in k26021 in k26017 in k23772 in k23768 in k23764 in k20151 in k20147 in k20143 in k20139 in k20135 in k19774 in k19770 in k19766 in k19762 in k19758 in k19754 in ... */
static void C_ccall f_28106(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(c!=2) C_bad_argc_2(c,2,t0);
if(C_unlikely(!C_demand(C_calculate_demand(3,c,2)))){
C_save_and_reclaim((void *)f_28106,2,av);}
a=C_alloc(3);
t2=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_28110,a[2]=t1,tmp=(C_word)a,a+=3,tmp);
/* library.scm:5512: ##sys#make-pointer */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[1119]);
C_word *av2=av;
av2[0]=*((C_word*)lf[1119]+1);
av2[1]=t2;
tp(2,av2);}}

/* k28108 in null-pointer in k27110 in k27107 in k27104 in k26337 in k26025 in k26021 in k26017 in k23772 in k23768 in k23764 in k20151 in k20147 in k20143 in k20139 in k20135 in k19774 in k19770 in k19766 in k19762 in k19758 in ... */
static void C_ccall f_28110(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_28110,2,av);}
t2=C_update_pointer(C_fix(0),t1);
t3=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t3;
av2[1]=t1;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* ##sys#null-pointer? in k27110 in k27107 in k27104 in k26337 in k26025 in k26021 in k26017 in k23772 in k23768 in k23764 in k20151 in k20147 in k20143 in k20139 in k20135 in k19774 in k19770 in k19766 in k19762 in k19758 in k19754 in ... */
static void C_ccall f_28112(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(3,c,2)))){
C_save_and_reclaim((void *)f_28112,3,av);}
a=C_alloc(3);
t3=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_28120,a[2]=t1,tmp=(C_word)a,a+=3,tmp);
/* library.scm:5517: ##sys#pointer->address */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[941]);
C_word *av2=av;
av2[0]=*((C_word*)lf[941]+1);
av2[1]=t3;
av2[2]=t2;
tp(3,av2);}}

/* k28118 in null-pointer? in k27110 in k27107 in k27104 in k26337 in k26025 in k26021 in k26017 in k23772 in k23768 in k23764 in k20151 in k20147 in k20143 in k20139 in k20135 in k19774 in k19770 in k19766 in k19762 in k19758 in ... */
static void C_ccall f_28120(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_28120,2,av);}
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=C_eqp(C_fix(0),t1);
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* ##sys#address->pointer in k27110 in k27107 in k27104 in k26337 in k26025 in k26021 in k26017 in k23772 in k23768 in k23764 in k20151 in k20147 in k20143 in k20139 in k20135 in k19774 in k19770 in k19766 in k19762 in k19758 in k19754 in ... */
static void C_ccall f_28122(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(4,c,2)))){
C_save_and_reclaim((void *)f_28122,3,av);}
a=C_alloc(4);
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_28126,a[2]=t2,a[3]=t1,tmp=(C_word)a,a+=4,tmp);
/* library.scm:5520: ##sys#make-pointer */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[1119]);
C_word *av2=av;
av2[0]=*((C_word*)lf[1119]+1);
av2[1]=t3;
tp(2,av2);}}

/* k28124 in address->pointer in k27110 in k27107 in k27104 in k26337 in k26025 in k26021 in k26017 in k23772 in k23768 in k23764 in k20151 in k20147 in k20143 in k20139 in k20135 in k19774 in k19770 in k19766 in k19762 in k19758 in ... */
static void C_ccall f_28126(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_28126,2,av);}
t2=C_update_pointer(((C_word*)t0)[2],t1);
t3=((C_word*)t0)[3];{
C_word *av2=av;
av2[0]=t3;
av2[1]=t1;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* ##sys#pointer->address in k27110 in k27107 in k27104 in k26337 in k26025 in k26021 in k26017 in k23772 in k23768 in k23764 in k20151 in k20147 in k20143 in k20139 in k20135 in k19774 in k19770 in k19766 in k19762 in k19758 in k19754 in ... */
static void C_ccall f_28128(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(6,c,1)))){
C_save_and_reclaim((void *)f_28128,3,av);}
a=C_alloc(6);
t3=C_slot(t2,C_fix(0));
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_a_unsigned_int_to_num(&a,1,t3);
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* ##sys#make-c-string in k27110 in k27107 in k27104 in k26337 in k26025 in k26021 in k26017 in k23772 in k23768 in k23764 in k20151 in k20147 in k20143 in k20139 in k20135 in k19774 in k19770 in k19766 in k19762 in k19758 in k19754 in ... */
static void C_ccall f_28135(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c<3) C_bad_min_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand((c-3)*C_SIZEOF_PAIR +6,c,2)))){
C_save_and_reclaim((void*)f_28135,c,av);}
a=C_alloc((c-3)*C_SIZEOF_PAIR+6);
t3=C_build_rest(&a,c,3,av);
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
t4=C_i_nullp(t3);
t5=(C_truep(t4)?lf[748]:C_i_car(t3));
t6=t5;
t7=C_block_size(t2);
t8=t7;
t9=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_28145,a[2]=t2,a[3]=t8,a[4]=t1,a[5]=t6,tmp=(C_word)a,a+=6,tmp);
t10=C_fixnum_plus(t8,C_fix(1));
/* library.scm:5530: ##sys#make-string */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[376]+1));
C_word *av2=av;
av2[0]=*((C_word*)lf[376]+1);
av2[1]=t9;
av2[2]=t10;
tp(3,av2);}}

/* k28143 in make-c-string in k27110 in k27107 in k27104 in k26337 in k26025 in k26021 in k26017 in k23772 in k23768 in k23764 in k20151 in k20147 in k20143 in k20139 in k20135 in k19774 in k19770 in k19766 in k19762 in k19758 in ... */
static void C_ccall f_28145(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,4)))){
C_save_and_reclaim((void *)f_28145,2,av);}
t2=C_substring_copy(((C_word*)t0)[2],t1,C_fix(0),((C_word*)t0)[3],C_fix(0));
t3=C_setsubchar(t1,((C_word*)t0)[3],C_make_character(0));
t4=C_asciiz_strlen(t1);
t5=C_eqp(t4,((C_word*)t0)[3]);
if(C_truep(t5)){
t6=((C_word*)t0)[4];{
C_word *av2=av;
av2[0]=t6;
av2[1]=t1;
((C_proc)(void*)(*((C_word*)t6+1)))(2,av2);}}
else{
t6=C_fix((C_word)C_ASCIIZ_REPRESENTATION_ERROR);
/* library.scm:5535: ##sys#error-hook */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[362]);
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=*((C_word*)lf[362]+1);
av2[1]=((C_word*)t0)[4];
av2[2]=t6;
av2[3]=((C_word*)t0)[5];
av2[4]=((C_word*)t0)[2];
tp(5,av2);}}}

/* ##sys#peek-fixnum in k27110 in k27107 in k27104 in k26337 in k26025 in k26021 in k26017 in k23772 in k23768 in k23764 in k20151 in k20147 in k20143 in k20139 in k20135 in k19774 in k19770 in k19766 in k19762 in k19758 in k19754 in ... */
static void C_ccall f_28170(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_28170,4,av);}
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_peek_fixnum(t2,t3);
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* ##sys#peek-byte in k27110 in k27107 in k27104 in k26337 in k26025 in k26021 in k26017 in k23772 in k23768 in k23764 in k20151 in k20147 in k20143 in k20139 in k20135 in k19774 in k19770 in k19766 in k19762 in k19758 in k19754 in ... */
static void C_ccall f_28173(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_28173,4,av);}
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_peek_byte(t2,t3);
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* ##sys#vector->structure! in k27110 in k27107 in k27104 in k26337 in k26025 in k26021 in k26017 in k23772 in k23768 in k23764 in k20151 in k20147 in k20143 in k20139 in k20135 in k19774 in k19770 in k19766 in k19762 in k19758 in k19754 in ... */
static void C_ccall f_28176(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_28176,3,av);}
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_vector_to_structure(t2);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* ##sys#peek-double in k27110 in k27107 in k27104 in k26337 in k26025 in k26021 in k26017 in k23772 in k23768 in k23764 in k20151 in k20147 in k20143 in k20139 in k20135 in k19774 in k19770 in k19766 in k19762 in k19758 in k19754 in ... */
static void C_ccall f_28179(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(4,c,1)))){
C_save_and_reclaim((void *)f_28179,4,av);}
a=C_alloc(4);
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_a_f64peek(&a,2,t2,t3);
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* ##sys#peek-c-string in k27110 in k27107 in k27104 in k26337 in k26025 in k26021 in k26017 in k23772 in k23768 in k23764 in k20151 in k20147 in k20143 in k20139 in k20135 in k19774 in k19770 in k19766 in k19762 in k19758 in k19754 in ... */
static void C_ccall f_28182(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(6,c,2)))){
C_save_and_reclaim((void *)f_28182,4,av);}
a=C_alloc(6);
t4=C_null_pointerp(t2);
if(C_truep(C_i_not(t4))){
t5=C_fetch_c_strlen(t2,t3);
t6=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_28192,a[2]=t2,a[3]=t3,a[4]=t5,a[5]=t1,tmp=(C_word)a,a+=6,tmp);
/* library.scm:5551: ##sys#make-string */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[376]+1));
C_word *av2=av;
av2[0]=*((C_word*)lf[376]+1);
av2[1]=t6;
av2[2]=t5;
tp(3,av2);}}
else{
t5=t1;{
C_word *av2=av;
av2[0]=t5;
av2[1]=C_SCHEME_FALSE;
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}}

/* k28190 in peek-c-string in k27110 in k27107 in k27104 in k26337 in k26025 in k26021 in k26017 in k23772 in k23768 in k23764 in k20151 in k20147 in k20143 in k20139 in k20135 in k19774 in k19770 in k19766 in k19762 in k19758 in ... */
static void C_ccall f_28192(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_28192,2,av);}
t2=C_peek_c_string(((C_word*)t0)[2],((C_word*)t0)[3],t1,((C_word*)t0)[4]);
t3=t1;
t4=((C_word*)t0)[5];{
C_word *av2=av;
av2[0]=t4;
av2[1]=t3;
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* ##sys#peek-nonnull-c-string in k27110 in k27107 in k27104 in k26337 in k26025 in k26021 in k26017 in k23772 in k23768 in k23764 in k20151 in k20147 in k20143 in k20139 in k20135 in k19774 in k19770 in k19766 in k19762 in k19758 in k19754 in ... */
static void C_ccall f_28198(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(6,c,2)))){
C_save_and_reclaim((void *)f_28198,4,av);}
a=C_alloc(6);
t4=C_fetch_c_strlen(t2,t3);
t5=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_28202,a[2]=t2,a[3]=t3,a[4]=t4,a[5]=t1,tmp=(C_word)a,a+=6,tmp);
/* library.scm:5557: ##sys#make-string */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[376]+1));
C_word *av2=av;
av2[0]=*((C_word*)lf[376]+1);
av2[1]=t5;
av2[2]=t4;
tp(3,av2);}}

/* k28200 in peek-nonnull-c-string in k27110 in k27107 in k27104 in k26337 in k26025 in k26021 in k26017 in k23772 in k23768 in k23764 in k20151 in k20147 in k20143 in k20139 in k20135 in k19774 in k19770 in k19766 in k19762 in k19758 in ... */
static void C_ccall f_28202(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_28202,2,av);}
t2=C_peek_c_string(((C_word*)t0)[2],((C_word*)t0)[3],t1,((C_word*)t0)[4]);
t3=((C_word*)t0)[5];{
C_word *av2=av;
av2[0]=t3;
av2[1]=t1;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* ##sys#peek-and-free-c-string in k27110 in k27107 in k27104 in k26337 in k26025 in k26021 in k26017 in k23772 in k23768 in k23764 in k20151 in k20147 in k20143 in k20139 in k20135 in k19774 in k19770 in k19766 in k19762 in k19758 in k19754 in ... */
static void C_ccall f_28204(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(6,c,2)))){
C_save_and_reclaim((void *)f_28204,4,av);}
a=C_alloc(6);
t4=C_null_pointerp(t2);
if(C_truep(C_i_not(t4))){
t5=C_fetch_c_strlen(t2,t3);
t6=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_28214,a[2]=t2,a[3]=t3,a[4]=t5,a[5]=t1,tmp=(C_word)a,a+=6,tmp);
/* library.scm:5564: ##sys#make-string */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[376]+1));
C_word *av2=av;
av2[0]=*((C_word*)lf[376]+1);
av2[1]=t6;
av2[2]=t5;
tp(3,av2);}}
else{
t5=t1;{
C_word *av2=av;
av2[0]=t5;
av2[1]=C_SCHEME_FALSE;
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}}

/* k28212 in peek-and-free-c-string in k27110 in k27107 in k27104 in k26337 in k26025 in k26021 in k26017 in k23772 in k23768 in k23764 in k20151 in k20147 in k20143 in k20139 in k20135 in k19774 in k19770 in k19766 in k19762 in k19758 in ... */
static void C_ccall f_28214(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_28214,2,av);}
t2=C_peek_c_string(((C_word*)t0)[2],((C_word*)t0)[3],t1,((C_word*)t0)[4]);
t3=C_free_mptr(((C_word*)t0)[2],((C_word*)t0)[3]);
t4=t1;
t5=((C_word*)t0)[5];{
C_word *av2=av;
av2[0]=t5;
av2[1]=t4;
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}

/* ##sys#peek-and-free-nonnull-c-string in k27110 in k27107 in k27104 in k26337 in k26025 in k26021 in k26017 in k23772 in k23768 in k23764 in k20151 in k20147 in k20143 in k20139 in k20135 in k19774 in k19770 in k19766 in k19762 in k19758 in k19754 in ... */
static void C_ccall f_28220(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(6,c,2)))){
C_save_and_reclaim((void *)f_28220,4,av);}
a=C_alloc(6);
t4=C_fetch_c_strlen(t2,t3);
t5=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_28224,a[2]=t2,a[3]=t3,a[4]=t4,a[5]=t1,tmp=(C_word)a,a+=6,tmp);
/* library.scm:5571: ##sys#make-string */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[376]+1));
C_word *av2=av;
av2[0]=*((C_word*)lf[376]+1);
av2[1]=t5;
av2[2]=t4;
tp(3,av2);}}

/* k28222 in peek-and-free-nonnull-c-string in k27110 in k27107 in k27104 in k26337 in k26025 in k26021 in k26017 in k23772 in k23768 in k23764 in k20151 in k20147 in k20143 in k20139 in k20135 in k19774 in k19770 in k19766 in k19762 in k19758 in ... */
static void C_ccall f_28224(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_28224,2,av);}
t2=C_peek_c_string(((C_word*)t0)[2],((C_word*)t0)[3],t1,((C_word*)t0)[4]);
t3=C_free_mptr(((C_word*)t0)[2],((C_word*)t0)[3]);
t4=((C_word*)t0)[5];{
C_word *av2=av;
av2[0]=t4;
av2[1]=t1;
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* ##sys#poke-c-string in k27110 in k27107 in k27104 in k26337 in k26025 in k26021 in k26017 in k23772 in k23768 in k23764 in k20151 in k20147 in k20143 in k20139 in k20135 in k19774 in k19770 in k19766 in k19762 in k19758 in k19754 in ... */
static void C_ccall f_28226(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4=av[4];
C_word t5;
C_word t6;
C_word *a;
if(c!=5) C_bad_argc_2(c,5,t0);
if(C_unlikely(!C_demand(C_calculate_demand(6,c,2)))){
C_save_and_reclaim((void *)f_28226,5,av);}
a=C_alloc(6);
t5=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_28231,a[2]=t1,a[3]=t2,a[4]=t3,a[5]=t4,tmp=(C_word)a,a+=6,tmp);
/* library.scm:5577: ##sys#make-c-string */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[748]);
C_word *av2=av;
av2[0]=*((C_word*)lf[748]+1);
av2[1]=t5;
av2[2]=t4;
tp(3,av2);}}

/* k28229 in poke-c-string in k27110 in k27107 in k27104 in k26337 in k26025 in k26021 in k26017 in k23772 in k23768 in k23764 in k20151 in k20147 in k20143 in k20139 in k20135 in k19774 in k19770 in k19766 in k19762 in k19758 in ... */
static void C_ccall f_28231(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_28231,2,av);}
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=C_poke_c_string(((C_word*)t0)[3],((C_word*)t0)[4],t1,((C_word*)t0)[5]);
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* ##sys#poke-integer in k27110 in k27107 in k27104 in k26337 in k26025 in k26021 in k26017 in k23772 in k23768 in k23764 in k20151 in k20147 in k20143 in k20139 in k20135 in k19774 in k19770 in k19766 in k19762 in k19758 in k19754 in ... */
static void C_ccall f_28233(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4=av[4];
C_word t5;
C_word *a;
if(c!=5) C_bad_argc_2(c,5,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_28233,5,av);}
t5=t1;{
C_word *av2=av;
av2[0]=t5;
av2[1]=C_poke_integer(t2,t3,t4);
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}

/* ##sys#poke-double in k27110 in k27107 in k27104 in k26337 in k26025 in k26021 in k26017 in k23772 in k23768 in k23764 in k20151 in k20147 in k20143 in k20139 in k20135 in k19774 in k19770 in k19766 in k19762 in k19758 in k19754 in ... */
static void C_ccall f_28236(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4=av[4];
C_word t5;
C_word *a;
if(c!=5) C_bad_argc_2(c,5,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_28236,5,av);}
t5=t1;{
C_word *av2=av;
av2[0]=t5;
av2[1]=C_poke_double(t2,t3,t4);
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}

/* ##sys#peek-c-string-list in k27110 in k27107 in k27104 in k26337 in k26025 in k26021 in k26017 in k23772 in k23768 in k23764 in k20151 in k20147 in k20143 in k20139 in k20135 in k19774 in k19770 in k19766 in k19762 in k19758 in k19754 in ... */
static void C_ccall f_28256(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(8,c,3)))){
C_save_and_reclaim((void *)f_28256,4,av);}
a=C_alloc(8);
t4=C_SCHEME_UNDEFINED;
t5=(*a=C_VECTOR_TYPE|1,a[1]=t4,tmp=(C_word)a,a+=2,tmp);
t6=C_set_block_item(t5,0,(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_28262,a[2]=t3,a[3]=t5,a[4]=t2,a[5]=((C_word)li852),tmp=(C_word)a,a+=6,tmp));
t7=((C_word*)t5)[1];
f_28262(t7,t1,C_fix(0));}

/* loop in peek-c-string-list in k27110 in k27107 in k27104 in k26337 in k26025 in k26021 in k26017 in k23772 in k23768 in k23764 in k20151 in k20147 in k20143 in k20139 in k20135 in k19774 in k19770 in k19766 in k19762 in k19758 in ... */
static void C_fcall f_28262(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(10,0,3)))){
C_save_and_reclaim_args((void *)trf_28262,3,t0,t1,t2);}
a=C_alloc(10);
t3=(C_truep(((C_word*)t0)[2])?C_fixnum_greater_or_equal_p(t2,((C_word*)t0)[2]):C_SCHEME_FALSE);
if(C_truep(t3)){
t4=t1;{
C_word av2[2];
av2[0]=t4;
av2[1]=C_SCHEME_END_OF_LIST;
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}
else{
t4=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_28272,a[2]=t1,a[3]=t2,a[4]=((C_word*)t0)[3],tmp=(C_word)a,a+=5,tmp);
t5=((C_word*)t0)[4];
t6=t2;
t7=C_a_i_bytevector(&a,1,C_fix(3));
t8=(C_truep(t5)?C_i_foreign_pointer_argumentp(t5):C_SCHEME_FALSE);
t9=C_i_foreign_fixnum_argumentp(t6);
t10=stub6500(t7,t8,t9);
/* library.scm:5583: ##sys#peek-c-string */
t11=*((C_word*)lf[705]+1);{
C_word av2[4];
av2[0]=t11;
av2[1]=t4;
av2[2]=t10;
av2[3]=C_fix(0);
((C_proc)(void*)(*((C_word*)t11+1)))(4,av2);}}}

/* k28270 in loop in peek-c-string-list in k27110 in k27107 in k27104 in k26337 in k26025 in k26021 in k26017 in k23772 in k23768 in k23764 in k20151 in k20147 in k20143 in k20139 in k20135 in k19774 in k19770 in k19766 in k19762 in ... */
static void C_ccall f_28272(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,c,2)))){
C_save_and_reclaim((void *)f_28272,2,av);}
a=C_alloc(4);
t2=t1;
if(C_truep(t2)){
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_28282,a[2]=((C_word*)t0)[2],a[3]=t2,tmp=(C_word)a,a+=4,tmp);
t4=C_fixnum_plus(((C_word*)t0)[3],C_fix(1));
/* library.scm:5590: loop */
t5=((C_word*)((C_word*)t0)[4])[1];
f_28262(t5,t3,t4);}
else{
t3=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_SCHEME_END_OF_LIST;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}}

/* k28280 in k28270 in loop in peek-c-string-list in k27110 in k27107 in k27104 in k26337 in k26025 in k26021 in k26017 in k23772 in k23768 in k23764 in k20151 in k20147 in k20143 in k20139 in k20135 in k19774 in k19770 in k19766 in ... */
static void C_ccall f_28282(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,1)))){
C_save_and_reclaim((void *)f_28282,2,av);}
a=C_alloc(3);
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=C_a_i_cons(&a,2,((C_word*)t0)[3],t1);
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* ##sys#peek-and-free-c-string-list in k27110 in k27107 in k27104 in k26337 in k26025 in k26021 in k26017 in k23772 in k23768 in k23764 in k20151 in k20147 in k20143 in k20139 in k20135 in k19774 in k19770 in k19766 in k19762 in k19758 in k19754 in ... */
static void C_ccall f_28317(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(12,c,3)))){
C_save_and_reclaim((void *)f_28317,4,av);}
a=C_alloc(12);
t4=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_28321,a[2]=t2,a[3]=t1,tmp=(C_word)a,a+=4,tmp);
t5=C_SCHEME_UNDEFINED;
t6=(*a=C_VECTOR_TYPE|1,a[1]=t5,tmp=(C_word)a,a+=2,tmp);
t7=C_set_block_item(t6,0,(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_28326,a[2]=t3,a[3]=t2,a[4]=t6,a[5]=((C_word)li854),tmp=(C_word)a,a+=6,tmp));
t8=((C_word*)t6)[1];
f_28326(t8,t4,C_fix(0));}

/* k28319 in peek-and-free-c-string-list in k27110 in k27107 in k27104 in k26337 in k26025 in k26021 in k26017 in k23772 in k23768 in k23764 in k20151 in k20147 in k20143 in k20139 in k20135 in k19774 in k19770 in k19766 in k19762 in k19758 in ... */
static void C_ccall f_28321(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_28321,2,av);}
t2=((C_word*)t0)[2];
if(C_truep(t2)){
t3=C_i_foreign_pointer_argumentp(t2);
t4=stub6527(C_SCHEME_UNDEFINED,t3);
t5=((C_word*)t0)[3];{
C_word *av2=av;
av2[0]=t5;
av2[1]=t1;
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}
else{
t3=stub6527(C_SCHEME_UNDEFINED,C_SCHEME_FALSE);
t4=((C_word*)t0)[3];{
C_word *av2=av;
av2[0]=t4;
av2[1]=t1;
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}}

/* loop in peek-and-free-c-string-list in k27110 in k27107 in k27104 in k26337 in k26025 in k26021 in k26017 in k23772 in k23768 in k23764 in k20151 in k20147 in k20143 in k20139 in k20135 in k19774 in k19770 in k19766 in k19762 in k19758 in ... */
static void C_fcall f_28326(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(11,0,3)))){
C_save_and_reclaim_args((void *)trf_28326,3,t0,t1,t2);}
a=C_alloc(11);
t3=(C_truep(((C_word*)t0)[2])?C_fixnum_greater_or_equal_p(t2,((C_word*)t0)[2]):C_SCHEME_FALSE);
if(C_truep(t3)){
t4=t1;{
C_word av2[2];
av2[0]=t4;
av2[1]=C_SCHEME_END_OF_LIST;
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}
else{
t4=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_28336,a[2]=((C_word*)t0)[3],a[3]=t2,a[4]=t1,a[5]=((C_word*)t0)[4],tmp=(C_word)a,a+=6,tmp);
t5=((C_word*)t0)[3];
t6=t2;
t7=C_a_i_bytevector(&a,1,C_fix(3));
t8=(C_truep(t5)?C_i_foreign_pointer_argumentp(t5):C_SCHEME_FALSE);
t9=C_i_foreign_fixnum_argumentp(t6);
t10=stub6519(t7,t8,t9);
/* library.scm:5594: ##sys#peek-c-string */
t11=*((C_word*)lf[705]+1);{
C_word av2[4];
av2[0]=t11;
av2[1]=t4;
av2[2]=t10;
av2[3]=C_fix(0);
((C_proc)(void*)(*((C_word*)t11+1)))(4,av2);}}}

/* k28334 in loop in peek-and-free-c-string-list in k27110 in k27107 in k27104 in k26337 in k26025 in k26021 in k26017 in k23772 in k23768 in k23764 in k20151 in k20147 in k20143 in k20139 in k20135 in k19774 in k19770 in k19766 in k19762 in ... */
static void C_ccall f_28336(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,c,2)))){
C_save_and_reclaim((void *)f_28336,2,av);}
a=C_alloc(4);
t2=t1;
if(C_truep(t2)){
t3=C_free_sptr(((C_word*)t0)[2],((C_word*)t0)[3]);
t4=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_28346,a[2]=((C_word*)t0)[4],a[3]=t2,tmp=(C_word)a,a+=4,tmp);
t5=C_fixnum_plus(((C_word*)t0)[3],C_fix(1));
/* library.scm:5603: loop */
t6=((C_word*)((C_word*)t0)[5])[1];
f_28326(t6,t4,t5);}
else{
t3=((C_word*)t0)[4];{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_SCHEME_END_OF_LIST;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}}

/* k28344 in k28334 in loop in peek-and-free-c-string-list in k27110 in k27107 in k27104 in k26337 in k26025 in k26021 in k26017 in k23772 in k23768 in k23764 in k20151 in k20147 in k20143 in k20139 in k20135 in k19774 in k19770 in k19766 in ... */
static void C_ccall f_28346(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,1)))){
C_save_and_reclaim((void *)f_28346,2,av);}
a=C_alloc(3);
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=C_a_i_cons(&a,2,((C_word*)t0)[3],t1);
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* ##sys#vector->closure! in k27110 in k27107 in k27104 in k26337 in k26025 in k26021 in k26017 in k23772 in k23768 in k23764 in k20151 in k20147 in k20143 in k20139 in k20135 in k19774 in k19770 in k19766 in k19762 in k19758 in k19754 in ... */
static void C_ccall f_28355(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word t5;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_28355,4,av);}
t4=C_vector_to_closure(t2);
t5=t1;{
C_word *av2=av;
av2[0]=t5;
av2[1]=C_update_pointer(t3,t2);
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}

/* ##sys#symbol-has-toplevel-binding? in k27110 in k27107 in k27104 in k26337 in k26025 in k26021 in k26017 in k23772 in k23768 in k23764 in k20151 in k20147 in k20143 in k20139 in k20135 in k19774 in k19770 in k19766 in k19762 in k19758 in k19754 in ... */
static void C_ccall f_28358(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_28358,3,av);}
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_boundp(t2);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* ##sys#copy-bytes in k27110 in k27107 in k27104 in k26337 in k26025 in k26021 in k26017 in k23772 in k23768 in k23764 in k20151 in k20147 in k20143 in k20139 in k20135 in k19774 in k19770 in k19766 in k19762 in k19758 in k19754 in ... */
static void C_ccall f_28361(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4=av[4];
C_word t5=av[5];
C_word t6=av[6];
C_word t7;
C_word t8;
C_word *a;
if(c!=7) C_bad_argc_2(c,7,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_28361,7,av);}
t7=C_fixnum_plus(t4,t6);
t8=t1;{
C_word *av2=av;
av2[0]=t8;
av2[1]=C_substring_copy(t2,t3,t4,t7,t5);
((C_proc)(void*)(*((C_word*)t8+1)))(2,av2);}}

/* ##sys#copy-words in k27110 in k27107 in k27104 in k26337 in k26025 in k26021 in k26017 in k23772 in k23768 in k23764 in k20151 in k20147 in k20143 in k20139 in k20135 in k19774 in k19770 in k19766 in k19762 in k19758 in k19754 in ... */
static void C_ccall f_28368(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4=av[4];
C_word t5=av[5];
C_word t6=av[6];
C_word t7;
C_word t8;
C_word *a;
if(c!=7) C_bad_argc_2(c,7,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_28368,7,av);}
t7=C_fixnum_plus(t4,t6);
t8=t1;{
C_word *av2=av;
av2[0]=t8;
av2[1]=C_subvector_copy(t2,t3,t4,t7,t5);
((C_proc)(void*)(*((C_word*)t8+1)))(2,av2);}}

/* ##sys#compare-bytes in k27110 in k27107 in k27104 in k26337 in k26025 in k26021 in k26017 in k23772 in k23768 in k23764 in k20151 in k20147 in k20143 in k20139 in k20135 in k19774 in k19770 in k19766 in k19762 in k19758 in k19754 in ... */
static void C_ccall f_28375(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4=av[4];
C_word t5=av[5];
C_word t6=av[6];
C_word t7;
C_word *a;
if(c!=7) C_bad_argc_2(c,7,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_28375,7,av);}
t7=t1;{
C_word *av2=av;
av2[0]=t7;
av2[1]=C_substring_compare(t2,t3,t4,t5,t6);
((C_proc)(void*)(*((C_word*)t7+1)))(2,av2);}}

/* ##sys#block-pointer in k27110 in k27107 in k27104 in k26337 in k26025 in k26021 in k26017 in k23772 in k23768 in k23764 in k20151 in k20147 in k20143 in k20139 in k20135 in k19774 in k19770 in k19766 in k19762 in k19758 in k19754 in ... */
static void C_ccall f_28378(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(4,c,2)))){
C_save_and_reclaim((void *)f_28378,3,av);}
a=C_alloc(4);
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_28382,a[2]=t2,a[3]=t1,tmp=(C_word)a,a+=4,tmp);
/* library.scm:5636: ##sys#make-pointer */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[1119]);
C_word *av2=av;
av2[0]=*((C_word*)lf[1119]+1);
av2[1]=t3;
tp(2,av2);}}

/* k28380 in block-pointer in k27110 in k27107 in k27104 in k26337 in k26025 in k26021 in k26017 in k23772 in k23768 in k23764 in k20151 in k20147 in k20143 in k20139 in k20135 in k19774 in k19770 in k19766 in k19762 in k19758 in ... */
static void C_ccall f_28382(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_28382,2,av);}
t2=C_pointer_to_block(t1,((C_word*)t0)[2]);
t3=((C_word*)t0)[3];{
C_word *av2=av;
av2[0]=t3;
av2[1]=t1;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* ##sys#foreign-char-argument in k27110 in k27107 in k27104 in k26337 in k26025 in k26021 in k26017 in k23772 in k23768 in k23764 in k20151 in k20147 in k20143 in k20139 in k20135 in k19774 in k19770 in k19766 in k19762 in k19758 in k19754 in ... */
static void C_ccall f_28384(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_28384,3,av);}
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_i_foreign_char_argumentp(t2);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* ##sys#foreign-fixnum-argument in k27110 in k27107 in k27104 in k26337 in k26025 in k26021 in k26017 in k23772 in k23768 in k23764 in k20151 in k20147 in k20143 in k20139 in k20135 in k19774 in k19770 in k19766 in k19762 in k19758 in k19754 in ... */
static void C_ccall f_28387(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_28387,3,av);}
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_i_foreign_fixnum_argumentp(t2);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* ##sys#foreign-flonum-argument in k27110 in k27107 in k27104 in k26337 in k26025 in k26021 in k26017 in k23772 in k23768 in k23764 in k20151 in k20147 in k20143 in k20139 in k20135 in k19774 in k19770 in k19766 in k19762 in k19758 in k19754 in ... */
static void C_ccall f_28390(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_28390,3,av);}
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_i_foreign_flonum_argumentp(t2);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* ##sys#foreign-block-argument in k27110 in k27107 in k27104 in k26337 in k26025 in k26021 in k26017 in k23772 in k23768 in k23764 in k20151 in k20147 in k20143 in k20139 in k20135 in k19774 in k19770 in k19766 in k19762 in k19758 in k19754 in ... */
static void C_ccall f_28393(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_28393,3,av);}
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_i_foreign_block_argumentp(t2);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* ##sys#foreign-struct-wrapper-argument in k27110 in k27107 in k27104 in k26337 in k26025 in k26021 in k26017 in k23772 in k23768 in k23764 in k20151 in k20147 in k20143 in k20139 in k20135 in k19774 in k19770 in k19766 in k19762 in k19758 in k19754 in ... */
static void C_ccall f_28396(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_28396,4,av);}
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_i_foreign_struct_wrapper_argumentp(t2,t3);
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* ##sys#foreign-string-argument in k27110 in k27107 in k27104 in k26337 in k26025 in k26021 in k26017 in k23772 in k23768 in k23764 in k20151 in k20147 in k20143 in k20139 in k20135 in k19774 in k19770 in k19766 in k19762 in k19758 in k19754 in ... */
static void C_ccall f_28399(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_28399,3,av);}
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_i_foreign_string_argumentp(t2);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* ##sys#foreign-symbol-argument in k27110 in k27107 in k27104 in k26337 in k26025 in k26021 in k26017 in k23772 in k23768 in k23764 in k20151 in k20147 in k20143 in k20139 in k20135 in k19774 in k19770 in k19766 in k19762 in k19758 in k19754 in ... */
static void C_ccall f_28402(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_28402,3,av);}
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_i_foreign_symbol_argumentp(t2);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* ##sys#foreign-pointer-argument in k27110 in k27107 in k27104 in k26337 in k26025 in k26021 in k26017 in k23772 in k23768 in k23764 in k20151 in k20147 in k20143 in k20139 in k20135 in k19774 in k19770 in k19766 in k19762 in k19758 in k19754 in ... */
static void C_ccall f_28405(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_28405,3,av);}
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_i_foreign_pointer_argumentp(t2);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* ##sys#foreign-tagged-pointer-argument in k27110 in k27107 in k27104 in k26337 in k26025 in k26021 in k26017 in k23772 in k23768 in k23764 in k20151 in k20147 in k20143 in k20139 in k20135 in k19774 in k19770 in k19766 in k19762 in k19758 in k19754 in ... */
static void C_ccall f_28408(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_28408,4,av);}
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_i_foreign_tagged_pointer_argumentp(t2,t3);
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* ##sys#foreign-ranged-integer-argument in k27110 in k27107 in k27104 in k26337 in k26025 in k26021 in k26017 in k23772 in k23768 in k23764 in k20151 in k20147 in k20143 in k20139 in k20135 in k19774 in k19770 in k19766 in k19762 in k19758 in k19754 in ... */
static void C_ccall f_28411(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_28411,4,av);}
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_i_foreign_ranged_integer_argumentp(t2,t3);
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* ##sys#foreign-unsigned-ranged-integer-argument in k27110 in k27107 in k27104 in k26337 in k26025 in k26021 in k26017 in k23772 in k23768 in k23764 in k20151 in k20147 in k20143 in k20139 in k20135 in k19774 in k19770 in k19766 in k19762 in k19758 in k19754 in ... */
static void C_ccall f_28414(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_28414,4,av);}
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_i_foreign_unsigned_ranged_integer_argumentp(t2,t3);
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* ##sys#default-exception-handler in k27110 in k27107 in k27104 in k26337 in k26025 in k26021 in k26017 in k23772 in k23768 in k23764 in k20151 in k20147 in k20143 in k20139 in k20135 in k19774 in k19770 in k19766 in k19762 in k19758 in k19754 in ... */
static void C_ccall f_28418(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_28418,3,av);}
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_halt(lf[1163]);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* ##sys#make-thread in k27110 in k27107 in k27104 in k26337 in k26025 in k26021 in k26017 in k23772 in k23768 in k23764 in k20151 in k20147 in k20143 in k20139 in k20135 in k19774 in k19770 in k19766 in k19762 in k19758 in k19754 in ... */
static void C_ccall f_28421(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4=av[4];
C_word t5=av[5];
C_word t6;
C_word t7;
C_word t8;
C_word *a;
if(c!=6) C_bad_argc_2(c,6,t0);
if(C_unlikely(!C_demand(C_calculate_demand(7,c,4)))){
C_save_and_reclaim((void *)f_28421,6,av);}
a=C_alloc(7);
t6=(*a=C_CLOSURE_TYPE|6,a[1]=(C_word)f_28437,a[2]=t1,a[3]=t2,a[4]=t3,a[5]=t4,a[6]=t5,tmp=(C_word)a,a+=7,tmp);
t7=C_block_size(C_fast_retrieve(lf[765]));
/* library.scm:5681: ##sys#vector-resize */
f_17976(t6,C_fast_retrieve(lf[765]),t7,C_SCHEME_FALSE);}

/* k28435 in make-thread in k27110 in k27107 in k27104 in k26337 in k26025 in k26021 in k26017 in k23772 in k23768 in k23764 in k20151 in k20147 in k20143 in k20139 in k20135 in k19774 in k19770 in k19766 in k19762 in k19758 in ... */
static void C_ccall f_28437(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(26,c,1)))){
C_save_and_reclaim((void *)f_28437,2,av);}
a=C_alloc(26);
t2=C_a_i_vector6(&a,6,C_fast_retrieve(lf[693]),*((C_word*)lf[716]+1),*((C_word*)lf[717]+1),*((C_word*)lf[718]+1),C_fast_retrieve(lf[1162]),t1);
t3=C_a_i_cons(&a,2,C_SCHEME_FALSE,C_SCHEME_FALSE);
t4=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_a_i_record(&a,15,lf[919],((C_word*)t0)[3],C_SCHEME_FALSE,((C_word*)t0)[4],C_SCHEME_FALSE,t2,((C_word*)t0)[5],C_SCHEME_UNDEFINED,C_SCHEME_END_OF_LIST,((C_word*)t0)[6],C_SCHEME_UNDEFINED,C_SCHEME_FALSE,C_SCHEME_END_OF_LIST,C_SCHEME_FALSE,t3);
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* k28443 in k27110 in k27107 in k27104 in k26337 in k26025 in k26021 in k26017 in k23772 in k23768 in k23764 in k20151 in k20147 in k20143 in k20139 in k20135 in k19774 in k19770 in k19766 in k19762 in k19758 in k19754 in ... */
static void C_ccall f_28445(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word t12;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(24,c,4)))){
C_save_and_reclaim((void *)f_28445,2,av);}
a=C_alloc(24);
t2=C_mutate((C_word*)lf[956]+1 /* (set! ##sys#primordial-thread ...) */,t1);
t3=C_mutate((C_word*)lf[944]+1 /* (set! ##sys#current-thread ...) */,C_fast_retrieve(lf[956]));
t4=C_mutate((C_word*)lf[1165]+1 /* (set! ##sys#make-mutex ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_28448,a[2]=((C_word)li875),tmp=(C_word)a,a+=3,tmp));
t5=C_mutate((C_word*)lf[1167]+1 /* (set! ##sys#schedule ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_28454,a[2]=((C_word)li876),tmp=(C_word)a,a+=3,tmp));
t6=C_mutate((C_word*)lf[1168]+1 /* (set! ##sys#thread-yield! ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_28463,a[2]=((C_word)li879),tmp=(C_word)a,a+=3,tmp));
t7=C_mutate((C_word*)lf[1169]+1 /* (set! ##sys#kill-other-threads ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_28484,a[2]=((C_word)li880),tmp=(C_word)a,a+=3,tmp));
t8=C_mutate((C_word*)lf[1170]+1 /* (set! chicken.base#sleep-hook ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_28490,a[2]=((C_word)li881),tmp=(C_word)a,a+=3,tmp));
t9=C_mutate((C_word*)lf[197]+1 /* (set! chicken.base#sleep ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_28493,a[2]=((C_word)li882),tmp=(C_word)a,a+=3,tmp));
t10=C_mutate((C_word*)lf[1172]+1 /* (set! ##sys#context-switch ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)C_context_switch,a[2]=((C_word)li883),tmp=(C_word)a,a+=3,tmp));
t11=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_28505,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
/* library.scm:5737: scheme#make-vector */
t12=*((C_word*)lf[93]+1);{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t12;
av2[1]=t11;
av2[2]=C_fix(256);
av2[3]=C_SCHEME_FALSE;
((C_proc)(void*)(*((C_word*)t12+1)))(4,av2);}}

/* ##sys#make-mutex in k28443 in k27110 in k27107 in k27104 in k26337 in k26025 in k26021 in k26017 in k23772 in k23768 in k23764 in k20151 in k20147 in k20143 in k20139 in k20135 in k19774 in k19770 in k19766 in k19762 in k19758 in ... */
static void C_ccall f_28448(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(8,c,1)))){
C_save_and_reclaim((void *)f_28448,4,av);}
a=C_alloc(8);
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_a_i_record7(&a,7,lf[1166],t2,t3,C_SCHEME_END_OF_LIST,C_SCHEME_FALSE,C_SCHEME_FALSE,C_SCHEME_UNDEFINED);
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* ##sys#schedule in k28443 in k27110 in k27107 in k27104 in k26337 in k26025 in k26021 in k26017 in k23772 in k23768 in k23764 in k20151 in k20147 in k20143 in k20139 in k20135 in k19774 in k19770 in k19766 in k19762 in k19758 in ... */
static void C_ccall f_28454(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(c!=2) C_bad_argc_2(c,2,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_28454,2,av);}
t2=C_slot(C_fast_retrieve(lf[944]),C_fix(1));
/* library.scm:5708: g6613 */
t3=t2;{
C_word *av2=av;
av2[0]=t3;
av2[1]=t1;
((C_proc)C_fast_retrieve_proc(t3))(2,av2);}}

/* ##sys#thread-yield! in k28443 in k27110 in k27107 in k27104 in k26337 in k26025 in k26021 in k26017 in k23772 in k23768 in k23764 in k20151 in k20147 in k20143 in k20139 in k20135 in k19774 in k19770 in k19766 in k19762 in k19758 in ... */
static void C_ccall f_28463(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(c!=2) C_bad_argc_2(c,2,t0);
if(C_unlikely(!C_demand(C_calculate_demand(3,c,3)))){
C_save_and_reclaim((void *)f_28463,2,av);}
a=C_alloc(3);
t2=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_28469,a[2]=((C_word)li878),tmp=(C_word)a,a+=3,tmp);
/* library.scm:5711: ##sys#call-with-current-continuation */{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=0;
av2[1]=t1;
av2[2]=t2;
C_call_cc(3,av2);}}

/* a28468 in thread-yield! in k28443 in k27110 in k27107 in k27104 in k26337 in k26025 in k26021 in k26017 in k23772 in k23768 in k23764 in k20151 in k20147 in k20143 in k20139 in k20135 in k19774 in k19770 in k19766 in k19762 in ... */
static void C_ccall f_28469(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(4,c,2)))){
C_save_and_reclaim((void *)f_28469,3,av);}
a=C_alloc(4);
t3=C_fast_retrieve(lf[944]);
t4=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_28478,a[2]=t2,a[3]=((C_word)li877),tmp=(C_word)a,a+=4,tmp);
t5=C_i_setslot(C_fast_retrieve(lf[944]),C_fix(1),t4);
/* library.scm:5715: ##sys#schedule */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[1167]);
C_word *av2=av;
av2[0]=*((C_word*)lf[1167]+1);
av2[1]=t1;
tp(2,av2);}}

/* a28477 in a28468 in thread-yield! in k28443 in k27110 in k27107 in k27104 in k26337 in k26025 in k26021 in k26017 in k23772 in k23768 in k23764 in k20151 in k20147 in k20143 in k20139 in k20135 in k19774 in k19770 in k19766 in ... */
static void C_ccall f_28478(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(c!=2) C_bad_argc_2(c,2,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_28478,2,av);}
/* library.scm:5714: return */
t2=((C_word*)t0)[2];{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t2;
av2[1]=t1;
av2[2]=C_SCHEME_UNDEFINED;
((C_proc)C_fast_retrieve_proc(t2))(3,av2);}}

/* ##sys#kill-other-threads in k28443 in k27110 in k27107 in k27104 in k26337 in k26025 in k26021 in k26017 in k23772 in k23768 in k23764 in k20151 in k20147 in k20143 in k20139 in k20135 in k19774 in k19770 in k19766 in k19762 in k19758 in ... */
static void C_ccall f_28484(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_28484,3,av);}
/* library.scm:5718: thunk */
t3=t2;{
C_word *av2=av;
av2[0]=t3;
av2[1]=t1;
((C_proc)C_fast_retrieve_proc(t3))(2,av2);}}

/* chicken.base#sleep-hook in k28443 in k27110 in k27107 in k27104 in k26337 in k26025 in k26021 in k26017 in k23772 in k23768 in k23764 in k20151 in k20147 in k20143 in k20139 in k20135 in k19774 in k19770 in k19766 in k19762 in k19758 in ... */
static void C_ccall f_28490(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_28490,3,av);}
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_i_process_sleep(t2);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* chicken.base#sleep in k28443 in k27110 in k27107 in k27104 in k26337 in k26025 in k26021 in k26017 in k23772 in k23768 in k23764 in k20151 in k20147 in k20143 in k20139 in k20135 in k19774 in k19770 in k19766 in k19762 in k19758 in ... */
static void C_ccall f_28493(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(4,c,3)))){
C_save_and_reclaim((void *)f_28493,3,av);}
a=C_alloc(4);
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_28497,a[2]=t1,a[3]=t2,tmp=(C_word)a,a+=4,tmp);
/* library.scm:5728: ##sys#check-fixnum */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[102]+1));
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[102]+1);
av2[1]=t3;
av2[2]=t2;
av2[3]=lf[1171];
tp(4,av2);}}

/* k28495 in chicken.base#sleep in k28443 in k27110 in k27107 in k27104 in k26337 in k26025 in k26021 in k26017 in k23772 in k23768 in k23764 in k20151 in k20147 in k20143 in k20139 in k20135 in k19774 in k19770 in k19766 in k19762 in ... */
static void C_ccall f_28497(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,2)))){
C_save_and_reclaim((void *)f_28497,2,av);}
a=C_alloc(3);
t2=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_28500,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
/* library.scm:5729: chicken.base#sleep-hook */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[1170]);
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[1170]+1);
av2[1]=t2;
av2[2]=((C_word*)t0)[3];
tp(3,av2);}}

/* k28498 in k28495 in chicken.base#sleep in k28443 in k27110 in k27107 in k27104 in k26337 in k26025 in k26021 in k26017 in k23772 in k23768 in k23764 in k20151 in k20147 in k20143 in k20139 in k20135 in k19774 in k19770 in k19766 in ... */
static void C_ccall f_28500(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_28500,2,av);}
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=C_SCHEME_UNDEFINED;
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* k28503 in k28443 in k27110 in k27107 in k27104 in k26337 in k26025 in k26021 in k26017 in k23772 in k23768 in k23764 in k20151 in k20147 in k20143 in k20139 in k20135 in k19774 in k19770 in k19766 in k19762 in k19758 in ... */
static void C_ccall f_28505(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word t12;
C_word t13;
C_word t14;
C_word t15;
C_word t16;
C_word t17;
C_word t18;
C_word t19;
C_word t20;
C_word t21;
C_word t22;
C_word t23;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(55,c,4)))){
C_save_and_reclaim((void *)f_28505,2,av);}
a=C_alloc(55);
t2=C_mutate((C_word*)lf[1173]+1 /* (set! ##sys#signal-vector ...) */,t1);
t3=C_mutate((C_word*)lf[1174]+1 /* (set! ##sys#interrupt-hook ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_28507,a[2]=((C_word)li885),tmp=(C_word)a,a+=3,tmp));
t4=C_mutate((C_word*)lf[701]+1 /* (set! ##sys#dispatch-interrupt ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_28557,a[2]=((C_word)li886),tmp=(C_word)a,a+=3,tmp));
t5=C_fix(0);
t6=(*a=C_VECTOR_TYPE|1,a[1]=t5,tmp=(C_word)a,a+=2,tmp);
t7=C_mutate((C_word*)lf[706]+1 /* (set! ##sys#update-errno ...) */,(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_28564,a[2]=t6,a[3]=((C_word)li887),tmp=(C_word)a,a+=4,tmp));
t8=C_mutate((C_word*)lf[1177]+1 /* (set! ##sys#errno ...) */,(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_28568,a[2]=t6,a[3]=((C_word)li888),tmp=(C_word)a,a+=4,tmp));
t9=C_fast_retrieve(lf[860]);
t10=C_SCHEME_UNDEFINED;
t11=(*a=C_VECTOR_TYPE|1,a[1]=t10,tmp=(C_word)a,a+=2,tmp);
t12=C_SCHEME_UNDEFINED;
t13=(*a=C_VECTOR_TYPE|1,a[1]=t12,tmp=(C_word)a,a+=2,tmp);
t14=C_set_block_item(t11,0,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_28582,a[2]=((C_word)li890),tmp=(C_word)a,a+=3,tmp));
t15=C_set_block_item(t13,0,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_28629,a[2]=((C_word)li892),tmp=(C_word)a,a+=3,tmp));
t16=C_mutate((C_word*)lf[860]+1 /* (set! ##sys#user-read-hook ...) */,(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_28674,a[2]=t9,a[3]=t11,a[4]=t13,a[5]=((C_word)li897),tmp=(C_word)a,a+=6,tmp));
t17=C_a_i_provide(&a,1,lf[1188]);
t18=C_mutate((C_word*)lf[1189]+1 /* (set! chicken.process-context#change-directory ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_29104,a[2]=((C_word)li898),tmp=(C_word)a,a+=3,tmp));
t19=C_mutate((C_word*)lf[1192]+1 /* (set! ##sys#change-directory-hook ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_29134,a[2]=((C_word)li899),tmp=(C_word)a,a+=3,tmp));
t20=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_29142,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
t21=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_31044,a[2]=((C_word)li971),tmp=(C_word)a,a+=3,tmp);
t22=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_31066,a[2]=((C_word)li972),tmp=(C_word)a,a+=3,tmp);
/* library.scm:5955: chicken.base#getter-with-setter */
t23=*((C_word*)lf[200]+1);{
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=t23;
av2[1]=t20;
av2[2]=t21;
av2[3]=t22;
av2[4]=lf[1354];
((C_proc)(void*)(*((C_word*)t23+1)))(5,av2);}}

/* ##sys#interrupt-hook in k28503 in k28443 in k27110 in k27107 in k27104 in k26337 in k26025 in k26021 in k26017 in k23772 in k23768 in k23764 in k20151 in k20147 in k20143 in k20139 in k20135 in k19774 in k19770 in k19766 in k19762 in ... */
static void C_ccall f_28507(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(10,c,3)))){
C_save_and_reclaim((void *)f_28507,4,av);}
a=C_alloc(10);
t4=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_28511,a[2]=t1,a[3]=t3,tmp=(C_word)a,a+=4,tmp);
t5=C_SCHEME_UNDEFINED;
t6=(*a=C_VECTOR_TYPE|1,a[1]=t5,tmp=(C_word)a,a+=2,tmp);
t7=C_set_block_item(t6,0,(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_28538,a[2]=t6,a[3]=((C_word)li884),tmp=(C_word)a,a+=4,tmp));
t8=((C_word*)t6)[1];
f_28538(t8,t4,t2);}

/* k28509 in interrupt-hook in k28503 in k28443 in k27110 in k27107 in k27104 in k26337 in k26025 in k26021 in k26017 in k23772 in k23768 in k23764 in k20151 in k20147 in k20143 in k20139 in k20135 in k19774 in k19770 in k19766 in ... */
static void C_ccall f_28511(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_28511,2,av);}
t2=C_slot(C_fast_retrieve(lf[1175]),C_fix(0));
if(C_truep(C_fixnum_greaterp(t2,C_fix(0)))){
/* library.scm:5747: ##sys#run-pending-finalizers */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[1176]);
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[1176]+1);
av2[1]=((C_word*)t0)[2];
av2[2]=((C_word*)t0)[3];
tp(3,av2);}}
else{
if(C_truep(C_i_closurep(((C_word*)t0)[3]))){
/* library.scm:5748: state */
t3=((C_word*)t0)[3];{
C_word *av2=av;
av2[0]=t3;
av2[1]=((C_word*)t0)[2];
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}
else{
/* library.scm:5749: ##sys#context-switch */{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=0;
av2[1]=((C_word*)t0)[2];
av2[2]=((C_word*)t0)[3];
C_context_switch(3,av2);}}}}

/* loop in interrupt-hook in k28503 in k28443 in k27110 in k27107 in k27104 in k26337 in k26025 in k26021 in k26017 in k23772 in k23768 in k23764 in k20151 in k20147 in k20143 in k20139 in k20135 in k19774 in k19770 in k19766 in ... */
static void C_fcall f_28538(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word *a;
loop:
if(C_unlikely(!C_demand(C_calculate_demand(4,0,2)))){
C_save_and_reclaim_args((void *)trf_28538,3,t0,t1,t2);}
a=C_alloc(4);
if(C_truep(t2)){
t3=C_slot(C_fast_retrieve(lf[1173]),t2);
t4=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_28548,a[2]=((C_word*)t0)[2],a[3]=t1,tmp=(C_word)a,a+=4,tmp);
if(C_truep(t3)){
/* library.scm:5744: handler */
t5=t3;{
C_word av2[3];
av2[0]=t5;
av2[1]=t4;
av2[2]=t2;
((C_proc)C_fast_retrieve_proc(t5))(3,av2);}}
else{
t5=C_i_pending_interrupt(C_SCHEME_FALSE);
/* library.scm:5745: loop */
t7=t1;
t8=t5;
t1=t7;
t2=t8;
goto loop;}}
else{
t3=C_SCHEME_UNDEFINED;
t4=t1;{
C_word av2[2];
av2[0]=t4;
av2[1]=t3;
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}}

/* k28546 in loop in interrupt-hook in k28503 in k28443 in k27110 in k27107 in k27104 in k26337 in k26025 in k26021 in k26017 in k23772 in k23768 in k23764 in k20151 in k20147 in k20143 in k20139 in k20135 in k19774 in k19770 in ... */
static void C_ccall f_28548(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_28548,2,av);}
t2=C_i_pending_interrupt(C_SCHEME_FALSE);
/* library.scm:5745: loop */
t3=((C_word*)((C_word*)t0)[2])[1];
f_28538(t3,((C_word*)t0)[3],t2);}

/* ##sys#dispatch-interrupt in k28503 in k28443 in k27110 in k27107 in k27104 in k26337 in k26025 in k26021 in k26017 in k23772 in k23768 in k23764 in k20151 in k20147 in k20143 in k20139 in k20135 in k19774 in k19770 in k19766 in k19762 in ... */
static void C_ccall f_28557(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_28557,3,av);}
t3=C_i_pending_interrupt(C_SCHEME_FALSE);
/* library.scm:5752: ##sys#interrupt-hook */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[1174]);
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[1174]+1);
av2[1]=t1;
av2[2]=t3;
av2[3]=t2;
tp(4,av2);}}

/* ##sys#update-errno in k28503 in k28443 in k27110 in k27107 in k27104 in k26337 in k26025 in k26021 in k26017 in k23772 in k23768 in k23764 in k20151 in k20147 in k20143 in k20139 in k20135 in k19774 in k19770 in k19766 in k19762 in ... */
static void C_ccall f_28564(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(c!=2) C_bad_argc_2(c,2,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_28564,2,av);}
t2=C_set_block_item(((C_word*)t0)[2],0,C_fix((C_word)errno));
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=((C_word*)((C_word*)t0)[2])[1];
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* ##sys#errno in k28503 in k28443 in k27110 in k27107 in k27104 in k26337 in k26025 in k26021 in k26017 in k23772 in k23768 in k23764 in k20151 in k20147 in k20143 in k20139 in k20135 in k19774 in k19770 in k19766 in k19762 in ... */
static void C_ccall f_28568(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(c!=2) C_bad_argc_2(c,2,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_28568,2,av);}
t2=t1;{
C_word *av2=av;
av2[0]=t2;
av2[1]=((C_word*)((C_word*)t0)[2])[1];
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* readln in k28503 in k28443 in k27110 in k27107 in k27104 in k26337 in k26025 in k26021 in k26017 in k23772 in k23768 in k23764 in k20151 in k20147 in k20143 in k20139 in k20135 in k19774 in k19770 in k19766 in k19762 in ... */
static void C_fcall f_28582(C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,0,2)))){
C_save_and_reclaim_args((void *)trf_28582,2,t1,t2);}
a=C_alloc(4);
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_28586,a[2]=t2,a[3]=t1,tmp=(C_word)a,a+=4,tmp);
/* library.scm:5781: chicken.base#open-output-string */
t4=*((C_word*)lf[213]+1);{
C_word av2[2];
av2[0]=t4;
av2[1]=t3;
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* k28584 in readln in k28503 in k28443 in k27110 in k27107 in k27104 in k26337 in k26025 in k26021 in k26017 in k23772 in k23768 in k23764 in k20151 in k20147 in k20143 in k20139 in k20135 in k19774 in k19770 in k19766 in ... */
static void C_ccall f_28586(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,c,2)))){
C_save_and_reclaim((void *)f_28586,2,av);}
a=C_alloc(5);
t2=t1;
t3=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_28593,a[2]=t2,a[3]=((C_word*)t0)[2],a[4]=((C_word*)t0)[3],tmp=(C_word)a,a+=5,tmp);
/* library.scm:5782: ##sys#read-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[768]);
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[768]+1);
av2[1]=t3;
av2[2]=((C_word*)t0)[2];
tp(3,av2);}}

/* k28591 in k28584 in readln in k28503 in k28443 in k27110 in k27107 in k27104 in k26337 in k26025 in k26021 in k26017 in k23772 in k23768 in k23764 in k20151 in k20147 in k20143 in k20139 in k20135 in k19774 in k19770 in ... */
static void C_ccall f_28593(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(8,c,3)))){
C_save_and_reclaim((void *)f_28593,2,av);}
a=C_alloc(8);
t2=C_SCHEME_UNDEFINED;
t3=(*a=C_VECTOR_TYPE|1,a[1]=t2,tmp=(C_word)a,a+=2,tmp);
t4=C_set_block_item(t3,0,(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_28595,a[2]=((C_word*)t0)[2],a[3]=t3,a[4]=((C_word*)t0)[3],a[5]=((C_word)li889),tmp=(C_word)a,a+=6,tmp));
t5=((C_word*)t3)[1];
f_28595(t5,((C_word*)t0)[4],t1);}

/* doloop6660 in k28591 in k28584 in readln in k28503 in k28443 in k27110 in k27107 in k27104 in k26337 in k26025 in k26021 in k26017 in k23772 in k23768 in k23764 in k20151 in k20147 in k20143 in k20139 in k20135 in k19774 in ... */
static void C_fcall f_28595(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,0,3)))){
C_save_and_reclaim_args((void *)trf_28595,3,t0,t1,t2);}
a=C_alloc(5);
t3=C_eofp(t2);
t4=(C_truep(t3)?t3:C_i_char_equalp(C_make_character(10),t2));
if(C_truep(t4)){
if(C_truep(C_eofp(t2))){
t5=t1;{
C_word av2[2];
av2[0]=t5;
av2[1]=t2;
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}
else{
/* library.scm:5784: chicken.base#get-output-string */
t5=*((C_word*)lf[211]+1);{
C_word av2[3];
av2[0]=t5;
av2[1]=t1;
av2[2]=((C_word*)t0)[2];
((C_proc)(void*)(*((C_word*)t5+1)))(3,av2);}}}
else{
t5=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_28617,a[2]=((C_word*)t0)[3],a[3]=t1,a[4]=((C_word*)t0)[4],tmp=(C_word)a,a+=5,tmp);
/* library.scm:5785: ##sys#write-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[867]);
C_word av2[4];
av2[0]=*((C_word*)lf[867]+1);
av2[1]=t5;
av2[2]=t2;
av2[3]=((C_word*)t0)[2];
tp(4,av2);}}}

/* k28615 in doloop6660 in k28591 in k28584 in readln in k28503 in k28443 in k27110 in k27107 in k27104 in k26337 in k26025 in k26021 in k26017 in k23772 in k23768 in k23764 in k20151 in k20147 in k20143 in k20139 in k20135 in ... */
static void C_ccall f_28617(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,c,2)))){
C_save_and_reclaim((void *)f_28617,2,av);}
a=C_alloc(4);
t2=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_28624,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],tmp=(C_word)a,a+=4,tmp);
/* library.scm:5782: ##sys#read-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[768]);
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[768]+1);
av2[1]=t2;
av2[2]=((C_word*)t0)[4];
tp(3,av2);}}

/* k28622 in k28615 in doloop6660 in k28591 in k28584 in readln in k28503 in k28443 in k27110 in k27107 in k27104 in k26337 in k26025 in k26021 in k26017 in k23772 in k23768 in k23764 in k20151 in k20147 in k20143 in k20139 in ... */
static void C_ccall f_28624(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_28624,2,av);}
t2=((C_word*)((C_word*)t0)[2])[1];
f_28595(t2,((C_word*)t0)[3],t1);}

/* read-escaped-sexp in k28503 in k28443 in k27110 in k27107 in k27104 in k26337 in k26025 in k26021 in k26017 in k23772 in k23768 in k23764 in k20151 in k20147 in k20143 in k20139 in k20135 in k19774 in k19770 in k19766 in k19762 in ... */
static void C_fcall f_28629(C_word t1,C_word t2,C_word t3){
C_word tmp;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,0,2)))){
C_save_and_reclaim_args((void *)trf_28629,3,t1,t2,t3);}
a=C_alloc(5);
t4=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_28633,a[2]=t1,a[3]=t3,a[4]=t2,tmp=(C_word)a,a+=5,tmp);
if(C_truep(t3)){
/* library.scm:5787: ##sys#read-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[768]);
C_word av2[3];
av2[0]=*((C_word*)lf[768]+1);
av2[1]=t4;
av2[2]=t2;
tp(3,av2);}}
else{
t5=t4;{
C_word av2[2];
av2[0]=t5;
av2[1]=C_SCHEME_UNDEFINED;
f_28633(2,av2);}}}

/* k28631 in read-escaped-sexp in k28503 in k28443 in k27110 in k27107 in k27104 in k26337 in k26025 in k26021 in k26017 in k23772 in k23768 in k23764 in k20151 in k20147 in k20143 in k20139 in k20135 in k19774 in k19770 in k19766 in ... */
static void C_ccall f_28633(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,c,2)))){
C_save_and_reclaim((void *)f_28633,2,av);}
a=C_alloc(5);
t2=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_28636,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],tmp=(C_word)a,a+=5,tmp);
/* library.scm:5788: read */
t3=*((C_word*)lf[149]+1);{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t3;
av2[1]=t2;
av2[2]=((C_word*)t0)[4];
((C_proc)(void*)(*((C_word*)t3+1)))(3,av2);}}

/* k28634 in k28631 in read-escaped-sexp in k28503 in k28443 in k27110 in k27107 in k27104 in k26337 in k26025 in k26021 in k26017 in k23772 in k23768 in k23764 in k20151 in k20147 in k20143 in k20139 in k20135 in k19774 in k19770 in ... */
static void C_ccall f_28636(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(11,c,2)))){
C_save_and_reclaim((void *)f_28636,2,av);}
a=C_alloc(11);
t2=t1;
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_28639,a[2]=((C_word*)t0)[2],a[3]=t2,tmp=(C_word)a,a+=4,tmp);
if(C_truep(((C_word*)t0)[3])){
t4=C_SCHEME_UNDEFINED;
t5=(*a=C_VECTOR_TYPE|1,a[1]=t4,tmp=(C_word)a,a+=2,tmp);
t6=C_set_block_item(t5,0,(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_28644,a[2]=((C_word*)t0)[4],a[3]=t5,a[4]=((C_word)li891),tmp=(C_word)a,a+=5,tmp));
t7=((C_word*)t5)[1];
f_28644(t7,t3);}
else{
t4=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t4;
av2[1]=t2;
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}}

/* k28637 in k28634 in k28631 in read-escaped-sexp in k28503 in k28443 in k27110 in k27107 in k27104 in k26337 in k26025 in k26021 in k26017 in k23772 in k23768 in k23764 in k20151 in k20147 in k20143 in k20139 in k20135 in k19774 in ... */
static void C_ccall f_28639(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_28639,2,av);}
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=((C_word*)t0)[3];
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* loop in k28634 in k28631 in read-escaped-sexp in k28503 in k28443 in k27110 in k27107 in k27104 in k26337 in k26025 in k26021 in k26017 in k23772 in k23768 in k23764 in k20151 in k20147 in k20143 in k20139 in k20135 in k19774 in ... */
static void C_fcall f_28644(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,0,2)))){
C_save_and_reclaim_args((void *)trf_28644,2,t0,t1);}
a=C_alloc(5);
t2=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_28648,a[2]=t1,a[3]=((C_word*)t0)[2],a[4]=((C_word*)t0)[3],tmp=(C_word)a,a+=5,tmp);
/* library.scm:5792: ##sys#read-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[768]);
C_word av2[3];
av2[0]=*((C_word*)lf[768]+1);
av2[1]=t2;
av2[2]=((C_word*)t0)[2];
tp(3,av2);}}

/* k28646 in loop in k28634 in k28631 in read-escaped-sexp in k28503 in k28443 in k27110 in k27107 in k27104 in k26337 in k26025 in k26021 in k26017 in k23772 in k23768 in k23764 in k20151 in k20147 in k20143 in k20139 in k20135 in ... */
static void C_ccall f_28648(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_28648,2,av);}
if(C_truep(C_eofp(t1))){
/* library.scm:5794: ##sys#read-error */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[778]);
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[778]+1);
av2[1]=((C_word*)t0)[2];
av2[2]=((C_word*)t0)[3];
av2[3]=lf[1178];
tp(4,av2);}}
else{
t2=C_i_char_equalp(C_make_character(125),t1);
if(C_truep(C_i_not(t2))){
/* library.scm:5795: loop */
t3=((C_word*)((C_word*)t0)[4])[1];
f_28644(t3,((C_word*)t0)[2]);}
else{
t3=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_SCHEME_UNDEFINED;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}}}

/* ##sys#user-read-hook in k28503 in k28443 in k27110 in k27107 in k27104 in k26337 in k26025 in k26021 in k26017 in k23772 in k23768 in k23764 in k20151 in k20147 in k20143 in k20139 in k20135 in k19774 in k19770 in k19766 in k19762 in ... */
static void C_ccall f_28674(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(6,c,3)))){
C_save_and_reclaim((void *)f_28674,4,av);}
a=C_alloc(6);
t4=C_i_char_equalp(C_make_character(60),t2);
if(C_truep(C_i_not(t4))){
/* library.scm:5798: old */
t5=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t5;
av2[1]=t1;
av2[2]=t2;
av2[3]=t3;
((C_proc)C_fast_retrieve_proc(t5))(4,av2);}}
else{
t5=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_28687,a[2]=t3,a[3]=((C_word*)t0)[3],a[4]=t1,a[5]=((C_word*)t0)[4],tmp=(C_word)a,a+=6,tmp);
/* read-char/port */
t6=C_fast_retrieve(lf[769]);{
C_word *av2=av;
av2[0]=t6;
av2[1]=t5;
av2[2]=t3;
((C_proc)(void*)(*((C_word*)t6+1)))(3,av2);}}}

/* k28685 in user-read-hook in k28503 in k28443 in k27110 in k27107 in k27104 in k26337 in k26025 in k26021 in k26017 in k23772 in k23768 in k23764 in k20151 in k20147 in k20143 in k20139 in k20135 in k19774 in k19770 in k19766 in ... */
static void C_ccall f_28687(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,c,2)))){
C_save_and_reclaim((void *)f_28687,2,av);}
a=C_alloc(6);
t2=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_28690,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[5],tmp=(C_word)a,a+=6,tmp);
/* library.scm:5801: ##sys#peek-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[770]);
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[770]+1);
av2[1]=t2;
av2[2]=((C_word*)t0)[2];
tp(3,av2);}}

/* k28688 in k28685 in user-read-hook in k28503 in k28443 in k27110 in k27107 in k27104 in k26337 in k26025 in k26021 in k26017 in k23772 in k23768 in k23764 in k20151 in k20147 in k20143 in k20139 in k20135 in k19774 in k19770 in ... */
static void C_ccall f_28690(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,c,3)))){
C_save_and_reclaim((void *)f_28690,2,av);}
a=C_alloc(6);
switch(t1){
case C_make_character(60):
t2=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_28699,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],tmp=(C_word)a,a+=5,tmp);
/* library.scm:5803: ##sys#read-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[768]);
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[768]+1);
av2[1]=t2;
av2[2]=((C_word*)t0)[2];
tp(3,av2);}
case C_make_character(35):
t2=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_28812,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[5],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[3],tmp=(C_word)a,a+=6,tmp);
/* library.scm:5828: ##sys#read-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[768]);
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[768]+1);
av2[1]=t2;
av2[2]=((C_word*)t0)[2];
tp(3,av2);}
default:
/* library.scm:5883: ##sys#read-error */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[778]);
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[778]+1);
av2[1]=((C_word*)t0)[4];
av2[2]=((C_word*)t0)[2];
av2[3]=lf[1187];
tp(4,av2);}}}

/* k28697 in k28688 in k28685 in user-read-hook in k28503 in k28443 in k27110 in k27107 in k27104 in k26337 in k26025 in k26021 in k26017 in k23772 in k23768 in k23764 in k20151 in k20147 in k20143 in k20139 in k20135 in k19774 in ... */
static void C_ccall f_28699(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,c,2)))){
C_save_and_reclaim((void *)f_28699,2,av);}
a=C_alloc(5);
t2=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_28702,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],tmp=(C_word)a,a+=5,tmp);
/* library.scm:5804: chicken.base#open-output-string */
t3=*((C_word*)lf[213]+1);{
C_word *av2=av;
av2[0]=t3;
av2[1]=t2;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* k28700 in k28697 in k28688 in k28685 in user-read-hook in k28503 in k28443 in k27110 in k27107 in k27104 in k26337 in k26025 in k26021 in k26017 in k23772 in k23768 in k23764 in k20151 in k20147 in k20143 in k20139 in k20135 in ... */
static void C_ccall f_28702(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,c,2)))){
C_save_and_reclaim((void *)f_28702,2,av);}
a=C_alloc(6);
t2=t1;
t3=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_28705,a[2]=t2,a[3]=((C_word*)t0)[2],a[4]=((C_word*)t0)[3],a[5]=((C_word*)t0)[4],tmp=(C_word)a,a+=6,tmp);
/* library.scm:5805: readln */
f_28582(t3,((C_word*)t0)[2]);}

/* k28703 in k28700 in k28697 in k28688 in k28685 in user-read-hook in k28503 in k28443 in k27110 in k27107 in k27104 in k26337 in k26025 in k26021 in k26017 in k23772 in k23768 in k23764 in k20151 in k20147 in k20143 in k20139 in ... */
static void C_ccall f_28705(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word t12;
C_word t13;
C_word t14;
C_word t15;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(10,c,3)))){
C_save_and_reclaim((void *)f_28705,2,av);}
a=C_alloc(10);
t2=t1;
t3=C_SCHEME_FALSE;
t4=(*a=C_VECTOR_TYPE|1,a[1]=t3,tmp=(C_word)a,a+=2,tmp);
t5=C_eofp(t2);
t6=(C_truep(t5)?C_fix(0):C_i_string_length(t2));
t7=(*a=C_CLOSURE_TYPE|7,a[1]=(C_word)f_28711,a[2]=t2,a[3]=((C_word*)t0)[2],a[4]=((C_word*)t0)[3],a[5]=((C_word*)t0)[4],a[6]=t4,a[7]=((C_word*)t0)[5],tmp=(C_word)a,a+=8,tmp);
t8=C_eqp(t6,C_fix(0));
if(C_truep(t8)){
/* library.scm:5810: ##sys#read-warning */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[781]);
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[781]+1);
av2[1]=t7;
av2[2]=((C_word*)t0)[3];
av2[3]=lf[1181];
tp(4,av2);}}
else{
t9=C_fixnum_difference(t6,C_fix(1));
t10=C_i_string_ref(t2,t9);
t11=C_u_i_char_equalp(t10,C_make_character(32));
if(C_truep(t11)){
if(C_truep(t11)){
/* library.scm:5814: ##sys#read-warning */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[781]);
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[781]+1);
av2[1]=t7;
av2[2]=((C_word*)t0)[3];
av2[3]=lf[1182];
tp(4,av2);}}
else{
t12=C_SCHEME_UNDEFINED;
t13=t7;{
C_word *av2=av;
av2[0]=t13;
av2[1]=t12;
f_28711(2,av2);}}}
else{
t12=C_fixnum_difference(t6,C_fix(1));
t13=C_i_string_ref(t2,t12);
if(C_truep(C_u_i_char_equalp(t13,C_make_character(9)))){
/* library.scm:5814: ##sys#read-warning */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[781]);
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[781]+1);
av2[1]=t7;
av2[2]=((C_word*)t0)[3];
av2[3]=lf[1182];
tp(4,av2);}}
else{
t14=C_SCHEME_UNDEFINED;
t15=t7;{
C_word *av2=av;
av2[0]=t15;
av2[1]=t14;
f_28711(2,av2);}}}}}

/* k28709 in k28703 in k28700 in k28697 in k28688 in k28685 in user-read-hook in k28503 in k28443 in k27110 in k27107 in k27104 in k26337 in k26025 in k26021 in k26017 in k23772 in k23768 in k23764 in k20151 in k20147 in k20143 in ... */
static void C_ccall f_28711(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(8,c,2)))){
C_save_and_reclaim((void *)f_28711,2,av);}
a=C_alloc(8);
t2=(*a=C_CLOSURE_TYPE|7,a[1]=(C_word)f_28718,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[5],a[6]=((C_word*)t0)[6],a[7]=((C_word*)t0)[7],tmp=(C_word)a,a+=8,tmp);
/* library.scm:5817: readln */
f_28582(t2,((C_word*)t0)[4]);}

/* k28716 in k28709 in k28703 in k28700 in k28697 in k28688 in k28685 in user-read-hook in k28503 in k28443 in k27110 in k27107 in k27104 in k26337 in k26025 in k26021 in k26017 in k23772 in k23768 in k23764 in k20151 in k20147 in ... */
static void C_ccall f_28718(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(11,c,3)))){
C_save_and_reclaim((void *)f_28718,2,av);}
a=C_alloc(11);
t2=C_SCHEME_UNDEFINED;
t3=(*a=C_VECTOR_TYPE|1,a[1]=t2,tmp=(C_word)a,a+=2,tmp);
t4=C_set_block_item(t3,0,(*a=C_CLOSURE_TYPE|8,a[1]=(C_word)f_28720,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=t3,a[6]=((C_word*)t0)[5],a[7]=((C_word*)t0)[6],a[8]=((C_word)li893),tmp=(C_word)a,a+=9,tmp));
t5=((C_word*)t3)[1];
f_28720(t5,((C_word*)t0)[7],t1);}

/* doloop6695 in k28716 in k28709 in k28703 in k28700 in k28697 in k28688 in k28685 in user-read-hook in k28503 in k28443 in k27110 in k27107 in k27104 in k26337 in k26025 in k26021 in k26017 in k23772 in k23768 in k23764 in k20151 in ... */
static void C_fcall f_28720(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(17,0,3)))){
C_save_and_reclaim_args((void *)trf_28720,3,t0,t1,t2);}
a=C_alloc(17);
t3=C_eofp(t2);
t4=(C_truep(t3)?t3:C_i_string_equal_p(((C_word*)t0)[2],t2));
if(C_truep(t4)){
t5=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_28733,a[2]=t1,a[3]=((C_word*)t0)[3],tmp=(C_word)a,a+=4,tmp);
if(C_truep(C_eofp(t2))){
t6=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_28746,a[2]=t5,a[3]=((C_word*)t0)[4],tmp=(C_word)a,a+=4,tmp);
t7=C_a_i_list(&a,3,lf[1179],((C_word*)t0)[2],lf[1180]);
/* library.scm:5772: ##sys#print-to-string */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[937]);
C_word av2[3];
av2[0]=*((C_word*)lf[937]+1);
av2[1]=t6;
av2[2]=t7;
tp(3,av2);}}
else{
/* library.scm:5822: chicken.base#get-output-string */
t6=*((C_word*)lf[211]+1);{
C_word av2[3];
av2[0]=t6;
av2[1]=t1;
av2[2]=((C_word*)t0)[3];
((C_proc)(void*)(*((C_word*)t6+1)))(3,av2);}}}
else{
t5=(*a=C_CLOSURE_TYPE|7,a[1]=(C_word)f_28749,a[2]=((C_word*)t0)[5],a[3]=t1,a[4]=((C_word*)t0)[6],a[5]=((C_word*)t0)[4],a[6]=t2,a[7]=((C_word*)t0)[3],tmp=(C_word)a,a+=8,tmp);
if(C_truep(((C_word*)((C_word*)t0)[7])[1])){
/* library.scm:5824: ##sys#write-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[867]);
C_word av2[4];
av2[0]=*((C_word*)lf[867]+1);
av2[1]=t5;
av2[2]=C_make_character(10);
av2[3]=((C_word*)t0)[3];
tp(4,av2);}}
else{
t6=C_set_block_item(((C_word*)t0)[7],0,C_SCHEME_TRUE);
t7=t5;{
C_word av2[2];
av2[0]=t7;
av2[1]=t6;
f_28749(2,av2);}}}}

/* k28731 in doloop6695 in k28716 in k28709 in k28703 in k28700 in k28697 in k28688 in k28685 in user-read-hook in k28503 in k28443 in k27110 in k27107 in k27104 in k26337 in k26025 in k26021 in k26017 in k23772 in k23768 in k23764 in ... */
static void C_ccall f_28733(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_28733,2,av);}
/* library.scm:5822: chicken.base#get-output-string */
t2=*((C_word*)lf[211]+1);{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[2];
av2[2]=((C_word*)t0)[3];
((C_proc)(void*)(*((C_word*)t2+1)))(3,av2);}}

/* k28744 in doloop6695 in k28716 in k28709 in k28703 in k28700 in k28697 in k28688 in k28685 in user-read-hook in k28503 in k28443 in k27110 in k27107 in k27104 in k26337 in k26025 in k26021 in k26017 in k23772 in k23768 in k23764 in ... */
static void C_ccall f_28746(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_28746,2,av);}
/* library.scm:5820: ##sys#read-warning */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[781]);
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[781]+1);
av2[1]=((C_word*)t0)[2];
av2[2]=((C_word*)t0)[3];
av2[3]=t1;
tp(4,av2);}}

/* k28747 in doloop6695 in k28716 in k28709 in k28703 in k28700 in k28697 in k28688 in k28685 in user-read-hook in k28503 in k28443 in k27110 in k27107 in k27104 in k26337 in k26025 in k26021 in k26017 in k23772 in k23768 in k23764 in ... */
static void C_ccall f_28749(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,c,3)))){
C_save_and_reclaim((void *)f_28749,2,av);}
a=C_alloc(6);
t2=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_28752,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[5],tmp=(C_word)a,a+=6,tmp);
/* library.scm:5826: display */
t3=*((C_word*)lf[153]+1);{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t3;
av2[1]=t2;
av2[2]=((C_word*)t0)[6];
av2[3]=((C_word*)t0)[7];
((C_proc)(void*)(*((C_word*)t3+1)))(4,av2);}}

/* k28750 in k28747 in doloop6695 in k28716 in k28709 in k28703 in k28700 in k28697 in k28688 in k28685 in user-read-hook in k28503 in k28443 in k27110 in k27107 in k27104 in k26337 in k26025 in k26021 in k26017 in k23772 in k23768 in ... */
static void C_ccall f_28752(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,c,2)))){
C_save_and_reclaim((void *)f_28752,2,av);}
a=C_alloc(4);
t2=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_28759,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],tmp=(C_word)a,a+=4,tmp);
/* library.scm:5817: readln */
f_28582(t2,((C_word*)t0)[5]);}

/* k28757 in k28750 in k28747 in doloop6695 in k28716 in k28709 in k28703 in k28700 in k28697 in k28688 in k28685 in user-read-hook in k28503 in k28443 in k27110 in k27107 in k27104 in k26337 in k26025 in k26021 in k26017 in k23772 in ... */
static void C_ccall f_28759(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_28759,2,av);}
t2=((C_word*)((C_word*)t0)[2])[1];
f_28720(t2,((C_word*)t0)[3],t1);}

/* k28810 in k28688 in k28685 in user-read-hook in k28503 in k28443 in k27110 in k27107 in k27104 in k26337 in k26025 in k26021 in k26017 in k23772 in k23768 in k23764 in k20151 in k20147 in k20143 in k20139 in k20135 in k19774 in ... */
static void C_ccall f_28812(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,c,2)))){
C_save_and_reclaim((void *)f_28812,2,av);}
a=C_alloc(5);
t2=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_28815,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],tmp=(C_word)a,a+=5,tmp);
/* library.scm:5829: readln */
f_28582(t2,((C_word*)t0)[2]);}

/* k28813 in k28810 in k28688 in k28685 in user-read-hook in k28503 in k28443 in k27110 in k27107 in k27104 in k26337 in k26025 in k26021 in k26017 in k23772 in k23768 in k23764 in k20151 in k20147 in k20143 in k20139 in k20135 in ... */
static void C_ccall f_28815(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,c,2)))){
C_save_and_reclaim((void *)f_28815,2,av);}
a=C_alloc(6);
t2=t1;
t3=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_28818,a[2]=t2,a[3]=((C_word*)t0)[2],a[4]=((C_word*)t0)[3],a[5]=((C_word*)t0)[4],tmp=(C_word)a,a+=6,tmp);
/* library.scm:5830: chicken.base#open-output-string */
t4=*((C_word*)lf[213]+1);{
C_word *av2=av;
av2[0]=t4;
av2[1]=t3;
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* k28816 in k28813 in k28810 in k28688 in k28685 in user-read-hook in k28503 in k28443 in k27110 in k27107 in k27104 in k26337 in k26025 in k26021 in k26017 in k23772 in k23768 in k23764 in k20151 in k20147 in k20143 in k20139 in ... */
static void C_ccall f_28818(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word t12;
C_word t13;
C_word t14;
C_word t15;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(14,c,3)))){
C_save_and_reclaim((void *)f_28818,2,av);}
a=C_alloc(14);
t2=t1;
t3=(*a=C_VECTOR_TYPE|1,a[1]=t2,tmp=(C_word)a,a+=2,tmp);
t4=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_28820,a[2]=t3,a[3]=((C_word)li894),tmp=(C_word)a,a+=4,tmp);
t5=C_eofp(((C_word*)t0)[2]);
t6=(C_truep(t5)?C_fix(0):C_i_string_length(((C_word*)t0)[2]));
t7=(*a=C_CLOSURE_TYPE|7,a[1]=(C_word)f_28834,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=t4,a[5]=t3,a[6]=((C_word*)t0)[4],a[7]=((C_word*)t0)[5],tmp=(C_word)a,a+=8,tmp);
t8=C_eqp(t6,C_fix(0));
if(C_truep(t8)){
/* library.scm:5839: ##sys#read-warning */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[781]);
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[781]+1);
av2[1]=t7;
av2[2]=((C_word*)t0)[3];
av2[3]=lf[1185];
tp(4,av2);}}
else{
t9=C_fixnum_difference(t6,C_fix(1));
t10=C_i_string_ref(((C_word*)t0)[2],t9);
t11=C_u_i_char_equalp(t10,C_make_character(32));
if(C_truep(t11)){
if(C_truep(t11)){
/* library.scm:5843: ##sys#read-warning */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[781]);
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[781]+1);
av2[1]=t7;
av2[2]=((C_word*)t0)[3];
av2[3]=lf[1186];
tp(4,av2);}}
else{
t12=C_SCHEME_UNDEFINED;
t13=t7;{
C_word *av2=av;
av2[0]=t13;
av2[1]=t12;
f_28834(2,av2);}}}
else{
t12=C_fixnum_difference(t6,C_fix(1));
t13=C_i_string_ref(((C_word*)t0)[2],t12);
if(C_truep(C_u_i_char_equalp(t13,C_make_character(9)))){
/* library.scm:5843: ##sys#read-warning */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[781]);
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[781]+1);
av2[1]=t7;
av2[2]=((C_word*)t0)[3];
av2[3]=lf[1186];
tp(4,av2);}}
else{
t14=C_SCHEME_UNDEFINED;
t15=t7;{
C_word *av2=av;
av2[0]=t15;
av2[1]=t14;
f_28834(2,av2);}}}}}

/* get/clear-str in k28816 in k28813 in k28810 in k28688 in k28685 in user-read-hook in k28503 in k28443 in k27110 in k27107 in k27104 in k26337 in k26025 in k26021 in k26017 in k23772 in k23768 in k23764 in k20151 in k20147 in k20143 in ... */
static void C_fcall f_28820(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,0,2)))){
C_save_and_reclaim_args((void *)trf_28820,2,t0,t1);}
a=C_alloc(4);
t2=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_28824,a[2]=((C_word*)t0)[2],a[3]=t1,tmp=(C_word)a,a+=4,tmp);
/* library.scm:5832: chicken.base#get-output-string */
t3=*((C_word*)lf[211]+1);{
C_word av2[3];
av2[0]=t3;
av2[1]=t2;
av2[2]=((C_word*)((C_word*)t0)[2])[1];
((C_proc)(void*)(*((C_word*)t3+1)))(3,av2);}}

/* k28822 in get/clear-str in k28816 in k28813 in k28810 in k28688 in k28685 in user-read-hook in k28503 in k28443 in k27110 in k27107 in k27104 in k26337 in k26025 in k26021 in k26017 in k23772 in k23768 in k23764 in k20151 in k20147 in ... */
static void C_ccall f_28824(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,c,2)))){
C_save_and_reclaim((void *)f_28824,2,av);}
a=C_alloc(5);
t2=t1;
t3=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_28828,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=t2,tmp=(C_word)a,a+=5,tmp);
/* library.scm:5833: chicken.base#open-output-string */
t4=*((C_word*)lf[213]+1);{
C_word *av2=av;
av2[0]=t4;
av2[1]=t3;
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* k28826 in k28822 in get/clear-str in k28816 in k28813 in k28810 in k28688 in k28685 in user-read-hook in k28503 in k28443 in k27110 in k27107 in k27104 in k26337 in k26025 in k26021 in k26017 in k23772 in k23768 in k23764 in k20151 in ... */
static void C_ccall f_28828(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_28828,2,av);}
t2=C_mutate(((C_word *)((C_word*)t0)[2])+1,t1);
t3=((C_word*)t0)[3];{
C_word *av2=av;
av2[0]=t3;
av2[1]=((C_word*)t0)[4];
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* k28832 in k28816 in k28813 in k28810 in k28688 in k28685 in user-read-hook in k28503 in k28443 in k27110 in k27107 in k27104 in k26337 in k26025 in k26021 in k26017 in k23772 in k23768 in k23764 in k20151 in k20147 in k20143 in ... */
static void C_ccall f_28834(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(11,c,3)))){
C_save_and_reclaim((void *)f_28834,2,av);}
a=C_alloc(11);
t2=C_SCHEME_UNDEFINED;
t3=(*a=C_VECTOR_TYPE|1,a[1]=t2,tmp=(C_word)a,a+=2,tmp);
t4=C_set_block_item(t3,0,(*a=C_CLOSURE_TYPE|8,a[1]=(C_word)f_28839,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=t3,a[5]=((C_word*)t0)[4],a[6]=((C_word*)t0)[5],a[7]=((C_word*)t0)[6],a[8]=((C_word)li896),tmp=(C_word)a,a+=9,tmp));
t5=((C_word*)t3)[1];
f_28839(t5,((C_word*)t0)[7],C_SCHEME_END_OF_LIST);}

/* loop in k28832 in k28816 in k28813 in k28810 in k28688 in k28685 in user-read-hook in k28503 in k28443 in k27110 in k27107 in k27104 in k26337 in k26025 in k26021 in k26017 in k23772 in k23768 in k23764 in k20151 in k20147 in ... */
static void C_fcall f_28839(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(10,0,2)))){
C_save_and_reclaim_args((void *)trf_28839,3,t0,t1,t2);}
a=C_alloc(10);
t3=(*a=C_CLOSURE_TYPE|9,a[1]=(C_word)f_28843,a[2]=((C_word*)t0)[2],a[3]=t1,a[4]=t2,a[5]=((C_word*)t0)[3],a[6]=((C_word*)t0)[4],a[7]=((C_word*)t0)[5],a[8]=((C_word*)t0)[6],a[9]=((C_word*)t0)[7],tmp=(C_word)a,a+=10,tmp);
/* library.scm:5848: ##sys#read-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[768]);
C_word av2[3];
av2[0]=*((C_word*)lf[768]+1);
av2[1]=t3;
av2[2]=((C_word*)t0)[3];
tp(3,av2);}}

/* k28841 in loop in k28832 in k28816 in k28813 in k28810 in k28688 in k28685 in user-read-hook in k28503 in k28443 in k27110 in k27107 in k27104 in k26337 in k26025 in k26021 in k26017 in k23772 in k23768 in k23764 in k20151 in ... */
static void C_ccall f_28843(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(9,c,3)))){
C_save_and_reclaim((void *)f_28843,2,av);}
a=C_alloc(9);
t2=t1;
t3=C_eqp(t2,C_make_character(10));
t4=(C_truep(t3)?t3:C_eqp(t2,C_SCHEME_END_OF_FILE));
if(C_truep(t4)){
t5=(*a=C_CLOSURE_TYPE|7,a[1]=(C_word)f_28855,a[2]=t2,a[3]=((C_word*)t0)[2],a[4]=((C_word*)t0)[3],a[5]=((C_word*)t0)[4],a[6]=((C_word*)t0)[5],a[7]=((C_word*)t0)[6],tmp=(C_word)a,a+=8,tmp);
/* library.scm:5851: get/clear-str */
t6=((C_word*)t0)[7];
f_28820(t6,t5);}
else{
t5=C_eqp(t2,C_make_character(35));
if(C_truep(t5)){
t6=(*a=C_CLOSURE_TYPE|8,a[1]=(C_word)f_28975,a[2]=((C_word*)t0)[6],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[8],a[6]=((C_word*)t0)[5],a[7]=((C_word*)t0)[7],a[8]=((C_word*)t0)[9],tmp=(C_word)a,a+=9,tmp);
/* library.scm:5871: ##sys#peek-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[770]);
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[770]+1);
av2[1]=t6;
av2[2]=((C_word*)t0)[5];
tp(3,av2);}}
else{
t6=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_29042,a[2]=((C_word*)t0)[6],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],tmp=(C_word)a,a+=5,tmp);
/* library.scm:5881: ##sys#write-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[867]);
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[867]+1);
av2[1]=t6;
av2[2]=t2;
av2[3]=((C_word*)((C_word*)t0)[8])[1];
tp(4,av2);}}}}

/* k28853 in k28841 in loop in k28832 in k28816 in k28813 in k28810 in k28688 in k28685 in user-read-hook in k28503 in k28443 in k27110 in k27107 in k27104 in k26337 in k26025 in k26021 in k26017 in k23772 in k23768 in k23764 in ... */
static void C_ccall f_28855(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(17,c,2)))){
C_save_and_reclaim((void *)f_28855,2,av);}
a=C_alloc(17);
t2=C_eofp(((C_word*)t0)[2]);
t3=(C_truep(t2)?t2:C_i_string_equal_p(((C_word*)t0)[3],t1));
if(C_truep(t3)){
t4=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_28867,a[2]=((C_word*)t0)[4],a[3]=((C_word*)t0)[5],tmp=(C_word)a,a+=4,tmp);
if(C_truep(C_eofp(((C_word*)t0)[2]))){
t5=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_28952,a[2]=t4,a[3]=((C_word*)t0)[6],tmp=(C_word)a,a+=4,tmp);
t6=C_a_i_list(&a,3,lf[1179],((C_word*)t0)[3],lf[1180]);
/* library.scm:5772: ##sys#print-to-string */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[937]);
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[937]+1);
av2[1]=t5;
av2[2]=t6;
tp(3,av2);}}
else{
t5=t4;{
C_word *av2=av;
av2[0]=t5;
av2[1]=C_SCHEME_UNDEFINED;
f_28867(2,av2);}}}
else{
t4=C_a_i_cons(&a,2,t1,((C_word*)t0)[5]);
t5=C_a_i_cons(&a,2,C_make_character(10),t4);
/* library.scm:5869: loop */
t6=((C_word*)((C_word*)t0)[7])[1];
f_28839(t6,((C_word*)t0)[4],t5);}}

/* k28865 in k28853 in k28841 in loop in k28832 in k28816 in k28813 in k28810 in k28688 in k28685 in user-read-hook in k28503 in k28443 in k27110 in k27107 in k27104 in k26337 in k26025 in k26021 in k26017 in k23772 in k23768 in ... */
static void C_ccall f_28867(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(9,c,5)))){
C_save_and_reclaim((void *)f_28867,2,av);}
a=C_alloc(9);
t2=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_28874,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
t3=C_i_cdr(((C_word*)t0)[3]);
t4=C_SCHEME_UNDEFINED;
t5=(*a=C_VECTOR_TYPE|1,a[1]=t4,tmp=(C_word)a,a+=2,tmp);
t6=C_set_block_item(t5,0,(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_28880,a[2]=t5,a[3]=((C_word)li895),tmp=(C_word)a,a+=4,tmp));
t7=((C_word*)t5)[1];
f_28880(t7,t2,t3,C_SCHEME_END_OF_LIST,lf[1184]);}

/* k28872 in k28865 in k28853 in k28841 in loop in k28832 in k28816 in k28813 in k28810 in k28688 in k28685 in user-read-hook in k28503 in k28443 in k27110 in k27107 in k27104 in k26337 in k26025 in k26021 in k26017 in k23772 in ... */
static void C_ccall f_28874(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,c,1)))){
C_save_and_reclaim((void *)f_28874,2,av);}
a=C_alloc(6);
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=C_a_i_list(&a,2,lf[937],t1);
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* loop2 in k28865 in k28853 in k28841 in loop in k28832 in k28816 in k28813 in k28810 in k28688 in k28685 in user-read-hook in k28503 in k28443 in k27110 in k27107 in k27104 in k26337 in k26025 in k26021 in k26017 in k23772 in ... */
static void C_fcall f_28880(C_word t0,C_word t1,C_word t2,C_word t3,C_word t4){
C_word tmp;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(7,0,2)))){
C_save_and_reclaim_args((void *)trf_28880,5,t0,t1,t2,t3,t4);}
a=C_alloc(7);
if(C_truep(C_i_nullp(t2))){
t5=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_28894,a[2]=t1,a[3]=t4,tmp=(C_word)a,a+=4,tmp);
/* library.scm:5861: ##sys#print-to-string */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[937]);
C_word av2[3];
av2[0]=*((C_word*)lf[937]+1);
av2[1]=t5;
av2[2]=t3;
tp(3,av2);}}
else{
t5=C_i_car(t2);
t6=C_i_stringp(t5);
t7=(*a=C_CLOSURE_TYPE|6,a[1]=(C_word)f_28903,a[2]=t2,a[3]=t3,a[4]=((C_word*)t0)[2],a[5]=t1,a[6]=t4,tmp=(C_word)a,a+=7,tmp);
if(C_truep(t6)){
t8=t7;
f_28903(t8,t6);}
else{
t8=t2;
t9=C_u_i_car(t8);
t10=t7;
f_28903(t10,C_charp(t9));}}}

/* k28892 in loop2 in k28865 in k28853 in k28841 in loop in k28832 in k28816 in k28813 in k28810 in k28688 in k28685 in user-read-hook in k28503 in k28443 in k27110 in k27107 in k27104 in k26337 in k26025 in k26021 in k26017 in ... */
static void C_ccall f_28894(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(9,c,1)))){
C_save_and_reclaim((void *)f_28894,2,av);}
a=C_alloc(9);
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=C_a_i_list(&a,3,lf[1183],t1,((C_word*)t0)[3]);
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* k28901 in loop2 in k28865 in k28853 in k28841 in loop in k28832 in k28816 in k28813 in k28810 in k28688 in k28685 in user-read-hook in k28503 in k28443 in k27110 in k27107 in k27104 in k26337 in k26025 in k26021 in k26017 in ... */
static void C_fcall f_28903(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(7,0,4)))){
C_save_and_reclaim_args((void *)trf_28903,2,t0,t1);}
a=C_alloc(7);
if(C_truep(t1)){
t2=((C_word*)t0)[2];
t3=C_u_i_cdr(t2);
t4=((C_word*)t0)[2];
t5=C_u_i_car(t4);
t6=C_a_i_cons(&a,2,t5,((C_word*)t0)[3]);
/* library.scm:5863: loop2 */
t7=((C_word*)((C_word*)t0)[4])[1];
f_28880(t7,((C_word*)t0)[5],t3,t6,((C_word*)t0)[6]);}
else{
t2=((C_word*)t0)[2];
t3=C_u_i_cdr(t2);
t4=((C_word*)t0)[2];
t5=C_u_i_car(t4);
t6=(*a=C_CLOSURE_TYPE|6,a[1]=(C_word)f_28933,a[2]=((C_word*)t0)[6],a[3]=t5,a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[5],a[6]=t3,tmp=(C_word)a,a+=7,tmp);
/* library.scm:5868: ##sys#print-to-string */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[937]);
C_word av2[3];
av2[0]=*((C_word*)lf[937]+1);
av2[1]=t6;
av2[2]=((C_word*)t0)[3];
tp(3,av2);}}}

/* k28931 in k28901 in loop2 in k28865 in k28853 in k28841 in loop in k28832 in k28816 in k28813 in k28810 in k28688 in k28685 in user-read-hook in k28503 in k28443 in k27110 in k27107 in k27104 in k26337 in k26025 in k26021 in ... */
static void C_ccall f_28933(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(18,c,4)))){
C_save_and_reclaim((void *)f_28933,2,av);}
a=C_alloc(18);
t2=C_a_i_list(&a,3,lf[1183],t1,((C_word*)t0)[2]);
t3=C_a_i_list(&a,3,lf[1183],((C_word*)t0)[3],t2);
/* library.scm:5865: loop2 */
t4=((C_word*)((C_word*)t0)[4])[1];
f_28880(t4,((C_word*)t0)[5],((C_word*)t0)[6],C_SCHEME_END_OF_LIST,t3);}

/* k28950 in k28853 in k28841 in loop in k28832 in k28816 in k28813 in k28810 in k28688 in k28685 in user-read-hook in k28503 in k28443 in k27110 in k27107 in k27104 in k26337 in k26025 in k26021 in k26017 in k23772 in k23768 in ... */
static void C_ccall f_28952(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_28952,2,av);}
/* library.scm:5854: ##sys#read-warning */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[781]);
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[781]+1);
av2[1]=((C_word*)t0)[2];
av2[2]=((C_word*)t0)[3];
av2[3]=t1;
tp(4,av2);}}

/* k28973 in k28841 in loop in k28832 in k28816 in k28813 in k28810 in k28688 in k28685 in user-read-hook in k28503 in k28443 in k27110 in k27107 in k27104 in k26337 in k26025 in k26021 in k26017 in k23772 in k23768 in k23764 in ... */
static void C_ccall f_28975(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(9,c,3)))){
C_save_and_reclaim((void *)f_28975,2,av);}
a=C_alloc(9);
switch(t1){
case C_make_character(35):
t2=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_28984,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],tmp=(C_word)a,a+=5,tmp);
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_28991,a[2]=t2,a[3]=((C_word*)t0)[5],tmp=(C_word)a,a+=4,tmp);
/* library.scm:5874: ##sys#read-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[768]);
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[768]+1);
av2[1]=t3;
av2[2]=((C_word*)t0)[6];
tp(3,av2);}
case C_make_character(123):
t2=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_29008,a[2]=((C_word*)t0)[4],a[3]=((C_word*)t0)[2],a[4]=((C_word*)t0)[3],a[5]=((C_word*)t0)[7],tmp=(C_word)a,a+=6,tmp);
/* library.scm:5876: read-escaped-sexp */
f_28629(t2,((C_word*)t0)[6],C_SCHEME_TRUE);
default:
t2=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_29027,a[2]=((C_word*)t0)[4],a[3]=((C_word*)t0)[2],a[4]=((C_word*)t0)[3],a[5]=((C_word*)t0)[7],tmp=(C_word)a,a+=6,tmp);
/* library.scm:5878: read-escaped-sexp */
f_28629(t2,((C_word*)t0)[6],C_SCHEME_FALSE);}}

/* k28982 in k28973 in k28841 in loop in k28832 in k28816 in k28813 in k28810 in k28688 in k28685 in user-read-hook in k28503 in k28443 in k27110 in k27107 in k27104 in k26337 in k26025 in k26021 in k26017 in k23772 in k23768 in ... */
static void C_ccall f_28984(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_28984,2,av);}
/* library.scm:5875: loop */
t2=((C_word*)((C_word*)t0)[2])[1];
f_28839(t2,((C_word*)t0)[3],((C_word*)t0)[4]);}

/* k28989 in k28973 in k28841 in loop in k28832 in k28816 in k28813 in k28810 in k28688 in k28685 in user-read-hook in k28503 in k28443 in k27110 in k27107 in k27104 in k26337 in k26025 in k26021 in k26017 in k23772 in k23768 in ... */
static void C_ccall f_28991(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_28991,2,av);}
/* library.scm:5874: ##sys#write-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[867]);
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[867]+1);
av2[1]=((C_word*)t0)[2];
av2[2]=t1;
av2[3]=((C_word*)((C_word*)t0)[3])[1];
tp(4,av2);}}

/* k29006 in k28973 in k28841 in loop in k28832 in k28816 in k28813 in k28810 in k28688 in k28685 in user-read-hook in k28503 in k28443 in k27110 in k27107 in k27104 in k26337 in k26025 in k26021 in k26017 in k23772 in k23768 in ... */
static void C_ccall f_29008(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,c,2)))){
C_save_and_reclaim((void *)f_29008,2,av);}
a=C_alloc(6);
t2=t1;
t3=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_29016,a[2]=((C_word*)t0)[2],a[3]=t2,a[4]=((C_word*)t0)[3],a[5]=((C_word*)t0)[4],tmp=(C_word)a,a+=6,tmp);
/* library.scm:5877: get/clear-str */
t4=((C_word*)t0)[5];
f_28820(t4,t3);}

/* k29014 in k29006 in k28973 in k28841 in loop in k28832 in k28816 in k28813 in k28810 in k28688 in k28685 in user-read-hook in k28503 in k28443 in k27110 in k27107 in k27104 in k26337 in k26025 in k26021 in k26017 in k23772 in ... */
static void C_ccall f_29016(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,c,2)))){
C_save_and_reclaim((void *)f_29016,2,av);}
a=C_alloc(6);
t2=C_a_i_cons(&a,2,t1,((C_word*)t0)[2]);
t3=C_a_i_cons(&a,2,((C_word*)t0)[3],t2);
/* library.scm:5876: loop */
t4=((C_word*)((C_word*)t0)[4])[1];
f_28839(t4,((C_word*)t0)[5],t3);}

/* k29025 in k28973 in k28841 in loop in k28832 in k28816 in k28813 in k28810 in k28688 in k28685 in user-read-hook in k28503 in k28443 in k27110 in k27107 in k27104 in k26337 in k26025 in k26021 in k26017 in k23772 in k23768 in ... */
static void C_ccall f_29027(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,c,2)))){
C_save_and_reclaim((void *)f_29027,2,av);}
a=C_alloc(6);
t2=t1;
t3=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_29035,a[2]=((C_word*)t0)[2],a[3]=t2,a[4]=((C_word*)t0)[3],a[5]=((C_word*)t0)[4],tmp=(C_word)a,a+=6,tmp);
/* library.scm:5879: get/clear-str */
t4=((C_word*)t0)[5];
f_28820(t4,t3);}

/* k29033 in k29025 in k28973 in k28841 in loop in k28832 in k28816 in k28813 in k28810 in k28688 in k28685 in user-read-hook in k28503 in k28443 in k27110 in k27107 in k27104 in k26337 in k26025 in k26021 in k26017 in k23772 in ... */
static void C_ccall f_29035(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,c,2)))){
C_save_and_reclaim((void *)f_29035,2,av);}
a=C_alloc(6);
t2=C_a_i_cons(&a,2,t1,((C_word*)t0)[2]);
t3=C_a_i_cons(&a,2,((C_word*)t0)[3],t2);
/* library.scm:5878: loop */
t4=((C_word*)((C_word*)t0)[4])[1];
f_28839(t4,((C_word*)t0)[5],t3);}

/* k29040 in k28841 in loop in k28832 in k28816 in k28813 in k28810 in k28688 in k28685 in user-read-hook in k28503 in k28443 in k27110 in k27107 in k27104 in k26337 in k26025 in k26021 in k26017 in k23772 in k23768 in k23764 in ... */
static void C_ccall f_29042(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_29042,2,av);}
/* library.scm:5882: loop */
t2=((C_word*)((C_word*)t0)[2])[1];
f_28839(t2,((C_word*)t0)[3],((C_word*)t0)[4]);}

/* chicken.process-context#change-directory in k28503 in k28443 in k27110 in k27107 in k27104 in k26337 in k26025 in k26021 in k26017 in k23772 in k23768 in k23764 in k20151 in k20147 in k20143 in k20139 in k20135 in k19774 in k19770 in k19766 in k19762 in ... */
static void C_ccall f_29104(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(4,c,3)))){
C_save_and_reclaim((void *)f_29104,3,av);}
a=C_alloc(4);
t3=C_i_check_string_2(t2,lf[1190]);
t4=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_29111,a[2]=t1,a[3]=t2,tmp=(C_word)a,a+=4,tmp);
/* library.scm:5944: ##sys#make-c-string */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[748]);
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[748]+1);
av2[1]=t4;
av2[2]=t2;
av2[3]=lf[1190];
tp(4,av2);}}

/* k29109 in chicken.process-context#change-directory in k28503 in k28443 in k27110 in k27107 in k27104 in k26337 in k26025 in k26021 in k26017 in k23772 in k23768 in k23764 in k20151 in k20147 in k20143 in k20139 in k20135 in k19774 in k19770 in k19766 in ... */
static void C_ccall f_29111(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(8,c,2)))){
C_save_and_reclaim((void *)f_29111,2,av);}
a=C_alloc(8);
t2=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_29114,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],tmp=(C_word)a,a+=4,tmp);
t3=C_chdir(t1);
t4=C_eqp(t3,C_fix(0));
if(C_truep(t4)){
t5=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t5;
av2[1]=((C_word*)t0)[3];
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}
else{
t5=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_29120,a[2]=t2,a[3]=((C_word*)t0)[3],tmp=(C_word)a,a+=4,tmp);
/* library.scm:5946: ##sys#update-errno */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[706]);
C_word *av2=av;
av2[0]=*((C_word*)lf[706]+1);
av2[1]=t5;
tp(2,av2);}}}

/* k29112 in k29109 in chicken.process-context#change-directory in k28503 in k28443 in k27110 in k27107 in k27104 in k26337 in k26025 in k26021 in k26017 in k23772 in k23768 in k23764 in k20151 in k20147 in k20143 in k20139 in k20135 in k19774 in k19770 in ... */
static void C_ccall f_29114(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_29114,2,av);}
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=((C_word*)t0)[3];
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* k29118 in k29109 in chicken.process-context#change-directory in k28503 in k28443 in k27110 in k27107 in k27104 in k26337 in k26025 in k26021 in k26017 in k23772 in k23768 in k23764 in k20151 in k20147 in k20143 in k20139 in k20135 in k19774 in k19770 in ... */
static void C_ccall f_29120(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(10,c,3)))){
C_save_and_reclaim((void *)f_29120,2,av);}
a=C_alloc(10);
t2=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_29127,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],tmp=(C_word)a,a+=4,tmp);
t3=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_29131,a[2]=t2,tmp=(C_word)a,a+=3,tmp);
/* ##sys#peek-c-string */
t4=*((C_word*)lf[705]+1);{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t4;
av2[1]=t3;
av2[2]=C_mpointer(&a,(void*)strerror(errno));
av2[3]=C_fix(0);
((C_proc)(void*)(*((C_word*)t4+1)))(4,av2);}}

/* k29125 in k29118 in k29109 in chicken.process-context#change-directory in k28503 in k28443 in k27110 in k27107 in k27104 in k26337 in k26025 in k26021 in k26017 in k23772 in k23768 in k23764 in k20151 in k20147 in k20143 in k20139 in k20135 in k19774 in ... */
static void C_ccall f_29127(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,5)))){
C_save_and_reclaim((void *)f_29127,2,av);}
/* library.scm:5947: ##sys#signal-hook */
t2=C_fast_retrieve(lf[194]);{
C_word *av2;
if(c >= 6) {
  av2=av;
} else {
  av2=C_alloc(6);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[2];
av2[2]=lf[702];
av2[3]=lf[1190];
av2[4]=t1;
av2[5]=((C_word*)t0)[3];
((C_proc)(void*)(*((C_word*)t2+1)))(6,av2);}}

/* k29129 in k29118 in k29109 in chicken.process-context#change-directory in k28503 in k28443 in k27110 in k27107 in k27104 in k26337 in k26025 in k26021 in k26017 in k23772 in k23768 in k23764 in k20151 in k20147 in k20143 in k20139 in k20135 in k19774 in ... */
static void C_ccall f_29131(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_29131,2,av);}
/* library.scm:5948: scheme#string-append */
t2=*((C_word*)lf[413]+1);{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[2];
av2[2]=lf[1191];
av2[3]=t1;
((C_proc)(void*)(*((C_word*)t2+1)))(4,av2);}}

/* ##sys#change-directory-hook in k28503 in k28443 in k27110 in k27107 in k27104 in k26337 in k26025 in k26021 in k26017 in k23772 in k23768 in k23764 in k20151 in k20147 in k20143 in k20139 in k20135 in k19774 in k19770 in k19766 in k19762 in ... */
static void C_ccall f_29134(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_29134,3,av);}
/* library.scm:5952: change-directory */
t3=C_fast_retrieve(lf[1189]);{
C_word *av2=av;
av2[0]=t3;
av2[1]=t1;
av2[2]=t2;
((C_proc)(void*)(*((C_word*)t3+1)))(3,av2);}}

/* k29140 in k28503 in k28443 in k27110 in k27107 in k27104 in k26337 in k26025 in k26021 in k26017 in k23772 in k23768 in k23764 in k20151 in k20147 in k20143 in k20139 in k20135 in k19774 in k19770 in k19766 in k19762 in ... */
static void C_ccall f_29142(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word t12;
C_word t13;
C_word t14;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(30,c,4)))){
C_save_and_reclaim((void *)f_29142,2,av);}
a=C_alloc(30);
t2=C_mutate((C_word*)lf[1193]+1 /* (set! chicken.process-context#current-directory ...) */,t1);
t3=C_mutate((C_word*)lf[1194]+1 /* (set! chicken.process-context#get-environment-variable ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_29144,a[2]=((C_word)li900),tmp=(C_word)a,a+=3,tmp));
t4=C_mutate((C_word*)lf[1195]+1 /* (set! chicken.process-context#set-environment-variable! ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_29162,a[2]=((C_word)li901),tmp=(C_word)a,a+=3,tmp));
t5=C_mutate((C_word*)lf[1197]+1 /* (set! chicken.process-context#unset-environment-variable! ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_29179,a[2]=((C_word)li902),tmp=(C_word)a,a+=3,tmp));
t6=C_mutate((C_word*)lf[1199]+1 /* (set! chicken.process-context#get-environment-variables ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_29199,a[2]=((C_word)li905),tmp=(C_word)a,a+=3,tmp));
t7=C_mutate((C_word*)lf[1200]+1 /* (set! chicken.process-context#executable-pathname ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_29265,a[2]=((C_word)li906),tmp=(C_word)a,a+=3,tmp));
t8=C_mutate((C_word*)lf[1201]+1 /* (set! chicken.process-context#argc+argv ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_29272,a[2]=((C_word)li907),tmp=(C_word)a,a+=3,tmp));
t9=C_SCHEME_FALSE;
t10=(*a=C_VECTOR_TYPE|1,a[1]=t9,tmp=(C_word)a,a+=2,tmp);
t11=C_mutate((C_word*)lf[1202]+1 /* (set! chicken.process-context#argv ...) */,(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_29284,a[2]=t10,a[3]=((C_word)li909),tmp=(C_word)a,a+=4,tmp));
t12=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_29324,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
t13=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_31042,a[2]=t12,tmp=(C_word)a,a+=3,tmp);
/* library.scm:6029: argv */
t14=C_fast_retrieve(lf[1202]);{
C_word *av2=av;
av2[0]=t14;
av2[1]=t13;
((C_proc)(void*)(*((C_word*)t14+1)))(2,av2);}}

/* chicken.process-context#get-environment-variable in k29140 in k28503 in k28443 in k27110 in k27107 in k27104 in k26337 in k26025 in k26021 in k26017 in k23772 in k23768 in k23764 in k20151 in k20147 in k20143 in k20139 in k20135 in k19774 in k19770 in k19766 in ... */
static void C_ccall f_29144(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(9,c,3)))){
C_save_and_reclaim((void *)f_29144,3,av);}
a=C_alloc(9);
t3=C_a_i_bytevector(&a,1,C_fix(3));
t4=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_29153,a[2]=t3,a[3]=t1,tmp=(C_word)a,a+=4,tmp);
if(C_truep(t2)){
t5=C_i_foreign_string_argumentp(t2);
/* library.scm:5974: ##sys#make-c-string */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[748]);
C_word *av2=av;
av2[0]=*((C_word*)lf[748]+1);
av2[1]=t4;
av2[2]=t5;
tp(3,av2);}}
else{
t5=stub6813(t3,C_SCHEME_FALSE);
/* library.scm:5974: ##sys#peek-c-string */
t6=*((C_word*)lf[705]+1);{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t6;
av2[1]=t1;
av2[2]=t5;
av2[3]=C_fix(0);
((C_proc)(void*)(*((C_word*)t6+1)))(4,av2);}}}

/* k29151 in chicken.process-context#get-environment-variable in k29140 in k28503 in k28443 in k27110 in k27107 in k27104 in k26337 in k26025 in k26021 in k26017 in k23772 in k23768 in k23764 in k20151 in k20147 in k20143 in k20139 in k20135 in k19774 in k19770 in ... */
static void C_ccall f_29153(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_29153,2,av);}
t2=stub6813(((C_word*)t0)[2],t1);
/* library.scm:5974: ##sys#peek-c-string */
t3=*((C_word*)lf[705]+1);{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t3;
av2[1]=((C_word*)t0)[3];
av2[2]=t2;
av2[3]=C_fix(0);
((C_proc)(void*)(*((C_word*)t3+1)))(4,av2);}}

/* chicken.process-context#set-environment-variable! in k29140 in k28503 in k28443 in k27110 in k27107 in k27104 in k26337 in k26025 in k26021 in k26017 in k23772 in k23768 in k23764 in k20151 in k20147 in k20143 in k20139 in k20135 in k19774 in k19770 in k19766 in ... */
static void C_ccall f_29162(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(4,c,3)))){
C_save_and_reclaim((void *)f_29162,4,av);}
a=C_alloc(4);
t4=C_i_check_string_2(t2,lf[1196]);
t5=C_i_check_string_2(t3,lf[1196]);
t6=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_29173,a[2]=t1,a[3]=t3,tmp=(C_word)a,a+=4,tmp);
/* library.scm:5980: ##sys#make-c-string */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[748]);
C_word *av2=av;
av2[0]=*((C_word*)lf[748]+1);
av2[1]=t6;
av2[2]=t2;
av2[3]=lf[1196];
tp(4,av2);}}

/* k29171 in chicken.process-context#set-environment-variable! in k29140 in k28503 in k28443 in k27110 in k27107 in k27104 in k26337 in k26025 in k26021 in k26017 in k23772 in k23768 in k23764 in k20151 in k20147 in k20143 in k20139 in k20135 in k19774 in k19770 in ... */
static void C_ccall f_29173(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,c,3)))){
C_save_and_reclaim((void *)f_29173,2,av);}
a=C_alloc(4);
t2=t1;
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_29177,a[2]=t2,a[3]=((C_word*)t0)[2],tmp=(C_word)a,a+=4,tmp);
/* library.scm:5981: ##sys#make-c-string */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[748]);
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[748]+1);
av2[1]=t3;
av2[2]=((C_word*)t0)[3];
av2[3]=lf[1196];
tp(4,av2);}}

/* k29175 in k29171 in chicken.process-context#set-environment-variable! in k29140 in k28503 in k28443 in k27110 in k27107 in k27104 in k26337 in k26025 in k26021 in k26017 in k23772 in k23768 in k23764 in k20151 in k20147 in k20143 in k20139 in k20135 in k19774 in ... */
static void C_ccall f_29177(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_29177,2,av);}
t2=C_setenv(((C_word*)t0)[2],t1);
t3=((C_word*)t0)[3];{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_SCHEME_UNDEFINED;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* chicken.process-context#unset-environment-variable! in k29140 in k28503 in k28443 in k27110 in k27107 in k27104 in k26337 in k26025 in k26021 in k26017 in k23772 in k23768 in k23764 in k20151 in k20147 in k20143 in k20139 in k20135 in k19774 in k19770 in k19766 in ... */
static void C_ccall f_29179(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(3,c,3)))){
C_save_and_reclaim((void *)f_29179,3,av);}
a=C_alloc(3);
t3=C_i_check_string_2(t2,lf[1198]);
t4=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_29187,a[2]=t1,tmp=(C_word)a,a+=3,tmp);
/* library.scm:5987: ##sys#make-c-string */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[748]);
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[748]+1);
av2[1]=t4;
av2[2]=t2;
av2[3]=lf[1198];
tp(4,av2);}}

/* k29185 in chicken.process-context#unset-environment-variable! in k29140 in k28503 in k28443 in k27110 in k27107 in k27104 in k26337 in k26025 in k26021 in k26017 in k23772 in k23768 in k23764 in k20151 in k20147 in k20143 in k20139 in k20135 in k19774 in k19770 in ... */
static void C_ccall f_29187(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_29187,2,av);}
t2=C_unsetenv(t1);
t3=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_SCHEME_UNDEFINED;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* chicken.process-context#get-environment-variables in k29140 in k28503 in k28443 in k27110 in k27107 in k27104 in k26337 in k26025 in k26021 in k26017 in k23772 in k23768 in k23764 in k20151 in k20147 in k20143 in k20139 in k20135 in k19774 in k19770 in k19766 in ... */
static void C_ccall f_29199(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(c!=2) C_bad_argc_2(c,2,t0);
if(C_unlikely(!C_demand(C_calculate_demand(6,c,3)))){
C_save_and_reclaim((void *)f_29199,2,av);}
a=C_alloc(6);
t2=C_SCHEME_UNDEFINED;
t3=(*a=C_VECTOR_TYPE|1,a[1]=t2,tmp=(C_word)a,a+=2,tmp);
t4=C_set_block_item(t3,0,(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_29205,a[2]=t3,a[3]=((C_word)li904),tmp=(C_word)a,a+=4,tmp));
t5=((C_word*)t3)[1];
f_29205(t5,t1,C_fix(0));}

/* loop in chicken.process-context#get-environment-variables in k29140 in k28503 in k28443 in k27110 in k27107 in k27104 in k26337 in k26025 in k26021 in k26017 in k23772 in k23768 in k23764 in k20151 in k20147 in k20143 in k20139 in k20135 in k19774 in k19770 in ... */
static void C_fcall f_29205(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(10,0,3)))){
C_save_and_reclaim_args((void *)trf_29205,3,t0,t1,t2);}
a=C_alloc(10);
t3=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_29209,a[2]=t2,a[3]=((C_word*)t0)[2],a[4]=t1,tmp=(C_word)a,a+=5,tmp);
t4=t2;
t5=C_a_i_bytevector(&a,1,C_fix(3));
t6=C_i_foreign_fixnum_argumentp(t4);
t7=stub6832(t5,t6);
/* library.scm:5991: ##sys#peek-c-string */
t8=*((C_word*)lf[705]+1);{
C_word av2[4];
av2[0]=t8;
av2[1]=t3;
av2[2]=t7;
av2[3]=C_fix(0);
((C_proc)(void*)(*((C_word*)t8+1)))(4,av2);}}

/* k29207 in loop in chicken.process-context#get-environment-variables in k29140 in k28503 in k28443 in k27110 in k27107 in k27104 in k26337 in k26025 in k26021 in k26017 in k23772 in k23768 in k23764 in k20151 in k20147 in k20143 in k20139 in k20135 in k19774 in ... */
static void C_ccall f_29209(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(9,c,3)))){
C_save_and_reclaim((void *)f_29209,2,av);}
a=C_alloc(9);
t2=t1;
if(C_truep(t2)){
t3=C_SCHEME_UNDEFINED;
t4=(*a=C_VECTOR_TYPE|1,a[1]=t3,tmp=(C_word)a,a+=2,tmp);
t5=C_set_block_item(t4,0,(*a=C_CLOSURE_TYPE|6,a[1]=(C_word)f_29217,a[2]=t2,a[3]=((C_word*)t0)[2],a[4]=((C_word*)t0)[3],a[5]=t4,a[6]=((C_word)li903),tmp=(C_word)a,a+=7,tmp));
t6=((C_word*)t4)[1];
f_29217(t6,((C_word*)t0)[4],C_fix(0));}
else{
t3=((C_word*)t0)[4];{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_SCHEME_END_OF_LIST;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}}

/* scan in k29207 in loop in chicken.process-context#get-environment-variables in k29140 in k28503 in k28443 in k27110 in k27107 in k27104 in k26337 in k26025 in k26021 in k26017 in k23772 in k23768 in k23764 in k20151 in k20147 in k20143 in k20139 in k20135 in ... */
static void C_fcall f_29217(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word *a;
loop:
if(C_unlikely(!C_demand(C_calculate_demand(7,0,4)))){
C_save_and_reclaim_args((void *)trf_29217,3,t0,t1,t2);}
a=C_alloc(7);
t3=C_subchar(((C_word*)t0)[2],t2);
if(C_truep(C_i_char_equalp(C_make_character(61),t3))){
t4=(*a=C_CLOSURE_TYPE|6,a[1]=(C_word)f_29243,a[2]=t1,a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=t2,a[6]=((C_word*)t0)[2],tmp=(C_word)a,a+=7,tmp);
/* library.scm:5998: ##sys#substring */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[395]+1));
C_word av2[5];
av2[0]=*((C_word*)lf[395]+1);
av2[1]=t4;
av2[2]=((C_word*)t0)[2];
av2[3]=C_fix(0);
av2[4]=t2;
tp(5,av2);}}
else{
t4=C_fixnum_plus(t2,C_fix(1));
/* library.scm:6001: scan */
t6=t1;
t7=t4;
t1=t6;
t2=t7;
goto loop;}}

/* k29233 in k29245 in k29241 in scan in k29207 in loop in chicken.process-context#get-environment-variables in k29140 in k28503 in k28443 in k27110 in k27107 in k27104 in k26337 in k26025 in k26021 in k26017 in k23772 in k23768 in k23764 in k20151 in k20147 in ... */
static void C_ccall f_29235(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,1)))){
C_save_and_reclaim((void *)f_29235,2,av);}
a=C_alloc(3);
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=C_a_i_cons(&a,2,((C_word*)t0)[3],t1);
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* k29241 in scan in k29207 in loop in chicken.process-context#get-environment-variables in k29140 in k28503 in k28443 in k27110 in k27107 in k27104 in k26337 in k26025 in k26021 in k26017 in k23772 in k23768 in k23764 in k20151 in k20147 in k20143 in k20139 in ... */
static void C_ccall f_29243(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,c,4)))){
C_save_and_reclaim((void *)f_29243,2,av);}
a=C_alloc(6);
t2=t1;
t3=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_29247,a[2]=t2,a[3]=((C_word*)t0)[2],a[4]=((C_word*)t0)[3],a[5]=((C_word*)t0)[4],tmp=(C_word)a,a+=6,tmp);
t4=C_fixnum_plus(((C_word*)t0)[5],C_fix(1));
t5=C_block_size(((C_word*)t0)[6]);
/* library.scm:5999: ##sys#substring */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[395]+1));
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=*((C_word*)lf[395]+1);
av2[1]=t3;
av2[2]=((C_word*)t0)[6];
av2[3]=t4;
av2[4]=t5;
tp(5,av2);}}

/* k29245 in k29241 in scan in k29207 in loop in chicken.process-context#get-environment-variables in k29140 in k28503 in k28443 in k27110 in k27107 in k27104 in k26337 in k26025 in k26021 in k26017 in k23772 in k23768 in k23764 in k20151 in k20147 in k20143 in ... */
static void C_ccall f_29247(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(7,c,2)))){
C_save_and_reclaim((void *)f_29247,2,av);}
a=C_alloc(7);
t2=C_a_i_cons(&a,2,((C_word*)t0)[2],t1);
t3=t2;
t4=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_29235,a[2]=((C_word*)t0)[3],a[3]=t3,tmp=(C_word)a,a+=4,tmp);
t5=C_fixnum_plus(((C_word*)t0)[4],C_fix(1));
/* library.scm:6000: loop */
t6=((C_word*)((C_word*)t0)[5])[1];
f_29205(t6,t4,t5);}

/* chicken.process-context#executable-pathname in k29140 in k28503 in k28443 in k27110 in k27107 in k27104 in k26337 in k26025 in k26021 in k26017 in k23772 in k23768 in k23764 in k20151 in k20147 in k20143 in k20139 in k20135 in k19774 in k19770 in k19766 in ... */
static void C_ccall f_29265(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(c!=2) C_bad_argc_2(c,2,t0);
if(C_unlikely(!C_demand(C_calculate_demand(5,c,3)))){
C_save_and_reclaim((void *)f_29265,2,av);}
a=C_alloc(5);
t2=C_a_i_bytevector(&a,1,C_fix(3));
t3=stub6844(t2);
/* library.scm:6011: ##sys#peek-and-free-c-string */
t4=*((C_word*)lf[1138]+1);{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t4;
av2[1]=t1;
av2[2]=t3;
av2[3]=C_fix(0);
((C_proc)(void*)(*((C_word*)t4+1)))(4,av2);}}

/* chicken.process-context#argc+argv in k29140 in k28503 in k28443 in k27110 in k27107 in k27104 in k26337 in k26025 in k26021 in k26017 in k23772 in k23768 in k23764 in k20151 in k20147 in k20143 in k20139 in k20135 in k19774 in k19770 in k19766 in ... */
static void C_ccall f_29272(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(c!=2) C_bad_argc_2(c,2,t0);
if(C_unlikely(!C_demand(C_calculate_demand(3,c,3)))){
C_save_and_reclaim((void *)f_29272,2,av);}
a=C_alloc(3);
/* library.scm:6014: ##sys#values */{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=0;
av2[1]=t1;
av2[2]=C_fix((C_word)C_main_argc);
av2[3]=C_mpointer_or_false(&a,(void*)C_main_argv);
C_values(4,av2);}}

/* chicken.process-context#argv in k29140 in k28503 in k28443 in k27110 in k27107 in k27104 in k26337 in k26025 in k26021 in k26017 in k23772 in k23768 in k23764 in k20151 in k20147 in k20143 in k20139 in k20135 in k19774 in k19770 in k19766 in ... */
static void C_ccall f_29284(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word *a;
if(c!=2) C_bad_argc_2(c,2,t0);
if(C_unlikely(!C_demand(C_calculate_demand(10,c,4)))){
C_save_and_reclaim((void *)f_29284,2,av);}
a=C_alloc(10);
if(C_truep(((C_word*)((C_word*)t0)[2])[1])){
t2=t1;{
C_word *av2=av;
av2[0]=t2;
av2[1]=((C_word*)((C_word*)t0)[2])[1];
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}
else{
t2=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_29292,a[2]=((C_word*)t0)[2],a[3]=t1,tmp=(C_word)a,a+=4,tmp);
t3=C_fixnum_difference(C_fix((C_word)C_main_argc),C_fix(1));
t4=C_SCHEME_UNDEFINED;
t5=(*a=C_VECTOR_TYPE|1,a[1]=t4,tmp=(C_word)a,a+=2,tmp);
t6=C_set_block_item(t5,0,(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_29298,a[2]=t5,a[3]=((C_word)li908),tmp=(C_word)a,a+=4,tmp));
t7=((C_word*)t5)[1];
f_29298(t7,t2,t3,C_SCHEME_END_OF_LIST);}}

/* k29290 in chicken.process-context#argv in k29140 in k28503 in k28443 in k27110 in k27107 in k27104 in k26337 in k26025 in k26021 in k26017 in k23772 in k23768 in k23764 in k20151 in k20147 in k20143 in k20139 in k20135 in k19774 in k19770 in ... */
static void C_ccall f_29292(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_29292,2,av);}
t2=C_mutate(((C_word *)((C_word*)t0)[2])+1,t1);
t3=((C_word*)t0)[3];{
C_word *av2=av;
av2[0]=t3;
av2[1]=((C_word*)((C_word*)t0)[2])[1];
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* doloop6856 in chicken.process-context#argv in k29140 in k28503 in k28443 in k27110 in k27107 in k27104 in k26337 in k26025 in k26021 in k26017 in k23772 in k23768 in k23764 in k20151 in k20147 in k20143 in k20139 in k20135 in k19774 in k19770 in ... */
static void C_fcall f_29298(C_word t0,C_word t1,C_word t2,C_word t3){
C_word tmp;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(11,0,3)))){
C_save_and_reclaim_args((void *)trf_29298,4,t0,t1,t2,t3);}
a=C_alloc(11);
if(C_truep(C_fixnum_lessp(t2,C_fix(0)))){
t4=t3;
t5=t1;{
C_word av2[2];
av2[0]=t5;
av2[1]=t4;
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}
else{
t4=C_fixnum_difference(t2,C_fix(1));
t5=t4;
t6=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_29320,a[2]=t3,a[3]=((C_word*)t0)[2],a[4]=t1,a[5]=t5,tmp=(C_word)a,a+=6,tmp);
t7=t2;
t8=C_a_i_bytevector(&a,1,C_fix(3));
t9=stub6852(t8,t7);
/* library.scm:6018: ##sys#peek-c-string */
t10=*((C_word*)lf[705]+1);{
C_word av2[4];
av2[0]=t10;
av2[1]=t6;
av2[2]=t9;
av2[3]=C_fix(0);
((C_proc)(void*)(*((C_word*)t10+1)))(4,av2);}}}

/* k29318 in doloop6856 in chicken.process-context#argv in k29140 in k28503 in k28443 in k27110 in k27107 in k27104 in k26337 in k26025 in k26021 in k26017 in k23772 in k23768 in k23764 in k20151 in k20147 in k20143 in k20139 in k20135 in k19774 in ... */
static void C_ccall f_29320(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,3)))){
C_save_and_reclaim((void *)f_29320,2,av);}
a=C_alloc(3);
t2=C_a_i_cons(&a,2,t1,((C_word*)t0)[2]);
t3=((C_word*)((C_word*)t0)[3])[1];
f_29298(t3,((C_word*)t0)[4],((C_word*)t0)[5],t2);}

/* k29322 in k29140 in k28503 in k28443 in k27110 in k27107 in k27104 in k26337 in k26025 in k26021 in k26017 in k23772 in k23768 in k23764 in k20151 in k20147 in k20143 in k20139 in k20135 in k19774 in k19770 in k19766 in ... */
static void C_ccall f_29324(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,c,2)))){
C_save_and_reclaim((void *)f_29324,2,av);}
a=C_alloc(6);
t2=C_mutate((C_word*)lf[1203]+1 /* (set! chicken.process-context#program-name ...) */,t1);
t3=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_29328,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
t4=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_30954,a[2]=t3,tmp=(C_word)a,a+=3,tmp);
/* library.scm:6038: argv */
t5=C_fast_retrieve(lf[1202]);{
C_word *av2=av;
av2[0]=t5;
av2[1]=t4;
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}

/* k29326 in k29322 in k29140 in k28503 in k28443 in k27110 in k27107 in k27104 in k26337 in k26025 in k26021 in k26017 in k23772 in k23768 in k23764 in k20151 in k20147 in k20143 in k20139 in k20135 in k19774 in k19770 in ... */
static void C_ccall f_29328(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(20,c,3)))){
C_save_and_reclaim((void *)f_29328,2,av);}
a=C_alloc(20);
t2=C_mutate((C_word*)lf[1204]+1 /* (set! chicken.process-context#command-line-arguments ...) */,t1);
t3=C_a_i_provide(&a,1,lf[1205]);
t4=C_mutate((C_word*)lf[1206]+1 /* (set! chicken.gc#current-gc-milliseconds ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_29330,a[2]=((C_word)li910),tmp=(C_word)a,a+=3,tmp));
t5=C_mutate((C_word*)lf[1207]+1 /* (set! chicken.gc#set-gc-report! ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_29333,a[2]=((C_word)li911),tmp=(C_word)a,a+=3,tmp));
t6=C_mutate((C_word*)lf[1208]+1 /* (set! chicken.gc#memory-statistics ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_29336,a[2]=((C_word)li912),tmp=(C_word)a,a+=3,tmp));
t7=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_29361,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
t8=C_fixnum_times(C_fix(2),C_fix((C_word)C_max_pending_finalizers));
t9=C_fixnum_plus(t8,C_fix(1));
/* library.scm:6086: ##sys#make-vector */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[674]+1));
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[674]+1);
av2[1]=t7;
av2[2]=t9;
av2[3]=C_SCHEME_UNDEFINED;
tp(4,av2);}}

/* chicken.gc#current-gc-milliseconds in k29326 in k29322 in k29140 in k28503 in k28443 in k27110 in k27107 in k27104 in k26337 in k26025 in k26021 in k26017 in k23772 in k23768 in k23764 in k20151 in k20147 in k20143 in k20139 in k20135 in k19774 in ... */
static void C_ccall f_29330(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(c!=2) C_bad_argc_2(c,2,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_29330,2,av);}
t2=t1;{
C_word *av2=av;
av2[0]=t2;
av2[1]=C_i_accumulated_gc_time();
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* chicken.gc#set-gc-report! in k29326 in k29322 in k29140 in k28503 in k28443 in k27110 in k27107 in k27104 in k26337 in k26025 in k26021 in k26017 in k23772 in k23768 in k23764 in k20151 in k20147 in k20143 in k20139 in k20135 in k19774 in ... */
static void C_ccall f_29333(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_29333,3,av);}
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_set_gc_report(t2);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* chicken.gc#memory-statistics in k29326 in k29322 in k29140 in k28503 in k28443 in k27110 in k27107 in k27104 in k26337 in k26025 in k26021 in k26017 in k23772 in k23768 in k23764 in k20151 in k20147 in k20143 in k20139 in k20135 in k19774 in ... */
static void C_ccall f_29336(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(c!=2) C_bad_argc_2(c,2,t0);
if(C_unlikely(!C_demand(C_calculate_demand(3,c,2)))){
C_save_and_reclaim((void *)f_29336,2,av);}
a=C_alloc(3);
t2=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_29340,a[2]=t1,tmp=(C_word)a,a+=3,tmp);
/* library.scm:6076: ##sys#gc */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[313]+1));
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[313]+1);
av2[1]=t2;
av2[2]=C_SCHEME_TRUE;
tp(3,av2);}}

/* k29338 in chicken.gc#memory-statistics in k29326 in k29322 in k29140 in k28503 in k28443 in k27110 in k27107 in k27104 in k26337 in k26025 in k26021 in k26017 in k23772 in k23768 in k23764 in k20151 in k20147 in k20143 in k20139 in k20135 in ... */
static void C_ccall f_29340(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,c,2)))){
C_save_and_reclaim((void *)f_29340,2,av);}
a=C_alloc(4);
t2=t1;
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_29343,a[2]=t2,a[3]=((C_word*)t0)[2],tmp=(C_word)a,a+=4,tmp);
/* library.scm:6077: ##sys#memory-info */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[320]+1));
C_word *av2=av;
av2[0]=*((C_word*)lf[320]+1);
av2[1]=t3;
tp(2,av2);}}

/* k29341 in k29338 in chicken.gc#memory-statistics in k29326 in k29322 in k29140 in k28503 in k28443 in k27110 in k27107 in k27104 in k26337 in k26025 in k26021 in k26017 in k23772 in k23768 in k23764 in k20151 in k20147 in k20143 in k20139 in ... */
static void C_ccall f_29343(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,c,1)))){
C_save_and_reclaim((void *)f_29343,2,av);}
a=C_alloc(4);
t2=C_slot(t1,C_fix(0));
t3=C_fixnum_difference(t2,((C_word*)t0)[2]);
t4=C_slot(t1,C_fix(1));
t5=((C_word*)t0)[3];{
C_word *av2=av;
av2[0]=t5;
av2[1]=C_a_i_vector3(&a,3,t2,t3,t4);
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}

/* k29359 in k29326 in k29322 in k29140 in k28503 in k28443 in k27110 in k27107 in k27104 in k26337 in k26025 in k26021 in k26017 in k23772 in k23768 in k23764 in k20151 in k20147 in k20143 in k20139 in k20135 in k19774 in ... */
static void C_ccall f_29361(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(15,c,4)))){
C_save_and_reclaim((void *)f_29361,2,av);}
a=C_alloc(15);
t2=C_mutate((C_word*)lf[1175]+1 /* (set! ##sys#pending-finalizers ...) */,t1);
t3=C_i_set_i_slot(C_fast_retrieve(lf[1175]),C_fix(0),C_fix(0));
t4=C_mutate((C_word*)lf[1209]+1 /* (set! ##sys#set-finalizer! ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)C_register_finalizer,a[2]=((C_word)li913),tmp=(C_word)a,a+=3,tmp));
t5=C_mutate((C_word*)lf[1210]+1 /* (set! chicken.gc#set-finalizer! ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_29367,a[2]=((C_word)li914),tmp=(C_word)a,a+=3,tmp));
t6=C_SCHEME_FALSE;
t7=(*a=C_VECTOR_TYPE|1,a[1]=t6,tmp=(C_word)a,a+=2,tmp);
t8=C_mutate((C_word*)lf[1176]+1 /* (set! ##sys#run-pending-finalizers ...) */,(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_29432,a[2]=t7,a[3]=((C_word)li923),tmp=(C_word)a,a+=4,tmp));
t9=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_29581,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
/* library.scm:6155: chicken.base#make-parameter */
t10=*((C_word*)lf[201]+1);{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t10;
av2[1]=t9;
av2[2]=C_SCHEME_TRUE;
((C_proc)(void*)(*((C_word*)t10+1)))(3,av2);}}

/* chicken.gc#set-finalizer! in k29359 in k29326 in k29322 in k29140 in k28503 in k28443 in k27110 in k27107 in k27104 in k26337 in k26025 in k26021 in k26017 in k23772 in k23768 in k23764 in k20151 in k20147 in k20143 in k20139 in k20135 in ... */
static void C_ccall f_29367(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(11,c,4)))){
C_save_and_reclaim((void *)f_29367,4,av);}
a=C_alloc(11);
t4=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_29371,a[2]=t1,a[3]=t2,a[4]=t3,tmp=(C_word)a,a+=5,tmp);
t5=C_i_live_finalizer_count();
if(C_truep(C_fixnum_greater_or_equal_p(t5,C_fix((C_word)C_max_pending_finalizers)))){
t6=C_fixnum_times(C_fix(2),C_fix((C_word)C_max_pending_finalizers));
if(C_truep(C_resize_pending_finalizers(t6))){
t7=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_29388,a[2]=t4,a[3]=t1,a[4]=t2,a[5]=t3,tmp=(C_word)a,a+=6,tmp);
t8=C_fixnum_times(C_fix(2),C_fix((C_word)C_max_pending_finalizers));
t9=C_fixnum_plus(t8,C_fix(1));
/* library.scm:6098: ##sys#vector-resize */
f_17976(t7,C_fast_retrieve(lf[1175]),t9,C_SCHEME_UNDEFINED);}
else{
t7=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_29418,a[2]=t4,tmp=(C_word)a,a+=3,tmp);
if(C_truep(C_i_debug_modep())){
t8=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_29428,a[2]=t7,tmp=(C_word)a,a+=3,tmp);
t9=C_i_live_finalizer_count();
/* library.scm:6114: string-append */
t10=*((C_word*)lf[413]+1);{
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=t10;
av2[1]=t8;
av2[2]=lf[1214];
av2[3]=t9;
av2[4]=lf[1215];
((C_proc)(void*)(*((C_word*)t10+1)))(5,av2);}}
else{
/* library.scm:6119: ##sys#force-finalizers */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[959]);
C_word *av2=av;
av2[0]=*((C_word*)lf[959]+1);
av2[1]=t4;
tp(2,av2);}}}}
else{
/* library.scm:6120: ##sys#set-finalizer! */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[1209]);
C_word *av2=av;
av2[0]=*((C_word*)lf[1209]+1);
av2[1]=t1;
av2[2]=t2;
av2[3]=t3;
tp(4,av2);}}}

/* k29369 in chicken.gc#set-finalizer! in k29359 in k29326 in k29322 in k29140 in k28503 in k28443 in k27110 in k27107 in k27104 in k26337 in k26025 in k26021 in k26017 in k23772 in k23768 in k23764 in k20151 in k20147 in k20143 in k20139 in ... */
static void C_ccall f_29371(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_29371,2,av);}
/* library.scm:6120: ##sys#set-finalizer! */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[1209]);
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[1209]+1);
av2[1]=((C_word*)t0)[2];
av2[2]=((C_word*)t0)[3];
av2[3]=((C_word*)t0)[4];
tp(4,av2);}}

/* k29386 in chicken.gc#set-finalizer! in k29359 in k29326 in k29322 in k29140 in k28503 in k28443 in k27110 in k27107 in k27104 in k26337 in k26025 in k26021 in k26017 in k23772 in k23768 in k23764 in k20151 in k20147 in k20143 in k20139 in ... */
static void C_ccall f_29388(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,c,3)))){
C_save_and_reclaim((void *)f_29388,2,av);}
a=C_alloc(6);
t2=C_mutate((C_word*)lf[1175]+1 /* (set! ##sys#pending-finalizers ...) */,t1);
if(C_truep(C_i_debug_modep())){
t3=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_29398,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
t4=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_29402,a[2]=t3,tmp=(C_word)a,a+=3,tmp);
t5=C_i_live_finalizer_count();
/* library.scm:6105: ##sys#number->string */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[600]+1));
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[600]+1);
av2[1]=t4;
av2[2]=t5;
tp(3,av2);}}
else{
/* library.scm:6120: ##sys#set-finalizer! */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[1209]);
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[1209]+1);
av2[1]=((C_word*)t0)[3];
av2[2]=((C_word*)t0)[4];
av2[3]=((C_word*)t0)[5];
tp(4,av2);}}}

/* k29396 in k29386 in chicken.gc#set-finalizer! in k29359 in k29326 in k29322 in k29140 in k28503 in k28443 in k27110 in k27107 in k27104 in k26337 in k26025 in k26021 in k26017 in k23772 in k23768 in k23764 in k20151 in k20147 in k20143 in ... */
static void C_ccall f_29398(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,4)))){
C_save_and_reclaim((void *)f_29398,2,av);}
/* library.scm:6102: ##sys#print */
t2=*((C_word*)lf[871]+1);{
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[2];
av2[2]=t1;
av2[3]=C_SCHEME_FALSE;
av2[4]=*((C_word*)lf[718]+1);
((C_proc)(void*)(*((C_word*)t2+1)))(5,av2);}}

/* k29400 in k29386 in chicken.gc#set-finalizer! in k29359 in k29326 in k29322 in k29140 in k28503 in k28443 in k27110 in k27107 in k27104 in k26337 in k26025 in k26021 in k26017 in k23772 in k23768 in k23764 in k20151 in k20147 in k20143 in ... */
static void C_ccall f_29402(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,c,2)))){
C_save_and_reclaim((void *)f_29402,2,av);}
a=C_alloc(4);
t2=t1;
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_29406,a[2]=((C_word*)t0)[2],a[3]=t2,tmp=(C_word)a,a+=4,tmp);
/* library.scm:6108: ##sys#number->string */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[600]+1));
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[600]+1);
av2[1]=t3;
av2[2]=C_fix((C_word)C_max_pending_finalizers);
tp(3,av2);}}

/* k29404 in k29400 in k29386 in chicken.gc#set-finalizer! in k29359 in k29326 in k29322 in k29140 in k28503 in k28443 in k27110 in k27107 in k27104 in k26337 in k26025 in k26021 in k26017 in k23772 in k23768 in k23764 in k20151 in k20147 in ... */
static void C_ccall f_29406(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,6)))){
C_save_and_reclaim((void *)f_29406,2,av);}
/* library.scm:6103: string-append */
t2=*((C_word*)lf[413]+1);{
C_word *av2;
if(c >= 7) {
  av2=av;
} else {
  av2=C_alloc(7);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[2];
av2[2]=lf[1211];
av2[3]=((C_word*)t0)[3];
av2[4]=lf[1212];
av2[5]=t1;
av2[6]=lf[1213];
((C_proc)(void*)(*((C_word*)t2+1)))(7,av2);}}

/* k29416 in chicken.gc#set-finalizer! in k29359 in k29326 in k29322 in k29140 in k28503 in k28443 in k27110 in k27107 in k27104 in k26337 in k26025 in k26021 in k26017 in k23772 in k23768 in k23764 in k20151 in k20147 in k20143 in k20139 in ... */
static void C_ccall f_29418(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_29418,2,av);}
/* library.scm:6119: ##sys#force-finalizers */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[959]);
C_word *av2=av;
av2[0]=*((C_word*)lf[959]+1);
av2[1]=((C_word*)t0)[2];
tp(2,av2);}}

/* k29426 in chicken.gc#set-finalizer! in k29359 in k29326 in k29322 in k29140 in k28503 in k28443 in k27110 in k27107 in k27104 in k26337 in k26025 in k26021 in k26017 in k23772 in k23768 in k23764 in k20151 in k20147 in k20143 in k20139 in ... */
static void C_ccall f_29428(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,4)))){
C_save_and_reclaim((void *)f_29428,2,av);}
/* library.scm:6113: ##sys#print */
t2=*((C_word*)lf[871]+1);{
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[2];
av2[2]=t1;
av2[3]=C_SCHEME_FALSE;
av2[4]=*((C_word*)lf[718]+1);
((C_proc)(void*)(*((C_word*)t2+1)))(5,av2);}}

/* ##sys#run-pending-finalizers in k29359 in k29326 in k29322 in k29140 in k28503 in k28443 in k27110 in k27107 in k27104 in k26337 in k26025 in k26021 in k26017 in k23772 in k23768 in k23764 in k20151 in k20147 in k20143 in k20139 in k20135 in ... */
static void C_ccall f_29432(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(15,c,2)))){
C_save_and_reclaim((void *)f_29432,3,av);}
a=C_alloc(15);
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_29436,a[2]=t2,a[3]=t1,tmp=(C_word)a,a+=4,tmp);
if(C_truep(((C_word*)((C_word*)t0)[2])[1])){
t4=t3;
f_29436(t4,C_SCHEME_UNDEFINED);}
else{
t4=C_set_block_item(((C_word*)t0)[2],0,C_SCHEME_TRUE);
t5=C_slot(C_fast_retrieve(lf[1175]),C_fix(0));
t6=t5;
t7=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_29464,a[2]=((C_word*)t0)[2],a[3]=t3,a[4]=t6,tmp=(C_word)a,a+=5,tmp);
if(C_truep(C_i_debug_modep())){
t8=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_29563,a[2]=t7,tmp=(C_word)a,a+=3,tmp);
t9=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_29567,a[2]=t8,tmp=(C_word)a,a+=3,tmp);
/* library.scm:6132: ##sys#number->string */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[600]+1));
C_word *av2=av;
av2[0]=*((C_word*)lf[600]+1);
av2[1]=t9;
av2[2]=t6;
tp(3,av2);}}
else{
t8=t7;{
C_word *av2=av;
av2[0]=t8;
av2[1]=C_SCHEME_UNDEFINED;
f_29464(2,av2);}}}}

/* k29434 in run-pending-finalizers in k29359 in k29326 in k29322 in k29140 in k28503 in k28443 in k27110 in k27107 in k27104 in k26337 in k26025 in k26021 in k26017 in k23772 in k23768 in k23764 in k20151 in k20147 in k20143 in k20139 in ... */
static void C_fcall f_29436(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,0,2)))){
C_save_and_reclaim_args((void *)trf_29436,2,t0,t1);}
t2=C_i_not(((C_word*)t0)[2]);
if(C_truep(t2)){
t3=((C_word*)t0)[3];{
C_word av2[2];
av2[0]=t3;
av2[1]=t2;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}
else{
if(C_truep(C_i_closurep(((C_word*)t0)[2]))){
/* library.scm:6152: state */
t3=((C_word*)t0)[2];{
C_word av2[2];
av2[0]=t3;
av2[1]=((C_word*)t0)[3];
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}
else{
if(C_truep(((C_word*)t0)[2])){
/* library.scm:6153: ##sys#context-switch */{
C_word av2[3];
av2[0]=0;
av2[1]=((C_word*)t0)[3];
av2[2]=((C_word*)t0)[2];
C_context_switch(3,av2);}}
else{
t3=C_SCHEME_UNDEFINED;
t4=((C_word*)t0)[3];{
C_word av2[2];
av2[0]=t4;
av2[1]=t3;
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}}}}

/* k29462 in run-pending-finalizers in k29359 in k29326 in k29322 in k29140 in k28503 in k28443 in k27110 in k27107 in k27104 in k26337 in k26025 in k26021 in k26017 in k23772 in k23768 in k23764 in k20151 in k20147 in k20143 in k20139 in ... */
static void C_ccall f_29464(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(11,c,3)))){
C_save_and_reclaim((void *)f_29464,2,av);}
a=C_alloc(11);
t2=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_29467,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],tmp=(C_word)a,a+=4,tmp);
t3=C_SCHEME_UNDEFINED;
t4=(*a=C_VECTOR_TYPE|1,a[1]=t3,tmp=(C_word)a,a+=2,tmp);
t5=C_set_block_item(t4,0,(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_29476,a[2]=((C_word*)t0)[4],a[3]=t4,a[4]=((C_word)li922),tmp=(C_word)a,a+=5,tmp));
t6=((C_word*)t4)[1];
f_29476(t6,t2,C_fix(0));}

/* k29465 in k29462 in run-pending-finalizers in k29359 in k29326 in k29322 in k29140 in k28503 in k28443 in k27110 in k27107 in k27104 in k26337 in k26025 in k26021 in k26017 in k23772 in k23768 in k23764 in k20151 in k20147 in k20143 in ... */
static void C_ccall f_29467(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,c,3)))){
C_save_and_reclaim((void *)f_29467,2,av);}
a=C_alloc(4);
t2=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_29470,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],tmp=(C_word)a,a+=4,tmp);
/* library.scm:6148: vector-fill! */
t3=*((C_word*)lf[97]+1);{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t3;
av2[1]=t2;
av2[2]=C_fast_retrieve(lf[1175]);
av2[3]=C_SCHEME_UNDEFINED;
((C_proc)(void*)(*((C_word*)t3+1)))(4,av2);}}

/* k29468 in k29465 in k29462 in run-pending-finalizers in k29359 in k29326 in k29322 in k29140 in k28503 in k28443 in k27110 in k27107 in k27104 in k26337 in k26025 in k26021 in k26017 in k23772 in k23768 in k23764 in k20151 in k20147 in ... */
static void C_ccall f_29470(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_29470,2,av);}
t2=C_i_set_i_slot(C_fast_retrieve(lf[1175]),C_fix(0),C_fix(0));
t3=C_set_block_item(((C_word*)t0)[2],0,C_SCHEME_FALSE);
t4=((C_word*)t0)[3];
f_29436(t4,t3);}

/* doloop6931 in k29462 in run-pending-finalizers in k29359 in k29326 in k29322 in k29140 in k28503 in k28443 in k27110 in k27107 in k27104 in k26337 in k26025 in k26021 in k26017 in k23772 in k23768 in k23764 in k20151 in k20147 in k20143 in ... */
static void C_fcall f_29476(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(9,0,3)))){
C_save_and_reclaim_args((void *)trf_29476,3,t0,t1,t2);}
a=C_alloc(9);
if(C_truep(C_fixnum_greater_or_equal_p(t2,((C_word*)t0)[2]))){
t3=C_SCHEME_UNDEFINED;
t4=t1;{
C_word av2[2];
av2[0]=t4;
av2[1]=t3;
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}
else{
t3=C_fixnum_times(t2,C_fix(2));
t4=C_fixnum_plus(C_fix(1),t3);
t5=t4;
t6=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_29489,a[2]=t2,a[3]=((C_word*)t0)[3],a[4]=t1,tmp=(C_word)a,a+=5,tmp);
t7=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_29501,a[2]=t5,a[3]=((C_word)li921),tmp=(C_word)a,a+=4,tmp);
/* library.scm:6144: scheme#call-with-current-continuation */
t8=*((C_word*)lf[132]+1);{
C_word av2[3];
av2[0]=t8;
av2[1]=t6;
av2[2]=t7;
((C_proc)(void*)(*((C_word*)t8+1)))(3,av2);}}}

/* k29487 in doloop6931 in k29462 in run-pending-finalizers in k29359 in k29326 in k29322 in k29140 in k28503 in k28443 in k27110 in k27107 in k27104 in k26337 in k26025 in k26021 in k26017 in k23772 in k23768 in k23764 in k20151 in k20147 in ... */
static void C_ccall f_29489(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,c,2)))){
C_save_and_reclaim((void *)f_29489,2,av);}
a=C_alloc(5);
t2=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_29492,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],tmp=(C_word)a,a+=5,tmp);
/* library.scm:6143: g6938 */
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=t2;
((C_proc)C_fast_retrieve_proc(t3))(2,av2);}}

/* k29490 in k29487 in doloop6931 in k29462 in run-pending-finalizers in k29359 in k29326 in k29322 in k29140 in k28503 in k28443 in k27110 in k27107 in k27104 in k26337 in k26025 in k26021 in k26017 in k23772 in k23768 in k23764 in k20151 in ... */
static void C_ccall f_29492(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_29492,2,av);}
t2=C_fixnum_plus(((C_word*)t0)[2],C_fix(1));
t3=((C_word*)((C_word*)t0)[3])[1];
f_29476(t3,((C_word*)t0)[4],t2);}

/* a29500 in doloop6931 in k29462 in run-pending-finalizers in k29359 in k29326 in k29322 in k29140 in k28503 in k28443 in k27110 in k27107 in k27104 in k26337 in k26025 in k26021 in k26017 in k23772 in k23768 in k23764 in k20151 in k20147 in ... */
static void C_ccall f_29501(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(9,c,3)))){
C_save_and_reclaim((void *)f_29501,3,av);}
a=C_alloc(9);
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_29507,a[2]=t2,a[3]=((C_word)li916),tmp=(C_word)a,a+=4,tmp);
t4=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_29519,a[2]=((C_word*)t0)[2],a[3]=t2,a[4]=((C_word)li920),tmp=(C_word)a,a+=5,tmp);
/* library.scm:6144: chicken.condition#with-exception-handler */
t5=C_fast_retrieve(lf[917]);{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t5;
av2[1]=t1;
av2[2]=t3;
av2[3]=t4;
((C_proc)(void*)(*((C_word*)t5+1)))(4,av2);}}

/* a29506 in a29500 in doloop6931 in k29462 in run-pending-finalizers in k29359 in k29326 in k29322 in k29140 in k28503 in k28443 in k27110 in k27107 in k27104 in k26337 in k26025 in k26021 in k26017 in k23772 in k23768 in k23764 in k20151 in ... */
static void C_ccall f_29507(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(4,c,2)))){
C_save_and_reclaim((void *)f_29507,3,av);}
a=C_alloc(4);
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_29513,a[2]=t2,a[3]=((C_word)li915),tmp=(C_word)a,a+=4,tmp);
/* library.scm:6144: k6935 */
t4=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t4;
av2[1]=t1;
av2[2]=t3;
((C_proc)C_fast_retrieve_proc(t4))(3,av2);}}

/* a29512 in a29506 in a29500 in doloop6931 in k29462 in run-pending-finalizers in k29359 in k29326 in k29322 in k29140 in k28503 in k28443 in k27110 in k27107 in k27104 in k26337 in k26025 in k26021 in k26017 in k23772 in k23768 in k23764 in ... */
static void C_ccall f_29513(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(c!=2) C_bad_argc_2(c,2,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,4)))){
C_save_and_reclaim((void *)f_29513,2,av);}
/* library.scm:6145: ##sys#show-exception-warning */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[1054]);
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=*((C_word*)lf[1054]+1);
av2[1]=t1;
av2[2]=((C_word*)t0)[2];
av2[3]=lf[1216];
av2[4]=C_SCHEME_FALSE;
tp(5,av2);}}

/* a29518 in a29500 in doloop6931 in k29462 in run-pending-finalizers in k29359 in k29326 in k29322 in k29140 in k28503 in k28443 in k27110 in k27107 in k27104 in k26337 in k26025 in k26021 in k26017 in k23772 in k23768 in k23764 in k20151 in ... */
static void C_ccall f_29519(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(c!=2) C_bad_argc_2(c,2,t0);
if(C_unlikely(!C_demand(C_calculate_demand(8,c,3)))){
C_save_and_reclaim((void *)f_29519,2,av);}
a=C_alloc(8);
t2=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_29525,a[2]=((C_word*)t0)[2],a[3]=((C_word)li917),tmp=(C_word)a,a+=4,tmp);
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_29542,a[2]=((C_word*)t0)[3],a[3]=((C_word)li919),tmp=(C_word)a,a+=4,tmp);
/* library.scm:6144: ##sys#call-with-values */{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=0;
av2[1]=t1;
av2[2]=t2;
av2[3]=t3;
C_call_with_values(4,av2);}}

/* a29524 in a29518 in a29500 in doloop6931 in k29462 in run-pending-finalizers in k29359 in k29326 in k29322 in k29140 in k28503 in k28443 in k27110 in k27107 in k27104 in k26337 in k26025 in k26021 in k26017 in k23772 in k23768 in k23764 in ... */
static void C_ccall f_29525(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(c!=2) C_bad_argc_2(c,2,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_29525,2,av);}
t2=C_fixnum_plus(((C_word*)t0)[2],C_fix(1));
t3=C_slot(C_fast_retrieve(lf[1175]),t2);
t4=C_slot(C_fast_retrieve(lf[1175]),((C_word*)t0)[2]);
/* library.scm:6144: g6942 */
t5=t3;{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t5;
av2[1]=t1;
av2[2]=t4;
((C_proc)C_fast_retrieve_proc(t5))(3,av2);}}

/* a29541 in a29518 in a29500 in doloop6931 in k29462 in run-pending-finalizers in k29359 in k29326 in k29322 in k29140 in k28503 in k28443 in k27110 in k27107 in k27104 in k26337 in k26025 in k26021 in k26017 in k23772 in k23768 in k23764 in ... */
static void C_ccall f_29542(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand((c-2)*C_SIZEOF_PAIR +4,c,2)))){
C_save_and_reclaim((void*)f_29542,c,av);}
a=C_alloc((c-2)*C_SIZEOF_PAIR+4);
t2=C_build_rest(&a,c,2,av);
C_word t3;
C_word t4;
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_29548,a[2]=t2,a[3]=((C_word)li918),tmp=(C_word)a,a+=4,tmp);
/* library.scm:6144: k6935 */
t4=((C_word*)t0)[2];{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t4;
av2[1]=t1;
av2[2]=t3;
((C_proc)C_fast_retrieve_proc(t4))(3,av2);}}

/* a29547 in a29541 in a29518 in a29500 in doloop6931 in k29462 in run-pending-finalizers in k29359 in k29326 in k29322 in k29140 in k28503 in k28443 in k27110 in k27107 in k27104 in k26337 in k26025 in k26021 in k26017 in k23772 in k23768 in ... */
static void C_ccall f_29548(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(c!=2) C_bad_argc_2(c,2,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_29548,2,av);}{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=0;
av2[1]=t1;
av2[2]=((C_word*)t0)[2];
C_apply_values(3,av2);}}

/* k29561 in run-pending-finalizers in k29359 in k29326 in k29322 in k29140 in k28503 in k28443 in k27110 in k27107 in k27104 in k26337 in k26025 in k26021 in k26017 in k23772 in k23768 in k23764 in k20151 in k20147 in k20143 in k20139 in ... */
static void C_ccall f_29563(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,4)))){
C_save_and_reclaim((void *)f_29563,2,av);}
/* library.scm:6131: ##sys#print */
t2=*((C_word*)lf[871]+1);{
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[2];
av2[2]=t1;
av2[3]=C_SCHEME_FALSE;
av2[4]=*((C_word*)lf[718]+1);
((C_proc)(void*)(*((C_word*)t2+1)))(5,av2);}}

/* k29565 in run-pending-finalizers in k29359 in k29326 in k29322 in k29140 in k28503 in k28443 in k27110 in k27107 in k27104 in k26337 in k26025 in k26021 in k26017 in k23772 in k23768 in k23764 in k20151 in k20147 in k20143 in k20139 in ... */
static void C_ccall f_29567(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,c,2)))){
C_save_and_reclaim((void *)f_29567,2,av);}
a=C_alloc(4);
t2=t1;
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_29571,a[2]=((C_word*)t0)[2],a[3]=t2,tmp=(C_word)a,a+=4,tmp);
t4=C_i_live_finalizer_count();
/* library.scm:6134: ##sys#number->string */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[600]+1));
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[600]+1);
av2[1]=t3;
av2[2]=t4;
tp(3,av2);}}

/* k29569 in k29565 in run-pending-finalizers in k29359 in k29326 in k29322 in k29140 in k28503 in k28443 in k27110 in k27107 in k27104 in k26337 in k26025 in k26021 in k26017 in k23772 in k23768 in k23764 in k20151 in k20147 in k20143 in ... */
static void C_ccall f_29571(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,c,2)))){
C_save_and_reclaim((void *)f_29571,2,av);}
a=C_alloc(5);
t2=t1;
t3=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_29575,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=t2,tmp=(C_word)a,a+=5,tmp);
t4=C_i_allocated_finalizer_count();
/* library.scm:6137: ##sys#number->string */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[600]+1));
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[600]+1);
av2[1]=t3;
av2[2]=t4;
tp(3,av2);}}

/* k29573 in k29569 in k29565 in run-pending-finalizers in k29359 in k29326 in k29322 in k29140 in k28503 in k28443 in k27110 in k27107 in k27104 in k26337 in k26025 in k26021 in k26017 in k23772 in k23768 in k23764 in k20151 in k20147 in ... */
static void C_ccall f_29575(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,8)))){
C_save_and_reclaim((void *)f_29575,2,av);}
/* library.scm:6132: string-append */
t2=*((C_word*)lf[413]+1);{
C_word *av2;
if(c >= 9) {
  av2=av;
} else {
  av2=C_alloc(9);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[2];
av2[2]=lf[1217];
av2[3]=((C_word*)t0)[3];
av2[4]=lf[1218];
av2[5]=((C_word*)t0)[4];
av2[6]=lf[1219];
av2[7]=t1;
av2[8]=lf[1220];
((C_proc)(void*)(*((C_word*)t2+1)))(9,av2);}}

/* k29579 in k29359 in k29326 in k29322 in k29140 in k28503 in k28443 in k27110 in k27107 in k27104 in k26337 in k26025 in k26021 in k26017 in k23772 in k23768 in k23764 in k20151 in k20147 in k20143 in k20139 in k20135 in ... */
static void C_ccall f_29581(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word t12;
C_word t13;
C_word t14;
C_word t15;
C_word t16;
C_word t17;
C_word t18;
C_word t19;
C_word t20;
C_word t21;
C_word t22;
C_word t23;
C_word t24;
C_word t25;
C_word t26;
C_word t27;
C_word t28;
C_word t29;
C_word t30;
C_word t31;
C_word t32;
C_word t33;
C_word t34;
C_word t35;
C_word t36;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(26,c,6)))){
C_save_and_reclaim((void *)f_29581,2,av);}
a=C_alloc(26);
t2=C_mutate((C_word*)lf[960]+1 /* (set! chicken.gc#force-finalizers ...) */,t1);
t3=C_mutate((C_word*)lf[959]+1 /* (set! ##sys#force-finalizers ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_29583,a[2]=((C_word)li925),tmp=(C_word)a,a+=3,tmp));
t4=C_mutate((C_word*)lf[1221]+1 /* (set! chicken.gc#gc ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_29611,a[2]=((C_word)li926),tmp=(C_word)a,a+=3,tmp));
t5=C_mutate((C_word*)lf[819]+1 /* (set! ##sys#list->vector ...) */,*((C_word*)lf[94]+1));
t6=C_mutate((C_word*)lf[367]+1 /* (set! ##sys#list ...) */,*((C_word*)lf[42]+1));
t7=C_mutate((C_word*)lf[1222]+1 /* (set! ##sys#length ...) */,*((C_word*)lf[43]+1));
t8=C_mutate((C_word*)lf[1223]+1 /* (set! ##sys#cons ...) */,*((C_word*)lf[8]+1));
t9=C_mutate((C_word*)lf[254]+1 /* (set! ##sys#append ...) */,*((C_word*)lf[373]+1));
t10=C_mutate((C_word*)lf[1224]+1 /* (set! ##sys#vector ...) */,*((C_word*)lf[96]+1));
t11=C_mutate((C_word*)lf[1225]+1 /* (set! ##sys#apply ...) */,*((C_word*)lf[129]+1));
t12=C_mutate((C_word*)lf[1226]+1 /* (set! ##sys#values ...) */,*((C_word*)lf[130]+1));
t13=C_mutate((C_word*)lf[1227]+1 /* (set! ##sys#equal? ...) */,*((C_word*)lf[6]+1));
t14=C_mutate((C_word*)lf[1228]+1 /* (set! ##sys#car ...) */,*((C_word*)lf[9]+1));
t15=C_mutate((C_word*)lf[1229]+1 /* (set! ##sys#cdr ...) */,*((C_word*)lf[10]+1));
t16=C_mutate((C_word*)lf[1230]+1 /* (set! ##sys#pair? ...) */,*((C_word*)lf[7]+1));
t17=C_mutate((C_word*)lf[1231]+1 /* (set! ##sys#vector? ...) */,*((C_word*)lf[89]+1));
t18=C_mutate((C_word*)lf[1232]+1 /* (set! ##sys#vector->list ...) */,*((C_word*)lf[95]+1));
t19=C_mutate((C_word*)lf[1233]+1 /* (set! ##sys#vector-length ...) */,*((C_word*)lf[90]+1));
t20=C_mutate((C_word*)lf[1234]+1 /* (set! ##sys#vector-ref ...) */,*((C_word*)lf[91]+1));
t21=C_mutate((C_word*)lf[1235]+1 /* (set! ##sys#>= ...) */,*((C_word*)lf[75]+1));
t22=C_mutate((C_word*)lf[1236]+1 /* (set! ##sys#= ...) */,*((C_word*)lf[72]+1));
t23=C_mutate((C_word*)lf[1237]+1 /* (set! ##sys#+ ...) */,*((C_word*)lf[64]+1));
t24=C_mutate((C_word*)lf[1238]+1 /* (set! ##sys#eq? ...) */,*((C_word*)lf[4]+1));
t25=C_mutate((C_word*)lf[1239]+1 /* (set! ##sys#eqv? ...) */,*((C_word*)lf[5]+1));
t26=C_mutate((C_word*)lf[1240]+1 /* (set! ##sys#list? ...) */,*((C_word*)lf[55]+1));
t27=C_mutate((C_word*)lf[1241]+1 /* (set! ##sys#null? ...) */,*((C_word*)lf[41]+1));
t28=C_mutate((C_word*)lf[1242]+1 /* (set! ##sys#map-n ...) */,*((C_word*)lf[171]+1));
t29=C_mutate((C_word*)lf[1243]+1 /* (set! ##sys#make-locative ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_29654,a[2]=((C_word)li927),tmp=(C_word)a,a+=3,tmp));
t30=C_a_i_provide(&a,1,lf[1256]);
t31=C_mutate((C_word*)lf[1257]+1 /* (set! chicken.plist#put! ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_29918,a[2]=((C_word)li928),tmp=(C_word)a,a+=3,tmp));
t32=C_mutate((C_word*)lf[1259]+1 /* (set! chicken.plist#get ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_29924,a[2]=((C_word)li929),tmp=(C_word)a,a+=3,tmp));
t33=C_mutate((C_word*)lf[1261]+1 /* (set! ##sys#put! ...) */,C_fast_retrieve(lf[1257]));
t34=C_mutate((C_word*)lf[1262]+1 /* (set! ##sys#get ...) */,C_fast_retrieve(lf[1259]));
t35=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_29943,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
/* library.scm:6289: chicken.base#getter-with-setter */
t36=*((C_word*)lf[200]+1);{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t36;
av2[1]=t35;
av2[2]=C_fast_retrieve(lf[1259]);
av2[3]=C_fast_retrieve(lf[1257]);
((C_proc)(void*)(*((C_word*)t36+1)))(4,av2);}}

/* ##sys#force-finalizers in k29579 in k29359 in k29326 in k29322 in k29140 in k28503 in k28443 in k27110 in k27107 in k27104 in k26337 in k26025 in k26021 in k26017 in k23772 in k23768 in k23764 in k20151 in k20147 in k20143 in k20139 in ... */
static void C_ccall f_29583(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(c!=2) C_bad_argc_2(c,2,t0);
if(C_unlikely(!C_demand(C_calculate_demand(6,c,2)))){
C_save_and_reclaim((void *)f_29583,2,av);}
a=C_alloc(6);
t2=C_SCHEME_UNDEFINED;
t3=(*a=C_VECTOR_TYPE|1,a[1]=t2,tmp=(C_word)a,a+=2,tmp);
t4=C_set_block_item(t3,0,(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_29589,a[2]=t3,a[3]=((C_word)li924),tmp=(C_word)a,a+=4,tmp));
t5=((C_word*)t3)[1];
f_29589(t5,t1);}

/* loop in force-finalizers in k29579 in k29359 in k29326 in k29322 in k29140 in k28503 in k28443 in k27110 in k27107 in k27104 in k26337 in k26025 in k26021 in k26017 in k23772 in k23768 in k23764 in k20151 in k20147 in k20143 in ... */
static void C_fcall f_29589(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,0,2)))){
C_save_and_reclaim_args((void *)trf_29589,2,t0,t1);}
a=C_alloc(4);
t2=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_29593,a[2]=((C_word*)t0)[2],a[3]=t1,tmp=(C_word)a,a+=4,tmp);
/* library.scm:6159: ##sys#gc */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[313]+1));
C_word av2[2];
av2[0]=*((C_word*)lf[313]+1);
av2[1]=t2;
tp(2,av2);}}

/* k29591 in loop in force-finalizers in k29579 in k29359 in k29326 in k29322 in k29140 in k28503 in k28443 in k27110 in k27107 in k27104 in k26337 in k26025 in k26021 in k26017 in k23772 in k23768 in k23764 in k20151 in k20147 in ... */
static void C_ccall f_29593(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,c,2)))){
C_save_and_reclaim((void *)f_29593,2,av);}
a=C_alloc(4);
t2=C_slot(C_fast_retrieve(lf[1175]),C_fix(0));
if(C_truep(C_fixnum_greaterp(t2,C_fix(0)))){
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_29602,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],tmp=(C_word)a,a+=4,tmp);
/* library.scm:6161: ##sys#run-pending-finalizers */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[1176]);
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[1176]+1);
av2[1]=t3;
av2[2]=C_SCHEME_FALSE;
tp(3,av2);}}
else{
t3=((C_word*)t0)[3];{
C_word *av2=av;
av2[0]=t3;
av2[1]=t1;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}}

/* k29600 in k29591 in loop in force-finalizers in k29579 in k29359 in k29326 in k29322 in k29140 in k28503 in k28443 in k27110 in k27107 in k27104 in k26337 in k26025 in k26021 in k26017 in k23772 in k23768 in k23764 in k20151 in ... */
static void C_ccall f_29602(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_29602,2,av);}
/* library.scm:6162: loop */
t2=((C_word*)((C_word*)t0)[2])[1];
f_29589(t2,((C_word*)t0)[3]);}

/* chicken.gc#gc in k29579 in k29359 in k29326 in k29322 in k29140 in k28503 in k28443 in k27110 in k27107 in k27104 in k26337 in k26025 in k26021 in k26017 in k23772 in k23768 in k23764 in k20151 in k20147 in k20143 in k20139 in ... */
static void C_ccall f_29611(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand((c-2)*C_SIZEOF_PAIR +0,c,2)))){
C_save_and_reclaim((void*)f_29611,c,av);}
a=C_alloc((c-2)*C_SIZEOF_PAIR+0);
t2=C_build_rest(&a,c,2,av);
C_word t3;
C_word t4;
C_word t5;
if(C_truep(C_i_pairp(t2))){
t3=t2;
t4=C_u_i_car(t3);
if(C_truep(t4)){
/* library.scm:6168: ##sys#force-finalizers */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[959]);
C_word *av2=av;
av2[0]=*((C_word*)lf[959]+1);
av2[1]=t1;
tp(2,av2);}}
else{
/* library.scm:6169: ##sys#gc */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[313]+1));
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[313]+1);
av2[1]=t1;
av2[2]=t4;
tp(3,av2);}}}
else{
/* library.scm:6169: ##sys#gc */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[313]+1));
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[313]+1);
av2[1]=t1;
av2[2]=C_SCHEME_FALSE;
tp(3,av2);}}}

/* ##sys#make-locative in k29579 in k29359 in k29326 in k29322 in k29140 in k28503 in k28443 in k27110 in k27107 in k27104 in k26337 in k26025 in k26021 in k26017 in k23772 in k23768 in k23764 in k20151 in k20147 in k20143 in k20139 in ... */
static void C_ccall f_29654(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4=av[4];
C_word t5=av[5];
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word t12;
C_word t13;
C_word t14;
C_word t15;
C_word t16;
C_word t17;
C_word t18;
C_word t19;
C_word t20;
C_word t21;
C_word t22;
C_word t23;
C_word t24;
C_word *a;
if(c!=6) C_bad_argc_2(c,6,t0);
if(C_unlikely(!C_demand(C_calculate_demand(6,c,5)))){
C_save_and_reclaim((void *)f_29654,6,av);}
a=C_alloc(6);
if(C_truep(C_immp(t2))){
/* library.scm:6202: ##sys#signal-hook */
t6=C_fast_retrieve(lf[194]);{
C_word *av2=av;
av2[0]=t6;
av2[1]=t1;
av2[2]=lf[258];
av2[3]=t5;
av2[4]=lf[1244];
av2[5]=t2;
((C_proc)(void*)(*((C_word*)t6+1)))(6,av2);}}
else{
t6=C_i_vectorp(t2);
t7=(C_truep(t6)?t6:C_i_pairp(t2));
if(C_truep(t7)){
t8=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_29676,a[2]=t1,a[3]=t2,a[4]=t3,a[5]=t4,tmp=(C_word)a,a+=6,tmp);
t9=C_block_size(t2);
/* library.scm:6204: ##sys#check-range */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[334]+1));
C_word *av2=av;
av2[0]=*((C_word*)lf[334]+1);
av2[1]=t8;
av2[2]=t3;
av2[3]=C_fix(0);
av2[4]=t9;
av2[5]=t5;
tp(6,av2);}}
else{
t8=(C_truep(C_blockp(t2))?C_bytevectorp(t2):C_SCHEME_FALSE);
if(C_truep(t8)){
t9=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_29689,a[2]=t2,a[3]=t3,a[4]=t4,a[5]=t1,tmp=(C_word)a,a+=6,tmp);
t10=C_block_size(t2);
/* library.scm:6211: ##sys#check-range */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[334]+1));
C_word *av2=av;
av2[0]=*((C_word*)lf[334]+1);
av2[1]=t9;
av2[2]=t3;
av2[3]=C_fix(0);
av2[4]=t10;
av2[5]=t5;
tp(6,av2);}}
else{
if(C_truep(C_structurep(t2))){
t9=C_slot(t2,C_fix(0));
t10=C_eqp(t9,lf[1245]);
if(C_truep(t10)){
t11=C_slot(t2,C_fix(1));
t12=t11;
t13=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_29714,a[2]=t12,a[3]=t3,a[4]=t4,a[5]=t1,tmp=(C_word)a,a+=6,tmp);
t14=C_block_size(t12);
/* library.scm:6217: ##sys#check-range */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[334]+1));
C_word *av2=av;
av2[0]=*((C_word*)lf[334]+1);
av2[1]=t13;
av2[2]=t3;
av2[3]=C_fix(0);
av2[4]=t14;
av2[5]=t5;
tp(6,av2);}}
else{
t11=C_eqp(t9,lf[1246]);
if(C_truep(t11)){
t12=C_slot(t2,C_fix(1));
t13=t12;
t14=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_29730,a[2]=t1,a[3]=t13,a[4]=t3,a[5]=t4,tmp=(C_word)a,a+=6,tmp);
t15=C_block_size(t13);
/* library.scm:6221: ##sys#check-range */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[334]+1));
C_word *av2=av;
av2[0]=*((C_word*)lf[334]+1);
av2[1]=t14;
av2[2]=t3;
av2[3]=C_fix(0);
av2[4]=t15;
av2[5]=t5;
tp(6,av2);}}
else{
t12=C_eqp(t9,lf[1247]);
if(C_truep(t12)){
t13=C_slot(t2,C_fix(1));
t14=t13;
t15=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_29746,a[2]=t14,a[3]=t3,a[4]=t4,a[5]=t1,tmp=(C_word)a,a+=6,tmp);
t16=C_block_size(t14);
/* library.scm:6225: ##sys#check-range */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[334]+1));
C_word *av2=av;
av2[0]=*((C_word*)lf[334]+1);
av2[1]=t15;
av2[2]=t3;
av2[3]=C_fix(0);
av2[4]=t16;
av2[5]=t5;
tp(6,av2);}}
else{
t13=C_eqp(t9,lf[1248]);
if(C_truep(t13)){
t14=C_slot(t2,C_fix(1));
t15=t14;
t16=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_29762,a[2]=t1,a[3]=t15,a[4]=t3,a[5]=t4,tmp=(C_word)a,a+=6,tmp);
t17=C_block_size(t15);
/* library.scm:6229: ##sys#check-range */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[334]+1));
C_word *av2=av;
av2[0]=*((C_word*)lf[334]+1);
av2[1]=t16;
av2[2]=t3;
av2[3]=C_fix(0);
av2[4]=t17;
av2[5]=t5;
tp(6,av2);}}
else{
t14=C_eqp(t9,lf[1249]);
if(C_truep(t14)){
t15=C_slot(t2,C_fix(1));
t16=t15;
t17=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_29778,a[2]=t16,a[3]=t3,a[4]=t4,a[5]=t1,tmp=(C_word)a,a+=6,tmp);
t18=C_block_size(t16);
/* library.scm:6233: ##sys#check-range */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[334]+1));
C_word *av2=av;
av2[0]=*((C_word*)lf[334]+1);
av2[1]=t17;
av2[2]=t3;
av2[3]=C_fix(0);
av2[4]=t18;
av2[5]=t5;
tp(6,av2);}}
else{
t15=C_eqp(t9,lf[1250]);
if(C_truep(t15)){
t16=C_slot(t2,C_fix(1));
t17=t16;
t18=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_29794,a[2]=t1,a[3]=t17,a[4]=t3,a[5]=t4,tmp=(C_word)a,a+=6,tmp);
t19=C_block_size(t17);
/* library.scm:6237: ##sys#check-range */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[334]+1));
C_word *av2=av;
av2[0]=*((C_word*)lf[334]+1);
av2[1]=t18;
av2[2]=t3;
av2[3]=C_fix(0);
av2[4]=t19;
av2[5]=t5;
tp(6,av2);}}
else{
t16=C_eqp(t9,lf[1251]);
if(C_truep(t16)){
t17=C_slot(t2,C_fix(1));
t18=t17;
t19=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_29810,a[2]=t18,a[3]=t3,a[4]=t4,a[5]=t1,tmp=(C_word)a,a+=6,tmp);
t20=C_block_size(t18);
/* library.scm:6241: ##sys#check-range */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[334]+1));
C_word *av2=av;
av2[0]=*((C_word*)lf[334]+1);
av2[1]=t19;
av2[2]=t3;
av2[3]=C_fix(0);
av2[4]=t20;
av2[5]=t5;
tp(6,av2);}}
else{
t17=C_eqp(t9,lf[1252]);
if(C_truep(t17)){
t18=C_slot(t2,C_fix(1));
t19=t18;
t20=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_29826,a[2]=t1,a[3]=t19,a[4]=t3,a[5]=t4,tmp=(C_word)a,a+=6,tmp);
t21=C_block_size(t19);
/* library.scm:6245: ##sys#check-range */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[334]+1));
C_word *av2=av;
av2[0]=*((C_word*)lf[334]+1);
av2[1]=t20;
av2[2]=t3;
av2[3]=C_fix(0);
av2[4]=t21;
av2[5]=t5;
tp(6,av2);}}
else{
t18=C_eqp(t9,lf[1253]);
if(C_truep(t18)){
t19=C_slot(t2,C_fix(1));
t20=t19;
t21=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_29842,a[2]=t20,a[3]=t3,a[4]=t4,a[5]=t1,tmp=(C_word)a,a+=6,tmp);
t22=C_block_size(t20);
/* library.scm:6249: ##sys#check-range */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[334]+1));
C_word *av2=av;
av2[0]=*((C_word*)lf[334]+1);
av2[1]=t21;
av2[2]=t3;
av2[3]=C_fix(0);
av2[4]=t22;
av2[5]=t5;
tp(6,av2);}}
else{
t19=C_eqp(t9,lf[1254]);
if(C_truep(t19)){
t20=C_slot(t2,C_fix(1));
t21=t20;
t22=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_29858,a[2]=t1,a[3]=t21,a[4]=t3,a[5]=t4,tmp=(C_word)a,a+=6,tmp);
t23=C_block_size(t21);
/* library.scm:6253: ##sys#check-range */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[334]+1));
C_word *av2=av;
av2[0]=*((C_word*)lf[334]+1);
av2[1]=t22;
av2[2]=t3;
av2[3]=C_fix(0);
av2[4]=t23;
av2[5]=t5;
tp(6,av2);}}
else{
t20=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_29865,a[2]=t3,a[3]=t1,a[4]=t2,a[5]=t4,tmp=(C_word)a,a+=6,tmp);
t21=C_block_size(t2);
t22=C_fixnum_difference(t21,C_fix(1));
/* library.scm:6257: ##sys#check-range */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[334]+1));
C_word *av2=av;
av2[0]=*((C_word*)lf[334]+1);
av2[1]=t20;
av2[2]=t3;
av2[3]=C_fix(0);
av2[4]=t22;
av2[5]=t5;
tp(6,av2);}}}}}}}}}}}}
else{
if(C_truep(C_i_stringp(t2))){
t9=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_29906,a[2]=t2,a[3]=t3,a[4]=t4,a[5]=t1,tmp=(C_word)a,a+=6,tmp);
t10=C_block_size(t2);
/* library.scm:6260: ##sys#check-range */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[334]+1));
C_word *av2=av;
av2[0]=*((C_word*)lf[334]+1);
av2[1]=t9;
av2[2]=t3;
av2[3]=C_fix(0);
av2[4]=t10;
av2[5]=t5;
tp(6,av2);}}
else{
/* library.scm:6263: ##sys#signal-hook */
t9=C_fast_retrieve(lf[194]);{
C_word *av2=av;
av2[0]=t9;
av2[1]=t1;
av2[2]=lf[258];
av2[3]=t5;
av2[4]=lf[1255];
av2[5]=t2;
((C_proc)(void*)(*((C_word*)t9+1)))(6,av2);}}}}}}}

/* k29674 in make-locative in k29579 in k29359 in k29326 in k29322 in k29140 in k28503 in k28443 in k27110 in k27107 in k27104 in k26337 in k26025 in k26021 in k26017 in k23772 in k23768 in k23764 in k20151 in k20147 in k20143 in ... */
static void C_ccall f_29676(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,c,1)))){
C_save_and_reclaim((void *)f_29676,2,av);}
a=C_alloc(5);
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=C_a_i_make_locative(&a,4,C_fix(0),((C_word*)t0)[3],((C_word*)t0)[4],((C_word*)t0)[5]);
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* k29687 in make-locative in k29579 in k29359 in k29326 in k29322 in k29140 in k28503 in k28443 in k27110 in k27107 in k27104 in k26337 in k26025 in k26021 in k26017 in k23772 in k23768 in k23764 in k20151 in k20147 in k20143 in ... */
static void C_ccall f_29689(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,c,1)))){
C_save_and_reclaim((void *)f_29689,2,av);}
a=C_alloc(5);
t2=C_a_i_make_locative(&a,4,C_fix(2),((C_word*)t0)[2],((C_word*)t0)[3],((C_word*)t0)[4]);
t3=((C_word*)t0)[5];{
C_word *av2=av;
av2[0]=t3;
av2[1]=t2;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* k29712 in make-locative in k29579 in k29359 in k29326 in k29322 in k29140 in k28503 in k28443 in k27110 in k27107 in k27104 in k26337 in k26025 in k26021 in k26017 in k23772 in k23768 in k23764 in k20151 in k20147 in k20143 in ... */
static void C_ccall f_29714(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,c,1)))){
C_save_and_reclaim((void *)f_29714,2,av);}
a=C_alloc(5);
t2=C_a_i_make_locative(&a,4,C_fix(2),((C_word*)t0)[2],((C_word*)t0)[3],((C_word*)t0)[4]);
t3=((C_word*)t0)[5];{
C_word *av2=av;
av2[0]=t3;
av2[1]=t2;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* k29728 in make-locative in k29579 in k29359 in k29326 in k29322 in k29140 in k28503 in k28443 in k27110 in k27107 in k27104 in k26337 in k26025 in k26021 in k26017 in k23772 in k23768 in k23764 in k20151 in k20147 in k20143 in ... */
static void C_ccall f_29730(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,c,1)))){
C_save_and_reclaim((void *)f_29730,2,av);}
a=C_alloc(5);
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=C_a_i_make_locative(&a,4,C_fix(3),((C_word*)t0)[3],((C_word*)t0)[4],((C_word*)t0)[5]);
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* k29744 in make-locative in k29579 in k29359 in k29326 in k29322 in k29140 in k28503 in k28443 in k27110 in k27107 in k27104 in k26337 in k26025 in k26021 in k26017 in k23772 in k23768 in k23764 in k20151 in k20147 in k20143 in ... */
static void C_ccall f_29746(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,c,1)))){
C_save_and_reclaim((void *)f_29746,2,av);}
a=C_alloc(5);
t2=C_a_i_make_locative(&a,4,C_fix(4),((C_word*)t0)[2],((C_word*)t0)[3],((C_word*)t0)[4]);
t3=((C_word*)t0)[5];{
C_word *av2=av;
av2[0]=t3;
av2[1]=t2;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* k29760 in make-locative in k29579 in k29359 in k29326 in k29322 in k29140 in k28503 in k28443 in k27110 in k27107 in k27104 in k26337 in k26025 in k26021 in k26017 in k23772 in k23768 in k23764 in k20151 in k20147 in k20143 in ... */
static void C_ccall f_29762(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,c,1)))){
C_save_and_reclaim((void *)f_29762,2,av);}
a=C_alloc(5);
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=C_a_i_make_locative(&a,4,C_fix(5),((C_word*)t0)[3],((C_word*)t0)[4],((C_word*)t0)[5]);
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* k29776 in make-locative in k29579 in k29359 in k29326 in k29322 in k29140 in k28503 in k28443 in k27110 in k27107 in k27104 in k26337 in k26025 in k26021 in k26017 in k23772 in k23768 in k23764 in k20151 in k20147 in k20143 in ... */
static void C_ccall f_29778(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,c,1)))){
C_save_and_reclaim((void *)f_29778,2,av);}
a=C_alloc(5);
t2=C_a_i_make_locative(&a,4,C_fix(6),((C_word*)t0)[2],((C_word*)t0)[3],((C_word*)t0)[4]);
t3=((C_word*)t0)[5];{
C_word *av2=av;
av2[0]=t3;
av2[1]=t2;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* k29792 in make-locative in k29579 in k29359 in k29326 in k29322 in k29140 in k28503 in k28443 in k27110 in k27107 in k27104 in k26337 in k26025 in k26021 in k26017 in k23772 in k23768 in k23764 in k20151 in k20147 in k20143 in ... */
static void C_ccall f_29794(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,c,1)))){
C_save_and_reclaim((void *)f_29794,2,av);}
a=C_alloc(5);
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=C_a_i_make_locative(&a,4,C_fix(7),((C_word*)t0)[3],((C_word*)t0)[4],((C_word*)t0)[5]);
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* k29808 in make-locative in k29579 in k29359 in k29326 in k29322 in k29140 in k28503 in k28443 in k27110 in k27107 in k27104 in k26337 in k26025 in k26021 in k26017 in k23772 in k23768 in k23764 in k20151 in k20147 in k20143 in ... */
static void C_ccall f_29810(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,c,1)))){
C_save_and_reclaim((void *)f_29810,2,av);}
a=C_alloc(5);
t2=C_a_i_make_locative(&a,4,C_fix(8),((C_word*)t0)[2],((C_word*)t0)[3],((C_word*)t0)[4]);
t3=((C_word*)t0)[5];{
C_word *av2=av;
av2[0]=t3;
av2[1]=t2;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* k29824 in make-locative in k29579 in k29359 in k29326 in k29322 in k29140 in k28503 in k28443 in k27110 in k27107 in k27104 in k26337 in k26025 in k26021 in k26017 in k23772 in k23768 in k23764 in k20151 in k20147 in k20143 in ... */
static void C_ccall f_29826(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,c,1)))){
C_save_and_reclaim((void *)f_29826,2,av);}
a=C_alloc(5);
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=C_a_i_make_locative(&a,4,C_fix(9),((C_word*)t0)[3],((C_word*)t0)[4],((C_word*)t0)[5]);
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* k29840 in make-locative in k29579 in k29359 in k29326 in k29322 in k29140 in k28503 in k28443 in k27110 in k27107 in k27104 in k26337 in k26025 in k26021 in k26017 in k23772 in k23768 in k23764 in k20151 in k20147 in k20143 in ... */
static void C_ccall f_29842(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,c,1)))){
C_save_and_reclaim((void *)f_29842,2,av);}
a=C_alloc(5);
t2=C_a_i_make_locative(&a,4,C_fix(10),((C_word*)t0)[2],((C_word*)t0)[3],((C_word*)t0)[4]);
t3=((C_word*)t0)[5];{
C_word *av2=av;
av2[0]=t3;
av2[1]=t2;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* k29856 in make-locative in k29579 in k29359 in k29326 in k29322 in k29140 in k28503 in k28443 in k27110 in k27107 in k27104 in k26337 in k26025 in k26021 in k26017 in k23772 in k23768 in k23764 in k20151 in k20147 in k20143 in ... */
static void C_ccall f_29858(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,c,1)))){
C_save_and_reclaim((void *)f_29858,2,av);}
a=C_alloc(5);
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=C_a_i_make_locative(&a,4,C_fix(11),((C_word*)t0)[3],((C_word*)t0)[4],((C_word*)t0)[5]);
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* k29863 in make-locative in k29579 in k29359 in k29326 in k29322 in k29140 in k28503 in k28443 in k27110 in k27107 in k27104 in k26337 in k26025 in k26021 in k26017 in k23772 in k23768 in k23764 in k20151 in k20147 in k20143 in ... */
static void C_ccall f_29865(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,c,1)))){
C_save_and_reclaim((void *)f_29865,2,av);}
a=C_alloc(5);
t2=C_fixnum_plus(((C_word*)t0)[2],C_fix(1));
t3=((C_word*)t0)[3];{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_a_i_make_locative(&a,4,C_fix(0),((C_word*)t0)[4],t2,((C_word*)t0)[5]);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* k29904 in make-locative in k29579 in k29359 in k29326 in k29322 in k29140 in k28503 in k28443 in k27110 in k27107 in k27104 in k26337 in k26025 in k26021 in k26017 in k23772 in k23768 in k23764 in k20151 in k20147 in k20143 in ... */
static void C_ccall f_29906(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,c,1)))){
C_save_and_reclaim((void *)f_29906,2,av);}
a=C_alloc(5);
t2=C_a_i_make_locative(&a,4,C_fix(1),((C_word*)t0)[2],((C_word*)t0)[3],((C_word*)t0)[4]);
t3=((C_word*)t0)[5];{
C_word *av2=av;
av2[0]=t3;
av2[1]=t2;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* chicken.plist#put! in k29579 in k29359 in k29326 in k29322 in k29140 in k28503 in k28443 in k27110 in k27107 in k27104 in k26337 in k26025 in k26021 in k26017 in k23772 in k23768 in k23764 in k20151 in k20147 in k20143 in k20139 in ... */
static void C_ccall f_29918(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4=av[4];
C_word t5;
C_word t6;
C_word *a;
if(c!=5) C_bad_argc_2(c,5,t0);
if(C_unlikely(!C_demand(C_calculate_demand(8,c,1)))){
C_save_and_reclaim((void *)f_29918,5,av);}
a=C_alloc(8);
t5=C_i_check_symbol_2(t2,lf[1258]);
t6=t1;{
C_word *av2=av;
av2[0]=t6;
av2[1]=C_a_i_putprop(&a,3,t2,t3,t4);
((C_proc)(void*)(*((C_word*)t6+1)))(2,av2);}}

/* chicken.plist#get in k29579 in k29359 in k29326 in k29322 in k29140 in k28503 in k28443 in k27110 in k27107 in k27104 in k26337 in k26025 in k26021 in k26017 in k23772 in k23768 in k23764 in k20151 in k20147 in k20143 in k20139 in ... */
static void C_ccall f_29924(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word *a;
if(c<4) C_bad_min_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand((c-4)*C_SIZEOF_PAIR +0,c,1)))){
C_save_and_reclaim((void*)f_29924,c,av);}
a=C_alloc((c-4)*C_SIZEOF_PAIR+0);
t4=C_build_rest(&a,c,4,av);
C_word t5;
C_word t6;
C_word t7;
C_word t8;
t5=C_i_nullp(t4);
t6=(C_truep(t5)?C_SCHEME_FALSE:C_i_car(t4));
t7=C_i_check_symbol_2(t2,lf[1260]);
t8=t1;{
C_word *av2=av;
av2[0]=t8;
av2[1]=C_i_getprop(t2,t3,t6);
((C_proc)(void*)(*((C_word*)t8+1)))(2,av2);}}

/* k29941 in k29579 in k29359 in k29326 in k29322 in k29140 in k28503 in k28443 in k27110 in k27107 in k27104 in k26337 in k26025 in k26021 in k26017 in k23772 in k23768 in k23764 in k20151 in k20147 in k20143 in k20139 in ... */
static void C_ccall f_29943(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(12,c,4)))){
C_save_and_reclaim((void *)f_29943,2,av);}
a=C_alloc(12);
t2=C_mutate((C_word*)lf[1259]+1 /* (set! chicken.plist#get ...) */,t1);
t3=C_mutate((C_word*)lf[1263]+1 /* (set! chicken.plist#remprop! ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_29945,a[2]=((C_word)li931),tmp=(C_word)a,a+=3,tmp));
t4=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_30014,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
t5=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_30910,a[2]=((C_word)li964),tmp=(C_word)a,a+=3,tmp);
t6=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_30919,a[2]=((C_word)li965),tmp=(C_word)a,a+=3,tmp);
/* library.scm:6309: chicken.base#getter-with-setter */
t7=*((C_word*)lf[200]+1);{
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=t7;
av2[1]=t4;
av2[2]=t5;
av2[3]=t6;
av2[4]=lf[1347];
((C_proc)(void*)(*((C_word*)t7+1)))(5,av2);}}

/* chicken.plist#remprop! in k29941 in k29579 in k29359 in k29326 in k29322 in k29140 in k28503 in k28443 in k27110 in k27107 in k27104 in k26337 in k26025 in k26021 in k26017 in k23772 in k23768 in k23764 in k20151 in k20147 in k20143 in ... */
static void C_ccall f_29945(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(5,c,3)))){
C_save_and_reclaim((void *)f_29945,4,av);}
a=C_alloc(5);
t4=C_i_check_symbol_2(t2,lf[1264]);
t5=C_slot(t2,C_fix(2));
t6=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_29968,a[2]=t3,a[3]=t2,a[4]=((C_word)li930),tmp=(C_word)a,a+=5,tmp);
t7=(
  f_29968(t6,t5,C_SCHEME_FALSE)
);
t8=C_slot(t2,C_fix(2));
if(C_truep(C_i_nullp(t8))){
t9=C_i_unpersist_symbol(t2);
t10=t1;{
C_word *av2=av;
av2[0]=t10;
av2[1]=t9;
((C_proc)(void*)(*((C_word*)t10+1)))(2,av2);}}
else{
t9=C_SCHEME_UNDEFINED;
t10=t1;{
C_word *av2=av;
av2[0]=t10;
av2[1]=t9;
((C_proc)(void*)(*((C_word*)t10+1)))(2,av2);}}}

/* loop in chicken.plist#remprop! in k29941 in k29579 in k29359 in k29326 in k29322 in k29140 in k28503 in k28443 in k27110 in k27107 in k27104 in k26337 in k26025 in k26021 in k26017 in k23772 in k23768 in k23764 in k20151 in k20147 in ... */
static C_word C_fcall f_29968(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_stack_overflow_check;
loop:{}
t3=C_i_nullp(t1);
if(C_truep(C_i_not(t3))){
t4=C_slot(t1,C_fix(1));
t5=C_slot(t4,C_fix(1));
t6=C_slot(t1,C_fix(0));
t7=C_eqp(t6,((C_word*)t0)[2]);
if(C_truep(t7)){
t8=(C_truep(t2)?C_i_setslot(t2,C_fix(1),t5):C_i_setslot(((C_word*)t0)[3],C_fix(2),t5));
return(C_SCHEME_TRUE);}
else{
t10=t5;
t11=t4;
t1=t10;
t2=t11;
goto loop;}}
else{
return(C_SCHEME_FALSE);}}

/* k30012 in k29941 in k29579 in k29359 in k29326 in k29322 in k29140 in k28503 in k28443 in k27110 in k27107 in k27104 in k26337 in k26025 in k26021 in k26017 in k23772 in k23768 in k23764 in k20151 in k20147 in k20143 in ... */
static void C_ccall f_30014(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(29,c,4)))){
C_save_and_reclaim((void *)f_30014,2,av);}
a=C_alloc(29);
t2=C_mutate((C_word*)lf[1265]+1 /* (set! chicken.plist#symbol-plist ...) */,t1);
t3=C_mutate((C_word*)lf[1266]+1 /* (set! chicken.plist#get-properties ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_30016,a[2]=((C_word)li933),tmp=(C_word)a,a+=3,tmp));
t4=C_mutate((C_word*)lf[1268]+1 /* (set! ##sys#display-times ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_30079,a[2]=((C_word)li937),tmp=(C_word)a,a+=3,tmp));
t5=C_mutate((C_word*)lf[962]+1 /* (set! ##sys#dump-heap-state ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)C_dump_heap_state,a[2]=((C_word)li938),tmp=(C_word)a,a+=3,tmp));
t6=C_mutate((C_word*)lf[1284]+1 /* (set! ##sys#filter-heap-objects ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)C_filter_heap_objects,a[2]=((C_word)li939),tmp=(C_word)a,a+=3,tmp));
t7=C_a_i_provide(&a,1,lf[1285]);
t8=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_30321,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
t9=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)C_software_type,a[2]=((C_word)li963),tmp=(C_word)a,a+=3,tmp);
t10=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_30908,a[2]=t8,tmp=(C_word)a,a+=3,tmp);
/* library.scm:6414: g7198 */
t11=t9;{
C_word *av2=av;
av2[0]=t11;
av2[1]=t10;
((C_proc)C_fast_retrieve_proc(t11))(2,av2);}}

/* chicken.plist#get-properties in k30012 in k29941 in k29579 in k29359 in k29326 in k29322 in k29140 in k28503 in k28443 in k27110 in k27107 in k27104 in k26337 in k26025 in k26021 in k26017 in k23772 in k23768 in k23764 in k20151 in k20147 in ... */
static void C_ccall f_30016(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(10,c,2)))){
C_save_and_reclaim((void *)f_30016,4,av);}
a=C_alloc(10);
t4=(*a=C_VECTOR_TYPE|1,a[1]=t3,tmp=(C_word)a,a+=2,tmp);
t5=C_i_check_symbol_2(t2,lf[1267]);
t6=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_30023,a[2]=t4,a[3]=t2,a[4]=t1,tmp=(C_word)a,a+=5,tmp);
if(C_truep(C_i_symbolp(((C_word*)t4)[1]))){
t7=C_a_i_list1(&a,1,((C_word*)t4)[1]);
t8=C_set_block_item(t4,0,t7);
t9=t6;
f_30023(t9,t8);}
else{
t7=t6;
f_30023(t7,C_SCHEME_UNDEFINED);}}

/* k30021 in chicken.plist#get-properties in k30012 in k29941 in k29579 in k29359 in k29326 in k29322 in k29140 in k28503 in k28443 in k27110 in k27107 in k27104 in k26337 in k26025 in k26021 in k26017 in k23772 in k23768 in k23764 in k20151 in ... */
static void C_fcall f_30023(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(7,0,3)))){
C_save_and_reclaim_args((void *)trf_30023,2,t0,t1);}
a=C_alloc(7);
t2=C_i_check_list_2(((C_word*)((C_word*)t0)[2])[1],lf[1267]);
t3=C_slot(((C_word*)t0)[3],C_fix(2));
t4=C_SCHEME_UNDEFINED;
t5=(*a=C_VECTOR_TYPE|1,a[1]=t4,tmp=(C_word)a,a+=2,tmp);
t6=C_set_block_item(t5,0,(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_30035,a[2]=((C_word*)t0)[2],a[3]=t5,a[4]=((C_word)li932),tmp=(C_word)a,a+=5,tmp));
t7=((C_word*)t5)[1];
f_30035(t7,((C_word*)t0)[4],t3);}

/* loop in k30021 in chicken.plist#get-properties in k30012 in k29941 in k29579 in k29359 in k29326 in k29322 in k29140 in k28503 in k28443 in k27110 in k27107 in k27104 in k26337 in k26025 in k26021 in k26017 in k23772 in k23768 in k23764 in ... */
static void C_fcall f_30035(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word *a;
loop:
if(C_unlikely(!C_demand(C_calculate_demand(0,0,4)))){
C_save_and_reclaim_args((void *)trf_30035,3,t0,t1,t2);}
if(C_truep(C_i_nullp(t2))){
/* library.scm:6333: scheme#values */{
C_word av2[5];
av2[0]=0;
av2[1]=t1;
av2[2]=C_SCHEME_FALSE;
av2[3]=C_SCHEME_FALSE;
av2[4]=C_SCHEME_FALSE;
C_values(5,av2);}}
else{
t3=C_slot(t2,C_fix(0));
t4=C_slot(t2,C_fix(1));
t5=C_slot(t4,C_fix(1));
if(C_truep(C_i_memq(t3,((C_word*)((C_word*)t0)[2])[1]))){
t6=C_slot(t4,C_fix(0));
/* library.scm:6338: scheme#values */{
C_word av2[5];
av2[0]=0;
av2[1]=t1;
av2[2]=t3;
av2[3]=t6;
av2[4]=t5;
C_values(5,av2);}}
else{
/* library.scm:6339: loop */
t8=t1;
t9=t5;
t1=t8;
t2=t9;
goto loop;}}}

/* ##sys#display-times in k30012 in k29941 in k29579 in k29359 in k29326 in k29322 in k29140 in k28503 in k28443 in k27110 in k27107 in k27104 in k26337 in k26025 in k26021 in k26017 in k23772 in k23768 in k23764 in k20151 in k20147 in ... */
static void C_ccall f_30079(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word t12;
C_word t13;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(23,c,4)))){
C_save_and_reclaim((void *)f_30079,3,av);}
a=C_alloc(23);
t3=C_SCHEME_UNDEFINED;
t4=(*a=C_VECTOR_TYPE|1,a[1]=t3,tmp=(C_word)a,a+=2,tmp);
t5=C_SCHEME_UNDEFINED;
t6=(*a=C_VECTOR_TYPE|1,a[1]=t5,tmp=(C_word)a,a+=2,tmp);
t7=C_SCHEME_UNDEFINED;
t8=(*a=C_VECTOR_TYPE|1,a[1]=t7,tmp=(C_word)a,a+=2,tmp);
t9=C_set_block_item(t4,0,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_30094,a[2]=((C_word)li934),tmp=(C_word)a,a+=3,tmp));
t10=C_set_block_item(t6,0,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_30108,a[2]=((C_word)li935),tmp=(C_word)a,a+=3,tmp));
t11=C_set_block_item(t8,0,(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_30128,a[2]=t4,a[3]=t6,a[4]=((C_word)li936),tmp=(C_word)a,a+=5,tmp));
t12=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_30213,a[2]=t2,a[3]=t1,a[4]=t8,a[5]=t4,tmp=(C_word)a,a+=6,tmp);
/* library.scm:6361: ##sys#flush-output */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[749]);
C_word *av2=av;
av2[0]=*((C_word*)lf[749]+1);
av2[1]=t12;
av2[2]=*((C_word*)lf[717]+1);
tp(3,av2);}}

/* pnum in display-times in k30012 in k29941 in k29579 in k29359 in k29326 in k29322 in k29140 in k28503 in k28443 in k27110 in k27107 in k27104 in k26337 in k26025 in k26021 in k26017 in k23772 in k23768 in k23764 in k20151 in ... */
static void C_fcall f_30094(C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,0,4)))){
C_save_and_reclaim_args((void *)trf_30094,2,t1,t2);}
a=C_alloc(3);
t3=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_30102,a[2]=t1,tmp=(C_word)a,a+=3,tmp);
t4=t2;
if(C_truep(C_i_zerop(t4))){
/* library.scm:6350: ##sys#print */
t5=*((C_word*)lf[871]+1);{
C_word av2[5];
av2[0]=t5;
av2[1]=t1;
av2[2]=lf[1269];
av2[3]=C_SCHEME_FALSE;
av2[4]=*((C_word*)lf[718]+1);
((C_proc)(void*)(*((C_word*)t5+1)))(5,av2);}}
else{
/* library.scm:6350: ##sys#number->string */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[600]+1));
C_word av2[3];
av2[0]=*((C_word*)lf[600]+1);
av2[1]=t3;
av2[2]=t2;
tp(3,av2);}}}

/* k30100 in pnum in display-times in k30012 in k29941 in k29579 in k29359 in k29326 in k29322 in k29140 in k28503 in k28443 in k27110 in k27107 in k27104 in k26337 in k26025 in k26021 in k26017 in k23772 in k23768 in k23764 in ... */
static void C_ccall f_30102(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,4)))){
C_save_and_reclaim((void *)f_30102,2,av);}
/* library.scm:6350: ##sys#print */
t2=*((C_word*)lf[871]+1);{
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[2];
av2[2]=t1;
av2[3]=C_SCHEME_FALSE;
av2[4]=*((C_word*)lf[718]+1);
((C_proc)(void*)(*((C_word*)t2+1)))(5,av2);}}

/* round-to in display-times in k30012 in k29941 in k29579 in k29359 in k29326 in k29322 in k29140 in k28503 in k28443 in k27110 in k27107 in k27104 in k26337 in k26025 in k26021 in k26017 in k23772 in k23768 in k23764 in k20151 in ... */
static void C_fcall f_30108(C_word t1,C_word t2,C_word t3){
C_word tmp;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(8,0,3)))){
C_save_and_reclaim_args((void *)trf_30108,3,t1,t2,t3);}
a=C_alloc(8);
t4=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_30116,a[2]=t1,a[3]=t3,tmp=(C_word)a,a+=4,tmp);
t5=t2;
t6=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_30126,a[2]=t5,a[3]=t4,tmp=(C_word)a,a+=4,tmp);
/* library.scm:6352: scheme#expt */
t7=*((C_word*)lf[531]+1);{
C_word av2[4];
av2[0]=t7;
av2[1]=t6;
av2[2]=C_fix(10);
av2[3]=t3;
((C_proc)(void*)(*((C_word*)t7+1)))(4,av2);}}

/* k30114 in round-to in display-times in k30012 in k29941 in k29579 in k29359 in k29326 in k29322 in k29140 in k28503 in k28443 in k27110 in k27107 in k27104 in k26337 in k26025 in k26021 in k26017 in k23772 in k23768 in k23764 in ... */
static void C_ccall f_30116(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,c,3)))){
C_save_and_reclaim((void *)f_30116,2,av);}
a=C_alloc(4);
t2=t1;
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_30120,a[2]=((C_word*)t0)[2],a[3]=t2,tmp=(C_word)a,a+=4,tmp);
/* library.scm:6352: scheme#expt */
t4=*((C_word*)lf[531]+1);{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t4;
av2[1]=t3;
av2[2]=lf[1270];
av2[3]=((C_word*)t0)[3];
((C_proc)(void*)(*((C_word*)t4+1)))(4,av2);}}

/* k30118 in k30114 in round-to in display-times in k30012 in k29941 in k29579 in k29359 in k29326 in k29322 in k29140 in k28503 in k28443 in k27110 in k27107 in k27104 in k26337 in k26025 in k26021 in k26017 in k23772 in k23768 in ... */
static void C_ccall f_30120(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_30120,2,av);}
/* ##sys#/-2 */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[526]+1));
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[526]+1);
av2[1]=((C_word*)t0)[2];
av2[2]=((C_word*)t0)[3];
av2[3]=t1;
tp(4,av2);}}

/* k30124 in round-to in display-times in k30012 in k29941 in k29579 in k29359 in k29326 in k29322 in k29140 in k28503 in k28443 in k27110 in k27107 in k27104 in k26337 in k26025 in k26021 in k26017 in k23772 in k23768 in k23764 in ... */
static void C_ccall f_30126(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(33,c,2)))){
C_save_and_reclaim((void *)f_30126,2,av);}
a=C_alloc(33);
t2=C_s_a_i_times(&a,2,((C_word*)t0)[2],t1);
/* library.scm:6352: scheme#round */
t3=*((C_word*)lf[551]+1);{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t3;
av2[1]=((C_word*)t0)[3];
av2[2]=t2;
((C_proc)(void*)(*((C_word*)t3+1)))(3,av2);}}

/* pmem in display-times in k30012 in k29941 in k29579 in k29359 in k29326 in k29322 in k29140 in k28503 in k28443 in k27110 in k27107 in k27104 in k26337 in k26025 in k26021 in k26017 in k23772 in k23768 in k23764 in k20151 in ... */
static void C_fcall f_30128(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(11,0,3)))){
C_save_and_reclaim_args((void *)trf_30128,3,t0,t1,t2);}
a=C_alloc(11);
t3=t2;
if(C_truep(C_i_greaterp(t3,lf[1271]))){
t4=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_30140,a[2]=t1,tmp=(C_word)a,a+=3,tmp);
t5=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_30147,a[2]=((C_word*)t0)[2],a[3]=t4,tmp=(C_word)a,a+=4,tmp);
t6=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_30151,a[2]=((C_word*)t0)[3],a[3]=t5,tmp=(C_word)a,a+=4,tmp);
t7=t2;
/* ##sys#/-2 */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[526]+1));
C_word av2[4];
av2[0]=*((C_word*)lf[526]+1);
av2[1]=t6;
av2[2]=t7;
av2[3]=lf[1271];
tp(4,av2);}}
else{
t4=t2;
if(C_truep(C_i_greaterp(t4,C_fix(1048576)))){
t5=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_30167,a[2]=t1,tmp=(C_word)a,a+=3,tmp);
t6=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_30174,a[2]=((C_word*)t0)[2],a[3]=t5,tmp=(C_word)a,a+=4,tmp);
t7=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_30178,a[2]=((C_word*)t0)[3],a[3]=t6,tmp=(C_word)a,a+=4,tmp);
t8=t2;
/* ##sys#/-2 */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[526]+1));
C_word av2[4];
av2[0]=*((C_word*)lf[526]+1);
av2[1]=t7;
av2[2]=t8;
av2[3]=C_fix(1048576);
tp(4,av2);}}
else{
t5=t2;
if(C_truep(C_i_greaterp(t5,C_fix(1024)))){
t6=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_30191,a[2]=t1,tmp=(C_word)a,a+=3,tmp);
t7=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_30198,a[2]=((C_word*)t0)[2],a[3]=t6,tmp=(C_word)a,a+=4,tmp);
t8=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_30202,a[2]=((C_word*)t0)[3],a[3]=t7,tmp=(C_word)a,a+=4,tmp);
t9=t2;
/* ##sys#/-2 */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[526]+1));
C_word av2[4];
av2[0]=*((C_word*)lf[526]+1);
av2[1]=t8;
av2[2]=t9;
av2[3]=C_fix(1024);
tp(4,av2);}}
else{
t6=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_30207,a[2]=t1,tmp=(C_word)a,a+=3,tmp);
/* library.scm:6360: pnum */
f_30094(t6,t2);}}}}

/* k30138 in pmem in display-times in k30012 in k29941 in k29579 in k29359 in k29326 in k29322 in k29140 in k28503 in k28443 in k27110 in k27107 in k27104 in k26337 in k26025 in k26021 in k26017 in k23772 in k23768 in k23764 in ... */
static void C_ccall f_30140(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,4)))){
C_save_and_reclaim((void *)f_30140,2,av);}
t2=((C_word*)t0)[2];
/* library.scm:6347: ##sys#print */
t3=*((C_word*)lf[871]+1);{
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=t3;
av2[1]=t2;
av2[2]=lf[1272];
av2[3]=C_SCHEME_FALSE;
av2[4]=*((C_word*)lf[718]+1);
((C_proc)(void*)(*((C_word*)t3+1)))(5,av2);}}

/* k30145 in pmem in display-times in k30012 in k29941 in k29579 in k29359 in k29326 in k29322 in k29140 in k28503 in k28443 in k27110 in k27107 in k27104 in k26337 in k26025 in k26021 in k26017 in k23772 in k23768 in k23764 in ... */
static void C_ccall f_30147(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_30147,2,av);}
/* library.scm:6355: pnum */
f_30094(((C_word*)t0)[3],t1);}

/* k30149 in pmem in display-times in k30012 in k29941 in k29579 in k29359 in k29326 in k29322 in k29140 in k28503 in k28443 in k27110 in k27107 in k27104 in k26337 in k26025 in k26021 in k26017 in k23772 in k23768 in k23764 in ... */
static void C_ccall f_30151(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_30151,2,av);}
/* library.scm:6355: round-to */
f_30108(((C_word*)t0)[3],t1,C_fix(2));}

/* k30165 in pmem in display-times in k30012 in k29941 in k29579 in k29359 in k29326 in k29322 in k29140 in k28503 in k28443 in k27110 in k27107 in k27104 in k26337 in k26025 in k26021 in k26017 in k23772 in k23768 in k23764 in ... */
static void C_ccall f_30167(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,4)))){
C_save_and_reclaim((void *)f_30167,2,av);}
t2=((C_word*)t0)[2];
/* library.scm:6347: ##sys#print */
t3=*((C_word*)lf[871]+1);{
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=t3;
av2[1]=t2;
av2[2]=lf[1273];
av2[3]=C_SCHEME_FALSE;
av2[4]=*((C_word*)lf[718]+1);
((C_proc)(void*)(*((C_word*)t3+1)))(5,av2);}}

/* k30172 in pmem in display-times in k30012 in k29941 in k29579 in k29359 in k29326 in k29322 in k29140 in k28503 in k28443 in k27110 in k27107 in k27104 in k26337 in k26025 in k26021 in k26017 in k23772 in k23768 in k23764 in ... */
static void C_ccall f_30174(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_30174,2,av);}
/* library.scm:6357: pnum */
f_30094(((C_word*)t0)[3],t1);}

/* k30176 in pmem in display-times in k30012 in k29941 in k29579 in k29359 in k29326 in k29322 in k29140 in k28503 in k28443 in k27110 in k27107 in k27104 in k26337 in k26025 in k26021 in k26017 in k23772 in k23768 in k23764 in ... */
static void C_ccall f_30178(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_30178,2,av);}
/* library.scm:6357: round-to */
f_30108(((C_word*)t0)[3],t1,C_fix(2));}

/* k30189 in pmem in display-times in k30012 in k29941 in k29579 in k29359 in k29326 in k29322 in k29140 in k28503 in k28443 in k27110 in k27107 in k27104 in k26337 in k26025 in k26021 in k26017 in k23772 in k23768 in k23764 in ... */
static void C_ccall f_30191(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,4)))){
C_save_and_reclaim((void *)f_30191,2,av);}
t2=((C_word*)t0)[2];
/* library.scm:6347: ##sys#print */
t3=*((C_word*)lf[871]+1);{
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=t3;
av2[1]=t2;
av2[2]=lf[1274];
av2[3]=C_SCHEME_FALSE;
av2[4]=*((C_word*)lf[718]+1);
((C_proc)(void*)(*((C_word*)t3+1)))(5,av2);}}

/* k30196 in pmem in display-times in k30012 in k29941 in k29579 in k29359 in k29326 in k29322 in k29140 in k28503 in k28443 in k27110 in k27107 in k27104 in k26337 in k26025 in k26021 in k26017 in k23772 in k23768 in k23764 in ... */
static void C_ccall f_30198(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_30198,2,av);}
/* library.scm:6359: pnum */
f_30094(((C_word*)t0)[3],t1);}

/* k30200 in pmem in display-times in k30012 in k29941 in k29579 in k29359 in k29326 in k29322 in k29140 in k28503 in k28443 in k27110 in k27107 in k27104 in k26337 in k26025 in k26021 in k26017 in k23772 in k23768 in k23764 in ... */
static void C_ccall f_30202(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_30202,2,av);}
/* library.scm:6359: round-to */
f_30108(((C_word*)t0)[3],t1,C_fix(2));}

/* k30205 in pmem in display-times in k30012 in k29941 in k29579 in k29359 in k29326 in k29322 in k29140 in k28503 in k28443 in k27110 in k27107 in k27104 in k26337 in k26025 in k26021 in k26017 in k23772 in k23768 in k23764 in ... */
static void C_ccall f_30207(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,4)))){
C_save_and_reclaim((void *)f_30207,2,av);}
t2=((C_word*)t0)[2];
/* library.scm:6347: ##sys#print */
t3=*((C_word*)lf[871]+1);{
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=t3;
av2[1]=t2;
av2[2]=lf[1275];
av2[3]=C_SCHEME_FALSE;
av2[4]=*((C_word*)lf[718]+1);
((C_proc)(void*)(*((C_word*)t3+1)))(5,av2);}}

/* k30211 in display-times in k30012 in k29941 in k29579 in k29359 in k29326 in k29322 in k29140 in k28503 in k28443 in k27110 in k27107 in k27104 in k26337 in k26025 in k26021 in k26017 in k23772 in k23768 in k23764 in k20151 in ... */
static void C_ccall f_30213(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,c,2)))){
C_save_and_reclaim((void *)f_30213,2,av);}
a=C_alloc(6);
t2=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_30216,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[5],tmp=(C_word)a,a+=6,tmp);
t3=C_slot(((C_word*)t0)[2],C_fix(0));
/* library.scm:6362: pnum */
f_30094(t2,t3);}

/* k30214 in k30211 in display-times in k30012 in k29941 in k29579 in k29359 in k29326 in k29322 in k29140 in k28503 in k28443 in k27110 in k27107 in k27104 in k26337 in k26025 in k26021 in k26017 in k23772 in k23768 in k23764 in ... */
static void C_ccall f_30216(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,c,4)))){
C_save_and_reclaim((void *)f_30216,2,av);}
a=C_alloc(6);
t2=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_30219,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[5],tmp=(C_word)a,a+=6,tmp);
/* library.scm:6347: ##sys#print */
t3=*((C_word*)lf[871]+1);{
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=t3;
av2[1]=t2;
av2[2]=lf[1283];
av2[3]=C_SCHEME_FALSE;
av2[4]=*((C_word*)lf[718]+1);
((C_proc)(void*)(*((C_word*)t3+1)))(5,av2);}}

/* k30217 in k30214 in k30211 in display-times in k30012 in k29941 in k29579 in k29359 in k29326 in k29322 in k29140 in k28503 in k28443 in k27110 in k27107 in k27104 in k26337 in k26025 in k26021 in k26017 in k23772 in k23768 in ... */
static void C_ccall f_30219(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(11,c,4)))){
C_save_and_reclaim((void *)f_30219,2,av);}
a=C_alloc(11);
t2=C_slot(((C_word*)t0)[2],C_fix(1));
t3=t2;
t4=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_30225,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[5],tmp=(C_word)a,a+=6,tmp);
if(C_truep(C_i_greaterp(t3,C_fix(0)))){
t5=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_30305,a[2]=t4,a[3]=((C_word*)t0)[5],a[4]=t3,tmp=(C_word)a,a+=5,tmp);
/* library.scm:6347: ##sys#print */
t6=*((C_word*)lf[871]+1);{
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=t6;
av2[1]=t5;
av2[2]=lf[1282];
av2[3]=C_SCHEME_FALSE;
av2[4]=*((C_word*)lf[718]+1);
((C_proc)(void*)(*((C_word*)t6+1)))(5,av2);}}
else{
t5=t4;{
C_word *av2=av;
av2[0]=t5;
av2[1]=C_SCHEME_UNDEFINED;
f_30225(2,av2);}}}

/* k30223 in k30217 in k30214 in k30211 in display-times in k30012 in k29941 in k29579 in k29359 in k29326 in k29322 in k29140 in k28503 in k28443 in k27110 in k27107 in k27104 in k26337 in k26025 in k26021 in k26017 in k23772 in ... */
static void C_ccall f_30225(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(12,c,4)))){
C_save_and_reclaim((void *)f_30225,2,av);}
a=C_alloc(12);
t2=C_slot(((C_word*)t0)[2],C_fix(2));
t3=t2;
t4=C_slot(((C_word*)t0)[2],C_fix(3));
t5=t4;
t6=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_30234,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[5],tmp=(C_word)a,a+=6,tmp);
if(C_truep(C_fixnum_greaterp(t3,C_fix(0)))){
t7=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_30288,a[2]=t6,a[3]=((C_word*)t0)[5],a[4]=t5,a[5]=t3,tmp=(C_word)a,a+=6,tmp);
/* library.scm:6347: ##sys#print */
t8=*((C_word*)lf[871]+1);{
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=t8;
av2[1]=t7;
av2[2]=lf[1280];
av2[3]=C_SCHEME_FALSE;
av2[4]=*((C_word*)lf[718]+1);
((C_proc)(void*)(*((C_word*)t8+1)))(5,av2);}}
else{
t7=t6;{
C_word *av2=av;
av2[0]=t7;
av2[1]=C_SCHEME_UNDEFINED;
f_30234(2,av2);}}}

/* k30232 in k30223 in k30217 in k30214 in k30211 in display-times in k30012 in k29941 in k29579 in k29359 in k29326 in k29322 in k29140 in k28503 in k28443 in k27110 in k27107 in k27104 in k26337 in k26025 in k26021 in k26017 in ... */
static void C_ccall f_30234(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(11,c,4)))){
C_save_and_reclaim((void *)f_30234,2,av);}
a=C_alloc(11);
t2=C_slot(((C_word*)t0)[2],C_fix(4));
t3=t2;
t4=C_slot(((C_word*)t0)[2],C_fix(5));
t5=t4;
t6=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_30243,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],tmp=(C_word)a,a+=5,tmp);
t7=C_fixnum_greaterp(t3,C_fix(0));
t8=(C_truep(t7)?t7:C_fixnum_greaterp(t5,C_fix(0)));
if(C_truep(t8)){
t9=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_30267,a[2]=t6,a[3]=((C_word*)t0)[5],a[4]=t3,a[5]=t5,tmp=(C_word)a,a+=6,tmp);
/* library.scm:6347: ##sys#print */
t10=*((C_word*)lf[871]+1);{
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=t10;
av2[1]=t9;
av2[2]=lf[1278];
av2[3]=C_SCHEME_FALSE;
av2[4]=*((C_word*)lf[718]+1);
((C_proc)(void*)(*((C_word*)t10+1)))(5,av2);}}
else{
t9=t6;{
C_word *av2=av;
av2[0]=t9;
av2[1]=C_SCHEME_UNDEFINED;
f_30243(2,av2);}}}

/* k30241 in k30232 in k30223 in k30217 in k30214 in k30211 in display-times in k30012 in k29941 in k29579 in k29359 in k29326 in k29322 in k29140 in k28503 in k28443 in k27110 in k27107 in k27104 in k26337 in k26025 in k26021 in ... */
static void C_ccall f_30243(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,c,4)))){
C_save_and_reclaim((void *)f_30243,2,av);}
a=C_alloc(5);
t2=C_slot(((C_word*)t0)[2],C_fix(6));
t3=t2;
t4=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_30249,a[2]=((C_word*)t0)[3],a[3]=((C_word*)t0)[4],a[4]=t3,tmp=(C_word)a,a+=5,tmp);
/* library.scm:6347: ##sys#print */
t5=*((C_word*)lf[871]+1);{
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=t5;
av2[1]=t4;
av2[2]=lf[1276];
av2[3]=C_SCHEME_FALSE;
av2[4]=*((C_word*)lf[718]+1);
((C_proc)(void*)(*((C_word*)t5+1)))(5,av2);}}

/* k30247 in k30241 in k30232 in k30223 in k30217 in k30214 in k30211 in display-times in k30012 in k29941 in k29579 in k29359 in k29326 in k29322 in k29140 in k28503 in k28443 in k27110 in k27107 in k27104 in k26337 in k26025 in ... */
static void C_ccall f_30249(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,2)))){
C_save_and_reclaim((void *)f_30249,2,av);}
a=C_alloc(3);
t2=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_30252,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
/* library.scm:6387: pmem */
t3=((C_word*)((C_word*)t0)[3])[1];
f_30128(t3,t2,((C_word*)t0)[4]);}

/* k30250 in k30247 in k30241 in k30232 in k30223 in k30217 in k30214 in k30211 in display-times in k30012 in k29941 in k29579 in k29359 in k29326 in k29322 in k29140 in k28503 in k28443 in k27110 in k27107 in k27104 in k26337 in ... */
static void C_ccall f_30252(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,3)))){
C_save_and_reclaim((void *)f_30252,2,av);}
a=C_alloc(3);
t2=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_30255,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
/* library.scm:6388: ##sys#write-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[867]);
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[867]+1);
av2[1]=t2;
av2[2]=C_make_character(10);
av2[3]=*((C_word*)lf[718]+1);
tp(4,av2);}}

/* k30253 in k30250 in k30247 in k30241 in k30232 in k30223 in k30217 in k30214 in k30211 in display-times in k30012 in k29941 in k29579 in k29359 in k29326 in k29322 in k29140 in k28503 in k28443 in k27110 in k27107 in k27104 in ... */
static void C_ccall f_30255(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_30255,2,av);}
/* library.scm:6389: ##sys#flush-output */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[749]);
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[749]+1);
av2[1]=((C_word*)t0)[2];
av2[2]=*((C_word*)lf[718]+1);
tp(3,av2);}}

/* k30265 in k30232 in k30223 in k30217 in k30214 in k30211 in display-times in k30012 in k29941 in k29579 in k29359 in k29326 in k29322 in k29140 in k28503 in k28443 in k27110 in k27107 in k27104 in k26337 in k26025 in k26021 in ... */
static void C_ccall f_30267(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,c,2)))){
C_save_and_reclaim((void *)f_30267,2,av);}
a=C_alloc(5);
t2=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_30270,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],tmp=(C_word)a,a+=5,tmp);
/* library.scm:6381: pnum */
f_30094(t2,((C_word*)t0)[5]);}

/* k30268 in k30265 in k30232 in k30223 in k30217 in k30214 in k30211 in display-times in k30012 in k29941 in k29579 in k29359 in k29326 in k29322 in k29140 in k28503 in k28443 in k27110 in k27107 in k27104 in k26337 in k26025 in ... */
static void C_ccall f_30270(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,c,3)))){
C_save_and_reclaim((void *)f_30270,2,av);}
a=C_alloc(5);
t2=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_30273,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],tmp=(C_word)a,a+=5,tmp);
/* library.scm:6348: ##sys#write-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[867]);
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[867]+1);
av2[1]=t2;
av2[2]=C_make_character(47);
av2[3]=*((C_word*)lf[718]+1);
tp(4,av2);}}

/* k30271 in k30268 in k30265 in k30232 in k30223 in k30217 in k30214 in k30211 in display-times in k30012 in k29941 in k29579 in k29359 in k29326 in k29322 in k29140 in k28503 in k28443 in k27110 in k27107 in k27104 in k26337 in ... */
static void C_ccall f_30273(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,2)))){
C_save_and_reclaim((void *)f_30273,2,av);}
a=C_alloc(3);
t2=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_30276,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
/* library.scm:6383: pnum */
f_30094(t2,((C_word*)t0)[4]);}

/* k30274 in k30271 in k30268 in k30265 in k30232 in k30223 in k30217 in k30214 in k30211 in display-times in k30012 in k29941 in k29579 in k29359 in k29326 in k29322 in k29140 in k28503 in k28443 in k27110 in k27107 in k27104 in ... */
static void C_ccall f_30276(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,4)))){
C_save_and_reclaim((void *)f_30276,2,av);}
/* library.scm:6347: ##sys#print */
t2=*((C_word*)lf[871]+1);{
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[2];
av2[2]=lf[1277];
av2[3]=C_SCHEME_FALSE;
av2[4]=*((C_word*)lf[718]+1);
((C_proc)(void*)(*((C_word*)t2+1)))(5,av2);}}

/* k30286 in k30223 in k30217 in k30214 in k30211 in display-times in k30012 in k29941 in k29579 in k29359 in k29326 in k29322 in k29140 in k28503 in k28443 in k27110 in k27107 in k27104 in k26337 in k26025 in k26021 in k26017 in ... */
static void C_ccall f_30288(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,c,2)))){
C_save_and_reclaim((void *)f_30288,2,av);}
a=C_alloc(5);
t2=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_30291,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],tmp=(C_word)a,a+=5,tmp);
/* library.scm:6373: pnum */
f_30094(t2,((C_word*)t0)[5]);}

/* k30289 in k30286 in k30223 in k30217 in k30214 in k30211 in display-times in k30012 in k29941 in k29579 in k29359 in k29326 in k29322 in k29140 in k28503 in k28443 in k27110 in k27107 in k27104 in k26337 in k26025 in k26021 in ... */
static void C_ccall f_30291(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,c,3)))){
C_save_and_reclaim((void *)f_30291,2,av);}
a=C_alloc(5);
t2=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_30294,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],tmp=(C_word)a,a+=5,tmp);
/* library.scm:6348: ##sys#write-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[867]);
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[867]+1);
av2[1]=t2;
av2[2]=C_make_character(47);
av2[3]=*((C_word*)lf[718]+1);
tp(4,av2);}}

/* k30292 in k30289 in k30286 in k30223 in k30217 in k30214 in k30211 in display-times in k30012 in k29941 in k29579 in k29359 in k29326 in k29322 in k29140 in k28503 in k28443 in k27110 in k27107 in k27104 in k26337 in k26025 in ... */
static void C_ccall f_30294(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,2)))){
C_save_and_reclaim((void *)f_30294,2,av);}
a=C_alloc(3);
t2=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_30297,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
/* library.scm:6375: pnum */
f_30094(t2,((C_word*)t0)[4]);}

/* k30295 in k30292 in k30289 in k30286 in k30223 in k30217 in k30214 in k30211 in display-times in k30012 in k29941 in k29579 in k29359 in k29326 in k29322 in k29140 in k28503 in k28443 in k27110 in k27107 in k27104 in k26337 in ... */
static void C_ccall f_30297(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,4)))){
C_save_and_reclaim((void *)f_30297,2,av);}
/* library.scm:6347: ##sys#print */
t2=*((C_word*)lf[871]+1);{
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[2];
av2[2]=lf[1279];
av2[3]=C_SCHEME_FALSE;
av2[4]=*((C_word*)lf[718]+1);
((C_proc)(void*)(*((C_word*)t2+1)))(5,av2);}}

/* k30303 in k30217 in k30214 in k30211 in display-times in k30012 in k29941 in k29579 in k29359 in k29326 in k29322 in k29140 in k28503 in k28443 in k27110 in k27107 in k27104 in k26337 in k26025 in k26021 in k26017 in k23772 in ... */
static void C_ccall f_30305(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,2)))){
C_save_and_reclaim((void *)f_30305,2,av);}
a=C_alloc(3);
t2=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_30308,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
/* library.scm:6367: pnum */
f_30094(t2,((C_word*)t0)[4]);}

/* k30306 in k30303 in k30217 in k30214 in k30211 in display-times in k30012 in k29941 in k29579 in k29359 in k29326 in k29322 in k29140 in k28503 in k28443 in k27110 in k27107 in k27104 in k26337 in k26025 in k26021 in k26017 in ... */
static void C_ccall f_30308(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,4)))){
C_save_and_reclaim((void *)f_30308,2,av);}
/* library.scm:6347: ##sys#print */
t2=*((C_word*)lf[871]+1);{
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[2];
av2[2]=lf[1281];
av2[3]=C_SCHEME_FALSE;
av2[4]=*((C_word*)lf[718]+1);
((C_proc)(void*)(*((C_word*)t2+1)))(5,av2);}}

/* k30319 in k30012 in k29941 in k29579 in k29359 in k29326 in k29322 in k29140 in k28503 in k28443 in k27110 in k27107 in k27104 in k26337 in k26025 in k26021 in k26017 in k23772 in k23768 in k23764 in k20151 in k20147 in ... */
static void C_ccall f_30321(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(13,c,2)))){
C_save_and_reclaim((void *)f_30321,2,av);}
a=C_alloc(13);
t2=t1;
t3=C_mutate((C_word*)lf[1286]+1 /* (set! chicken.platform#software-type ...) */,(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_30322,a[2]=t2,a[3]=((C_word)li940),tmp=(C_word)a,a+=4,tmp));
t4=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_30327,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
t5=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)C_machine_type,a[2]=((C_word)li962),tmp=(C_word)a,a+=3,tmp);
t6=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_30904,a[2]=t4,tmp=(C_word)a,a+=3,tmp);
/* library.scm:6418: g7202 */
t7=t5;{
C_word *av2=av;
av2[0]=t7;
av2[1]=t6;
((C_proc)C_fast_retrieve_proc(t7))(2,av2);}}

/* chicken.platform#software-type in k30319 in k30012 in k29941 in k29579 in k29359 in k29326 in k29322 in k29140 in k28503 in k28443 in k27110 in k27107 in k27104 in k26337 in k26025 in k26021 in k26017 in k23772 in k23768 in k23764 in k20151 in ... */
static void C_ccall f_30322(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(c!=2) C_bad_argc_2(c,2,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_30322,2,av);}
t2=t1;{
C_word *av2=av;
av2[0]=t2;
av2[1]=((C_word*)t0)[2];
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* k30325 in k30319 in k30012 in k29941 in k29579 in k29359 in k29326 in k29322 in k29140 in k28503 in k28443 in k27110 in k27107 in k27104 in k26337 in k26025 in k26021 in k26017 in k23772 in k23768 in k23764 in k20151 in ... */
static void C_ccall f_30327(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(13,c,2)))){
C_save_and_reclaim((void *)f_30327,2,av);}
a=C_alloc(13);
t2=t1;
t3=C_mutate((C_word*)lf[1287]+1 /* (set! chicken.platform#machine-type ...) */,(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_30328,a[2]=t2,a[3]=((C_word)li941),tmp=(C_word)a,a+=4,tmp));
t4=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_30333,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
t5=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)C_machine_byte_order,a[2]=((C_word)li961),tmp=(C_word)a,a+=3,tmp);
t6=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_30900,a[2]=t4,tmp=(C_word)a,a+=3,tmp);
/* library.scm:6422: g7206 */
t7=t5;{
C_word *av2=av;
av2[0]=t7;
av2[1]=t6;
((C_proc)C_fast_retrieve_proc(t7))(2,av2);}}

/* chicken.platform#machine-type in k30325 in k30319 in k30012 in k29941 in k29579 in k29359 in k29326 in k29322 in k29140 in k28503 in k28443 in k27110 in k27107 in k27104 in k26337 in k26025 in k26021 in k26017 in k23772 in k23768 in k23764 in ... */
static void C_ccall f_30328(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(c!=2) C_bad_argc_2(c,2,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_30328,2,av);}
t2=t1;{
C_word *av2=av;
av2[0]=t2;
av2[1]=((C_word*)t0)[2];
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* k30331 in k30325 in k30319 in k30012 in k29941 in k29579 in k29359 in k29326 in k29322 in k29140 in k28503 in k28443 in k27110 in k27107 in k27104 in k26337 in k26025 in k26021 in k26017 in k23772 in k23768 in k23764 in ... */
static void C_ccall f_30333(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(13,c,2)))){
C_save_and_reclaim((void *)f_30333,2,av);}
a=C_alloc(13);
t2=t1;
t3=C_mutate((C_word*)lf[1288]+1 /* (set! chicken.platform#machine-byte-order ...) */,(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_30334,a[2]=t2,a[3]=((C_word)li942),tmp=(C_word)a,a+=4,tmp));
t4=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_30339,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
t5=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)C_software_version,a[2]=((C_word)li960),tmp=(C_word)a,a+=3,tmp);
t6=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_30896,a[2]=t4,tmp=(C_word)a,a+=3,tmp);
/* library.scm:6426: g7210 */
t7=t5;{
C_word *av2=av;
av2[0]=t7;
av2[1]=t6;
((C_proc)C_fast_retrieve_proc(t7))(2,av2);}}

/* chicken.platform#machine-byte-order in k30331 in k30325 in k30319 in k30012 in k29941 in k29579 in k29359 in k29326 in k29322 in k29140 in k28503 in k28443 in k27110 in k27107 in k27104 in k26337 in k26025 in k26021 in k26017 in k23772 in k23768 in ... */
static void C_ccall f_30334(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(c!=2) C_bad_argc_2(c,2,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_30334,2,av);}
t2=t1;{
C_word *av2=av;
av2[0]=t2;
av2[1]=((C_word*)t0)[2];
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* k30337 in k30331 in k30325 in k30319 in k30012 in k29941 in k29579 in k29359 in k29326 in k29322 in k29140 in k28503 in k28443 in k27110 in k27107 in k27104 in k26337 in k26025 in k26021 in k26017 in k23772 in k23768 in ... */
static void C_ccall f_30339(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(13,c,2)))){
C_save_and_reclaim((void *)f_30339,2,av);}
a=C_alloc(13);
t2=t1;
t3=C_mutate((C_word*)lf[1289]+1 /* (set! chicken.platform#software-version ...) */,(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_30340,a[2]=t2,a[3]=((C_word)li943),tmp=(C_word)a,a+=4,tmp));
t4=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_30345,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
t5=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)C_build_platform,a[2]=((C_word)li959),tmp=(C_word)a,a+=3,tmp);
t6=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_30892,a[2]=t4,tmp=(C_word)a,a+=3,tmp);
/* library.scm:6430: g7214 */
t7=t5;{
C_word *av2=av;
av2[0]=t7;
av2[1]=t6;
((C_proc)C_fast_retrieve_proc(t7))(2,av2);}}

/* chicken.platform#software-version in k30337 in k30331 in k30325 in k30319 in k30012 in k29941 in k29579 in k29359 in k29326 in k29322 in k29140 in k28503 in k28443 in k27110 in k27107 in k27104 in k26337 in k26025 in k26021 in k26017 in k23772 in ... */
static void C_ccall f_30340(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(c!=2) C_bad_argc_2(c,2,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_30340,2,av);}
t2=t1;{
C_word *av2=av;
av2[0]=t2;
av2[1]=((C_word*)t0)[2];
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* k30343 in k30337 in k30331 in k30325 in k30319 in k30012 in k29941 in k29579 in k29359 in k29326 in k29322 in k29140 in k28503 in k28443 in k27110 in k27107 in k27104 in k26337 in k26025 in k26021 in k26017 in k23772 in ... */
static void C_ccall f_30345(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(10,c,2)))){
C_save_and_reclaim((void *)f_30345,2,av);}
a=C_alloc(10);
t2=t1;
t3=C_mutate((C_word*)lf[1290]+1 /* (set! chicken.platform#build-platform ...) */,(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_30346,a[2]=t2,a[3]=((C_word)li944),tmp=(C_word)a,a+=4,tmp));
t4=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_30351,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
t5=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_30888,a[2]=t4,tmp=(C_word)a,a+=3,tmp);
/* library.scm:6434: software-type */
t6=C_fast_retrieve(lf[1286]);{
C_word *av2=av;
av2[0]=t6;
av2[1]=t5;
((C_proc)(void*)(*((C_word*)t6+1)))(2,av2);}}

/* chicken.platform#build-platform in k30343 in k30337 in k30331 in k30325 in k30319 in k30012 in k29941 in k29579 in k29359 in k29326 in k29322 in k29140 in k28503 in k28443 in k27110 in k27107 in k27104 in k26337 in k26025 in k26021 in k26017 in ... */
static void C_ccall f_30346(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(c!=2) C_bad_argc_2(c,2,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_30346,2,av);}
t2=t1;{
C_word *av2=av;
av2[0]=t2;
av2[1]=((C_word*)t0)[2];
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* k30349 in k30343 in k30337 in k30331 in k30325 in k30319 in k30012 in k29941 in k29579 in k29359 in k29326 in k29322 in k29140 in k28503 in k28443 in k27110 in k27107 in k27104 in k26337 in k26025 in k26021 in k26017 in ... */
static void C_fcall f_30351(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(15,0,3)))){
C_save_and_reclaim_args((void *)trf_30351,2,t0,t1);}
a=C_alloc(15);
t2=C_set_block_item(lf[1291] /* ##sys#windows-platform */,0,t1);
t3=C_mutate((C_word*)lf[1292]+1 /* (set! chicken.platform#chicken-version ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_30353,a[2]=((C_word)li946),tmp=(C_word)a,a+=3,tmp));
t4=C_mutate((C_word*)lf[1326]+1 /* (set! chicken.platform#chicken-home ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_30492,a[2]=((C_word)li947),tmp=(C_word)a,a+=3,tmp));
t5=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_30500,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
t6=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_30858,a[2]=t5,tmp=(C_word)a,a+=3,tmp);
/* ##sys#peek-c-string */
t7=*((C_word*)lf[705]+1);{
C_word av2[4];
av2[0]=t7;
av2[1]=t6;
av2[2]=C_mpointer(&a,(void*)C_private_repository_path());
av2[3]=C_fix(0);
((C_proc)(void*)(*((C_word*)t7+1)))(4,av2);}}

/* chicken.platform#chicken-version in k30349 in k30343 in k30337 in k30331 in k30325 in k30319 in k30012 in k29941 in k29579 in k29359 in k29326 in k29322 in k29140 in k28503 in k28443 in k27110 in k27107 in k27104 in k26337 in k26025 in k26021 in ... */
static void C_ccall f_30353(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand((c-2)*C_SIZEOF_PAIR +6,c,2)))){
C_save_and_reclaim((void*)f_30353,c,av);}
a=C_alloc((c-2)*C_SIZEOF_PAIR+6);
t2=C_build_rest(&a,c,2,av);
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
t3=C_i_nullp(t2);
t4=(C_truep(t3)?C_SCHEME_FALSE:C_i_car(t2));
if(C_truep(t4)){
t5=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_30414,a[2]=t1,tmp=(C_word)a,a+=3,tmp);
t6=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_30484,a[2]=t5,tmp=(C_word)a,a+=3,tmp);
/* library.scm:6451: feature? */
t7=C_fast_retrieve(lf[1320]);{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t7;
av2[1]=t6;
av2[2]=lf[1325];
((C_proc)(void*)(*((C_word*)t7+1)))(3,av2);}}
else{
t5=C_fast_retrieve(lf[1294]);
t6=t1;{
C_word *av2=av;
av2[0]=t6;
av2[1]=C_fast_retrieve(lf[1294]);
((C_proc)(void*)(*((C_word*)t6+1)))(2,av2);}}}

/* k30361 in k30423 in k30419 in k30412 in chicken.platform#chicken-version in k30349 in k30343 in k30337 in k30331 in k30325 in k30319 in k30012 in k29941 in k29579 in k29359 in k29326 in k29322 in k29140 in k28503 in k28443 in k27110 in k27107 in ... */
static void C_ccall f_30363(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,c,2)))){
C_save_and_reclaim((void *)f_30363,2,av);}
a=C_alloc(4);
t2=t1;
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_30366,a[2]=((C_word*)t0)[2],a[3]=t2,tmp=(C_word)a,a+=4,tmp);
/* library.scm:6441: software-type */
t4=C_fast_retrieve(lf[1286]);{
C_word *av2=av;
av2[0]=t4;
av2[1]=t3;
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* k30364 in k30361 in k30423 in k30419 in k30412 in chicken.platform#chicken-version in k30349 in k30343 in k30337 in k30331 in k30325 in k30319 in k30012 in k29941 in k29579 in k29359 in k29326 in k29322 in k29140 in k28503 in k28443 in k27110 in ... */
static void C_ccall f_30366(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,c,2)))){
C_save_and_reclaim((void *)f_30366,2,av);}
a=C_alloc(5);
t2=t1;
t3=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_30369,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=t2,tmp=(C_word)a,a+=5,tmp);
/* library.scm:6442: software-version */
t4=C_fast_retrieve(lf[1289]);{
C_word *av2=av;
av2[0]=t4;
av2[1]=t3;
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* k30367 in k30364 in k30361 in k30423 in k30419 in k30412 in chicken.platform#chicken-version in k30349 in k30343 in k30337 in k30331 in k30325 in k30319 in k30012 in k29941 in k29579 in k29359 in k29326 in k29322 in k29140 in k28503 in k28443 in ... */
static void C_ccall f_30369(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,c,2)))){
C_save_and_reclaim((void *)f_30369,2,av);}
a=C_alloc(6);
t2=t1;
t3=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_30372,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=t2,tmp=(C_word)a,a+=6,tmp);
/* library.scm:6443: machine-type */
t4=C_fast_retrieve(lf[1287]);{
C_word *av2=av;
av2[0]=t4;
av2[1]=t3;
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* k30370 in k30367 in k30364 in k30361 in k30423 in k30419 in k30412 in chicken.platform#chicken-version in k30349 in k30343 in k30337 in k30331 in k30325 in k30319 in k30012 in k29941 in k29579 in k29359 in k29326 in k29322 in k29140 in k28503 in ... */
static void C_ccall f_30372(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(10,c,3)))){
C_save_and_reclaim((void *)f_30372,2,av);}
a=C_alloc(10);
t2=t1;
t3=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_30374,a[2]=((C_word)li945),tmp=(C_word)a,a+=3,tmp);
t4=(*a=C_CLOSURE_TYPE|6,a[1]=(C_word)f_30396,a[2]=((C_word*)t0)[2],a[3]=t2,a[4]=t3,a[5]=((C_word*)t0)[3],a[6]=((C_word*)t0)[4],tmp=(C_word)a,a+=7,tmp);
/* library.scm:6448: str */
f_30374(t4,((C_word*)t0)[5]);}

/* str in k30370 in k30367 in k30364 in k30361 in k30423 in k30419 in k30412 in chicken.platform#chicken-version in k30349 in k30343 in k30337 in k30331 in k30325 in k30319 in k30012 in k29941 in k29579 in k29359 in k29326 in k29322 in k29140 in ... */
static void C_fcall f_30374(C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,0,2)))){
C_save_and_reclaim_args((void *)trf_30374,2,t1,t2);}
a=C_alloc(3);
t3=C_eqp(lf[1299],t2);
if(C_truep(t3)){
t4=t1;{
C_word av2[2];
av2[0]=t4;
av2[1]=lf[1300];
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}
else{
t4=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_30388,a[2]=t1,tmp=(C_word)a,a+=3,tmp);
/* library.scm:6447: scheme#symbol->string */
t5=*((C_word*)lf[636]+1);{
C_word av2[3];
av2[0]=t5;
av2[1]=t4;
av2[2]=t2;
((C_proc)(void*)(*((C_word*)t5+1)))(3,av2);}}}

/* k30386 in str in k30370 in k30367 in k30364 in k30361 in k30423 in k30419 in k30412 in chicken.platform#chicken-version in k30349 in k30343 in k30337 in k30331 in k30325 in k30319 in k30012 in k29941 in k29579 in k29359 in k29326 in k29322 in ... */
static void C_ccall f_30388(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_30388,2,av);}
/* ##sys#string-append */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[412]+1));
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[412]+1);
av2[1]=((C_word*)t0)[2];
av2[2]=t1;
av2[3]=lf[1301];
tp(4,av2);}}

/* k30394 in k30370 in k30367 in k30364 in k30361 in k30423 in k30419 in k30412 in chicken.platform#chicken-version in k30349 in k30343 in k30337 in k30331 in k30325 in k30319 in k30012 in k29941 in k29579 in k29359 in k29326 in k29322 in k29140 in ... */
static void C_ccall f_30396(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(7,c,2)))){
C_save_and_reclaim((void *)f_30396,2,av);}
a=C_alloc(7);
t2=t1;
t3=(*a=C_CLOSURE_TYPE|6,a[1]=(C_word)f_30400,a[2]=((C_word*)t0)[2],a[3]=t2,a[4]=((C_word*)t0)[3],a[5]=((C_word*)t0)[4],a[6]=((C_word*)t0)[5],tmp=(C_word)a,a+=7,tmp);
/* library.scm:6448: str */
f_30374(t3,((C_word*)t0)[6]);}

/* k30398 in k30394 in k30370 in k30367 in k30364 in k30361 in k30423 in k30419 in k30412 in chicken.platform#chicken-version in k30349 in k30343 in k30337 in k30331 in k30325 in k30319 in k30012 in k29941 in k29579 in k29359 in k29326 in k29322 in ... */
static void C_ccall f_30400(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,c,2)))){
C_save_and_reclaim((void *)f_30400,2,av);}
a=C_alloc(6);
t2=t1;
t3=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_30404,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=t2,a[5]=((C_word*)t0)[4],tmp=(C_word)a,a+=6,tmp);
/* library.scm:6448: str */
f_30374(t3,((C_word*)t0)[6]);}

/* k30402 in k30398 in k30394 in k30370 in k30367 in k30364 in k30361 in k30423 in k30419 in k30412 in chicken.platform#chicken-version in k30349 in k30343 in k30337 in k30331 in k30325 in k30319 in k30012 in k29941 in k29579 in k29359 in k29326 in ... */
static void C_ccall f_30404(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,c,2)))){
C_save_and_reclaim((void *)f_30404,2,av);}
a=C_alloc(6);
t2=t1;
t3=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_30408,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=t2,tmp=(C_word)a,a+=6,tmp);
/* library.scm:6448: ##sys#symbol->string */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[629]+1));
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[629]+1);
av2[1]=t3;
av2[2]=((C_word*)t0)[5];
tp(3,av2);}}

/* k30406 in k30402 in k30398 in k30394 in k30370 in k30367 in k30364 in k30361 in k30423 in k30419 in k30412 in chicken.platform#chicken-version in k30349 in k30343 in k30337 in k30331 in k30325 in k30319 in k30012 in k29941 in k29579 in k29359 in ... */
static void C_ccall f_30408(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,5)))){
C_save_and_reclaim((void *)f_30408,2,av);}
/* library.scm:6448: scheme#string-append */
t2=*((C_word*)lf[413]+1);{
C_word *av2;
if(c >= 6) {
  av2=av;
} else {
  av2=C_alloc(6);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[2];
av2[2]=((C_word*)t0)[3];
av2[3]=((C_word*)t0)[4];
av2[4]=((C_word*)t0)[5];
av2[5]=t1;
((C_proc)(void*)(*((C_word*)t2+1)))(6,av2);}}

/* k30412 in chicken.platform#chicken-version in k30349 in k30343 in k30337 in k30331 in k30325 in k30319 in k30012 in k29941 in k29579 in k29359 in k29326 in k29322 in k29140 in k28503 in k28443 in k27110 in k27107 in k27104 in k26337 in k26025 in ... */
static void C_ccall f_30414(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,c,4)))){
C_save_and_reclaim((void *)f_30414,2,av);}
a=C_alloc(4);
t2=t1;
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_30421,a[2]=((C_word*)t0)[2],a[3]=t2,tmp=(C_word)a,a+=4,tmp);
if(C_truep(C_fast_retrieve(lf[1306]))){
/* library.scm:6458: scheme#string-append */
t4=*((C_word*)lf[413]+1);{
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=t4;
av2[1]=t3;
av2[2]=lf[1307];
av2[3]=C_fast_retrieve(lf[1306]);
av2[4]=lf[1308];
((C_proc)(void*)(*((C_word*)t4+1)))(5,av2);}}
else{
t4=t3;{
C_word *av2=av;
av2[0]=t4;
av2[1]=lf[1309];
f_30421(2,av2);}}}

/* k30419 in k30412 in chicken.platform#chicken-version in k30349 in k30343 in k30337 in k30331 in k30325 in k30319 in k30012 in k29941 in k29579 in k29359 in k29326 in k29322 in k29140 in k28503 in k28443 in k27110 in k27107 in k27104 in k26337 in ... */
static void C_ccall f_30421(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,c,4)))){
C_save_and_reclaim((void *)f_30421,2,av);}
a=C_alloc(5);
t2=t1;
t3=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_30425,a[2]=((C_word*)t0)[2],a[3]=t2,a[4]=((C_word*)t0)[3],tmp=(C_word)a,a+=5,tmp);
if(C_truep(C_fast_retrieve(lf[1302]))){
/* library.scm:6459: scheme#string-append */
t4=*((C_word*)lf[413]+1);{
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=t4;
av2[1]=t3;
av2[2]=lf[1303];
av2[3]=C_fast_retrieve(lf[1302]);
av2[4]=lf[1304];
((C_proc)(void*)(*((C_word*)t4+1)))(5,av2);}}
else{
t4=t3;{
C_word *av2=av;
av2[0]=t4;
av2[1]=lf[1305];
f_30425(2,av2);}}}

/* k30423 in k30419 in k30412 in chicken.platform#chicken-version in k30349 in k30343 in k30337 in k30331 in k30325 in k30319 in k30012 in k29941 in k29579 in k29359 in k29326 in k29322 in k29140 in k28503 in k28443 in k27110 in k27107 in k27104 in ... */
static void C_ccall f_30425(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(9,c,2)))){
C_save_and_reclaim((void *)f_30425,2,av);}
a=C_alloc(9);
t2=t1;
t3=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_30429,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=t2,a[5]=((C_word*)t0)[4],tmp=(C_word)a,a+=6,tmp);
t4=t3;
t5=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_30363,a[2]=t4,tmp=(C_word)a,a+=3,tmp);
/* library.scm:6440: build-platform */
t6=C_fast_retrieve(lf[1290]);{
C_word *av2=av;
av2[0]=t6;
av2[1]=t5;
((C_proc)(void*)(*((C_word*)t6+1)))(2,av2);}}

/* k30427 in k30423 in k30419 in k30412 in chicken.platform#chicken-version in k30349 in k30343 in k30337 in k30331 in k30325 in k30319 in k30012 in k29941 in k29579 in k29359 in k29326 in k29322 in k29140 in k28503 in k28443 in k27110 in k27107 in ... */
static void C_ccall f_30429(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,c,8)))){
C_save_and_reclaim((void *)f_30429,2,av);}
a=C_alloc(6);
t2=t1;
t3=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_30433,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=t2,tmp=(C_word)a,a+=6,tmp);
t4=C_block_size(((C_word*)t0)[5]);
t5=C_eqp(t4,C_fix(0));
if(C_truep(t5)){
/* library.scm:6456: scheme#string-append */
t6=*((C_word*)lf[413]+1);{
C_word *av2;
if(c >= 9) {
  av2=av;
} else {
  av2=C_alloc(9);
}
av2[0]=t6;
av2[1]=((C_word*)t0)[2];
av2[2]=lf[1293];
av2[3]=C_fast_retrieve(lf[1294]);
av2[4]=((C_word*)t0)[3];
av2[5]=((C_word*)t0)[4];
av2[6]=lf[1295];
av2[7]=t2;
av2[8]=lf[1296];
((C_proc)(void*)(*((C_word*)t6+1)))(9,av2);}}
else{
/* library.scm:6464: scheme#string-append */
t6=*((C_word*)lf[413]+1);{
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=t6;
av2[1]=t3;
av2[2]=lf[1297];
av2[3]=((C_word*)t0)[5];
av2[4]=lf[1298];
((C_proc)(void*)(*((C_word*)t6+1)))(5,av2);}}}

/* k30431 in k30427 in k30423 in k30419 in k30412 in chicken.platform#chicken-version in k30349 in k30343 in k30337 in k30331 in k30325 in k30319 in k30012 in k29941 in k29579 in k29359 in k29326 in k29322 in k29140 in k28503 in k28443 in k27110 in ... */
static void C_ccall f_30433(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,8)))){
C_save_and_reclaim((void *)f_30433,2,av);}
/* library.scm:6456: scheme#string-append */
t2=*((C_word*)lf[413]+1);{
C_word *av2;
if(c >= 9) {
  av2=av;
} else {
  av2=C_alloc(9);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[2];
av2[2]=lf[1293];
av2[3]=C_fast_retrieve(lf[1294]);
av2[4]=((C_word*)t0)[3];
av2[5]=((C_word*)t0)[4];
av2[6]=lf[1295];
av2[7]=((C_word*)t0)[5];
av2[8]=t1;
((C_proc)(void*)(*((C_word*)t2+1)))(9,av2);}}

/* k30470 in k30473 in k30476 in k30479 in k30482 in chicken.platform#chicken-version in k30349 in k30343 in k30337 in k30331 in k30325 in k30319 in k30012 in k29941 in k29579 in k29359 in k29326 in k29322 in k29140 in k28503 in k28443 in k27110 in ... */
static void C_ccall f_30472(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,6)))){
C_save_and_reclaim((void *)f_30472,2,av);}
if(C_truep(t1)){
/* library.scm:6450: scheme#string-append */
t2=*((C_word*)lf[413]+1);{
C_word *av2;
if(c >= 7) {
  av2=av;
} else {
  av2=C_alloc(7);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[2];
av2[2]=((C_word*)t0)[3];
av2[3]=((C_word*)t0)[4];
av2[4]=((C_word*)t0)[5];
av2[5]=((C_word*)t0)[6];
av2[6]=lf[1318];
((C_proc)(void*)(*((C_word*)t2+1)))(7,av2);}}
else{
/* library.scm:6450: scheme#string-append */
t2=*((C_word*)lf[413]+1);{
C_word *av2;
if(c >= 7) {
  av2=av;
} else {
  av2=C_alloc(7);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[2];
av2[2]=((C_word*)t0)[3];
av2[3]=((C_word*)t0)[4];
av2[4]=((C_word*)t0)[5];
av2[5]=((C_word*)t0)[6];
av2[6]=lf[1319];
((C_proc)(void*)(*((C_word*)t2+1)))(7,av2);}}}

/* k30473 in k30476 in k30479 in k30482 in chicken.platform#chicken-version in k30349 in k30343 in k30337 in k30331 in k30325 in k30319 in k30012 in k29941 in k29579 in k29359 in k29326 in k29322 in k29140 in k28503 in k28443 in k27110 in k27107 in ... */
static void C_ccall f_30475(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(7,c,2)))){
C_save_and_reclaim((void *)f_30475,2,av);}
a=C_alloc(7);
t2=(C_truep(t1)?lf[1316]:lf[1317]);
t3=t2;
t4=(*a=C_CLOSURE_TYPE|6,a[1]=(C_word)f_30472,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[5],a[6]=t3,tmp=(C_word)a,a+=7,tmp);
/* library.scm:6455: feature? */
t5=C_fast_retrieve(lf[1320]);{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t5;
av2[1]=t4;
av2[2]=lf[1321];
((C_proc)(void*)(*((C_word*)t5+1)))(3,av2);}}

/* k30476 in k30479 in k30482 in chicken.platform#chicken-version in k30349 in k30343 in k30337 in k30331 in k30325 in k30319 in k30012 in k29941 in k29579 in k29359 in k29326 in k29322 in k29140 in k28503 in k28443 in k27110 in k27107 in k27104 in ... */
static void C_ccall f_30478(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,c,2)))){
C_save_and_reclaim((void *)f_30478,2,av);}
a=C_alloc(6);
t2=(C_truep(t1)?lf[1314]:lf[1315]);
t3=t2;
t4=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_30475,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=t3,tmp=(C_word)a,a+=6,tmp);
/* library.scm:6454: feature? */
t5=C_fast_retrieve(lf[1320]);{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t5;
av2[1]=t4;
av2[2]=lf[1322];
((C_proc)(void*)(*((C_word*)t5+1)))(3,av2);}}

/* k30479 in k30482 in chicken.platform#chicken-version in k30349 in k30343 in k30337 in k30331 in k30325 in k30319 in k30012 in k29941 in k29579 in k29359 in k29326 in k29322 in k29140 in k28503 in k28443 in k27110 in k27107 in k27104 in k26337 in ... */
static void C_ccall f_30481(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,c,2)))){
C_save_and_reclaim((void *)f_30481,2,av);}
a=C_alloc(5);
t2=(C_truep(t1)?lf[1312]:lf[1313]);
t3=t2;
t4=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_30478,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=t3,tmp=(C_word)a,a+=5,tmp);
/* library.scm:6453: feature? */
t5=C_fast_retrieve(lf[1320]);{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t5;
av2[1]=t4;
av2[2]=lf[1323];
((C_proc)(void*)(*((C_word*)t5+1)))(3,av2);}}

/* k30482 in chicken.platform#chicken-version in k30349 in k30343 in k30337 in k30331 in k30325 in k30319 in k30012 in k29941 in k29579 in k29359 in k29326 in k29322 in k29140 in k28503 in k28443 in k27110 in k27107 in k27104 in k26337 in k26025 in ... */
static void C_ccall f_30484(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,c,2)))){
C_save_and_reclaim((void *)f_30484,2,av);}
a=C_alloc(4);
t2=(C_truep(t1)?lf[1310]:lf[1311]);
t3=t2;
t4=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_30481,a[2]=((C_word*)t0)[2],a[3]=t3,tmp=(C_word)a,a+=4,tmp);
/* library.scm:6452: feature? */
t5=C_fast_retrieve(lf[1320]);{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t5;
av2[1]=t4;
av2[2]=lf[1324];
((C_proc)(void*)(*((C_word*)t5+1)))(3,av2);}}

/* chicken.platform#chicken-home in k30349 in k30343 in k30337 in k30331 in k30325 in k30319 in k30012 in k29941 in k29579 in k29359 in k29326 in k29322 in k29140 in k28503 in k28443 in k27110 in k27107 in k27104 in k26337 in k26025 in k26021 in ... */
static void C_ccall f_30492(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(c!=2) C_bad_argc_2(c,2,t0);
if(C_unlikely(!C_demand(C_calculate_demand(3,c,3)))){
C_save_and_reclaim((void *)f_30492,2,av);}
a=C_alloc(3);
/* ##sys#peek-c-string */
t2=*((C_word*)lf[705]+1);{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t2;
av2[1]=t1;
av2[2]=C_mpointer(&a,(void*)C_INSTALL_SHARE_HOME);
av2[3]=C_fix(0);
((C_proc)(void*)(*((C_word*)t2+1)))(4,av2);}}

/* k30498 in k30349 in k30343 in k30337 in k30331 in k30325 in k30319 in k30012 in k29941 in k29579 in k29359 in k29326 in k29322 in k29140 in k28503 in k28443 in k27110 in k27107 in k27104 in k26337 in k26025 in k26021 in ... */
static void C_ccall f_30500(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(9,c,3)))){
C_save_and_reclaim((void *)f_30500,2,av);}
a=C_alloc(9);
t2=C_mutate((C_word*)lf[1327]+1 /* (set! chicken.platform#repository-path ...) */,t1);
t3=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_30504,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
t4=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_30842,a[2]=t3,tmp=(C_word)a,a+=3,tmp);
/* ##sys#peek-c-string */
t5=*((C_word*)lf[705]+1);{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t5;
av2[1]=t4;
av2[2]=C_mpointer(&a,(void*)C_private_repository_path());
av2[3]=C_fix(0);
((C_proc)(void*)(*((C_word*)t5+1)))(4,av2);}}

/* k30502 in k30498 in k30349 in k30343 in k30337 in k30331 in k30325 in k30319 in k30012 in k29941 in k29579 in k29359 in k29326 in k29322 in k29140 in k28503 in k28443 in k27110 in k27107 in k27104 in k26337 in k26025 in ... */
static void C_ccall f_30504(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(14,c,3)))){
C_save_and_reclaim((void *)f_30504,2,av);}
a=C_alloc(14);
t2=C_mutate((C_word*)lf[1328]+1 /* (set! chicken.platform#installation-repository ...) */,t1);
t3=C_mutate(&lf[1329] /* (set! chicken.platform#->feature-id ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_30521,a[2]=((C_word)li948),tmp=(C_word)a,a+=3,tmp));
t4=C_mutate((C_word*)lf[1331]+1 /* (set! ##sys#features ...) */,lf[1332]);
t5=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_30555,a[2]=((C_word)li949),tmp=(C_word)a,a+=3,tmp);
t6=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_30573,a[2]=((C_word*)t0)[2],a[3]=t5,tmp=(C_word)a,a+=4,tmp);
t7=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_30838,a[2]=t5,a[3]=t6,tmp=(C_word)a,a+=4,tmp);
/* library.scm:6511: software-type */
t8=C_fast_retrieve(lf[1286]);{
C_word *av2=av;
av2[0]=t8;
av2[1]=t7;
((C_proc)(void*)(*((C_word*)t8+1)))(2,av2);}}

/* chicken.platform#->feature-id in k30502 in k30498 in k30349 in k30343 in k30337 in k30331 in k30325 in k30319 in k30012 in k29941 in k29579 in k29359 in k29326 in k29322 in k29140 in k28503 in k28443 in k27110 in k27107 in k27104 in k26337 in ... */
static void C_ccall f_30521(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(4,c,2)))){
C_save_and_reclaim((void *)f_30521,3,av);}
a=C_alloc(4);
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_30528,a[2]=t2,a[3]=t1,tmp=(C_word)a,a+=4,tmp);
/* library.scm:6497: chicken.keyword#keyword? */
t4=*((C_word*)lf[649]+1);{
C_word *av2=av;
av2[0]=t4;
av2[1]=t3;
av2[2]=t2;
((C_proc)(void*)(*((C_word*)t4+1)))(3,av2);}}

/* k30526 in chicken.platform#->feature-id in k30502 in k30498 in k30349 in k30343 in k30337 in k30331 in k30325 in k30319 in k30012 in k29941 in k29579 in k29359 in k29326 in k29322 in k29140 in k28503 in k28443 in k27110 in k27107 in k27104 in ... */
static void C_ccall f_30528(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,5)))){
C_save_and_reclaim((void *)f_30528,2,av);}
a=C_alloc(3);
if(C_truep(t1)){
t2=((C_word*)t0)[2];
t3=((C_word*)t0)[3];{
C_word *av2=av;
av2[0]=t3;
av2[1]=t2;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}
else{
if(C_truep(C_i_stringp(((C_word*)t0)[2]))){
/* library.scm:6498: chicken.keyword#string->keyword */
t2=*((C_word*)lf[650]+1);{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[3];
av2[2]=((C_word*)t0)[2];
((C_proc)(void*)(*((C_word*)t2+1)))(3,av2);}}
else{
if(C_truep(C_i_symbolp(((C_word*)t0)[2]))){
t2=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_30550,a[2]=((C_word*)t0)[3],tmp=(C_word)a,a+=3,tmp);
/* library.scm:6499: ##sys#symbol->string */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[629]+1));
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[629]+1);
av2[1]=t2;
av2[2]=((C_word*)t0)[2];
tp(3,av2);}}
else{
t2=((C_word*)t0)[3];
t3=C_a_i_list(&a,1,((C_word*)t0)[2]);{
C_word *av2;
if(c >= 6) {
  av2=av;
} else {
  av2=C_alloc(6);
}
av2[0]=0;
av2[1]=t2;
av2[2]=C_fast_retrieve(lf[194]);
av2[3]=lf[258];
av2[4]=lf[1330];
av2[5]=t3;
C_apply(6,av2);}}}}}

/* k30548 in k30526 in chicken.platform#->feature-id in k30502 in k30498 in k30349 in k30343 in k30337 in k30331 in k30325 in k30319 in k30012 in k29941 in k29579 in k29359 in k29326 in k29322 in k29140 in k28503 in k28443 in k27110 in k27107 in ... */
static void C_ccall f_30550(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_30550,2,av);}
/* library.scm:6499: chicken.keyword#string->keyword */
t2=*((C_word*)lf[650]+1);{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[2];
av2[2]=t1;
((C_proc)(void*)(*((C_word*)t2+1)))(3,av2);}}

/* check in k30502 in k30498 in k30349 in k30343 in k30337 in k30331 in k30325 in k30319 in k30012 in k29941 in k29579 in k29359 in k29326 in k29322 in k29140 in k28503 in k28443 in k27110 in k27107 in k27104 in k26337 in ... */
static void C_fcall f_30555(C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,0,2)))){
C_save_and_reclaim_args((void *)trf_30555,2,t1,t2);}
a=C_alloc(3);
t3=C_eqp(lf[1299],t2);
if(C_truep(t3)){
t4=C_SCHEME_UNDEFINED;
t5=t1;{
C_word av2[2];
av2[0]=t5;
av2[1]=t4;
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}
else{
t4=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_30570,a[2]=t1,tmp=(C_word)a,a+=3,tmp);
/* library.scm:6510: ->feature-id */
t5=C_retrieve2(lf[1329],C_text("chicken.platform#->feature-id"));{
C_word av2[3];
av2[0]=t5;
av2[1]=t4;
av2[2]=t2;
f_30521(3,av2);}}}

/* k30568 in check in k30502 in k30498 in k30349 in k30343 in k30337 in k30331 in k30325 in k30319 in k30012 in k29941 in k29579 in k29359 in k29326 in k29322 in k29140 in k28503 in k28443 in k27110 in k27107 in k27104 in ... */
static void C_ccall f_30570(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,1)))){
C_save_and_reclaim((void *)f_30570,2,av);}
a=C_alloc(3);
t2=C_a_i_cons(&a,2,t1,C_fast_retrieve(lf[1331]));
t3=C_mutate((C_word*)lf[1331]+1 /* (set! ##sys#features ...) */,t2);
t4=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t4;
av2[1]=t3;
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* k30571 in k30502 in k30498 in k30349 in k30343 in k30337 in k30331 in k30325 in k30319 in k30012 in k29941 in k29579 in k29359 in k29326 in k29322 in k29140 in k28503 in k28443 in k27110 in k27107 in k27104 in k26337 in ... */
static void C_ccall f_30573(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(8,c,2)))){
C_save_and_reclaim((void *)f_30573,2,av);}
a=C_alloc(8);
t2=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_30576,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],tmp=(C_word)a,a+=4,tmp);
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_30834,a[2]=((C_word*)t0)[3],a[3]=t2,tmp=(C_word)a,a+=4,tmp);
/* library.scm:6512: software-version */
t4=C_fast_retrieve(lf[1289]);{
C_word *av2=av;
av2[0]=t4;
av2[1]=t3;
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* k30574 in k30571 in k30502 in k30498 in k30349 in k30343 in k30337 in k30331 in k30325 in k30319 in k30012 in k29941 in k29579 in k29359 in k29326 in k29322 in k29140 in k28503 in k28443 in k27110 in k27107 in k27104 in ... */
static void C_ccall f_30576(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(8,c,2)))){
C_save_and_reclaim((void *)f_30576,2,av);}
a=C_alloc(8);
t2=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_30579,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],tmp=(C_word)a,a+=4,tmp);
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_30830,a[2]=((C_word*)t0)[3],a[3]=t2,tmp=(C_word)a,a+=4,tmp);
/* library.scm:6513: build-platform */
t4=C_fast_retrieve(lf[1290]);{
C_word *av2=av;
av2[0]=t4;
av2[1]=t3;
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* k30577 in k30574 in k30571 in k30502 in k30498 in k30349 in k30343 in k30337 in k30331 in k30325 in k30319 in k30012 in k29941 in k29579 in k29359 in k29326 in k29322 in k29140 in k28503 in k28443 in k27110 in k27107 in ... */
static void C_ccall f_30579(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(8,c,2)))){
C_save_and_reclaim((void *)f_30579,2,av);}
a=C_alloc(8);
t2=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_30582,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],tmp=(C_word)a,a+=4,tmp);
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_30826,a[2]=((C_word*)t0)[3],a[3]=t2,tmp=(C_word)a,a+=4,tmp);
/* library.scm:6514: machine-type */
t4=C_fast_retrieve(lf[1287]);{
C_word *av2=av;
av2[0]=t4;
av2[1]=t3;
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* k30580 in k30577 in k30574 in k30571 in k30502 in k30498 in k30349 in k30343 in k30337 in k30331 in k30325 in k30319 in k30012 in k29941 in k29579 in k29359 in k29326 in k29322 in k29140 in k28503 in k28443 in k27110 in ... */
static void C_ccall f_30582(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(7,c,2)))){
C_save_and_reclaim((void *)f_30582,2,av);}
a=C_alloc(7);
t2=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_30585,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_30822,a[2]=((C_word*)t0)[3],a[3]=t2,tmp=(C_word)a,a+=4,tmp);
/* library.scm:6515: machine-byte-order */
t4=C_fast_retrieve(lf[1288]);{
C_word *av2=av;
av2[0]=t4;
av2[1]=t3;
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* k30583 in k30580 in k30577 in k30574 in k30571 in k30502 in k30498 in k30349 in k30343 in k30337 in k30331 in k30325 in k30319 in k30012 in k29941 in k29579 in k29359 in k29326 in k29322 in k29140 in k28503 in k28443 in ... */
static void C_ccall f_30585(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,c,2)))){
C_save_and_reclaim((void *)f_30585,2,av);}
a=C_alloc(6);
t2=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_30588,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
if(C_truep(C_mk_bool(HAVE_DLOAD))){
t3=C_a_i_cons(&a,2,lf[1324],C_fast_retrieve(lf[1331]));
t4=C_mutate((C_word*)lf[1331]+1 /* (set! ##sys#features ...) */,t3);
t5=t2;
f_30588(t5,t4);}
else{
t3=t2;
f_30588(t3,C_SCHEME_UNDEFINED);}}

/* k30586 in k30583 in k30580 in k30577 in k30574 in k30571 in k30502 in k30498 in k30349 in k30343 in k30337 in k30331 in k30325 in k30319 in k30012 in k29941 in k29579 in k29359 in k29326 in k29322 in k29140 in k28503 in ... */
static void C_fcall f_30588(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,0,2)))){
C_save_and_reclaim_args((void *)trf_30588,2,t0,t1);}
a=C_alloc(6);
t2=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_30591,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
if(C_truep(C_mk_bool(HAVE_PTABLES))){
t3=C_a_i_cons(&a,2,lf[1323],C_fast_retrieve(lf[1331]));
t4=C_mutate((C_word*)lf[1331]+1 /* (set! ##sys#features ...) */,t3);
t5=t2;
f_30591(t5,t4);}
else{
t3=t2;
f_30591(t3,C_SCHEME_UNDEFINED);}}

/* k30589 in k30586 in k30583 in k30580 in k30577 in k30574 in k30571 in k30502 in k30498 in k30349 in k30343 in k30337 in k30331 in k30325 in k30319 in k30012 in k29941 in k29579 in k29359 in k29326 in k29322 in k29140 in ... */
static void C_fcall f_30591(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,0,2)))){
C_save_and_reclaim_args((void *)trf_30591,2,t0,t1);}
a=C_alloc(6);
t2=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_30594,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
if(C_truep(C_mk_bool(HAVE_GCHOOKS))){
t3=C_a_i_cons(&a,2,lf[1322],C_fast_retrieve(lf[1331]));
t4=C_mutate((C_word*)lf[1331]+1 /* (set! ##sys#features ...) */,t3);
t5=t2;
f_30594(t5,t4);}
else{
t3=t2;
f_30594(t3,C_SCHEME_UNDEFINED);}}

/* k30592 in k30589 in k30586 in k30583 in k30580 in k30577 in k30574 in k30571 in k30502 in k30498 in k30349 in k30343 in k30337 in k30331 in k30325 in k30319 in k30012 in k29941 in k29579 in k29359 in k29326 in k29322 in ... */
static void C_fcall f_30594(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,0,2)))){
C_save_and_reclaim_args((void *)trf_30594,2,t0,t1);}
a=C_alloc(6);
t2=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_30597,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
if(C_truep(C_mk_bool(IS_CROSS_CHICKEN))){
t3=C_a_i_cons(&a,2,lf[1321],C_fast_retrieve(lf[1331]));
t4=C_mutate((C_word*)lf[1331]+1 /* (set! ##sys#features ...) */,t3);
t5=t2;
f_30597(t5,t4);}
else{
t3=t2;
f_30597(t3,C_SCHEME_UNDEFINED);}}

/* k30595 in k30592 in k30589 in k30586 in k30583 in k30580 in k30577 in k30574 in k30571 in k30502 in k30498 in k30349 in k30343 in k30337 in k30331 in k30325 in k30319 in k30012 in k29941 in k29579 in k29359 in k29326 in ... */
static void C_fcall f_30597(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,0,2)))){
C_save_and_reclaim_args((void *)trf_30597,2,t0,t1);}
a=C_alloc(6);
t2=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_30600,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
t3=C_fix((C_word)C_WORD_SIZE);
t4=C_eqp(t3,C_fix(64));
if(C_truep(t4)){
t5=C_a_i_cons(&a,2,lf[1325],C_fast_retrieve(lf[1331]));
t6=C_mutate((C_word*)lf[1331]+1 /* (set! ##sys#features ...) */,t5);
t7=t2;
f_30600(t7,t6);}
else{
t5=t2;
f_30600(t5,C_SCHEME_UNDEFINED);}}

/* k30598 in k30595 in k30592 in k30589 in k30586 in k30583 in k30580 in k30577 in k30574 in k30571 in k30502 in k30498 in k30349 in k30343 in k30337 in k30331 in k30325 in k30319 in k30012 in k29941 in k29579 in k29359 in ... */
static void C_fcall f_30600(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,0,2)))){
C_save_and_reclaim_args((void *)trf_30600,2,t0,t1);}
a=C_alloc(3);
t2=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_30604,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
t3=C_fix((C_word)C_MAJOR_VERSION);
/* library.scm:6529: ##sys#number->string */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[600]+1));
C_word av2[3];
av2[0]=*((C_word*)lf[600]+1);
av2[1]=t2;
av2[2]=t3;
tp(3,av2);}}

/* k30602 in k30598 in k30595 in k30592 in k30589 in k30586 in k30583 in k30580 in k30577 in k30574 in k30571 in k30502 in k30498 in k30349 in k30343 in k30337 in k30331 in k30325 in k30319 in k30012 in k29941 in k29579 in ... */
static void C_ccall f_30604(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,c,2)))){
C_save_and_reclaim((void *)f_30604,2,av);}
a=C_alloc(4);
t2=t1;
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_30607,a[2]=((C_word*)t0)[2],a[3]=t2,tmp=(C_word)a,a+=4,tmp);
t4=C_fix((C_word)C_MINOR_VERSION);
/* library.scm:6530: ##sys#number->string */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[600]+1));
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[600]+1);
av2[1]=t3;
av2[2]=t4;
tp(3,av2);}}

/* k30605 in k30602 in k30598 in k30595 in k30592 in k30589 in k30586 in k30583 in k30580 in k30577 in k30574 in k30571 in k30502 in k30498 in k30349 in k30343 in k30337 in k30331 in k30325 in k30319 in k30012 in k29941 in ... */
static void C_ccall f_30607(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(8,c,3)))){
C_save_and_reclaim((void *)f_30607,2,av);}
a=C_alloc(8);
t2=t1;
t3=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_30776,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=t2,tmp=(C_word)a,a+=5,tmp);
t4=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_30792,a[2]=t3,tmp=(C_word)a,a+=3,tmp);
/* library.scm:6531: scheme#string-append */
t5=*((C_word*)lf[413]+1);{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t5;
av2[1]=t4;
av2[2]=lf[1339];
av2[3]=((C_word*)t0)[3];
((C_proc)(void*)(*((C_word*)t5+1)))(4,av2);}}

/* chicken.platform#register-feature! in k30782 in k30774 in k30605 in k30602 in k30598 in k30595 in k30592 in k30589 in k30586 in k30583 in k30580 in k30577 in k30574 in k30571 in k30502 in k30498 in k30349 in k30343 in k30337 in k30331 in k30325 in ... */
static void C_ccall f_30612(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand((c-2)*C_SIZEOF_PAIR +9,c,3)))){
C_save_and_reclaim((void*)f_30612,c,av);}
a=C_alloc((c-2)*C_SIZEOF_PAIR+9);
t2=C_build_rest(&a,c,2,av);
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
t3=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_30631,a[2]=t1,tmp=(C_word)a,a+=3,tmp);
t4=C_SCHEME_UNDEFINED;
t5=(*a=C_VECTOR_TYPE|1,a[1]=t4,tmp=(C_word)a,a+=2,tmp);
t6=C_set_block_item(t5,0,(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_30633,a[2]=t5,a[3]=((C_word)li950),tmp=(C_word)a,a+=4,tmp));
t7=((C_word*)t5)[1];
f_30633(t7,t3,t2);}

/* k30616 in for-each-loop7288 in chicken.platform#register-feature! in k30782 in k30774 in k30605 in k30602 in k30598 in k30595 in k30592 in k30589 in k30586 in k30583 in k30580 in k30577 in k30574 in k30571 in k30502 in k30498 in k30349 in k30343 in k30337 in ... */
static void C_ccall f_30618(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,1)))){
C_save_and_reclaim((void *)f_30618,2,av);}
a=C_alloc(3);
if(C_truep(C_i_memq(t1,C_fast_retrieve(lf[1331])))){
t2=C_SCHEME_UNDEFINED;
t3=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t3;
av2[1]=t2;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}
else{
t2=C_a_i_cons(&a,2,t1,C_fast_retrieve(lf[1331]));
t3=C_mutate((C_word*)lf[1331]+1 /* (set! ##sys#features ...) */,t2);
t4=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t4;
av2[1]=t3;
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}}

/* k30629 in chicken.platform#register-feature! in k30782 in k30774 in k30605 in k30602 in k30598 in k30595 in k30592 in k30589 in k30586 in k30583 in k30580 in k30577 in k30574 in k30571 in k30502 in k30498 in k30349 in k30343 in k30337 in k30331 in ... */
static void C_ccall f_30631(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_30631,2,av);}
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=C_SCHEME_UNDEFINED;
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* for-each-loop7288 in chicken.platform#register-feature! in k30782 in k30774 in k30605 in k30602 in k30598 in k30595 in k30592 in k30589 in k30586 in k30583 in k30580 in k30577 in k30574 in k30571 in k30502 in k30498 in k30349 in k30343 in k30337 in k30331 in ... */
static void C_fcall f_30633(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(8,0,2)))){
C_save_and_reclaim_args((void *)trf_30633,3,t0,t1,t2);}
a=C_alloc(8);
if(C_truep(C_i_pairp(t2))){
t3=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_30643,a[2]=t2,a[3]=((C_word*)t0)[2],a[4]=t1,tmp=(C_word)a,a+=5,tmp);
t4=C_slot(t2,C_fix(0));
t5=t3;
t6=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_30618,a[2]=t5,tmp=(C_word)a,a+=3,tmp);
/* library.scm:6538: ->feature-id */
t7=C_retrieve2(lf[1329],C_text("chicken.platform#->feature-id"));{
C_word av2[3];
av2[0]=t7;
av2[1]=t6;
av2[2]=t4;
f_30521(3,av2);}}
else{
t3=C_SCHEME_UNDEFINED;
t4=t1;{
C_word av2[2];
av2[0]=t4;
av2[1]=t3;
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}}

/* k30641 in for-each-loop7288 in chicken.platform#register-feature! in k30782 in k30774 in k30605 in k30602 in k30598 in k30595 in k30592 in k30589 in k30586 in k30583 in k30580 in k30577 in k30574 in k30571 in k30502 in k30498 in k30349 in k30343 in k30337 in ... */
static void C_ccall f_30643(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_30643,2,av);}
t2=C_slot(((C_word*)t0)[2],C_fix(1));
t3=((C_word*)((C_word*)t0)[3])[1];
f_30633(t3,((C_word*)t0)[4],t2);}

/* chicken.platform#unregister-feature! in k30782 in k30774 in k30605 in k30602 in k30598 in k30595 in k30592 in k30589 in k30586 in k30583 in k30580 in k30577 in k30574 in k30571 in k30502 in k30498 in k30349 in k30343 in k30337 in k30331 in k30325 in ... */
static void C_ccall f_30656(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand((c-2)*C_SIZEOF_PAIR +17,c,3)))){
C_save_and_reclaim((void*)f_30656,c,av);}
a=C_alloc((c-2)*C_SIZEOF_PAIR+17);
t2=C_build_rest(&a,c,2,av);
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word t12;
t3=C_a_i_cons(&a,2,C_SCHEME_UNDEFINED,C_SCHEME_END_OF_LIST);
t4=t3;
t5=(*a=C_VECTOR_TYPE|1,a[1]=t4,tmp=(C_word)a,a+=2,tmp);
t6=((C_word*)t5)[1];
t7=C_retrieve2(lf[1329],C_text("chicken.platform#->feature-id"));
t8=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_30663,a[2]=t1,tmp=(C_word)a,a+=3,tmp);
t9=C_SCHEME_UNDEFINED;
t10=(*a=C_VECTOR_TYPE|1,a[1]=t9,tmp=(C_word)a,a+=2,tmp);
t11=C_set_block_item(t10,0,(*a=C_CLOSURE_TYPE|6,a[1]=(C_word)f_30700,a[2]=t5,a[3]=t10,a[4]=t7,a[5]=t6,a[6]=((C_word)li953),tmp=(C_word)a,a+=7,tmp));
t12=((C_word*)t10)[1];
f_30700(t12,t8,t2);}

/* k30661 in chicken.platform#unregister-feature! in k30782 in k30774 in k30605 in k30602 in k30598 in k30595 in k30592 in k30589 in k30586 in k30583 in k30580 in k30577 in k30574 in k30571 in k30502 in k30498 in k30349 in k30343 in k30337 in k30331 in ... */
static void C_ccall f_30663(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(10,c,3)))){
C_save_and_reclaim((void *)f_30663,2,av);}
a=C_alloc(10);
t2=t1;
t3=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_30667,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
t4=C_SCHEME_UNDEFINED;
t5=(*a=C_VECTOR_TYPE|1,a[1]=t4,tmp=(C_word)a,a+=2,tmp);
t6=C_set_block_item(t5,0,(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_30669,a[2]=t2,a[3]=t5,a[4]=((C_word)li952),tmp=(C_word)a,a+=5,tmp));
t7=((C_word*)t5)[1];
f_30669(t7,t3,C_fast_retrieve(lf[1331]));}

/* k30665 in k30661 in chicken.platform#unregister-feature! in k30782 in k30774 in k30605 in k30602 in k30598 in k30595 in k30592 in k30589 in k30586 in k30583 in k30580 in k30577 in k30574 in k30571 in k30502 in k30498 in k30349 in k30343 in k30337 in ... */
static void C_ccall f_30667(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_30667,2,av);}
t2=C_mutate((C_word*)lf[1331]+1 /* (set! ##sys#features ...) */,t1);
t3=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_SCHEME_UNDEFINED;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* loop in k30661 in chicken.platform#unregister-feature! in k30782 in k30774 in k30605 in k30602 in k30598 in k30595 in k30592 in k30589 in k30586 in k30583 in k30580 in k30577 in k30574 in k30571 in k30502 in k30498 in k30349 in k30343 in k30337 in ... */
static void C_fcall f_30669(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word *a;
loop:
if(C_unlikely(!C_demand(C_calculate_demand(4,0,2)))){
C_save_and_reclaim_args((void *)trf_30669,3,t0,t1,t2);}
a=C_alloc(4);
if(C_truep(C_i_nullp(t2))){
t3=t1;{
C_word av2[2];
av2[0]=t3;
av2[1]=C_SCHEME_END_OF_LIST;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}
else{
t3=C_slot(t2,C_fix(0));
t4=t3;
t5=C_slot(t2,C_fix(1));
if(C_truep(C_i_memq(t4,((C_word*)t0)[2]))){
/* library.scm:6552: loop */
t8=t1;
t9=t5;
t1=t8;
t2=t9;
goto loop;}
else{
t6=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_30698,a[2]=t1,a[3]=t4,tmp=(C_word)a,a+=4,tmp);
/* library.scm:6553: loop */
t8=t6;
t9=t5;
t1=t8;
t2=t9;
goto loop;}}}

/* k30696 in loop in k30661 in chicken.platform#unregister-feature! in k30782 in k30774 in k30605 in k30602 in k30598 in k30595 in k30592 in k30589 in k30586 in k30583 in k30580 in k30577 in k30574 in k30571 in k30502 in k30498 in k30349 in k30343 in ... */
static void C_ccall f_30698(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,1)))){
C_save_and_reclaim((void *)f_30698,2,av);}
a=C_alloc(3);
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=C_a_i_cons(&a,2,((C_word*)t0)[3],t1);
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* map-loop7311 in chicken.platform#unregister-feature! in k30782 in k30774 in k30605 in k30602 in k30598 in k30595 in k30592 in k30589 in k30586 in k30583 in k30580 in k30577 in k30574 in k30571 in k30502 in k30498 in k30349 in k30343 in k30337 in k30331 in ... */
static void C_fcall f_30700(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,0,2)))){
C_save_and_reclaim_args((void *)trf_30700,3,t0,t1,t2);}
a=C_alloc(6);
if(C_truep(C_i_pairp(t2))){
t3=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_30725,a[2]=((C_word*)t0)[2],a[3]=t2,a[4]=((C_word*)t0)[3],a[5]=t1,tmp=(C_word)a,a+=6,tmp);
t4=C_slot(t2,C_fix(0));
/* library.scm:6544: g7317 */
t5=((C_word*)t0)[4];{
C_word av2[3];
av2[0]=t5;
av2[1]=t3;
av2[2]=t4;
((C_proc)(void*)(*((C_word*)t5+1)))(3,av2);}}
else{
t3=t1;{
C_word av2[2];
av2[0]=t3;
av2[1]=C_slot(((C_word*)t0)[5],C_fix(1));
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}}

/* k30723 in map-loop7311 in chicken.platform#unregister-feature! in k30782 in k30774 in k30605 in k30602 in k30598 in k30595 in k30592 in k30589 in k30586 in k30583 in k30580 in k30577 in k30574 in k30571 in k30502 in k30498 in k30349 in k30343 in k30337 in ... */
static void C_ccall f_30725(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,2)))){
C_save_and_reclaim((void *)f_30725,2,av);}
a=C_alloc(3);
t2=C_a_i_cons(&a,2,t1,C_SCHEME_END_OF_LIST);
t3=C_i_setslot(((C_word*)((C_word*)t0)[2])[1],C_fix(1),t2);
t4=C_mutate(((C_word *)((C_word*)t0)[2])+1,t2);
t5=C_slot(((C_word*)t0)[3],C_fix(1));
t6=((C_word*)((C_word*)t0)[4])[1];
f_30700(t6,((C_word*)t0)[5],t5);}

/* chicken.platform#features in k30782 in k30774 in k30605 in k30602 in k30598 in k30595 in k30592 in k30589 in k30586 in k30583 in k30580 in k30577 in k30574 in k30571 in k30502 in k30498 in k30349 in k30343 in k30337 in k30331 in k30325 in ... */
static void C_ccall f_30734(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(c!=2) C_bad_argc_2(c,2,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_30734,2,av);}
t2=t1;{
C_word *av2=av;
av2[0]=t2;
av2[1]=C_fast_retrieve(lf[1331]);
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* chicken.platform#feature? in k30782 in k30774 in k30605 in k30602 in k30598 in k30595 in k30592 in k30589 in k30586 in k30583 in k30580 in k30577 in k30574 in k30571 in k30502 in k30498 in k30349 in k30343 in k30337 in k30331 in k30325 in ... */
static void C_ccall f_30737(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand((c-2)*C_SIZEOF_PAIR +6,c,3)))){
C_save_and_reclaim((void*)f_30737,c,av);}
a=C_alloc((c-2)*C_SIZEOF_PAIR+6);
t2=C_build_rest(&a,c,2,av);
C_word t3;
C_word t4;
C_word t5;
C_word t6;
t3=C_SCHEME_UNDEFINED;
t4=(*a=C_VECTOR_TYPE|1,a[1]=t3,tmp=(C_word)a,a+=2,tmp);
t5=C_set_block_item(t4,0,(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_30743,a[2]=t4,a[3]=((C_word)li956),tmp=(C_word)a,a+=4,tmp));
t6=((C_word*)t4)[1];
f_30743(t6,t1,t2);}

/* loop in chicken.platform#feature? in k30782 in k30774 in k30605 in k30602 in k30598 in k30595 in k30592 in k30589 in k30586 in k30583 in k30580 in k30577 in k30574 in k30571 in k30502 in k30498 in k30349 in k30343 in k30337 in k30331 in ... */
static void C_fcall f_30743(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,0,2)))){
C_save_and_reclaim_args((void *)trf_30743,3,t0,t1,t2);}
a=C_alloc(5);
t3=C_i_nullp(t2);
if(C_truep(t3)){
t4=t1;{
C_word av2[2];
av2[0]=t4;
av2[1]=t3;
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}
else{
t4=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_30767,a[2]=t2,a[3]=((C_word*)t0)[2],a[4]=t1,tmp=(C_word)a,a+=5,tmp);
t5=C_slot(t2,C_fix(0));
/* library.scm:6561: ->feature-id */
t6=C_retrieve2(lf[1329],C_text("chicken.platform#->feature-id"));{
C_word av2[3];
av2[0]=t6;
av2[1]=t4;
av2[2]=t5;
f_30521(3,av2);}}}

/* k30765 in loop in chicken.platform#feature? in k30782 in k30774 in k30605 in k30602 in k30598 in k30595 in k30592 in k30589 in k30586 in k30583 in k30580 in k30577 in k30574 in k30571 in k30502 in k30498 in k30349 in k30343 in k30337 in ... */
static void C_ccall f_30767(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_30767,2,av);}
if(C_truep(C_i_memq(t1,C_fast_retrieve(lf[1331])))){
t2=C_slot(((C_word*)t0)[2],C_fix(1));
/* library.scm:6562: loop */
t3=((C_word*)((C_word*)t0)[3])[1];
f_30743(t3,((C_word*)t0)[4],t2);}
else{
t2=((C_word*)t0)[4];{
C_word *av2=av;
av2[0]=t2;
av2[1]=C_SCHEME_FALSE;
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}}

/* k30774 in k30605 in k30602 in k30598 in k30595 in k30592 in k30589 in k30586 in k30583 in k30580 in k30577 in k30574 in k30571 in k30502 in k30498 in k30349 in k30343 in k30337 in k30331 in k30325 in k30319 in k30012 in ... */
static void C_ccall f_30776(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(7,c,5)))){
C_save_and_reclaim((void *)f_30776,2,av);}
a=C_alloc(7);
t2=t1;
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_30784,a[2]=t2,a[3]=((C_word*)t0)[2],tmp=(C_word)a,a+=4,tmp);
t4=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_30788,a[2]=t3,tmp=(C_word)a,a+=3,tmp);
/* library.scm:6532: scheme#string-append */
t5=*((C_word*)lf[413]+1);{
C_word *av2;
if(c >= 6) {
  av2=av;
} else {
  av2=C_alloc(6);
}
av2[0]=t5;
av2[1]=t4;
av2[2]=lf[1337];
av2[3]=((C_word*)t0)[3];
av2[4]=lf[1338];
av2[5]=((C_word*)t0)[4];
((C_proc)(void*)(*((C_word*)t5+1)))(6,av2);}}

/* k30782 in k30774 in k30605 in k30602 in k30598 in k30595 in k30592 in k30589 in k30586 in k30583 in k30580 in k30577 in k30574 in k30571 in k30502 in k30498 in k30349 in k30343 in k30337 in k30331 in k30325 in k30319 in ... */
static void C_ccall f_30784(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(21,c,2)))){
C_save_and_reclaim((void *)f_30784,2,av);}
a=C_alloc(21);
t2=C_a_i_cons(&a,2,t1,C_fast_retrieve(lf[1331]));
t3=C_a_i_cons(&a,2,((C_word*)t0)[2],t2);
t4=C_mutate((C_word*)lf[1331]+1 /* (set! ##sys#features ...) */,t3);
t5=C_mutate((C_word*)lf[1333]+1 /* (set! chicken.platform#register-feature! ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_30612,a[2]=((C_word)li951),tmp=(C_word)a,a+=3,tmp));
t6=C_mutate((C_word*)lf[1334]+1 /* (set! chicken.platform#unregister-feature! ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_30656,a[2]=((C_word)li954),tmp=(C_word)a,a+=3,tmp));
t7=C_mutate((C_word*)lf[1335]+1 /* (set! chicken.platform#features ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_30734,a[2]=((C_word)li955),tmp=(C_word)a,a+=3,tmp));
t8=C_mutate((C_word*)lf[1320]+1 /* (set! chicken.platform#feature? ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_30737,a[2]=((C_word)li957),tmp=(C_word)a,a+=3,tmp));
t9=C_mutate((C_word*)lf[1336]+1 /* (set! chicken.platform#return-to-host ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)C_return_to_host,a[2]=((C_word)li958),tmp=(C_word)a,a+=3,tmp));
t10=((C_word*)t0)[3];{
C_word *av2=av;
av2[0]=t10;
av2[1]=C_SCHEME_UNDEFINED;
((C_proc)(void*)(*((C_word*)t10+1)))(2,av2);}}

/* k30786 in k30774 in k30605 in k30602 in k30598 in k30595 in k30592 in k30589 in k30586 in k30583 in k30580 in k30577 in k30574 in k30571 in k30502 in k30498 in k30349 in k30343 in k30337 in k30331 in k30325 in k30319 in ... */
static void C_ccall f_30788(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_30788,2,av);}
/* library.scm:6532: ->feature-id */
t2=C_retrieve2(lf[1329],C_text("chicken.platform#->feature-id"));{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[2];
av2[2]=t1;
f_30521(3,av2);}}

/* k30790 in k30605 in k30602 in k30598 in k30595 in k30592 in k30589 in k30586 in k30583 in k30580 in k30577 in k30574 in k30571 in k30502 in k30498 in k30349 in k30343 in k30337 in k30331 in k30325 in k30319 in k30012 in ... */
static void C_ccall f_30792(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_30792,2,av);}
/* library.scm:6531: ->feature-id */
t2=C_retrieve2(lf[1329],C_text("chicken.platform#->feature-id"));{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[2];
av2[2]=t1;
f_30521(3,av2);}}

/* k30820 in k30580 in k30577 in k30574 in k30571 in k30502 in k30498 in k30349 in k30343 in k30337 in k30331 in k30325 in k30319 in k30012 in k29941 in k29579 in k29359 in k29326 in k29322 in k29140 in k28503 in k28443 in ... */
static void C_ccall f_30822(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_30822,2,av);}
/* library.scm:6515: check */
f_30555(((C_word*)t0)[3],t1);}

/* k30824 in k30577 in k30574 in k30571 in k30502 in k30498 in k30349 in k30343 in k30337 in k30331 in k30325 in k30319 in k30012 in k29941 in k29579 in k29359 in k29326 in k29322 in k29140 in k28503 in k28443 in k27110 in ... */
static void C_ccall f_30826(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_30826,2,av);}
/* library.scm:6514: check */
f_30555(((C_word*)t0)[3],t1);}

/* k30828 in k30574 in k30571 in k30502 in k30498 in k30349 in k30343 in k30337 in k30331 in k30325 in k30319 in k30012 in k29941 in k29579 in k29359 in k29326 in k29322 in k29140 in k28503 in k28443 in k27110 in k27107 in ... */
static void C_ccall f_30830(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_30830,2,av);}
/* library.scm:6513: check */
f_30555(((C_word*)t0)[3],t1);}

/* k30832 in k30571 in k30502 in k30498 in k30349 in k30343 in k30337 in k30331 in k30325 in k30319 in k30012 in k29941 in k29579 in k29359 in k29326 in k29322 in k29140 in k28503 in k28443 in k27110 in k27107 in k27104 in ... */
static void C_ccall f_30834(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_30834,2,av);}
/* library.scm:6512: check */
f_30555(((C_word*)t0)[3],t1);}

/* k30836 in k30502 in k30498 in k30349 in k30343 in k30337 in k30331 in k30325 in k30319 in k30012 in k29941 in k29579 in k29359 in k29326 in k29322 in k29140 in k28503 in k28443 in k27110 in k27107 in k27104 in k26337 in ... */
static void C_ccall f_30838(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_30838,2,av);}
/* library.scm:6511: check */
f_30555(((C_word*)t0)[3],t1);}

/* k30840 in k30498 in k30349 in k30343 in k30337 in k30331 in k30325 in k30319 in k30012 in k29941 in k29579 in k29359 in k29326 in k29322 in k29140 in k28503 in k28443 in k27110 in k27107 in k27104 in k26337 in k26025 in ... */
static void C_ccall f_30842(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(7,c,2)))){
C_save_and_reclaim((void *)f_30842,2,av);}
a=C_alloc(7);
t2=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_30845,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
if(C_truep(t1)){
t3=t1;
/* library.scm:6482: chicken.base#make-parameter */
t4=*((C_word*)lf[201]+1);{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t4;
av2[1]=((C_word*)t0)[2];
av2[2]=t3;
((C_proc)(void*)(*((C_word*)t4+1)))(3,av2);}}
else{
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_30848,a[2]=((C_word*)t0)[2],a[3]=t2,tmp=(C_word)a,a+=4,tmp);
/* library.scm:6484: chicken.process-context#get-environment-variable */
t4=C_fast_retrieve(lf[1194]);{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t4;
av2[1]=t3;
av2[2]=lf[1340];
((C_proc)(void*)(*((C_word*)t4+1)))(3,av2);}}}

/* k30843 in k30840 in k30498 in k30349 in k30343 in k30337 in k30331 in k30325 in k30319 in k30012 in k29941 in k29579 in k29359 in k29326 in k29322 in k29140 in k28503 in k28443 in k27110 in k27107 in k27104 in k26337 in ... */
static void C_ccall f_30845(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_30845,2,av);}
/* library.scm:6482: chicken.base#make-parameter */
t2=*((C_word*)lf[201]+1);{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[2];
av2[2]=t1;
((C_proc)(void*)(*((C_word*)t2+1)))(3,av2);}}

/* k30846 in k30840 in k30498 in k30349 in k30343 in k30337 in k30331 in k30325 in k30319 in k30012 in k29941 in k29579 in k29359 in k29326 in k29322 in k29140 in k28503 in k28443 in k27110 in k27107 in k27104 in k26337 in ... */
static void C_ccall f_30848(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,3)))){
C_save_and_reclaim((void *)f_30848,2,av);}
a=C_alloc(3);
if(C_truep(t1)){
t2=t1;
/* library.scm:6482: chicken.base#make-parameter */
t3=*((C_word*)lf[201]+1);{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t3;
av2[1]=((C_word*)t0)[2];
av2[2]=t2;
((C_proc)(void*)(*((C_word*)t3+1)))(3,av2);}}
else{
/* ##sys#peek-c-string */
t2=*((C_word*)lf[705]+1);{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[3];
av2[2]=C_mpointer(&a,(void*)C_INSTALL_EGG_HOME);
av2[3]=C_fix(0);
((C_proc)(void*)(*((C_word*)t2+1)))(4,av2);}}}

/* k30856 in k30349 in k30343 in k30337 in k30331 in k30325 in k30319 in k30012 in k29941 in k29579 in k29359 in k29326 in k29322 in k29140 in k28503 in k28443 in k27110 in k27107 in k27104 in k26337 in k26025 in k26021 in ... */
static void C_ccall f_30858(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(7,c,2)))){
C_save_and_reclaim((void *)f_30858,2,av);}
a=C_alloc(7);
t2=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_30861,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
if(C_truep(t1)){
t3=t1;
/* library.scm:6476: chicken.base#make-parameter */
t4=*((C_word*)lf[201]+1);{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t4;
av2[1]=((C_word*)t0)[2];
av2[2]=t3;
((C_proc)(void*)(*((C_word*)t4+1)))(3,av2);}}
else{
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_30864,a[2]=((C_word*)t0)[2],a[3]=t2,tmp=(C_word)a,a+=4,tmp);
/* library.scm:6478: chicken.process-context#get-environment-variable */
t4=C_fast_retrieve(lf[1194]);{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t4;
av2[1]=t3;
av2[2]=lf[1341];
((C_proc)(void*)(*((C_word*)t4+1)))(3,av2);}}}

/* k30859 in k30856 in k30349 in k30343 in k30337 in k30331 in k30325 in k30319 in k30012 in k29941 in k29579 in k29359 in k29326 in k29322 in k29140 in k28503 in k28443 in k27110 in k27107 in k27104 in k26337 in k26025 in ... */
static void C_ccall f_30861(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_30861,2,av);}
/* library.scm:6476: chicken.base#make-parameter */
t2=*((C_word*)lf[201]+1);{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[2];
av2[2]=t1;
((C_proc)(void*)(*((C_word*)t2+1)))(3,av2);}}

/* k30862 in k30856 in k30349 in k30343 in k30337 in k30331 in k30325 in k30319 in k30012 in k29941 in k29579 in k29359 in k29326 in k29322 in k29140 in k28503 in k28443 in k27110 in k27107 in k27104 in k26337 in k26025 in ... */
static void C_ccall f_30864(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,3)))){
C_save_and_reclaim((void *)f_30864,2,av);}
a=C_alloc(3);
if(C_truep(t1)){
t2=t1;
/* library.scm:6476: chicken.base#make-parameter */
t3=*((C_word*)lf[201]+1);{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t3;
av2[1]=((C_word*)t0)[2];
av2[2]=t2;
((C_proc)(void*)(*((C_word*)t3+1)))(3,av2);}}
else{
/* ##sys#peek-c-string */
t2=*((C_word*)lf[705]+1);{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[3];
av2[2]=C_mpointer(&a,(void*)C_INSTALL_EGG_HOME);
av2[3]=C_fix(0);
((C_proc)(void*)(*((C_word*)t2+1)))(4,av2);}}}

/* k30882 in k30886 in k30343 in k30337 in k30331 in k30325 in k30319 in k30012 in k29941 in k29579 in k29359 in k29326 in k29322 in k29140 in k28503 in k28443 in k27110 in k27107 in k27104 in k26337 in k26025 in k26021 in ... */
static void C_ccall f_30884(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_30884,2,av);}
t2=C_eqp(lf[1343],t1);
t3=((C_word*)t0)[2];
f_30351(t3,C_i_not(t2));}

/* k30886 in k30343 in k30337 in k30331 in k30325 in k30319 in k30012 in k29941 in k29579 in k29359 in k29326 in k29322 in k29140 in k28503 in k28443 in k27110 in k27107 in k27104 in k26337 in k26025 in k26021 in k26017 in ... */
static void C_ccall f_30888(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,2)))){
C_save_and_reclaim((void *)f_30888,2,av);}
a=C_alloc(3);
t2=C_eqp(lf[1342],t1);
if(C_truep(t2)){
t3=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_30884,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
/* library.scm:6436: software-version */
t4=C_fast_retrieve(lf[1289]);{
C_word *av2=av;
av2[0]=t4;
av2[1]=t3;
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}
else{
t3=((C_word*)t0)[2];
f_30351(t3,C_SCHEME_FALSE);}}

/* k30890 in k30337 in k30331 in k30325 in k30319 in k30012 in k29941 in k29579 in k29359 in k29326 in k29322 in k29140 in k28503 in k28443 in k27110 in k27107 in k27104 in k26337 in k26025 in k26021 in k26017 in k23772 in ... */
static void C_ccall f_30892(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_30892,2,av);}
/* library.scm:6430: scheme#string->symbol */
t2=*((C_word*)lf[638]+1);{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[2];
av2[2]=t1;
((C_proc)(void*)(*((C_word*)t2+1)))(3,av2);}}

/* k30894 in k30331 in k30325 in k30319 in k30012 in k29941 in k29579 in k29359 in k29326 in k29322 in k29140 in k28503 in k28443 in k27110 in k27107 in k27104 in k26337 in k26025 in k26021 in k26017 in k23772 in k23768 in ... */
static void C_ccall f_30896(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_30896,2,av);}
/* library.scm:6426: scheme#string->symbol */
t2=*((C_word*)lf[638]+1);{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[2];
av2[2]=t1;
((C_proc)(void*)(*((C_word*)t2+1)))(3,av2);}}

/* k30898 in k30325 in k30319 in k30012 in k29941 in k29579 in k29359 in k29326 in k29322 in k29140 in k28503 in k28443 in k27110 in k27107 in k27104 in k26337 in k26025 in k26021 in k26017 in k23772 in k23768 in k23764 in ... */
static void C_ccall f_30900(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_30900,2,av);}
/* library.scm:6422: scheme#string->symbol */
t2=*((C_word*)lf[638]+1);{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[2];
av2[2]=t1;
((C_proc)(void*)(*((C_word*)t2+1)))(3,av2);}}

/* k30902 in k30319 in k30012 in k29941 in k29579 in k29359 in k29326 in k29322 in k29140 in k28503 in k28443 in k27110 in k27107 in k27104 in k26337 in k26025 in k26021 in k26017 in k23772 in k23768 in k23764 in k20151 in ... */
static void C_ccall f_30904(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_30904,2,av);}
/* library.scm:6418: scheme#string->symbol */
t2=*((C_word*)lf[638]+1);{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[2];
av2[2]=t1;
((C_proc)(void*)(*((C_word*)t2+1)))(3,av2);}}

/* k30906 in k30012 in k29941 in k29579 in k29359 in k29326 in k29322 in k29140 in k28503 in k28443 in k27110 in k27107 in k27104 in k26337 in k26025 in k26021 in k26017 in k23772 in k23768 in k23764 in k20151 in k20147 in ... */
static void C_ccall f_30908(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_30908,2,av);}
/* library.scm:6414: scheme#string->symbol */
t2=*((C_word*)lf[638]+1);{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[2];
av2[2]=t1;
((C_proc)(void*)(*((C_word*)t2+1)))(3,av2);}}

/* a30909 in k29941 in k29579 in k29359 in k29326 in k29322 in k29140 in k28503 in k28443 in k27110 in k27107 in k27104 in k26337 in k26025 in k26021 in k26017 in k23772 in k23768 in k23764 in k20151 in k20147 in k20143 in ... */
static void C_ccall f_30910(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_30910,3,av);}
t3=C_i_check_symbol_2(t2,lf[1344]);
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_slot(t2,C_fix(2));
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* a30918 in k29941 in k29579 in k29359 in k29326 in k29322 in k29140 in k28503 in k28443 in k27110 in k27107 in k27104 in k26337 in k26025 in k26021 in k26017 in k23772 in k23768 in k23764 in k20151 in k20147 in k20143 in ... */
static void C_ccall f_30919(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(5,c,5)))){
C_save_and_reclaim((void *)f_30919,4,av);}
a=C_alloc(5);
t4=C_i_check_symbol_2(t2,lf[1344]);
t5=C_i_check_list_2(t3,lf[1345]);
t6=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_30929,a[2]=t3,a[3]=t2,a[4]=t1,tmp=(C_word)a,a+=5,tmp);
t7=C_i_length(t3);
if(C_truep(C_i_fixnumevenp(t7))){
t8=t6;{
C_word *av2=av;
av2[0]=t8;
av2[1]=C_i_setslot(t2,C_fix(2),t3);
f_30929(2,av2);}}
else{
/* library.scm:6318: ##sys#signal-hook */
t8=C_fast_retrieve(lf[194]);{
C_word *av2;
if(c >= 6) {
  av2=av;
} else {
  av2=C_alloc(6);
}
av2[0]=t8;
av2[1]=t6;
av2[2]=lf[258];
av2[3]=lf[1346];
av2[4]=t3;
av2[5]=t2;
((C_proc)(void*)(*((C_word*)t8+1)))(6,av2);}}}

/* k30927 in a30918 in k29941 in k29579 in k29359 in k29326 in k29322 in k29140 in k28503 in k28443 in k27110 in k27107 in k27104 in k26337 in k26025 in k26021 in k26017 in k23772 in k23768 in k23764 in k20151 in k20147 in ... */
static void C_ccall f_30929(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_30929,2,av);}
if(C_truep(C_i_nullp(((C_word*)t0)[2]))){
t2=C_i_unpersist_symbol(((C_word*)t0)[3]);
t3=((C_word*)t0)[4];{
C_word *av2=av;
av2[0]=t3;
av2[1]=t2;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}
else{
t2=C_i_persist_symbol(((C_word*)t0)[3]);
t3=((C_word*)t0)[4];{
C_word *av2=av;
av2[0]=t3;
av2[1]=t2;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}}

/* k30952 in k29322 in k29140 in k28503 in k28443 in k27110 in k27107 in k27104 in k26337 in k26025 in k26021 in k26017 in k23772 in k23768 in k23764 in k20151 in k20147 in k20143 in k20139 in k20135 in k19774 in k19770 in ... */
static void C_ccall f_30954(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(9,c,3)))){
C_save_and_reclaim((void *)f_30954,2,av);}
a=C_alloc(9);
t2=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_30957,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
if(C_truep(C_i_pairp(t1))){
t3=C_slot(t1,C_fix(1));
t4=C_SCHEME_UNDEFINED;
t5=(*a=C_VECTOR_TYPE|1,a[1]=t4,tmp=(C_word)a,a+=2,tmp);
t6=C_set_block_item(t5,0,(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_30975,a[2]=t5,a[3]=((C_word)li967),tmp=(C_word)a,a+=4,tmp));
t7=((C_word*)t5)[1];
f_30975(t7,t2,t3);}
else{
t3=t1;
t4=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f36624,a[2]=((C_word)li968),tmp=(C_word)a,a+=3,tmp);
/* library.scm:6037: chicken.base#make-parameter */
t5=*((C_word*)lf[201]+1);{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t5;
av2[1]=((C_word*)t0)[2];
av2[2]=t3;
av2[3]=t4;
((C_proc)(void*)(*((C_word*)t5+1)))(4,av2);}}}

/* k30955 in k30952 in k29322 in k29140 in k28503 in k28443 in k27110 in k27107 in k27104 in k26337 in k26025 in k26021 in k26017 in k23772 in k23768 in k23764 in k20151 in k20147 in k20143 in k20139 in k20135 in k19774 in ... */
static void C_ccall f_30957(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,3)))){
C_save_and_reclaim((void *)f_30957,2,av);}
a=C_alloc(3);
t2=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_30959,a[2]=((C_word)li966),tmp=(C_word)a,a+=3,tmp);
/* library.scm:6037: chicken.base#make-parameter */
t3=*((C_word*)lf[201]+1);{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t3;
av2[1]=((C_word*)t0)[2];
av2[2]=t1;
av2[3]=t2;
((C_proc)(void*)(*((C_word*)t3+1)))(4,av2);}}

/* a30958 in k30955 in k30952 in k29322 in k29140 in k28503 in k28443 in k27110 in k27107 in k27104 in k26337 in k26025 in k26021 in k26017 in k23772 in k23768 in k23764 in k20151 in k20147 in k20143 in k20139 in k20135 in ... */
static void C_ccall f_30959(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_30959,3,av);}
t3=C_i_check_list_2(t2,lf[1348]);
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=t2;
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* loop in k30952 in k29322 in k29140 in k28503 in k28443 in k27110 in k27107 in k27104 in k26337 in k26025 in k26021 in k26017 in k23772 in k23768 in k23764 in k20151 in k20147 in k20143 in k20139 in k20135 in k19774 in ... */
static void C_fcall f_30975(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(9,0,4)))){
C_save_and_reclaim_args((void *)trf_30975,3,t0,t1,t2);}
a=C_alloc(9);
if(C_truep(C_i_nullp(t2))){
t3=t1;{
C_word av2[2];
av2[0]=t3;
av2[1]=C_SCHEME_END_OF_LIST;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}
else{
t3=C_slot(t2,C_fix(0));
t4=t3;
t5=C_slot(t2,C_fix(1));
t6=t5;
t7=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_30994,a[2]=((C_word*)t0)[2],a[3]=t1,a[4]=t6,a[5]=t4,tmp=(C_word)a,a+=6,tmp);
t8=C_block_size(t4);
if(C_truep(C_fixnum_greater_or_equal_p(t8,C_fix(3)))){
t9=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_31014,a[2]=t7,tmp=(C_word)a,a+=3,tmp);
/* library.scm:6046: ##sys#substring */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[395]+1));
C_word av2[5];
av2[0]=*((C_word*)lf[395]+1);
av2[1]=t9;
av2[2]=t4;
av2[3]=C_fix(0);
av2[4]=C_fix(2);
tp(5,av2);}}
else{
t9=t7;
f_30994(t9,C_SCHEME_FALSE);}}}

/* k30992 in loop in k30952 in k29322 in k29140 in k28503 in k28443 in k27110 in k27107 in k27104 in k26337 in k26025 in k26021 in k26017 in k23772 in k23768 in k23764 in k20151 in k20147 in k20143 in k20139 in k20135 in ... */
static void C_fcall f_30994(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,0,2)))){
C_save_and_reclaim_args((void *)trf_30994,2,t0,t1);}
a=C_alloc(4);
if(C_truep(t1)){
/* library.scm:6047: loop */
t2=((C_word*)((C_word*)t0)[2])[1];
f_30975(t2,((C_word*)t0)[3],((C_word*)t0)[4]);}
else{
t2=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_31004,a[2]=((C_word*)t0)[3],a[3]=((C_word*)t0)[5],tmp=(C_word)a,a+=4,tmp);
/* library.scm:6048: loop */
t3=((C_word*)((C_word*)t0)[2])[1];
f_30975(t3,t2,((C_word*)t0)[4]);}}

/* k31002 in k30992 in loop in k30952 in k29322 in k29140 in k28503 in k28443 in k27110 in k27107 in k27104 in k26337 in k26025 in k26021 in k26017 in k23772 in k23768 in k23764 in k20151 in k20147 in k20143 in k20139 in ... */
static void C_ccall f_31004(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,1)))){
C_save_and_reclaim((void *)f_31004,2,av);}
a=C_alloc(3);
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=C_a_i_cons(&a,2,((C_word*)t0)[3],t1);
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* k31012 in loop in k30952 in k29322 in k29140 in k28503 in k28443 in k27110 in k27107 in k27104 in k26337 in k26025 in k26021 in k26017 in k23772 in k23768 in k23764 in k20151 in k20147 in k20143 in k20139 in k20135 in ... */
static void C_ccall f_31014(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_31014,2,av);}
t2=((C_word*)t0)[2];
f_30994(t2,C_i_string_equal_p(lf[1349],t1));}

/* k31036 in k31040 in k29140 in k28503 in k28443 in k27110 in k27107 in k27104 in k26337 in k26025 in k26021 in k26017 in k23772 in k23768 in k23764 in k20151 in k20147 in k20143 in k20139 in k20135 in k19774 in k19770 in ... */
static void C_ccall f_31038(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,3)))){
C_save_and_reclaim((void *)f_31038,2,av);}
a=C_alloc(3);
t2=C_i_car(t1);
t3=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f36636,a[2]=((C_word)li970),tmp=(C_word)a,a+=3,tmp);
/* library.scm:6028: chicken.base#make-parameter */
t4=*((C_word*)lf[201]+1);{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t4;
av2[1]=((C_word*)t0)[2];
av2[2]=t2;
av2[3]=t3;
((C_proc)(void*)(*((C_word*)t4+1)))(4,av2);}}

/* k31040 in k29140 in k28503 in k28443 in k27110 in k27107 in k27104 in k26337 in k26025 in k26021 in k26017 in k23772 in k23768 in k23764 in k20151 in k20147 in k20143 in k20139 in k20135 in k19774 in k19770 in k19766 in ... */
static void C_ccall f_31042(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,3)))){
C_save_and_reclaim((void *)f_31042,2,av);}
a=C_alloc(3);
if(C_truep(C_i_nullp(t1))){
t2=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f36630,a[2]=((C_word)li969),tmp=(C_word)a,a+=3,tmp);
/* library.scm:6028: chicken.base#make-parameter */
t3=*((C_word*)lf[201]+1);{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t3;
av2[1]=((C_word*)t0)[2];
av2[2]=lf[1351];
av2[3]=t2;
((C_proc)(void*)(*((C_word*)t3+1)))(4,av2);}}
else{
t2=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_31038,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
/* library.scm:6031: argv */
t3=C_fast_retrieve(lf[1202]);{
C_word *av2=av;
av2[0]=t3;
av2[1]=t2;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}}

/* a31043 in k28503 in k28443 in k27110 in k27107 in k27104 in k26337 in k26025 in k26021 in k26017 in k23772 in k23768 in k23764 in k20151 in k20147 in k20143 in k20139 in k20135 in k19774 in k19770 in k19766 in k19762 in ... */
static void C_ccall f_31044(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(c!=2) C_bad_argc_2(c,2,t0);
if(C_unlikely(!C_demand(C_calculate_demand(3,c,3)))){
C_save_and_reclaim((void *)f_31044,2,av);}
a=C_alloc(3);
t2=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_31048,a[2]=t1,tmp=(C_word)a,a+=3,tmp);
/* ##sys#make-string */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[376]+1));
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[376]+1);
av2[1]=t2;
av2[2]=C_fix(1024);
av2[3]=C_make_character(32);
tp(4,av2);}}

/* k31046 in a31043 in k28503 in k28443 in k27110 in k27107 in k27104 in k26337 in k26025 in k26021 in k26017 in k23772 in k23768 in k23764 in k20151 in k20147 in k20143 in k20139 in k20135 in k19774 in k19770 in k19766 in ... */
static void C_ccall f_31048(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,c,2)))){
C_save_and_reclaim((void *)f_31048,2,av);}
a=C_alloc(5);
t2=t1;
t3=C_curdir(t2);
t4=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_31051,a[2]=t3,a[3]=((C_word*)t0)[2],a[4]=t2,tmp=(C_word)a,a+=5,tmp);
if(C_truep(C_fast_retrieve(lf[1291]))){
t5=t4;{
C_word *av2=av;
av2[0]=t5;
av2[1]=C_SCHEME_UNDEFINED;
f_31051(2,av2);}}
else{
/* library.scm:5960: ##sys#update-errno */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[706]);
C_word *av2=av;
av2[0]=*((C_word*)lf[706]+1);
av2[1]=t4;
tp(2,av2);}}}

/* k31049 in k31046 in a31043 in k28503 in k28443 in k27110 in k27107 in k27104 in k26337 in k26025 in k26021 in k26017 in k23772 in k23768 in k23764 in k20151 in k20147 in k20143 in k20139 in k20135 in k19774 in k19770 in ... */
static void C_ccall f_31051(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,4)))){
C_save_and_reclaim((void *)f_31051,2,av);}
if(C_truep(((C_word*)t0)[2])){
/* library.scm:5962: ##sys#substring */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[395]+1));
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=*((C_word*)lf[395]+1);
av2[1]=((C_word*)t0)[3];
av2[2]=((C_word*)t0)[4];
av2[3]=C_fix(0);
av2[4]=((C_word*)t0)[2];
tp(5,av2);}}
else{
/* library.scm:5963: ##sys#signal-hook */
t2=C_fast_retrieve(lf[194]);{
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[3];
av2[2]=lf[702];
av2[3]=lf[1352];
av2[4]=lf[1353];
((C_proc)(void*)(*((C_word*)t2+1)))(5,av2);}}}

/* a31065 in k28503 in k28443 in k27110 in k27107 in k27104 in k26337 in k26025 in k26021 in k26017 in k23772 in k23768 in k23764 in k20151 in k20147 in k20143 in k20139 in k20135 in k19774 in k19770 in k19766 in k19762 in ... */
static void C_ccall f_31066(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_31066,3,av);}
/* library.scm:5967: ##sys#change-directory-hook */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[1192]);
C_word *av2=av;
av2[0]=*((C_word*)lf[1192]+1);
av2[1]=t1;
av2[2]=t2;
tp(3,av2);}}

/* a31071 in k26025 in k26021 in k26017 in k23772 in k23768 in k23764 in k20151 in k20147 in k20143 in k20139 in k20135 in k19774 in k19770 in k19766 in k19762 in k19758 in k19754 in k19750 in k19746 in k19742 in k19738 in ... */
static void C_ccall f_31072(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c<3) C_bad_min_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand((c-3)*C_SIZEOF_PAIR +8,c,2)))){
C_save_and_reclaim((void*)f_31072,c,av);}
a=C_alloc((c-3)*C_SIZEOF_PAIR+8);
t3=C_build_rest(&a,c,3,av);
C_word t4;
C_word t5;
C_word t6;
t4=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_31076,a[2]=t1,a[3]=t3,a[4]=t2,tmp=(C_word)a,a+=5,tmp);
t5=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_31229,a[2]=((C_word)li977),tmp=(C_word)a,a+=3,tmp);
/* library.scm:5154: ##sys#error-handler */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[1007]);
C_word *av2=av;
av2[0]=*((C_word*)lf[1007]+1);
av2[1]=t4;
av2[2]=t5;
tp(3,av2);}}

/* k31074 in a31071 in k26025 in k26021 in k26017 in k23772 in k23768 in k23764 in k20151 in k20147 in k20143 in k20139 in k20135 in k19774 in k19770 in k19766 in k19762 in k19758 in k19754 in k19750 in k19746 in k19742 in ... */
static void C_ccall f_31076(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,c,4)))){
C_save_and_reclaim((void *)f_31076,2,av);}
a=C_alloc(5);
t2=C_mk_bool(C_gui_mode);
if(C_truep(C_i_not(t2))){
t3=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_31085,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],tmp=(C_word)a,a+=5,tmp);
/* library.scm:5156: ##sys#print */
t4=*((C_word*)lf[871]+1);{
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=t4;
av2[1]=t3;
av2[2]=lf[1362];
av2[3]=C_SCHEME_FALSE;
av2[4]=*((C_word*)lf[718]+1);
((C_proc)(void*)(*((C_word*)t4+1)))(5,av2);}}
else{
t3=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_31179,a[2]=((C_word*)t0)[3],a[3]=((C_word*)t0)[2],a[4]=((C_word*)t0)[4],tmp=(C_word)a,a+=5,tmp);
/* library.scm:5181: chicken.base#open-output-string */
t4=*((C_word*)lf[213]+1);{
C_word *av2=av;
av2[0]=t4;
av2[1]=t3;
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}}

/* k31083 in k31074 in a31071 in k26025 in k26021 in k26017 in k23772 in k23768 in k23764 in k20151 in k20147 in k20143 in k20139 in k20135 in k19774 in k19770 in k19766 in k19762 in k19758 in k19754 in k19750 in k19746 in ... */
static void C_ccall f_31085(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(8,c,4)))){
C_save_and_reclaim((void *)f_31085,2,av);}
a=C_alloc(8);
t2=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_31088,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],tmp=(C_word)a,a+=4,tmp);
if(C_truep(((C_word*)t0)[4])){
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_31173,a[2]=t2,a[3]=((C_word*)t0)[4],tmp=(C_word)a,a+=4,tmp);
/* library.scm:5158: ##sys#print */
t4=*((C_word*)lf[871]+1);{
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=t4;
av2[1]=t3;
av2[2]=lf[1361];
av2[3]=C_SCHEME_FALSE;
av2[4]=*((C_word*)lf[718]+1);
((C_proc)(void*)(*((C_word*)t4+1)))(5,av2);}}
else{
t3=t2;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_SCHEME_UNDEFINED;
f_31088(2,av2);}}}

/* k31086 in k31083 in k31074 in a31071 in k26025 in k26021 in k26017 in k23772 in k23768 in k23764 in k20151 in k20147 in k20143 in k20139 in k20135 in k19774 in k19770 in k19766 in k19762 in k19758 in k19754 in k19750 in ... */
static void C_ccall f_31088(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(7,c,3)))){
C_save_and_reclaim((void *)f_31088,2,av);}
a=C_alloc(7);
t2=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_31091,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_31117,a[2]=((C_word*)t0)[3],a[3]=((C_word)li974),tmp=(C_word)a,a+=4,tmp);
/* library.scm:5160: ##sys#with-print-length-limit */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[922]);
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[922]+1);
av2[1]=t2;
av2[2]=C_fix(400);
av2[3]=t3;
tp(4,av2);}}

/* k31089 in k31086 in k31083 in k31074 in a31071 in k26025 in k26021 in k26017 in k23772 in k23768 in k23764 in k20151 in k20147 in k20143 in k20139 in k20135 in k19774 in k19770 in k19766 in k19762 in k19758 in k19754 in ... */
static void C_ccall f_31091(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,4)))){
C_save_and_reclaim((void *)f_31091,2,av);}
a=C_alloc(3);
t2=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_31094,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
/* library.scm:5172: ##sys#print */
t3=*((C_word*)lf[871]+1);{
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=t3;
av2[1]=t2;
av2[2]=C_make_character(10);
av2[3]=C_SCHEME_FALSE;
av2[4]=*((C_word*)lf[718]+1);
((C_proc)(void*)(*((C_word*)t3+1)))(5,av2);}}

/* k31092 in k31089 in k31086 in k31083 in k31074 in a31071 in k26025 in k26021 in k26017 in k23772 in k23768 in k23764 in k20151 in k20147 in k20143 in k20139 in k20135 in k19774 in k19770 in k19766 in k19762 in k19758 in ... */
static void C_ccall f_31094(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,2)))){
C_save_and_reclaim((void *)f_31094,2,av);}
a=C_alloc(3);
t2=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_31097,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
/* library.scm:5173: chicken.base#print-call-chain */
t3=*((C_word*)lf[187]+1);{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t3;
av2[1]=t2;
av2[2]=*((C_word*)lf[718]+1);
((C_proc)(void*)(*((C_word*)t3+1)))(3,av2);}}

/* k31095 in k31092 in k31089 in k31086 in k31083 in k31074 in a31071 in k26025 in k26021 in k26017 in k23772 in k23768 in k23764 in k20151 in k20147 in k20143 in k20139 in k20135 in k19774 in k19770 in k19766 in k19762 in ... */
static void C_ccall f_31097(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,2)))){
C_save_and_reclaim((void *)f_31097,2,av);}
a=C_alloc(3);
t2=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_31103,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
if(C_truep(C_fast_retrieve(lf[1006]))){
/* library.scm:5174: ##sys#symbol-has-toplevel-binding? */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[1146]);
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[1146]+1);
av2[1]=t2;
av2[2]=lf[1359];
tp(3,av2);}}
else{
t3=t2;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_SCHEME_FALSE;
f_31103(2,av2);}}}

/* k31101 in k31095 in k31092 in k31089 in k31086 in k31083 in k31074 in a31071 in k26025 in k26021 in k26017 in k23772 in k23768 in k23764 in k20151 in k20147 in k20143 in k20139 in k20135 in k19774 in k19770 in k19766 in ... */
static void C_ccall f_31103(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,2)))){
C_save_and_reclaim((void *)f_31103,2,av);}
a=C_alloc(3);
if(C_truep(t1)){
t2=C_slot(lf[1359],C_fix(0));
t3=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_31109,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
/* library.scm:5174: g5912 */
t4=t2;{
C_word *av2=av;
av2[0]=t4;
av2[1]=t3;
((C_proc)C_fast_retrieve_proc(t4))(2,av2);}}
else{
t2=C_halt(C_SCHEME_FALSE);
t3=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t3;
av2[1]=t2;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}}

/* k31107 in k31101 in k31095 in k31092 in k31089 in k31086 in k31083 in k31074 in a31071 in k26025 in k26021 in k26017 in k23772 in k23768 in k23764 in k20151 in k20147 in k20143 in k20139 in k20135 in k19774 in k19770 in ... */
static void C_ccall f_31109(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,4)))){
C_save_and_reclaim((void *)f_31109,2,av);}
a=C_alloc(3);
t2=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_31112,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
/* library.scm:5177: ##sys#print */
t3=*((C_word*)lf[871]+1);{
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=t3;
av2[1]=t2;
av2[2]=C_make_character(10);
av2[3]=C_SCHEME_FALSE;
av2[4]=*((C_word*)lf[718]+1);
((C_proc)(void*)(*((C_word*)t3+1)))(5,av2);}}

/* k31110 in k31107 in k31101 in k31095 in k31092 in k31089 in k31086 in k31083 in k31074 in a31071 in k26025 in k26021 in k26017 in k23772 in k23768 in k23764 in k20151 in k20147 in k20143 in k20139 in k20135 in k19774 in ... */
static void C_ccall f_31112(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_31112,2,av);}
t2=C_exit_runtime(C_fix((C_word)EX_SOFTWARE));
t3=C_halt(C_SCHEME_FALSE);
t4=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t4;
av2[1]=t3;
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* a31116 in k31086 in k31083 in k31074 in a31071 in k26025 in k26021 in k26017 in k23772 in k23768 in k23764 in k20151 in k20147 in k20143 in k20139 in k20135 in k19774 in k19770 in k19766 in k19762 in k19758 in k19754 in ... */
static void C_ccall f_31117(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word *a;
if(c!=2) C_bad_argc_2(c,2,t0);
if(C_unlikely(!C_demand(C_calculate_demand(6,c,4)))){
C_save_and_reclaim((void *)f_31117,2,av);}
a=C_alloc(6);
t2=((C_word*)t0)[2];
t3=C_u_i_length(t2);
t4=C_eqp(C_fix(1),t3);
if(C_truep(t4)){
t5=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_31127,a[2]=((C_word*)t0)[2],a[3]=t1,tmp=(C_word)a,a+=4,tmp);
/* library.scm:5164: ##sys#print */
t6=*((C_word*)lf[871]+1);{
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=t6;
av2[1]=t5;
av2[2]=lf[1360];
av2[3]=C_SCHEME_FALSE;
av2[4]=*((C_word*)lf[718]+1);
((C_proc)(void*)(*((C_word*)t6+1)))(5,av2);}}
else{
t5=((C_word*)t0)[2];
t6=C_SCHEME_UNDEFINED;
t7=(*a=C_VECTOR_TYPE|1,a[1]=t6,tmp=(C_word)a,a+=2,tmp);
t8=C_set_block_item(t7,0,(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_31147,a[2]=t7,a[3]=((C_word)li973),tmp=(C_word)a,a+=4,tmp));
t9=((C_word*)t7)[1];
f_31147(t9,t1,t5);}}

/* k31125 in a31116 in k31086 in k31083 in k31074 in a31071 in k26025 in k26021 in k26017 in k23772 in k23768 in k23764 in k20151 in k20147 in k20143 in k20139 in k20135 in k19774 in k19770 in k19766 in k19762 in k19758 in ... */
static void C_ccall f_31127(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,4)))){
C_save_and_reclaim((void *)f_31127,2,av);}
t2=C_slot(((C_word*)t0)[2],C_fix(0));
/* library.scm:5165: ##sys#print */
t3=*((C_word*)lf[871]+1);{
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=t3;
av2[1]=((C_word*)t0)[3];
av2[2]=t2;
av2[3]=C_SCHEME_TRUE;
av2[4]=*((C_word*)lf[718]+1);
((C_proc)(void*)(*((C_word*)t3+1)))(5,av2);}}

/* k31137 in for-each-loop5894 in a31116 in k31086 in k31083 in k31074 in a31071 in k26025 in k26021 in k26017 in k23772 in k23768 in k23764 in k20151 in k20147 in k20143 in k20139 in k20135 in k19774 in k19770 in k19766 in k19762 in ... */
static void C_ccall f_31139(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,4)))){
C_save_and_reclaim((void *)f_31139,2,av);}
/* library.scm:5170: ##sys#print */
t2=*((C_word*)lf[871]+1);{
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[2];
av2[2]=((C_word*)t0)[3];
av2[3]=C_SCHEME_TRUE;
av2[4]=*((C_word*)lf[718]+1);
((C_proc)(void*)(*((C_word*)t2+1)))(5,av2);}}

/* for-each-loop5894 in a31116 in k31086 in k31083 in k31074 in a31071 in k26025 in k26021 in k26017 in k23772 in k23768 in k23764 in k20151 in k20147 in k20143 in k20139 in k20135 in k19774 in k19770 in k19766 in k19762 in k19758 in ... */
static void C_fcall f_31147(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(9,0,4)))){
C_save_and_reclaim_args((void *)trf_31147,3,t0,t1,t2);}
a=C_alloc(9);
if(C_truep(C_i_pairp(t2))){
t3=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_31157,a[2]=t2,a[3]=((C_word*)t0)[2],a[4]=t1,tmp=(C_word)a,a+=5,tmp);
t4=C_slot(t2,C_fix(0));
t5=t3;
t6=t4;
t7=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_31139,a[2]=t5,a[3]=t6,tmp=(C_word)a,a+=4,tmp);
/* library.scm:5169: ##sys#print */
t8=*((C_word*)lf[871]+1);{
C_word av2[5];
av2[0]=t8;
av2[1]=t7;
av2[2]=C_make_character(10);
av2[3]=C_SCHEME_FALSE;
av2[4]=*((C_word*)lf[718]+1);
((C_proc)(void*)(*((C_word*)t8+1)))(5,av2);}}
else{
t3=C_SCHEME_UNDEFINED;
t4=t1;{
C_word av2[2];
av2[0]=t4;
av2[1]=t3;
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}}

/* k31155 in for-each-loop5894 in a31116 in k31086 in k31083 in k31074 in a31071 in k26025 in k26021 in k26017 in k23772 in k23768 in k23764 in k20151 in k20147 in k20143 in k20139 in k20135 in k19774 in k19770 in k19766 in k19762 in ... */
static void C_ccall f_31157(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_31157,2,av);}
t2=C_slot(((C_word*)t0)[2],C_fix(1));
t3=((C_word*)((C_word*)t0)[3])[1];
f_31147(t3,((C_word*)t0)[4],t2);}

/* k31171 in k31083 in k31074 in a31071 in k26025 in k26021 in k26017 in k23772 in k23768 in k23764 in k20151 in k20147 in k20143 in k20139 in k20135 in k19774 in k19770 in k19766 in k19762 in k19758 in k19754 in k19750 in ... */
static void C_ccall f_31173(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,4)))){
C_save_and_reclaim((void *)f_31173,2,av);}
/* library.scm:5159: ##sys#print */
t2=*((C_word*)lf[871]+1);{
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[2];
av2[2]=((C_word*)t0)[3];
av2[3]=C_SCHEME_FALSE;
av2[4]=*((C_word*)lf[718]+1);
((C_proc)(void*)(*((C_word*)t2+1)))(5,av2);}}

/* k31177 in k31074 in a31071 in k26025 in k26021 in k26017 in k23772 in k23768 in k23764 in k20151 in k20147 in k20143 in k20139 in k20135 in k19774 in k19770 in k19766 in k19762 in k19758 in k19754 in k19750 in k19746 in ... */
static void C_ccall f_31179(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,c,4)))){
C_save_and_reclaim((void *)f_31179,2,av);}
a=C_alloc(5);
t2=t1;
t3=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_31182,a[2]=t2,a[3]=((C_word*)t0)[2],a[4]=((C_word*)t0)[3],tmp=(C_word)a,a+=5,tmp);
if(C_truep(((C_word*)t0)[4])){
/* library.scm:5182: ##sys#print */
t4=*((C_word*)lf[871]+1);{
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=t4;
av2[1]=t3;
av2[2]=((C_word*)t0)[4];
av2[3]=C_SCHEME_FALSE;
av2[4]=t2;
((C_proc)(void*)(*((C_word*)t4+1)))(5,av2);}}
else{
t4=t3;{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_SCHEME_UNDEFINED;
f_31182(2,av2);}}}

/* k31180 in k31177 in k31074 in a31071 in k26025 in k26021 in k26017 in k23772 in k23768 in k23764 in k20151 in k20147 in k20143 in k20139 in k20135 in k19774 in k19770 in k19766 in k19762 in k19758 in k19754 in k19750 in ... */
static void C_ccall f_31182(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,c,4)))){
C_save_and_reclaim((void *)f_31182,2,av);}
a=C_alloc(5);
t2=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_31185,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],tmp=(C_word)a,a+=5,tmp);
/* library.scm:5183: ##sys#print */
t3=*((C_word*)lf[871]+1);{
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=t3;
av2[1]=t2;
av2[2]=C_make_character(10);
av2[3]=C_SCHEME_FALSE;
av2[4]=((C_word*)t0)[2];
((C_proc)(void*)(*((C_word*)t3+1)))(5,av2);}}

/* k31183 in k31180 in k31177 in k31074 in a31071 in k26025 in k26021 in k26017 in k23772 in k23768 in k23764 in k20151 in k20147 in k20143 in k20139 in k20135 in k19774 in k19770 in k19766 in k19762 in k19758 in k19754 in ... */
static void C_ccall f_31185(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(15,c,3)))){
C_save_and_reclaim((void *)f_31185,2,av);}
a=C_alloc(15);
t2=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_31186,a[2]=((C_word*)t0)[2],a[3]=((C_word)li975),tmp=(C_word)a,a+=4,tmp);
t3=((C_word*)t0)[3];
t4=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_31196,a[2]=((C_word*)t0)[4],a[3]=((C_word*)t0)[2],tmp=(C_word)a,a+=4,tmp);
t5=C_SCHEME_UNDEFINED;
t6=(*a=C_VECTOR_TYPE|1,a[1]=t5,tmp=(C_word)a,a+=2,tmp);
t7=C_set_block_item(t6,0,(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_31202,a[2]=t6,a[3]=t2,a[4]=((C_word)li976),tmp=(C_word)a,a+=5,tmp));
t8=((C_word*)t6)[1];
f_31202(t8,t4,t3);}

/* g5926 in k31183 in k31180 in k31177 in k31074 in a31071 in k26025 in k26021 in k26017 in k23772 in k23768 in k23764 in k20151 in k20147 in k20143 in k20139 in k20135 in k19774 in k19770 in k19766 in k19762 in k19758 in ... */
static void C_fcall f_31186(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,0,4)))){
C_save_and_reclaim_args((void *)trf_31186,3,t0,t1,t2);}
a=C_alloc(4);
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_31190,a[2]=t1,a[3]=((C_word*)t0)[2],tmp=(C_word)a,a+=4,tmp);
/* library.scm:5184: ##sys#print */
t4=*((C_word*)lf[871]+1);{
C_word av2[5];
av2[0]=t4;
av2[1]=t3;
av2[2]=t2;
av2[3]=C_SCHEME_TRUE;
av2[4]=((C_word*)t0)[2];
((C_proc)(void*)(*((C_word*)t4+1)))(5,av2);}}

/* k31188 in g5926 in k31183 in k31180 in k31177 in k31074 in a31071 in k26025 in k26021 in k26017 in k23772 in k23768 in k23764 in k20151 in k20147 in k20143 in k20139 in k20135 in k19774 in k19770 in k19766 in k19762 in ... */
static void C_ccall f_31190(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,4)))){
C_save_and_reclaim((void *)f_31190,2,av);}
/* library.scm:5184: ##sys#print */
t2=*((C_word*)lf[871]+1);{
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[2];
av2[2]=C_make_character(10);
av2[3]=C_SCHEME_FALSE;
av2[4]=((C_word*)t0)[3];
((C_proc)(void*)(*((C_word*)t2+1)))(5,av2);}}

/* k31194 in k31183 in k31180 in k31177 in k31074 in a31071 in k26025 in k26021 in k26017 in k23772 in k23768 in k23764 in k20151 in k20147 in k20143 in k20139 in k20135 in k19774 in k19770 in k19766 in k19762 in k19758 in ... */
static void C_ccall f_31196(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,2)))){
C_save_and_reclaim((void *)f_31196,2,av);}
a=C_alloc(3);
t2=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_31200,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
/* library.scm:5185: chicken.base#get-output-string */
t3=*((C_word*)lf[211]+1);{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t3;
av2[1]=t2;
av2[2]=((C_word*)t0)[3];
((C_proc)(void*)(*((C_word*)t3+1)))(3,av2);}}

/* k31198 in k31194 in k31183 in k31180 in k31177 in k31074 in a31071 in k26025 in k26021 in k26017 in k23772 in k23768 in k23764 in k20151 in k20147 in k20143 in k20139 in k20135 in k19774 in k19770 in k19766 in k19762 in ... */
static void C_ccall f_31200(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_31200,2,av);}
t2=C_halt(t1);
t3=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t3;
av2[1]=t2;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* for-each-loop5925 in k31183 in k31180 in k31177 in k31074 in a31071 in k26025 in k26021 in k26017 in k23772 in k23768 in k23764 in k20151 in k20147 in k20143 in k20139 in k20135 in k19774 in k19770 in k19766 in k19762 in k19758 in ... */
static void C_fcall f_31202(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,0,2)))){
C_save_and_reclaim_args((void *)trf_31202,3,t0,t1,t2);}
a=C_alloc(5);
if(C_truep(C_i_pairp(t2))){
t3=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_31212,a[2]=t2,a[3]=((C_word*)t0)[2],a[4]=t1,tmp=(C_word)a,a+=5,tmp);
t4=C_slot(t2,C_fix(0));
/* library.scm:5184: g5926 */
t5=((C_word*)t0)[3];
f_31186(t5,t3,t4);}
else{
t3=C_SCHEME_UNDEFINED;
t4=t1;{
C_word av2[2];
av2[0]=t4;
av2[1]=t3;
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}}

/* k31210 in for-each-loop5925 in k31183 in k31180 in k31177 in k31074 in a31071 in k26025 in k26021 in k26017 in k23772 in k23768 in k23764 in k20151 in k20147 in k20143 in k20139 in k20135 in k19774 in k19770 in k19766 in k19762 in ... */
static void C_ccall f_31212(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_31212,2,av);}
t2=C_slot(((C_word*)t0)[2],C_fix(1));
t3=((C_word*)((C_word*)t0)[3])[1];
f_31202(t3,((C_word*)t0)[4],t2);}

/* a31228 in a31071 in k26025 in k26021 in k26017 in k23772 in k23768 in k23764 in k20151 in k20147 in k20143 in k20139 in k20135 in k19774 in k19770 in k19766 in k19762 in k19758 in k19754 in k19750 in k19746 in k19742 in ... */
static void C_ccall f_31229(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_31229,2,av);}
t2=t1;{
C_word *av2=av;
av2[0]=t2;
av2[1]=C_halt(lf[1363]);
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* a31231 in k26021 in k26017 in k23772 in k23768 in k23764 in k20151 in k20147 in k20143 in k20139 in k20135 in k19774 in k19770 in k19766 in k19762 in k19758 in k19754 in k19750 in k19746 in k19742 in k19738 in k19734 in ... */
static void C_ccall f_31232(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(c!=2) C_bad_argc_2(c,2,t0);
if(C_unlikely(!C_demand(C_calculate_demand(3,c,2)))){
C_save_and_reclaim((void *)f_31232,2,av);}
a=C_alloc(3);
t2=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_31236,a[2]=t1,tmp=(C_word)a,a+=3,tmp);
/* library.scm:5056: chicken.base#exit-handler */
t3=*((C_word*)lf[224]+1);{
C_word *av2=av;
av2[0]=t3;
av2[1]=t2;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* k31234 in a31231 in k26021 in k26017 in k23772 in k23768 in k23764 in k20151 in k20147 in k20143 in k20139 in k20135 in k19774 in k19770 in k19766 in k19762 in k19758 in k19754 in k19750 in k19746 in k19742 in k19738 in ... */
static void C_ccall f_31236(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_31236,2,av);}
/* library.scm:5055: g5801 */
t2=t1;{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[2];
av2[2]=C_fix((C_word)EX_SOFTWARE);
((C_proc)(void*)(*((C_word*)t2+1)))(3,av2);}}

/* a31240 in k26017 in k23772 in k23768 in k23764 in k20151 in k20147 in k20143 in k20139 in k20135 in k19774 in k19770 in k19766 in k19762 in k19758 in k19754 in k19750 in k19746 in k19742 in k19738 in k19734 in k19730 in ... */
static void C_ccall f_31241(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(c!=2) C_bad_argc_2(c,2,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_31241,2,av);}
/* library.scm:5051: cleanup-before-exit */
f_25936(t1);}

/* a31246 in k23772 in k23768 in k23764 in k20151 in k20147 in k20143 in k20139 in k20135 in k19774 in k19770 in k19766 in k19762 in k19758 in k19754 in k19750 in k19746 in k19742 in k19738 in k19734 in k19730 in k19726 in ... */
static void C_ccall f_31247(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand((c-2)*C_SIZEOF_PAIR +4,c,2)))){
C_save_and_reclaim((void*)f_31247,c,av);}
a=C_alloc((c-2)*C_SIZEOF_PAIR+4);
t2=C_build_rest(&a,c,2,av);
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
t3=C_i_nullp(t2);
t4=(C_truep(t3)?C_fix(0):C_i_car(t2));
t5=t4;
t6=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_31254,a[2]=t1,a[3]=t5,tmp=(C_word)a,a+=4,tmp);
/* library.scm:5041: ##sys#check-fixnum */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[102]+1));
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[102]+1);
av2[1]=t6;
av2[2]=t5;
tp(3,av2);}}

/* k31252 in a31246 in k23772 in k23768 in k23764 in k20151 in k20147 in k20143 in k20139 in k20135 in k19774 in k19770 in k19766 in k19762 in k19758 in k19754 in k19750 in k19746 in k19742 in k19738 in k19734 in k19730 in ... */
static void C_ccall f_31254(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,c,2)))){
C_save_and_reclaim((void *)f_31254,2,av);}
a=C_alloc(4);
if(C_truep(C_retrieve2(lf[957],C_text("exit-in-progress")))){
/* library.scm:5043: ##sys#warn */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[311]+1));
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[311]+1);
av2[1]=((C_word*)t0)[2];
av2[2]=lf[1364];
tp(3,av2);}}
else{
t2=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_31263,a[2]=((C_word*)t0)[3],a[3]=((C_word*)t0)[2],tmp=(C_word)a,a+=4,tmp);
/* library.scm:5045: cleanup-before-exit */
f_25936(t2);}}

/* k31261 in k31252 in a31246 in k23772 in k23768 in k23764 in k20151 in k20147 in k20143 in k20139 in k20135 in k19774 in k19770 in k19766 in k19762 in k19758 in k19754 in k19750 in k19746 in k19742 in k19738 in k19734 in ... */
static void C_ccall f_31263(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_31263,2,av);}
t2=C_exit_runtime(((C_word*)t0)[2]);
t3=((C_word*)t0)[3];{
C_word *av2=av;
av2[0]=t3;
av2[1]=t2;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* a31270 in k23772 in k23768 in k23764 in k20151 in k20147 in k20143 in k20139 in k20135 in k19774 in k19770 in k19766 in k19762 in k19758 in k19754 in k19750 in k19746 in k19742 in k19738 in k19734 in k19730 in k19726 in ... */
static void C_ccall f_31271(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_31271,3,av);}
t3=C_slot(t2,C_fix(10));
t4=C_slot(t2,C_fix(12));
t5=C_slot(t2,C_fix(11));
if(C_truep(C_fixnum_greater_or_equal_p(t3,t5))){
t6=t1;{
C_word *av2=av;
av2[0]=t6;
av2[1]=C_SCHEME_END_OF_FILE;
((C_proc)(void*)(*((C_word*)t6+1)))(2,av2);}}
else{
t6=C_subchar(t4,t3);
t7=C_fixnum_plus(t3,C_fix(1));
t8=C_i_set_i_slot(t2,C_fix(10),t7);
t9=t1;{
C_word *av2=av;
av2[0]=t9;
av2[1]=t6;
((C_proc)(void*)(*((C_word*)t9+1)))(2,av2);}}}

/* a31295 in k23772 in k23768 in k23764 in k20151 in k20147 in k20143 in k20139 in k20135 in k19774 in k19770 in k19766 in k19762 in k19758 in k19754 in k19750 in k19746 in k19742 in k19738 in k19734 in k19730 in k19726 in ... */
static void C_ccall f_31296(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_31296,3,av);}
t3=C_slot(t2,C_fix(10));
t4=C_slot(t2,C_fix(12));
t5=C_slot(t2,C_fix(11));
if(C_truep(C_fixnum_greater_or_equal_p(t3,t5))){
t6=t1;{
C_word *av2=av;
av2[0]=t6;
av2[1]=C_SCHEME_END_OF_FILE;
((C_proc)(void*)(*((C_word*)t6+1)))(2,av2);}}
else{
t6=C_subchar(t4,t3);
t7=t1;{
C_word *av2=av;
av2[0]=t7;
av2[1]=t6;
((C_proc)(void*)(*((C_word*)t7+1)))(2,av2);}}}

/* a31313 in k23772 in k23768 in k23764 in k20151 in k20147 in k20143 in k20139 in k20135 in k19774 in k19770 in k19766 in k19762 in k19758 in k19754 in k19750 in k19746 in k19742 in k19738 in k19734 in k19730 in k19726 in ... */
static void C_ccall f_31314(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word t5;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(5,c,3)))){
C_save_and_reclaim((void *)f_31314,4,av);}
a=C_alloc(5);
t4=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_31318,a[2]=t2,a[3]=t3,a[4]=t1,tmp=(C_word)a,a+=5,tmp);
/* library.scm:4797: check */
t5=((C_word*)((C_word*)t0)[2])[1];{
C_word *av2=av;
av2[0]=t5;
av2[1]=t4;
av2[2]=t2;
av2[3]=C_fix(1);
((C_proc)C_fast_retrieve_proc(t5))(4,av2);}}

/* k31316 in a31313 in k23772 in k23768 in k23764 in k20151 in k20147 in k20143 in k20139 in k20135 in k19774 in k19770 in k19766 in k19762 in k19758 in k19754 in k19750 in k19746 in k19742 in k19738 in k19734 in k19730 in ... */
static void C_ccall f_31318(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_31318,2,av);}
t2=C_slot(((C_word*)t0)[2],C_fix(10));
t3=C_slot(((C_word*)t0)[2],C_fix(12));
t4=C_setsubchar(t3,t2,((C_word*)t0)[3]);
t5=C_fixnum_plus(t2,C_fix(1));
t6=((C_word*)t0)[4];{
C_word *av2=av;
av2[0]=t6;
av2[1]=C_i_set_i_slot(((C_word*)t0)[2],C_fix(10),t5);
((C_proc)(void*)(*((C_word*)t6+1)))(2,av2);}}

/* a31332 in k23772 in k23768 in k23764 in k20151 in k20147 in k20143 in k20139 in k20135 in k19774 in k19770 in k19766 in k19762 in k19758 in k19754 in k19750 in k19746 in k19742 in k19738 in k19734 in k19730 in k19726 in ... */
static void C_ccall f_31333(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(6,c,3)))){
C_save_and_reclaim((void *)f_31333,4,av);}
a=C_alloc(6);
t4=C_block_size(t3);
t5=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_31337,a[2]=t2,a[3]=t3,a[4]=t4,a[5]=t1,tmp=(C_word)a,a+=6,tmp);
/* library.scm:4804: check */
t6=((C_word*)((C_word*)t0)[2])[1];{
C_word *av2=av;
av2[0]=t6;
av2[1]=t5;
av2[2]=t2;
av2[3]=t4;
((C_proc)C_fast_retrieve_proc(t6))(4,av2);}}

/* k31335 in a31332 in k23772 in k23768 in k23764 in k20151 in k20147 in k20143 in k20139 in k20135 in k19774 in k19770 in k19766 in k19762 in k19758 in k19754 in k19750 in k19746 in k19742 in k19738 in k19734 in k19730 in ... */
static void C_ccall f_31337(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_31337,2,av);}
t2=C_slot(((C_word*)t0)[2],C_fix(10));
t3=C_slot(((C_word*)t0)[2],C_fix(12));
t4=C_substring_copy(((C_word*)t0)[3],t3,C_fix(0),((C_word*)t0)[4],t2);
t5=C_fixnum_plus(t2,((C_word*)t0)[4]);
t6=((C_word*)t0)[5];{
C_word *av2=av;
av2[0]=t6;
av2[1]=C_i_set_i_slot(((C_word*)t0)[2],C_fix(10),t5);
((C_proc)(void*)(*((C_word*)t6+1)))(2,av2);}}

/* a31351 in k23772 in k23768 in k23764 in k20151 in k20147 in k20143 in k20139 in k20135 in k19774 in k19770 in k19766 in k19762 in k19758 in k19754 in k19750 in k19746 in k19742 in k19738 in k19734 in k19730 in k19726 in ... */
static void C_ccall f_31352(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_31352,3,av);}
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_SCHEME_FALSE;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* a31354 in k23772 in k23768 in k23764 in k20151 in k20147 in k20143 in k20139 in k20135 in k19774 in k19770 in k19766 in k19762 in k19758 in k19754 in k19750 in k19746 in k19742 in k19738 in k19734 in k19730 in k19726 in ... */
static void C_ccall f_31355(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_31355,3,av);}
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_SCHEME_TRUE;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* a31357 in k23772 in k23768 in k23764 in k20151 in k20147 in k20143 in k20139 in k20135 in k19774 in k19770 in k19766 in k19762 in k19758 in k19754 in k19750 in k19746 in k19742 in k19738 in k19734 in k19730 in k19726 in ... */
static void C_ccall f_31358(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4=av[4];
C_word t5=av[5];
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word t12;
C_word t13;
C_word t14;
C_word *a;
if(c!=6) C_bad_argc_2(c,6,t0);
if(C_unlikely(!C_demand(C_calculate_demand(10,c,2)))){
C_save_and_reclaim((void *)f_31358,6,av);}
a=C_alloc(10);
t6=(*a=C_VECTOR_TYPE|1,a[1]=t3,tmp=(C_word)a,a+=2,tmp);
t7=C_slot(t2,C_fix(10));
t8=t7;
t9=C_slot(t2,C_fix(11));
t10=C_fixnum_difference(t9,t8);
t11=(*a=C_CLOSURE_TYPE|7,a[1]=(C_word)f_31368,a[2]=t2,a[3]=t8,a[4]=t6,a[5]=t4,a[6]=t5,a[7]=t1,tmp=(C_word)a,a+=8,tmp);
t12=C_i_not(((C_word*)t6)[1]);
if(C_truep(t12)){
if(C_truep(t12)){
t13=C_set_block_item(t6,0,t10);
t14=t11;
f_31368(t14,t13);}
else{
t13=t11;
f_31368(t13,C_SCHEME_UNDEFINED);}}
else{
if(C_truep(C_fixnum_greaterp(((C_word*)t6)[1],t10))){
t13=C_set_block_item(t6,0,t10);
t14=t11;
f_31368(t14,t13);}
else{
t13=t11;
f_31368(t13,C_SCHEME_UNDEFINED);}}}

/* k31366 in a31357 in k23772 in k23768 in k23764 in k20151 in k20147 in k20143 in k20139 in k20135 in k19774 in k19770 in k19766 in k19762 in k19758 in k19754 in k19750 in k19746 in k19742 in k19738 in k19734 in k19730 in ... */
static void C_fcall f_31368(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,0,1)))){
C_save_and_reclaim_args((void *)trf_31368,2,t0,t1);}
t2=C_slot(((C_word*)t0)[2],C_fix(12));
t3=C_fixnum_plus(((C_word*)t0)[3],((C_word*)((C_word*)t0)[4])[1]);
t4=C_substring_copy(t2,((C_word*)t0)[5],((C_word*)t0)[3],t3,((C_word*)t0)[6]);
t5=C_fixnum_plus(((C_word*)t0)[3],((C_word*)((C_word*)t0)[4])[1]);
t6=C_i_set_i_slot(((C_word*)t0)[2],C_fix(10),t5);
t7=((C_word*)t0)[7];{
C_word av2[2];
av2[0]=t7;
av2[1]=((C_word*)((C_word*)t0)[4])[1];
((C_proc)(void*)(*((C_word*)t7+1)))(2,av2);}}

/* a31398 in k23772 in k23768 in k23764 in k20151 in k20147 in k20143 in k20139 in k20135 in k19774 in k19770 in k19766 in k19762 in k19758 in k19754 in k19750 in k19746 in k19742 in k19738 in k19734 in k19730 in k19726 in ... */
static void C_ccall f_31399(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word t12;
C_word t13;
C_word t14;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(11,c,5)))){
C_save_and_reclaim((void *)f_31399,4,av);}
a=C_alloc(11);
t4=C_slot(t2,C_fix(10));
t5=t4;
t6=C_slot(t2,C_fix(11));
t7=t6;
t8=C_slot(t2,C_fix(12));
t9=t8;
t10=(C_truep(t3)?C_fixnum_plus(t5,t3):t7);
t11=t10;
if(C_truep(C_fixnum_greater_or_equal_p(t5,t7))){
t12=t1;{
C_word *av2=av;
av2[0]=t12;
av2[1]=C_SCHEME_END_OF_FILE;
((C_proc)(void*)(*((C_word*)t12+1)))(2,av2);}}
else{
t12=(*a=C_CLOSURE_TYPE|6,a[1]=(C_word)f_31423,a[2]=t11,a[3]=t7,a[4]=t9,a[5]=t5,a[6]=((C_word)li748),tmp=(C_word)a,a+=7,tmp);
t13=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_31442,a[2]=t2,a[3]=((C_word)li749),tmp=(C_word)a,a+=4,tmp);
/* library.scm:4826: ##sys#call-with-values */{
C_word *av2=av;
av2[0]=0;
av2[1]=t1;
av2[2]=t12;
av2[3]=t13;
C_call_with_values(4,av2);}}}

/* a31422 in a31398 in k23772 in k23768 in k23764 in k20151 in k20147 in k20143 in k20139 in k20135 in k19774 in k19770 in k19766 in k19762 in k19758 in k19754 in k19750 in k19746 in k19742 in k19738 in k19734 in k19730 in ... */
static void C_ccall f_31423(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(c!=2) C_bad_argc_2(c,2,t0);
if(C_unlikely(!C_demand(C_calculate_demand(3,c,5)))){
C_save_and_reclaim((void *)f_31423,2,av);}
a=C_alloc(3);
t2=C_fixnum_greaterp(((C_word*)t0)[2],((C_word*)t0)[3]);
t3=(C_truep(t2)?((C_word*)t0)[3]:((C_word*)t0)[2]);
t4=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_31433,a[2]=((C_word)li747),tmp=(C_word)a,a+=3,tmp);
/* library.scm:4827: ##sys#scan-buffer-line */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[925]);
C_word *av2;
if(c >= 6) {
  av2=av;
} else {
  av2=C_alloc(6);
}
av2[0]=*((C_word*)lf[925]+1);
av2[1]=t1;
av2[2]=((C_word*)t0)[4];
av2[3]=t3;
av2[4]=((C_word*)t0)[5];
av2[5]=t4;
tp(6,av2);}}

/* a31432 in a31422 in a31398 in k23772 in k23768 in k23764 in k20151 in k20147 in k20143 in k20139 in k20135 in k19774 in k19770 in k19766 in k19762 in k19758 in k19754 in k19750 in k19746 in k19742 in k19738 in k19734 in ... */
static void C_ccall f_31433(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,4)))){
C_save_and_reclaim((void *)f_31433,3,av);}
/* library.scm:4829: scheme#values */{
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=0;
av2[1]=t1;
av2[2]=C_SCHEME_FALSE;
av2[3]=t2;
av2[4]=C_SCHEME_FALSE;
C_values(5,av2);}}

/* a31441 in a31398 in k23772 in k23768 in k23764 in k20151 in k20147 in k20143 in k20139 in k20135 in k19774 in k19770 in k19766 in k19762 in k19758 in k19754 in k19750 in k19746 in k19742 in k19738 in k19734 in k19730 in ... */
static void C_ccall f_31442(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4=av[4];
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word *a;
if(c!=5) C_bad_argc_2(c,5,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_31442,5,av);}
if(C_truep(t4)){
t5=C_slot(((C_word*)t0)[2],C_fix(4));
t6=C_fixnum_plus(t5,C_fix(1));
t7=C_i_set_i_slot(((C_word*)t0)[2],C_fix(4),t6);
t8=C_i_set_i_slot(((C_word*)t0)[2],C_fix(5),C_fix(0));
t9=C_i_set_i_slot(((C_word*)t0)[2],C_fix(10),t2);
t10=t1;{
C_word *av2=av;
av2[0]=t10;
av2[1]=t3;
((C_proc)(void*)(*((C_word*)t10+1)))(2,av2);}}
else{
t5=C_slot(((C_word*)t0)[2],C_fix(5));
t6=C_block_size(t3);
t7=C_fixnum_plus(t5,t6);
t8=C_i_set_i_slot(((C_word*)t0)[2],C_fix(5),t7);
t9=C_i_set_i_slot(((C_word*)t0)[2],C_fix(10),t2);
t10=t1;{
C_word *av2=av;
av2[0]=t10;
av2[1]=t3;
((C_proc)(void*)(*((C_word*)t10+1)))(2,av2);}}}

/* a31482 in k23772 in k23768 in k23764 in k20151 in k20147 in k20143 in k20139 in k20135 in k19774 in k19770 in k19766 in k19762 in k19758 in k19754 in k19750 in k19746 in k19742 in k19738 in k19734 in k19730 in k19726 in ... */
static void C_ccall f_31483(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(5,c,4)))){
C_save_and_reclaim((void *)f_31483,3,av);}
a=C_alloc(5);
t3=C_slot(t2,C_fix(10));
t4=C_slot(t2,C_fix(12));
t5=C_slot(t2,C_fix(11));
t6=t5;
if(C_truep(C_fixnum_greater_or_equal_p(t3,t6))){
t7=t1;{
C_word *av2=av;
av2[0]=t7;
av2[1]=lf[926];
((C_proc)(void*)(*((C_word*)t7+1)))(2,av2);}}
else{
t7=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_31502,a[2]=t2,a[3]=t6,a[4]=t1,tmp=(C_word)a,a+=5,tmp);
/* library.scm:4844: ##sys#substring */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[395]+1));
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=*((C_word*)lf[395]+1);
av2[1]=t7;
av2[2]=t4;
av2[3]=t3;
av2[4]=t6;
tp(5,av2);}}}

/* k31500 in a31482 in k23772 in k23768 in k23764 in k20151 in k20147 in k20143 in k20139 in k20135 in k19774 in k19770 in k19766 in k19762 in k19758 in k19754 in k19750 in k19746 in k19742 in k19738 in k19734 in k19730 in ... */
static void C_ccall f_31502(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_31502,2,av);}
t2=C_i_set_i_slot(((C_word*)t0)[2],C_fix(10),((C_word*)t0)[3]);
t3=((C_word*)t0)[4];{
C_word *av2=av;
av2[0]=t3;
av2[1]=t1;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* a31514 in k19770 in k19766 in k19762 in k19758 in k19754 in k19750 in k19746 in k19742 in k19738 in k19734 in k19730 in k19726 in k19722 in k19718 in k19714 in k19710 in k19630 in k18854 in k18851 in k18848 in k18845 in ... */
static void C_ccall f_31515(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4=av[4];
C_word t5;
C_word t6;
C_word *a;
if(c!=5) C_bad_argc_2(c,5,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_31515,5,av);}
t5=C_i_list_tail(t2,t3);
t6=t1;{
C_word *av2=av;
av2[0]=t6;
av2[1]=C_i_set_car(t5,t4);
((C_proc)(void*)(*((C_word*)t6+1)))(2,av2);}}

/* a31524 in k19758 in k19754 in k19750 in k19746 in k19742 in k19738 in k19734 in k19730 in k19726 in k19722 in k19718 in k19714 in k19710 in k19630 in k18854 in k18851 in k18848 in k18845 in k18841 in k18837 in k18272 in ... */
static void C_ccall f_31525(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word t5;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_31525,4,av);}
t4=C_i_cddr(t2);
t5=t1;{
C_word *av2=av;
av2[0]=t5;
av2[1]=C_i_set_cdr(t4,t3);
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}

/* a31534 in k19754 in k19750 in k19746 in k19742 in k19738 in k19734 in k19730 in k19726 in k19722 in k19718 in k19714 in k19710 in k19630 in k18854 in k18851 in k18848 in k18845 in k18841 in k18837 in k18272 in k18269 in ... */
static void C_ccall f_31535(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word t5;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_31535,4,av);}
t4=C_i_cdar(t2);
t5=t1;{
C_word *av2=av;
av2[0]=t5;
av2[1]=C_i_set_cdr(t4,t3);
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}

/* a31544 in k19750 in k19746 in k19742 in k19738 in k19734 in k19730 in k19726 in k19722 in k19718 in k19714 in k19710 in k19630 in k18854 in k18851 in k18848 in k18845 in k18841 in k18837 in k18272 in k18269 in k18266 in ... */
static void C_ccall f_31545(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word t5;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_31545,4,av);}
t4=C_i_cadr(t2);
t5=t1;{
C_word *av2=av;
av2[0]=t5;
av2[1]=C_i_set_cdr(t4,t3);
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}

/* a31554 in k19746 in k19742 in k19738 in k19734 in k19730 in k19726 in k19722 in k19718 in k19714 in k19710 in k19630 in k18854 in k18851 in k18848 in k18845 in k18841 in k18837 in k18272 in k18269 in k18266 in k18263 in ... */
static void C_ccall f_31555(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word t5;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_31555,4,av);}
t4=C_i_caar(t2);
t5=t1;{
C_word *av2=av;
av2[0]=t5;
av2[1]=C_i_set_cdr(t4,t3);
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}

/* a31564 in k19742 in k19738 in k19734 in k19730 in k19726 in k19722 in k19718 in k19714 in k19710 in k19630 in k18854 in k18851 in k18848 in k18845 in k18841 in k18837 in k18272 in k18269 in k18266 in k18263 in k18260 in ... */
static void C_ccall f_31565(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word t5;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_31565,4,av);}
t4=C_i_cddr(t2);
t5=t1;{
C_word *av2=av;
av2[0]=t5;
av2[1]=C_i_set_car(t4,t3);
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}

/* a31574 in k19738 in k19734 in k19730 in k19726 in k19722 in k19718 in k19714 in k19710 in k19630 in k18854 in k18851 in k18848 in k18845 in k18841 in k18837 in k18272 in k18269 in k18266 in k18263 in k18260 in k18257 in ... */
static void C_ccall f_31575(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word t5;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_31575,4,av);}
t4=C_i_cdar(t2);
t5=t1;{
C_word *av2=av;
av2[0]=t5;
av2[1]=C_i_set_car(t4,t3);
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}

/* a31584 in k19734 in k19730 in k19726 in k19722 in k19718 in k19714 in k19710 in k19630 in k18854 in k18851 in k18848 in k18845 in k18841 in k18837 in k18272 in k18269 in k18266 in k18263 in k18260 in k18257 in k18254 in ... */
static void C_ccall f_31585(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word t5;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_31585,4,av);}
t4=C_i_cadr(t2);
t5=t1;{
C_word *av2=av;
av2[0]=t5;
av2[1]=C_i_set_car(t4,t3);
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}

/* a31594 in k19730 in k19726 in k19722 in k19718 in k19714 in k19710 in k19630 in k18854 in k18851 in k18848 in k18845 in k18841 in k18837 in k18272 in k18269 in k18266 in k18263 in k18260 in k18257 in k18254 in k18251 in ... */
static void C_ccall f_31595(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word t5;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_31595,4,av);}
t4=C_i_caar(t2);
t5=t1;{
C_word *av2=av;
av2[0]=t5;
av2[1]=C_i_set_car(t4,t3);
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}

/* a31604 in k19726 in k19722 in k19718 in k19714 in k19710 in k19630 in k18854 in k18851 in k18848 in k18845 in k18841 in k18837 in k18272 in k18269 in k18266 in k18263 in k18260 in k18257 in k18254 in k18251 in k18248 in ... */
static void C_ccall f_31605(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word t5;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_31605,4,av);}
t4=C_i_cdr(t2);
t5=t1;{
C_word *av2=av;
av2[0]=t5;
av2[1]=C_i_set_cdr(t4,t3);
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}

/* a31614 in k19722 in k19718 in k19714 in k19710 in k19630 in k18854 in k18851 in k18848 in k18845 in k18841 in k18837 in k18272 in k18269 in k18266 in k18263 in k18260 in k18257 in k18254 in k18251 in k18248 in k18245 in ... */
static void C_ccall f_31615(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word t5;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_31615,4,av);}
t4=C_i_car(t2);
t5=t1;{
C_word *av2=av;
av2[0]=t5;
av2[1]=C_i_set_cdr(t4,t3);
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}

/* a31624 in k19718 in k19714 in k19710 in k19630 in k18854 in k18851 in k18848 in k18845 in k18841 in k18837 in k18272 in k18269 in k18266 in k18263 in k18260 in k18257 in k18254 in k18251 in k18248 in k18245 in k18242 in ... */
static void C_ccall f_31625(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word t5;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_31625,4,av);}
t4=C_i_cdr(t2);
t5=t1;{
C_word *av2=av;
av2[0]=t5;
av2[1]=C_i_set_car(t4,t3);
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}

/* a31634 in k19714 in k19710 in k19630 in k18854 in k18851 in k18848 in k18845 in k18841 in k18837 in k18272 in k18269 in k18266 in k18263 in k18260 in k18257 in k18254 in k18251 in k18248 in k18245 in k18242 in k18239 in ... */
static void C_ccall f_31635(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word t5;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_31635,4,av);}
t4=C_i_car(t2);
t5=t1;{
C_word *av2=av;
av2[0]=t5;
av2[1]=C_i_set_car(t4,t3);
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}

/* a31644 in k18854 in k18851 in k18848 in k18845 in k18841 in k18837 in k18272 in k18269 in k18266 in k18263 in k18260 in k18257 in k18254 in k18251 in k18248 in k18245 in k18242 in k18239 in k18236 in k18233 in k18073 in ... */
static void C_ccall f_31645(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(7,c,4)))){
C_save_and_reclaim((void *)f_31645,3,av);}
a=C_alloc(7);
if(C_truep(C_i_closurep(t2))){
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_31661,a[2]=t1,a[3]=t2,tmp=(C_word)a,a+=4,tmp);
t4=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_31669,a[2]=((C_word)li995),tmp=(C_word)a,a+=3,tmp);
/* library.scm:3545: ##sys#lambda-decoration */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[753]);
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[753]+1);
av2[1]=t3;
av2[2]=t2;
av2[3]=t4;
tp(4,av2);}}
else{
/* library.scm:3547: ##sys#error */
t3=*((C_word*)lf[155]+1);{
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=t3;
av2[1]=t1;
av2[2]=lf[760];
av2[3]=lf[1366];
av2[4]=t2;
((C_proc)(void*)(*((C_word*)t3+1)))(5,av2);}}}

/* k31659 in a31644 in k18854 in k18851 in k18848 in k18845 in k18841 in k18837 in k18272 in k18269 in k18266 in k18263 in k18260 in k18257 in k18254 in k18251 in k18248 in k18245 in k18242 in k18239 in k18236 in k18233 in ... */
static void C_ccall f_31661(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,4)))){
C_save_and_reclaim((void *)f_31661,2,av);}
if(C_truep(t1)){
t2=C_slot(t1,C_fix(1));
if(C_truep(t2)){
t3=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t3;
av2[1]=t2;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}
else{
/* library.scm:3547: ##sys#error */
t3=*((C_word*)lf[155]+1);{
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=t3;
av2[1]=((C_word*)t0)[2];
av2[2]=lf[760];
av2[3]=lf[1366];
av2[4]=((C_word*)t0)[3];
((C_proc)(void*)(*((C_word*)t3+1)))(5,av2);}}}
else{
/* library.scm:3547: ##sys#error */
t2=*((C_word*)lf[155]+1);{
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[2];
av2[2]=lf[760];
av2[3]=lf[1366];
av2[4]=((C_word*)t0)[3];
((C_proc)(void*)(*((C_word*)t2+1)))(5,av2);}}}

/* a31668 in a31644 in k18854 in k18851 in k18848 in k18845 in k18841 in k18837 in k18272 in k18269 in k18266 in k18263 in k18260 in k18257 in k18254 in k18251 in k18248 in k18245 in k18242 in k18239 in k18236 in k18233 in ... */
static void C_ccall f_31669(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_31669,3,av);}
if(C_truep(C_i_pairp(t2))){
t3=C_slot(t2,C_fix(0));
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_eqp(C_retrieve2(lf[761],C_text("setter-tag")),t3);
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}
else{
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_SCHEME_FALSE;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}}

/* a31684 in k18854 in k18851 in k18848 in k18845 in k18841 in k18837 in k18272 in k18269 in k18266 in k18263 in k18260 in k18257 in k18254 in k18251 in k18248 in k18245 in k18242 in k18239 in k18236 in k18233 in k18073 in ... */
static void C_ccall f_31685(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_31685,3,av);}
if(C_truep(C_i_pairp(t2))){
t3=C_slot(t2,C_fix(0));
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_eqp(C_retrieve2(lf[761],C_text("setter-tag")),t3);
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}
else{
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_SCHEME_FALSE;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}}

/* a31700 in k18854 in k18851 in k18848 in k18845 in k18841 in k18837 in k18272 in k18269 in k18266 in k18263 in k18260 in k18257 in k18254 in k18251 in k18248 in k18245 in k18242 in k18239 in k18236 in k18233 in k18073 in ... */
static void C_ccall f_31701(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(6,c,4)))){
C_save_and_reclaim((void *)f_31701,4,av);}
a=C_alloc(6);
t4=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_31711,a[2]=((C_word)li1000),tmp=(C_word)a,a+=3,tmp);
t5=C_a_i_cons(&a,2,C_retrieve2(lf[761],C_text("setter-tag")),t4);
t6=C_i_setslot(t2,t3,t5);
t7=t1;{
C_word *av2=av;
av2[0]=t7;
av2[1]=t2;
((C_proc)(void*)(*((C_word*)t7+1)))(2,av2);}}

/* a31710 in a31700 in k18854 in k18851 in k18848 in k18845 in k18841 in k18837 in k18272 in k18269 in k18266 in k18263 in k18260 in k18257 in k18254 in k18251 in k18248 in k18245 in k18242 in k18239 in k18236 in k18233 in ... */
static void C_ccall f_31711(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(11,c,4)))){
C_save_and_reclaim((void *)f_31711,4,av);}
a=C_alloc(11);
if(C_truep(C_i_closurep(t2))){
t4=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_31721,a[2]=t2,a[3]=t1,tmp=(C_word)a,a+=4,tmp);
t5=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_31740,a[2]=((C_word)li998),tmp=(C_word)a,a+=3,tmp);
t6=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_31756,a[2]=t3,a[3]=((C_word)li999),tmp=(C_word)a,a+=4,tmp);
/* library.scm:3556: ##sys#decorate-lambda */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[752]);
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=*((C_word*)lf[752]+1);
av2[1]=t4;
av2[2]=t2;
av2[3]=t5;
av2[4]=t6;
tp(5,av2);}}
else{
/* library.scm:3563: chicken.base#error */
t4=*((C_word*)lf[193]+1);{
C_word *av2=av;
av2[0]=t4;
av2[1]=t1;
av2[2]=lf[1367];
av2[3]=t2;
((C_proc)(void*)(*((C_word*)t4+1)))(4,av2);}}}

/* k31719 in a31710 in a31700 in k18854 in k18851 in k18848 in k18845 in k18841 in k18837 in k18272 in k18269 in k18266 in k18263 in k18260 in k18257 in k18254 in k18251 in k18248 in k18245 in k18242 in k18239 in k18236 in ... */
static void C_ccall f_31721(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,c,2)))){
C_save_and_reclaim((void *)f_31721,2,av);}
a=C_alloc(6);
t2=C_eqp(((C_word*)t0)[2],t1);
if(C_truep(t2)){
t3=((C_word*)t0)[3];{
C_word *av2=av;
av2[0]=t3;
av2[1]=((C_word*)t0)[2];
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}
else{
t3=C_a_i_cons(&a,2,((C_word*)t0)[2],t1);
t4=C_a_i_list1(&a,1,t3);
/* library.scm:3562: ##sys#become! */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[329]+1));
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[329]+1);
av2[1]=((C_word*)t0)[3];
av2[2]=t4;
tp(3,av2);}}}

/* a31739 in a31710 in a31700 in k18854 in k18851 in k18848 in k18845 in k18841 in k18837 in k18272 in k18269 in k18266 in k18263 in k18260 in k18257 in k18254 in k18251 in k18248 in k18245 in k18242 in k18239 in k18236 in ... */
static void C_ccall f_31740(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_31740,3,av);}
if(C_truep(C_i_pairp(t2))){
t3=C_slot(t2,C_fix(0));
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_eqp(C_retrieve2(lf[761],C_text("setter-tag")),t3);
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}
else{
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_SCHEME_FALSE;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}}

/* a31755 in a31710 in a31700 in k18854 in k18851 in k18848 in k18845 in k18841 in k18837 in k18272 in k18269 in k18266 in k18263 in k18260 in k18257 in k18254 in k18251 in k18248 in k18245 in k18242 in k18239 in k18236 in ... */
static void C_ccall f_31756(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(3,c,1)))){
C_save_and_reclaim((void *)f_31756,4,av);}
a=C_alloc(3);
t4=C_a_i_cons(&a,2,C_retrieve2(lf[761],C_text("setter-tag")),((C_word*)t0)[2]);
t5=C_i_setslot(t2,t3,t4);
t6=t1;{
C_word *av2=av;
av2[0]=t6;
av2[1]=t2;
((C_proc)(void*)(*((C_word*)t6+1)))(2,av2);}}

/* a31768 in k18272 in k18269 in k18266 in k18263 in k18260 in k18257 in k18254 in k18251 in k18248 in k18245 in k18242 in k18239 in k18236 in k18233 in k18073 in k8490 */
static void C_ccall f_31769(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(7,c,2)))){
C_save_and_reclaim((void *)f_31769,3,av);}
a=C_alloc(7);
t3=C_SCHEME_UNDEFINED;
t4=(*a=C_VECTOR_TYPE|1,a[1]=t3,tmp=(C_word)a,a+=2,tmp);
t5=C_set_block_item(t4,0,(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_31775,a[2]=t2,a[3]=t4,a[4]=((C_word)li546),tmp=(C_word)a,a+=5,tmp));
t6=((C_word*)t4)[1];{
C_word *av2=av;
av2[0]=t6;
av2[1]=t1;
f_31775(2,av2);}}

/* loop in a31768 in k18272 in k18269 in k18266 in k18263 in k18260 in k18257 in k18254 in k18251 in k18248 in k18245 in k18242 in k18239 in k18236 in k18233 in k18073 in k8490 */
static void C_ccall f_31775(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(c!=2) C_bad_argc_2(c,2,t0);
if(C_unlikely(!C_demand(C_calculate_demand(5,c,2)))){
C_save_and_reclaim((void *)f_31775,2,av);}
a=C_alloc(5);
t2=C_read_char(((C_word*)t0)[2]);
t3=C_eqp(C_fix(-1),t2);
if(C_truep(t3)){
t4=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_31806,a[2]=t1,a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[2],tmp=(C_word)a,a+=5,tmp);
/* library.scm:3215: ##sys#update-errno */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[706]);
C_word *av2=av;
av2[0]=*((C_word*)lf[706]+1);
av2[1]=t4;
tp(2,av2);}}
else{
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=t2;
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}}

/* k31796 in k31804 in loop in a31768 in k18272 in k18269 in k18266 in k18263 in k18260 in k18257 in k18254 in k18251 in k18248 in k18245 in k18242 in k18239 in k18236 in k18233 in k18073 in k8490 */
static void C_ccall f_31798(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,5)))){
C_save_and_reclaim((void *)f_31798,2,av);}
/* library.scm:3217: ##sys#signal-hook */
t2=C_fast_retrieve(lf[194]);{
C_word *av2;
if(c >= 6) {
  av2=av;
} else {
  av2=C_alloc(6);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[2];
av2[2]=lf[702];
av2[3]=lf[703];
av2[4]=t1;
av2[5]=((C_word*)t0)[3];
((C_proc)(void*)(*((C_word*)t2+1)))(6,av2);}}

/* k31800 in k31804 in loop in a31768 in k18272 in k18269 in k18266 in k18263 in k18260 in k18257 in k18254 in k18251 in k18248 in k18245 in k18242 in k18239 in k18236 in k18233 in k18073 in k8490 */
static void C_ccall f_31802(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_31802,2,av);}
/* library.scm:3219: ##sys#string-append */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[412]+1));
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[412]+1);
av2[1]=((C_word*)t0)[2];
av2[2]=lf[704];
av2[3]=t1;
tp(4,av2);}}

/* k31804 in loop in a31768 in k18272 in k18269 in k18266 in k18263 in k18260 in k18257 in k18254 in k18251 in k18248 in k18245 in k18242 in k18239 in k18236 in k18233 in k18073 in k8490 */
static void C_ccall f_31806(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(10,c,3)))){
C_save_and_reclaim((void *)f_31806,2,av);}
a=C_alloc(10);
t2=C_fix((C_word)EINTR);
t3=C_eqp(t1,t2);
if(C_truep(t3)){
/* library.scm:3216: ##sys#dispatch-interrupt */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[701]);
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[701]+1);
av2[1]=((C_word*)t0)[2];
av2[2]=((C_word*)((C_word*)t0)[3])[1];
tp(3,av2);}}
else{
t4=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_31798,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[4],tmp=(C_word)a,a+=4,tmp);
t5=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_31802,a[2]=t4,tmp=(C_word)a,a+=3,tmp);
/* ##sys#peek-c-string */
t6=*((C_word*)lf[705]+1);{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t6;
av2[1]=t5;
av2[2]=C_mpointer(&a,(void*)strerror(errno));
av2[3]=C_fix(0);
((C_proc)(void*)(*((C_word*)t6+1)))(4,av2);}}}

/* a31808 in k18272 in k18269 in k18266 in k18263 in k18260 in k18257 in k18254 in k18251 in k18248 in k18245 in k18242 in k18239 in k18236 in k18233 in k18073 in k8490 */
static void C_ccall f_31809(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(7,c,2)))){
C_save_and_reclaim((void *)f_31809,3,av);}
a=C_alloc(7);
t3=C_SCHEME_UNDEFINED;
t4=(*a=C_VECTOR_TYPE|1,a[1]=t3,tmp=(C_word)a,a+=2,tmp);
t5=C_set_block_item(t4,0,(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_31815,a[2]=t2,a[3]=t4,a[4]=((C_word)li548),tmp=(C_word)a,a+=5,tmp));
t6=((C_word*)t4)[1];{
C_word *av2=av;
av2[0]=t6;
av2[1]=t1;
f_31815(2,av2);}}

/* loop in a31808 in k18272 in k18269 in k18266 in k18263 in k18260 in k18257 in k18254 in k18251 in k18248 in k18245 in k18242 in k18239 in k18236 in k18233 in k18073 in k8490 */
static void C_ccall f_31815(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(c!=2) C_bad_argc_2(c,2,t0);
if(C_unlikely(!C_demand(C_calculate_demand(5,c,2)))){
C_save_and_reclaim((void *)f_31815,2,av);}
a=C_alloc(5);
t2=C_peek_char(((C_word*)t0)[2]);
t3=C_eqp(C_fix(-1),t2);
if(C_truep(t3)){
t4=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_31846,a[2]=t1,a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[2],tmp=(C_word)a,a+=5,tmp);
/* library.scm:3227: ##sys#update-errno */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[706]);
C_word *av2=av;
av2[0]=*((C_word*)lf[706]+1);
av2[1]=t4;
tp(2,av2);}}
else{
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=t2;
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}}

/* k31836 in k31844 in loop in a31808 in k18272 in k18269 in k18266 in k18263 in k18260 in k18257 in k18254 in k18251 in k18248 in k18245 in k18242 in k18239 in k18236 in k18233 in k18073 in k8490 */
static void C_ccall f_31838(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,5)))){
C_save_and_reclaim((void *)f_31838,2,av);}
/* library.scm:3229: ##sys#signal-hook */
t2=C_fast_retrieve(lf[194]);{
C_word *av2;
if(c >= 6) {
  av2=av;
} else {
  av2=C_alloc(6);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[2];
av2[2]=lf[702];
av2[3]=lf[707];
av2[4]=t1;
av2[5]=((C_word*)t0)[3];
((C_proc)(void*)(*((C_word*)t2+1)))(6,av2);}}

/* k31840 in k31844 in loop in a31808 in k18272 in k18269 in k18266 in k18263 in k18260 in k18257 in k18254 in k18251 in k18248 in k18245 in k18242 in k18239 in k18236 in k18233 in k18073 in k8490 */
static void C_ccall f_31842(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_31842,2,av);}
/* library.scm:3231: ##sys#string-append */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[412]+1));
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[412]+1);
av2[1]=((C_word*)t0)[2];
av2[2]=lf[708];
av2[3]=t1;
tp(4,av2);}}

/* k31844 in loop in a31808 in k18272 in k18269 in k18266 in k18263 in k18260 in k18257 in k18254 in k18251 in k18248 in k18245 in k18242 in k18239 in k18236 in k18233 in k18073 in k8490 */
static void C_ccall f_31846(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(10,c,3)))){
C_save_and_reclaim((void *)f_31846,2,av);}
a=C_alloc(10);
t2=C_fix((C_word)EINTR);
t3=C_eqp(t1,t2);
if(C_truep(t3)){
/* library.scm:3228: ##sys#dispatch-interrupt */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[701]);
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[701]+1);
av2[1]=((C_word*)t0)[2];
av2[2]=((C_word*)((C_word*)t0)[3])[1];
tp(3,av2);}}
else{
t4=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_31838,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[4],tmp=(C_word)a,a+=4,tmp);
t5=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_31842,a[2]=t4,tmp=(C_word)a,a+=3,tmp);
/* ##sys#peek-c-string */
t6=*((C_word*)lf[705]+1);{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t6;
av2[1]=t5;
av2[2]=C_mpointer(&a,(void*)strerror(errno));
av2[3]=C_fix(0);
((C_proc)(void*)(*((C_word*)t6+1)))(4,av2);}}}

/* a31848 in k18272 in k18269 in k18266 in k18263 in k18260 in k18257 in k18254 in k18251 in k18248 in k18245 in k18242 in k18239 in k18236 in k18233 in k18073 in k8490 */
static void C_ccall f_31849(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_31849,4,av);}
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_display_char(t2,t3);
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* a31851 in k18272 in k18269 in k18266 in k18263 in k18260 in k18257 in k18254 in k18251 in k18248 in k18245 in k18242 in k18239 in k18236 in k18233 in k18073 in k8490 */
static void C_ccall f_31852(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_31852,4,av);}
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_display_string(t2,t3);
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* a31854 in k18272 in k18269 in k18266 in k18263 in k18260 in k18257 in k18254 in k18251 in k18248 in k18245 in k18242 in k18239 in k18236 in k18233 in k18073 in k8490 */
static void C_ccall f_31855(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word t5;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_31855,4,av);}
t4=C_close_file(t2);
/* library.scm:3240: ##sys#update-errno */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[706]);
C_word *av2=av;
av2[0]=*((C_word*)lf[706]+1);
av2[1]=t1;
tp(2,av2);}}

/* a31860 in k18272 in k18269 in k18266 in k18263 in k18260 in k18257 in k18254 in k18251 in k18248 in k18245 in k18242 in k18239 in k18236 in k18233 in k18073 in k8490 */
static void C_ccall f_31861(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_31861,3,av);}
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_flush_output(t2);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* a31863 in k18272 in k18269 in k18266 in k18263 in k18260 in k18257 in k18254 in k18251 in k18248 in k18245 in k18242 in k18239 in k18236 in k18233 in k18073 in k8490 */
static void C_ccall f_31864(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_31864,3,av);}
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_char_ready_p(t2);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* a31866 in k18272 in k18269 in k18266 in k18263 in k18260 in k18257 in k18254 in k18251 in k18248 in k18245 in k18242 in k18239 in k18236 in k18233 in k18073 in k8490 */
static void C_ccall f_31867(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4=av[4];
C_word t5=av[5];
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word *a;
if(c!=6) C_bad_argc_2(c,6,t0);
if(C_unlikely(!C_demand(C_calculate_demand(7,c,2)))){
C_save_and_reclaim((void *)f_31867,6,av);}
a=C_alloc(7);
t6=t3;
t7=(*a=C_CLOSURE_TYPE|6,a[1]=(C_word)f_31875,a[2]=t4,a[3]=t2,a[4]=t3,a[5]=t1,a[6]=t5,tmp=(C_word)a,a+=7,tmp);
if(C_truep(t6)){
t8=t7;
f_31875(t8,t6);}
else{
t8=C_block_size(t4);
t9=t7;
f_31875(t9,C_fixnum_difference(t8,t5));}}

/* k31873 in a31866 in k18272 in k18269 in k18266 in k18263 in k18260 in k18257 in k18254 in k18251 in k18248 in k18245 in k18242 in k18239 in k18236 in k18233 in k18073 in k8490 */
static void C_fcall f_31875(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(9,0,5)))){
C_save_and_reclaim_args((void *)trf_31875,2,t0,t1);}
a=C_alloc(9);
t2=C_SCHEME_UNDEFINED;
t3=(*a=C_VECTOR_TYPE|1,a[1]=t2,tmp=(C_word)a,a+=2,tmp);
t4=C_set_block_item(t3,0,(*a=C_CLOSURE_TYPE|6,a[1]=(C_word)f_31877,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=t3,a[5]=((C_word*)t0)[4],a[6]=((C_word)li556),tmp=(C_word)a,a+=7,tmp));
t5=((C_word*)t3)[1];
f_31877(t5,((C_word*)t0)[5],t1,C_fix(0),((C_word*)t0)[6]);}

/* loop in k31873 in a31866 in k18272 in k18269 in k18266 in k18263 in k18260 in k18257 in k18254 in k18251 in k18248 in k18245 in k18242 in k18239 in k18236 in k18233 in k18073 in k8490 */
static void C_fcall f_31877(C_word t0,C_word t1,C_word t2,C_word t3,C_word t4){
C_word tmp;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word t12;
C_word t13;
C_word *a;
loop:
if(C_unlikely(!C_demand(C_calculate_demand(11,0,4)))){
C_save_and_reclaim_args((void *)trf_31877,5,t0,t1,t2,t3,t4);}
a=C_alloc(11);
t5=fast_read_string_from_file(((C_word*)t0)[2],((C_word*)t0)[3],t2,t4);
if(C_truep(C_eofp(t5))){
t6=t3;
t7=t1;{
C_word av2[2];
av2[0]=t7;
av2[1]=t6;
((C_proc)(void*)(*((C_word*)t7+1)))(2,av2);}}
else{
if(C_truep(C_fixnum_lessp(t5,C_fix(0)))){
t6=(*a=C_CLOSURE_TYPE|10,a[1]=(C_word)f_31932,a[2]=t2,a[3]=t5,a[4]=t3,a[5]=t4,a[6]=((C_word*)t0)[4],a[7]=t1,a[8]=((C_word*)t0)[3],a[9]=((C_word*)t0)[5],a[10]=((C_word*)t0)[2],tmp=(C_word)a,a+=11,tmp);
/* library.scm:3251: ##sys#update-errno */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[706]);
C_word av2[2];
av2[0]=*((C_word*)lf[706]+1);
av2[1]=t6;
tp(2,av2);}}
else{
if(C_truep(C_fixnum_lessp(t5,t2))){
t6=C_fixnum_difference(t2,t5);
t7=C_fixnum_plus(t3,t5);
t8=C_fixnum_plus(t4,t5);
/* library.scm:3260: loop */
t10=t1;
t11=t6;
t12=t7;
t13=t8;
t1=t10;
t2=t11;
t3=t12;
t4=t13;
goto loop;}
else{
t6=t1;{
C_word av2[2];
av2[0]=t6;
av2[1]=C_fixnum_plus(t3,t5);
((C_proc)(void*)(*((C_word*)t6+1)))(2,av2);}}}}}

/* a31900 in k31930 in loop in k31873 in a31866 in k18272 in k18269 in k18266 in k18263 in k18260 in k18257 in k18254 in k18251 in k18248 in k18245 in k18242 in k18239 in k18236 in k18233 in k18073 in k8490 */
static void C_ccall f_31901(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(c!=2) C_bad_argc_2(c,2,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,4)))){
C_save_and_reclaim((void *)f_31901,2,av);}
t2=C_fixnum_difference(((C_word*)t0)[2],((C_word*)t0)[3]);
t3=C_fixnum_plus(((C_word*)t0)[4],((C_word*)t0)[3]);
t4=C_fixnum_plus(((C_word*)t0)[5],((C_word*)t0)[3]);
/* library.scm:3254: loop */
t5=((C_word*)((C_word*)t0)[6])[1];
f_31877(t5,t1,t2,t3,t4);}

/* k31922 in k31930 in loop in k31873 in a31866 in k18272 in k18269 in k18266 in k18263 in k18260 in k18257 in k18254 in k18251 in k18248 in k18245 in k18242 in k18239 in k18236 in k18233 in k18073 in k8490 */
static void C_ccall f_31924(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,8)))){
C_save_and_reclaim((void *)f_31924,2,av);}
/* library.scm:3255: ##sys#signal-hook */
t2=C_fast_retrieve(lf[194]);{
C_word *av2;
if(c >= 9) {
  av2=av;
} else {
  av2=C_alloc(9);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[2];
av2[2]=lf[702];
av2[3]=lf[709];
av2[4]=t1;
av2[5]=((C_word*)t0)[3];
av2[6]=((C_word*)t0)[4];
av2[7]=((C_word*)t0)[5];
av2[8]=((C_word*)t0)[6];
((C_proc)(void*)(*((C_word*)t2+1)))(9,av2);}}

/* k31926 in k31930 in loop in k31873 in a31866 in k18272 in k18269 in k18266 in k18263 in k18260 in k18257 in k18254 in k18251 in k18248 in k18245 in k18242 in k18239 in k18236 in k18233 in k18073 in k8490 */
static void C_ccall f_31928(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_31928,2,av);}
/* library.scm:3257: ##sys#string-append */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[412]+1));
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[412]+1);
av2[1]=((C_word*)t0)[2];
av2[2]=lf[710];
av2[3]=t1;
tp(4,av2);}}

/* k31930 in loop in k31873 in a31866 in k18272 in k18269 in k18266 in k18263 in k18260 in k18257 in k18254 in k18251 in k18248 in k18245 in k18242 in k18239 in k18236 in k18233 in k18073 in k8490 */
static void C_ccall f_31932(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(13,c,3)))){
C_save_and_reclaim((void *)f_31932,2,av);}
a=C_alloc(13);
t2=C_fix((C_word)EINTR);
t3=C_eqp(t1,t2);
if(C_truep(t3)){
t4=(*a=C_CLOSURE_TYPE|7,a[1]=(C_word)f_31901,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[5],a[6]=((C_word*)t0)[6],a[7]=((C_word)li555),tmp=(C_word)a,a+=8,tmp);
/* library.scm:3252: ##sys#dispatch-interrupt */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[701]);
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[701]+1);
av2[1]=((C_word*)t0)[7];
av2[2]=t4;
tp(3,av2);}}
else{
t4=(*a=C_CLOSURE_TYPE|6,a[1]=(C_word)f_31924,a[2]=((C_word*)t0)[7],a[3]=((C_word*)t0)[8],a[4]=((C_word*)t0)[9],a[5]=((C_word*)t0)[10],a[6]=((C_word*)t0)[5],tmp=(C_word)a,a+=7,tmp);
t5=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_31928,a[2]=t4,tmp=(C_word)a,a+=3,tmp);
/* ##sys#peek-c-string */
t6=*((C_word*)lf[705]+1);{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t6;
av2[1]=t5;
av2[2]=C_mpointer(&a,(void*)strerror(errno));
av2[3]=C_fix(0);
((C_proc)(void*)(*((C_word*)t6+1)))(4,av2);}}}

/* a31965 in k18272 in k18269 in k18266 in k18263 in k18260 in k18257 in k18254 in k18251 in k18248 in k18245 in k18242 in k18239 in k18236 in k18233 in k18073 in k8490 */
static void C_ccall f_31966(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word t5;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(5,c,3)))){
C_save_and_reclaim((void *)f_31966,4,av);}
a=C_alloc(5);
t4=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_31970,a[2]=t3,a[3]=t2,a[4]=t1,tmp=(C_word)a,a+=5,tmp);
if(C_truep(t3)){
/* library.scm:3264: ##sys#check-fixnum */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[102]+1));
C_word *av2=av;
av2[0]=*((C_word*)lf[102]+1);
av2[1]=t4;
av2[2]=t3;
av2[3]=lf[711];
tp(4,av2);}}
else{
t5=t4;{
C_word *av2=av;
av2[0]=t5;
av2[1]=C_SCHEME_UNDEFINED;
f_31970(2,av2);}}}

/* k31968 in a31965 in k18272 in k18269 in k18266 in k18263 in k18260 in k18257 in k18254 in k18251 in k18248 in k18245 in k18242 in k18239 in k18236 in k18233 in k18073 in k8490 */
static void C_ccall f_31970(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(9,c,2)))){
C_save_and_reclaim((void *)f_31970,2,av);}
a=C_alloc(9);
t2=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_31973,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],tmp=(C_word)a,a+=5,tmp);
if(C_truep(C_slot(((C_word*)t0)[3],C_fix(12)))){
t3=t2;
f_31973(t3,C_SCHEME_UNDEFINED);}
else{
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_32139,a[2]=t2,a[3]=((C_word*)t0)[3],tmp=(C_word)a,a+=4,tmp);
/* library.scm:3267: ##sys#make-string */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[376]+1));
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[376]+1);
av2[1]=t3;
av2[2]=C_fix(1024);
tp(3,av2);}}}

/* k31971 in k31968 in a31965 in k18272 in k18269 in k18266 in k18263 in k18260 in k18257 in k18254 in k18251 in k18248 in k18245 in k18242 in k18239 in k18236 in k18233 in k18073 in k8490 */
static void C_fcall f_31973(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(8,0,7)))){
C_save_and_reclaim_args((void *)trf_31973,2,t0,t1);}
a=C_alloc(8);
t2=((C_word*)t0)[2];
t3=(C_truep(t2)?t2:lf[269]);
t4=C_slot(((C_word*)t0)[3],C_fix(12));
t5=C_SCHEME_UNDEFINED;
t6=(*a=C_VECTOR_TYPE|1,a[1]=t5,tmp=(C_word)a,a+=2,tmp);
t7=C_set_block_item(t6,0,(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_31986,a[2]=((C_word*)t0)[3],a[3]=t6,a[4]=((C_word*)t0)[2],a[5]=((C_word)li559),tmp=(C_word)a,a+=6,tmp));
t8=((C_word*)t6)[1];
f_31986(t8,((C_word*)t0)[4],C_fix(1024),t3,t4,lf[713],C_SCHEME_FALSE);}

/* loop in k31971 in k31968 in a31965 in k18272 in k18269 in k18266 in k18263 in k18260 in k18257 in k18254 in k18251 in k18248 in k18245 in k18242 in k18239 in k18236 in k18233 in k18073 in k8490 */
static void C_fcall f_31986(C_word t0,C_word t1,C_word t2,C_word t3,C_word t4,C_word t5,C_word t6){
C_word tmp;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word t12;
C_word t13;
C_word t14;
C_word t15;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(11,0,4)))){
C_save_and_reclaim_args((void *)trf_31986,7,t0,t1,t2,t3,t4,t5,t6);}
a=C_alloc(11);
t7=C_i_fixnum_min(t3,t2);
t8=fast_read_line_from_file(t4,((C_word*)t0)[2],t7);
if(C_truep(C_eofp(t8))){
t9=t1;{
C_word av2[2];
av2[0]=t9;
av2[1]=(C_truep(t6)?t5:C_SCHEME_END_OF_FILE);
((C_proc)(void*)(*((C_word*)t9+1)))(2,av2);}}
else{
if(C_truep(C_i_not(t8))){
if(C_truep(C_fixnum_lessp(t3,t2))){
t9=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_32019,a[2]=t1,a[3]=t5,tmp=(C_word)a,a+=4,tmp);
/* library.scm:3278: ##sys#substring */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[395]+1));
C_word av2[5];
av2[0]=*((C_word*)lf[395]+1);
av2[1]=t9;
av2[2]=t4;
av2[3]=C_fix(0);
av2[4]=t3;
tp(5,av2);}}
else{
t9=C_fixnum_times(t2,C_fix(2));
t10=t9;
t11=C_fixnum_difference(t3,t2);
t12=t11;
t13=(*a=C_CLOSURE_TYPE|7,a[1]=(C_word)f_32034,a[2]=((C_word*)t0)[3],a[3]=t1,a[4]=t10,a[5]=t12,a[6]=t5,a[7]=t4,tmp=(C_word)a,a+=8,tmp);
t14=C_fixnum_times(t2,C_fix(2));
/* library.scm:3281: ##sys#make-string */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[376]+1));
C_word av2[3];
av2[0]=*((C_word*)lf[376]+1);
av2[1]=t13;
av2[2]=t14;
tp(3,av2);}}}
else{
if(C_truep(C_fixnum_lessp(t8,C_fix(0)))){
t9=(*a=C_CLOSURE_TYPE|10,a[1]=(C_word)f_32093,a[2]=t8,a[3]=((C_word*)t0)[3],a[4]=t2,a[5]=t3,a[6]=t4,a[7]=t5,a[8]=t1,a[9]=((C_word*)t0)[2],a[10]=((C_word*)t0)[4],tmp=(C_word)a,a+=11,tmp);
/* library.scm:3285: ##sys#update-errno */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[706]);
C_word av2[2];
av2[0]=*((C_word*)lf[706]+1);
av2[1]=t9;
tp(2,av2);}}
else{
if(C_truep(t6)){
t9=C_slot(((C_word*)t0)[2],C_fix(4));
t10=C_fixnum_plus(t9,C_fix(1));
t11=C_i_set_i_slot(((C_word*)t0)[2],C_fix(4),t10);
t12=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_32107,a[2]=t1,a[3]=t5,tmp=(C_word)a,a+=4,tmp);
/* library.scm:3298: ##sys#substring */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[395]+1));
C_word av2[5];
av2[0]=*((C_word*)lf[395]+1);
av2[1]=t12;
av2[2]=t4;
av2[3]=C_fix(0);
av2[4]=t8;
tp(5,av2);}}
else{
t9=C_slot(((C_word*)t0)[2],C_fix(4));
t10=C_fixnum_plus(t9,C_fix(1));
t11=C_i_set_i_slot(((C_word*)t0)[2],C_fix(4),t10);
/* library.scm:3301: ##sys#substring */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[395]+1));
C_word av2[5];
av2[0]=*((C_word*)lf[395]+1);
av2[1]=t1;
av2[2]=t4;
av2[3]=C_fix(0);
av2[4]=t8;
tp(5,av2);}}}}}}

/* k32017 in loop in k31971 in k31968 in a31965 in k18272 in k18269 in k18266 in k18263 in k18260 in k18257 in k18254 in k18251 in k18248 in k18245 in k18242 in k18239 in k18236 in k18233 in k18073 in k8490 */
static void C_ccall f_32019(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_32019,2,av);}
/* library.scm:3278: ##sys#string-append */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[412]+1));
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[412]+1);
av2[1]=((C_word*)t0)[2];
av2[2]=((C_word*)t0)[3];
av2[3]=t1;
tp(4,av2);}}

/* k32032 in loop in k31971 in k31968 in a31965 in k18272 in k18269 in k18266 in k18263 in k18260 in k18257 in k18254 in k18251 in k18248 in k18245 in k18242 in k18239 in k18236 in k18233 in k18073 in k8490 */
static void C_ccall f_32034(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(7,c,3)))){
C_save_and_reclaim((void *)f_32034,2,av);}
a=C_alloc(7);
t2=t1;
t3=(*a=C_CLOSURE_TYPE|6,a[1]=(C_word)f_32038,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[5],a[6]=t2,tmp=(C_word)a,a+=7,tmp);
/* library.scm:3282: ##sys#string-append */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[412]+1));
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[412]+1);
av2[1]=t3;
av2[2]=((C_word*)t0)[6];
av2[3]=((C_word*)t0)[7];
tp(4,av2);}}

/* k32036 in k32032 in loop in k31971 in k31968 in a31965 in k18272 in k18269 in k18266 in k18263 in k18260 in k18257 in k18254 in k18251 in k18248 in k18245 in k18242 in k18239 in k18236 in k18233 in k18073 in k8490 in ... */
static void C_ccall f_32038(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,6)))){
C_save_and_reclaim((void *)f_32038,2,av);}
/* library.scm:3279: loop */
t2=((C_word*)((C_word*)t0)[2])[1];
f_31986(t2,((C_word*)t0)[3],((C_word*)t0)[4],((C_word*)t0)[5],((C_word*)t0)[6],t1,C_SCHEME_TRUE);}

/* a32061 in k32091 in loop in k31971 in k31968 in a31965 in k18272 in k18269 in k18266 in k18263 in k18260 in k18257 in k18254 in k18251 in k18248 in k18245 in k18242 in k18239 in k18236 in k18233 in k18073 in k8490 in ... */
static void C_ccall f_32062(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(c!=2) C_bad_argc_2(c,2,t0);
if(C_unlikely(!C_demand(C_calculate_demand(11,c,4)))){
C_save_and_reclaim((void *)f_32062,2,av);}
a=C_alloc(11);
t2=(*a=C_CLOSURE_TYPE|6,a[1]=(C_word)f_32070,a[2]=((C_word*)t0)[2],a[3]=t1,a[4]=((C_word*)t0)[3],a[5]=((C_word*)t0)[4],a[6]=((C_word*)t0)[5],tmp=(C_word)a,a+=7,tmp);
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_32074,a[2]=t2,a[3]=((C_word*)t0)[6],tmp=(C_word)a,a+=4,tmp);
/* library.scm:3291: ##sys#substring */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[395]+1));
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=*((C_word*)lf[395]+1);
av2[1]=t3;
av2[2]=((C_word*)t0)[5];
av2[3]=C_fix(0);
av2[4]=((C_word*)t0)[7];
tp(5,av2);}}

/* k32068 in a32061 in k32091 in loop in k31971 in k31968 in a31965 in k18272 in k18269 in k18266 in k18263 in k18260 in k18257 in k18254 in k18251 in k18248 in k18245 in k18242 in k18239 in k18236 in k18233 in k18073 in ... */
static void C_ccall f_32070(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,6)))){
C_save_and_reclaim((void *)f_32070,2,av);}
/* library.scm:3289: loop */
t2=((C_word*)((C_word*)t0)[2])[1];
f_31986(t2,((C_word*)t0)[3],((C_word*)t0)[4],((C_word*)t0)[5],((C_word*)t0)[6],t1,C_SCHEME_TRUE);}

/* k32072 in a32061 in k32091 in loop in k31971 in k31968 in a31965 in k18272 in k18269 in k18266 in k18263 in k18260 in k18257 in k18254 in k18251 in k18248 in k18245 in k18242 in k18239 in k18236 in k18233 in k18073 in ... */
static void C_ccall f_32074(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_32074,2,av);}
/* library.scm:3290: ##sys#string-append */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[412]+1));
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[412]+1);
av2[1]=((C_word*)t0)[2];
av2[2]=((C_word*)t0)[3];
av2[3]=t1;
tp(4,av2);}}

/* k32083 in k32091 in loop in k31971 in k31968 in a31965 in k18272 in k18269 in k18266 in k18263 in k18260 in k18257 in k18254 in k18251 in k18248 in k18245 in k18242 in k18239 in k18236 in k18233 in k18073 in k8490 in ... */
static void C_ccall f_32085(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,6)))){
C_save_and_reclaim((void *)f_32085,2,av);}
/* library.scm:3293: ##sys#signal-hook */
t2=C_fast_retrieve(lf[194]);{
C_word *av2;
if(c >= 7) {
  av2=av;
} else {
  av2=C_alloc(7);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[2];
av2[2]=lf[702];
av2[3]=lf[711];
av2[4]=t1;
av2[5]=((C_word*)t0)[3];
av2[6]=((C_word*)t0)[4];
((C_proc)(void*)(*((C_word*)t2+1)))(7,av2);}}

/* k32087 in k32091 in loop in k31971 in k31968 in a31965 in k18272 in k18269 in k18266 in k18263 in k18260 in k18257 in k18254 in k18251 in k18248 in k18245 in k18242 in k18239 in k18236 in k18233 in k18073 in k8490 in ... */
static void C_ccall f_32089(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_32089,2,av);}
/* library.scm:3295: ##sys#string-append */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[412]+1));
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[412]+1);
av2[1]=((C_word*)t0)[2];
av2[2]=lf[712];
av2[3]=t1;
tp(4,av2);}}

/* k32091 in loop in k31971 in k31968 in a31965 in k18272 in k18269 in k18266 in k18263 in k18260 in k18257 in k18254 in k18251 in k18248 in k18245 in k18242 in k18239 in k18236 in k18233 in k18073 in k8490 */
static void C_ccall f_32093(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(11,c,3)))){
C_save_and_reclaim((void *)f_32093,2,av);}
a=C_alloc(11);
t2=C_fix((C_word)EINTR);
t3=C_eqp(t1,t2);
if(C_truep(t3)){
t4=C_fixnum_negate(((C_word*)t0)[2]);
t5=C_fixnum_difference(t4,C_fix(1));
t6=t5;
t7=(*a=C_CLOSURE_TYPE|8,a[1]=(C_word)f_32062,a[2]=((C_word*)t0)[3],a[3]=((C_word*)t0)[4],a[4]=((C_word*)t0)[5],a[5]=((C_word*)t0)[6],a[6]=((C_word*)t0)[7],a[7]=t6,a[8]=((C_word)li558),tmp=(C_word)a,a+=9,tmp);
/* library.scm:3287: ##sys#dispatch-interrupt */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[701]);
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[701]+1);
av2[1]=((C_word*)t0)[8];
av2[2]=t7;
tp(3,av2);}}
else{
t4=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_32085,a[2]=((C_word*)t0)[8],a[3]=((C_word*)t0)[9],a[4]=((C_word*)t0)[10],tmp=(C_word)a,a+=5,tmp);
t5=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_32089,a[2]=t4,tmp=(C_word)a,a+=3,tmp);
/* ##sys#peek-c-string */
t6=*((C_word*)lf[705]+1);{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t6;
av2[1]=t5;
av2[2]=C_mpointer(&a,(void*)strerror(errno));
av2[3]=C_fix(0);
((C_proc)(void*)(*((C_word*)t6+1)))(4,av2);}}}

/* k32105 in loop in k31971 in k31968 in a31965 in k18272 in k18269 in k18266 in k18263 in k18260 in k18257 in k18254 in k18251 in k18248 in k18245 in k18242 in k18239 in k18236 in k18233 in k18073 in k8490 */
static void C_ccall f_32107(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_32107,2,av);}
/* library.scm:3298: ##sys#string-append */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[412]+1));
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[412]+1);
av2[1]=((C_word*)t0)[2];
av2[2]=((C_word*)t0)[3];
av2[3]=t1;
tp(4,av2);}}

/* k32137 in k31968 in a31965 in k18272 in k18269 in k18266 in k18263 in k18260 in k18257 in k18254 in k18251 in k18248 in k18245 in k18242 in k18239 in k18236 in k18233 in k18073 in k8490 */
static void C_ccall f_32139(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_32139,2,av);}
t2=((C_word*)t0)[2];
f_31973(t2,C_i_setslot(((C_word*)t0)[3],C_fix(12),t1));}

/* k8490 */
static void C_ccall f_8492(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word t12;
C_word t13;
C_word t14;
C_word t15;
C_word t16;
C_word t17;
C_word t18;
C_word t19;
C_word t20;
C_word t21;
C_word t22;
C_word t23;
C_word t24;
C_word t25;
C_word t26;
C_word t27;
C_word t28;
C_word t29;
C_word t30;
C_word t31;
C_word t32;
C_word t33;
C_word t34;
C_word t35;
C_word t36;
C_word t37;
C_word t38;
C_word t39;
C_word t40;
C_word t41;
C_word t42;
C_word t43;
C_word t44;
C_word t45;
C_word t46;
C_word t47;
C_word t48;
C_word t49;
C_word t50;
C_word t51;
C_word t52;
C_word t53;
C_word t54;
C_word t55;
C_word t56;
C_word t57;
C_word t58;
C_word t59;
C_word t60;
C_word t61;
C_word t62;
C_word t63;
C_word t64;
C_word t65;
C_word t66;
C_word t67;
C_word t68;
C_word t69;
C_word t70;
C_word t71;
C_word t72;
C_word t73;
C_word t74;
C_word t75;
C_word t76;
C_word t77;
C_word t78;
C_word t79;
C_word t80;
C_word t81;
C_word t82;
C_word t83;
C_word t84;
C_word t85;
C_word t86;
C_word t87;
C_word t88;
C_word t89;
C_word t90;
C_word t91;
C_word t92;
C_word t93;
C_word t94;
C_word t95;
C_word t96;
C_word t97;
C_word t98;
C_word t99;
C_word t100;
C_word t101;
C_word t102;
C_word t103;
C_word t104;
C_word t105;
C_word t106;
C_word t107;
C_word t108;
C_word t109;
C_word t110;
C_word t111;
C_word t112;
C_word t113;
C_word t114;
C_word t115;
C_word t116;
C_word t117;
C_word t118;
C_word t119;
C_word t120;
C_word t121;
C_word t122;
C_word t123;
C_word t124;
C_word t125;
C_word t126;
C_word t127;
C_word t128;
C_word t129;
C_word t130;
C_word t131;
C_word t132;
C_word t133;
C_word t134;
C_word t135;
C_word t136;
C_word t137;
C_word t138;
C_word t139;
C_word t140;
C_word t141;
C_word t142;
C_word t143;
C_word t144;
C_word t145;
C_word t146;
C_word t147;
C_word t148;
C_word t149;
C_word t150;
C_word t151;
C_word t152;
C_word t153;
C_word t154;
C_word t155;
C_word t156;
C_word t157;
C_word t158;
C_word t159;
C_word t160;
C_word t161;
C_word t162;
C_word t163;
C_word t164;
C_word t165;
C_word t166;
C_word t167;
C_word t168;
C_word t169;
C_word t170;
C_word t171;
C_word t172;
C_word t173;
C_word t174;
C_word t175;
C_word t176;
C_word t177;
C_word t178;
C_word t179;
C_word t180;
C_word t181;
C_word t182;
C_word t183;
C_word t184;
C_word t185;
C_word t186;
C_word t187;
C_word t188;
C_word t189;
C_word t190;
C_word t191;
C_word t192;
C_word t193;
C_word t194;
C_word t195;
C_word t196;
C_word t197;
C_word t198;
C_word t199;
C_word t200;
C_word t201;
C_word t202;
C_word t203;
C_word t204;
C_word t205;
C_word t206;
C_word t207;
C_word t208;
C_word t209;
C_word t210;
C_word t211;
C_word t212;
C_word t213;
C_word t214;
C_word t215;
C_word t216;
C_word t217;
C_word t218;
C_word t219;
C_word t220;
C_word t221;
C_word t222;
C_word t223;
C_word t224;
C_word t225;
C_word t226;
C_word t227;
C_word t228;
C_word t229;
C_word t230;
C_word t231;
C_word t232;
C_word t233;
C_word t234;
C_word t235;
C_word t236;
C_word t237;
C_word t238;
C_word t239;
C_word t240;
C_word t241;
C_word t242;
C_word t243;
C_word t244;
C_word t245;
C_word t246;
C_word t247;
C_word t248;
C_word t249;
C_word t250;
C_word t251;
C_word t252;
C_word t253;
C_word t254;
C_word t255;
C_word t256;
C_word t257;
C_word t258;
C_word t259;
C_word t260;
C_word t261;
C_word t262;
C_word t263;
C_word t264;
C_word t265;
C_word t266;
C_word t267;
C_word t268;
C_word t269;
C_word t270;
C_word t271;
C_word t272;
C_word t273;
C_word t274;
C_word t275;
C_word t276;
C_word t277;
C_word t278;
C_word t279;
C_word t280;
C_word t281;
C_word t282;
C_word t283;
C_word t284;
C_word t285;
C_word t286;
C_word t287;
C_word t288;
C_word t289;
C_word t290;
C_word t291;
C_word t292;
C_word t293;
C_word t294;
C_word t295;
C_word t296;
C_word t297;
C_word t298;
C_word t299;
C_word t300;
C_word t301;
C_word t302;
C_word t303;
C_word t304;
C_word t305;
C_word t306;
C_word t307;
C_word t308;
C_word t309;
C_word t310;
C_word t311;
C_word t312;
C_word t313;
C_word t314;
C_word t315;
C_word t316;
C_word t317;
C_word t318;
C_word t319;
C_word t320;
C_word t321;
C_word t322;
C_word t323;
C_word t324;
C_word t325;
C_word t326;
C_word t327;
C_word t328;
C_word t329;
C_word t330;
C_word t331;
C_word t332;
C_word t333;
C_word t334;
C_word t335;
C_word t336;
C_word t337;
C_word t338;
C_word t339;
C_word t340;
C_word t341;
C_word t342;
C_word t343;
C_word t344;
C_word t345;
C_word t346;
C_word t347;
C_word t348;
C_word t349;
C_word t350;
C_word t351;
C_word t352;
C_word t353;
C_word t354;
C_word t355;
C_word t356;
C_word t357;
C_word t358;
C_word t359;
C_word t360;
C_word t361;
C_word t362;
C_word t363;
C_word t364;
C_word t365;
C_word t366;
C_word t367;
C_word t368;
C_word t369;
C_word t370;
C_word t371;
C_word t372;
C_word t373;
C_word t374;
C_word t375;
C_word t376;
C_word t377;
C_word t378;
C_word t379;
C_word t380;
C_word t381;
C_word t382;
C_word t383;
C_word t384;
C_word t385;
C_word t386;
C_word t387;
C_word t388;
C_word t389;
C_word t390;
C_word t391;
C_word t392;
C_word t393;
C_word t394;
C_word t395;
C_word t396;
C_word t397;
C_word t398;
C_word t399;
C_word t400;
C_word t401;
C_word t402;
C_word t403;
C_word t404;
C_word t405;
C_word t406;
C_word t407;
C_word t408;
C_word t409;
C_word t410;
C_word t411;
C_word t412;
C_word t413;
C_word t414;
C_word t415;
C_word t416;
C_word t417;
C_word t418;
C_word t419;
C_word t420;
C_word t421;
C_word t422;
C_word t423;
C_word t424;
C_word t425;
C_word t426;
C_word t427;
C_word t428;
C_word t429;
C_word t430;
C_word t431;
C_word t432;
C_word t433;
C_word t434;
C_word t435;
C_word t436;
C_word t437;
C_word t438;
C_word t439;
C_word t440;
C_word t441;
C_word t442;
C_word t443;
C_word t444;
C_word t445;
C_word t446;
C_word t447;
C_word t448;
C_word t449;
C_word t450;
C_word t451;
C_word t452;
C_word t453;
C_word t454;
C_word t455;
C_word t456;
C_word t457;
C_word t458;
C_word t459;
C_word t460;
C_word t461;
C_word t462;
C_word t463;
C_word t464;
C_word t465;
C_word t466;
C_word t467;
C_word t468;
C_word t469;
C_word t470;
C_word t471;
C_word t472;
C_word t473;
C_word t474;
C_word t475;
C_word t476;
C_word t477;
C_word t478;
C_word t479;
C_word t480;
C_word t481;
C_word t482;
C_word t483;
C_word t484;
C_word t485;
C_word t486;
C_word t487;
C_word t488;
C_word t489;
C_word t490;
C_word t491;
C_word t492;
C_word t493;
C_word t494;
C_word t495;
C_word t496;
C_word t497;
C_word t498;
C_word t499;
C_word t500;
C_word t501;
C_word t502;
C_word t503;
C_word t504;
C_word t505;
C_word t506;
C_word t507;
C_word t508;
C_word t509;
C_word t510;
C_word t511;
C_word t512;
C_word t513;
C_word t514;
C_word t515;
C_word t516;
C_word t517;
C_word t518;
C_word t519;
C_word t520;
C_word t521;
C_word t522;
C_word t523;
C_word t524;
C_word t525;
C_word t526;
C_word t527;
C_word t528;
C_word t529;
C_word t530;
C_word t531;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(1339,c,6)))){
C_save_and_reclaim((void *)f_8492,2,av);}
a=C_alloc(1339);
t2=C_a_i_provide(&a,1,lf[0]);
t3=C_a_i_provide(&a,1,lf[1]);
t4=C_mutate((C_word*)lf[2]+1 /* (set! scheme#not ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_8494,a[2]=((C_word)li0),tmp=(C_word)a,a+=3,tmp));
t5=C_mutate((C_word*)lf[3]+1 /* (set! scheme#boolean? ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_8497,a[2]=((C_word)li1),tmp=(C_word)a,a+=3,tmp));
t6=C_mutate((C_word*)lf[4]+1 /* (set! scheme#eq? ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_8500,a[2]=((C_word)li2),tmp=(C_word)a,a+=3,tmp));
t7=C_mutate((C_word*)lf[5]+1 /* (set! scheme#eqv? ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_8503,a[2]=((C_word)li3),tmp=(C_word)a,a+=3,tmp));
t8=C_mutate((C_word*)lf[6]+1 /* (set! scheme#equal? ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_8506,a[2]=((C_word)li4),tmp=(C_word)a,a+=3,tmp));
t9=C_mutate((C_word*)lf[7]+1 /* (set! scheme#pair? ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_8509,a[2]=((C_word)li5),tmp=(C_word)a,a+=3,tmp));
t10=C_mutate((C_word*)lf[8]+1 /* (set! scheme#cons ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_8512,a[2]=((C_word)li6),tmp=(C_word)a,a+=3,tmp));
t11=C_mutate((C_word*)lf[9]+1 /* (set! scheme#car ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_8515,a[2]=((C_word)li7),tmp=(C_word)a,a+=3,tmp));
t12=C_mutate((C_word*)lf[10]+1 /* (set! scheme#cdr ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_8518,a[2]=((C_word)li8),tmp=(C_word)a,a+=3,tmp));
t13=C_mutate((C_word*)lf[11]+1 /* (set! scheme#set-car! ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_8521,a[2]=((C_word)li9),tmp=(C_word)a,a+=3,tmp));
t14=C_mutate((C_word*)lf[12]+1 /* (set! scheme#set-cdr! ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_8524,a[2]=((C_word)li10),tmp=(C_word)a,a+=3,tmp));
t15=C_mutate((C_word*)lf[13]+1 /* (set! scheme#cadr ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_8527,a[2]=((C_word)li11),tmp=(C_word)a,a+=3,tmp));
t16=C_mutate((C_word*)lf[14]+1 /* (set! scheme#caddr ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_8530,a[2]=((C_word)li12),tmp=(C_word)a,a+=3,tmp));
t17=C_mutate((C_word*)lf[15]+1 /* (set! scheme#cadddr ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_8533,a[2]=((C_word)li13),tmp=(C_word)a,a+=3,tmp));
t18=C_mutate((C_word*)lf[16]+1 /* (set! scheme#cddddr ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_8536,a[2]=((C_word)li14),tmp=(C_word)a,a+=3,tmp));
t19=C_mutate((C_word*)lf[17]+1 /* (set! scheme#caar ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_8539,a[2]=((C_word)li15),tmp=(C_word)a,a+=3,tmp));
t20=C_mutate((C_word*)lf[18]+1 /* (set! scheme#cdar ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_8542,a[2]=((C_word)li16),tmp=(C_word)a,a+=3,tmp));
t21=C_mutate((C_word*)lf[19]+1 /* (set! scheme#cddr ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_8545,a[2]=((C_word)li17),tmp=(C_word)a,a+=3,tmp));
t22=C_mutate((C_word*)lf[20]+1 /* (set! scheme#caaar ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_8548,a[2]=((C_word)li18),tmp=(C_word)a,a+=3,tmp));
t23=C_mutate((C_word*)lf[21]+1 /* (set! scheme#caadr ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_8562,a[2]=((C_word)li19),tmp=(C_word)a,a+=3,tmp));
t24=C_mutate((C_word*)lf[22]+1 /* (set! scheme#cadar ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_8569,a[2]=((C_word)li20),tmp=(C_word)a,a+=3,tmp));
t25=C_mutate((C_word*)lf[23]+1 /* (set! scheme#cdaar ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_8576,a[2]=((C_word)li21),tmp=(C_word)a,a+=3,tmp));
t26=C_mutate((C_word*)lf[24]+1 /* (set! scheme#cdadr ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_8590,a[2]=((C_word)li22),tmp=(C_word)a,a+=3,tmp));
t27=C_mutate((C_word*)lf[25]+1 /* (set! scheme#cddar ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_8597,a[2]=((C_word)li23),tmp=(C_word)a,a+=3,tmp));
t28=C_mutate((C_word*)lf[26]+1 /* (set! scheme#cdddr ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_8611,a[2]=((C_word)li24),tmp=(C_word)a,a+=3,tmp));
t29=C_mutate((C_word*)lf[27]+1 /* (set! scheme#caaaar ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_8625,a[2]=((C_word)li25),tmp=(C_word)a,a+=3,tmp));
t30=C_mutate((C_word*)lf[28]+1 /* (set! scheme#caaadr ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_8643,a[2]=((C_word)li26),tmp=(C_word)a,a+=3,tmp));
t31=C_mutate((C_word*)lf[29]+1 /* (set! scheme#caadar ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_8654,a[2]=((C_word)li27),tmp=(C_word)a,a+=3,tmp));
t32=C_mutate((C_word*)lf[30]+1 /* (set! scheme#caaddr ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_8665,a[2]=((C_word)li28),tmp=(C_word)a,a+=3,tmp));
t33=C_mutate((C_word*)lf[31]+1 /* (set! scheme#cadaar ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_8672,a[2]=((C_word)li29),tmp=(C_word)a,a+=3,tmp));
t34=C_mutate((C_word*)lf[32]+1 /* (set! scheme#cadadr ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_8683,a[2]=((C_word)li30),tmp=(C_word)a,a+=3,tmp));
t35=C_mutate((C_word*)lf[33]+1 /* (set! scheme#caddar ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_8687,a[2]=((C_word)li31),tmp=(C_word)a,a+=3,tmp));
t36=C_mutate((C_word*)lf[34]+1 /* (set! scheme#cdaaar ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_8694,a[2]=((C_word)li32),tmp=(C_word)a,a+=3,tmp));
t37=C_mutate((C_word*)lf[35]+1 /* (set! scheme#cdaadr ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_8712,a[2]=((C_word)li33),tmp=(C_word)a,a+=3,tmp));
t38=C_mutate((C_word*)lf[36]+1 /* (set! scheme#cdadar ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_8723,a[2]=((C_word)li34),tmp=(C_word)a,a+=3,tmp));
t39=C_mutate((C_word*)lf[37]+1 /* (set! scheme#cdaddr ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_8734,a[2]=((C_word)li35),tmp=(C_word)a,a+=3,tmp));
t40=C_mutate((C_word*)lf[38]+1 /* (set! scheme#cddaar ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_8741,a[2]=((C_word)li36),tmp=(C_word)a,a+=3,tmp));
t41=C_mutate((C_word*)lf[39]+1 /* (set! scheme#cddadr ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_8759,a[2]=((C_word)li37),tmp=(C_word)a,a+=3,tmp));
t42=C_mutate((C_word*)lf[40]+1 /* (set! scheme#cdddar ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_8770,a[2]=((C_word)li38),tmp=(C_word)a,a+=3,tmp));
t43=C_mutate((C_word*)lf[41]+1 /* (set! scheme#null? ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_8788,a[2]=((C_word)li39),tmp=(C_word)a,a+=3,tmp));
t44=C_mutate((C_word*)lf[42]+1 /* (set! scheme#list ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_8794,a[2]=((C_word)li40),tmp=(C_word)a,a+=3,tmp));
t45=C_mutate((C_word*)lf[43]+1 /* (set! scheme#length ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_8797,a[2]=((C_word)li41),tmp=(C_word)a,a+=3,tmp));
t46=C_mutate((C_word*)lf[44]+1 /* (set! scheme#list-tail ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_8800,a[2]=((C_word)li42),tmp=(C_word)a,a+=3,tmp));
t47=C_mutate((C_word*)lf[45]+1 /* (set! scheme#list-ref ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_8803,a[2]=((C_word)li43),tmp=(C_word)a,a+=3,tmp));
t48=C_mutate((C_word*)lf[46]+1 /* (set! scheme#reverse ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_8806,a[2]=((C_word)li45),tmp=(C_word)a,a+=3,tmp));
t49=C_mutate((C_word*)lf[49]+1 /* (set! scheme#memq ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_8845,a[2]=((C_word)li46),tmp=(C_word)a,a+=3,tmp));
t50=C_mutate((C_word*)lf[50]+1 /* (set! scheme#memv ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_8848,a[2]=((C_word)li47),tmp=(C_word)a,a+=3,tmp));
t51=C_mutate((C_word*)lf[51]+1 /* (set! scheme#member ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_8851,a[2]=((C_word)li48),tmp=(C_word)a,a+=3,tmp));
t52=C_mutate((C_word*)lf[52]+1 /* (set! scheme#assq ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_8854,a[2]=((C_word)li49),tmp=(C_word)a,a+=3,tmp));
t53=C_mutate((C_word*)lf[53]+1 /* (set! scheme#assv ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_8857,a[2]=((C_word)li50),tmp=(C_word)a,a+=3,tmp));
t54=C_mutate((C_word*)lf[54]+1 /* (set! scheme#assoc ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_8860,a[2]=((C_word)li51),tmp=(C_word)a,a+=3,tmp));
t55=C_mutate((C_word*)lf[55]+1 /* (set! scheme#list? ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_8863,a[2]=((C_word)li52),tmp=(C_word)a,a+=3,tmp));
t56=C_mutate((C_word*)lf[56]+1 /* (set! scheme#string? ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_8866,a[2]=((C_word)li53),tmp=(C_word)a,a+=3,tmp));
t57=C_mutate((C_word*)lf[57]+1 /* (set! scheme#string-length ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_8869,a[2]=((C_word)li54),tmp=(C_word)a,a+=3,tmp));
t58=C_mutate((C_word*)lf[58]+1 /* (set! scheme#string-ref ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_8872,a[2]=((C_word)li55),tmp=(C_word)a,a+=3,tmp));
t59=C_mutate((C_word*)lf[59]+1 /* (set! scheme#string-set! ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_8875,a[2]=((C_word)li56),tmp=(C_word)a,a+=3,tmp));
t60=C_mutate((C_word*)lf[60]+1 /* (set! scheme#string=? ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_8878,a[2]=((C_word)li57),tmp=(C_word)a,a+=3,tmp));
t61=C_mutate((C_word*)lf[61]+1 /* (set! scheme#string-ci=? ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_8881,a[2]=((C_word)li58),tmp=(C_word)a,a+=3,tmp));
t62=C_mutate((C_word*)lf[62]+1 /* (set! scheme#exact->inexact ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_8885,a[2]=((C_word)li59),tmp=(C_word)a,a+=3,tmp));
t63=C_mutate((C_word*)lf[63]+1 /* (set! scheme#abs ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_8888,a[2]=((C_word)li60),tmp=(C_word)a,a+=3,tmp));
t64=C_mutate((C_word*)lf[64]+1 /* (set! scheme#+ ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)C_plus,a[2]=((C_word)li61),tmp=(C_word)a,a+=3,tmp));
t65=C_mutate((C_word*)lf[65]+1 /* (set! scheme#- ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)C_minus,a[2]=((C_word)li62),tmp=(C_word)a,a+=3,tmp));
t66=C_mutate((C_word*)lf[66]+1 /* (set! scheme#* ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)C_times,a[2]=((C_word)li63),tmp=(C_word)a,a+=3,tmp));
t67=C_mutate((C_word*)lf[67]+1 /* (set! scheme#quotient ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_8894,a[2]=((C_word)li64),tmp=(C_word)a,a+=3,tmp));
t68=C_mutate((C_word*)lf[68]+1 /* (set! scheme#remainder ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_8897,a[2]=((C_word)li65),tmp=(C_word)a,a+=3,tmp));
t69=C_mutate((C_word*)lf[69]+1 /* (set! scheme#modulo ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_8900,a[2]=((C_word)li66),tmp=(C_word)a,a+=3,tmp));
t70=C_mutate((C_word*)lf[70]+1 /* (set! scheme#even? ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_8903,a[2]=((C_word)li67),tmp=(C_word)a,a+=3,tmp));
t71=C_mutate((C_word*)lf[71]+1 /* (set! scheme#odd? ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_8906,a[2]=((C_word)li68),tmp=(C_word)a,a+=3,tmp));
t72=C_mutate((C_word*)lf[72]+1 /* (set! scheme#= ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)C_nequalp,a[2]=((C_word)li69),tmp=(C_word)a,a+=3,tmp));
t73=C_mutate((C_word*)lf[73]+1 /* (set! scheme#> ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)C_greaterp,a[2]=((C_word)li70),tmp=(C_word)a,a+=3,tmp));
t74=C_mutate((C_word*)lf[74]+1 /* (set! scheme#< ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)C_lessp,a[2]=((C_word)li71),tmp=(C_word)a,a+=3,tmp));
t75=C_mutate((C_word*)lf[75]+1 /* (set! scheme#>= ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)C_greater_or_equal_p,a[2]=((C_word)li72),tmp=(C_word)a,a+=3,tmp));
t76=C_mutate((C_word*)lf[76]+1 /* (set! scheme#<= ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)C_less_or_equal_p,a[2]=((C_word)li73),tmp=(C_word)a,a+=3,tmp));
t77=C_mutate((C_word*)lf[77]+1 /* (set! scheme#number? ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_8914,a[2]=((C_word)li74),tmp=(C_word)a,a+=3,tmp));
t78=C_mutate((C_word*)lf[78]+1 /* (set! scheme#complex? ...) */,*((C_word*)lf[77]+1));
t79=C_mutate((C_word*)lf[79]+1 /* (set! scheme#real? ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_8918,a[2]=((C_word)li75),tmp=(C_word)a,a+=3,tmp));
t80=C_mutate((C_word*)lf[80]+1 /* (set! scheme#rational? ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_8921,a[2]=((C_word)li76),tmp=(C_word)a,a+=3,tmp));
t81=C_mutate((C_word*)lf[81]+1 /* (set! scheme#integer? ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_8924,a[2]=((C_word)li77),tmp=(C_word)a,a+=3,tmp));
t82=C_mutate((C_word*)lf[82]+1 /* (set! scheme#exact? ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_8927,a[2]=((C_word)li78),tmp=(C_word)a,a+=3,tmp));
t83=C_mutate((C_word*)lf[83]+1 /* (set! scheme#inexact? ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_8930,a[2]=((C_word)li79),tmp=(C_word)a,a+=3,tmp));
t84=C_mutate((C_word*)lf[84]+1 /* (set! scheme#zero? ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_8933,a[2]=((C_word)li80),tmp=(C_word)a,a+=3,tmp));
t85=C_mutate((C_word*)lf[85]+1 /* (set! scheme#positive? ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_8936,a[2]=((C_word)li81),tmp=(C_word)a,a+=3,tmp));
t86=C_mutate((C_word*)lf[86]+1 /* (set! scheme#negative? ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_8939,a[2]=((C_word)li82),tmp=(C_word)a,a+=3,tmp));
t87=C_mutate((C_word*)lf[87]+1 /* (set! scheme#number->string ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)C_number_to_string,a[2]=((C_word)li83),tmp=(C_word)a,a+=3,tmp));
t88=C_mutate((C_word*)lf[88]+1 /* (set! scheme#symbol? ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_8943,a[2]=((C_word)li84),tmp=(C_word)a,a+=3,tmp));
t89=C_mutate((C_word*)lf[89]+1 /* (set! scheme#vector? ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_8946,a[2]=((C_word)li85),tmp=(C_word)a,a+=3,tmp));
t90=C_mutate((C_word*)lf[90]+1 /* (set! scheme#vector-length ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_8949,a[2]=((C_word)li86),tmp=(C_word)a,a+=3,tmp));
t91=C_mutate((C_word*)lf[91]+1 /* (set! scheme#vector-ref ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_8952,a[2]=((C_word)li87),tmp=(C_word)a,a+=3,tmp));
t92=C_mutate((C_word*)lf[92]+1 /* (set! scheme#vector-set! ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_8955,a[2]=((C_word)li88),tmp=(C_word)a,a+=3,tmp));
t93=C_set_block_item(lf[93] /* scheme#make-vector */,0,C_SCHEME_UNDEFINED);
t94=C_set_block_item(lf[94] /* scheme#list->vector */,0,C_SCHEME_UNDEFINED);
t95=C_set_block_item(lf[95] /* scheme#vector->list */,0,C_SCHEME_UNDEFINED);
t96=C_set_block_item(lf[96] /* scheme#vector */,0,C_SCHEME_UNDEFINED);
t97=C_set_block_item(lf[97] /* scheme#vector-fill! */,0,C_SCHEME_UNDEFINED);
t98=C_mutate((C_word*)lf[98]+1 /* (set! scheme#char? ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_8963,a[2]=((C_word)li89),tmp=(C_word)a,a+=3,tmp));
t99=C_mutate((C_word*)lf[99]+1 /* (set! scheme#char->integer ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_8966,a[2]=((C_word)li90),tmp=(C_word)a,a+=3,tmp));
t100=C_mutate((C_word*)lf[101]+1 /* (set! scheme#integer->char ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_8973,a[2]=((C_word)li91),tmp=(C_word)a,a+=3,tmp));
t101=C_mutate((C_word*)lf[104]+1 /* (set! scheme#char=? ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_8980,a[2]=((C_word)li92),tmp=(C_word)a,a+=3,tmp));
t102=C_mutate((C_word*)lf[105]+1 /* (set! scheme#char>? ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_8983,a[2]=((C_word)li93),tmp=(C_word)a,a+=3,tmp));
t103=C_mutate((C_word*)lf[106]+1 /* (set! scheme#char<? ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_8986,a[2]=((C_word)li94),tmp=(C_word)a,a+=3,tmp));
t104=C_mutate((C_word*)lf[107]+1 /* (set! scheme#char>=? ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_8989,a[2]=((C_word)li95),tmp=(C_word)a,a+=3,tmp));
t105=C_mutate((C_word*)lf[108]+1 /* (set! scheme#char<=? ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_8992,a[2]=((C_word)li96),tmp=(C_word)a,a+=3,tmp));
t106=C_mutate((C_word*)lf[109]+1 /* (set! scheme#char-upcase ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_8995,a[2]=((C_word)li97),tmp=(C_word)a,a+=3,tmp));
t107=C_mutate((C_word*)lf[111]+1 /* (set! scheme#char-downcase ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_9001,a[2]=((C_word)li98),tmp=(C_word)a,a+=3,tmp));
t108=C_set_block_item(lf[113] /* scheme#char-ci=? */,0,C_SCHEME_UNDEFINED);
t109=C_set_block_item(lf[114] /* scheme#char-ci>? */,0,C_SCHEME_UNDEFINED);
t110=C_set_block_item(lf[115] /* scheme#char-ci<? */,0,C_SCHEME_UNDEFINED);
t111=C_set_block_item(lf[116] /* scheme#char-ci>=? */,0,C_SCHEME_UNDEFINED);
t112=C_set_block_item(lf[117] /* scheme#char-ci<=? */,0,C_SCHEME_UNDEFINED);
t113=C_mutate((C_word*)lf[118]+1 /* (set! scheme#char-upper-case? ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_9012,a[2]=((C_word)li99),tmp=(C_word)a,a+=3,tmp));
t114=C_mutate((C_word*)lf[120]+1 /* (set! scheme#char-lower-case? ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_9018,a[2]=((C_word)li100),tmp=(C_word)a,a+=3,tmp));
t115=C_mutate((C_word*)lf[122]+1 /* (set! scheme#char-numeric? ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_9024,a[2]=((C_word)li101),tmp=(C_word)a,a+=3,tmp));
t116=C_mutate((C_word*)lf[124]+1 /* (set! scheme#char-whitespace? ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_9030,a[2]=((C_word)li102),tmp=(C_word)a,a+=3,tmp));
t117=C_mutate((C_word*)lf[126]+1 /* (set! scheme#char-alphabetic? ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_9036,a[2]=((C_word)li103),tmp=(C_word)a,a+=3,tmp));
t118=C_mutate((C_word*)lf[128]+1 /* (set! scheme#procedure? ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_9042,a[2]=((C_word)li104),tmp=(C_word)a,a+=3,tmp));
t119=C_mutate((C_word*)lf[129]+1 /* (set! scheme#apply ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)C_apply,a[2]=((C_word)li105),tmp=(C_word)a,a+=3,tmp));
t120=C_mutate((C_word*)lf[130]+1 /* (set! scheme#values ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)C_values,a[2]=((C_word)li106),tmp=(C_word)a,a+=3,tmp));
t121=C_mutate((C_word*)lf[131]+1 /* (set! scheme#call-with-values ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)C_call_with_values,a[2]=((C_word)li107),tmp=(C_word)a,a+=3,tmp));
t122=C_set_block_item(lf[132] /* scheme#call-with-current-continuation */,0,C_SCHEME_UNDEFINED);
t123=C_mutate((C_word*)lf[133]+1 /* (set! scheme#input-port? ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_9049,a[2]=((C_word)li108),tmp=(C_word)a,a+=3,tmp));
t124=C_mutate((C_word*)lf[134]+1 /* (set! scheme#output-port? ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_9055,a[2]=((C_word)li109),tmp=(C_word)a,a+=3,tmp));
t125=C_set_block_item(lf[135] /* scheme#current-input-port */,0,C_SCHEME_UNDEFINED);
t126=C_set_block_item(lf[136] /* scheme#current-output-port */,0,C_SCHEME_UNDEFINED);
t127=C_set_block_item(lf[137] /* scheme#open-input-file */,0,C_SCHEME_UNDEFINED);
t128=C_set_block_item(lf[138] /* scheme#open-output-file */,0,C_SCHEME_UNDEFINED);
t129=C_set_block_item(lf[139] /* scheme#close-input-port */,0,C_SCHEME_UNDEFINED);
t130=C_set_block_item(lf[140] /* scheme#close-output-port */,0,C_SCHEME_UNDEFINED);
t131=C_set_block_item(lf[141] /* scheme#call-with-input-file */,0,C_SCHEME_UNDEFINED);
t132=C_set_block_item(lf[142] /* scheme#call-with-output-file */,0,C_SCHEME_UNDEFINED);
t133=C_set_block_item(lf[143] /* scheme#with-input-from-file */,0,C_SCHEME_UNDEFINED);
t134=C_set_block_item(lf[144] /* scheme#with-output-to-file */,0,C_SCHEME_UNDEFINED);
t135=C_mutate((C_word*)lf[145]+1 /* (set! scheme#eof-object? ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_9071,a[2]=((C_word)li110),tmp=(C_word)a,a+=3,tmp));
t136=C_set_block_item(lf[146] /* scheme#char-ready? */,0,C_SCHEME_UNDEFINED);
t137=C_set_block_item(lf[147] /* scheme#read-char */,0,C_SCHEME_UNDEFINED);
t138=C_set_block_item(lf[148] /* scheme#peek-char */,0,C_SCHEME_UNDEFINED);
t139=C_set_block_item(lf[149] /* scheme#read */,0,C_SCHEME_UNDEFINED);
t140=C_set_block_item(lf[150] /* scheme#write-char */,0,C_SCHEME_UNDEFINED);
t141=C_set_block_item(lf[151] /* scheme#newline */,0,C_SCHEME_UNDEFINED);
t142=C_set_block_item(lf[152] /* scheme#write */,0,C_SCHEME_UNDEFINED);
t143=C_set_block_item(lf[153] /* scheme#display */,0,C_SCHEME_UNDEFINED);
t144=C_mutate((C_word*)lf[154]+1 /* (set! scheme#eval ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_9082,a[2]=((C_word)li111),tmp=(C_word)a,a+=3,tmp));
t145=C_mutate((C_word*)lf[158]+1 /* (set! scheme#interaction-environment ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_9088,a[2]=((C_word)li112),tmp=(C_word)a,a+=3,tmp));
t146=C_mutate((C_word*)lf[161]+1 /* (set! scheme#scheme-report-environment ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_9094,a[2]=((C_word)li113),tmp=(C_word)a,a+=3,tmp));
t147=C_mutate((C_word*)lf[164]+1 /* (set! scheme#null-environment ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_9100,a[2]=((C_word)li114),tmp=(C_word)a,a+=3,tmp));
t148=C_mutate((C_word*)lf[167]+1 /* (set! scheme#load ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_9106,a[2]=((C_word)li115),tmp=(C_word)a,a+=3,tmp));
t149=C_set_block_item(lf[170] /* scheme#for-each */,0,C_SCHEME_UNDEFINED);
t150=C_set_block_item(lf[171] /* scheme#map */,0,C_SCHEME_UNDEFINED);
t151=C_set_block_item(lf[172] /* scheme#dynamic-wind */,0,C_SCHEME_UNDEFINED);
t152=C_a_i_provide(&a,1,lf[173]);
t153=C_mutate((C_word*)lf[174]+1 /* (set! chicken.base#fixnum? ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_9115,a[2]=((C_word)li116),tmp=(C_word)a,a+=3,tmp));
t154=C_mutate((C_word*)lf[175]+1 /* (set! chicken.base#flonum? ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_9118,a[2]=((C_word)li117),tmp=(C_word)a,a+=3,tmp));
t155=C_mutate((C_word*)lf[176]+1 /* (set! chicken.base#bignum? ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_9121,a[2]=((C_word)li118),tmp=(C_word)a,a+=3,tmp));
t156=C_mutate((C_word*)lf[177]+1 /* (set! chicken.base#ratnum? ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_9124,a[2]=((C_word)li119),tmp=(C_word)a,a+=3,tmp));
t157=C_mutate((C_word*)lf[178]+1 /* (set! chicken.base#cplxnum? ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_9127,a[2]=((C_word)li120),tmp=(C_word)a,a+=3,tmp));
t158=C_mutate((C_word*)lf[179]+1 /* (set! chicken.base#exact-integer? ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_9130,a[2]=((C_word)li121),tmp=(C_word)a,a+=3,tmp));
t159=C_mutate((C_word*)lf[180]+1 /* (set! chicken.base#quotient&remainder ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)C_quotient_and_remainder,a[2]=((C_word)li122),tmp=(C_word)a,a+=3,tmp));
t160=C_mutate((C_word*)lf[181]+1 /* (set! chicken.base#quotient&modulo ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_9134,a[2]=((C_word)li125),tmp=(C_word)a,a+=3,tmp));
t161=C_mutate((C_word*)lf[182]+1 /* (set! chicken.base#finite? ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_9179,a[2]=((C_word)li126),tmp=(C_word)a,a+=3,tmp));
t162=C_mutate((C_word*)lf[183]+1 /* (set! chicken.base#infinite? ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_9182,a[2]=((C_word)li127),tmp=(C_word)a,a+=3,tmp));
t163=C_mutate((C_word*)lf[184]+1 /* (set! chicken.base#nan? ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_9185,a[2]=((C_word)li128),tmp=(C_word)a,a+=3,tmp));
t164=C_mutate((C_word*)lf[185]+1 /* (set! chicken.base#signum ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)C_signum,a[2]=((C_word)li129),tmp=(C_word)a,a+=3,tmp));
t165=C_set_block_item(lf[186] /* chicken.base#get-call-chain */,0,C_SCHEME_UNDEFINED);
t166=C_set_block_item(lf[187] /* chicken.base#print-call-chain */,0,C_SCHEME_UNDEFINED);
t167=C_set_block_item(lf[188] /* chicken.base#print */,0,C_SCHEME_UNDEFINED);
t168=C_set_block_item(lf[189] /* chicken.base#print* */,0,C_SCHEME_UNDEFINED);
t169=C_mutate((C_word*)lf[190]+1 /* (set! chicken.base#add1 ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_9193,a[2]=((C_word)li130),tmp=(C_word)a,a+=3,tmp));
t170=C_mutate((C_word*)lf[191]+1 /* (set! chicken.base#sub1 ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_9198,a[2]=((C_word)li131),tmp=(C_word)a,a+=3,tmp));
t171=C_set_block_item(lf[192] /* chicken.base#current-error-port */,0,C_SCHEME_UNDEFINED);
t172=C_mutate((C_word*)lf[193]+1 /* (set! chicken.base#error ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_9204,a[2]=((C_word)li132),tmp=(C_word)a,a+=3,tmp));
t173=C_mutate((C_word*)lf[196]+1 /* (set! chicken.base#void ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_9219,a[2]=((C_word)li133),tmp=(C_word)a,a+=3,tmp));
t174=C_set_block_item(lf[197] /* chicken.base#sleep */,0,C_SCHEME_UNDEFINED);
t175=C_set_block_item(lf[198] /* chicken.base#call/cc */,0,C_SCHEME_UNDEFINED);
t176=C_set_block_item(lf[199] /* chicken.base#char-name */,0,C_SCHEME_UNDEFINED);
t177=C_set_block_item(lf[200] /* chicken.base#getter-with-setter */,0,C_SCHEME_UNDEFINED);
t178=C_set_block_item(lf[201] /* chicken.base#make-parameter */,0,C_SCHEME_UNDEFINED);
t179=C_set_block_item(lf[202] /* chicken.base#procedure-information */,0,C_SCHEME_UNDEFINED);
t180=C_set_block_item(lf[203] /* chicken.base#setter */,0,C_SCHEME_UNDEFINED);
t181=C_set_block_item(lf[204] /* chicken.base#vector-copy! */,0,C_SCHEME_UNDEFINED);
t182=C_set_block_item(lf[205] /* chicken.base#subvector */,0,C_SCHEME_UNDEFINED);
t183=C_set_block_item(lf[206] /* chicken.base#vector-resize */,0,C_SCHEME_UNDEFINED);
t184=C_set_block_item(lf[207] /* chicken.base#port? */,0,C_SCHEME_UNDEFINED);
t185=C_set_block_item(lf[208] /* chicken.base#port-closed? */,0,C_SCHEME_UNDEFINED);
t186=C_set_block_item(lf[209] /* chicken.base#input-port-open? */,0,C_SCHEME_UNDEFINED);
t187=C_set_block_item(lf[210] /* chicken.base#output-port-open? */,0,C_SCHEME_UNDEFINED);
t188=C_set_block_item(lf[211] /* chicken.base#get-output-string */,0,C_SCHEME_UNDEFINED);
t189=C_set_block_item(lf[212] /* chicken.base#open-input-string */,0,C_SCHEME_UNDEFINED);
t190=C_set_block_item(lf[213] /* chicken.base#open-output-string */,0,C_SCHEME_UNDEFINED);
t191=C_set_block_item(lf[214] /* chicken.base#flush-output */,0,C_SCHEME_UNDEFINED);
t192=C_mutate((C_word*)lf[215]+1 /* (set! chicken.base#promise? ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_9240,a[2]=((C_word)li134),tmp=(C_word)a,a+=3,tmp));
t193=C_mutate((C_word*)lf[217]+1 /* (set! ##sys#make-promise ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_9246,a[2]=((C_word)li135),tmp=(C_word)a,a+=3,tmp));
t194=C_mutate((C_word*)lf[218]+1 /* (set! chicken.base#make-promise ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_9252,a[2]=((C_word)li137),tmp=(C_word)a,a+=3,tmp));
t195=C_mutate((C_word*)lf[219]+1 /* (set! chicken.base#foldl ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_9267,a[2]=((C_word)li139),tmp=(C_word)a,a+=3,tmp));
t196=C_mutate((C_word*)lf[221]+1 /* (set! chicken.base#foldr ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_9304,a[2]=((C_word)li141),tmp=(C_word)a,a+=3,tmp));
t197=C_set_block_item(lf[223] /* chicken.base#implicit-exit-handler */,0,C_SCHEME_UNDEFINED);
t198=C_set_block_item(lf[224] /* chicken.base#exit-handler */,0,C_SCHEME_UNDEFINED);
t199=C_set_block_item(lf[225] /* chicken.base#cleanup-tasks */,0,C_SCHEME_END_OF_LIST);
t200=C_mutate((C_word*)lf[226]+1 /* (set! chicken.base#on-exit ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_9344,a[2]=((C_word)li142),tmp=(C_word)a,a+=3,tmp));
t201=C_mutate((C_word*)lf[227]+1 /* (set! chicken.base#exit ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_9351,a[2]=((C_word)li143),tmp=(C_word)a,a+=3,tmp));
t202=C_mutate((C_word*)lf[228]+1 /* (set! chicken.base#emergency-exit ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_9369,a[2]=((C_word)li144),tmp=(C_word)a,a+=3,tmp));
t203=C_set_block_item(lf[230] /* chicken.base#case-sensitive */,0,C_SCHEME_UNDEFINED);
t204=C_set_block_item(lf[231] /* chicken.base#keyword-style */,0,C_SCHEME_UNDEFINED);
t205=C_set_block_item(lf[232] /* chicken.base#parentheses-synonyms */,0,C_SCHEME_UNDEFINED);
t206=C_set_block_item(lf[233] /* chicken.base#symbol-escape */,0,C_SCHEME_UNDEFINED);
t207=C_mutate((C_word*)lf[234]+1 /* (set! chicken.base#identity ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_9388,a[2]=((C_word)li145),tmp=(C_word)a,a+=3,tmp));
t208=C_mutate((C_word*)lf[235]+1 /* (set! chicken.base#conjoin ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_9391,a[2]=((C_word)li148),tmp=(C_word)a,a+=3,tmp));
t209=C_mutate((C_word*)lf[236]+1 /* (set! chicken.base#disjoin ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_9424,a[2]=((C_word)li151),tmp=(C_word)a,a+=3,tmp));
t210=C_mutate((C_word*)lf[237]+1 /* (set! chicken.base#constantly ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_9461,a[2]=((C_word)li154),tmp=(C_word)a,a+=3,tmp));
t211=C_mutate((C_word*)lf[238]+1 /* (set! chicken.base#flip ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_9482,a[2]=((C_word)li156),tmp=(C_word)a,a+=3,tmp));
t212=C_mutate((C_word*)lf[239]+1 /* (set! chicken.base#complement ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_9490,a[2]=((C_word)li158),tmp=(C_word)a,a+=3,tmp));
t213=C_mutate((C_word*)lf[240]+1 /* (set! chicken.base#compose ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_9502,a[2]=((C_word)li162),tmp=(C_word)a,a+=3,tmp));
t214=C_mutate((C_word*)lf[241]+1 /* (set! chicken.base#o ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_9538,a[2]=((C_word)li165),tmp=(C_word)a,a+=3,tmp));
t215=C_mutate((C_word*)lf[242]+1 /* (set! chicken.base#list-of? ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_9577,a[2]=((C_word)li168),tmp=(C_word)a,a+=3,tmp));
t216=C_mutate((C_word*)lf[243]+1 /* (set! chicken.base#each ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_9621,a[2]=((C_word)li172),tmp=(C_word)a,a+=3,tmp));
t217=C_mutate((C_word*)lf[245]+1 /* (set! chicken.base#atom? ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_9677,a[2]=((C_word)li173),tmp=(C_word)a,a+=3,tmp));
t218=C_mutate((C_word*)lf[246]+1 /* (set! chicken.base#tail? ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_9680,a[2]=((C_word)li175),tmp=(C_word)a,a+=3,tmp));
t219=C_mutate((C_word*)lf[248]+1 /* (set! chicken.base#intersperse ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_9708,a[2]=((C_word)li177),tmp=(C_word)a,a+=3,tmp));
t220=C_mutate((C_word*)lf[249]+1 /* (set! chicken.base#butlast ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_9741,a[2]=((C_word)li179),tmp=(C_word)a,a+=3,tmp));
t221=C_mutate((C_word*)lf[251]+1 /* (set! chicken.base#flatten ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_9773,a[2]=((C_word)li181),tmp=(C_word)a,a+=3,tmp));
t222=C_mutate((C_word*)lf[252]+1 /* (set! chicken.base#join ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_9814,a[2]=((C_word)li183),tmp=(C_word)a,a+=3,tmp));
t223=C_mutate((C_word*)lf[255]+1 /* (set! chicken.base#compress ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_9871,a[2]=((C_word)li185),tmp=(C_word)a,a+=3,tmp));
t224=C_mutate((C_word*)lf[259]+1 /* (set! chicken.base#alist-update! ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_9951,a[2]=((C_word)li188),tmp=(C_word)a,a+=3,tmp));
t225=C_mutate((C_word*)lf[260]+1 /* (set! chicken.base#alist-update ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_10037,a[2]=((C_word)li190),tmp=(C_word)a,a+=3,tmp));
t226=C_mutate((C_word*)lf[264]+1 /* (set! chicken.base#alist-ref ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_10141,a[2]=((C_word)li193),tmp=(C_word)a,a+=3,tmp));
t227=C_mutate((C_word*)lf[267]+1 /* (set! chicken.base#rassoc ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_10253,a[2]=((C_word)li195),tmp=(C_word)a,a+=3,tmp));
t228=C_mutate(&lf[269] /* (set! maximal-string-length ...) */,C_unsigned_long_to_num(&a,C_HEADER_SIZE_MASK));
t229=C_a_i_provide(&a,1,lf[270]);
t230=C_set_block_item(lf[271] /* chicken.fixnum#most-positive-fixnum */,0,C_fix((C_word)C_MOST_POSITIVE_FIXNUM));
t231=C_set_block_item(lf[272] /* chicken.fixnum#most-negative-fixnum */,0,C_fix((C_word)C_MOST_NEGATIVE_FIXNUM));
t232=C_set_block_item(lf[273] /* chicken.fixnum#fixnum-bits */,0,C_fix((C_word)(C_WORD_SIZE - 1)));
t233=C_set_block_item(lf[274] /* chicken.fixnum#fixnum-precision */,0,C_fix((C_word)(C_WORD_SIZE - (1 + 1))));
t234=C_mutate((C_word*)lf[275]+1 /* (set! chicken.fixnum#fx+ ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_10306,a[2]=((C_word)li196),tmp=(C_word)a,a+=3,tmp));
t235=C_mutate((C_word*)lf[276]+1 /* (set! chicken.fixnum#fx- ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_10309,a[2]=((C_word)li197),tmp=(C_word)a,a+=3,tmp));
t236=C_mutate((C_word*)lf[277]+1 /* (set! chicken.fixnum#fx* ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_10312,a[2]=((C_word)li198),tmp=(C_word)a,a+=3,tmp));
t237=C_mutate((C_word*)lf[278]+1 /* (set! chicken.fixnum#fx= ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_10315,a[2]=((C_word)li199),tmp=(C_word)a,a+=3,tmp));
t238=C_mutate((C_word*)lf[279]+1 /* (set! chicken.fixnum#fx> ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_10321,a[2]=((C_word)li200),tmp=(C_word)a,a+=3,tmp));
t239=C_mutate((C_word*)lf[280]+1 /* (set! chicken.fixnum#fx< ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_10324,a[2]=((C_word)li201),tmp=(C_word)a,a+=3,tmp));
t240=C_mutate((C_word*)lf[281]+1 /* (set! chicken.fixnum#fx>= ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_10327,a[2]=((C_word)li202),tmp=(C_word)a,a+=3,tmp));
t241=C_mutate((C_word*)lf[282]+1 /* (set! chicken.fixnum#fx<= ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_10330,a[2]=((C_word)li203),tmp=(C_word)a,a+=3,tmp));
t242=C_mutate((C_word*)lf[283]+1 /* (set! chicken.fixnum#fxmin ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_10333,a[2]=((C_word)li204),tmp=(C_word)a,a+=3,tmp));
t243=C_mutate((C_word*)lf[284]+1 /* (set! chicken.fixnum#fxmax ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_10336,a[2]=((C_word)li205),tmp=(C_word)a,a+=3,tmp));
t244=C_mutate((C_word*)lf[285]+1 /* (set! chicken.fixnum#fxneg ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_10339,a[2]=((C_word)li206),tmp=(C_word)a,a+=3,tmp));
t245=C_mutate((C_word*)lf[286]+1 /* (set! chicken.fixnum#fxand ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_10342,a[2]=((C_word)li207),tmp=(C_word)a,a+=3,tmp));
t246=C_mutate((C_word*)lf[287]+1 /* (set! chicken.fixnum#fxior ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_10345,a[2]=((C_word)li208),tmp=(C_word)a,a+=3,tmp));
t247=C_mutate((C_word*)lf[288]+1 /* (set! chicken.fixnum#fxxor ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_10348,a[2]=((C_word)li209),tmp=(C_word)a,a+=3,tmp));
t248=C_mutate((C_word*)lf[289]+1 /* (set! chicken.fixnum#fxnot ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_10351,a[2]=((C_word)li210),tmp=(C_word)a,a+=3,tmp));
t249=C_mutate((C_word*)lf[290]+1 /* (set! chicken.fixnum#fxshl ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_10354,a[2]=((C_word)li211),tmp=(C_word)a,a+=3,tmp));
t250=C_mutate((C_word*)lf[291]+1 /* (set! chicken.fixnum#fxshr ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_10357,a[2]=((C_word)li212),tmp=(C_word)a,a+=3,tmp));
t251=C_mutate((C_word*)lf[292]+1 /* (set! chicken.fixnum#fxodd? ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_10360,a[2]=((C_word)li213),tmp=(C_word)a,a+=3,tmp));
t252=C_mutate((C_word*)lf[293]+1 /* (set! chicken.fixnum#fxeven? ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_10363,a[2]=((C_word)li214),tmp=(C_word)a,a+=3,tmp));
t253=C_mutate((C_word*)lf[294]+1 /* (set! chicken.fixnum#fxlen ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_10366,a[2]=((C_word)li215),tmp=(C_word)a,a+=3,tmp));
t254=C_mutate((C_word*)lf[295]+1 /* (set! chicken.fixnum#fx/ ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_10369,a[2]=((C_word)li216),tmp=(C_word)a,a+=3,tmp));
t255=C_mutate((C_word*)lf[296]+1 /* (set! chicken.fixnum#fxgcd ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_10372,a[2]=((C_word)li217),tmp=(C_word)a,a+=3,tmp));
t256=C_mutate((C_word*)lf[297]+1 /* (set! chicken.fixnum#fxmod ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_10375,a[2]=((C_word)li218),tmp=(C_word)a,a+=3,tmp));
t257=C_mutate((C_word*)lf[298]+1 /* (set! chicken.fixnum#fxrem ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_10378,a[2]=((C_word)li219),tmp=(C_word)a,a+=3,tmp));
t258=C_mutate((C_word*)lf[299]+1 /* (set! chicken.fixnum#fx+? ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_10381,a[2]=((C_word)li220),tmp=(C_word)a,a+=3,tmp));
t259=C_mutate((C_word*)lf[300]+1 /* (set! chicken.fixnum#fx-? ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_10384,a[2]=((C_word)li221),tmp=(C_word)a,a+=3,tmp));
t260=C_mutate((C_word*)lf[301]+1 /* (set! chicken.fixnum#fx*? ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_10387,a[2]=((C_word)li222),tmp=(C_word)a,a+=3,tmp));
t261=C_mutate((C_word*)lf[302]+1 /* (set! chicken.fixnum#fx/? ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_10390,a[2]=((C_word)li223),tmp=(C_word)a,a+=3,tmp));
t262=C_mutate((C_word*)lf[303]+1 /* (set! ##sys#debug-mode? ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_10393,a[2]=((C_word)li224),tmp=(C_word)a,a+=3,tmp));
t263=C_set_block_item(lf[304] /* ##sys#warnings-enabled */,0,C_SCHEME_TRUE);
t264=C_set_block_item(lf[305] /* ##sys#notices-enabled */,0,C_i_debug_modep());
t265=C_mutate((C_word*)lf[306]+1 /* (set! chicken.base#warning ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_10398,a[2]=((C_word)li225),tmp=(C_word)a,a+=3,tmp));
t266=C_mutate((C_word*)lf[308]+1 /* (set! chicken.base#notice ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_10407,a[2]=((C_word)li226),tmp=(C_word)a,a+=3,tmp));
t267=C_mutate((C_word*)lf[310]+1 /* (set! chicken.base#enable-warnings ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_10419,a[2]=((C_word)li227),tmp=(C_word)a,a+=3,tmp));
t268=C_mutate((C_word*)lf[155]+1 /* (set! ##sys#error ...) */,*((C_word*)lf[193]+1));
t269=C_mutate((C_word*)lf[311]+1 /* (set! ##sys#warn ...) */,*((C_word*)lf[306]+1));
t270=C_mutate((C_word*)lf[312]+1 /* (set! ##sys#notice ...) */,*((C_word*)lf[308]+1));
t271=C_mutate((C_word*)lf[313]+1 /* (set! ##sys#gc ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)C_gc,a[2]=((C_word)li228),tmp=(C_word)a,a+=3,tmp));
t272=C_mutate((C_word*)lf[314]+1 /* (set! ##sys#setslot ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_10434,a[2]=((C_word)li229),tmp=(C_word)a,a+=3,tmp));
t273=C_mutate((C_word*)lf[315]+1 /* (set! ##sys#setislot ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_10437,a[2]=((C_word)li230),tmp=(C_word)a,a+=3,tmp));
t274=C_mutate((C_word*)lf[316]+1 /* (set! ##sys#allocate-vector ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)C_allocate_vector,a[2]=((C_word)li231),tmp=(C_word)a,a+=3,tmp));
t275=C_mutate((C_word*)lf[317]+1 /* (set! ##sys#make-structure ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)C_make_structure,a[2]=((C_word)li232),tmp=(C_word)a,a+=3,tmp));
t276=C_mutate((C_word*)lf[318]+1 /* (set! ##sys#ensure-heap-reserve ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)C_ensure_heap_reserve,a[2]=((C_word)li233),tmp=(C_word)a,a+=3,tmp));
t277=C_mutate((C_word*)lf[319]+1 /* (set! ##sys#symbol-table-info ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)C_get_symbol_table_info,a[2]=((C_word)li234),tmp=(C_word)a,a+=3,tmp));
t278=C_mutate((C_word*)lf[320]+1 /* (set! ##sys#memory-info ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)C_get_memory_info,a[2]=((C_word)li235),tmp=(C_word)a,a+=3,tmp));
t279=C_mutate((C_word*)lf[321]+1 /* (set! ##sys#start-timer ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_10445,a[2]=((C_word)li236),tmp=(C_word)a,a+=3,tmp));
t280=C_mutate((C_word*)lf[322]+1 /* (set! ##sys#stop-timer ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_10451,a[2]=((C_word)li239),tmp=(C_word)a,a+=3,tmp));
t281=C_mutate((C_word*)lf[323]+1 /* (set! ##sys#immediate? ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_10471,a[2]=((C_word)li240),tmp=(C_word)a,a+=3,tmp));
t282=C_mutate((C_word*)lf[324]+1 /* (set! ##sys#message ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_10478,a[2]=((C_word)li241),tmp=(C_word)a,a+=3,tmp));
t283=C_mutate((C_word*)lf[325]+1 /* (set! ##sys#byte ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_10481,a[2]=((C_word)li242),tmp=(C_word)a,a+=3,tmp));
t284=C_mutate((C_word*)lf[326]+1 /* (set! ##sys#setbyte ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_10484,a[2]=((C_word)li243),tmp=(C_word)a,a+=3,tmp));
t285=C_mutate((C_word*)lf[327]+1 /* (set! ##sys#void ...) */,*((C_word*)lf[196]+1));
t286=C_set_block_item(lf[244] /* ##sys#undefined-value */,0,C_SCHEME_UNDEFINED);
t287=C_mutate((C_word*)lf[328]+1 /* (set! ##sys#halt ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_10489,a[2]=((C_word)li244),tmp=(C_word)a,a+=3,tmp));
t288=C_mutate((C_word*)lf[329]+1 /* (set! ##sys#become! ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)C_become,a[2]=((C_word)li245),tmp=(C_word)a,a+=3,tmp));
t289=C_mutate((C_word*)lf[330]+1 /* (set! ##sys#block-ref ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_10493,a[2]=((C_word)li246),tmp=(C_word)a,a+=3,tmp));
t290=C_mutate((C_word*)lf[331]+1 /* (set! ##sys#apply-values ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)C_apply_values,a[2]=((C_word)li247),tmp=(C_word)a,a+=3,tmp));
t291=C_mutate((C_word*)lf[332]+1 /* (set! ##sys#copy-closure ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)C_copy_closure,a[2]=((C_word)li248),tmp=(C_word)a,a+=3,tmp));
t292=C_mutate((C_word*)lf[333]+1 /* (set! ##sys#block-set! ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_10498,a[2]=((C_word)li249),tmp=(C_word)a,a+=3,tmp));
t293=C_a_i_provide(&a,1,lf[336]);
t294=C_mutate((C_word*)lf[337]+1 /* (set! chicken.time#current-milliseconds ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_10533,a[2]=((C_word)li250),tmp=(C_word)a,a+=3,tmp));
t295=C_mutate((C_word*)lf[338]+1 /* (set! chicken.time#current-seconds ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_10536,a[2]=((C_word)li251),tmp=(C_word)a,a+=3,tmp));
t296=C_mutate((C_word*)lf[339]+1 /* (set! chicken.time#cpu-time ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_10539,a[2]=((C_word)li252),tmp=(C_word)a,a+=3,tmp));
t297=C_mutate((C_word*)lf[340]+1 /* (set! ##sys#check-structure ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_10556,a[2]=((C_word)li253),tmp=(C_word)a,a+=3,tmp));
t298=C_mutate((C_word*)lf[341]+1 /* (set! ##sys#check-blob ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_10567,a[2]=((C_word)li254),tmp=(C_word)a,a+=3,tmp));
t299=C_mutate((C_word*)lf[342]+1 /* (set! ##sys#check-byte-vector ...) */,*((C_word*)lf[341]+1));
t300=C_mutate((C_word*)lf[343]+1 /* (set! ##sys#check-pair ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_10579,a[2]=((C_word)li255),tmp=(C_word)a,a+=3,tmp));
t301=C_mutate((C_word*)lf[344]+1 /* (set! ##sys#check-list ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_10590,a[2]=((C_word)li256),tmp=(C_word)a,a+=3,tmp));
t302=C_mutate((C_word*)lf[345]+1 /* (set! ##sys#check-string ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_10601,a[2]=((C_word)li257),tmp=(C_word)a,a+=3,tmp));
t303=C_mutate((C_word*)lf[346]+1 /* (set! ##sys#check-number ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_10612,a[2]=((C_word)li258),tmp=(C_word)a,a+=3,tmp));
t304=C_mutate((C_word*)lf[102]+1 /* (set! ##sys#check-fixnum ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_10623,a[2]=((C_word)li259),tmp=(C_word)a,a+=3,tmp));
t305=C_mutate((C_word*)lf[347]+1 /* (set! ##sys#check-exact ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_10634,a[2]=((C_word)li260),tmp=(C_word)a,a+=3,tmp));
t306=C_mutate((C_word*)lf[348]+1 /* (set! ##sys#check-inexact ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_10645,a[2]=((C_word)li261),tmp=(C_word)a,a+=3,tmp));
t307=C_mutate((C_word*)lf[349]+1 /* (set! ##sys#check-symbol ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_10656,a[2]=((C_word)li262),tmp=(C_word)a,a+=3,tmp));
t308=C_mutate((C_word*)lf[350]+1 /* (set! ##sys#check-vector ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_10667,a[2]=((C_word)li263),tmp=(C_word)a,a+=3,tmp));
t309=C_mutate((C_word*)lf[351]+1 /* (set! ##sys#check-char ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_10678,a[2]=((C_word)li264),tmp=(C_word)a,a+=3,tmp));
t310=C_mutate((C_word*)lf[352]+1 /* (set! ##sys#check-boolean ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_10689,a[2]=((C_word)li265),tmp=(C_word)a,a+=3,tmp));
t311=C_mutate((C_word*)lf[353]+1 /* (set! ##sys#check-locative ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_10700,a[2]=((C_word)li266),tmp=(C_word)a,a+=3,tmp));
t312=C_mutate((C_word*)lf[354]+1 /* (set! ##sys#check-integer ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_10711,a[2]=((C_word)li267),tmp=(C_word)a,a+=3,tmp));
t313=C_mutate((C_word*)lf[356]+1 /* (set! ##sys#check-exact-integer ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_10728,a[2]=((C_word)li268),tmp=(C_word)a,a+=3,tmp));
t314=C_mutate((C_word*)lf[358]+1 /* (set! ##sys#check-exact-uinteger ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_10745,a[2]=((C_word)li269),tmp=(C_word)a,a+=3,tmp));
t315=C_mutate((C_word*)lf[360]+1 /* (set! ##sys#check-real ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_10769,a[2]=((C_word)li270),tmp=(C_word)a,a+=3,tmp));
t316=C_mutate((C_word*)lf[334]+1 /* (set! ##sys#check-range ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_10786,a[2]=((C_word)li271),tmp=(C_word)a,a+=3,tmp));
t317=C_mutate((C_word*)lf[363]+1 /* (set! ##sys#check-special ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_10816,a[2]=((C_word)li272),tmp=(C_word)a,a+=3,tmp));
t318=C_mutate((C_word*)lf[365]+1 /* (set! ##sys#check-closure ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_10836,a[2]=((C_word)li273),tmp=(C_word)a,a+=3,tmp));
t319=C_mutate((C_word*)lf[366]+1 /* (set! scheme#force ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_10847,a[2]=((C_word)li275),tmp=(C_word)a,a+=3,tmp));
t320=C_mutate((C_word*)lf[368]+1 /* (set! ##sys#dload ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)C_dload,a[2]=((C_word)li276),tmp=(C_word)a,a+=3,tmp));
t321=C_mutate((C_word*)lf[369]+1 /* (set! ##sys#set-dlopen-flags! ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)C_set_dlopen_flags,a[2]=((C_word)li277),tmp=(C_word)a,a+=3,tmp));
t322=C_mutate((C_word*)lf[47]+1 /* (set! ##sys#error-not-a-proper-list ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_10975,a[2]=((C_word)li278),tmp=(C_word)a,a+=3,tmp));
t323=C_mutate((C_word*)lf[370]+1 /* (set! ##sys#error-bad-number ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_10991,a[2]=((C_word)li279),tmp=(C_word)a,a+=3,tmp));
t324=C_mutate((C_word*)lf[355]+1 /* (set! ##sys#error-bad-integer ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_11007,a[2]=((C_word)li280),tmp=(C_word)a,a+=3,tmp));
t325=C_mutate((C_word*)lf[357]+1 /* (set! ##sys#error-bad-exact-integer ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_11023,a[2]=((C_word)li281),tmp=(C_word)a,a+=3,tmp));
t326=C_mutate((C_word*)lf[359]+1 /* (set! ##sys#error-bad-exact-uinteger ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_11039,a[2]=((C_word)li282),tmp=(C_word)a,a+=3,tmp));
t327=C_mutate((C_word*)lf[371]+1 /* (set! ##sys#error-bad-inexact ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_11055,a[2]=((C_word)li283),tmp=(C_word)a,a+=3,tmp));
t328=C_mutate((C_word*)lf[361]+1 /* (set! ##sys#error-bad-real ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_11071,a[2]=((C_word)li284),tmp=(C_word)a,a+=3,tmp));
t329=C_mutate((C_word*)lf[372]+1 /* (set! ##sys#error-bad-base ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_11087,a[2]=((C_word)li285),tmp=(C_word)a,a+=3,tmp));
t330=C_mutate((C_word*)lf[373]+1 /* (set! scheme#append ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_11103,a[2]=((C_word)li288),tmp=(C_word)a,a+=3,tmp));
t331=C_mutate((C_word*)lf[375]+1 /* (set! ##sys#fast-reverse ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_11182,a[2]=((C_word)li290),tmp=(C_word)a,a+=3,tmp));
t332=C_mutate((C_word*)lf[376]+1 /* (set! ##sys#make-string ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_11212,a[2]=((C_word)li291),tmp=(C_word)a,a+=3,tmp));
t333=C_mutate((C_word*)lf[377]+1 /* (set! scheme#make-string ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_11232,a[2]=((C_word)li292),tmp=(C_word)a,a+=3,tmp));
t334=C_mutate((C_word*)lf[381]+1 /* (set! scheme#string->list ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_11268,a[2]=((C_word)li294),tmp=(C_word)a,a+=3,tmp));
t335=C_mutate((C_word*)lf[383]+1 /* (set! ##sys#string->list ...) */,*((C_word*)lf[381]+1));
t336=C_mutate((C_word*)lf[384]+1 /* (set! scheme#list->string ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_11306,a[2]=((C_word)li296),tmp=(C_word)a,a+=3,tmp));
t337=C_mutate((C_word*)lf[386]+1 /* (set! ##sys#list->string ...) */,*((C_word*)lf[384]+1));
t338=C_mutate((C_word*)lf[387]+1 /* (set! ##sys#reverse-list->string ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_11358,a[2]=((C_word)li298),tmp=(C_word)a,a+=3,tmp));
t339=C_mutate((C_word*)lf[389]+1 /* (set! scheme#string-fill! ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_11407,a[2]=((C_word)li299),tmp=(C_word)a,a+=3,tmp));
t340=C_mutate((C_word*)lf[391]+1 /* (set! scheme#string-copy ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_11420,a[2]=((C_word)li300),tmp=(C_word)a,a+=3,tmp));
t341=C_mutate((C_word*)lf[393]+1 /* (set! scheme#substring ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_11432,a[2]=((C_word)li301),tmp=(C_word)a,a+=3,tmp));
t342=C_mutate((C_word*)lf[395]+1 /* (set! ##sys#substring ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_11482,a[2]=((C_word)li302),tmp=(C_word)a,a+=3,tmp));
t343=C_SCHEME_UNDEFINED;
t344=(*a=C_VECTOR_TYPE|1,a[1]=t343,tmp=(C_word)a,a+=2,tmp);
t345=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_11491,a[2]=((C_word)li303),tmp=(C_word)a,a+=3,tmp);
t346=C_set_block_item(t344,0,t345);
t347=C_mutate((C_word*)lf[396]+1 /* (set! scheme#string<? ...) */,(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_11512,a[2]=t344,a[3]=((C_word)li305),tmp=(C_word)a,a+=4,tmp));
t348=C_mutate((C_word*)lf[398]+1 /* (set! scheme#string>? ...) */,(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_11536,a[2]=t344,a[3]=((C_word)li307),tmp=(C_word)a,a+=4,tmp));
t349=C_mutate((C_word*)lf[400]+1 /* (set! scheme#string<=? ...) */,(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_11560,a[2]=t344,a[3]=((C_word)li309),tmp=(C_word)a,a+=4,tmp));
t350=C_mutate((C_word*)lf[402]+1 /* (set! scheme#string>=? ...) */,(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_11581,a[2]=t344,a[3]=((C_word)li311),tmp=(C_word)a,a+=4,tmp));
t351=C_SCHEME_UNDEFINED;
t352=(*a=C_VECTOR_TYPE|1,a[1]=t351,tmp=(C_word)a,a+=2,tmp);
t353=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_11601,a[2]=((C_word)li312),tmp=(C_word)a,a+=3,tmp);
t354=C_set_block_item(t352,0,t353);
t355=C_mutate((C_word*)lf[404]+1 /* (set! scheme#string-ci<? ...) */,(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_11622,a[2]=t352,a[3]=((C_word)li314),tmp=(C_word)a,a+=4,tmp));
t356=C_mutate((C_word*)lf[406]+1 /* (set! scheme#string-ci>? ...) */,(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_11646,a[2]=t352,a[3]=((C_word)li316),tmp=(C_word)a,a+=4,tmp));
t357=C_mutate((C_word*)lf[408]+1 /* (set! scheme#string-ci<=? ...) */,(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_11670,a[2]=t352,a[3]=((C_word)li318),tmp=(C_word)a,a+=4,tmp));
t358=C_mutate((C_word*)lf[410]+1 /* (set! scheme#string-ci>=? ...) */,(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_11691,a[2]=t352,a[3]=((C_word)li320),tmp=(C_word)a,a+=4,tmp));
t359=C_mutate((C_word*)lf[412]+1 /* (set! ##sys#string-append ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_11712,a[2]=((C_word)li321),tmp=(C_word)a,a+=3,tmp));
t360=C_mutate((C_word*)lf[413]+1 /* (set! scheme#string-append ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_11728,a[2]=((C_word)li323),tmp=(C_word)a,a+=3,tmp));
t361=C_mutate((C_word*)lf[415]+1 /* (set! scheme#string ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_11767,a[2]=((C_word)li324),tmp=(C_word)a,a+=3,tmp));
t362=C_mutate((C_word*)lf[416]+1 /* (set! ##sys#fragments->string ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_11773,a[2]=((C_word)li326),tmp=(C_word)a,a+=3,tmp));
t363=C_mutate((C_word*)lf[417]+1 /* (set! chicken.base#chop ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_11808,a[2]=((C_word)li329),tmp=(C_word)a,a+=3,tmp));
t364=C_a_i_provide(&a,1,lf[420]);
t365=C_mutate((C_word*)lf[421]+1 /* (set! chicken.flonum#maximum-flonum ...) */,C_flonum(&a,DBL_MAX));
t366=C_mutate((C_word*)lf[422]+1 /* (set! chicken.flonum#minimum-flonum ...) */,C_flonum(&a,DBL_MIN));
t367=C_set_block_item(lf[423] /* chicken.flonum#flonum-radix */,0,C_fix((C_word)FLT_RADIX));
t368=C_mutate((C_word*)lf[424]+1 /* (set! chicken.flonum#flonum-epsilon ...) */,C_flonum(&a,DBL_EPSILON));
t369=C_set_block_item(lf[425] /* chicken.flonum#flonum-precision */,0,C_fix((C_word)DBL_MANT_DIG));
t370=C_set_block_item(lf[426] /* chicken.flonum#flonum-decimal-precision */,0,C_fix((C_word)DBL_DIG));
t371=C_set_block_item(lf[427] /* chicken.flonum#flonum-maximum-exponent */,0,C_fix((C_word)DBL_MAX_EXP));
t372=C_set_block_item(lf[428] /* chicken.flonum#flonum-minimum-exponent */,0,C_fix((C_word)DBL_MIN_EXP));
t373=C_set_block_item(lf[429] /* chicken.flonum#flonum-maximum-decimal-exponent */,0,C_fix((C_word)DBL_MAX_10_EXP));
t374=C_set_block_item(lf[430] /* chicken.flonum#flonum-minimum-decimal-exponent */,0,C_fix((C_word)DBL_MIN_10_EXP));
t375=C_mutate((C_word*)lf[431]+1 /* (set! chicken.flonum#fp+ ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_11903,a[2]=((C_word)li330),tmp=(C_word)a,a+=3,tmp));
t376=C_mutate((C_word*)lf[433]+1 /* (set! chicken.flonum#fp- ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_11927,a[2]=((C_word)li331),tmp=(C_word)a,a+=3,tmp));
t377=C_mutate((C_word*)lf[435]+1 /* (set! chicken.flonum#fp* ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_11951,a[2]=((C_word)li332),tmp=(C_word)a,a+=3,tmp));
t378=C_mutate((C_word*)lf[437]+1 /* (set! chicken.flonum#fp/ ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_11975,a[2]=((C_word)li333),tmp=(C_word)a,a+=3,tmp));
t379=C_mutate((C_word*)lf[439]+1 /* (set! chicken.flonum#fpgcd ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_11999,a[2]=((C_word)li334),tmp=(C_word)a,a+=3,tmp));
t380=C_mutate((C_word*)lf[441]+1 /* (set! chicken.flonum#fp/? ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_12023,a[2]=((C_word)li335),tmp=(C_word)a,a+=3,tmp));
t381=C_mutate((C_word*)lf[443]+1 /* (set! chicken.flonum#fp= ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_12047,a[2]=((C_word)li336),tmp=(C_word)a,a+=3,tmp));
t382=C_mutate((C_word*)lf[445]+1 /* (set! chicken.flonum#fp> ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_12071,a[2]=((C_word)li337),tmp=(C_word)a,a+=3,tmp));
t383=C_mutate((C_word*)lf[447]+1 /* (set! chicken.flonum#fp< ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_12095,a[2]=((C_word)li338),tmp=(C_word)a,a+=3,tmp));
t384=C_mutate((C_word*)lf[449]+1 /* (set! chicken.flonum#fp>= ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_12119,a[2]=((C_word)li339),tmp=(C_word)a,a+=3,tmp));
t385=C_mutate((C_word*)lf[451]+1 /* (set! chicken.flonum#fp<= ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_12143,a[2]=((C_word)li340),tmp=(C_word)a,a+=3,tmp));
t386=C_mutate((C_word*)lf[453]+1 /* (set! chicken.flonum#fpneg ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_12167,a[2]=((C_word)li341),tmp=(C_word)a,a+=3,tmp));
t387=C_mutate((C_word*)lf[455]+1 /* (set! chicken.flonum#fpmax ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_12185,a[2]=((C_word)li342),tmp=(C_word)a,a+=3,tmp));
t388=C_mutate((C_word*)lf[457]+1 /* (set! chicken.flonum#fpmin ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_12209,a[2]=((C_word)li343),tmp=(C_word)a,a+=3,tmp));
t389=C_mutate((C_word*)lf[459]+1 /* (set! chicken.flonum#fpfloor ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_12233,a[2]=((C_word)li344),tmp=(C_word)a,a+=3,tmp));
t390=C_mutate((C_word*)lf[461]+1 /* (set! chicken.flonum#fptruncate ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_12251,a[2]=((C_word)li345),tmp=(C_word)a,a+=3,tmp));
t391=C_mutate((C_word*)lf[463]+1 /* (set! chicken.flonum#fpround ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_12269,a[2]=((C_word)li346),tmp=(C_word)a,a+=3,tmp));
t392=C_mutate((C_word*)lf[465]+1 /* (set! chicken.flonum#fpceiling ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_12287,a[2]=((C_word)li347),tmp=(C_word)a,a+=3,tmp));
t393=C_mutate((C_word*)lf[467]+1 /* (set! chicken.flonum#fpsin ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_12305,a[2]=((C_word)li348),tmp=(C_word)a,a+=3,tmp));
t394=C_mutate((C_word*)lf[469]+1 /* (set! chicken.flonum#fpcos ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_12323,a[2]=((C_word)li349),tmp=(C_word)a,a+=3,tmp));
t395=C_mutate((C_word*)lf[471]+1 /* (set! chicken.flonum#fptan ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_12341,a[2]=((C_word)li350),tmp=(C_word)a,a+=3,tmp));
t396=C_mutate((C_word*)lf[473]+1 /* (set! chicken.flonum#fpasin ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_12359,a[2]=((C_word)li351),tmp=(C_word)a,a+=3,tmp));
t397=C_mutate((C_word*)lf[475]+1 /* (set! chicken.flonum#fpacos ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_12377,a[2]=((C_word)li352),tmp=(C_word)a,a+=3,tmp));
t398=C_mutate((C_word*)lf[477]+1 /* (set! chicken.flonum#fpatan ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_12395,a[2]=((C_word)li353),tmp=(C_word)a,a+=3,tmp));
t399=C_mutate((C_word*)lf[479]+1 /* (set! chicken.flonum#fpatan2 ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_12413,a[2]=((C_word)li354),tmp=(C_word)a,a+=3,tmp));
t400=C_mutate((C_word*)lf[481]+1 /* (set! chicken.flonum#fpexp ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_12437,a[2]=((C_word)li355),tmp=(C_word)a,a+=3,tmp));
t401=C_mutate((C_word*)lf[483]+1 /* (set! chicken.flonum#fpexpt ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_12455,a[2]=((C_word)li356),tmp=(C_word)a,a+=3,tmp));
t402=C_mutate((C_word*)lf[485]+1 /* (set! chicken.flonum#fplog ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_12479,a[2]=((C_word)li357),tmp=(C_word)a,a+=3,tmp));
t403=C_mutate((C_word*)lf[487]+1 /* (set! chicken.flonum#fpsqrt ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_12497,a[2]=((C_word)li358),tmp=(C_word)a,a+=3,tmp));
t404=C_mutate((C_word*)lf[489]+1 /* (set! chicken.flonum#fpabs ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_12515,a[2]=((C_word)li359),tmp=(C_word)a,a+=3,tmp));
t405=C_mutate((C_word*)lf[491]+1 /* (set! chicken.flonum#fpinteger? ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_12533,a[2]=((C_word)li360),tmp=(C_word)a,a+=3,tmp));
t406=C_mutate((C_word*)lf[493]+1 /* (set! chicken.flonum#flonum-print-precision ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_12551,a[2]=((C_word)li361),tmp=(C_word)a,a+=3,tmp));
t407=C_mutate((C_word*)lf[495]+1 /* (set! ##sys#number? ...) */,*((C_word*)lf[77]+1));
t408=C_mutate((C_word*)lf[496]+1 /* (set! ##sys#integer? ...) */,*((C_word*)lf[81]+1));
t409=C_mutate((C_word*)lf[497]+1 /* (set! ##sys#exact? ...) */,*((C_word*)lf[82]+1));
t410=C_mutate((C_word*)lf[498]+1 /* (set! ##sys#inexact? ...) */,*((C_word*)lf[83]+1));
t411=C_mutate(&lf[499] /* (set! make-complex ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_12573,a[2]=((C_word)li362),tmp=(C_word)a,a+=3,tmp));
t412=C_mutate((C_word*)lf[501]+1 /* (set! scheme#make-rectangular ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_12609,a[2]=((C_word)li363),tmp=(C_word)a,a+=3,tmp));
t413=C_mutate((C_word*)lf[503]+1 /* (set! scheme#make-polar ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_12621,a[2]=((C_word)li364),tmp=(C_word)a,a+=3,tmp));
t414=C_mutate((C_word*)lf[505]+1 /* (set! scheme#real-part ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_12642,a[2]=((C_word)li365),tmp=(C_word)a,a+=3,tmp));
t415=C_mutate((C_word*)lf[507]+1 /* (set! scheme#imag-part ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_12665,a[2]=((C_word)li366),tmp=(C_word)a,a+=3,tmp));
t416=C_mutate((C_word*)lf[509]+1 /* (set! scheme#angle ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_12691,a[2]=((C_word)li367),tmp=(C_word)a,a+=3,tmp));
t417=C_mutate((C_word*)lf[511]+1 /* (set! scheme#magnitude ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_12707,a[2]=((C_word)li368),tmp=(C_word)a,a+=3,tmp));
t418=C_mutate(&lf[514] /* (set! ratnum ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_12746,a[2]=((C_word)li369),tmp=(C_word)a,a+=3,tmp));
t419=C_mutate((C_word*)lf[515]+1 /* (set! scheme#numerator ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_12792,a[2]=((C_word)li370),tmp=(C_word)a,a+=3,tmp));
t420=C_mutate((C_word*)lf[520]+1 /* (set! scheme#denominator ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_12838,a[2]=((C_word)li371),tmp=(C_word)a,a+=3,tmp));
t421=C_mutate((C_word*)lf[524]+1 /* (set! ##sys#extended-signum ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_12884,a[2]=((C_word)li372),tmp=(C_word)a,a+=3,tmp));
t422=C_mutate((C_word*)lf[518]+1 /* (set! scheme#inexact->exact ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_13004,a[2]=((C_word)li375),tmp=(C_word)a,a+=3,tmp));
t423=C_mutate((C_word*)lf[532]+1 /* (set! ##sys#exact->inexact ...) */,*((C_word*)lf[62]+1));
t424=C_mutate((C_word*)lf[533]+1 /* (set! ##sys#inexact->exact ...) */,*((C_word*)lf[518]+1));
t425=C_a_i_provide(&a,1,lf[534]);
t426=C_mutate((C_word*)lf[535]+1 /* (set! chicken.bitwise#bitwise-and ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)C_bitwise_and,a[2]=((C_word)li376),tmp=(C_word)a,a+=3,tmp));
t427=C_mutate((C_word*)lf[536]+1 /* (set! chicken.bitwise#bitwise-ior ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)C_bitwise_ior,a[2]=((C_word)li377),tmp=(C_word)a,a+=3,tmp));
t428=C_mutate((C_word*)lf[537]+1 /* (set! chicken.bitwise#bitwise-xor ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)C_bitwise_xor,a[2]=((C_word)li378),tmp=(C_word)a,a+=3,tmp));
t429=C_mutate((C_word*)lf[538]+1 /* (set! chicken.bitwise#bitwise-not ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_13070,a[2]=((C_word)li379),tmp=(C_word)a,a+=3,tmp));
t430=C_mutate((C_word*)lf[539]+1 /* (set! chicken.bitwise#bit->boolean ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_13073,a[2]=((C_word)li380),tmp=(C_word)a,a+=3,tmp));
t431=C_mutate((C_word*)lf[540]+1 /* (set! chicken.bitwise#integer-length ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_13076,a[2]=((C_word)li381),tmp=(C_word)a,a+=3,tmp));
t432=C_mutate((C_word*)lf[541]+1 /* (set! chicken.bitwise#arithmetic-shift ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_13079,a[2]=((C_word)li382),tmp=(C_word)a,a+=3,tmp));
t433=C_mutate((C_word*)lf[542]+1 /* (set! scheme#/ ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_13082,a[2]=((C_word)li384),tmp=(C_word)a,a+=3,tmp));
t434=C_mutate((C_word*)lf[526]+1 /* (set! ##sys#/-2 ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_13133,a[2]=((C_word)li385),tmp=(C_word)a,a+=3,tmp));
t435=C_mutate((C_word*)lf[545]+1 /* (set! scheme#floor ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_13381,a[2]=((C_word)li386),tmp=(C_word)a,a+=3,tmp));
t436=C_mutate((C_word*)lf[547]+1 /* (set! scheme#ceiling ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_13422,a[2]=((C_word)li387),tmp=(C_word)a,a+=3,tmp));
t437=C_mutate((C_word*)lf[549]+1 /* (set! scheme#truncate ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_13463,a[2]=((C_word)li388),tmp=(C_word)a,a+=3,tmp));
t438=C_mutate((C_word*)lf[551]+1 /* (set! scheme#round ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_13497,a[2]=((C_word)li389),tmp=(C_word)a,a+=3,tmp));
t439=C_mutate(&lf[553] /* (set! find-ratio-between ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_13537,a[2]=((C_word)li391),tmp=(C_word)a,a+=3,tmp));
t440=C_mutate((C_word*)lf[555]+1 /* (set! scheme#rationalize ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_13673,a[2]=((C_word)li392),tmp=(C_word)a,a+=3,tmp));
t441=C_mutate((C_word*)lf[556]+1 /* (set! scheme#max ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_13698,a[2]=((C_word)li394),tmp=(C_word)a,a+=3,tmp));
t442=C_mutate((C_word*)lf[558]+1 /* (set! scheme#min ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_13741,a[2]=((C_word)li396),tmp=(C_word)a,a+=3,tmp));
t443=C_mutate((C_word*)lf[560]+1 /* (set! scheme#exp ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_13784,a[2]=((C_word)li397),tmp=(C_word)a,a+=3,tmp));
t444=C_mutate((C_word*)lf[562]+1 /* (set! ##sys#log-1 ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_13826,a[2]=((C_word)li398),tmp=(C_word)a,a+=3,tmp));
t445=C_mutate((C_word*)lf[566]+1 /* (set! scheme#log ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_13869,a[2]=((C_word)li399),tmp=(C_word)a,a+=3,tmp));
t446=C_mutate((C_word*)lf[567]+1 /* (set! scheme#sin ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_13898,a[2]=((C_word)li400),tmp=(C_word)a,a+=3,tmp));
t447=C_mutate((C_word*)lf[571]+1 /* (set! scheme#cos ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_13928,a[2]=((C_word)li401),tmp=(C_word)a,a+=3,tmp));
t448=C_mutate((C_word*)lf[573]+1 /* (set! scheme#tan ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_13958,a[2]=((C_word)li402),tmp=(C_word)a,a+=3,tmp));
t449=C_mutate((C_word*)lf[575]+1 /* (set! scheme#asin ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_13983,a[2]=((C_word)li403),tmp=(C_word)a,a+=3,tmp));
t450=C_a_i_asin(&a,1,C_fix(1));
t451=C_mutate((C_word*)lf[579]+1 /* (set! scheme#acos ...) */,(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_14036,a[2]=t450,a[3]=((C_word)li404),tmp=(C_word)a,a+=4,tmp));
t452=C_mutate((C_word*)lf[581]+1 /* (set! scheme#atan ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_14076,a[2]=((C_word)li405),tmp=(C_word)a,a+=3,tmp));
t453=C_mutate((C_word*)lf[583]+1 /* (set! ##sys#exact-integer-sqrt ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_14134,a[2]=((C_word)li411),tmp=(C_word)a,a+=3,tmp));
t454=C_mutate((C_word*)lf[585]+1 /* (set! chicken.base#exact-integer-sqrt ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_14299,a[2]=((C_word)li412),tmp=(C_word)a,a+=3,tmp));
t455=C_mutate((C_word*)lf[578]+1 /* (set! ##sys#sqrt/loc ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_14308,a[2]=((C_word)li419),tmp=(C_word)a,a+=3,tmp));
t456=C_mutate((C_word*)lf[512]+1 /* (set! scheme#sqrt ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_14459,a[2]=((C_word)li420),tmp=(C_word)a,a+=3,tmp));
t457=C_mutate((C_word*)lf[588]+1 /* (set! chicken.base#exact-integer-nth-root ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_14465,a[2]=((C_word)li421),tmp=(C_word)a,a+=3,tmp));
t458=C_mutate((C_word*)lf[589]+1 /* (set! ##sys#exact-integer-nth-root/loc ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_14477,a[2]=((C_word)li423),tmp=(C_word)a,a+=3,tmp));
t459=C_mutate((C_word*)lf[528]+1 /* (set! ##sys#integer-power ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_14580,a[2]=((C_word)li425),tmp=(C_word)a,a+=3,tmp));
t460=C_mutate((C_word*)lf[531]+1 /* (set! scheme#expt ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_14642,a[2]=((C_word)li430),tmp=(C_word)a,a+=3,tmp));
t461=C_mutate(&lf[543] /* (set! ##sys#internal-gcd ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_14902,a[2]=((C_word)li431),tmp=(C_word)a,a+=3,tmp));
t462=C_mutate((C_word*)lf[593]+1 /* (set! ##sys#gcd ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_14972,a[2]=((C_word)li432),tmp=(C_word)a,a+=3,tmp));
t463=C_mutate((C_word*)lf[595]+1 /* (set! scheme#gcd ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_14978,a[2]=((C_word)li434),tmp=(C_word)a,a+=3,tmp));
t464=C_mutate((C_word*)lf[596]+1 /* (set! ##sys#lcm ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_15029,a[2]=((C_word)li435),tmp=(C_word)a,a+=3,tmp));
t465=C_mutate((C_word*)lf[598]+1 /* (set! scheme#lcm ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_15040,a[2]=((C_word)li437),tmp=(C_word)a,a+=3,tmp));
t466=C_mutate((C_word*)lf[599]+1 /* (set! ##sys#integer->string/recursive ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_15095,a[2]=((C_word)li441),tmp=(C_word)a,a+=3,tmp));
t467=C_mutate((C_word*)lf[601]+1 /* (set! ##sys#extended-number->string ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_15148,a[2]=((C_word)li442),tmp=(C_word)a,a+=3,tmp));
t468=C_mutate(&lf[607] /* (set! round-quotient ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_15315,a[2]=((C_word)li443),tmp=(C_word)a,a+=3,tmp));
t469=C_mutate(&lf[608] /* (set! ##sys#string->compnum ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_15353,a[2]=((C_word)li454),tmp=(C_word)a,a+=3,tmp));
t470=C_mutate((C_word*)lf[617]+1 /* (set! scheme#string->number ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_16754,a[2]=((C_word)li456),tmp=(C_word)a,a+=3,tmp));
t471=C_mutate((C_word*)lf[619]+1 /* (set! ##sys#string->number ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_17009,a[2]=((C_word)li457),tmp=(C_word)a,a+=3,tmp));
t472=C_mutate((C_word*)lf[620]+1 /* (set! ##sys#fixnum->string ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)C_fixnum_to_string,a[2]=((C_word)li458),tmp=(C_word)a,a+=3,tmp));
t473=C_mutate((C_word*)lf[621]+1 /* (set! ##sys#flonum->string ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)C_flonum_to_string,a[2]=((C_word)li459),tmp=(C_word)a,a+=3,tmp));
t474=C_mutate((C_word*)lf[622]+1 /* (set! ##sys#integer->string ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)C_integer_to_string,a[2]=((C_word)li460),tmp=(C_word)a,a+=3,tmp));
t475=C_mutate((C_word*)lf[600]+1 /* (set! ##sys#number->string ...) */,*((C_word*)lf[87]+1));
t476=C_mutate((C_word*)lf[623]+1 /* (set! chicken.base#equal=? ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_17055,a[2]=((C_word)li464),tmp=(C_word)a,a+=3,tmp));
t477=C_mutate((C_word*)lf[624]+1 /* (set! ##sys#snafu ...) */,lf[625]);
t478=C_mutate((C_word*)lf[626]+1 /* (set! ##sys#intern-symbol ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)C_string_to_symbol,a[2]=((C_word)li465),tmp=(C_word)a,a+=3,tmp));
t479=C_mutate((C_word*)lf[627]+1 /* (set! ##sys#interned-symbol? ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_17225,a[2]=((C_word)li466),tmp=(C_word)a,a+=3,tmp));
t480=C_mutate((C_word*)lf[628]+1 /* (set! ##sys#string->symbol ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_17228,a[2]=((C_word)li467),tmp=(C_word)a,a+=3,tmp));
t481=*((C_word*)lf[391]+1);
t482=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_17237,a[2]=((C_word)li468),tmp=(C_word)a,a+=3,tmp);
t483=C_mutate((C_word*)lf[629]+1 /* (set! ##sys#symbol->string ...) */,(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_17264,a[2]=t482,a[3]=((C_word)li469),tmp=(C_word)a,a+=4,tmp));
t484=C_mutate((C_word*)lf[630]+1 /* (set! ##sys#symbol->qualified-string ...) */,(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_17282,a[2]=t482,a[3]=((C_word)li470),tmp=(C_word)a,a+=4,tmp));
t485=C_mutate((C_word*)lf[633]+1 /* (set! ##sys#qualified-symbol-prefix ...) */,(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_17308,a[2]=t482,a[3]=((C_word)li471),tmp=(C_word)a,a+=4,tmp));
t486=C_mutate((C_word*)lf[634]+1 /* (set! ##sys#qualified-symbol? ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_17326,a[2]=((C_word)li472),tmp=(C_word)a,a+=3,tmp));
t487=C_mutate((C_word*)lf[635]+1 /* (set! ##sys#string->qualified-symbol ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_17349,a[2]=((C_word)li473),tmp=(C_word)a,a+=3,tmp));
t488=C_mutate((C_word*)lf[636]+1 /* (set! scheme#symbol->string ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_17362,a[2]=((C_word)li474),tmp=(C_word)a,a+=3,tmp));
t489=*((C_word*)lf[391]+1);
t490=C_mutate((C_word*)lf[638]+1 /* (set! scheme#string->symbol ...) */,(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_17375,a[2]=t489,a[3]=((C_word)li475),tmp=(C_word)a,a+=4,tmp));
t491=*((C_word*)lf[391]+1);
t492=C_mutate((C_word*)lf[640]+1 /* (set! chicken.base#string->uninterned-symbol ...) */,(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_17388,a[2]=t491,a[3]=((C_word)li477),tmp=(C_word)a,a+=4,tmp));
t493=C_fix(-1);
t494=(*a=C_VECTOR_TYPE|1,a[1]=t493,tmp=(C_word)a,a+=2,tmp);
t495=C_mutate((C_word*)lf[642]+1 /* (set! chicken.base#gensym ...) */,(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_17401,a[2]=t494,a[3]=((C_word)li479),tmp=(C_word)a,a+=4,tmp));
t496=*((C_word*)lf[413]+1);
t497=C_mutate((C_word*)lf[646]+1 /* (set! chicken.base#symbol-append ...) */,(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_17455,a[2]=t496,a[3]=((C_word)li481),tmp=(C_word)a,a+=4,tmp));
t498=C_a_i_provide(&a,1,lf[648]);
t499=C_mutate((C_word*)lf[649]+1 /* (set! chicken.keyword#keyword? ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_17514,a[2]=((C_word)li482),tmp=(C_word)a,a+=3,tmp));
t500=C_mutate((C_word*)lf[650]+1 /* (set! chicken.keyword#string->keyword ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_17523,a[2]=((C_word)li483),tmp=(C_word)a,a+=3,tmp));
t501=*((C_word*)lf[649]+1);
t502=C_mutate((C_word*)lf[652]+1 /* (set! chicken.keyword#keyword->string ...) */,(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_17544,a[2]=t501,a[3]=((C_word)li484),tmp=(C_word)a,a+=4,tmp));
t503=C_a_i_list1(&a,1,lf[655]);
t504=t503;
t505=C_mutate((C_word*)lf[656]+1 /* (set! chicken.keyword#get-keyword ...) */,(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_17562,a[2]=t504,a[3]=((C_word)li485),tmp=(C_word)a,a+=4,tmp));
t506=C_mutate((C_word*)lf[658]+1 /* (set! ##sys#get-keyword ...) */,*((C_word*)lf[656]+1));
t507=C_a_i_provide(&a,1,lf[659]);
t508=C_mutate((C_word*)lf[660]+1 /* (set! ##sys#make-blob ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_17590,a[2]=((C_word)li486),tmp=(C_word)a,a+=3,tmp));
t509=C_mutate((C_word*)lf[661]+1 /* (set! chicken.blob#make-blob ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_17596,a[2]=((C_word)li487),tmp=(C_word)a,a+=3,tmp));
t510=C_mutate((C_word*)lf[663]+1 /* (set! chicken.blob#blob? ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_17605,a[2]=((C_word)li488),tmp=(C_word)a,a+=3,tmp));
t511=C_mutate((C_word*)lf[664]+1 /* (set! chicken.blob#blob-size ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_17611,a[2]=((C_word)li489),tmp=(C_word)a,a+=3,tmp));
t512=C_mutate((C_word*)lf[666]+1 /* (set! chicken.blob#string->blob ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_17620,a[2]=((C_word)li490),tmp=(C_word)a,a+=3,tmp));
t513=C_mutate((C_word*)lf[668]+1 /* (set! chicken.blob#blob->string ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_17632,a[2]=((C_word)li491),tmp=(C_word)a,a+=3,tmp));
t514=C_mutate((C_word*)lf[670]+1 /* (set! chicken.blob#blob=? ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_17644,a[2]=((C_word)li492),tmp=(C_word)a,a+=3,tmp));
t515=C_mutate((C_word*)lf[93]+1 /* (set! scheme#make-vector ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_17667,a[2]=((C_word)li493),tmp=(C_word)a,a+=3,tmp));
t516=C_mutate((C_word*)lf[674]+1 /* (set! ##sys#make-vector ...) */,*((C_word*)lf[93]+1));
t517=C_mutate((C_word*)lf[94]+1 /* (set! scheme#list->vector ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_17696,a[2]=((C_word)li495),tmp=(C_word)a,a+=3,tmp));
t518=C_mutate((C_word*)lf[95]+1 /* (set! scheme#vector->list ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_17748,a[2]=((C_word)li497),tmp=(C_word)a,a+=3,tmp));
t519=C_mutate((C_word*)lf[96]+1 /* (set! scheme#vector ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_17781,a[2]=((C_word)li498),tmp=(C_word)a,a+=3,tmp));
t520=C_mutate((C_word*)lf[97]+1 /* (set! scheme#vector-fill! ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_17787,a[2]=((C_word)li500),tmp=(C_word)a,a+=3,tmp));
t521=C_mutate((C_word*)lf[204]+1 /* (set! chicken.base#vector-copy! ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_17815,a[2]=((C_word)li502),tmp=(C_word)a,a+=3,tmp));
t522=C_mutate((C_word*)lf[205]+1 /* (set! chicken.base#subvector ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_17884,a[2]=((C_word)li504),tmp=(C_word)a,a+=3,tmp));
t523=C_mutate((C_word*)lf[206]+1 /* (set! chicken.base#vector-resize ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_17955,a[2]=((C_word)li505),tmp=(C_word)a,a+=3,tmp));
t524=C_mutate(&lf[682] /* (set! ##sys#vector-resize ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_17976,a[2]=((C_word)li507),tmp=(C_word)a,a+=3,tmp));
t525=C_mutate((C_word*)lf[113]+1 /* (set! scheme#char-ci=? ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_18015,a[2]=((C_word)li508),tmp=(C_word)a,a+=3,tmp));
t526=C_mutate((C_word*)lf[114]+1 /* (set! scheme#char-ci>? ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_18029,a[2]=((C_word)li509),tmp=(C_word)a,a+=3,tmp));
t527=C_mutate((C_word*)lf[115]+1 /* (set! scheme#char-ci<? ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_18040,a[2]=((C_word)li510),tmp=(C_word)a,a+=3,tmp));
t528=C_mutate((C_word*)lf[116]+1 /* (set! scheme#char-ci>=? ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_18051,a[2]=((C_word)li511),tmp=(C_word)a,a+=3,tmp));
t529=C_mutate((C_word*)lf[117]+1 /* (set! scheme#char-ci<=? ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_18062,a[2]=((C_word)li512),tmp=(C_word)a,a+=3,tmp));
t530=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_18075,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
/* library.scm:2970: scheme#make-vector */
t531=*((C_word*)lf[93]+1);{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t531;
av2[1]=t530;
av2[2]=C_fix(37);
av2[3]=C_SCHEME_END_OF_LIST;
((C_proc)(void*)(*((C_word*)t531+1)))(4,av2);}}

/* scheme#not in k8490 */
static void C_ccall f_8494(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_8494,3,av);}
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_i_not(t2);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* scheme#boolean? in k8490 */
static void C_ccall f_8497(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_8497,3,av);}
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_booleanp(t2);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* scheme#eq? in k8490 */
static void C_ccall f_8500(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_8500,4,av);}
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_eqp(t2,t3);
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* scheme#eqv? in k8490 */
static void C_ccall f_8503(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_8503,4,av);}
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_i_eqvp(t2,t3);
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* scheme#equal? in k8490 */
static void C_ccall f_8506(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_8506,4,av);}
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_i_equalp(t2,t3);
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* scheme#pair? in k8490 */
static void C_ccall f_8509(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_8509,3,av);}
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_i_pairp(t2);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* scheme#cons in k8490 */
static void C_ccall f_8512(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(3,c,1)))){
C_save_and_reclaim((void *)f_8512,4,av);}
a=C_alloc(3);
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_a_i_cons(&a,2,t2,t3);
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* scheme#car in k8490 */
static void C_ccall f_8515(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_8515,3,av);}
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_i_car(t2);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* scheme#cdr in k8490 */
static void C_ccall f_8518(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_8518,3,av);}
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_i_cdr(t2);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* scheme#set-car! in k8490 */
static void C_ccall f_8521(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_8521,4,av);}
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_i_set_car(t2,t3);
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* scheme#set-cdr! in k8490 */
static void C_ccall f_8524(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_8524,4,av);}
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_i_set_cdr(t2,t3);
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* scheme#cadr in k8490 */
static void C_ccall f_8527(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_8527,3,av);}
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_i_cadr(t2);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* scheme#caddr in k8490 */
static void C_ccall f_8530(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_8530,3,av);}
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_i_caddr(t2);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* scheme#cadddr in k8490 */
static void C_ccall f_8533(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_8533,3,av);}
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_i_cadddr(t2);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* scheme#cddddr in k8490 */
static void C_ccall f_8536(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_8536,3,av);}
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_i_cddddr(t2);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* scheme#caar in k8490 */
static void C_ccall f_8539(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_8539,3,av);}
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_i_caar(t2);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* scheme#cdar in k8490 */
static void C_ccall f_8542(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_8542,3,av);}
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_i_cdar(t2);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* scheme#cddr in k8490 */
static void C_ccall f_8545(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_8545,3,av);}
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_i_cddr(t2);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* scheme#caaar in k8490 */
static void C_ccall f_8548(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_8548,3,av);}
t3=C_i_car(t2);
t4=C_i_car(t3);
t5=t1;{
C_word *av2=av;
av2[0]=t5;
av2[1]=C_i_car(t4);
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}

/* scheme#caadr in k8490 */
static void C_ccall f_8562(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_8562,3,av);}
t3=C_i_cadr(t2);
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_i_car(t3);
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* scheme#cadar in k8490 */
static void C_ccall f_8569(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_8569,3,av);}
t3=C_i_car(t2);
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_i_cadr(t3);
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* scheme#cdaar in k8490 */
static void C_ccall f_8576(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_8576,3,av);}
t3=C_i_car(t2);
t4=C_i_car(t3);
t5=t1;{
C_word *av2=av;
av2[0]=t5;
av2[1]=C_i_cdr(t4);
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}

/* scheme#cdadr in k8490 */
static void C_ccall f_8590(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_8590,3,av);}
t3=C_i_cadr(t2);
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_i_cdr(t3);
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* scheme#cddar in k8490 */
static void C_ccall f_8597(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_8597,3,av);}
t3=C_i_car(t2);
t4=C_i_cdr(t3);
t5=t1;{
C_word *av2=av;
av2[0]=t5;
av2[1]=C_i_cdr(t4);
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}

/* scheme#cdddr in k8490 */
static void C_ccall f_8611(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_8611,3,av);}
t3=C_i_cdr(t2);
t4=C_i_cdr(t3);
t5=t1;{
C_word *av2=av;
av2[0]=t5;
av2[1]=C_i_cdr(t4);
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}

/* scheme#caaaar in k8490 */
static void C_ccall f_8625(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_8625,3,av);}
t3=C_i_car(t2);
t4=C_i_car(t3);
t5=C_i_car(t4);
t6=t1;{
C_word *av2=av;
av2[0]=t6;
av2[1]=C_i_car(t5);
((C_proc)(void*)(*((C_word*)t6+1)))(2,av2);}}

/* scheme#caaadr in k8490 */
static void C_ccall f_8643(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_8643,3,av);}
t3=C_i_cadr(t2);
t4=C_i_car(t3);
t5=t1;{
C_word *av2=av;
av2[0]=t5;
av2[1]=C_i_car(t4);
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}

/* scheme#caadar in k8490 */
static void C_ccall f_8654(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_8654,3,av);}
t3=C_i_car(t2);
t4=C_i_cadr(t3);
t5=t1;{
C_word *av2=av;
av2[0]=t5;
av2[1]=C_i_car(t4);
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}

/* scheme#caaddr in k8490 */
static void C_ccall f_8665(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_8665,3,av);}
t3=C_i_caddr(t2);
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_i_car(t3);
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* scheme#cadaar in k8490 */
static void C_ccall f_8672(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_8672,3,av);}
t3=C_i_car(t2);
t4=C_i_car(t3);
t5=t1;{
C_word *av2=av;
av2[0]=t5;
av2[1]=C_i_cadr(t4);
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}

/* scheme#cadadr in k8490 */
static void C_ccall f_8683(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_8683,3,av);}
t3=C_i_cadr(t2);
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_i_cadr(t3);
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* scheme#caddar in k8490 */
static void C_ccall f_8687(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_8687,3,av);}
t3=C_i_car(t2);
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_i_caddr(t3);
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* scheme#cdaaar in k8490 */
static void C_ccall f_8694(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_8694,3,av);}
t3=C_i_car(t2);
t4=C_i_car(t3);
t5=C_i_car(t4);
t6=t1;{
C_word *av2=av;
av2[0]=t6;
av2[1]=C_i_cdr(t5);
((C_proc)(void*)(*((C_word*)t6+1)))(2,av2);}}

/* scheme#cdaadr in k8490 */
static void C_ccall f_8712(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_8712,3,av);}
t3=C_i_cadr(t2);
t4=C_i_car(t3);
t5=t1;{
C_word *av2=av;
av2[0]=t5;
av2[1]=C_i_cdr(t4);
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}

/* scheme#cdadar in k8490 */
static void C_ccall f_8723(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_8723,3,av);}
t3=C_i_car(t2);
t4=C_i_cadr(t3);
t5=t1;{
C_word *av2=av;
av2[0]=t5;
av2[1]=C_i_cdr(t4);
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}

/* scheme#cdaddr in k8490 */
static void C_ccall f_8734(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_8734,3,av);}
t3=C_i_caddr(t2);
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_i_cdr(t3);
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* scheme#cddaar in k8490 */
static void C_ccall f_8741(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_8741,3,av);}
t3=C_i_car(t2);
t4=C_i_car(t3);
t5=C_i_cdr(t4);
t6=t1;{
C_word *av2=av;
av2[0]=t6;
av2[1]=C_i_cdr(t5);
((C_proc)(void*)(*((C_word*)t6+1)))(2,av2);}}

/* scheme#cddadr in k8490 */
static void C_ccall f_8759(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_8759,3,av);}
t3=C_i_cadr(t2);
t4=C_i_cdr(t3);
t5=t1;{
C_word *av2=av;
av2[0]=t5;
av2[1]=C_i_cdr(t4);
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}

/* scheme#cdddar in k8490 */
static void C_ccall f_8770(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_8770,3,av);}
t3=C_i_car(t2);
t4=C_i_cdr(t3);
t5=C_i_cdr(t4);
t6=t1;{
C_word *av2=av;
av2[0]=t6;
av2[1]=C_i_cdr(t5);
((C_proc)(void*)(*((C_word*)t6+1)))(2,av2);}}

/* scheme#null? in k8490 */
static void C_ccall f_8788(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_8788,3,av);}
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_eqp(t2,C_SCHEME_END_OF_LIST);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* scheme#list in k8490 */
static void C_ccall f_8794(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand((c-2)*C_SIZEOF_PAIR +0,c,1)))){
C_save_and_reclaim((void*)f_8794,c,av);}
a=C_alloc((c-2)*C_SIZEOF_PAIR+0);
t2=C_build_rest(&a,c,2,av);
C_word t3;
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=t2;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* scheme#length in k8490 */
static void C_ccall f_8797(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_8797,3,av);}
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_i_length(t2);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* scheme#list-tail in k8490 */
static void C_ccall f_8800(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_8800,4,av);}
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_i_list_tail(t2,t3);
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* scheme#list-ref in k8490 */
static void C_ccall f_8803(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_8803,4,av);}
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_i_list_ref(t2,t3);
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* scheme#reverse in k8490 */
static void C_ccall f_8806(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(7,c,4)))){
C_save_and_reclaim((void *)f_8806,3,av);}
a=C_alloc(7);
t3=C_SCHEME_UNDEFINED;
t4=(*a=C_VECTOR_TYPE|1,a[1]=t3,tmp=(C_word)a,a+=2,tmp);
t5=C_set_block_item(t4,0,(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_8812,a[2]=t4,a[3]=t2,a[4]=((C_word)li44),tmp=(C_word)a,a+=5,tmp));
t6=((C_word*)t4)[1];
f_8812(t6,t1,t2,C_SCHEME_END_OF_LIST);}

/* loop in scheme#reverse in k8490 */
static void C_fcall f_8812(C_word t0,C_word t1,C_word t2,C_word t3){
C_word tmp;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word *a;
loop:
if(C_unlikely(!C_demand(C_calculate_demand(3,0,3)))){
C_save_and_reclaim_args((void *)trf_8812,4,t0,t1,t2,t3);}
a=C_alloc(3);
t4=C_eqp(t2,C_SCHEME_END_OF_LIST);
if(C_truep(t4)){
t5=t3;
t6=t1;{
C_word av2[2];
av2[0]=t6;
av2[1]=t5;
((C_proc)(void*)(*((C_word*)t6+1)))(2,av2);}}
else{
if(C_truep(C_i_pairp(t2))){
t5=C_slot(t2,C_fix(1));
t6=C_slot(t2,C_fix(0));
t7=C_a_i_cons(&a,2,t6,t3);
/* library.scm:313: loop */
t9=t1;
t10=t5;
t11=t7;
t1=t9;
t2=t10;
t3=t11;
goto loop;}
else{
/* library.scm:314: ##sys#error-not-a-proper-list */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[47]+1));
C_word av2[4];
av2[0]=*((C_word*)lf[47]+1);
av2[1]=t1;
av2[2]=((C_word*)t0)[3];
av2[3]=lf[48];
tp(4,av2);}}}}

/* scheme#memq in k8490 */
static void C_ccall f_8845(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_8845,4,av);}
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_i_memq(t2,t3);
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* scheme#memv in k8490 */
static void C_ccall f_8848(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_8848,4,av);}
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_i_memv(t2,t3);
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* scheme#member in k8490 */
static void C_ccall f_8851(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_8851,4,av);}
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_i_member(t2,t3);
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* scheme#assq in k8490 */
static void C_ccall f_8854(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_8854,4,av);}
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_i_assq(t2,t3);
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* scheme#assv in k8490 */
static void C_ccall f_8857(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_8857,4,av);}
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_i_assv(t2,t3);
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* scheme#assoc in k8490 */
static void C_ccall f_8860(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_8860,4,av);}
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_i_assoc(t2,t3);
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* scheme#list? in k8490 */
static void C_ccall f_8863(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_8863,3,av);}
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_i_listp(t2);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* scheme#string? in k8490 */
static void C_ccall f_8866(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_8866,3,av);}
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_i_stringp(t2);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* scheme#string-length in k8490 */
static void C_ccall f_8869(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_8869,3,av);}
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_i_string_length(t2);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* scheme#string-ref in k8490 */
static void C_ccall f_8872(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_8872,4,av);}
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_i_string_ref(t2,t3);
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* scheme#string-set! in k8490 */
static void C_ccall f_8875(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4=av[4];
C_word t5;
C_word *a;
if(c!=5) C_bad_argc_2(c,5,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_8875,5,av);}
t5=t1;{
C_word *av2=av;
av2[0]=t5;
av2[1]=C_i_string_set(t2,t3,t4);
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}

/* scheme#string=? in k8490 */
static void C_ccall f_8878(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_8878,4,av);}
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_i_string_equal_p(t2,t3);
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* scheme#string-ci=? in k8490 */
static void C_ccall f_8881(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_8881,4,av);}
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_i_string_ci_equal_p(t2,t3);
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* scheme#exact->inexact in k8490 */
static void C_ccall f_8885(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(12,c,1)))){
C_save_and_reclaim((void *)f_8885,3,av);}
a=C_alloc(12);
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_a_i_exact_to_inexact(&a,1,t2);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* scheme#abs in k8490 */
static void C_ccall f_8888(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(7,c,1)))){
C_save_and_reclaim((void *)f_8888,3,av);}
a=C_alloc(7);
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_s_a_i_abs(&a,1,t2);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* scheme#quotient in k8490 */
static void C_ccall f_8894(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(5,c,1)))){
C_save_and_reclaim((void *)f_8894,4,av);}
a=C_alloc(5);
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_s_a_i_quotient(&a,2,t2,t3);
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* scheme#remainder in k8490 */
static void C_ccall f_8897(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(5,c,1)))){
C_save_and_reclaim((void *)f_8897,4,av);}
a=C_alloc(5);
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_s_a_i_remainder(&a,2,t2,t3);
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* scheme#modulo in k8490 */
static void C_ccall f_8900(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(5,c,1)))){
C_save_and_reclaim((void *)f_8900,4,av);}
a=C_alloc(5);
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_s_a_i_modulo(&a,2,t2,t3);
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* scheme#even? in k8490 */
static void C_ccall f_8903(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_8903,3,av);}
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_i_evenp(t2);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* scheme#odd? in k8490 */
static void C_ccall f_8906(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_8906,3,av);}
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_i_oddp(t2);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* scheme#number? in k8490 */
static void C_ccall f_8914(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_8914,3,av);}
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_i_numberp(t2);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* scheme#real? in k8490 */
static void C_ccall f_8918(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_8918,3,av);}
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_i_realp(t2);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* scheme#rational? in k8490 */
static void C_ccall f_8921(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_8921,3,av);}
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_i_rationalp(t2);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* scheme#integer? in k8490 */
static void C_ccall f_8924(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_8924,3,av);}
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_i_integerp(t2);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* scheme#exact? in k8490 */
static void C_ccall f_8927(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_8927,3,av);}
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_i_exactp(t2);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* scheme#inexact? in k8490 */
static void C_ccall f_8930(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_8930,3,av);}
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_i_inexactp(t2);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* scheme#zero? in k8490 */
static void C_ccall f_8933(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_8933,3,av);}
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_i_zerop(t2);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* scheme#positive? in k8490 */
static void C_ccall f_8936(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_8936,3,av);}
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_i_positivep(t2);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* scheme#negative? in k8490 */
static void C_ccall f_8939(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_8939,3,av);}
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_i_negativep(t2);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* scheme#symbol? in k8490 */
static void C_ccall f_8943(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_8943,3,av);}
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_i_symbolp(t2);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* scheme#vector? in k8490 */
static void C_ccall f_8946(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_8946,3,av);}
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_i_vectorp(t2);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* scheme#vector-length in k8490 */
static void C_ccall f_8949(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_8949,3,av);}
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_i_vector_length(t2);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* scheme#vector-ref in k8490 */
static void C_ccall f_8952(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_8952,4,av);}
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_i_vector_ref(t2,t3);
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* scheme#vector-set! in k8490 */
static void C_ccall f_8955(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4=av[4];
C_word t5;
C_word *a;
if(c!=5) C_bad_argc_2(c,5,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_8955,5,av);}
t5=t1;{
C_word *av2=av;
av2[0]=t5;
av2[1]=C_i_vector_set(t2,t3,t4);
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}

/* scheme#char? in k8490 */
static void C_ccall f_8963(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_8963,3,av);}
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_charp(t2);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* scheme#char->integer in k8490 */
static void C_ccall f_8966(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_8966,3,av);}
t3=C_i_check_char_2(t2,lf[100]);
t4=C_character_code(t2);
t5=t1;{
C_word *av2=av;
av2[0]=t5;
av2[1]=C_fix(t4);
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}

/* scheme#integer->char in k8490 */
static void C_ccall f_8973(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(4,c,3)))){
C_save_and_reclaim((void *)f_8973,3,av);}
a=C_alloc(4);
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_8977,a[2]=t2,a[3]=t1,tmp=(C_word)a,a+=4,tmp);
/* library.scm:454: ##sys#check-fixnum */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[102]+1));
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[102]+1);
av2[1]=t3;
av2[2]=t2;
av2[3]=lf[103];
tp(4,av2);}}

/* k8975 in scheme#integer->char in k8490 */
static void C_ccall f_8977(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_8977,2,av);}
t2=C_unfix(((C_word*)t0)[2]);
t3=((C_word*)t0)[3];{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_make_character(t2);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* scheme#char=? in k8490 */
static void C_ccall f_8980(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_8980,4,av);}
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_i_char_equalp(t2,t3);
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* scheme#char>? in k8490 */
static void C_ccall f_8983(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_8983,4,av);}
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_i_char_greaterp(t2,t3);
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* scheme#char<? in k8490 */
static void C_ccall f_8986(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_8986,4,av);}
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_i_char_lessp(t2,t3);
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* scheme#char>=? in k8490 */
static void C_ccall f_8989(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_8989,4,av);}
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_i_char_greater_or_equal_p(t2,t3);
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* scheme#char<=? in k8490 */
static void C_ccall f_8992(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_8992,4,av);}
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_i_char_less_or_equal_p(t2,t3);
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* scheme#char-upcase in k8490 */
static void C_ccall f_8995(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_8995,3,av);}
t3=C_i_check_char_2(t2,lf[110]);
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_u_i_char_upcase(t2);
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* scheme#char-downcase in k8490 */
static void C_ccall f_9001(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_9001,3,av);}
t3=C_i_check_char_2(t2,lf[112]);
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_u_i_char_downcase(t2);
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* scheme#char-upper-case? in k8490 */
static void C_ccall f_9012(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_9012,3,av);}
t3=C_i_check_char_2(t2,lf[119]);
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_u_i_char_upper_casep(t2);
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* scheme#char-lower-case? in k8490 */
static void C_ccall f_9018(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_9018,3,av);}
t3=C_i_check_char_2(t2,lf[121]);
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_u_i_char_lower_casep(t2);
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* scheme#char-numeric? in k8490 */
static void C_ccall f_9024(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_9024,3,av);}
t3=C_i_check_char_2(t2,lf[123]);
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_u_i_char_numericp(t2);
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* scheme#char-whitespace? in k8490 */
static void C_ccall f_9030(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_9030,3,av);}
t3=C_i_check_char_2(t2,lf[125]);
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_u_i_char_whitespacep(t2);
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* scheme#char-alphabetic? in k8490 */
static void C_ccall f_9036(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_9036,3,av);}
t3=C_i_check_char_2(t2,lf[127]);
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_u_i_char_alphabeticp(t2);
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* scheme#procedure? in k8490 */
static void C_ccall f_9042(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_9042,3,av);}
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_i_closurep(t2);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* scheme#input-port? in k8490 */
static void C_ccall f_9049(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_9049,3,av);}
if(C_truep(C_blockp(t2))){
t3=C_input_portp(t2);
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=t3;
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}
else{
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_SCHEME_FALSE;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}}

/* scheme#output-port? in k8490 */
static void C_ccall f_9055(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_9055,3,av);}
if(C_truep(C_blockp(t2))){
t3=C_output_portp(t2);
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=t3;
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}
else{
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_SCHEME_FALSE;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}}

/* scheme#eof-object? in k8490 */
static void C_ccall f_9071(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_9071,3,av);}
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_eofp(t2);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* scheme#eval in k8490 */
static void C_ccall f_9082(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c<3) C_bad_min_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_9082,3,av);}
/* library.scm:547: ##sys#error */
t3=*((C_word*)lf[155]+1);{
C_word av2[4];
av2[0]=t3;
av2[1]=t1;
av2[2]=lf[156];
av2[3]=lf[157];
((C_proc)(void*)(*((C_word*)t3+1)))(4,av2);}}

/* scheme#interaction-environment in k8490 */
static void C_ccall f_9088(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(c!=2) C_bad_argc_2(c,2,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_9088,2,av);}
/* library.scm:550: ##sys#error */
t2=*((C_word*)lf[155]+1);{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t2;
av2[1]=t1;
av2[2]=lf[159];
av2[3]=lf[160];
((C_proc)(void*)(*((C_word*)t2+1)))(4,av2);}}

/* scheme#scheme-report-environment in k8490 */
static void C_ccall f_9094(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_9094,3,av);}
/* library.scm:553: ##sys#error */
t3=*((C_word*)lf[155]+1);{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t3;
av2[1]=t1;
av2[2]=lf[162];
av2[3]=lf[163];
((C_proc)(void*)(*((C_word*)t3+1)))(4,av2);}}

/* scheme#null-environment in k8490 */
static void C_ccall f_9100(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(c!=2) C_bad_argc_2(c,2,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_9100,2,av);}
/* library.scm:556: ##sys#error */
t2=*((C_word*)lf[155]+1);{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t2;
av2[1]=t1;
av2[2]=lf[165];
av2[3]=lf[166];
((C_proc)(void*)(*((C_word*)t2+1)))(4,av2);}}

/* scheme#load in k8490 */
static void C_ccall f_9106(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c<3) C_bad_min_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_9106,3,av);}
/* library.scm:559: ##sys#error */
t3=*((C_word*)lf[155]+1);{
C_word av2[4];
av2[0]=t3;
av2[1]=t1;
av2[2]=lf[168];
av2[3]=lf[169];
((C_proc)(void*)(*((C_word*)t3+1)))(4,av2);}}

/* chicken.base#fixnum? in k8490 */
static void C_ccall f_9115(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_9115,3,av);}
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_fixnump(t2);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* chicken.base#flonum? in k8490 */
static void C_ccall f_9118(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_9118,3,av);}
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_i_flonump(t2);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* chicken.base#bignum? in k8490 */
static void C_ccall f_9121(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_9121,3,av);}
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_i_bignump(t2);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* chicken.base#ratnum? in k8490 */
static void C_ccall f_9124(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_9124,3,av);}
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_i_ratnump(t2);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* chicken.base#cplxnum? in k8490 */
static void C_ccall f_9127(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_9127,3,av);}
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_i_cplxnump(t2);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* chicken.base#exact-integer? in k8490 */
static void C_ccall f_9130(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_9130,3,av);}
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_i_exact_integerp(t2);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* chicken.base#quotient&modulo in k8490 */
static void C_ccall f_9134(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(9,c,4)))){
C_save_and_reclaim((void *)f_9134,4,av);}
a=C_alloc(9);
t4=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_9140,a[2]=t2,a[3]=t3,a[4]=((C_word)li123),tmp=(C_word)a,a+=5,tmp);
t5=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_9146,a[2]=t3,a[3]=((C_word)li124),tmp=(C_word)a,a+=4,tmp);
/* library.scm:619: scheme#call-with-values */{
C_word *av2=av;
av2[0]=0;
av2[1]=t1;
av2[2]=t4;
av2[3]=t5;
C_call_with_values(4,av2);}}

/* a9139 in chicken.base#quotient&modulo in k8490 */
static void C_ccall f_9140(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(c!=2) C_bad_argc_2(c,2,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_9140,2,av);}
/* library.scm:619: quotient&remainder */
t2=*((C_word*)lf[180]+1);{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t2;
av2[1]=t1;
av2[2]=((C_word*)t0)[2];
av2[3]=((C_word*)t0)[3];
((C_proc)(void*)(*((C_word*)t2+1)))(4,av2);}}

/* a9145 in chicken.base#quotient&modulo in k8490 */
static void C_ccall f_9146(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(29,c,3)))){
C_save_and_reclaim((void *)f_9146,4,av);}
a=C_alloc(29);
t4=((C_word*)t0)[2];
if(C_truep(C_i_positivep(t4))){
t5=t3;
if(C_truep(C_i_negativep(t5))){
t6=t3;
t7=((C_word*)t0)[2];
t8=C_s_a_i_plus(&a,2,t6,t7);
/* library.scm:623: scheme#values */{
C_word *av2=av;
av2[0]=0;
av2[1]=t1;
av2[2]=t2;
av2[3]=t8;
C_values(4,av2);}}
else{
/* library.scm:624: scheme#values */{
C_word *av2=av;
av2[0]=0;
av2[1]=t1;
av2[2]=t2;
av2[3]=t3;
C_values(4,av2);}}}
else{
t5=t3;
if(C_truep(C_i_positivep(t5))){
t6=t3;
t7=((C_word*)t0)[2];
t8=C_s_a_i_plus(&a,2,t6,t7);
/* library.scm:626: scheme#values */{
C_word *av2=av;
av2[0]=0;
av2[1]=t1;
av2[2]=t2;
av2[3]=t8;
C_values(4,av2);}}
else{
/* library.scm:627: scheme#values */{
C_word *av2=av;
av2[0]=0;
av2[1]=t1;
av2[2]=t2;
av2[3]=t3;
C_values(4,av2);}}}}

/* chicken.base#finite? in k8490 */
static void C_ccall f_9179(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_9179,3,av);}
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_i_finitep(t2);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* chicken.base#infinite? in k8490 */
static void C_ccall f_9182(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_9182,3,av);}
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_i_infinitep(t2);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* chicken.base#nan? in k8490 */
static void C_ccall f_9185(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_9185,3,av);}
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_i_nanp(t2);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* chicken.base#add1 in k8490 */
static void C_ccall f_9193(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(29,c,1)))){
C_save_and_reclaim((void *)f_9193,3,av);}
a=C_alloc(29);
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_s_a_i_plus(&a,2,t2,C_fix(1));
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* chicken.base#sub1 in k8490 */
static void C_ccall f_9198(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(29,c,1)))){
C_save_and_reclaim((void *)f_9198,3,av);}
a=C_alloc(29);
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_s_a_i_minus(&a,2,t2,C_fix(1));
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* chicken.base#error in k8490 */
static void C_ccall f_9204(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand((c-2)*C_SIZEOF_PAIR +0,c,4)))){
C_save_and_reclaim((void*)f_9204,c,av);}
a=C_alloc((c-2)*C_SIZEOF_PAIR+0);
t2=C_build_rest(&a,c,2,av);
C_word t3;
if(C_truep(C_i_pairp(t2))){{
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=0;
av2[1]=t1;
av2[2]=C_fast_retrieve(lf[194]);
av2[3]=lf[195];
av2[4]=t2;
C_apply(5,av2);}}
else{
/* library.scm:648: ##sys#signal-hook */
t3=C_fast_retrieve(lf[194]);{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t3;
av2[1]=t1;
av2[2]=lf[195];
av2[3]=C_SCHEME_FALSE;
((C_proc)(void*)(*((C_word*)t3+1)))(4,av2);}}}

/* chicken.base#void in k8490 */
static void C_ccall f_9219(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_9219,2,av);}
t2=t1;{
C_word *av2=av;
av2[0]=t2;
av2[1]=C_SCHEME_UNDEFINED;
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* chicken.base#promise? in k8490 */
static void C_ccall f_9240(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_9240,3,av);}
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_i_structurep(t2,lf[216]);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* ##sys#make-promise in k8490 */
static void C_ccall f_9246(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(3,c,1)))){
C_save_and_reclaim((void *)f_9246,3,av);}
a=C_alloc(3);
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_a_i_record2(&a,2,lf[216],t2);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* chicken.base#make-promise in k8490 */
static void C_ccall f_9252(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(4,c,2)))){
C_save_and_reclaim((void *)f_9252,3,av);}
a=C_alloc(4);
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_9259,a[2]=t2,a[3]=t1,tmp=(C_word)a,a+=4,tmp);
/* library.scm:692: promise? */
t4=*((C_word*)lf[215]+1);{
C_word *av2=av;
av2[0]=t4;
av2[1]=t3;
av2[2]=t2;
((C_proc)(void*)(*((C_word*)t4+1)))(3,av2);}}

/* k9257 in chicken.base#make-promise in k8490 */
static void C_ccall f_9259(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,c,2)))){
C_save_and_reclaim((void *)f_9259,2,av);}
a=C_alloc(4);
if(C_truep(t1)){
t2=((C_word*)t0)[2];
t3=((C_word*)t0)[3];{
C_word *av2=av;
av2[0]=t3;
av2[1]=t2;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}
else{
t2=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_9264,a[2]=((C_word*)t0)[2],a[3]=((C_word)li136),tmp=(C_word)a,a+=4,tmp);
/* library.scm:693: ##sys#make-promise */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[217]+1));
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[217]+1);
av2[1]=((C_word*)t0)[3];
av2[2]=t2;
tp(3,av2);}}}

/* a9263 in k9257 in chicken.base#make-promise in k8490 */
static void C_ccall f_9264(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(c!=2) C_bad_argc_2(c,2,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_9264,2,av);}
t2=t1;{
C_word *av2=av;
av2[0]=t2;
av2[1]=((C_word*)t0)[2];
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* chicken.base#foldl in k8490 */
static void C_ccall f_9267(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4=av[4];
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word *a;
if(c!=5) C_bad_argc_2(c,5,t0);
if(C_unlikely(!C_demand(C_calculate_demand(7,c,4)))){
C_save_and_reclaim((void *)f_9267,5,av);}
a=C_alloc(7);
t5=C_i_check_list_2(t4,lf[220]);
t6=C_SCHEME_UNDEFINED;
t7=(*a=C_VECTOR_TYPE|1,a[1]=t6,tmp=(C_word)a,a+=2,tmp);
t8=C_set_block_item(t7,0,(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_9276,a[2]=t7,a[3]=t2,a[4]=((C_word)li138),tmp=(C_word)a,a+=5,tmp));
t9=((C_word*)t7)[1];
f_9276(t9,t1,t4,t3);}

/* loop in chicken.base#foldl in k8490 */
static void C_fcall f_9276(C_word t0,C_word t1,C_word t2,C_word t3){
C_word tmp;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,0,3)))){
C_save_and_reclaim_args((void *)trf_9276,4,t0,t1,t2,t3);}
a=C_alloc(5);
t4=C_i_pairp(t2);
if(C_truep(C_i_not(t4))){
t5=t3;
t6=t1;{
C_word av2[2];
av2[0]=t6;
av2[1]=t5;
((C_proc)(void*)(*((C_word*)t6+1)))(2,av2);}}
else{
t5=C_slot(t2,C_fix(1));
t6=t5;
t7=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_9294,a[2]=((C_word*)t0)[2],a[3]=t1,a[4]=t6,tmp=(C_word)a,a+=5,tmp);
t8=C_slot(t2,C_fix(0));
/* library.scm:702: f */
t9=((C_word*)t0)[3];{
C_word av2[4];
av2[0]=t9;
av2[1]=t7;
av2[2]=t3;
av2[3]=t8;
((C_proc)C_fast_retrieve_proc(t9))(4,av2);}}}

/* k9292 in loop in chicken.base#foldl in k8490 */
static void C_ccall f_9294(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_9294,2,av);}
/* library.scm:702: loop */
t2=((C_word*)((C_word*)t0)[2])[1];
f_9276(t2,((C_word*)t0)[3],((C_word*)t0)[4],t1);}

/* chicken.base#foldr in k8490 */
static void C_ccall f_9304(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4=av[4];
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word *a;
if(c!=5) C_bad_argc_2(c,5,t0);
if(C_unlikely(!C_demand(C_calculate_demand(8,c,3)))){
C_save_and_reclaim((void *)f_9304,5,av);}
a=C_alloc(8);
t5=C_i_check_list_2(t4,lf[222]);
t6=C_SCHEME_UNDEFINED;
t7=(*a=C_VECTOR_TYPE|1,a[1]=t6,tmp=(C_word)a,a+=2,tmp);
t8=C_set_block_item(t7,0,(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_9313,a[2]=t3,a[3]=t2,a[4]=t7,a[5]=((C_word)li140),tmp=(C_word)a,a+=6,tmp));
t9=((C_word*)t7)[1];
f_9313(t9,t1,t4);}

/* loop in chicken.base#foldr in k8490 */
static void C_fcall f_9313(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word *a;
loop:
if(C_unlikely(!C_demand(C_calculate_demand(5,0,2)))){
C_save_and_reclaim_args((void *)trf_9313,3,t0,t1,t2);}
a=C_alloc(5);
t3=C_i_pairp(t2);
if(C_truep(C_i_not(t3))){
t4=((C_word*)t0)[2];
t5=t1;{
C_word av2[2];
av2[0]=t5;
av2[1]=t4;
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}
else{
t4=C_slot(t2,C_fix(0));
t5=t4;
t6=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_9331,a[2]=((C_word*)t0)[3],a[3]=t1,a[4]=t5,tmp=(C_word)a,a+=5,tmp);
t7=C_slot(t2,C_fix(1));
/* library.scm:709: loop */
t9=t6;
t10=t7;
t1=t9;
t2=t10;
goto loop;}}

/* k9329 in loop in chicken.base#foldr in k8490 */
static void C_ccall f_9331(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_9331,2,av);}
/* library.scm:709: f */
t2=((C_word*)t0)[2];{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[3];
av2[2]=((C_word*)t0)[4];
av2[3]=t1;
((C_proc)C_fast_retrieve_proc(t2))(4,av2);}}

/* chicken.base#on-exit in k8490 */
static void C_ccall f_9344(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(3,c,1)))){
C_save_and_reclaim((void *)f_9344,3,av);}
a=C_alloc(3);
t3=C_a_i_cons(&a,2,t2,*((C_word*)lf[225]+1));
t4=C_mutate((C_word*)lf[225]+1 /* (set! chicken.base#cleanup-tasks ...) */,t3);
t5=t1;{
C_word *av2=av;
av2[0]=t5;
av2[1]=t4;
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}

/* chicken.base#exit in k8490 */
static void C_ccall f_9351(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand((c-2)*C_SIZEOF_PAIR +4,c,2)))){
C_save_and_reclaim((void*)f_9351,c,av);}
a=C_alloc((c-2)*C_SIZEOF_PAIR+4);
t2=C_build_rest(&a,c,2,av);
C_word t3;
C_word t4;
C_word t5;
C_word t6;
if(C_truep(C_i_nullp(t2))){
t3=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f34403,a[2]=t1,tmp=(C_word)a,a+=3,tmp);
/* library.scm:722: chicken.base#exit-handler */
t4=*((C_word*)lf[224]+1);{
C_word *av2=av;
av2[0]=t4;
av2[1]=t3;
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}
else{
t3=C_i_car(t2);
t4=t3;
t5=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_9358,a[2]=t1,a[3]=t4,tmp=(C_word)a,a+=4,tmp);
/* library.scm:722: chicken.base#exit-handler */
t6=*((C_word*)lf[224]+1);{
C_word *av2=av;
av2[0]=t6;
av2[1]=t5;
((C_proc)(void*)(*((C_word*)t6+1)))(2,av2);}}}

/* k9356 in chicken.base#exit in k8490 */
static void C_ccall f_9358(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_9358,2,av);}
/* library.scm:721: g671 */
t2=t1;{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[2];
av2[2]=((C_word*)t0)[3];
((C_proc)(void*)(*((C_word*)t2+1)))(3,av2);}}

/* chicken.base#emergency-exit in k8490 */
static void C_ccall f_9369(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand((c-2)*C_SIZEOF_PAIR +4,c,3)))){
C_save_and_reclaim((void*)f_9369,c,av);}
a=C_alloc((c-2)*C_SIZEOF_PAIR+4);
t2=C_build_rest(&a,c,2,av);
C_word t3;
C_word t4;
C_word t5;
C_word t6;
if(C_truep(C_i_nullp(t2))){
t3=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f33874,a[2]=t1,tmp=(C_word)a,a+=3,tmp);
/* library.scm:725: ##sys#check-fixnum */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[102]+1));
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[102]+1);
av2[1]=t3;
av2[2]=C_fix(0);
av2[3]=lf[229];
tp(4,av2);}}
else{
t3=C_i_car(t2);
t4=t3;
t5=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_9376,a[2]=t1,a[3]=t4,tmp=(C_word)a,a+=4,tmp);
/* library.scm:725: ##sys#check-fixnum */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[102]+1));
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[102]+1);
av2[1]=t5;
av2[2]=t4;
av2[3]=lf[229];
tp(4,av2);}}}

/* k9374 in chicken.base#emergency-exit in k8490 */
static void C_ccall f_9376(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_9376,2,av);}
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=C_exit_runtime(((C_word*)t0)[3]);
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* chicken.base#identity in k8490 */
static void C_ccall f_9388(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_9388,3,av);}
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=t2;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* chicken.base#conjoin in k8490 */
static void C_ccall f_9391(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand((c-2)*C_SIZEOF_PAIR +4,c,3)))){
C_save_and_reclaim((void*)f_9391,c,av);}
a=C_alloc((c-2)*C_SIZEOF_PAIR+4);
t2=C_build_rest(&a,c,2,av);
C_word t3;
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_9393,a[2]=t2,a[3]=((C_word)li147),tmp=(C_word)a,a+=4,tmp);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* f_9393 in chicken.base#conjoin in k8490 */
static void C_ccall f_9393(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(7,c,3)))){
C_save_and_reclaim((void *)f_9393,3,av);}
a=C_alloc(7);
t3=C_SCHEME_UNDEFINED;
t4=(*a=C_VECTOR_TYPE|1,a[1]=t3,tmp=(C_word)a,a+=2,tmp);
t5=C_set_block_item(t4,0,(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_9399,a[2]=t4,a[3]=t2,a[4]=((C_word)li146),tmp=(C_word)a,a+=5,tmp));
t6=((C_word*)t4)[1];
f_9399(t6,t1,((C_word*)t0)[2]);}

/* loop */
static void C_fcall f_9399(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,0,2)))){
C_save_and_reclaim_args((void *)trf_9399,3,t0,t1,t2);}
a=C_alloc(5);
t3=C_i_nullp(t2);
if(C_truep(t3)){
t4=t1;{
C_word av2[2];
av2[0]=t4;
av2[1]=t3;
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}
else{
t4=C_slot(t2,C_fix(0));
t5=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_9415,a[2]=t2,a[3]=((C_word*)t0)[2],a[4]=t1,tmp=(C_word)a,a+=5,tmp);
/* library.scm:743: g700 */
t6=t4;{
C_word av2[3];
av2[0]=t6;
av2[1]=t5;
av2[2]=((C_word*)t0)[3];
((C_proc)C_fast_retrieve_proc(t6))(3,av2);}}}

/* k9413 in loop */
static void C_ccall f_9415(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_9415,2,av);}
if(C_truep(t1)){
t2=C_slot(((C_word*)t0)[2],C_fix(1));
/* library.scm:744: loop */
t3=((C_word*)((C_word*)t0)[3])[1];
f_9399(t3,((C_word*)t0)[4],t2);}
else{
t2=((C_word*)t0)[4];{
C_word *av2=av;
av2[0]=t2;
av2[1]=C_SCHEME_FALSE;
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}}

/* chicken.base#disjoin in k8490 */
static void C_ccall f_9424(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand((c-2)*C_SIZEOF_PAIR +4,c,3)))){
C_save_and_reclaim((void*)f_9424,c,av);}
a=C_alloc((c-2)*C_SIZEOF_PAIR+4);
t2=C_build_rest(&a,c,2,av);
C_word t3;
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_9426,a[2]=t2,a[3]=((C_word)li150),tmp=(C_word)a,a+=4,tmp);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* f_9426 in chicken.base#disjoin in k8490 */
static void C_ccall f_9426(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(7,c,3)))){
C_save_and_reclaim((void *)f_9426,3,av);}
a=C_alloc(7);
t3=C_SCHEME_UNDEFINED;
t4=(*a=C_VECTOR_TYPE|1,a[1]=t3,tmp=(C_word)a,a+=2,tmp);
t5=C_set_block_item(t4,0,(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_9432,a[2]=t4,a[3]=t2,a[4]=((C_word)li149),tmp=(C_word)a,a+=5,tmp));
t6=((C_word*)t4)[1];
f_9432(t6,t1,((C_word*)t0)[2]);}

/* loop */
static void C_fcall f_9432(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,0,2)))){
C_save_and_reclaim_args((void *)trf_9432,3,t0,t1,t2);}
a=C_alloc(5);
t3=C_i_nullp(t2);
if(C_truep(C_i_not(t3))){
t4=C_slot(t2,C_fix(0));
t5=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_9445,a[2]=t1,a[3]=t2,a[4]=((C_word*)t0)[2],tmp=(C_word)a,a+=5,tmp);
/* library.scm:750: g712 */
t6=t4;{
C_word av2[3];
av2[0]=t6;
av2[1]=t5;
av2[2]=((C_word*)t0)[3];
((C_proc)C_fast_retrieve_proc(t6))(3,av2);}}
else{
t4=t1;{
C_word av2[2];
av2[0]=t4;
av2[1]=C_SCHEME_FALSE;
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}}

/* k9443 in loop */
static void C_ccall f_9445(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_9445,2,av);}
if(C_truep(t1)){
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=t1;
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}
else{
t2=C_slot(((C_word*)t0)[3],C_fix(1));
/* library.scm:751: loop */
t3=((C_word*)((C_word*)t0)[4])[1];
f_9432(t3,((C_word*)t0)[2],t2);}}

/* chicken.base#constantly in k8490 */
static void C_ccall f_9461(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand((c-2)*C_SIZEOF_PAIR +4,c,2)))){
C_save_and_reclaim((void*)f_9461,c,av);}
a=C_alloc((c-2)*C_SIZEOF_PAIR+4);
t2=C_build_rest(&a,c,2,av);
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
t3=t2;
t4=C_u_i_length(t3);
t5=C_eqp(C_fix(1),t4);
if(C_truep(t5)){
t6=C_i_car(t2);
t7=t6;
t8=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_9472,a[2]=t7,a[3]=((C_word)li152),tmp=(C_word)a,a+=4,tmp);
t9=t1;{
C_word *av2=av;
av2[0]=t9;
av2[1]=t8;
((C_proc)(void*)(*((C_word*)t9+1)))(2,av2);}}
else{
t6=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_9474,a[2]=t2,a[3]=((C_word)li153),tmp=(C_word)a,a+=4,tmp);
t7=t1;{
C_word *av2=av;
av2[0]=t7;
av2[1]=t6;
((C_proc)(void*)(*((C_word*)t7+1)))(2,av2);}}}

/* f_9472 in chicken.base#constantly in k8490 */
static void C_ccall f_9472(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_9472,2,av);}
t2=t1;{
C_word *av2=av;
av2[0]=t2;
av2[1]=((C_word*)t0)[2];
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* f_9474 in chicken.base#constantly in k8490 */
static void C_ccall f_9474(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_9474,2,av);}{
C_word av2[4];
av2[0]=0;
av2[1]=t1;
av2[2]=*((C_word*)lf[130]+1);
av2[3]=((C_word*)t0)[2];
C_apply(4,av2);}}

/* chicken.base#flip in k8490 */
static void C_ccall f_9482(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(4,c,4)))){
C_save_and_reclaim((void *)f_9482,3,av);}
a=C_alloc(4);
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_9484,a[2]=t2,a[3]=((C_word)li155),tmp=(C_word)a,a+=4,tmp);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* f_9484 in chicken.base#flip in k8490 */
static void C_ccall f_9484(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_9484,4,av);}
/* library.scm:759: proc */
t4=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t4;
av2[1]=t1;
av2[2]=t3;
av2[3]=t2;
((C_proc)C_fast_retrieve_proc(t4))(4,av2);}}

/* chicken.base#complement in k8490 */
static void C_ccall f_9490(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(4,c,2)))){
C_save_and_reclaim((void *)f_9490,3,av);}
a=C_alloc(4);
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_9492,a[2]=t2,a[3]=((C_word)li157),tmp=(C_word)a,a+=4,tmp);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* f_9492 in chicken.base#complement in k8490 */
static void C_ccall f_9492(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand((c-2)*C_SIZEOF_PAIR +3,c,3)))){
C_save_and_reclaim((void*)f_9492,c,av);}
a=C_alloc((c-2)*C_SIZEOF_PAIR+3);
t2=C_build_rest(&a,c,2,av);
C_word t3;
C_word t4;
t3=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_9500,a[2]=t1,tmp=(C_word)a,a+=3,tmp);{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=0;
av2[1]=t3;
av2[2]=((C_word*)t0)[2];
av2[3]=t2;
C_apply(4,av2);}}

/* k9498 */
static void C_ccall f_9500(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_9500,2,av);}
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=C_i_not(t1);
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* chicken.base#compose in k8490 */
static void C_ccall f_9502(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand((c-2)*C_SIZEOF_PAIR +6,c,3)))){
C_save_and_reclaim((void*)f_9502,c,av);}
a=C_alloc((c-2)*C_SIZEOF_PAIR+6);
t2=C_build_rest(&a,c,2,av);
C_word t3;
C_word t4;
C_word t5;
C_word t6;
t3=C_SCHEME_UNDEFINED;
t4=(*a=C_VECTOR_TYPE|1,a[1]=t3,tmp=(C_word)a,a+=2,tmp);
t5=C_set_block_item(t4,0,(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_9505,a[2]=t4,a[3]=((C_word)li161),tmp=(C_word)a,a+=4,tmp));
if(C_truep(C_i_nullp(t2))){
t6=t1;{
C_word *av2=av;
av2[0]=t6;
av2[1]=*((C_word*)lf[130]+1);
((C_proc)(void*)(*((C_word*)t6+1)))(2,av2);}}
else{{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=0;
av2[1]=t1;
av2[2]=((C_word*)t4)[1];
av2[3]=t2;
C_apply(4,av2);}}}

/* rec in chicken.base#compose in k8490 */
static void C_ccall f_9505(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c<3) C_bad_min_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand((c-3)*C_SIZEOF_PAIR +6,c,2)))){
C_save_and_reclaim((void*)f_9505,c,av);}
a=C_alloc((c-3)*C_SIZEOF_PAIR+6);
t3=C_build_rest(&a,c,3,av);
C_word t4;
C_word t5;
if(C_truep(C_i_nullp(t3))){
t4=t2;
t5=t1;{
C_word *av2=av;
av2[0]=t5;
av2[1]=t4;
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}
else{
t4=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_9513,a[2]=((C_word*)t0)[2],a[3]=t3,a[4]=t2,a[5]=((C_word)li160),tmp=(C_word)a,a+=6,tmp);
t5=t1;{
C_word *av2=av;
av2[0]=t5;
av2[1]=t4;
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}}

/* f_9513 in rec in chicken.base#compose in k8490 */
static void C_ccall f_9513(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand((c-2)*C_SIZEOF_PAIR +6,c,3)))){
C_save_and_reclaim((void*)f_9513,c,av);}
a=C_alloc((c-2)*C_SIZEOF_PAIR+6);
t2=C_build_rest(&a,c,2,av);
C_word t3;
C_word t4;
t3=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_9519,a[2]=t2,a[3]=((C_word*)t0)[2],a[4]=((C_word*)t0)[3],a[5]=((C_word)li159),tmp=(C_word)a,a+=6,tmp);
/* library.scm:770: scheme#call-with-values */{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=0;
av2[1]=t1;
av2[2]=t3;
av2[3]=((C_word*)t0)[4];
C_call_with_values(4,av2);}}

/* a9518 */
static void C_ccall f_9519(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(c!=2) C_bad_argc_2(c,2,t0);
if(C_unlikely(!C_demand(C_calculate_demand(4,c,3)))){
C_save_and_reclaim((void *)f_9519,2,av);}
a=C_alloc(4);
t2=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_9527,a[2]=t1,a[3]=((C_word*)t0)[2],tmp=(C_word)a,a+=4,tmp);{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=0;
av2[1]=t2;
av2[2]=((C_word*)((C_word*)t0)[3])[1];
av2[3]=((C_word*)t0)[4];
C_apply(4,av2);}}

/* k9525 in a9518 */
static void C_ccall f_9527(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_9527,2,av);}{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=0;
av2[1]=((C_word*)t0)[2];
av2[2]=t1;
av2[3]=((C_word*)t0)[3];
C_apply(4,av2);}}

/* chicken.base#o in k8490 */
static void C_ccall f_9538(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand((c-2)*C_SIZEOF_PAIR +6,c,3)))){
C_save_and_reclaim((void*)f_9538,c,av);}
a=C_alloc((c-2)*C_SIZEOF_PAIR+6);
t2=C_build_rest(&a,c,2,av);
C_word t3;
C_word t4;
C_word t5;
C_word t6;
if(C_truep(C_i_nullp(t2))){
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=*((C_word*)lf[234]+1);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}
else{
t3=C_SCHEME_UNDEFINED;
t4=(*a=C_VECTOR_TYPE|1,a[1]=t3,tmp=(C_word)a,a+=2,tmp);
t5=C_set_block_item(t4,0,(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_9550,a[2]=t4,a[3]=((C_word)li164),tmp=(C_word)a,a+=4,tmp));
t6=((C_word*)t4)[1];
f_9550(t6,t1,t2);}}

/* loop in chicken.base#o in k8490 */
static void C_fcall f_9550(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,0,3)))){
C_save_and_reclaim_args((void *)trf_9550,3,t0,t1,t2);}
a=C_alloc(6);
t3=C_slot(t2,C_fix(0));
t4=t3;
t5=C_slot(t2,C_fix(1));
t6=t5;
if(C_truep(C_i_nullp(t6))){
t7=t1;{
C_word av2[2];
av2[0]=t7;
av2[1]=t4;
((C_proc)(void*)(*((C_word*)t7+1)))(2,av2);}}
else{
t7=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_9564,a[2]=t4,a[3]=((C_word*)t0)[2],a[4]=t6,a[5]=((C_word)li163),tmp=(C_word)a,a+=6,tmp);
t8=t1;{
C_word av2[2];
av2[0]=t8;
av2[1]=t7;
((C_proc)(void*)(*((C_word*)t8+1)))(2,av2);}}}

/* f_9564 in loop in chicken.base#o in k8490 */
static void C_ccall f_9564(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(5,c,2)))){
C_save_and_reclaim((void *)f_9564,3,av);}
a=C_alloc(5);
t3=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_9572,a[2]=((C_word*)t0)[2],a[3]=t1,a[4]=t2,tmp=(C_word)a,a+=5,tmp);
/* library.scm:785: loop */
t4=((C_word*)((C_word*)t0)[3])[1];
f_9550(t4,t3,((C_word*)t0)[4]);}

/* k9570 */
static void C_ccall f_9572(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,c,2)))){
C_save_and_reclaim((void *)f_9572,2,av);}
a=C_alloc(4);
t2=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_9575,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],tmp=(C_word)a,a+=4,tmp);
/* library.scm:785: g741 */
t3=t1;{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t3;
av2[1]=t2;
av2[2]=((C_word*)t0)[4];
((C_proc)C_fast_retrieve_proc(t3))(3,av2);}}

/* k9573 in k9570 */
static void C_ccall f_9575(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_9575,2,av);}
/* library.scm:785: h */
t2=((C_word*)t0)[2];{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[3];
av2[2]=t1;
((C_proc)C_fast_retrieve_proc(t2))(3,av2);}}

/* chicken.base#list-of? in k8490 */
static void C_ccall f_9577(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(4,c,3)))){
C_save_and_reclaim((void *)f_9577,3,av);}
a=C_alloc(4);
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_9579,a[2]=t2,a[3]=((C_word)li167),tmp=(C_word)a,a+=4,tmp);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* f_9579 in chicken.base#list-of? in k8490 */
static void C_ccall f_9579(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(7,c,3)))){
C_save_and_reclaim((void *)f_9579,3,av);}
a=C_alloc(7);
t3=C_SCHEME_UNDEFINED;
t4=(*a=C_VECTOR_TYPE|1,a[1]=t3,tmp=(C_word)a,a+=2,tmp);
t5=C_set_block_item(t4,0,(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_9585,a[2]=t4,a[3]=((C_word*)t0)[2],a[4]=((C_word)li166),tmp=(C_word)a,a+=5,tmp));
t6=((C_word*)t4)[1];
f_9585(t6,t1,t2);}

/* loop */
static void C_fcall f_9585(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,0,2)))){
C_save_and_reclaim_args((void *)trf_9585,3,t0,t1,t2);}
a=C_alloc(5);
if(C_truep(C_i_nullp(t2))){
t3=t1;{
C_word av2[2];
av2[0]=t3;
av2[1]=C_SCHEME_TRUE;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}
else{
t3=C_i_pairp(t2);
if(C_truep(C_i_not(t3))){
t4=t1;{
C_word av2[2];
av2[0]=t4;
av2[1]=C_SCHEME_FALSE;
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}
else{
t4=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_9604,a[2]=t2,a[3]=((C_word*)t0)[2],a[4]=t1,tmp=(C_word)a,a+=5,tmp);
t5=C_slot(t2,C_fix(0));
/* library.scm:792: pred */
t6=((C_word*)t0)[3];{
C_word av2[3];
av2[0]=t6;
av2[1]=t4;
av2[2]=t5;
((C_proc)C_fast_retrieve_proc(t6))(3,av2);}}}}

/* k9602 in loop */
static void C_ccall f_9604(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_9604,2,av);}
if(C_truep(t1)){
t2=C_slot(((C_word*)t0)[2],C_fix(1));
/* library.scm:792: loop */
t3=((C_word*)((C_word*)t0)[3])[1];
f_9585(t3,((C_word*)t0)[4],t2);}
else{
t2=((C_word*)t0)[4];{
C_word *av2=av;
av2[0]=t2;
av2[1]=C_SCHEME_FALSE;
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}}

/* chicken.base#each in k8490 */
static void C_ccall f_9621(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand((c-2)*C_SIZEOF_PAIR +4,c,2)))){
C_save_and_reclaim((void*)f_9621,c,av);}
a=C_alloc((c-2)*C_SIZEOF_PAIR+4);
t2=C_build_rest(&a,c,2,av);
C_word t3;
C_word t4;
C_word t5;
if(C_truep(C_i_nullp(t2))){
t3=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_9629,a[2]=((C_word)li169),tmp=(C_word)a,a+=3,tmp);
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=t3;
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}
else{
t3=C_slot(t2,C_fix(1));
t4=C_i_nullp(t3);
t5=t1;{
C_word *av2=av;
av2[0]=t5;
av2[1]=(C_truep(t4)?C_slot(t2,C_fix(0)):(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_9643,a[2]=t2,a[3]=((C_word)li171),tmp=(C_word)a,a+=4,tmp));
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}}

/* f_9629 in chicken.base#each in k8490 */
static void C_ccall f_9629(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_9629,2,av);}
t2=t1;{
C_word *av2=av;
av2[0]=t2;
av2[1]=*((C_word*)lf[244]+1);
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* f_9643 in chicken.base#each in k8490 */
static void C_ccall f_9643(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand((c-2)*C_SIZEOF_PAIR +7,c,3)))){
C_save_and_reclaim((void*)f_9643,c,av);}
a=C_alloc((c-2)*C_SIZEOF_PAIR+7);
t2=C_build_rest(&a,c,2,av);
C_word t3;
C_word t4;
C_word t5;
C_word t6;
t3=C_SCHEME_UNDEFINED;
t4=(*a=C_VECTOR_TYPE|1,a[1]=t3,tmp=(C_word)a,a+=2,tmp);
t5=C_set_block_item(t4,0,(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_9649,a[2]=t2,a[3]=t4,a[4]=((C_word)li170),tmp=(C_word)a,a+=5,tmp));
t6=((C_word*)t4)[1];
f_9649(t6,t1,((C_word*)t0)[2]);}

/* loop */
static void C_fcall f_9649(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,0,3)))){
C_save_and_reclaim_args((void *)trf_9649,3,t0,t1,t2);}
a=C_alloc(5);
t3=C_slot(t2,C_fix(0));
t4=C_slot(t2,C_fix(1));
t5=t4;
if(C_truep(C_i_nullp(t5))){{
C_word av2[4];
av2[0]=0;
av2[1]=t1;
av2[2]=t3;
av2[3]=((C_word*)t0)[2];
C_apply(4,av2);}}
else{
t6=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_9668,a[2]=((C_word*)t0)[3],a[3]=t1,a[4]=t5,tmp=(C_word)a,a+=5,tmp);{
C_word av2[4];
av2[0]=0;
av2[1]=t6;
av2[2]=t3;
av2[3]=((C_word*)t0)[2];
C_apply(4,av2);}}}

/* k9666 in loop */
static void C_ccall f_9668(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_9668,2,av);}
/* library.scm:807: loop */
t2=((C_word*)((C_word*)t0)[2])[1];
f_9649(t2,((C_word*)t0)[3],((C_word*)t0)[4]);}

/* chicken.base#atom? in k8490 */
static void C_ccall f_9677(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_9677,3,av);}
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_i_not_pair_p(t2);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* chicken.base#tail? in k8490 */
static void C_ccall f_9680(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(4,c,2)))){
C_save_and_reclaim((void *)f_9680,4,av);}
a=C_alloc(4);
t4=C_i_check_list_2(t3,lf[247]);
t5=C_eqp(t2,C_SCHEME_END_OF_LIST);
if(C_truep(t5)){
t6=t1;{
C_word *av2=av;
av2[0]=t6;
av2[1]=t5;
((C_proc)(void*)(*((C_word*)t6+1)))(2,av2);}}
else{
t6=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_9692,a[2]=t2,a[3]=((C_word)li174),tmp=(C_word)a,a+=4,tmp);
t7=t1;{
C_word *av2=av;
av2[0]=t7;
av2[1]=(
  f_9692(t6,t3)
);
((C_proc)(void*)(*((C_word*)t7+1)))(2,av2);}}}

/* loop in chicken.base#tail? in k8490 */
static C_word C_fcall f_9692(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_stack_overflow_check;
loop:{}
if(C_truep(C_eqp(t1,C_SCHEME_END_OF_LIST))){
return(C_SCHEME_FALSE);}
else{
if(C_truep(C_eqp(((C_word*)t0)[2],t1))){
return(C_SCHEME_TRUE);}
else{
t2=C_slot(t1,C_fix(1));
t4=t2;
t1=t4;
goto loop;}}}

/* chicken.base#intersperse in k8490 */
static void C_ccall f_9708(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(7,c,3)))){
C_save_and_reclaim((void *)f_9708,4,av);}
a=C_alloc(7);
t4=C_SCHEME_UNDEFINED;
t5=(*a=C_VECTOR_TYPE|1,a[1]=t4,tmp=(C_word)a,a+=2,tmp);
t6=C_set_block_item(t5,0,(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_9714,a[2]=t3,a[3]=t5,a[4]=((C_word)li176),tmp=(C_word)a,a+=5,tmp));
t7=((C_word*)t5)[1];
f_9714(t7,t1,t2);}

/* loop in chicken.base#intersperse in k8490 */
static void C_fcall f_9714(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word *a;
loop:
if(C_unlikely(!C_demand(C_calculate_demand(5,0,2)))){
C_save_and_reclaim_args((void *)trf_9714,3,t0,t1,t2);}
a=C_alloc(5);
if(C_truep(C_eqp(t2,C_SCHEME_END_OF_LIST))){
t3=t2;
t4=t1;{
C_word av2[2];
av2[0]=t4;
av2[1]=t3;
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}
else{
t3=C_i_cdr(t2);
if(C_truep(C_eqp(t3,C_SCHEME_END_OF_LIST))){
t4=t1;{
C_word av2[2];
av2[0]=t4;
av2[1]=t2;
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}
else{
t4=C_slot(t2,C_fix(0));
t5=t4;
t6=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_9739,a[2]=((C_word*)t0)[2],a[3]=t1,a[4]=t5,tmp=(C_word)a,a+=5,tmp);
/* library.scm:830: loop */
t8=t6;
t9=t3;
t1=t8;
t2=t9;
goto loop;}}}

/* k9737 in loop in chicken.base#intersperse in k8490 */
static void C_ccall f_9739(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,c,1)))){
C_save_and_reclaim((void *)f_9739,2,av);}
a=C_alloc(6);
t2=C_a_i_cons(&a,2,((C_word*)t0)[2],t1);
t3=((C_word*)t0)[3];{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_a_i_cons(&a,2,((C_word*)t0)[4],t2);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* chicken.base#butlast in k8490 */
static void C_ccall f_9741(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(6,c,3)))){
C_save_and_reclaim((void *)f_9741,3,av);}
a=C_alloc(6);
t3=C_i_check_pair_2(t2,lf[250]);
t4=C_SCHEME_UNDEFINED;
t5=(*a=C_VECTOR_TYPE|1,a[1]=t4,tmp=(C_word)a,a+=2,tmp);
t6=C_set_block_item(t5,0,(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_9750,a[2]=t5,a[3]=((C_word)li178),tmp=(C_word)a,a+=4,tmp));
t7=((C_word*)t5)[1];
f_9750(t7,t1,t2);}

/* loop in chicken.base#butlast in k8490 */
static void C_fcall f_9750(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word *a;
loop:
if(C_unlikely(!C_demand(C_calculate_demand(4,0,2)))){
C_save_and_reclaim_args((void *)trf_9750,3,t0,t1,t2);}
a=C_alloc(4);
t3=C_slot(t2,C_fix(1));
t4=(C_truep(C_blockp(t3))?C_pairp(t3):C_SCHEME_FALSE);
if(C_truep(t4)){
t5=C_slot(t2,C_fix(0));
t6=t5;
t7=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_9771,a[2]=t1,a[3]=t6,tmp=(C_word)a,a+=4,tmp);
/* library.scm:837: loop */
t9=t7;
t10=t3;
t1=t9;
t2=t10;
goto loop;}
else{
t5=t1;{
C_word av2[2];
av2[0]=t5;
av2[1]=C_SCHEME_END_OF_LIST;
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}}

/* k9769 in loop in chicken.base#butlast in k8490 */
static void C_ccall f_9771(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,1)))){
C_save_and_reclaim((void *)f_9771,2,av);}
a=C_alloc(3);
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=C_a_i_cons(&a,2,((C_word*)t0)[3],t1);
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* chicken.base#flatten in k8490 */
static void C_ccall f_9773(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand((c-2)*C_SIZEOF_PAIR +6,c,4)))){
C_save_and_reclaim((void*)f_9773,c,av);}
a=C_alloc((c-2)*C_SIZEOF_PAIR+6);
t2=C_build_rest(&a,c,2,av);
C_word t3;
C_word t4;
C_word t5;
C_word t6;
t3=C_SCHEME_UNDEFINED;
t4=(*a=C_VECTOR_TYPE|1,a[1]=t3,tmp=(C_word)a,a+=2,tmp);
t5=C_set_block_item(t4,0,(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_9779,a[2]=t4,a[3]=((C_word)li180),tmp=(C_word)a,a+=4,tmp));
t6=((C_word*)t4)[1];
f_9779(t6,t1,t2,C_SCHEME_END_OF_LIST);}

/* loop in chicken.base#flatten in k8490 */
static void C_fcall f_9779(C_word t0,C_word t1,C_word t2,C_word t3){
C_word tmp;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word *a;
loop:
if(C_unlikely(!C_demand(C_calculate_demand(5,0,3)))){
C_save_and_reclaim_args((void *)trf_9779,4,t0,t1,t2,t3);}
a=C_alloc(5);
if(C_truep(C_i_nullp(t2))){
t4=t3;
t5=t1;{
C_word av2[2];
av2[0]=t5;
av2[1]=t4;
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}
else{
t4=C_slot(t2,C_fix(0));
t5=t4;
t6=C_slot(t2,C_fix(1));
if(C_truep(C_i_listp(t5))){
t7=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_9805,a[2]=((C_word*)t0)[2],a[3]=t1,a[4]=t5,tmp=(C_word)a,a+=5,tmp);
/* library.scm:847: loop */
t9=t7;
t10=t6;
t11=t3;
t1=t9;
t2=t10;
t3=t11;
goto loop;}
else{
t7=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_9812,a[2]=t1,a[3]=t5,tmp=(C_word)a,a+=4,tmp);
/* library.scm:848: loop */
t9=t7;
t10=t6;
t11=t3;
t1=t9;
t2=t10;
t3=t11;
goto loop;}}}

/* k9803 in loop in chicken.base#flatten in k8490 */
static void C_ccall f_9805(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_9805,2,av);}
/* library.scm:847: loop */
t2=((C_word*)((C_word*)t0)[2])[1];
f_9779(t2,((C_word*)t0)[3],((C_word*)t0)[4],t1);}

/* k9810 in loop in chicken.base#flatten in k8490 */
static void C_ccall f_9812(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,1)))){
C_save_and_reclaim((void *)f_9812,2,av);}
a=C_alloc(3);
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=C_a_i_cons(&a,2,((C_word*)t0)[3],t1);
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* chicken.base#join in k8490 */
static void C_ccall f_9814(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c<3) C_bad_min_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand((c-3)*C_SIZEOF_PAIR +4,c,2)))){
C_save_and_reclaim((void*)f_9814,c,av);}
a=C_alloc((c-3)*C_SIZEOF_PAIR+4);
t3=C_build_rest(&a,c,3,av);
C_word t4;
C_word t5;
C_word t6;
t4=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_9818,a[2]=t1,a[3]=t2,tmp=(C_word)a,a+=4,tmp);
if(C_truep(C_i_pairp(t3))){
t5=t3;
t6=t4;
f_9818(t6,C_u_i_car(t5));}
else{
t5=t4;
f_9818(t5,C_SCHEME_END_OF_LIST);}}

/* k9816 in chicken.base#join in k8490 */
static void C_fcall f_9818(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(7,0,3)))){
C_save_and_reclaim_args((void *)trf_9818,2,t0,t1);}
a=C_alloc(7);
t2=t1;
t3=C_i_check_list_2(t2,lf[253]);
t4=C_SCHEME_UNDEFINED;
t5=(*a=C_VECTOR_TYPE|1,a[1]=t4,tmp=(C_word)a,a+=2,tmp);
t6=C_set_block_item(t5,0,(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_9826,a[2]=t2,a[3]=t5,a[4]=((C_word)li182),tmp=(C_word)a,a+=5,tmp));
t7=((C_word*)t5)[1];
f_9826(t7,((C_word*)t0)[2],((C_word*)t0)[3]);}

/* loop in k9816 in chicken.base#join in k8490 */
static void C_fcall f_9826(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word *a;
loop:
if(C_unlikely(!C_demand(C_calculate_demand(5,0,2)))){
C_save_and_reclaim_args((void *)trf_9826,3,t0,t1,t2);}
a=C_alloc(5);
if(C_truep(C_i_nullp(t2))){
t3=t1;{
C_word av2[2];
av2[0]=t3;
av2[1]=C_SCHEME_END_OF_LIST;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}
else{
t3=C_i_pairp(t2);
if(C_truep(C_i_not(t3))){
/* library.scm:858: ##sys#error-not-a-proper-list */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[47]+1));
C_word av2[3];
av2[0]=*((C_word*)lf[47]+1);
av2[1]=t1;
av2[2]=t2;
tp(3,av2);}}
else{
t4=C_slot(t2,C_fix(0));
t5=t4;
t6=C_slot(t2,C_fix(1));
if(C_truep(C_i_nullp(t6))){
t7=t1;{
C_word av2[2];
av2[0]=t7;
av2[1]=t5;
((C_proc)(void*)(*((C_word*)t7+1)))(2,av2);}}
else{
t7=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_9861,a[2]=t1,a[3]=t5,a[4]=((C_word*)t0)[2],tmp=(C_word)a,a+=5,tmp);
/* library.scm:864: loop */
t9=t7;
t10=t6;
t1=t9;
t2=t10;
goto loop;}}}}

/* k9859 in loop in k9816 in chicken.base#join in k8490 */
static void C_ccall f_9861(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,4)))){
C_save_and_reclaim((void *)f_9861,2,av);}
/* library.scm:864: ##sys#append */
t2=*((C_word*)lf[254]+1);{
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[2];
av2[2]=((C_word*)t0)[3];
av2[3]=((C_word*)t0)[4];
av2[4]=t1;
((C_proc)(void*)(*((C_word*)t2+1)))(5,av2);}}

/* chicken.base#compress in k8490 */
static void C_ccall f_9871(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(7,c,4)))){
C_save_and_reclaim((void *)f_9871,4,av);}
a=C_alloc(7);
t4=lf[256];
t5=C_i_check_list_2(t3,lf[257]);
t6=C_SCHEME_UNDEFINED;
t7=(*a=C_VECTOR_TYPE|1,a[1]=t6,tmp=(C_word)a,a+=2,tmp);
t8=C_set_block_item(t7,0,(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_9880,a[2]=t4,a[3]=t7,a[4]=((C_word)li184),tmp=(C_word)a,a+=5,tmp));
t9=((C_word*)t7)[1];
f_9880(t9,t1,t2,t3);}

/* loop in chicken.base#compress in k8490 */
static void C_fcall f_9880(C_word t0,C_word t1,C_word t2,C_word t3){
C_word tmp;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word t12;
C_word t13;
C_word t14;
C_word *a;
loop:
if(C_unlikely(!C_demand(C_calculate_demand(4,0,5)))){
C_save_and_reclaim_args((void *)trf_9880,4,t0,t1,t2,t3);}
a=C_alloc(4);
if(C_truep(C_i_nullp(t2))){
t4=t1;{
C_word av2[2];
av2[0]=t4;
av2[1]=C_SCHEME_END_OF_LIST;
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}
else{
t4=C_i_pairp(t2);
if(C_truep(C_i_not(t4))){
/* library.scm:873: ##sys#signal-hook */
t5=C_fast_retrieve(lf[194]);{
C_word av2[6];
av2[0]=t5;
av2[1]=t1;
av2[2]=lf[258];
av2[3]=lf[257];
av2[4]=((C_word*)t0)[2];
av2[5]=t2;
((C_proc)(void*)(*((C_word*)t5+1)))(6,av2);}}
else{
t5=C_i_pairp(t3);
if(C_truep(C_i_not(t5))){
/* library.scm:875: ##sys#signal-hook */
t6=C_fast_retrieve(lf[194]);{
C_word av2[6];
av2[0]=t6;
av2[1]=t1;
av2[2]=lf[258];
av2[3]=lf[257];
av2[4]=((C_word*)t0)[2];
av2[5]=t3;
((C_proc)(void*)(*((C_word*)t6+1)))(6,av2);}}
else{
if(C_truep(C_slot(t2,C_fix(0)))){
t6=C_slot(t3,C_fix(0));
t7=t6;
t8=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_9922,a[2]=t1,a[3]=t7,tmp=(C_word)a,a+=4,tmp);
t9=C_slot(t2,C_fix(1));
t10=C_slot(t3,C_fix(1));
/* library.scm:877: loop */
t12=t8;
t13=t9;
t14=t10;
t1=t12;
t2=t13;
t3=t14;
goto loop;}
else{
t6=C_slot(t2,C_fix(1));
t7=C_slot(t3,C_fix(1));
/* library.scm:878: loop */
t12=t1;
t13=t6;
t14=t7;
t1=t12;
t2=t13;
t3=t14;
goto loop;}}}}}

/* k9920 in loop in chicken.base#compress in k8490 */
static void C_ccall f_9922(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,1)))){
C_save_and_reclaim((void *)f_9922,2,av);}
a=C_alloc(3);
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=C_a_i_cons(&a,2,((C_word*)t0)[3],t1);
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* chicken.base#alist-update! in k8490 */
static void C_ccall f_9951(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4=av[4];
C_word t5;
C_word *a;
if(c<5) C_bad_min_argc_2(c,5,t0);
if(C_unlikely(!C_demand(C_calculate_demand((c-5)*C_SIZEOF_PAIR +10,c,4)))){
C_save_and_reclaim((void*)f_9951,c,av);}
a=C_alloc((c-5)*C_SIZEOF_PAIR+10);
t5=C_build_rest(&a,c,5,av);
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word t12;
C_word t13;
t6=C_i_nullp(t5);
t7=(C_truep(t6)?*((C_word*)lf[5]+1):C_i_car(t5));
t8=t7;
t9=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_9958,a[2]=t3,a[3]=t4,a[4]=t1,a[5]=t2,tmp=(C_word)a,a+=6,tmp);
t10=C_eqp(*((C_word*)lf[4]+1),t8);
if(C_truep(t10)){
t11=t9;
f_9958(t11,*((C_word*)lf[52]+1));}
else{
t11=C_eqp(*((C_word*)lf[5]+1),t8);
if(C_truep(t11)){
t12=t9;
f_9958(t12,*((C_word*)lf[53]+1));}
else{
t12=C_eqp(*((C_word*)lf[6]+1),t8);
t13=t9;
f_9958(t13,(C_truep(t12)?*((C_word*)lf[54]+1):(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_9990,a[2]=t8,a[3]=((C_word)li187),tmp=(C_word)a,a+=4,tmp)));}}}

/* k9956 in chicken.base#alist-update! in k8490 */
static void C_fcall f_9958(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,0,3)))){
C_save_and_reclaim_args((void *)trf_9958,2,t0,t1);}
a=C_alloc(6);
t2=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_9961,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[5],tmp=(C_word)a,a+=6,tmp);
/* library.scm:895: aq */
t3=t1;{
C_word av2[4];
av2[0]=t3;
av2[1]=t2;
av2[2]=((C_word*)t0)[5];
av2[3]=((C_word*)t0)[3];
((C_proc)(void*)(*((C_word*)t3+1)))(4,av2);}}

/* k9959 in k9956 in chicken.base#alist-update! in k8490 */
static void C_ccall f_9961(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,c,1)))){
C_save_and_reclaim((void *)f_9961,2,av);}
a=C_alloc(6);
if(C_truep(t1)){
t2=C_i_setslot(t1,C_fix(1),((C_word*)t0)[2]);
t3=((C_word*)t0)[3];
t4=((C_word*)t0)[4];{
C_word *av2=av;
av2[0]=t4;
av2[1]=t3;
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}
else{
t2=C_a_i_cons(&a,2,((C_word*)t0)[5],((C_word*)t0)[2]);
t3=((C_word*)t0)[4];{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_a_i_cons(&a,2,t2,((C_word*)t0)[3]);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}}

/* f_9990 in chicken.base#alist-update! in k8490 */
static void C_ccall f_9990(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(8,c,3)))){
C_save_and_reclaim((void *)f_9990,4,av);}
a=C_alloc(8);
t4=C_SCHEME_UNDEFINED;
t5=(*a=C_VECTOR_TYPE|1,a[1]=t4,tmp=(C_word)a,a+=2,tmp);
t6=C_set_block_item(t5,0,(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_9996,a[2]=t5,a[3]=((C_word*)t0)[2],a[4]=t2,a[5]=((C_word)li186),tmp=(C_word)a,a+=6,tmp));
t7=((C_word*)t5)[1];
f_9996(t7,t1,t3);}

/* loop */
static void C_fcall f_9996(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,0,3)))){
C_save_and_reclaim_args((void *)trf_9996,3,t0,t1,t2);}
a=C_alloc(6);
if(C_truep(C_i_pairp(t2))){
t3=C_slot(t2,C_fix(0));
t4=t3;
t5=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_10012,a[2]=t1,a[3]=t4,a[4]=t2,a[5]=((C_word*)t0)[2],tmp=(C_word)a,a+=6,tmp);
if(C_truep(C_i_pairp(t4))){
t6=C_slot(t4,C_fix(0));
/* library.scm:892: cmp */
t7=((C_word*)t0)[3];{
C_word av2[4];
av2[0]=t7;
av2[1]=t5;
av2[2]=((C_word*)t0)[4];
av2[3]=t6;
((C_proc)C_fast_retrieve_proc(t7))(4,av2);}}
else{
t6=t5;{
C_word av2[2];
av2[0]=t6;
av2[1]=C_SCHEME_FALSE;
f_10012(2,av2);}}}
else{
t3=t1;{
C_word av2[2];
av2[0]=t3;
av2[1]=C_SCHEME_FALSE;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}}

/* toplevel */
static C_TLS int toplevel_initialized=0;

void C_ccall C_library_toplevel(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(toplevel_initialized) {C_kontinue(t1,C_SCHEME_UNDEFINED);}
else C_toplevel_entry(C_text("library"));
C_check_nursery_minimum(C_calculate_demand(3,c,2));
if(C_unlikely(!C_demand(C_calculate_demand(3,c,2)))){
C_save_and_reclaim((void*)C_library_toplevel,c,av);}
toplevel_initialized=1;
if(C_unlikely(!C_demand_2(7853))){
C_save(t1);
C_rereclaim2(7853*sizeof(C_word),1);
t1=C_restore;}
a=C_alloc(3);
C_initialize_lf(lf,1385);
lf[0]=C_h_intern(&lf[0],7, C_text("library"));
lf[1]=C_h_intern(&lf[1],7, C_text("scheme#"));
lf[2]=C_h_intern(&lf[2],10, C_text("scheme#not"));
lf[3]=C_h_intern(&lf[3],15, C_text("scheme#boolean\077"));
lf[4]=C_h_intern(&lf[4],10, C_text("scheme#eq\077"));
lf[5]=C_h_intern(&lf[5],11, C_text("scheme#eqv\077"));
lf[6]=C_h_intern(&lf[6],13, C_text("scheme#equal\077"));
lf[7]=C_h_intern(&lf[7],12, C_text("scheme#pair\077"));
lf[8]=C_h_intern(&lf[8],11, C_text("scheme#cons"));
lf[9]=C_h_intern(&lf[9],10, C_text("scheme#car"));
lf[10]=C_h_intern(&lf[10],10, C_text("scheme#cdr"));
lf[11]=C_h_intern(&lf[11],15, C_text("scheme#set-car!"));
lf[12]=C_h_intern(&lf[12],15, C_text("scheme#set-cdr!"));
lf[13]=C_h_intern(&lf[13],11, C_text("scheme#cadr"));
lf[14]=C_h_intern(&lf[14],12, C_text("scheme#caddr"));
lf[15]=C_h_intern(&lf[15],13, C_text("scheme#cadddr"));
lf[16]=C_h_intern(&lf[16],13, C_text("scheme#cddddr"));
lf[17]=C_h_intern(&lf[17],11, C_text("scheme#caar"));
lf[18]=C_h_intern(&lf[18],11, C_text("scheme#cdar"));
lf[19]=C_h_intern(&lf[19],11, C_text("scheme#cddr"));
lf[20]=C_h_intern(&lf[20],12, C_text("scheme#caaar"));
lf[21]=C_h_intern(&lf[21],12, C_text("scheme#caadr"));
lf[22]=C_h_intern(&lf[22],12, C_text("scheme#cadar"));
lf[23]=C_h_intern(&lf[23],12, C_text("scheme#cdaar"));
lf[24]=C_h_intern(&lf[24],12, C_text("scheme#cdadr"));
lf[25]=C_h_intern(&lf[25],12, C_text("scheme#cddar"));
lf[26]=C_h_intern(&lf[26],12, C_text("scheme#cdddr"));
lf[27]=C_h_intern(&lf[27],13, C_text("scheme#caaaar"));
lf[28]=C_h_intern(&lf[28],13, C_text("scheme#caaadr"));
lf[29]=C_h_intern(&lf[29],13, C_text("scheme#caadar"));
lf[30]=C_h_intern(&lf[30],13, C_text("scheme#caaddr"));
lf[31]=C_h_intern(&lf[31],13, C_text("scheme#cadaar"));
lf[32]=C_h_intern(&lf[32],13, C_text("scheme#cadadr"));
lf[33]=C_h_intern(&lf[33],13, C_text("scheme#caddar"));
lf[34]=C_h_intern(&lf[34],13, C_text("scheme#cdaaar"));
lf[35]=C_h_intern(&lf[35],13, C_text("scheme#cdaadr"));
lf[36]=C_h_intern(&lf[36],13, C_text("scheme#cdadar"));
lf[37]=C_h_intern(&lf[37],13, C_text("scheme#cdaddr"));
lf[38]=C_h_intern(&lf[38],13, C_text("scheme#cddaar"));
lf[39]=C_h_intern(&lf[39],13, C_text("scheme#cddadr"));
lf[40]=C_h_intern(&lf[40],13, C_text("scheme#cdddar"));
lf[41]=C_h_intern(&lf[41],12, C_text("scheme#null\077"));
lf[42]=C_h_intern(&lf[42],11, C_text("scheme#list"));
lf[43]=C_h_intern(&lf[43],13, C_text("scheme#length"));
lf[44]=C_h_intern(&lf[44],16, C_text("scheme#list-tail"));
lf[45]=C_h_intern(&lf[45],15, C_text("scheme#list-ref"));
lf[46]=C_h_intern(&lf[46],14, C_text("scheme#reverse"));
lf[47]=C_h_intern(&lf[47],27, C_text("\003syserror-not-a-proper-list"));
lf[48]=C_h_intern(&lf[48],7, C_text("reverse"));
lf[49]=C_h_intern(&lf[49],11, C_text("scheme#memq"));
lf[50]=C_h_intern(&lf[50],11, C_text("scheme#memv"));
lf[51]=C_h_intern(&lf[51],13, C_text("scheme#member"));
lf[52]=C_h_intern(&lf[52],11, C_text("scheme#assq"));
lf[53]=C_h_intern(&lf[53],11, C_text("scheme#assv"));
lf[54]=C_h_intern(&lf[54],12, C_text("scheme#assoc"));
lf[55]=C_h_intern(&lf[55],12, C_text("scheme#list\077"));
lf[56]=C_h_intern(&lf[56],14, C_text("scheme#string\077"));
lf[57]=C_h_intern(&lf[57],20, C_text("scheme#string-length"));
lf[58]=C_h_intern(&lf[58],17, C_text("scheme#string-ref"));
lf[59]=C_h_intern(&lf[59],18, C_text("scheme#string-set!"));
lf[60]=C_h_intern(&lf[60],15, C_text("scheme#string=\077"));
lf[61]=C_h_intern(&lf[61],18, C_text("scheme#string-ci=\077"));
lf[62]=C_h_intern(&lf[62],21, C_text("scheme#exact->inexact"));
lf[63]=C_h_intern(&lf[63],10, C_text("scheme#abs"));
lf[64]=C_h_intern(&lf[64],8, C_text("scheme#+"));
lf[65]=C_h_intern(&lf[65],8, C_text("scheme#-"));
lf[66]=C_h_intern(&lf[66],8, C_text("scheme#\052"));
lf[67]=C_h_intern(&lf[67],15, C_text("scheme#quotient"));
lf[68]=C_h_intern(&lf[68],16, C_text("scheme#remainder"));
lf[69]=C_h_intern(&lf[69],13, C_text("scheme#modulo"));
lf[70]=C_h_intern(&lf[70],12, C_text("scheme#even\077"));
lf[71]=C_h_intern(&lf[71],11, C_text("scheme#odd\077"));
lf[72]=C_h_intern(&lf[72],8, C_text("scheme#="));
lf[73]=C_h_intern(&lf[73],8, C_text("scheme#>"));
lf[74]=C_h_intern(&lf[74],8, C_text("scheme#<"));
lf[75]=C_h_intern(&lf[75],9, C_text("scheme#>="));
lf[76]=C_h_intern(&lf[76],9, C_text("scheme#<="));
lf[77]=C_h_intern(&lf[77],14, C_text("scheme#number\077"));
lf[78]=C_h_intern(&lf[78],15, C_text("scheme#complex\077"));
lf[79]=C_h_intern(&lf[79],12, C_text("scheme#real\077"));
lf[80]=C_h_intern(&lf[80],16, C_text("scheme#rational\077"));
lf[81]=C_h_intern(&lf[81],15, C_text("scheme#integer\077"));
lf[82]=C_h_intern(&lf[82],13, C_text("scheme#exact\077"));
lf[83]=C_h_intern(&lf[83],15, C_text("scheme#inexact\077"));
lf[84]=C_h_intern(&lf[84],12, C_text("scheme#zero\077"));
lf[85]=C_h_intern(&lf[85],16, C_text("scheme#positive\077"));
lf[86]=C_h_intern(&lf[86],16, C_text("scheme#negative\077"));
lf[87]=C_h_intern(&lf[87],21, C_text("scheme#number->string"));
lf[88]=C_h_intern(&lf[88],14, C_text("scheme#symbol\077"));
lf[89]=C_h_intern(&lf[89],14, C_text("scheme#vector\077"));
lf[90]=C_h_intern(&lf[90],20, C_text("scheme#vector-length"));
lf[91]=C_h_intern(&lf[91],17, C_text("scheme#vector-ref"));
lf[92]=C_h_intern(&lf[92],18, C_text("scheme#vector-set!"));
lf[93]=C_h_intern(&lf[93],18, C_text("scheme#make-vector"));
lf[94]=C_h_intern(&lf[94],19, C_text("scheme#list->vector"));
lf[95]=C_h_intern(&lf[95],19, C_text("scheme#vector->list"));
lf[96]=C_h_intern(&lf[96],13, C_text("scheme#vector"));
lf[97]=C_h_intern(&lf[97],19, C_text("scheme#vector-fill!"));
lf[98]=C_h_intern(&lf[98],12, C_text("scheme#char\077"));
lf[99]=C_h_intern(&lf[99],20, C_text("scheme#char->integer"));
lf[100]=C_h_intern(&lf[100],13, C_text("char->integer"));
lf[101]=C_h_intern(&lf[101],20, C_text("scheme#integer->char"));
lf[102]=C_h_intern(&lf[102],16, C_text("\003syscheck-fixnum"));
lf[103]=C_h_intern(&lf[103],13, C_text("integer->char"));
lf[104]=C_h_intern(&lf[104],13, C_text("scheme#char=\077"));
lf[105]=C_h_intern(&lf[105],13, C_text("scheme#char>\077"));
lf[106]=C_h_intern(&lf[106],13, C_text("scheme#char<\077"));
lf[107]=C_h_intern(&lf[107],14, C_text("scheme#char>=\077"));
lf[108]=C_h_intern(&lf[108],14, C_text("scheme#char<=\077"));
lf[109]=C_h_intern(&lf[109],18, C_text("scheme#char-upcase"));
lf[110]=C_h_intern(&lf[110],11, C_text("char-upcase"));
lf[111]=C_h_intern(&lf[111],20, C_text("scheme#char-downcase"));
lf[112]=C_h_intern(&lf[112],13, C_text("char-downcase"));
lf[113]=C_h_intern(&lf[113],16, C_text("scheme#char-ci=\077"));
lf[114]=C_h_intern(&lf[114],16, C_text("scheme#char-ci>\077"));
lf[115]=C_h_intern(&lf[115],16, C_text("scheme#char-ci<\077"));
lf[116]=C_h_intern(&lf[116],17, C_text("scheme#char-ci>=\077"));
lf[117]=C_h_intern(&lf[117],17, C_text("scheme#char-ci<=\077"));
lf[118]=C_h_intern(&lf[118],23, C_text("scheme#char-upper-case\077"));
lf[119]=C_h_intern(&lf[119],16, C_text("char-upper-case\077"));
lf[120]=C_h_intern(&lf[120],23, C_text("scheme#char-lower-case\077"));
lf[121]=C_h_intern(&lf[121],16, C_text("char-lower-case\077"));
lf[122]=C_h_intern(&lf[122],20, C_text("scheme#char-numeric\077"));
lf[123]=C_h_intern(&lf[123],13, C_text("char-numeric\077"));
lf[124]=C_h_intern(&lf[124],23, C_text("scheme#char-whitespace\077"));
lf[125]=C_h_intern(&lf[125],16, C_text("char-whitespace\077"));
lf[126]=C_h_intern(&lf[126],23, C_text("scheme#char-alphabetic\077"));
lf[127]=C_h_intern(&lf[127],16, C_text("char-alphabetic\077"));
lf[128]=C_h_intern(&lf[128],17, C_text("scheme#procedure\077"));
lf[129]=C_h_intern(&lf[129],12, C_text("scheme#apply"));
lf[130]=C_h_intern(&lf[130],13, C_text("scheme#values"));
lf[131]=C_h_intern(&lf[131],23, C_text("scheme#call-with-values"));
lf[132]=C_h_intern(&lf[132],37, C_text("scheme#call-with-current-continuation"));
lf[133]=C_h_intern(&lf[133],18, C_text("scheme#input-port\077"));
lf[134]=C_h_intern(&lf[134],19, C_text("scheme#output-port\077"));
lf[135]=C_h_intern(&lf[135],25, C_text("scheme#current-input-port"));
lf[136]=C_h_intern(&lf[136],26, C_text("scheme#current-output-port"));
lf[137]=C_h_intern(&lf[137],22, C_text("scheme#open-input-file"));
lf[138]=C_h_intern(&lf[138],23, C_text("scheme#open-output-file"));
lf[139]=C_h_intern(&lf[139],23, C_text("scheme#close-input-port"));
lf[140]=C_h_intern(&lf[140],24, C_text("scheme#close-output-port"));
lf[141]=C_h_intern(&lf[141],27, C_text("scheme#call-with-input-file"));
lf[142]=C_h_intern(&lf[142],28, C_text("scheme#call-with-output-file"));
lf[143]=C_h_intern(&lf[143],27, C_text("scheme#with-input-from-file"));
lf[144]=C_h_intern(&lf[144],26, C_text("scheme#with-output-to-file"));
lf[145]=C_h_intern(&lf[145],18, C_text("scheme#eof-object\077"));
lf[146]=C_h_intern(&lf[146],18, C_text("scheme#char-ready\077"));
lf[147]=C_h_intern(&lf[147],16, C_text("scheme#read-char"));
lf[148]=C_h_intern(&lf[148],16, C_text("scheme#peek-char"));
lf[149]=C_h_intern(&lf[149],11, C_text("scheme#read"));
lf[150]=C_h_intern(&lf[150],17, C_text("scheme#write-char"));
lf[151]=C_h_intern(&lf[151],14, C_text("scheme#newline"));
lf[152]=C_h_intern(&lf[152],12, C_text("scheme#write"));
lf[153]=C_h_intern(&lf[153],14, C_text("scheme#display"));
lf[154]=C_h_intern(&lf[154],11, C_text("scheme#eval"));
lf[155]=C_h_intern(&lf[155],9, C_text("\003syserror"));
lf[156]=C_h_intern(&lf[156],4, C_text("eval"));
lf[157]=C_decode_literal(C_heaptop,C_text("\376B\000\000T`eval\047 is not defined - the `eval\047 unit was probably not linked with this e"
"xecutable"));
lf[158]=C_h_intern(&lf[158],30, C_text("scheme#interaction-environment"));
lf[159]=C_h_intern(&lf[159],23, C_text("interaction-environment"));
lf[160]=C_decode_literal(C_heaptop,C_text("\376B\000\000g`interaction-environment\047 is not defined - the `eval\047 unit was probably not"
" linked with this executable"));
lf[161]=C_h_intern(&lf[161],32, C_text("scheme#scheme-report-environment"));
lf[162]=C_h_intern(&lf[162],25, C_text("scheme-report-environment"));
lf[163]=C_decode_literal(C_heaptop,C_text("\376B\000\000i`scheme-report-environment\047 is not defined - the `eval\047 unit was probably n"
"ot linked with this executable"));
lf[164]=C_h_intern(&lf[164],23, C_text("scheme#null-environment"));
lf[165]=C_h_intern(&lf[165],16, C_text("null-environment"));
lf[166]=C_decode_literal(C_heaptop,C_text("\376B\000\000``null-environment\047 is not defined - the `eval\047 unit was probably not linked"
" with this executable"));
lf[167]=C_h_intern(&lf[167],11, C_text("scheme#load"));
lf[168]=C_h_intern(&lf[168],4, C_text("load"));
lf[169]=C_decode_literal(C_heaptop,C_text("\376B\000\000T`load\047 is not defined - the `eval\047 unit was probably not linked with this e"
"xecutable"));
lf[170]=C_h_intern(&lf[170],15, C_text("scheme#for-each"));
lf[171]=C_h_intern(&lf[171],10, C_text("scheme#map"));
lf[172]=C_h_intern(&lf[172],19, C_text("scheme#dynamic-wind"));
lf[173]=C_h_intern(&lf[173],13, C_text("chicken.base#"));
lf[174]=C_h_intern(&lf[174],20, C_text("chicken.base#fixnum\077"));
lf[175]=C_h_intern(&lf[175],20, C_text("chicken.base#flonum\077"));
lf[176]=C_h_intern(&lf[176],20, C_text("chicken.base#bignum\077"));
lf[177]=C_h_intern(&lf[177],20, C_text("chicken.base#ratnum\077"));
lf[178]=C_h_intern(&lf[178],21, C_text("chicken.base#cplxnum\077"));
lf[179]=C_h_intern(&lf[179],27, C_text("chicken.base#exact-integer\077"));
lf[180]=C_h_intern(&lf[180],31, C_text("chicken.base#quotient&remainder"));
lf[181]=C_h_intern(&lf[181],28, C_text("chicken.base#quotient&modulo"));
lf[182]=C_h_intern(&lf[182],20, C_text("chicken.base#finite\077"));
lf[183]=C_h_intern(&lf[183],22, C_text("chicken.base#infinite\077"));
lf[184]=C_h_intern(&lf[184],17, C_text("chicken.base#nan\077"));
lf[185]=C_h_intern(&lf[185],19, C_text("chicken.base#signum"));
lf[186]=C_h_intern(&lf[186],27, C_text("chicken.base#get-call-chain"));
lf[187]=C_h_intern(&lf[187],29, C_text("chicken.base#print-call-chain"));
lf[188]=C_h_intern(&lf[188],18, C_text("chicken.base#print"));
lf[189]=C_h_intern(&lf[189],19, C_text("chicken.base#print\052"));
lf[190]=C_h_intern(&lf[190],17, C_text("chicken.base#add1"));
lf[191]=C_h_intern(&lf[191],17, C_text("chicken.base#sub1"));
lf[192]=C_h_intern(&lf[192],31, C_text("chicken.base#current-error-port"));
lf[193]=C_h_intern(&lf[193],18, C_text("chicken.base#error"));
lf[194]=C_h_intern(&lf[194],15, C_text("\003syssignal-hook"));
lf[195]=C_h_intern(&lf[195],6, C_text("\000error"));
lf[196]=C_h_intern(&lf[196],17, C_text("chicken.base#void"));
lf[197]=C_h_intern(&lf[197],18, C_text("chicken.base#sleep"));
lf[198]=C_h_intern(&lf[198],20, C_text("chicken.base#call/cc"));
lf[199]=C_h_intern(&lf[199],22, C_text("chicken.base#char-name"));
lf[200]=C_h_intern(&lf[200],31, C_text("chicken.base#getter-with-setter"));
lf[201]=C_h_intern(&lf[201],27, C_text("chicken.base#make-parameter"));
lf[202]=C_h_intern(&lf[202],34, C_text("chicken.base#procedure-information"));
lf[203]=C_h_intern(&lf[203],19, C_text("chicken.base#setter"));
lf[204]=C_h_intern(&lf[204],25, C_text("chicken.base#vector-copy!"));
lf[205]=C_h_intern(&lf[205],22, C_text("chicken.base#subvector"));
lf[206]=C_h_intern(&lf[206],26, C_text("chicken.base#vector-resize"));
lf[207]=C_h_intern(&lf[207],18, C_text("chicken.base#port\077"));
lf[208]=C_h_intern(&lf[208],25, C_text("chicken.base#port-closed\077"));
lf[209]=C_h_intern(&lf[209],29, C_text("chicken.base#input-port-open\077"));
lf[210]=C_h_intern(&lf[210],30, C_text("chicken.base#output-port-open\077"));
lf[211]=C_h_intern(&lf[211],30, C_text("chicken.base#get-output-string"));
lf[212]=C_h_intern(&lf[212],30, C_text("chicken.base#open-input-string"));
lf[213]=C_h_intern(&lf[213],31, C_text("chicken.base#open-output-string"));
lf[214]=C_h_intern(&lf[214],25, C_text("chicken.base#flush-output"));
lf[215]=C_h_intern(&lf[215],21, C_text("chicken.base#promise\077"));
lf[216]=C_h_intern(&lf[216],7, C_text("promise"));
lf[217]=C_h_intern(&lf[217],16, C_text("\003sysmake-promise"));
lf[218]=C_h_intern(&lf[218],25, C_text("chicken.base#make-promise"));
lf[219]=C_h_intern(&lf[219],18, C_text("chicken.base#foldl"));
lf[220]=C_h_intern(&lf[220],5, C_text("foldl"));
lf[221]=C_h_intern(&lf[221],18, C_text("chicken.base#foldr"));
lf[222]=C_h_intern(&lf[222],5, C_text("foldr"));
lf[223]=C_h_intern(&lf[223],34, C_text("chicken.base#implicit-exit-handler"));
lf[224]=C_h_intern(&lf[224],25, C_text("chicken.base#exit-handler"));
lf[225]=C_h_intern(&lf[225],26, C_text("chicken.base#cleanup-tasks"));
lf[226]=C_h_intern(&lf[226],20, C_text("chicken.base#on-exit"));
lf[227]=C_h_intern(&lf[227],17, C_text("chicken.base#exit"));
lf[228]=C_h_intern(&lf[228],27, C_text("chicken.base#emergency-exit"));
lf[229]=C_h_intern(&lf[229],14, C_text("emergency-exit"));
lf[230]=C_h_intern(&lf[230],27, C_text("chicken.base#case-sensitive"));
lf[231]=C_h_intern(&lf[231],26, C_text("chicken.base#keyword-style"));
lf[232]=C_h_intern(&lf[232],33, C_text("chicken.base#parentheses-synonyms"));
lf[233]=C_h_intern(&lf[233],26, C_text("chicken.base#symbol-escape"));
lf[234]=C_h_intern(&lf[234],21, C_text("chicken.base#identity"));
lf[235]=C_h_intern(&lf[235],20, C_text("chicken.base#conjoin"));
lf[236]=C_h_intern(&lf[236],20, C_text("chicken.base#disjoin"));
lf[237]=C_h_intern(&lf[237],23, C_text("chicken.base#constantly"));
lf[238]=C_h_intern(&lf[238],17, C_text("chicken.base#flip"));
lf[239]=C_h_intern(&lf[239],23, C_text("chicken.base#complement"));
lf[240]=C_h_intern(&lf[240],20, C_text("chicken.base#compose"));
lf[241]=C_h_intern(&lf[241],14, C_text("chicken.base#o"));
lf[242]=C_h_intern(&lf[242],21, C_text("chicken.base#list-of\077"));
lf[243]=C_h_intern(&lf[243],17, C_text("chicken.base#each"));
lf[244]=C_h_intern(&lf[244],19, C_text("\003sysundefined-value"));
lf[245]=C_h_intern(&lf[245],18, C_text("chicken.base#atom\077"));
lf[246]=C_h_intern(&lf[246],18, C_text("chicken.base#tail\077"));
lf[247]=C_h_intern(&lf[247],5, C_text("tail\077"));
lf[248]=C_h_intern(&lf[248],24, C_text("chicken.base#intersperse"));
lf[249]=C_h_intern(&lf[249],20, C_text("chicken.base#butlast"));
lf[250]=C_h_intern(&lf[250],7, C_text("butlast"));
lf[251]=C_h_intern(&lf[251],20, C_text("chicken.base#flatten"));
lf[252]=C_h_intern(&lf[252],17, C_text("chicken.base#join"));
lf[253]=C_h_intern(&lf[253],4, C_text("join"));
lf[254]=C_h_intern(&lf[254],10, C_text("\003sysappend"));
lf[255]=C_h_intern(&lf[255],21, C_text("chicken.base#compress"));
lf[256]=C_decode_literal(C_heaptop,C_text("\376B\000\000%bad argument type - not a proper list"));
lf[257]=C_h_intern(&lf[257],8, C_text("compress"));
lf[258]=C_h_intern(&lf[258],11, C_text("\000type-error"));
lf[259]=C_h_intern(&lf[259],26, C_text("chicken.base#alist-update!"));
lf[260]=C_h_intern(&lf[260],25, C_text("chicken.base#alist-update"));
lf[261]=C_h_intern(&lf[261],12, C_text("alist-update"));
lf[262]=C_decode_literal(C_heaptop,C_text("\376B\000\000\021bad argument type"));
lf[263]=C_decode_literal(C_heaptop,C_text("\376B\000\000\021bad argument type"));
lf[264]=C_h_intern(&lf[264],22, C_text("chicken.base#alist-ref"));
lf[265]=C_h_intern(&lf[265],9, C_text("alist-ref"));
lf[266]=C_decode_literal(C_heaptop,C_text("\376B\000\000\021bad argument type"));
lf[267]=C_h_intern(&lf[267],19, C_text("chicken.base#rassoc"));
lf[268]=C_h_intern(&lf[268],6, C_text("rassoc"));
lf[270]=C_h_intern(&lf[270],15, C_text("chicken.fixnum#"));
lf[271]=C_h_intern(&lf[271],35, C_text("chicken.fixnum#most-positive-fixnum"));
lf[272]=C_h_intern(&lf[272],35, C_text("chicken.fixnum#most-negative-fixnum"));
lf[273]=C_h_intern(&lf[273],26, C_text("chicken.fixnum#fixnum-bits"));
lf[274]=C_h_intern(&lf[274],31, C_text("chicken.fixnum#fixnum-precision"));
lf[275]=C_h_intern(&lf[275],18, C_text("chicken.fixnum#fx+"));
lf[276]=C_h_intern(&lf[276],18, C_text("chicken.fixnum#fx-"));
lf[277]=C_h_intern(&lf[277],18, C_text("chicken.fixnum#fx\052"));
lf[278]=C_h_intern(&lf[278],18, C_text("chicken.fixnum#fx="));
lf[279]=C_h_intern(&lf[279],18, C_text("chicken.fixnum#fx>"));
lf[280]=C_h_intern(&lf[280],18, C_text("chicken.fixnum#fx<"));
lf[281]=C_h_intern(&lf[281],19, C_text("chicken.fixnum#fx>="));
lf[282]=C_h_intern(&lf[282],19, C_text("chicken.fixnum#fx<="));
lf[283]=C_h_intern(&lf[283],20, C_text("chicken.fixnum#fxmin"));
lf[284]=C_h_intern(&lf[284],20, C_text("chicken.fixnum#fxmax"));
lf[285]=C_h_intern(&lf[285],20, C_text("chicken.fixnum#fxneg"));
lf[286]=C_h_intern(&lf[286],20, C_text("chicken.fixnum#fxand"));
lf[287]=C_h_intern(&lf[287],20, C_text("chicken.fixnum#fxior"));
lf[288]=C_h_intern(&lf[288],20, C_text("chicken.fixnum#fxxor"));
lf[289]=C_h_intern(&lf[289],20, C_text("chicken.fixnum#fxnot"));
lf[290]=C_h_intern(&lf[290],20, C_text("chicken.fixnum#fxshl"));
lf[291]=C_h_intern(&lf[291],20, C_text("chicken.fixnum#fxshr"));
lf[292]=C_h_intern(&lf[292],21, C_text("chicken.fixnum#fxodd\077"));
lf[293]=C_h_intern(&lf[293],22, C_text("chicken.fixnum#fxeven\077"));
lf[294]=C_h_intern(&lf[294],20, C_text("chicken.fixnum#fxlen"));
lf[295]=C_h_intern(&lf[295],18, C_text("chicken.fixnum#fx/"));
lf[296]=C_h_intern(&lf[296],20, C_text("chicken.fixnum#fxgcd"));
lf[297]=C_h_intern(&lf[297],20, C_text("chicken.fixnum#fxmod"));
lf[298]=C_h_intern(&lf[298],20, C_text("chicken.fixnum#fxrem"));
lf[299]=C_h_intern(&lf[299],19, C_text("chicken.fixnum#fx+\077"));
lf[300]=C_h_intern(&lf[300],19, C_text("chicken.fixnum#fx-\077"));
lf[301]=C_h_intern(&lf[301],19, C_text("chicken.fixnum#fx\052\077"));
lf[302]=C_h_intern(&lf[302],19, C_text("chicken.fixnum#fx/\077"));
lf[303]=C_h_intern(&lf[303],15, C_text("\003sysdebug-mode\077"));
lf[304]=C_h_intern(&lf[304],20, C_text("\003syswarnings-enabled"));
lf[305]=C_h_intern(&lf[305],19, C_text("\003sysnotices-enabled"));
lf[306]=C_h_intern(&lf[306],20, C_text("chicken.base#warning"));
lf[307]=C_h_intern(&lf[307],8, C_text("\000warning"));
lf[308]=C_h_intern(&lf[308],19, C_text("chicken.base#notice"));
lf[309]=C_h_intern(&lf[309],7, C_text("\000notice"));
lf[310]=C_h_intern(&lf[310],28, C_text("chicken.base#enable-warnings"));
lf[311]=C_h_intern(&lf[311],8, C_text("\003syswarn"));
lf[312]=C_h_intern(&lf[312],10, C_text("\003sysnotice"));
lf[313]=C_h_intern(&lf[313],6, C_text("\003sysgc"));
lf[314]=C_h_intern(&lf[314],11, C_text("\003syssetslot"));
lf[315]=C_h_intern(&lf[315],12, C_text("\003syssetislot"));
lf[316]=C_h_intern(&lf[316],19, C_text("\003sysallocate-vector"));
lf[317]=C_h_intern(&lf[317],18, C_text("\003sysmake-structure"));
lf[318]=C_h_intern(&lf[318],23, C_text("\003sysensure-heap-reserve"));
lf[319]=C_h_intern(&lf[319],21, C_text("\003syssymbol-table-info"));
lf[320]=C_h_intern(&lf[320],15, C_text("\003sysmemory-info"));
lf[321]=C_h_intern(&lf[321],15, C_text("\003sysstart-timer"));
lf[322]=C_h_intern(&lf[322],14, C_text("\003sysstop-timer"));
lf[323]=C_h_intern(&lf[323],14, C_text("\003sysimmediate\077"));
lf[324]=C_h_intern(&lf[324],11, C_text("\003sysmessage"));
lf[325]=C_h_intern(&lf[325],8, C_text("\003sysbyte"));
lf[326]=C_h_intern(&lf[326],11, C_text("\003syssetbyte"));
lf[327]=C_h_intern(&lf[327],8, C_text("\003sysvoid"));
lf[328]=C_h_intern(&lf[328],8, C_text("\003syshalt"));
lf[329]=C_h_intern(&lf[329],11, C_text("\003sysbecome!"));
lf[330]=C_h_intern(&lf[330],13, C_text("\003sysblock-ref"));
lf[331]=C_h_intern(&lf[331],16, C_text("\003sysapply-values"));
lf[332]=C_h_intern(&lf[332],16, C_text("\003syscopy-closure"));
lf[333]=C_h_intern(&lf[333],14, C_text("\003sysblock-set!"));
lf[334]=C_h_intern(&lf[334],15, C_text("\003syscheck-range"));
lf[335]=C_decode_literal(C_heaptop,C_text("\376B\000\000\023slot not accessible"));
lf[336]=C_h_intern(&lf[336],13, C_text("chicken.time#"));
lf[337]=C_h_intern(&lf[337],33, C_text("chicken.time#current-milliseconds"));
lf[338]=C_h_intern(&lf[338],28, C_text("chicken.time#current-seconds"));
lf[339]=C_h_intern(&lf[339],21, C_text("chicken.time#cpu-time"));
lf[340]=C_h_intern(&lf[340],19, C_text("\003syscheck-structure"));
lf[341]=C_h_intern(&lf[341],14, C_text("\003syscheck-blob"));
lf[342]=C_h_intern(&lf[342],21, C_text("\003syscheck-byte-vector"));
lf[343]=C_h_intern(&lf[343],14, C_text("\003syscheck-pair"));
lf[344]=C_h_intern(&lf[344],14, C_text("\003syscheck-list"));
lf[345]=C_h_intern(&lf[345],16, C_text("\003syscheck-string"));
lf[346]=C_h_intern(&lf[346],16, C_text("\003syscheck-number"));
lf[347]=C_h_intern(&lf[347],15, C_text("\003syscheck-exact"));
lf[348]=C_h_intern(&lf[348],17, C_text("\003syscheck-inexact"));
lf[349]=C_h_intern(&lf[349],16, C_text("\003syscheck-symbol"));
lf[350]=C_h_intern(&lf[350],16, C_text("\003syscheck-vector"));
lf[351]=C_h_intern(&lf[351],14, C_text("\003syscheck-char"));
lf[352]=C_h_intern(&lf[352],17, C_text("\003syscheck-boolean"));
lf[353]=C_h_intern(&lf[353],18, C_text("\003syscheck-locative"));
lf[354]=C_h_intern(&lf[354],17, C_text("\003syscheck-integer"));
lf[355]=C_h_intern(&lf[355],21, C_text("\003syserror-bad-integer"));
lf[356]=C_h_intern(&lf[356],23, C_text("\003syscheck-exact-integer"));
lf[357]=C_h_intern(&lf[357],27, C_text("\003syserror-bad-exact-integer"));
lf[358]=C_h_intern(&lf[358],24, C_text("\003syscheck-exact-uinteger"));
lf[359]=C_h_intern(&lf[359],28, C_text("\003syserror-bad-exact-uinteger"));
lf[360]=C_h_intern(&lf[360],14, C_text("\003syscheck-real"));
lf[361]=C_h_intern(&lf[361],18, C_text("\003syserror-bad-real"));
lf[362]=C_h_intern(&lf[362],14, C_text("\003syserror-hook"));
lf[363]=C_h_intern(&lf[363],17, C_text("\003syscheck-special"));
lf[364]=C_decode_literal(C_heaptop,C_text("\376B\000\000-bad argument type - not a pointer-like object"));
lf[365]=C_h_intern(&lf[365],17, C_text("\003syscheck-closure"));
lf[366]=C_h_intern(&lf[366],12, C_text("scheme#force"));
lf[367]=C_h_intern(&lf[367],8, C_text("\003syslist"));
lf[368]=C_h_intern(&lf[368],9, C_text("\003sysdload"));
lf[369]=C_h_intern(&lf[369],21, C_text("\003sysset-dlopen-flags!"));
lf[370]=C_h_intern(&lf[370],20, C_text("\003syserror-bad-number"));
lf[371]=C_h_intern(&lf[371],21, C_text("\003syserror-bad-inexact"));
lf[372]=C_h_intern(&lf[372],18, C_text("\003syserror-bad-base"));
lf[373]=C_h_intern(&lf[373],13, C_text("scheme#append"));
lf[374]=C_h_intern(&lf[374],6, C_text("append"));
lf[375]=C_h_intern(&lf[375],16, C_text("\003sysfast-reverse"));
lf[376]=C_h_intern(&lf[376],15, C_text("\003sysmake-string"));
lf[377]=C_h_intern(&lf[377],18, C_text("scheme#make-string"));
lf[378]=C_h_intern(&lf[378],11, C_text("make-string"));
lf[379]=C_h_intern(&lf[379],13, C_text("\000bounds-error"));
lf[380]=C_decode_literal(C_heaptop,C_text("\376B\000\000\020size is negative"));
lf[381]=C_h_intern(&lf[381],19, C_text("scheme#string->list"));
lf[382]=C_h_intern(&lf[382],12, C_text("string->list"));
lf[383]=C_h_intern(&lf[383],16, C_text("\003sysstring->list"));
lf[384]=C_h_intern(&lf[384],19, C_text("scheme#list->string"));
lf[385]=C_h_intern(&lf[385],12, C_text("list->string"));
lf[386]=C_h_intern(&lf[386],16, C_text("\003syslist->string"));
lf[387]=C_h_intern(&lf[387],24, C_text("\003sysreverse-list->string"));
lf[388]=C_h_intern(&lf[388],20, C_text("reverse-list->string"));
lf[389]=C_h_intern(&lf[389],19, C_text("scheme#string-fill!"));
lf[390]=C_h_intern(&lf[390],12, C_text("string-fill!"));
lf[391]=C_h_intern(&lf[391],18, C_text("scheme#string-copy"));
lf[392]=C_h_intern(&lf[392],11, C_text("string-copy"));
lf[393]=C_h_intern(&lf[393],16, C_text("scheme#substring"));
lf[394]=C_h_intern(&lf[394],9, C_text("substring"));
lf[395]=C_h_intern(&lf[395],13, C_text("\003syssubstring"));
lf[396]=C_h_intern(&lf[396],15, C_text("scheme#string<\077"));
lf[397]=C_h_intern(&lf[397],8, C_text("string<\077"));
lf[398]=C_h_intern(&lf[398],15, C_text("scheme#string>\077"));
lf[399]=C_h_intern(&lf[399],8, C_text("string>\077"));
lf[400]=C_h_intern(&lf[400],16, C_text("scheme#string<=\077"));
lf[401]=C_h_intern(&lf[401],9, C_text("string<=\077"));
lf[402]=C_h_intern(&lf[402],16, C_text("scheme#string>=\077"));
lf[403]=C_h_intern(&lf[403],9, C_text("string>=\077"));
lf[404]=C_h_intern(&lf[404],18, C_text("scheme#string-ci<\077"));
lf[405]=C_h_intern(&lf[405],11, C_text("string-ci<\077"));
lf[406]=C_h_intern(&lf[406],18, C_text("scheme#string-ci>\077"));
lf[407]=C_h_intern(&lf[407],11, C_text("string-ci>\077"));
lf[408]=C_h_intern(&lf[408],19, C_text("scheme#string-ci<=\077"));
lf[409]=C_h_intern(&lf[409],12, C_text("string-ci<=\077"));
lf[410]=C_h_intern(&lf[410],19, C_text("scheme#string-ci>=\077"));
lf[411]=C_h_intern(&lf[411],12, C_text("string-ci>=\077"));
lf[412]=C_h_intern(&lf[412],17, C_text("\003sysstring-append"));
lf[413]=C_h_intern(&lf[413],20, C_text("scheme#string-append"));
lf[414]=C_h_intern(&lf[414],13, C_text("string-append"));
lf[415]=C_h_intern(&lf[415],13, C_text("scheme#string"));
lf[416]=C_h_intern(&lf[416],21, C_text("\003sysfragments->string"));
lf[417]=C_h_intern(&lf[417],17, C_text("chicken.base#chop"));
lf[418]=C_h_intern(&lf[418],4, C_text("chop"));
lf[419]=C_decode_literal(C_heaptop,C_text("\376B\000\000\030invalid numeric argument"));
lf[420]=C_h_intern(&lf[420],15, C_text("chicken.flonum#"));
lf[421]=C_h_intern(&lf[421],29, C_text("chicken.flonum#maximum-flonum"));
lf[422]=C_h_intern(&lf[422],29, C_text("chicken.flonum#minimum-flonum"));
lf[423]=C_h_intern(&lf[423],27, C_text("chicken.flonum#flonum-radix"));
lf[424]=C_h_intern(&lf[424],29, C_text("chicken.flonum#flonum-epsilon"));
lf[425]=C_h_intern(&lf[425],31, C_text("chicken.flonum#flonum-precision"));
lf[426]=C_h_intern(&lf[426],39, C_text("chicken.flonum#flonum-decimal-precision"));
lf[427]=C_h_intern(&lf[427],38, C_text("chicken.flonum#flonum-maximum-exponent"));
lf[428]=C_h_intern(&lf[428],38, C_text("chicken.flonum#flonum-minimum-exponent"));
lf[429]=C_h_intern(&lf[429],46, C_text("chicken.flonum#flonum-maximum-decimal-exponent"));
lf[430]=C_h_intern(&lf[430],46, C_text("chicken.flonum#flonum-minimum-decimal-exponent"));
lf[431]=C_h_intern(&lf[431],18, C_text("chicken.flonum#fp+"));
lf[432]=C_h_intern(&lf[432],3, C_text("fp+"));
lf[433]=C_h_intern(&lf[433],18, C_text("chicken.flonum#fp-"));
lf[434]=C_h_intern(&lf[434],3, C_text("fp-"));
lf[435]=C_h_intern(&lf[435],18, C_text("chicken.flonum#fp\052"));
lf[436]=C_h_intern(&lf[436],3, C_text("fp\052"));
lf[437]=C_h_intern(&lf[437],18, C_text("chicken.flonum#fp/"));
lf[438]=C_h_intern(&lf[438],3, C_text("fp/"));
lf[439]=C_h_intern(&lf[439],20, C_text("chicken.flonum#fpgcd"));
lf[440]=C_h_intern(&lf[440],5, C_text("fpgcd"));
lf[441]=C_h_intern(&lf[441],19, C_text("chicken.flonum#fp/\077"));
lf[442]=C_h_intern(&lf[442],4, C_text("fp/\077"));
lf[443]=C_h_intern(&lf[443],18, C_text("chicken.flonum#fp="));
lf[444]=C_h_intern(&lf[444],3, C_text("fp="));
lf[445]=C_h_intern(&lf[445],18, C_text("chicken.flonum#fp>"));
lf[446]=C_h_intern(&lf[446],3, C_text("fp>"));
lf[447]=C_h_intern(&lf[447],18, C_text("chicken.flonum#fp<"));
lf[448]=C_h_intern(&lf[448],3, C_text("fp<"));
lf[449]=C_h_intern(&lf[449],19, C_text("chicken.flonum#fp>="));
lf[450]=C_h_intern(&lf[450],4, C_text("fp>="));
lf[451]=C_h_intern(&lf[451],19, C_text("chicken.flonum#fp<="));
lf[452]=C_h_intern(&lf[452],4, C_text("fp<="));
lf[453]=C_h_intern(&lf[453],20, C_text("chicken.flonum#fpneg"));
lf[454]=C_h_intern(&lf[454],5, C_text("fpneg"));
lf[455]=C_h_intern(&lf[455],20, C_text("chicken.flonum#fpmax"));
lf[456]=C_h_intern(&lf[456],5, C_text("fpmax"));
lf[457]=C_h_intern(&lf[457],20, C_text("chicken.flonum#fpmin"));
lf[458]=C_h_intern(&lf[458],5, C_text("fpmin"));
lf[459]=C_h_intern(&lf[459],22, C_text("chicken.flonum#fpfloor"));
lf[460]=C_h_intern(&lf[460],7, C_text("fpfloor"));
lf[461]=C_h_intern(&lf[461],25, C_text("chicken.flonum#fptruncate"));
lf[462]=C_h_intern(&lf[462],10, C_text("fptruncate"));
lf[463]=C_h_intern(&lf[463],22, C_text("chicken.flonum#fpround"));
lf[464]=C_h_intern(&lf[464],7, C_text("fpround"));
lf[465]=C_h_intern(&lf[465],24, C_text("chicken.flonum#fpceiling"));
lf[466]=C_h_intern(&lf[466],9, C_text("fpceiling"));
lf[467]=C_h_intern(&lf[467],20, C_text("chicken.flonum#fpsin"));
lf[468]=C_h_intern(&lf[468],5, C_text("fpsin"));
lf[469]=C_h_intern(&lf[469],20, C_text("chicken.flonum#fpcos"));
lf[470]=C_h_intern(&lf[470],5, C_text("fpcos"));
lf[471]=C_h_intern(&lf[471],20, C_text("chicken.flonum#fptan"));
lf[472]=C_h_intern(&lf[472],5, C_text("fptan"));
lf[473]=C_h_intern(&lf[473],21, C_text("chicken.flonum#fpasin"));
lf[474]=C_h_intern(&lf[474],6, C_text("fpasin"));
lf[475]=C_h_intern(&lf[475],21, C_text("chicken.flonum#fpacos"));
lf[476]=C_h_intern(&lf[476],6, C_text("fpacos"));
lf[477]=C_h_intern(&lf[477],21, C_text("chicken.flonum#fpatan"));
lf[478]=C_h_intern(&lf[478],6, C_text("fpatan"));
lf[479]=C_h_intern(&lf[479],22, C_text("chicken.flonum#fpatan2"));
lf[480]=C_h_intern(&lf[480],7, C_text("fpatan2"));
lf[481]=C_h_intern(&lf[481],20, C_text("chicken.flonum#fpexp"));
lf[482]=C_h_intern(&lf[482],5, C_text("fpexp"));
lf[483]=C_h_intern(&lf[483],21, C_text("chicken.flonum#fpexpt"));
lf[484]=C_h_intern(&lf[484],6, C_text("fpexpt"));
lf[485]=C_h_intern(&lf[485],20, C_text("chicken.flonum#fplog"));
lf[486]=C_h_intern(&lf[486],5, C_text("fplog"));
lf[487]=C_h_intern(&lf[487],21, C_text("chicken.flonum#fpsqrt"));
lf[488]=C_h_intern(&lf[488],6, C_text("fpsqrt"));
lf[489]=C_h_intern(&lf[489],20, C_text("chicken.flonum#fpabs"));
lf[490]=C_h_intern(&lf[490],5, C_text("fpabs"));
lf[491]=C_h_intern(&lf[491],25, C_text("chicken.flonum#fpinteger\077"));
lf[492]=C_h_intern(&lf[492],10, C_text("fpinteger\077"));
lf[493]=C_h_intern(&lf[493],37, C_text("chicken.flonum#flonum-print-precision"));
lf[494]=C_h_intern(&lf[494],22, C_text("flonum-print-precision"));
lf[495]=C_h_intern(&lf[495],11, C_text("\003sysnumber\077"));
lf[496]=C_h_intern(&lf[496],12, C_text("\003sysinteger\077"));
lf[497]=C_h_intern(&lf[497],10, C_text("\003sysexact\077"));
lf[498]=C_h_intern(&lf[498],12, C_text("\003sysinexact\077"));
lf[500]=C_decode_literal(C_heaptop,C_text("\376U0.0\000"));
lf[501]=C_h_intern(&lf[501],23, C_text("scheme#make-rectangular"));
lf[502]=C_h_intern(&lf[502],16, C_text("make-rectangular"));
lf[503]=C_h_intern(&lf[503],17, C_text("scheme#make-polar"));
lf[504]=C_h_intern(&lf[504],10, C_text("make-polar"));
lf[505]=C_h_intern(&lf[505],16, C_text("scheme#real-part"));
lf[506]=C_h_intern(&lf[506],9, C_text("real-part"));
lf[507]=C_h_intern(&lf[507],16, C_text("scheme#imag-part"));
lf[508]=C_h_intern(&lf[508],9, C_text("imag-part"));
lf[509]=C_h_intern(&lf[509],12, C_text("scheme#angle"));
lf[510]=C_h_intern(&lf[510],5, C_text("angle"));
lf[511]=C_h_intern(&lf[511],16, C_text("scheme#magnitude"));
lf[512]=C_h_intern(&lf[512],11, C_text("scheme#sqrt"));
lf[513]=C_h_intern(&lf[513],9, C_text("magnitude"));
lf[515]=C_h_intern(&lf[515],16, C_text("scheme#numerator"));
lf[516]=C_h_intern(&lf[516],11, C_text("bad-inexact"));
lf[517]=C_h_intern(&lf[517],9, C_text("numerator"));
lf[518]=C_h_intern(&lf[518],21, C_text("scheme#inexact->exact"));
lf[519]=C_decode_literal(C_heaptop,C_text("\376B\000\000)bad argument type - not a rational number"));
lf[520]=C_h_intern(&lf[520],18, C_text("scheme#denominator"));
lf[521]=C_h_intern(&lf[521],11, C_text("denominator"));
lf[522]=C_decode_literal(C_heaptop,C_text("\376U1.0\000"));
lf[523]=C_decode_literal(C_heaptop,C_text("\376B\000\000)bad argument type - not a rational number"));
lf[524]=C_h_intern(&lf[524],19, C_text("\003sysextended-signum"));
lf[525]=C_h_intern(&lf[525],6, C_text("signum"));
lf[526]=C_h_intern(&lf[526],7, C_text("\003sys/-2"));
lf[527]=C_h_intern(&lf[527],14, C_text("inexact->exact"));
lf[528]=C_h_intern(&lf[528],17, C_text("\003sysinteger-power"));
lf[529]=C_decode_literal(C_heaptop,C_text("\376U2.0\000"));
lf[530]=C_decode_literal(C_heaptop,C_text("\376U-1.0\000"));
lf[531]=C_h_intern(&lf[531],11, C_text("scheme#expt"));
lf[532]=C_h_intern(&lf[532],18, C_text("\003sysexact->inexact"));
lf[533]=C_h_intern(&lf[533],18, C_text("\003sysinexact->exact"));
lf[534]=C_h_intern(&lf[534],16, C_text("chicken.bitwise#"));
lf[535]=C_h_intern(&lf[535],27, C_text("chicken.bitwise#bitwise-and"));
lf[536]=C_h_intern(&lf[536],27, C_text("chicken.bitwise#bitwise-ior"));
lf[537]=C_h_intern(&lf[537],27, C_text("chicken.bitwise#bitwise-xor"));
lf[538]=C_h_intern(&lf[538],27, C_text("chicken.bitwise#bitwise-not"));
lf[539]=C_h_intern(&lf[539],28, C_text("chicken.bitwise#bit->boolean"));
lf[540]=C_h_intern(&lf[540],30, C_text("chicken.bitwise#integer-length"));
lf[541]=C_h_intern(&lf[541],32, C_text("chicken.bitwise#arithmetic-shift"));
lf[542]=C_h_intern(&lf[542],8, C_text("scheme#/"));
lf[544]=C_h_intern(&lf[544],1, C_text("/"));
lf[545]=C_h_intern(&lf[545],12, C_text("scheme#floor"));
lf[546]=C_h_intern(&lf[546],5, C_text("floor"));
lf[547]=C_h_intern(&lf[547],14, C_text("scheme#ceiling"));
lf[548]=C_h_intern(&lf[548],7, C_text("ceiling"));
lf[549]=C_h_intern(&lf[549],15, C_text("scheme#truncate"));
lf[550]=C_h_intern(&lf[550],8, C_text("truncate"));
lf[551]=C_h_intern(&lf[551],12, C_text("scheme#round"));
lf[552]=C_h_intern(&lf[552],5, C_text("round"));
lf[554]=C_decode_literal(C_heaptop,C_text("\376\003\000\000\002\376\377\001\000\000\000\000\376\003\000\000\002\376\377\001\000\000\000\001\376\377\016"));
lf[555]=C_h_intern(&lf[555],18, C_text("scheme#rationalize"));
lf[556]=C_h_intern(&lf[556],10, C_text("scheme#max"));
lf[557]=C_h_intern(&lf[557],3, C_text("max"));
lf[558]=C_h_intern(&lf[558],10, C_text("scheme#min"));
lf[559]=C_h_intern(&lf[559],3, C_text("min"));
lf[560]=C_h_intern(&lf[560],10, C_text("scheme#exp"));
lf[561]=C_h_intern(&lf[561],3, C_text("exp"));
lf[562]=C_h_intern(&lf[562],9, C_text("\003syslog-1"));
lf[563]=C_h_intern(&lf[563],17, C_text("\000arithmetic-error"));
lf[564]=C_h_intern(&lf[564],3, C_text("log"));
lf[565]=C_decode_literal(C_heaptop,C_text("\376B\000\000\033log of exact 0 is undefined"));
lf[566]=C_h_intern(&lf[566],10, C_text("scheme#log"));
lf[567]=C_h_intern(&lf[567],10, C_text("scheme#sin"));
lf[568]=C_h_intern(&lf[568],3, C_text("sin"));
lf[569]=C_decode_literal(C_heaptop,C_text("\376\016\000\000\002\376\377\001\000\000\000\000\376\377\001\000\000\000\001"));
lf[570]=C_decode_literal(C_heaptop,C_text("\376\016\000\000\002\376\377\001\000\000\000\000\376\377\001\000\000\000\002"));
lf[571]=C_h_intern(&lf[571],10, C_text("scheme#cos"));
lf[572]=C_h_intern(&lf[572],3, C_text("cos"));
lf[573]=C_h_intern(&lf[573],10, C_text("scheme#tan"));
lf[574]=C_h_intern(&lf[574],3, C_text("tan"));
lf[575]=C_h_intern(&lf[575],11, C_text("scheme#asin"));
lf[576]=C_h_intern(&lf[576],4, C_text("asin"));
lf[577]=C_decode_literal(C_heaptop,C_text("\376\016\000\000\002\376\377\001\000\000\000\000\376\377\001\377\377\377\377"));
lf[578]=C_h_intern(&lf[578],12, C_text("\003syssqrt/loc"));
lf[579]=C_h_intern(&lf[579],11, C_text("scheme#acos"));
lf[580]=C_h_intern(&lf[580],4, C_text("acos"));
lf[581]=C_h_intern(&lf[581],11, C_text("scheme#atan"));
lf[582]=C_h_intern(&lf[582],4, C_text("atan"));
lf[583]=C_h_intern(&lf[583],22, C_text("\003sysexact-integer-sqrt"));
lf[584]=C_decode_literal(C_heaptop,C_text("\376B\000\000\030this should never happen"));
lf[585]=C_h_intern(&lf[585],31, C_text("chicken.base#exact-integer-sqrt"));
lf[586]=C_h_intern(&lf[586],18, C_text("exact-integer-sqrt"));
lf[587]=C_h_intern(&lf[587],4, C_text("sqrt"));
lf[588]=C_h_intern(&lf[588],35, C_text("chicken.base#exact-integer-nth-root"));
lf[589]=C_h_intern(&lf[589],30, C_text("\003sysexact-integer-nth-root/loc"));
lf[590]=C_h_intern(&lf[590],22, C_text("exact-integer-nth-root"));
lf[591]=C_h_intern(&lf[591],4, C_text("expt"));
lf[592]=C_decode_literal(C_heaptop,C_text("\376B\000\0006exponent of exact 0 with complex argument is undefined"));
lf[593]=C_h_intern(&lf[593],7, C_text("\003sysgcd"));
lf[594]=C_h_intern(&lf[594],3, C_text("gcd"));
lf[595]=C_h_intern(&lf[595],10, C_text("scheme#gcd"));
lf[596]=C_h_intern(&lf[596],7, C_text("\003syslcm"));
lf[597]=C_h_intern(&lf[597],3, C_text("lcm"));
lf[598]=C_h_intern(&lf[598],10, C_text("scheme#lcm"));
lf[599]=C_h_intern(&lf[599],29, C_text("\003sysinteger->string/recursive"));
lf[600]=C_h_intern(&lf[600],18, C_text("\003sysnumber->string"));
lf[601]=C_h_intern(&lf[601],27, C_text("\003sysextended-number->string"));
lf[602]=C_decode_literal(C_heaptop,C_text("\376B\000\000\001/"));
lf[603]=C_decode_literal(C_heaptop,C_text("\376B\000\000\001+"));
lf[604]=C_decode_literal(C_heaptop,C_text("\376B\000\000\000"));
lf[605]=C_decode_literal(C_heaptop,C_text("\376B\000\000\001i"));
lf[606]=C_h_intern(&lf[606],14, C_text("number->string"));
lf[609]=C_h_intern(&lf[609],1, C_text("e"));
lf[610]=C_h_intern(&lf[610],1, C_text("i"));
lf[611]=C_decode_literal(C_heaptop,C_text("\376U+inf.0\000"));
lf[612]=C_decode_literal(C_heaptop,C_text("\376U-inf.0\000"));
lf[613]=C_h_intern(&lf[613],3, C_text("neg"));
lf[614]=C_h_intern(&lf[614],3, C_text("pos"));
lf[615]=C_decode_literal(C_heaptop,C_text("\376B\000\000\005inf.0"));
lf[616]=C_decode_literal(C_heaptop,C_text("\376B\000\000\005nan.0"));
lf[617]=C_h_intern(&lf[617],21, C_text("scheme#string->number"));
lf[618]=C_h_intern(&lf[618],14, C_text("string->number"));
lf[619]=C_h_intern(&lf[619],18, C_text("\003sysstring->number"));
lf[620]=C_h_intern(&lf[620],18, C_text("\003sysfixnum->string"));
lf[621]=C_h_intern(&lf[621],18, C_text("\003sysflonum->string"));
lf[622]=C_h_intern(&lf[622],19, C_text("\003sysinteger->string"));
lf[623]=C_h_intern(&lf[623],20, C_text("chicken.base#equal=\077"));
lf[624]=C_h_intern(&lf[624],9, C_text("\003syssnafu"));
lf[625]=C_h_intern(&lf[625],9, C_text("\003sysfnord"));
lf[626]=C_h_intern(&lf[626],17, C_text("\003sysintern-symbol"));
lf[627]=C_h_intern(&lf[627],20, C_text("\003sysinterned-symbol\077"));
lf[628]=C_h_intern(&lf[628],18, C_text("\003sysstring->symbol"));
lf[629]=C_h_intern(&lf[629],18, C_text("\003syssymbol->string"));
lf[630]=C_h_intern(&lf[630],28, C_text("\003syssymbol->qualified-string"));
lf[631]=C_decode_literal(C_heaptop,C_text("\376B\000\000\002##"));
lf[632]=C_decode_literal(C_heaptop,C_text("\376B\000\000\001#"));
lf[633]=C_h_intern(&lf[633],27, C_text("\003sysqualified-symbol-prefix"));
lf[634]=C_h_intern(&lf[634],21, C_text("\003sysqualified-symbol\077"));
lf[635]=C_h_intern(&lf[635],28, C_text("\003sysstring->qualified-symbol"));
lf[636]=C_h_intern(&lf[636],21, C_text("scheme#symbol->string"));
lf[637]=C_h_intern(&lf[637],14, C_text("symbol->string"));
lf[638]=C_h_intern(&lf[638],21, C_text("scheme#string->symbol"));
lf[639]=C_h_intern(&lf[639],14, C_text("string->symbol"));
lf[640]=C_h_intern(&lf[640],38, C_text("chicken.base#string->uninterned-symbol"));
lf[641]=C_h_intern(&lf[641],25, C_text("string->uninterned-symbol"));
lf[642]=C_h_intern(&lf[642],19, C_text("chicken.base#gensym"));
lf[643]=C_decode_literal(C_heaptop,C_text("\376B\000\000\001g"));
lf[644]=C_h_intern(&lf[644],6, C_text("gensym"));
lf[645]=C_decode_literal(C_heaptop,C_text("\376B\000\000\042argument is not a string or symbol"));
lf[646]=C_h_intern(&lf[646],26, C_text("chicken.base#symbol-append"));
lf[647]=C_h_intern(&lf[647],13, C_text("symbol-append"));
lf[648]=C_h_intern(&lf[648],16, C_text("chicken.keyword#"));
lf[649]=C_h_intern(&lf[649],24, C_text("chicken.keyword#keyword\077"));
lf[650]=C_h_intern(&lf[650],31, C_text("chicken.keyword#string->keyword"));
lf[651]=C_h_intern(&lf[651],15, C_text("string->keyword"));
lf[652]=C_h_intern(&lf[652],31, C_text("chicken.keyword#keyword->string"));
lf[653]=C_h_intern(&lf[653],15, C_text("keyword->string"));
lf[654]=C_decode_literal(C_heaptop,C_text("\376B\000\000!bad argument type - not a keyword"));
lf[655]=C_h_intern(&lf[655],3, C_text("tag"));
lf[656]=C_h_intern(&lf[656],27, C_text("chicken.keyword#get-keyword"));
lf[657]=C_h_intern(&lf[657],11, C_text("get-keyword"));
lf[658]=C_h_intern(&lf[658],15, C_text("\003sysget-keyword"));
lf[659]=C_h_intern(&lf[659],13, C_text("chicken.blob#"));
lf[660]=C_h_intern(&lf[660],13, C_text("\003sysmake-blob"));
lf[661]=C_h_intern(&lf[661],22, C_text("chicken.blob#make-blob"));
lf[662]=C_h_intern(&lf[662],9, C_text("make-blob"));
lf[663]=C_h_intern(&lf[663],18, C_text("chicken.blob#blob\077"));
lf[664]=C_h_intern(&lf[664],22, C_text("chicken.blob#blob-size"));
lf[665]=C_h_intern(&lf[665],9, C_text("blob-size"));
lf[666]=C_h_intern(&lf[666],25, C_text("chicken.blob#string->blob"));
lf[667]=C_h_intern(&lf[667],12, C_text("string->blob"));
lf[668]=C_h_intern(&lf[668],25, C_text("chicken.blob#blob->string"));
lf[669]=C_h_intern(&lf[669],12, C_text("blob->string"));
lf[670]=C_h_intern(&lf[670],19, C_text("chicken.blob#blob=\077"));
lf[671]=C_h_intern(&lf[671],6, C_text("blob=\077"));
lf[672]=C_h_intern(&lf[672],11, C_text("make-vector"));
lf[673]=C_decode_literal(C_heaptop,C_text("\376B\000\000\020size is negative"));
lf[674]=C_h_intern(&lf[674],15, C_text("\003sysmake-vector"));
lf[675]=C_h_intern(&lf[675],12, C_text("list->vector"));
lf[676]=C_h_intern(&lf[676],12, C_text("vector->list"));
lf[677]=C_h_intern(&lf[677],12, C_text("vector-fill!"));
lf[678]=C_h_intern(&lf[678],12, C_text("vector-copy!"));
lf[679]=C_decode_literal(C_heaptop,C_text("\376B\000\000)cannot copy vector - count exceeds length"));
lf[680]=C_h_intern(&lf[680],9, C_text("subvector"));
lf[681]=C_h_intern(&lf[681],13, C_text("vector-resize"));
lf[683]=C_h_intern(&lf[683],9, C_text("char-name"));
lf[684]=C_decode_literal(C_heaptop,C_text("\376B\000\000\026invalid character name"));
lf[685]=C_h_intern(&lf[685],34, C_text("\003syscall-with-current-continuation"));
lf[686]=C_h_intern(&lf[686],21, C_text("\003syscall-with-cthulhu"));
lf[687]=C_h_intern(&lf[687],20, C_text("\003syscall-with-values"));
lf[688]=C_h_intern(&lf[688],12, C_text("\003sysfor-each"));
lf[689]=C_h_intern(&lf[689],8, C_text("for-each"));
lf[690]=C_h_intern(&lf[690],7, C_text("\003sysmap"));
lf[691]=C_h_intern(&lf[691],3, C_text("map"));
lf[692]=C_decode_literal(C_heaptop,C_text("\376B\000\000\034lists are not of same length"));
lf[693]=C_h_intern(&lf[693],17, C_text("\003sysdynamic-winds"));
lf[694]=C_h_intern(&lf[694],16, C_text("\003sysdynamic-wind"));
lf[696]=C_h_intern(&lf[696],16, C_text("input-port-open\077"));
lf[697]=C_h_intern(&lf[697],17, C_text("output-port-open\077"));
lf[698]=C_h_intern(&lf[698],14, C_text("\003syscheck-port"));
lf[699]=C_h_intern(&lf[699],12, C_text("port-closed\077"));
lf[700]=C_h_intern(&lf[700],13, C_text("\003sysmake-port"));
lf[701]=C_h_intern(&lf[701],22, C_text("\003sysdispatch-interrupt"));
lf[702]=C_h_intern(&lf[702],11, C_text("\000file-error"));
lf[703]=C_h_intern(&lf[703],9, C_text("read-char"));
lf[704]=C_decode_literal(C_heaptop,C_text("\376B\000\000\030cannot read from port - "));
lf[705]=C_h_intern(&lf[705],17, C_text("\003syspeek-c-string"));
lf[706]=C_h_intern(&lf[706],16, C_text("\003sysupdate-errno"));
lf[707]=C_h_intern(&lf[707],9, C_text("peek-char"));
lf[708]=C_decode_literal(C_heaptop,C_text("\376B\000\000\030cannot read from port - "));
lf[709]=C_h_intern(&lf[709],12, C_text("read-string!"));
lf[710]=C_decode_literal(C_heaptop,C_text("\376B\000\000\030cannot read from port - "));
lf[711]=C_h_intern(&lf[711],9, C_text("read-line"));
lf[712]=C_decode_literal(C_heaptop,C_text("\376B\000\000\030cannot read from port - "));
lf[713]=C_decode_literal(C_heaptop,C_text("\376B\000\000\000"));
lf[714]=C_h_intern(&lf[714],21, C_text("\003sysstream-port-class"));
lf[715]=C_h_intern(&lf[715],18, C_text("\003sysopen-file-port"));
lf[716]=C_h_intern(&lf[716],18, C_text("\003sysstandard-input"));
lf[717]=C_h_intern(&lf[717],19, C_text("\003sysstandard-output"));
lf[718]=C_h_intern(&lf[718],18, C_text("\003sysstandard-error"));
lf[719]=C_h_intern(&lf[719],20, C_text("\003syscheck-input-port"));
lf[720]=C_h_intern(&lf[720],21, C_text("\003syscheck-output-port"));
lf[721]=C_h_intern(&lf[721],19, C_text("\003syscheck-open-port"));
lf[722]=C_h_intern(&lf[722],18, C_text("current-input-port"));
lf[723]=C_h_intern(&lf[723],19, C_text("current-output-port"));
lf[724]=C_h_intern(&lf[724],18, C_text("current-error-port"));
lf[725]=C_h_intern(&lf[725],13, C_text("\003systty-port\077"));
lf[726]=C_h_intern(&lf[726],25, C_text("\003syspeek-unsigned-integer"));
lf[727]=C_h_intern(&lf[727],13, C_text("\003sysport-data"));
lf[728]=C_h_intern(&lf[728],18, C_text("\003sysset-port-data!"));
lf[729]=C_decode_literal(C_heaptop,C_text("\376B\000\000\001r"));
lf[730]=C_decode_literal(C_heaptop,C_text("\376B\000\000\001w"));
lf[731]=C_decode_literal(C_heaptop,C_text("\376B\000\000\000"));
lf[732]=C_decode_literal(C_heaptop,C_text("\376B\000\000\023cannot open file - "));
lf[733]=C_h_intern(&lf[733],6, C_text("stream"));
lf[734]=C_h_intern(&lf[734],7, C_text("\000binary"));
lf[735]=C_decode_literal(C_heaptop,C_text("\376B\000\000\001b"));
lf[736]=C_h_intern(&lf[736],5, C_text("\000text"));
lf[737]=C_decode_literal(C_heaptop,C_text("\376B\000\000\000"));
lf[738]=C_h_intern(&lf[738],7, C_text("\000append"));
lf[739]=C_decode_literal(C_heaptop,C_text("\376B\000\000&cannot use append mode with input file"));
lf[740]=C_decode_literal(C_heaptop,C_text("\376B\000\000\001a"));
lf[741]=C_decode_literal(C_heaptop,C_text("\376B\000\000\023invalid file option"));
lf[742]=C_h_intern(&lf[742],15, C_text("open-input-file"));
lf[743]=C_h_intern(&lf[743],16, C_text("open-output-file"));
lf[744]=C_h_intern(&lf[744],16, C_text("close-input-port"));
lf[745]=C_h_intern(&lf[745],17, C_text("close-output-port"));
lf[746]=C_h_intern(&lf[746],16, C_text("\003sysfile-exists\077"));
lf[747]=C_decode_literal(C_heaptop,C_text("\376B\000\000(system error while trying to access file"));
lf[748]=C_h_intern(&lf[748],17, C_text("\003sysmake-c-string"));
lf[749]=C_h_intern(&lf[749],16, C_text("\003sysflush-output"));
lf[750]=C_h_intern(&lf[750],12, C_text("flush-output"));
lf[751]=C_h_intern(&lf[751],13, C_text("\003sysport-line"));
lf[752]=C_h_intern(&lf[752],19, C_text("\003sysdecorate-lambda"));
lf[753]=C_h_intern(&lf[753],21, C_text("\003syslambda-decoration"));
lf[754]=C_h_intern(&lf[754],20, C_text("\003sysmake-lambda-info"));
lf[755]=C_h_intern(&lf[755],16, C_text("\003syslambda-info\077"));
lf[756]=C_h_intern(&lf[756],15, C_text("\003syslambda-info"));
lf[757]=C_h_intern(&lf[757],23, C_text("\003syslambda-info->string"));
lf[758]=C_h_intern(&lf[758],8, C_text("\003sysread"));
lf[759]=C_h_intern(&lf[759],21, C_text("procedure-information"));
lf[760]=C_h_intern(&lf[760],6, C_text("setter"));
lf[762]=C_h_intern(&lf[762],10, C_text("\003syssetter"));
lf[763]=C_h_intern(&lf[763],18, C_text("getter-with-setter"));
lf[765]=C_h_intern(&lf[765],28, C_text("\003syscurrent-parameter-vector"));
lf[766]=C_decode_literal(C_heaptop,C_text("\376\000\000\000\000"));
lf[767]=C_h_intern(&lf[767],11, C_text("char-ready\077"));
lf[768]=C_h_intern(&lf[768],15, C_text("\003sysread-char-0"));
lf[769]=C_h_intern(&lf[769],18, C_text("\003sysread-char/port"));
lf[770]=C_h_intern(&lf[770],15, C_text("\003syspeek-char-0"));
lf[771]=C_h_intern(&lf[771],4, C_text("read"));
lf[772]=C_h_intern(&lf[772],26, C_text("\003sysdefault-read-info-hook"));
lf[773]=C_h_intern(&lf[773],31, C_text("\003sysread-error-with-line-number"));
lf[774]=C_h_intern(&lf[774],21, C_text("\003sysenable-qualifiers"));
lf[775]=C_h_intern(&lf[775],20, C_text("\003sysread-prompt-hook"));
lf[776]=C_h_intern(&lf[776],19, C_text("\003sysinfix-list-hook"));
lf[777]=C_h_intern(&lf[777],21, C_text("\003syssharp-number-hook"));
lf[778]=C_h_intern(&lf[778],14, C_text("\003sysread-error"));
lf[779]=C_decode_literal(C_heaptop,C_text("\376B\000\000\032invalid `#...\047 read syntax"));
lf[780]=C_h_intern(&lf[780],22, C_text("\003syscurrent-read-table"));
lf[781]=C_h_intern(&lf[781],16, C_text("\003sysread-warning"));
lf[782]=C_decode_literal(C_heaptop,C_text("\376B\000\000\006(line "));
lf[783]=C_decode_literal(C_heaptop,C_text("\376B\000\000\002) "));
lf[784]=C_h_intern(&lf[784],13, C_text("\000syntax-error"));
lf[785]=C_decode_literal(C_heaptop,C_text("\376B\000\000\006(line "));
lf[786]=C_decode_literal(C_heaptop,C_text("\376B\000\000\002) "));
lf[787]=C_decode_literal(C_heaptop,C_text("\376\003\000\000\002\376\377\012\000\000,\376\003\000\000\002\376\377\012\000\000;\376\003\000\000\002\376\377\012\000\000(\376\003\000\000\002\376\377\012\000\000)\376\003\000\000\002\376\377\012\000\000\047\376\003\000\000\002\376\377\012\000\000\042\376\003\000\000\002\376\377\012\000\000[\376\003\000"
"\000\002\376\377\012\000\000]\376\003\000\000\002\376\377\012\000\000{\376\003\000\000\002\376\377\012\000\000}\376\377\016"));
lf[788]=C_decode_literal(C_heaptop,C_text("\376B\000\000\032unexpected list terminator"));
lf[789]=C_decode_literal(C_heaptop,C_text("\376B\000\000\022reserved character"));
lf[790]=C_decode_literal(C_heaptop,C_text("\376B\000\000\032invalid escape-sequence \047\134"));
lf[791]=C_decode_literal(C_heaptop,C_text("\376B\000\000\001\047"));
lf[792]=C_decode_literal(C_heaptop,C_text("\376B\000\000\034unterminated string constant"));
lf[793]=C_h_intern(&lf[793],21, C_text("\003syschar->utf8-string"));
lf[794]=C_decode_literal(C_heaptop,C_text("\376B\000\000\023unterminated string"));
lf[795]=C_decode_literal(C_heaptop,C_text("\376B\000\000\001x"));
lf[796]=C_decode_literal(C_heaptop,C_text("\376B\000\000\022bad surrogate pair"));
lf[797]=C_h_intern(&lf[797],25, C_text("\003syssurrogates->codepoint"));
lf[798]=C_decode_literal(C_heaptop,C_text("\376B\000\000\001u"));
lf[799]=C_decode_literal(C_heaptop,C_text("\376B\000\000\032unpaired escaped surrogate"));
lf[800]=C_h_intern(&lf[800],22, C_text("\003sysunicode-surrogate\077"));
lf[801]=C_decode_literal(C_heaptop,C_text("\376B\000\000\001u"));
lf[802]=C_decode_literal(C_heaptop,C_text("\376B\000\000\032invalid escape (surrogate)"));
lf[803]=C_decode_literal(C_heaptop,C_text("\376B\000\000\001U"));
lf[804]=C_decode_literal(C_heaptop,C_text("\376B\000\0006escaped whitespace, but no newline - collapsing anyway"));
lf[805]=C_decode_literal(C_heaptop,C_text("\376B\000\000\023unterminated string"));
lf[806]=C_decode_literal(C_heaptop,C_text("\376B\000\000\000"));
lf[807]=C_decode_literal(C_heaptop,C_text("\376B\000\000\077undefined escape sequence in string - probably forgot backslash"));
lf[808]=C_decode_literal(C_heaptop,C_text("\376B\000\000\023, starting in line "));
lf[809]=C_h_intern(&lf[809],9, C_text("list-info"));
lf[810]=C_decode_literal(C_heaptop,C_text("\376B\000\000\030list-terminator mismatch"));
lf[811]=C_decode_literal(C_heaptop,C_text("\376B\000\000\021unterminated list"));
lf[812]=C_decode_literal(C_heaptop,C_text("\376B\000\000\027missing list terminator"));
lf[813]=C_decode_literal(C_heaptop,C_text("\376B\000\000\022invalid use of `.\047"));
lf[814]=C_decode_literal(C_heaptop,C_text("\376B\000\000\002.:"));
lf[815]=C_h_intern(&lf[815],7, C_text("\000suffix"));
lf[816]=C_decode_literal(C_heaptop,C_text("\376B\000\000\001."));
lf[817]=C_decode_literal(C_heaptop,C_text("\376B\000\000\001."));
lf[818]=C_decode_literal(C_heaptop,C_text("\376B\000\000\015missing token"));
lf[819]=C_h_intern(&lf[819],16, C_text("\003syslist->vector"));
lf[820]=C_decode_literal(C_heaptop,C_text("\376B\000\000\025invalid vector syntax"));
lf[821]=C_h_intern(&lf[821],11, C_text("symbol-info"));
lf[822]=C_decode_literal(C_heaptop,C_text("\376B\000\000\001."));
lf[823]=C_decode_literal(C_heaptop,C_text("\376B\000\000\022invalid use of `.\047"));
lf[824]=C_decode_literal(C_heaptop,C_text("\376B\000\000\042unexpected prefix in number syntax"));
lf[825]=C_decode_literal(C_heaptop,C_text("\376B\000\000\025illegal number syntax"));
lf[826]=C_decode_literal(C_heaptop,C_text("\376B\000\000!unexpected end of numeric literal"));
lf[827]=C_decode_literal(C_heaptop,C_text("\376B\000\0000illegal number syntax - invalid exactness prefix"));
lf[828]=C_decode_literal(C_heaptop,C_text("\376B\000\000!unexpected end of numeric literal"));
lf[829]=C_decode_literal(C_heaptop,C_text("\376B\000\000%illegal number syntax - invalid radix"));
lf[830]=C_decode_literal(C_heaptop,C_text("\376B\000\000Eattempt to read expression from something that looks like binary data"));
lf[831]=C_decode_literal(C_heaptop,C_text("\376B\000\000\052escaped symbol syntax spans multiple lines"));
lf[832]=C_h_intern(&lf[832],7, C_text("\000prefix"));
lf[833]=C_decode_literal(C_heaptop,C_text("\376B\000\0006unexpected end of file while reading escaped character"));
lf[834]=C_decode_literal(C_heaptop,C_text("\376B\000\000\027unknown named character"));
lf[835]=C_decode_literal(C_heaptop,C_text("\376B\000\000\032unterminated block-comment"));
lf[836]=C_decode_literal(C_heaptop,C_text("\376B\000\000\037invalid qualified symbol syntax"));
lf[837]=C_decode_literal(C_heaptop,C_text("\376B\000\000&qualified symbol syntax is not allowed"));
lf[838]=C_h_intern(&lf[838],5, C_text("quote"));
lf[839]=C_h_intern(&lf[839],10, C_text("quasiquote"));
lf[840]=C_h_intern(&lf[840],16, C_text("unquote-splicing"));
lf[841]=C_h_intern(&lf[841],7, C_text("unquote"));
lf[842]=C_decode_literal(C_heaptop,C_text("\376B\000\000,unexpected end of input after reading #-sign"));
lf[843]=C_decode_literal(C_heaptop,C_text("\376B\000\000%unexpected end of input after reading"));
lf[844]=C_decode_literal(C_heaptop,C_text("\376B\000\000!invalid parameterized read syntax"));
lf[845]=C_decode_literal(C_heaptop,C_text("\376B\000\0006unexpected end of input while reading `#c...\047 sequence"));
lf[846]=C_decode_literal(C_heaptop,C_text("\376B\000\000\052invalid case specifier in `#c...\047 sequence"));
lf[847]=C_h_intern(&lf[847],11, C_text("quasisyntax"));
lf[848]=C_h_intern(&lf[848],27, C_text("\003sysread-bytevector-literal"));
lf[849]=C_h_intern(&lf[849],8, C_text("location"));
lf[850]=C_decode_literal(C_heaptop,C_text("\376B\000\000\015empty keyword"));
lf[851]=C_h_intern(&lf[851],11, C_text("cond-expand"));
lf[852]=C_decode_literal(C_heaptop,C_text("\376\003\000\000\002\376\001\000\000\004else\376\377\016"));
lf[853]=C_decode_literal(C_heaptop,C_text("\376B\000\000\003eof"));
lf[854]=C_decode_literal(C_heaptop,C_text("\376B\000\000\010optional"));
lf[855]=C_decode_literal(C_heaptop,C_text("\376B\000\000\004rest"));
lf[856]=C_decode_literal(C_heaptop,C_text("\376B\000\000\003key"));
lf[857]=C_decode_literal(C_heaptop,C_text("\376B\000\000\002#!"));
lf[858]=C_h_intern(&lf[858],14, C_text("\003sysread-marks"));
lf[859]=C_decode_literal(C_heaptop,C_text("\376B\000\000\022invalid `#!\047 token"));
lf[860]=C_h_intern(&lf[860],18, C_text("\003sysuser-read-hook"));
lf[861]=C_decode_literal(C_heaptop,C_text("\376\003\000\000\002\376\377\012\000\000[\376\003\000\000\002\376\377\012\000\000]\376\003\000\000\002\376\377\012\000\000{\376\003\000\000\002\376\377\012\000\000}\376\377\016"));
lf[862]=C_decode_literal(C_heaptop,C_text("\376\003\000\000\002\376\377\012\000\000|\376\377\016"));
lf[863]=C_decode_literal(C_heaptop,C_text("\376B\000\000\035UTF-8 codepoint out of range:"));
lf[864]=C_decode_literal(C_heaptop,C_text("\376B\000\000 invalid hex-code in blob-literal"));
lf[865]=C_decode_literal(C_heaptop,C_text("\376B\000\000\036unexpected end of blob literal"));
lf[866]=C_decode_literal(C_heaptop,C_text("\376B\000\000\036invalid sharp-sign read syntax"));
lf[867]=C_h_intern(&lf[867],16, C_text("\003syswrite-char-0"));
lf[868]=C_h_intern(&lf[868],19, C_text("\003syswrite-char/port"));
lf[869]=C_h_intern(&lf[869],10, C_text("write-char"));
lf[870]=C_h_intern(&lf[870],5, C_text("write"));
lf[871]=C_h_intern(&lf[871],9, C_text("\003sysprint"));
lf[872]=C_h_intern(&lf[872],7, C_text("display"));
lf[873]=C_h_intern(&lf[873],5, C_text("print"));
lf[875]=C_h_intern(&lf[875],22, C_text("\003sysprint-length-limit"));
lf[877]=C_decode_literal(C_heaptop,C_text("\376B\000\000\003..."));
lf[878]=C_decode_literal(C_heaptop,C_text("\376B\000\000\003..."));
lf[879]=C_decode_literal(C_heaptop,C_text("\376B\000\000\002\134x"));
lf[880]=C_decode_literal(C_heaptop,C_text("\376\003\000\000\002\376\377\012\000\000(\376\003\000\000\002\376\377\012\000\000)\376\003\000\000\002\376\377\012\000\000,\376\003\000\000\002\376\377\012\000\000[\376\003\000\000\002\376\377\012\000\000]\376\003\000\000\002\376\377\012\000\000{\376\003\000\000\002\376\377\012\000\000}\376\003\000"
"\000\002\376\377\012\000\000\047\376\003\000\000\002\376\377\012\000\000\042\376\003\000\000\002\376\377\012\000\000;\376\003\000\000\002\376\377\012\000\000 \376\003\000\000\002\376\377\012\000\000`\376\003\000\000\002\376\377\012\000\000|\376\003\000\000\002\376\377\012\000\000\134\376\377\016"));
lf[881]=C_decode_literal(C_heaptop,C_text("\376B\000\000\002()"));
lf[882]=C_decode_literal(C_heaptop,C_text("\376B\000\000\002#t"));
lf[883]=C_decode_literal(C_heaptop,C_text("\376B\000\000\002#f"));
lf[884]=C_decode_literal(C_heaptop,C_text("\376B\000\000\005#!eof"));
lf[885]=C_decode_literal(C_heaptop,C_text("\376B\000\000\016#<unspecified>"));
lf[886]=C_decode_literal(C_heaptop,C_text("\376B\000\000\002#\134"));
lf[887]=C_decode_literal(C_heaptop,C_text("\376B\000\000\020#<unbound value>"));
lf[888]=C_decode_literal(C_heaptop,C_text("\376B\000\000\033#<invalid immediate object>"));
lf[889]=C_decode_literal(C_heaptop,C_text("\376B\000\000\033#<invalid forwarded object>"));
lf[890]=C_decode_literal(C_heaptop,C_text("\376B\000\000\002#:"));
lf[891]=C_h_intern(&lf[891],19, C_text("\003syspointer->string"));
lf[892]=C_decode_literal(C_heaptop,C_text("\376B\000\000\002\134\042"));
lf[893]=C_decode_literal(C_heaptop,C_text("\376B\000\000\002\134\134"));
lf[894]=C_decode_literal(C_heaptop,C_text("\376B\000\000\003 . "));
lf[895]=C_decode_literal(C_heaptop,C_text("\376B\000\000\003#${"));
lf[896]=C_h_intern(&lf[896],19, C_text("\003sysuser-print-hook"));
lf[897]=C_h_intern(&lf[897],21, C_text("\003sysprocedure->string"));
lf[898]=C_decode_literal(C_heaptop,C_text("\376B\000\000\013#<locative>"));
lf[899]=C_decode_literal(C_heaptop,C_text("\376B\000\000\016#<lambda info "));
lf[900]=C_decode_literal(C_heaptop,C_text("\376B\000\000\002\042>"));
lf[901]=C_decode_literal(C_heaptop,C_text("\376B\000\000\016#<input port \042"));
lf[902]=C_decode_literal(C_heaptop,C_text("\376B\000\000\017#<output port \042"));
lf[903]=C_decode_literal(C_heaptop,C_text("\376B\000\000\010#<port \042"));
lf[904]=C_decode_literal(C_heaptop,C_text("\376B\000\000\003#()"));
lf[905]=C_decode_literal(C_heaptop,C_text("\376B\000\000\002#("));
lf[906]=C_decode_literal(C_heaptop,C_text("\376B\000\000,unprintable non-immediate object encountered"));
lf[907]=C_decode_literal(C_heaptop,C_text("\376B\000\000\014#<procedure "));
lf[908]=C_decode_literal(C_heaptop,C_text("\376B\000\000\001>"));
lf[909]=C_decode_literal(C_heaptop,C_text("\376B\000\000\014#<procedure>"));
lf[910]=C_h_intern(&lf[910],19, C_text("\003sysrecord-printers"));
lf[911]=C_h_intern(&lf[911],27, C_text("\003sysregister-record-printer"));
lf[912]=C_h_intern(&lf[912],9, C_text("condition"));
lf[913]=C_decode_literal(C_heaptop,C_text("\376\003\000\000\002\376\001\000\000\003exn\376\001\000\000\007message"));
lf[914]=C_decode_literal(C_heaptop,C_text("\376B\000\000\003\047: "));
lf[915]=C_decode_literal(C_heaptop,C_text("\376B\000\000\002\047>"));
lf[916]=C_decode_literal(C_heaptop,C_text("\376B\000\000##<Error in printer of record type `"));
lf[917]=C_h_intern(&lf[917],40, C_text("chicken.condition#with-exception-handler"));
lf[918]=C_decode_literal(C_heaptop,C_text("\376B\000\000\002: "));
lf[919]=C_h_intern(&lf[919],6, C_text("thread"));
lf[920]=C_decode_literal(C_heaptop,C_text("\376B\000\000\002: "));
lf[921]=C_decode_literal(C_heaptop,C_text("\376B\000\000\002#<"));
lf[922]=C_h_intern(&lf[922],27, C_text("\003syswith-print-length-limit"));
lf[923]=C_h_intern(&lf[923],14, C_text("\003syscopy-bytes"));
lf[924]=C_decode_literal(C_heaptop,C_text("\376B\000\000\022string buffer full"));
lf[925]=C_h_intern(&lf[925],20, C_text("\003sysscan-buffer-line"));
lf[926]=C_decode_literal(C_heaptop,C_text("\376B\000\000\000"));
lf[927]=C_h_intern(&lf[927],21, C_text("\003sysstring-port-class"));
lf[928]=C_decode_literal(C_heaptop,C_text("\376B\000\000\001\015"));
lf[929]=C_decode_literal(C_heaptop,C_text("\376B\000\000\001\015"));
lf[930]=C_decode_literal(C_heaptop,C_text("\376B\000\000\000"));
lf[931]=C_h_intern(&lf[931],17, C_text("open-input-string"));
lf[932]=C_decode_literal(C_heaptop,C_text("\376B\000\000\010(string)"));
lf[933]=C_h_intern(&lf[933],6, C_text("string"));
lf[934]=C_decode_literal(C_heaptop,C_text("\376B\000\000\010(string)"));
lf[935]=C_h_intern(&lf[935],17, C_text("get-output-string"));
lf[936]=C_decode_literal(C_heaptop,C_text("\376B\000\000$argument is not a string-output-port"));
lf[937]=C_h_intern(&lf[937],19, C_text("\003sysprint-to-string"));
lf[938]=C_decode_literal(C_heaptop,C_text("\376B\000\000\021#<tagged pointer "));
lf[939]=C_decode_literal(C_heaptop,C_text("\376B\000\000\001 "));
lf[940]=C_decode_literal(C_heaptop,C_text("\376B\000\000\001>"));
lf[941]=C_h_intern(&lf[941],20, C_text("\003syspointer->address"));
lf[942]=C_decode_literal(C_heaptop,C_text("\376B\000\000\014#<pointer 0x"));
lf[943]=C_decode_literal(C_heaptop,C_text("\376B\000\000\001>"));
lf[944]=C_h_intern(&lf[944],18, C_text("\003syscurrent-thread"));
lf[945]=C_h_intern(&lf[945],25, C_text("\003syspeek-nonnull-c-string"));
lf[946]=C_h_intern(&lf[946],27, C_text("\003sysreally-print-call-chain"));
lf[947]=C_h_intern(&lf[947],9, C_text("frameinfo"));
lf[948]=C_decode_literal(C_heaptop,C_text("\376B\000\000\002] "));
lf[949]=C_decode_literal(C_heaptop,C_text("\376B\000\000\003\011  "));
lf[950]=C_decode_literal(C_heaptop,C_text("\376B\000\000\002\012\011"));
lf[951]=C_decode_literal(C_heaptop,C_text("\376B\000\000\005\011<--\012"));
lf[952]=C_decode_literal(C_heaptop,C_text("\376B\000\000\020\012\011Call history:\012"));
lf[953]=C_h_intern(&lf[953],16, C_text("print-call-chain"));
lf[954]=C_h_intern(&lf[954],23, C_text("\003sysuser-interrupt-hook"));
lf[955]=C_h_intern(&lf[955],15, C_text("\000user-interrupt"));
lf[956]=C_h_intern(&lf[956],21, C_text("\003sysprimordial-thread"));
lf[959]=C_h_intern(&lf[959],20, C_text("\003sysforce-finalizers"));
lf[960]=C_h_intern(&lf[960],27, C_text("chicken.gc#force-finalizers"));
lf[961]=C_decode_literal(C_heaptop,C_text("\376B\000\000\036[debug] forcing finalizers...\012"));
lf[962]=C_h_intern(&lf[962],19, C_text("\003sysdump-heap-state"));
lf[963]=C_decode_literal(C_heaptop,C_text("\376B\000\000\001\012"));
lf[964]=C_h_intern(&lf[964],17, C_text("\003sysreset-handler"));
lf[965]=C_h_intern(&lf[965],18, C_text("chicken.condition#"));
lf[966]=C_decode_literal(C_heaptop,C_text("\376\003\000\000\002\376\001\000\000\016user-interrupt\376\377\016"));
lf[967]=C_h_intern(&lf[967],23, C_text("chicken.condition#abort"));
lf[968]=C_decode_literal(C_heaptop,C_text("\376B\000\000\002: "));
lf[969]=C_decode_literal(C_heaptop,C_text("\376B\000\000\012\012Warning: "));
lf[970]=C_decode_literal(C_heaptop,C_text("\376B\000\000\007\012Note: "));
lf[971]=C_decode_literal(C_heaptop,C_text("\376\003\000\000\002\376\001\000\000\003exn\376\001\000\000\007message"));
lf[972]=C_decode_literal(C_heaptop,C_text("\376\003\000\000\002\376\001\000\000\003exn\376\001\000\000\011arguments"));
lf[973]=C_decode_literal(C_heaptop,C_text("\376\003\000\000\002\376\001\000\000\003exn\376\001\000\000\012call-chain"));
lf[974]=C_decode_literal(C_heaptop,C_text("\376\003\000\000\002\376\001\000\000\003exn\376\001\000\000\010location"));
lf[975]=C_decode_literal(C_heaptop,C_text("\376\003\000\000\002\376\001\000\000\003exn\376\003\000\000\002\376\001\000\000\004type\376\377\016"));
lf[976]=C_decode_literal(C_heaptop,C_text("\376\003\000\000\002\376\001\000\000\003exn\376\003\000\000\002\376\001\000\000\006syntax\376\377\016"));
lf[977]=C_decode_literal(C_heaptop,C_text("\376\003\000\000\002\376\001\000\000\003exn\376\003\000\000\002\376\001\000\000\006bounds\376\377\016"));
lf[978]=C_decode_literal(C_heaptop,C_text("\376\003\000\000\002\376\001\000\000\003exn\376\003\000\000\002\376\001\000\000\012arithmetic\376\377\016"));
lf[979]=C_decode_literal(C_heaptop,C_text("\376\003\000\000\002\376\001\000\000\003exn\376\003\000\000\002\376\001\000\000\003i/o\376\003\000\000\002\376\001\000\000\004file\376\377\016"));
lf[980]=C_h_intern(&lf[980],14, C_text("\000runtime-error"));
lf[981]=C_decode_literal(C_heaptop,C_text("\376\003\000\000\002\376\001\000\000\003exn\376\003\000\000\002\376\001\000\000\007runtime\376\377\016"));
lf[982]=C_h_intern(&lf[982],14, C_text("\000process-error"));
lf[983]=C_decode_literal(C_heaptop,C_text("\376\003\000\000\002\376\001\000\000\003exn\376\003\000\000\002\376\001\000\000\007process\376\377\016"));
lf[984]=C_h_intern(&lf[984],14, C_text("\000network-error"));
lf[985]=C_decode_literal(C_heaptop,C_text("\376\003\000\000\002\376\001\000\000\003exn\376\003\000\000\002\376\001\000\000\003i/o\376\003\000\000\002\376\001\000\000\003net\376\377\016"));
lf[986]=C_h_intern(&lf[986],22, C_text("\000network-timeout-error"));
lf[987]=C_decode_literal(C_heaptop,C_text("\376\003\000\000\002\376\001\000\000\003exn\376\003\000\000\002\376\001\000\000\003i/o\376\003\000\000\002\376\001\000\000\003net\376\003\000\000\002\376\001\000\000\007timeout\376\377\016"));
lf[988]=C_h_intern(&lf[988],12, C_text("\000limit-error"));
lf[989]=C_decode_literal(C_heaptop,C_text("\376\003\000\000\002\376\001\000\000\003exn\376\003\000\000\002\376\001\000\000\007runtime\376\003\000\000\002\376\001\000\000\005limit\376\377\016"));
lf[990]=C_h_intern(&lf[990],12, C_text("\000arity-error"));
lf[991]=C_decode_literal(C_heaptop,C_text("\376\003\000\000\002\376\001\000\000\003exn\376\003\000\000\002\376\001\000\000\005arity\376\377\016"));
lf[992]=C_h_intern(&lf[992],13, C_text("\000access-error"));
lf[993]=C_decode_literal(C_heaptop,C_text("\376\003\000\000\002\376\001\000\000\003exn\376\003\000\000\002\376\001\000\000\006access\376\377\016"));
lf[994]=C_h_intern(&lf[994],13, C_text("\000domain-error"));
lf[995]=C_decode_literal(C_heaptop,C_text("\376\003\000\000\002\376\001\000\000\003exn\376\003\000\000\002\376\001\000\000\006domain\376\377\016"));
lf[996]=C_h_intern(&lf[996],13, C_text("\000memory-error"));
lf[997]=C_decode_literal(C_heaptop,C_text("\376\003\000\000\002\376\001\000\000\003exn\376\003\000\000\002\376\001\000\000\006memory\376\377\016"));
lf[998]=C_decode_literal(C_heaptop,C_text("\376\003\000\000\002\376\001\000\000\003exn\376\377\016"));
lf[999]=C_decode_literal(C_heaptop,C_text("\376\003\000\000\002\376\001\000\000\003exn\376\001\000\000\007message"));
lf[1000]=C_decode_literal(C_heaptop,C_text("\376B\000\000\032exception handler returned"));
lf[1001]=C_decode_literal(C_heaptop,C_text("\376\003\000\000\002\376\001\000\000\003exn\376\001\000\000\011arguments"));
lf[1002]=C_decode_literal(C_heaptop,C_text("\376\003\000\000\002\376\001\000\000\003exn\376\001\000\000\010location"));
lf[1003]=C_decode_literal(C_heaptop,C_text("\376\003\000\000\002\376\001\000\000\003exn\376\377\016"));
lf[1004]=C_h_intern(&lf[1004],29, C_text("\003syscurrent-exception-handler"));
lf[1005]=C_h_intern(&lf[1005],24, C_text("chicken.condition#signal"));
lf[1006]=C_h_intern(&lf[1006],18, C_text("\003sysbreak-on-error"));
lf[1007]=C_h_intern(&lf[1007],17, C_text("\003syserror-handler"));
lf[1008]=C_h_intern(&lf[1008],18, C_text("\003syslast-exception"));
lf[1009]=C_decode_literal(C_heaptop,C_text("\376\003\000\000\002\376\001\000\000\022uncaught-exception\376\001\000\000\006reason"));
lf[1010]=C_decode_literal(C_heaptop,C_text("\376\003\000\000\002\376\001\000\000\022uncaught-exception\376\377\016"));
lf[1011]=C_h_intern(&lf[1011],3, C_text("exn"));
lf[1012]=C_decode_literal(C_heaptop,C_text("\376\003\000\000\002\376\001\000\000\003exn\376\001\000\000\007message"));
lf[1013]=C_decode_literal(C_heaptop,C_text("\376\003\000\000\002\376\001\000\000\003exn\376\001\000\000\011arguments"));
lf[1014]=C_decode_literal(C_heaptop,C_text("\376\003\000\000\002\376\001\000\000\003exn\376\001\000\000\010location"));
lf[1015]=C_decode_literal(C_heaptop,C_text("\376B\000\000\001("));
lf[1016]=C_decode_literal(C_heaptop,C_text("\376B\000\000\002) "));
lf[1017]=C_decode_literal(C_heaptop,C_text("\376B\000\000\000"));
lf[1018]=C_decode_literal(C_heaptop,C_text("\376B\000\000 <exn: has no `message\047 property>"));
lf[1019]=C_h_intern(&lf[1019],14, C_text("user-interrupt"));
lf[1020]=C_decode_literal(C_heaptop,C_text("\376B\000\000\030\012\052\052\052 user interrupt \052\052\052\012"));
lf[1021]=C_h_intern(&lf[1021],18, C_text("uncaught-exception"));
lf[1022]=C_decode_literal(C_heaptop,C_text("\376\003\000\000\002\376\001\000\000\022uncaught-exception\376\001\000\000\006reason"));
lf[1023]=C_decode_literal(C_heaptop,C_text("\376B\000\000\022uncaught exception"));
lf[1024]=C_h_intern(&lf[1024],43, C_text("chicken.condition#current-exception-handler"));
lf[1025]=C_h_intern(&lf[1025],25, C_text("current-exception-handler"));
lf[1027]=C_decode_literal(C_heaptop,C_text("\376B\000\000%argument is not an even property list"));
lf[1028]=C_h_intern(&lf[1028],41, C_text("chicken.condition#make-property-condition"));
lf[1029]=C_h_intern(&lf[1029],23, C_text("make-property-condition"));
lf[1030]=C_h_intern(&lf[1030],42, C_text("chicken.condition#make-composite-condition"));
lf[1031]=C_h_intern(&lf[1031],24, C_text("make-composite-condition"));
lf[1032]=C_h_intern(&lf[1032],27, C_text("chicken.condition#condition"));
lf[1033]=C_h_intern(&lf[1033],28, C_text("chicken.condition#condition\077"));
lf[1034]=C_h_intern(&lf[1034],33, C_text("chicken.condition#condition->list"));
lf[1035]=C_h_intern(&lf[1035],15, C_text("condition->list"));
lf[1036]=C_decode_literal(C_heaptop,C_text("\376B\000\000\042argument is not a condition object"));
lf[1037]=C_h_intern(&lf[1037],37, C_text("chicken.condition#condition-predicate"));
lf[1038]=C_h_intern(&lf[1038],45, C_text("chicken.condition#condition-property-accessor"));
lf[1039]=C_h_intern(&lf[1039],27, C_text("condition-property-accessor"));
lf[1040]=C_decode_literal(C_heaptop,C_text("\376B\000\000\036condition has no such property"));
lf[1041]=C_h_intern(&lf[1041],40, C_text("chicken.condition#get-condition-property"));
lf[1042]=C_h_intern(&lf[1042],37, C_text("chicken.condition#print-error-message"));
lf[1043]=C_h_intern(&lf[1043],19, C_text("print-error-message"));
lf[1044]=C_decode_literal(C_heaptop,C_text("\376B\000\000\002: "));
lf[1045]=C_decode_literal(C_heaptop,C_text("\376B\000\000\001("));
lf[1046]=C_decode_literal(C_heaptop,C_text("\376B\000\000\002) "));
lf[1047]=C_decode_literal(C_heaptop,C_text("\376B\000\000\002: "));
lf[1048]=C_decode_literal(C_heaptop,C_text("\376\003\000\000\002\376\001\000\000\016user-interrupt\376\377\016"));
lf[1049]=C_decode_literal(C_heaptop,C_text("\376B\000\000\030: \052\052\052 user interrupt \052\052\052"));
lf[1050]=C_decode_literal(C_heaptop,C_text("\376B\000\000\016: <condition> "));
lf[1051]=C_decode_literal(C_heaptop,C_text("\376B\000\000\002: "));
lf[1052]=C_decode_literal(C_heaptop,C_text("\376B\000\000\026: uncaught exception: "));
lf[1053]=C_decode_literal(C_heaptop,C_text("\376B\000\000\005Error"));
lf[1054]=C_h_intern(&lf[1054],26, C_text("\003sysshow-exception-warning"));
lf[1055]=C_decode_literal(C_heaptop,C_text("\376B\000\000\002: "));
lf[1056]=C_decode_literal(C_heaptop,C_text("\376B\000\000\002 ("));
lf[1057]=C_decode_literal(C_heaptop,C_text("\376B\000\000\007Warning"));
lf[1058]=C_decode_literal(C_heaptop,C_text("\376B\000\000\036bad argument count - received "));
lf[1059]=C_decode_literal(C_heaptop,C_text("\376B\000\000\016 but expected "));
lf[1060]=C_decode_literal(C_heaptop,C_text("\376B\000\000\035too few arguments - received "));
lf[1061]=C_decode_literal(C_heaptop,C_text("\376B\000\000\016 but expected "));
lf[1062]=C_decode_literal(C_heaptop,C_text("\376B\000\000\021bad argument type"));
lf[1063]=C_decode_literal(C_heaptop,C_text("\376B\000\000\020unbound variable"));
lf[1064]=C_decode_literal(C_heaptop,C_text("\376B\000\000\015out of memory"));
lf[1065]=C_decode_literal(C_heaptop,C_text("\376B\000\000\020division by zero"));
lf[1066]=C_decode_literal(C_heaptop,C_text("\376B\000\000\014out of range"));
lf[1067]=C_decode_literal(C_heaptop,C_text("\376B\000\000\025call of non-procedure"));
lf[1068]=C_decode_literal(C_heaptop,C_text("\376B\000\000+continuation cannot receive multiple values"));
lf[1069]=C_decode_literal(C_heaptop,C_text("\376B\000\000)bad argument type - not a non-cyclic list"));
lf[1070]=C_decode_literal(C_heaptop,C_text("\376B\000\000\022recursion too deep"));
lf[1071]=C_decode_literal(C_heaptop,C_text("\376B\000\0007inexact number cannot be represented as an exact number"));
lf[1072]=C_decode_literal(C_heaptop,C_text("\376B\000\000%bad argument type - not a proper list"));
lf[1073]=C_decode_literal(C_heaptop,C_text("\376B\000\000 bad argument type - not a fixnum"));
lf[1074]=C_decode_literal(C_heaptop,C_text("\376B\000\000 bad argument type - not a number"));
lf[1075]=C_decode_literal(C_heaptop,C_text("\376B\000\000 bad argument type - not a string"));
lf[1076]=C_decode_literal(C_heaptop,C_text("\376B\000\000\036bad argument type - not a pair"));
lf[1077]=C_decode_literal(C_heaptop,C_text("\376B\000\000\036bad argument type - not a list"));
lf[1078]=C_decode_literal(C_heaptop,C_text("\376B\000\000#bad argument type - not a character"));
lf[1079]=C_decode_literal(C_heaptop,C_text("\376B\000\000 bad argument type - not a vector"));
lf[1080]=C_decode_literal(C_heaptop,C_text("\376B\000\000 bad argument type - not a symbol"));
lf[1081]=C_decode_literal(C_heaptop,C_text("\376B\000\000\016stack overflow"));
lf[1082]=C_decode_literal(C_heaptop,C_text("\376B\000\0008bad argument type - not a structure of the required type"));
lf[1083]=C_decode_literal(C_heaptop,C_text("\376B\000\000\036bad argument type - not a blob"));
lf[1084]=C_decode_literal(C_heaptop,C_text("\376B\000\000#locative refers to reclaimed object"));
lf[1085]=C_decode_literal(C_heaptop,C_text("\376B\000\000-bad argument type - not a non-immediate value"));
lf[1086]=C_decode_literal(C_heaptop,C_text("\376B\000\000\047bad argument type - not a number vector"));
lf[1087]=C_decode_literal(C_heaptop,C_text("\376B\000\000\042bad argument type - not an integer"));
lf[1088]=C_decode_literal(C_heaptop,C_text("\376B\000\000+bad argument type - not an unsigned integer"));
lf[1089]=C_decode_literal(C_heaptop,C_text("\376B\000\000!bad argument type - not a pointer"));
lf[1090]=C_decode_literal(C_heaptop,C_text("\376B\000\000(bad argument type - not a tagged pointer"));
lf[1091]=C_decode_literal(C_heaptop,C_text("\376B\000\000 bad argument type - not a flonum"));
lf[1092]=C_decode_literal(C_heaptop,C_text("\376B\000\000#bad argument type - not a procedure"));
lf[1093]=C_decode_literal(C_heaptop,C_text("\376B\000\000 bad argument type - invalid base"));
lf[1094]=C_decode_literal(C_heaptop,C_text("\376B\000\000/recursion too deep or circular data encountered"));
lf[1095]=C_decode_literal(C_heaptop,C_text("\376B\000\000!bad argument type - not a boolean"));
lf[1096]=C_decode_literal(C_heaptop,C_text("\376B\000\000\042bad argument type - not a locative"));
lf[1097]=C_decode_literal(C_heaptop,C_text("\376B\000\000\036bad argument type - not a port"));
lf[1098]=C_decode_literal(C_heaptop,C_text("\376B\000\0002bad argument type - not a port of the correct type"));
lf[1099]=C_decode_literal(C_heaptop,C_text("\376B\000\000%bad argument type - not an input-port"));
lf[1100]=C_decode_literal(C_heaptop,C_text("\376B\000\000&bad argument type - not an output-port"));
lf[1101]=C_decode_literal(C_heaptop,C_text("\376B\000\000\023port already closed"));
lf[1102]=C_decode_literal(C_heaptop,C_text("\376B\000\0002cannot represent string with NUL bytes as C string"));
lf[1103]=C_decode_literal(C_heaptop,C_text("\376B\000\000\026segmentation violation"));
lf[1104]=C_decode_literal(C_heaptop,C_text("\376B\000\000\030floating-point exception"));
lf[1105]=C_decode_literal(C_heaptop,C_text("\376B\000\000\023illegal instruction"));
lf[1106]=C_decode_literal(C_heaptop,C_text("\376B\000\000\011bus error"));
lf[1107]=C_decode_literal(C_heaptop,C_text("\376B\000\000\047bad argument type - not an exact number"));
lf[1108]=C_decode_literal(C_heaptop,C_text("\376B\000\000)bad argument type - not an inexact number"));
lf[1109]=C_decode_literal(C_heaptop,C_text("\376B\000\000\036bad argument type - not a real"));
lf[1110]=C_decode_literal(C_heaptop,C_text("\376B\000\0002bad argument type - complex number has no ordering"));
lf[1111]=C_decode_literal(C_heaptop,C_text("\376B\000\000(bad argument type - not an exact integer"));
lf[1112]=C_decode_literal(C_heaptop,C_text("\376B\000\000#number does not fit in foreign type"));
lf[1113]=C_decode_literal(C_heaptop,C_text("\376B\000\000/cannot compute absolute value of complex number"));
lf[1114]=C_decode_literal(C_heaptop,C_text("\376B\000\000\026unknown internal error"));
lf[1115]=C_h_intern(&lf[1115],14, C_text("\003sysstructure\077"));
lf[1116]=C_h_intern(&lf[1116],22, C_text("\003sysgeneric-structure\077"));
lf[1117]=C_h_intern(&lf[1117],8, C_text("\003sysslot"));
lf[1118]=C_h_intern(&lf[1118],8, C_text("\003syssize"));
lf[1119]=C_h_intern(&lf[1119],16, C_text("\003sysmake-pointer"));
lf[1120]=C_h_intern(&lf[1120],23, C_text("\003sysmake-tagged-pointer"));
lf[1121]=C_h_intern(&lf[1121],12, C_text("\003syspointer\077"));
lf[1122]=C_h_intern(&lf[1122],24, C_text("\003sysset-pointer-address!"));
lf[1123]=C_h_intern(&lf[1123],15, C_text("\003sysbytevector\077"));
lf[1124]=C_h_intern(&lf[1124],23, C_text("\003sysstring->pbytevector"));
lf[1125]=C_h_intern(&lf[1125],14, C_text("\003syspermanent\077"));
lf[1126]=C_h_intern(&lf[1126],17, C_text("\003sysblock-address"));
lf[1127]=C_h_intern(&lf[1127],13, C_text("\003syslocative\077"));
lf[1128]=C_h_intern(&lf[1128],18, C_text("\003syssrfi-4-vector\077"));
lf[1129]=C_decode_literal(C_heaptop,C_text("\376\003\000\000\002\376\001\000\000\010u8vector\376\003\000\000\002\376\001\000\000\011u16vector\376\003\000\000\002\376\001\000\000\010s8vector\376\003\000\000\002\376\001\000\000\011s16vector\376\003\000\000\002\376"
"\001\000\000\011u32vector\376\003\000\000\002\376\001\000\000\011s32vector\376\003\000\000\002\376\001\000\000\011u64vector\376\003\000\000\002\376\001\000\000\011s64vector\376\003\000\000\002\376\001\000\000\011"
"f32vector\376\003\000\000\002\376\001\000\000\011f64vector\376\377\016"));
lf[1130]=C_h_intern(&lf[1130],16, C_text("\003sysnull-pointer"));
lf[1131]=C_h_intern(&lf[1131],17, C_text("\003sysnull-pointer\077"));
lf[1132]=C_h_intern(&lf[1132],20, C_text("\003sysaddress->pointer"));
lf[1133]=C_h_intern(&lf[1133],23, C_text("\003syspeek-signed-integer"));
lf[1134]=C_h_intern(&lf[1134],15, C_text("\003syspeek-fixnum"));
lf[1135]=C_h_intern(&lf[1135],13, C_text("\003syspeek-byte"));
lf[1136]=C_h_intern(&lf[1136],22, C_text("\003sysvector->structure!"));
lf[1137]=C_h_intern(&lf[1137],15, C_text("\003syspeek-double"));
lf[1138]=C_h_intern(&lf[1138],26, C_text("\003syspeek-and-free-c-string"));
lf[1139]=C_h_intern(&lf[1139],34, C_text("\003syspeek-and-free-nonnull-c-string"));
lf[1140]=C_h_intern(&lf[1140],17, C_text("\003syspoke-c-string"));
lf[1141]=C_h_intern(&lf[1141],16, C_text("\003syspoke-integer"));
lf[1142]=C_h_intern(&lf[1142],15, C_text("\003syspoke-double"));
lf[1143]=C_h_intern(&lf[1143],22, C_text("\003syspeek-c-string-list"));
lf[1144]=C_h_intern(&lf[1144],31, C_text("\003syspeek-and-free-c-string-list"));
lf[1145]=C_h_intern(&lf[1145],20, C_text("\003sysvector->closure!"));
lf[1146]=C_h_intern(&lf[1146],32, C_text("\003syssymbol-has-toplevel-binding\077"));
lf[1147]=C_h_intern(&lf[1147],14, C_text("\003syscopy-words"));
lf[1148]=C_h_intern(&lf[1148],17, C_text("\003syscompare-bytes"));
lf[1149]=C_h_intern(&lf[1149],17, C_text("\003sysblock-pointer"));
lf[1150]=C_h_intern(&lf[1150],25, C_text("\003sysforeign-char-argument"));
lf[1151]=C_h_intern(&lf[1151],27, C_text("\003sysforeign-fixnum-argument"));
lf[1152]=C_h_intern(&lf[1152],27, C_text("\003sysforeign-flonum-argument"));
lf[1153]=C_h_intern(&lf[1153],26, C_text("\003sysforeign-block-argument"));
lf[1154]=C_h_intern(&lf[1154],35, C_text("\003sysforeign-struct-wrapper-argument"));
lf[1155]=C_h_intern(&lf[1155],27, C_text("\003sysforeign-string-argument"));
lf[1156]=C_h_intern(&lf[1156],27, C_text("\003sysforeign-symbol-argument"));
lf[1157]=C_h_intern(&lf[1157],28, C_text("\003sysforeign-pointer-argument"));
lf[1158]=C_h_intern(&lf[1158],35, C_text("\003sysforeign-tagged-pointer-argument"));
lf[1159]=C_h_intern(&lf[1159],35, C_text("\003sysforeign-ranged-integer-argument"));
lf[1160]=C_h_intern(&lf[1160],44, C_text("\003sysforeign-unsigned-ranged-integer-argument"));
lf[1161]=C_h_intern(&lf[1161],26, C_text("\003sysdefault-thread-quantum"));
lf[1162]=C_h_intern(&lf[1162],29, C_text("\003sysdefault-exception-handler"));
lf[1163]=C_decode_literal(C_heaptop,C_text("\376B\000\000>internal error: default exception handler shouldn\047t be called!"));
lf[1164]=C_h_intern(&lf[1164],15, C_text("\003sysmake-thread"));
lf[1165]=C_h_intern(&lf[1165],14, C_text("\003sysmake-mutex"));
lf[1166]=C_h_intern(&lf[1166],5, C_text("mutex"));
lf[1167]=C_h_intern(&lf[1167],12, C_text("\003sysschedule"));
lf[1168]=C_h_intern(&lf[1168],17, C_text("\003systhread-yield!"));
lf[1169]=C_h_intern(&lf[1169],22, C_text("\003syskill-other-threads"));
lf[1170]=C_h_intern(&lf[1170],23, C_text("chicken.base#sleep-hook"));
lf[1171]=C_h_intern(&lf[1171],5, C_text("sleep"));
lf[1172]=C_h_intern(&lf[1172],18, C_text("\003syscontext-switch"));
lf[1173]=C_h_intern(&lf[1173],17, C_text("\003syssignal-vector"));
lf[1174]=C_h_intern(&lf[1174],18, C_text("\003sysinterrupt-hook"));
lf[1175]=C_h_intern(&lf[1175],22, C_text("\003syspending-finalizers"));
lf[1176]=C_h_intern(&lf[1176],26, C_text("\003sysrun-pending-finalizers"));
lf[1177]=C_h_intern(&lf[1177],9, C_text("\003syserrno"));
lf[1178]=C_decode_literal(C_heaptop,C_text("\376B\000\000Lunexpected end of file - unterminated `#{...}\047 item in `here\047 string litera"
"l"));
lf[1179]=C_decode_literal(C_heaptop,C_text("\376B\000\000&unterminated here-doc string literal `"));
lf[1180]=C_decode_literal(C_heaptop,C_text("\376B\000\000\001\047"));
lf[1181]=C_decode_literal(C_heaptop,C_text("\376B\000\000$Missing tag after #<< here-doc token"));
lf[1182]=C_decode_literal(C_heaptop,C_text("\376B\000\000!Whitespace after #<< here-doc tag"));
lf[1183]=C_h_intern(&lf[1183],4, C_text("cons"));
lf[1184]=C_decode_literal(C_heaptop,C_text("\376\003\000\000\002\376\001\000\000\005quote\376\003\000\000\002\376\377\016\376\377\016"));
lf[1185]=C_decode_literal(C_heaptop,C_text("\376B\000\000$Missing tag after #<# here-doc token"));
lf[1186]=C_decode_literal(C_heaptop,C_text("\376B\000\000!Whitespace after #<# here-doc tag"));
lf[1187]=C_decode_literal(C_heaptop,C_text("\376B\000\000\021unreadable object"));
lf[1188]=C_h_intern(&lf[1188],24, C_text("chicken.process-context#"));
lf[1189]=C_h_intern(&lf[1189],40, C_text("chicken.process-context#change-directory"));
lf[1190]=C_h_intern(&lf[1190],16, C_text("change-directory"));
lf[1191]=C_decode_literal(C_heaptop,C_text("\376B\000\000\042cannot change current directory - "));
lf[1192]=C_h_intern(&lf[1192],25, C_text("\003syschange-directory-hook"));
lf[1193]=C_h_intern(&lf[1193],41, C_text("chicken.process-context#current-directory"));
lf[1194]=C_h_intern(&lf[1194],48, C_text("chicken.process-context#get-environment-variable"));
lf[1195]=C_h_intern(&lf[1195],49, C_text("chicken.process-context#set-environment-variable!"));
lf[1196]=C_h_intern(&lf[1196],25, C_text("set-environment-variable!"));
lf[1197]=C_h_intern(&lf[1197],51, C_text("chicken.process-context#unset-environment-variable!"));
lf[1198]=C_h_intern(&lf[1198],27, C_text("unset-environment-variable!"));
lf[1199]=C_h_intern(&lf[1199],49, C_text("chicken.process-context#get-environment-variables"));
lf[1200]=C_h_intern(&lf[1200],43, C_text("chicken.process-context#executable-pathname"));
lf[1201]=C_h_intern(&lf[1201],33, C_text("chicken.process-context#argc+argv"));
lf[1202]=C_h_intern(&lf[1202],28, C_text("chicken.process-context#argv"));
lf[1203]=C_h_intern(&lf[1203],36, C_text("chicken.process-context#program-name"));
lf[1204]=C_h_intern(&lf[1204],46, C_text("chicken.process-context#command-line-arguments"));
lf[1205]=C_h_intern(&lf[1205],11, C_text("chicken.gc#"));
lf[1206]=C_h_intern(&lf[1206],34, C_text("chicken.gc#current-gc-milliseconds"));
lf[1207]=C_h_intern(&lf[1207],25, C_text("chicken.gc#set-gc-report!"));
lf[1208]=C_h_intern(&lf[1208],28, C_text("chicken.gc#memory-statistics"));
lf[1209]=C_h_intern(&lf[1209],18, C_text("\003sysset-finalizer!"));
lf[1210]=C_h_intern(&lf[1210],25, C_text("chicken.gc#set-finalizer!"));
lf[1211]=C_decode_literal(C_heaptop,C_text("\376B\000\000\035[debug] too many finalizers ("));
lf[1212]=C_decode_literal(C_heaptop,C_text("\376B\000\000\035), resized max finalizers to "));
lf[1213]=C_decode_literal(C_heaptop,C_text("\376B\000\000\001\012"));
lf[1214]=C_decode_literal(C_heaptop,C_text("\376B\000\000\035[debug] too many finalizers ("));
lf[1215]=C_decode_literal(C_heaptop,C_text("\376B\000\000\017), forcing ...\012"));
lf[1216]=C_decode_literal(C_heaptop,C_text("\376B\000\000\014in finalizer"));
lf[1217]=C_decode_literal(C_heaptop,C_text("\376B\000\000\020[debug] running "));
lf[1218]=C_decode_literal(C_heaptop,C_text("\376B\000\000\017 finalizer(s) ("));
lf[1219]=C_decode_literal(C_heaptop,C_text("\376B\000\000\007 live, "));
lf[1220]=C_decode_literal(C_heaptop,C_text("\376B\000\000\020 allocated) ...\012"));
lf[1221]=C_h_intern(&lf[1221],13, C_text("chicken.gc#gc"));
lf[1222]=C_h_intern(&lf[1222],10, C_text("\003syslength"));
lf[1223]=C_h_intern(&lf[1223],8, C_text("\003syscons"));
lf[1224]=C_h_intern(&lf[1224],10, C_text("\003sysvector"));
lf[1225]=C_h_intern(&lf[1225],9, C_text("\003sysapply"));
lf[1226]=C_h_intern(&lf[1226],10, C_text("\003sysvalues"));
lf[1227]=C_h_intern(&lf[1227],10, C_text("\003sysequal\077"));
lf[1228]=C_h_intern(&lf[1228],7, C_text("\003syscar"));
lf[1229]=C_h_intern(&lf[1229],7, C_text("\003syscdr"));
lf[1230]=C_h_intern(&lf[1230],9, C_text("\003syspair\077"));
lf[1231]=C_h_intern(&lf[1231],11, C_text("\003sysvector\077"));
lf[1232]=C_h_intern(&lf[1232],16, C_text("\003sysvector->list"));
lf[1233]=C_h_intern(&lf[1233],17, C_text("\003sysvector-length"));
lf[1234]=C_h_intern(&lf[1234],14, C_text("\003sysvector-ref"));
lf[1235]=C_h_intern(&lf[1235],6, C_text("\003sys>="));
lf[1236]=C_h_intern(&lf[1236],5, C_text("\003sys="));
lf[1237]=C_h_intern(&lf[1237],5, C_text("\003sys+"));
lf[1238]=C_h_intern(&lf[1238],7, C_text("\003syseq\077"));
lf[1239]=C_h_intern(&lf[1239],8, C_text("\003syseqv\077"));
lf[1240]=C_h_intern(&lf[1240],9, C_text("\003syslist\077"));
lf[1241]=C_h_intern(&lf[1241],9, C_text("\003sysnull\077"));
lf[1242]=C_h_intern(&lf[1242],9, C_text("\003sysmap-n"));
lf[1243]=C_h_intern(&lf[1243],17, C_text("\003sysmake-locative"));
lf[1244]=C_decode_literal(C_heaptop,C_text("\376B\000\000)locative cannot refer to immediate object"));
lf[1245]=C_h_intern(&lf[1245],8, C_text("u8vector"));
lf[1246]=C_h_intern(&lf[1246],8, C_text("s8vector"));
lf[1247]=C_h_intern(&lf[1247],9, C_text("u16vector"));
lf[1248]=C_h_intern(&lf[1248],9, C_text("s16vector"));
lf[1249]=C_h_intern(&lf[1249],9, C_text("u32vector"));
lf[1250]=C_h_intern(&lf[1250],9, C_text("s32vector"));
lf[1251]=C_h_intern(&lf[1251],9, C_text("u64vector"));
lf[1252]=C_h_intern(&lf[1252],9, C_text("s64vector"));
lf[1253]=C_h_intern(&lf[1253],9, C_text("f32vector"));
lf[1254]=C_h_intern(&lf[1254],9, C_text("f64vector"));
lf[1255]=C_decode_literal(C_heaptop,C_text("\376B\000\000Abad argument type - locative cannot refer to objects of this type"));
lf[1256]=C_h_intern(&lf[1256],14, C_text("chicken.plist#"));
lf[1257]=C_h_intern(&lf[1257],18, C_text("chicken.plist#put!"));
lf[1258]=C_h_intern(&lf[1258],4, C_text("put!"));
lf[1259]=C_h_intern(&lf[1259],17, C_text("chicken.plist#get"));
lf[1260]=C_h_intern(&lf[1260],3, C_text("get"));
lf[1261]=C_h_intern(&lf[1261],8, C_text("\003sysput!"));
lf[1262]=C_h_intern(&lf[1262],7, C_text("\003sysget"));
lf[1263]=C_h_intern(&lf[1263],22, C_text("chicken.plist#remprop!"));
lf[1264]=C_h_intern(&lf[1264],8, C_text("remprop!"));
lf[1265]=C_h_intern(&lf[1265],26, C_text("chicken.plist#symbol-plist"));
lf[1266]=C_h_intern(&lf[1266],28, C_text("chicken.plist#get-properties"));
lf[1267]=C_h_intern(&lf[1267],14, C_text("get-properties"));
lf[1268]=C_h_intern(&lf[1268],17, C_text("\003sysdisplay-times"));
lf[1269]=C_decode_literal(C_heaptop,C_text("\376B\000\000\0010"));
lf[1270]=C_decode_literal(C_heaptop,C_text("\376U10.0\000"));
lf[1271]=C_decode_literal(C_heaptop,C_text("\376\302\000\000\01040000000"));
lf[1272]=C_decode_literal(C_heaptop,C_text("\376B\000\000\004 GiB"));
lf[1273]=C_decode_literal(C_heaptop,C_text("\376B\000\000\004 MiB"));
lf[1274]=C_decode_literal(C_heaptop,C_text("\376B\000\000\004 KiB"));
lf[1275]=C_decode_literal(C_heaptop,C_text("\376B\000\000\006 bytes"));
lf[1276]=C_decode_literal(C_heaptop,C_text("\376B\000\000\025, maximum live heap: "));
lf[1277]=C_decode_literal(C_heaptop,C_text("\376B\000\000\022 GCs (major/minor)"));
lf[1278]=C_decode_literal(C_heaptop,C_text("\376B\000\000\002, "));
lf[1279]=C_decode_literal(C_heaptop,C_text("\376B\000\000\032 mutations (total/tracked)"));
lf[1280]=C_decode_literal(C_heaptop,C_text("\376B\000\000\002, "));
lf[1281]=C_decode_literal(C_heaptop,C_text("\376B\000\000\021s GC time (major)"));
lf[1282]=C_decode_literal(C_heaptop,C_text("\376B\000\000\002, "));
lf[1283]=C_decode_literal(C_heaptop,C_text("\376B\000\000\012s CPU time"));
lf[1284]=C_h_intern(&lf[1284],23, C_text("\003sysfilter-heap-objects"));
lf[1285]=C_h_intern(&lf[1285],17, C_text("chicken.platform#"));
lf[1286]=C_h_intern(&lf[1286],30, C_text("chicken.platform#software-type"));
lf[1287]=C_h_intern(&lf[1287],29, C_text("chicken.platform#machine-type"));
lf[1288]=C_h_intern(&lf[1288],35, C_text("chicken.platform#machine-byte-order"));
lf[1289]=C_h_intern(&lf[1289],33, C_text("chicken.platform#software-version"));
lf[1290]=C_h_intern(&lf[1290],31, C_text("chicken.platform#build-platform"));
lf[1291]=C_h_intern(&lf[1291],20, C_text("\003syswindows-platform"));
lf[1292]=C_h_intern(&lf[1292],32, C_text("chicken.platform#chicken-version"));
lf[1293]=C_decode_literal(C_heaptop,C_text("\376B\000\000\010Version "));
lf[1294]=C_h_intern(&lf[1294],17, C_text("\003sysbuild-version"));
lf[1295]=C_decode_literal(C_heaptop,C_text("\376B\000\000\001\012"));
lf[1296]=C_decode_literal(C_heaptop,C_text("\376B\000\000\000"));
lf[1297]=C_decode_literal(C_heaptop,C_text("\376B\000\000\002 ["));
lf[1298]=C_decode_literal(C_heaptop,C_text("\376B\000\000\002 ]"));
lf[1299]=C_h_intern(&lf[1299],7, C_text("unknown"));
lf[1300]=C_decode_literal(C_heaptop,C_text("\376B\000\000\000"));
lf[1301]=C_decode_literal(C_heaptop,C_text("\376B\000\000\001-"));
lf[1302]=C_h_intern(&lf[1302],12, C_text("\003sysbuild-id"));
lf[1303]=C_decode_literal(C_heaptop,C_text("\376B\000\000\006 (rev "));
lf[1304]=C_decode_literal(C_heaptop,C_text("\376B\000\000\001)"));
lf[1305]=C_decode_literal(C_heaptop,C_text("\376B\000\000\000"));
lf[1306]=C_h_intern(&lf[1306],16, C_text("\003sysbuild-branch"));
lf[1307]=C_decode_literal(C_heaptop,C_text("\376B\000\000\002 ("));
lf[1308]=C_decode_literal(C_heaptop,C_text("\376B\000\000\001)"));
lf[1309]=C_decode_literal(C_heaptop,C_text("\376B\000\000\000"));
lf[1310]=C_decode_literal(C_heaptop,C_text("\376B\000\000\006 64bit"));
lf[1311]=C_decode_literal(C_heaptop,C_text("\376B\000\000\000"));
lf[1312]=C_decode_literal(C_heaptop,C_text("\376B\000\000\006 dload"));
lf[1313]=C_decode_literal(C_heaptop,C_text("\376B\000\000\000"));
lf[1314]=C_decode_literal(C_heaptop,C_text("\376B\000\000\010 ptables"));
lf[1315]=C_decode_literal(C_heaptop,C_text("\376B\000\000\000"));
lf[1316]=C_decode_literal(C_heaptop,C_text("\376B\000\000\010 gchooks"));
lf[1317]=C_decode_literal(C_heaptop,C_text("\376B\000\000\000"));
lf[1318]=C_decode_literal(C_heaptop,C_text("\376B\000\000\006 cross"));
lf[1319]=C_decode_literal(C_heaptop,C_text("\376B\000\000\000"));
lf[1320]=C_h_intern(&lf[1320],25, C_text("chicken.platform#feature\077"));
lf[1321]=C_h_intern(&lf[1321],14, C_text("\000cross-chicken"));
lf[1322]=C_h_intern(&lf[1322],8, C_text("\000gchooks"));
lf[1323]=C_h_intern(&lf[1323],8, C_text("\000ptables"));
lf[1324]=C_h_intern(&lf[1324],6, C_text("\000dload"));
lf[1325]=C_h_intern(&lf[1325],6, C_text("\00064bit"));
lf[1326]=C_h_intern(&lf[1326],29, C_text("chicken.platform#chicken-home"));
lf[1327]=C_h_intern(&lf[1327],32, C_text("chicken.platform#repository-path"));
lf[1328]=C_h_intern(&lf[1328],40, C_text("chicken.platform#installation-repository"));
lf[1330]=C_decode_literal(C_heaptop,C_text("\376B\000\0001bad argument type - not a valid feature identifer"));
lf[1331]=C_h_intern(&lf[1331],12, C_text("\003sysfeatures"));
lf[1332]=C_decode_literal(C_heaptop,C_text("\376\003\000\000\002\376\001\000\000\010\000chicken\376\003\000\000\002\376\001\000\000\007\000srfi-6\376\003\000\000\002\376\001\000\000\010\000srfi-12\376\003\000\000\002\376\001\000\000\010\000srfi-17\376\003\000\000\002\376\001\000\000"
"\010\000srfi-23\376\003\000\000\002\376\001\000\000\010\000srfi-30\376\003\000\000\002\376\001\000\000\010\000srfi-39\376\003\000\000\002\376\001\000\000\010\000srfi-62\376\003\000\000\002\376\001\000\000\023\000full-n"
"umeric-tower\376\377\016"));
lf[1333]=C_h_intern(&lf[1333],34, C_text("chicken.platform#register-feature!"));
lf[1334]=C_h_intern(&lf[1334],36, C_text("chicken.platform#unregister-feature!"));
lf[1335]=C_h_intern(&lf[1335],25, C_text("chicken.platform#features"));
lf[1336]=C_h_intern(&lf[1336],31, C_text("chicken.platform#return-to-host"));
lf[1337]=C_decode_literal(C_heaptop,C_text("\376B\000\000\010chicken-"));
lf[1338]=C_decode_literal(C_heaptop,C_text("\376B\000\000\001."));
lf[1339]=C_decode_literal(C_heaptop,C_text("\376B\000\000\010chicken-"));
lf[1340]=C_decode_literal(C_heaptop,C_text("\376B\000\000\032CHICKEN_INSTALL_REPOSITORY"));
lf[1341]=C_decode_literal(C_heaptop,C_text("\376B\000\000\027CHICKEN_REPOSITORY_PATH"));
lf[1342]=C_h_intern(&lf[1342],7, C_text("windows"));
lf[1343]=C_h_intern(&lf[1343],6, C_text("cygwin"));
lf[1344]=C_h_intern(&lf[1344],12, C_text("symbol-plist"));
lf[1345]=C_h_intern(&lf[1345],19, C_text("symbol-plist/setter"));
lf[1346]=C_decode_literal(C_heaptop,C_text("\376B\000\000$property-list must be of even length"));
lf[1347]=C_decode_literal(C_heaptop,C_text("\376B\000\000 (chicken.plist#symbol-plist sym)"));
lf[1348]=C_h_intern(&lf[1348],22, C_text("command-line-arguments"));
lf[1349]=C_decode_literal(C_heaptop,C_text("\376B\000\000\002-:"));
lf[1350]=C_h_intern(&lf[1350],12, C_text("program-name"));
lf[1351]=C_decode_literal(C_heaptop,C_text("\376B\000\000\011<unknown>"));
lf[1352]=C_h_intern(&lf[1352],17, C_text("current-directory"));
lf[1353]=C_decode_literal(C_heaptop,C_text("\376B\000\000!cannot retrieve current directory"));
lf[1354]=C_decode_literal(C_heaptop,C_text("\376B\000\000+(chicken.process-context#current-directory)"));
lf[1355]=C_h_intern(&lf[1355],7, C_text("running"));
lf[1356]=C_h_intern(&lf[1356],10, C_text("primordial"));
lf[1357]=C_h_intern(&lf[1357],9, C_text("arguments"));
lf[1358]=C_h_intern(&lf[1358],7, C_text("message"));
lf[1359]=C_h_intern(&lf[1359],17, C_text("chicken.repl#repl"));
lf[1360]=C_decode_literal(C_heaptop,C_text("\376B\000\000\002: "));
lf[1361]=C_decode_literal(C_heaptop,C_text("\376B\000\000\002: "));
lf[1362]=C_decode_literal(C_heaptop,C_text("\376B\000\000\006\012Error"));
lf[1363]=C_decode_literal(C_heaptop,C_text("\376B\000\000\016error in error"));
lf[1364]=C_decode_literal(C_heaptop,C_text("\376B\000\000,\042exit\042 called while processing on-exit tasks"));
lf[1365]=C_h_intern(&lf[1365],10, C_text("read-table"));
lf[1366]=C_decode_literal(C_heaptop,C_text("\376B\000\000\021no setter defined"));
lf[1367]=C_decode_literal(C_heaptop,C_text("\376B\000\000#can not set setter of non-procedure"));
lf[1368]=C_decode_literal(C_heaptop,C_text("\376B\000\000\010(stderr)"));
lf[1369]=C_decode_literal(C_heaptop,C_text("\376B\000\000\010(stdout)"));
lf[1370]=C_decode_literal(C_heaptop,C_text("\376B\000\000\007(stdin)"));
lf[1371]=C_h_intern(&lf[1371],9, C_text("backspace"));
lf[1372]=C_h_intern(&lf[1372],4, C_text("page"));
lf[1373]=C_h_intern(&lf[1373],6, C_text("return"));
lf[1374]=C_h_intern(&lf[1374],4, C_text("null"));
lf[1375]=C_h_intern(&lf[1375],3, C_text("nul"));
lf[1376]=C_h_intern(&lf[1376],5, C_text("alarm"));
lf[1377]=C_h_intern(&lf[1377],6, C_text("escape"));
lf[1378]=C_h_intern(&lf[1378],3, C_text("esc"));
lf[1379]=C_h_intern(&lf[1379],6, C_text("delete"));
lf[1380]=C_h_intern(&lf[1380],4, C_text("vtab"));
lf[1381]=C_h_intern(&lf[1381],7, C_text("newline"));
lf[1382]=C_h_intern(&lf[1382],8, C_text("linefeed"));
lf[1383]=C_h_intern(&lf[1383],3, C_text("tab"));
lf[1384]=C_h_intern(&lf[1384],5, C_text("space"));
C_register_lf2(lf,1385,create_ptable());{}
t2=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_8492,a[2]=t1,tmp=(C_word)a,a+=3,tmp);{
C_word *av2=av;
av2[0]=C_SCHEME_UNDEFINED;
av2[1]=t2;
C_build_2dversion_toplevel(2,av2);}}

#ifdef C_ENABLE_PTABLES
static C_PTABLE_ENTRY ptable[2112] = {
{C_text("f33874:library_2escm"),(void*)f33874},
{C_text("f34403:library_2escm"),(void*)f34403},
{C_text("f36624:library_2escm"),(void*)f36624},
{C_text("f36630:library_2escm"),(void*)f36630},
{C_text("f36636:library_2escm"),(void*)f36636},
{C_text("f_10012:library_2escm"),(void*)f_10012},
{C_text("f_10037:library_2escm"),(void*)f_10037},
{C_text("f_10046:library_2escm"),(void*)f_10046},
{C_text("f_10087:library_2escm"),(void*)f_10087},
{C_text("f_10109:library_2escm"),(void*)f_10109},
{C_text("f_10141:library_2escm"),(void*)f_10141},
{C_text("f_10157:library_2escm"),(void*)f_10157},
{C_text("f_10160:library_2escm"),(void*)f_10160},
{C_text("f_10182:library_2escm"),(void*)f_10182},
{C_text("f_10188:library_2escm"),(void*)f_10188},
{C_text("f_10213:library_2escm"),(void*)f_10213},
{C_text("f_10253:library_2escm"),(void*)f_10253},
{C_text("f_10260:library_2escm"),(void*)f_10260},
{C_text("f_10265:library_2escm"),(void*)f_10265},
{C_text("f_10284:library_2escm"),(void*)f_10284},
{C_text("f_10306:library_2escm"),(void*)f_10306},
{C_text("f_10309:library_2escm"),(void*)f_10309},
{C_text("f_10312:library_2escm"),(void*)f_10312},
{C_text("f_10315:library_2escm"),(void*)f_10315},
{C_text("f_10321:library_2escm"),(void*)f_10321},
{C_text("f_10324:library_2escm"),(void*)f_10324},
{C_text("f_10327:library_2escm"),(void*)f_10327},
{C_text("f_10330:library_2escm"),(void*)f_10330},
{C_text("f_10333:library_2escm"),(void*)f_10333},
{C_text("f_10336:library_2escm"),(void*)f_10336},
{C_text("f_10339:library_2escm"),(void*)f_10339},
{C_text("f_10342:library_2escm"),(void*)f_10342},
{C_text("f_10345:library_2escm"),(void*)f_10345},
{C_text("f_10348:library_2escm"),(void*)f_10348},
{C_text("f_10351:library_2escm"),(void*)f_10351},
{C_text("f_10354:library_2escm"),(void*)f_10354},
{C_text("f_10357:library_2escm"),(void*)f_10357},
{C_text("f_10360:library_2escm"),(void*)f_10360},
{C_text("f_10363:library_2escm"),(void*)f_10363},
{C_text("f_10366:library_2escm"),(void*)f_10366},
{C_text("f_10369:library_2escm"),(void*)f_10369},
{C_text("f_10372:library_2escm"),(void*)f_10372},
{C_text("f_10375:library_2escm"),(void*)f_10375},
{C_text("f_10378:library_2escm"),(void*)f_10378},
{C_text("f_10381:library_2escm"),(void*)f_10381},
{C_text("f_10384:library_2escm"),(void*)f_10384},
{C_text("f_10387:library_2escm"),(void*)f_10387},
{C_text("f_10390:library_2escm"),(void*)f_10390},
{C_text("f_10393:library_2escm"),(void*)f_10393},
{C_text("f_10398:library_2escm"),(void*)f_10398},
{C_text("f_10407:library_2escm"),(void*)f_10407},
{C_text("f_10419:library_2escm"),(void*)f_10419},
{C_text("f_10434:library_2escm"),(void*)f_10434},
{C_text("f_10437:library_2escm"),(void*)f_10437},
{C_text("f_10445:library_2escm"),(void*)f_10445},
{C_text("f_10449:library_2escm"),(void*)f_10449},
{C_text("f_10451:library_2escm"),(void*)f_10451},
{C_text("f_10455:library_2escm"),(void*)f_10455},
{C_text("f_10458:library_2escm"),(void*)f_10458},
{C_text("f_10469:library_2escm"),(void*)f_10469},
{C_text("f_10471:library_2escm"),(void*)f_10471},
{C_text("f_10478:library_2escm"),(void*)f_10478},
{C_text("f_10481:library_2escm"),(void*)f_10481},
{C_text("f_10484:library_2escm"),(void*)f_10484},
{C_text("f_10489:library_2escm"),(void*)f_10489},
{C_text("f_10493:library_2escm"),(void*)f_10493},
{C_text("f_10498:library_2escm"),(void*)f_10498},
{C_text("f_10502:library_2escm"),(void*)f_10502},
{C_text("f_10505:library_2escm"),(void*)f_10505},
{C_text("f_10533:library_2escm"),(void*)f_10533},
{C_text("f_10536:library_2escm"),(void*)f_10536},
{C_text("f_10539:library_2escm"),(void*)f_10539},
{C_text("f_10556:library_2escm"),(void*)f_10556},
{C_text("f_10567:library_2escm"),(void*)f_10567},
{C_text("f_10579:library_2escm"),(void*)f_10579},
{C_text("f_10590:library_2escm"),(void*)f_10590},
{C_text("f_10601:library_2escm"),(void*)f_10601},
{C_text("f_10612:library_2escm"),(void*)f_10612},
{C_text("f_10623:library_2escm"),(void*)f_10623},
{C_text("f_10634:library_2escm"),(void*)f_10634},
{C_text("f_10645:library_2escm"),(void*)f_10645},
{C_text("f_10656:library_2escm"),(void*)f_10656},
{C_text("f_10667:library_2escm"),(void*)f_10667},
{C_text("f_10678:library_2escm"),(void*)f_10678},
{C_text("f_10689:library_2escm"),(void*)f_10689},
{C_text("f_10700:library_2escm"),(void*)f_10700},
{C_text("f_10711:library_2escm"),(void*)f_10711},
{C_text("f_10728:library_2escm"),(void*)f_10728},
{C_text("f_10745:library_2escm"),(void*)f_10745},
{C_text("f_10769:library_2escm"),(void*)f_10769},
{C_text("f_10786:library_2escm"),(void*)f_10786},
{C_text("f_10790:library_2escm"),(void*)f_10790},
{C_text("f_10816:library_2escm"),(void*)f_10816},
{C_text("f_10836:library_2escm"),(void*)f_10836},
{C_text("f_10847:library_2escm"),(void*)f_10847},
{C_text("f_10859:library_2escm"),(void*)f_10859},
{C_text("f_10893:library_2escm"),(void*)f_10893},
{C_text("f_10908:library_2escm"),(void*)f_10908},
{C_text("f_10975:library_2escm"),(void*)f_10975},
{C_text("f_10991:library_2escm"),(void*)f_10991},
{C_text("f_11007:library_2escm"),(void*)f_11007},
{C_text("f_11023:library_2escm"),(void*)f_11023},
{C_text("f_11039:library_2escm"),(void*)f_11039},
{C_text("f_11055:library_2escm"),(void*)f_11055},
{C_text("f_11071:library_2escm"),(void*)f_11071},
{C_text("f_11087:library_2escm"),(void*)f_11087},
{C_text("f_11103:library_2escm"),(void*)f_11103},
{C_text("f_11115:library_2escm"),(void*)f_11115},
{C_text("f_11134:library_2escm"),(void*)f_11134},
{C_text("f_11165:library_2escm"),(void*)f_11165},
{C_text("f_11182:library_2escm"),(void*)f_11182},
{C_text("f_11188:library_2escm"),(void*)f_11188},
{C_text("f_11212:library_2escm"),(void*)f_11212},
{C_text("f_11232:library_2escm"),(void*)f_11232},
{C_text("f_11236:library_2escm"),(void*)f_11236},
{C_text("f_11239:library_2escm"),(void*)f_11239},
{C_text("f_11268:library_2escm"),(void*)f_11268},
{C_text("f_11284:library_2escm"),(void*)f_11284},
{C_text("f_11306:library_2escm"),(void*)f_11306},
{C_text("f_11322:library_2escm"),(void*)f_11322},
{C_text("f_11327:library_2escm"),(void*)f_11327},
{C_text("f_11358:library_2escm"),(void*)f_11358},
{C_text("f_11369:library_2escm"),(void*)f_11369},
{C_text("f_11378:library_2escm"),(void*)f_11378},
{C_text("f_11407:library_2escm"),(void*)f_11407},
{C_text("f_11420:library_2escm"),(void*)f_11420},
{C_text("f_11430:library_2escm"),(void*)f_11430},
{C_text("f_11432:library_2escm"),(void*)f_11432},
{C_text("f_11439:library_2escm"),(void*)f_11439},
{C_text("f_11442:library_2escm"),(void*)f_11442},
{C_text("f_11451:library_2escm"),(void*)f_11451},
{C_text("f_11477:library_2escm"),(void*)f_11477},
{C_text("f_11482:library_2escm"),(void*)f_11482},
{C_text("f_11486:library_2escm"),(void*)f_11486},
{C_text("f_11491:library_2escm"),(void*)f_11491},
{C_text("f_11512:library_2escm"),(void*)f_11512},
{C_text("f_11518:library_2escm"),(void*)f_11518},
{C_text("f_11536:library_2escm"),(void*)f_11536},
{C_text("f_11542:library_2escm"),(void*)f_11542},
{C_text("f_11560:library_2escm"),(void*)f_11560},
{C_text("f_11566:library_2escm"),(void*)f_11566},
{C_text("f_11581:library_2escm"),(void*)f_11581},
{C_text("f_11587:library_2escm"),(void*)f_11587},
{C_text("f_11601:library_2escm"),(void*)f_11601},
{C_text("f_11622:library_2escm"),(void*)f_11622},
{C_text("f_11628:library_2escm"),(void*)f_11628},
{C_text("f_11646:library_2escm"),(void*)f_11646},
{C_text("f_11652:library_2escm"),(void*)f_11652},
{C_text("f_11670:library_2escm"),(void*)f_11670},
{C_text("f_11676:library_2escm"),(void*)f_11676},
{C_text("f_11691:library_2escm"),(void*)f_11691},
{C_text("f_11697:library_2escm"),(void*)f_11697},
{C_text("f_11712:library_2escm"),(void*)f_11712},
{C_text("f_11722:library_2escm"),(void*)f_11722},
{C_text("f_11728:library_2escm"),(void*)f_11728},
{C_text("f_11732:library_2escm"),(void*)f_11732},
{C_text("f_11734:library_2escm"),(void*)f_11734},
{C_text("f_11745:library_2escm"),(void*)f_11745},
{C_text("f_11757:library_2escm"),(void*)f_11757},
{C_text("f_11767:library_2escm"),(void*)f_11767},
{C_text("f_11773:library_2escm"),(void*)f_11773},
{C_text("f_11777:library_2escm"),(void*)f_11777},
{C_text("f_11782:library_2escm"),(void*)f_11782},
{C_text("f_11808:library_2escm"),(void*)f_11808},
{C_text("f_11812:library_2escm"),(void*)f_11812},
{C_text("f_11815:library_2escm"),(void*)f_11815},
{C_text("f_11823:library_2escm"),(void*)f_11823},
{C_text("f_11844:library_2escm"),(void*)f_11844},
{C_text("f_11858:library_2escm"),(void*)f_11858},
{C_text("f_11862:library_2escm"),(void*)f_11862},
{C_text("f_11903:library_2escm"),(void*)f_11903},
{C_text("f_11925:library_2escm"),(void*)f_11925},
{C_text("f_11927:library_2escm"),(void*)f_11927},
{C_text("f_11949:library_2escm"),(void*)f_11949},
{C_text("f_11951:library_2escm"),(void*)f_11951},
{C_text("f_11973:library_2escm"),(void*)f_11973},
{C_text("f_11975:library_2escm"),(void*)f_11975},
{C_text("f_11997:library_2escm"),(void*)f_11997},
{C_text("f_11999:library_2escm"),(void*)f_11999},
{C_text("f_12021:library_2escm"),(void*)f_12021},
{C_text("f_12023:library_2escm"),(void*)f_12023},
{C_text("f_12045:library_2escm"),(void*)f_12045},
{C_text("f_12047:library_2escm"),(void*)f_12047},
{C_text("f_12069:library_2escm"),(void*)f_12069},
{C_text("f_12071:library_2escm"),(void*)f_12071},
{C_text("f_12093:library_2escm"),(void*)f_12093},
{C_text("f_12095:library_2escm"),(void*)f_12095},
{C_text("f_12117:library_2escm"),(void*)f_12117},
{C_text("f_12119:library_2escm"),(void*)f_12119},
{C_text("f_12141:library_2escm"),(void*)f_12141},
{C_text("f_12143:library_2escm"),(void*)f_12143},
{C_text("f_12165:library_2escm"),(void*)f_12165},
{C_text("f_12167:library_2escm"),(void*)f_12167},
{C_text("f_12183:library_2escm"),(void*)f_12183},
{C_text("f_12185:library_2escm"),(void*)f_12185},
{C_text("f_12207:library_2escm"),(void*)f_12207},
{C_text("f_12209:library_2escm"),(void*)f_12209},
{C_text("f_12231:library_2escm"),(void*)f_12231},
{C_text("f_12233:library_2escm"),(void*)f_12233},
{C_text("f_12249:library_2escm"),(void*)f_12249},
{C_text("f_12251:library_2escm"),(void*)f_12251},
{C_text("f_12267:library_2escm"),(void*)f_12267},
{C_text("f_12269:library_2escm"),(void*)f_12269},
{C_text("f_12285:library_2escm"),(void*)f_12285},
{C_text("f_12287:library_2escm"),(void*)f_12287},
{C_text("f_12303:library_2escm"),(void*)f_12303},
{C_text("f_12305:library_2escm"),(void*)f_12305},
{C_text("f_12321:library_2escm"),(void*)f_12321},
{C_text("f_12323:library_2escm"),(void*)f_12323},
{C_text("f_12339:library_2escm"),(void*)f_12339},
{C_text("f_12341:library_2escm"),(void*)f_12341},
{C_text("f_12357:library_2escm"),(void*)f_12357},
{C_text("f_12359:library_2escm"),(void*)f_12359},
{C_text("f_12375:library_2escm"),(void*)f_12375},
{C_text("f_12377:library_2escm"),(void*)f_12377},
{C_text("f_12393:library_2escm"),(void*)f_12393},
{C_text("f_12395:library_2escm"),(void*)f_12395},
{C_text("f_12411:library_2escm"),(void*)f_12411},
{C_text("f_12413:library_2escm"),(void*)f_12413},
{C_text("f_12435:library_2escm"),(void*)f_12435},
{C_text("f_12437:library_2escm"),(void*)f_12437},
{C_text("f_12453:library_2escm"),(void*)f_12453},
{C_text("f_12455:library_2escm"),(void*)f_12455},
{C_text("f_12477:library_2escm"),(void*)f_12477},
{C_text("f_12479:library_2escm"),(void*)f_12479},
{C_text("f_12495:library_2escm"),(void*)f_12495},
{C_text("f_12497:library_2escm"),(void*)f_12497},
{C_text("f_12513:library_2escm"),(void*)f_12513},
{C_text("f_12515:library_2escm"),(void*)f_12515},
{C_text("f_12531:library_2escm"),(void*)f_12531},
{C_text("f_12533:library_2escm"),(void*)f_12533},
{C_text("f_12549:library_2escm"),(void*)f_12549},
{C_text("f_12551:library_2escm"),(void*)f_12551},
{C_text("f_12561:library_2escm"),(void*)f_12561},
{C_text("f_12573:library_2escm"),(void*)f_12573},
{C_text("f_12583:library_2escm"),(void*)f_12583},
{C_text("f_12587:library_2escm"),(void*)f_12587},
{C_text("f_12609:library_2escm"),(void*)f_12609},
{C_text("f_12613:library_2escm"),(void*)f_12613},
{C_text("f_12616:library_2escm"),(void*)f_12616},
{C_text("f_12621:library_2escm"),(void*)f_12621},
{C_text("f_12625:library_2escm"),(void*)f_12625},
{C_text("f_12628:library_2escm"),(void*)f_12628},
{C_text("f_12631:library_2escm"),(void*)f_12631},
{C_text("f_12642:library_2escm"),(void*)f_12642},
{C_text("f_12665:library_2escm"),(void*)f_12665},
{C_text("f_12691:library_2escm"),(void*)f_12691},
{C_text("f_12700:library_2escm"),(void*)f_12700},
{C_text("f_12705:library_2escm"),(void*)f_12705},
{C_text("f_12707:library_2escm"),(void*)f_12707},
{C_text("f_12746:library_2escm"),(void*)f_12746},
{C_text("f_12792:library_2escm"),(void*)f_12792},
{C_text("f_12816:library_2escm"),(void*)f_12816},
{C_text("f_12820:library_2escm"),(void*)f_12820},
{C_text("f_12838:library_2escm"),(void*)f_12838},
{C_text("f_12862:library_2escm"),(void*)f_12862},
{C_text("f_12866:library_2escm"),(void*)f_12866},
{C_text("f_12884:library_2escm"),(void*)f_12884},
{C_text("f_12925:library_2escm"),(void*)f_12925},
{C_text("f_12936:library_2escm"),(void*)f_12936},
{C_text("f_12942:library_2escm"),(void*)f_12942},
{C_text("f_12946:library_2escm"),(void*)f_12946},
{C_text("f_12951:library_2escm"),(void*)f_12951},
{C_text("f_12962:library_2escm"),(void*)f_12962},
{C_text("f_12975:library_2escm"),(void*)f_12975},
{C_text("f_12990:library_2escm"),(void*)f_12990},
{C_text("f_12994:library_2escm"),(void*)f_12994},
{C_text("f_13000:library_2escm"),(void*)f_13000},
{C_text("f_13004:library_2escm"),(void*)f_13004},
{C_text("f_13044:library_2escm"),(void*)f_13044},
{C_text("f_13048:library_2escm"),(void*)f_13048},
{C_text("f_13070:library_2escm"),(void*)f_13070},
{C_text("f_13073:library_2escm"),(void*)f_13073},
{C_text("f_13076:library_2escm"),(void*)f_13076},
{C_text("f_13079:library_2escm"),(void*)f_13079},
{C_text("f_13082:library_2escm"),(void*)f_13082},
{C_text("f_13103:library_2escm"),(void*)f_13103},
{C_text("f_13105:library_2escm"),(void*)f_13105},
{C_text("f_13123:library_2escm"),(void*)f_13123},
{C_text("f_13133:library_2escm"),(void*)f_13133},
{C_text("f_13137:library_2escm"),(void*)f_13137},
{C_text("f_13143:library_2escm"),(void*)f_13143},
{C_text("f_13175:library_2escm"),(void*)f_13175},
{C_text("f_13178:library_2escm"),(void*)f_13178},
{C_text("f_13181:library_2escm"),(void*)f_13181},
{C_text("f_13184:library_2escm"),(void*)f_13184},
{C_text("f_13193:library_2escm"),(void*)f_13193},
{C_text("f_13196:library_2escm"),(void*)f_13196},
{C_text("f_13226:library_2escm"),(void*)f_13226},
{C_text("f_13230:library_2escm"),(void*)f_13230},
{C_text("f_13297:library_2escm"),(void*)f_13297},
{C_text("f_13331:library_2escm"),(void*)f_13331},
{C_text("f_13381:library_2escm"),(void*)f_13381},
{C_text("f_13422:library_2escm"),(void*)f_13422},
{C_text("f_13463:library_2escm"),(void*)f_13463},
{C_text("f_13497:library_2escm"),(void*)f_13497},
{C_text("f_13521:library_2escm"),(void*)f_13521},
{C_text("f_13537:library_2escm"),(void*)f_13537},
{C_text("f_13540:library_2escm"),(void*)f_13540},
{C_text("f_13544:library_2escm"),(void*)f_13544},
{C_text("f_13547:library_2escm"),(void*)f_13547},
{C_text("f_13564:library_2escm"),(void*)f_13564},
{C_text("f_13582:library_2escm"),(void*)f_13582},
{C_text("f_13586:library_2escm"),(void*)f_13586},
{C_text("f_13605:library_2escm"),(void*)f_13605},
{C_text("f_13609:library_2escm"),(void*)f_13609},
{C_text("f_13640:library_2escm"),(void*)f_13640},
{C_text("f_13673:library_2escm"),(void*)f_13673},
{C_text("f_13677:library_2escm"),(void*)f_13677},
{C_text("f_13696:library_2escm"),(void*)f_13696},
{C_text("f_13698:library_2escm"),(void*)f_13698},
{C_text("f_13705:library_2escm"),(void*)f_13705},
{C_text("f_13741:library_2escm"),(void*)f_13741},
{C_text("f_13748:library_2escm"),(void*)f_13748},
{C_text("f_13784:library_2escm"),(void*)f_13784},
{C_text("f_13799:library_2escm"),(void*)f_13799},
{C_text("f_13808:library_2escm"),(void*)f_13808},
{C_text("f_13813:library_2escm"),(void*)f_13813},
{C_text("f_13826:library_2escm"),(void*)f_13826},
{C_text("f_13845:library_2escm"),(void*)f_13845},
{C_text("f_13849:library_2escm"),(void*)f_13849},
{C_text("f_13854:library_2escm"),(void*)f_13854},
{C_text("f_13858:library_2escm"),(void*)f_13858},
{C_text("f_13862:library_2escm"),(void*)f_13862},
{C_text("f_13866:library_2escm"),(void*)f_13866},
{C_text("f_13869:library_2escm"),(void*)f_13869},
{C_text("f_13883:library_2escm"),(void*)f_13883},
{C_text("f_13887:library_2escm"),(void*)f_13887},
{C_text("f_13898:library_2escm"),(void*)f_13898},
{C_text("f_13918:library_2escm"),(void*)f_13918},
{C_text("f_13922:library_2escm"),(void*)f_13922},
{C_text("f_13928:library_2escm"),(void*)f_13928},
{C_text("f_13948:library_2escm"),(void*)f_13948},
{C_text("f_13952:library_2escm"),(void*)f_13952},
{C_text("f_13958:library_2escm"),(void*)f_13958},
{C_text("f_13975:library_2escm"),(void*)f_13975},
{C_text("f_13979:library_2escm"),(void*)f_13979},
{C_text("f_13983:library_2escm"),(void*)f_13983},
{C_text("f_13993:library_2escm"),(void*)f_13993},
{C_text("f_13999:library_2escm"),(void*)f_13999},
{C_text("f_14004:library_2escm"),(void*)f_14004},
{C_text("f_14012:library_2escm"),(void*)f_14012},
{C_text("f_14032:library_2escm"),(void*)f_14032},
{C_text("f_14036:library_2escm"),(void*)f_14036},
{C_text("f_14046:library_2escm"),(void*)f_14046},
{C_text("f_14052:library_2escm"),(void*)f_14052},
{C_text("f_14057:library_2escm"),(void*)f_14057},
{C_text("f_14072:library_2escm"),(void*)f_14072},
{C_text("f_14076:library_2escm"),(void*)f_14076},
{C_text("f_14105:library_2escm"),(void*)f_14105},
{C_text("f_14109:library_2escm"),(void*)f_14109},
{C_text("f_14124:library_2escm"),(void*)f_14124},
{C_text("f_14134:library_2escm"),(void*)f_14134},
{C_text("f_14207:library_2escm"),(void*)f_14207},
{C_text("f_14219:library_2escm"),(void*)f_14219},
{C_text("f_14238:library_2escm"),(void*)f_14238},
{C_text("f_14252:library_2escm"),(void*)f_14252},
{C_text("f_14299:library_2escm"),(void*)f_14299},
{C_text("f_14303:library_2escm"),(void*)f_14303},
{C_text("f_14308:library_2escm"),(void*)f_14308},
{C_text("f_14318:library_2escm"),(void*)f_14318},
{C_text("f_14322:library_2escm"),(void*)f_14322},
{C_text("f_14331:library_2escm"),(void*)f_14331},
{C_text("f_14337:library_2escm"),(void*)f_14337},
{C_text("f_14354:library_2escm"),(void*)f_14354},
{C_text("f_14365:library_2escm"),(void*)f_14365},
{C_text("f_14371:library_2escm"),(void*)f_14371},
{C_text("f_14382:library_2escm"),(void*)f_14382},
{C_text("f_14393:library_2escm"),(void*)f_14393},
{C_text("f_14405:library_2escm"),(void*)f_14405},
{C_text("f_14417:library_2escm"),(void*)f_14417},
{C_text("f_14429:library_2escm"),(void*)f_14429},
{C_text("f_14446:library_2escm"),(void*)f_14446},
{C_text("f_14453:library_2escm"),(void*)f_14453},
{C_text("f_14457:library_2escm"),(void*)f_14457},
{C_text("f_14459:library_2escm"),(void*)f_14459},
{C_text("f_14465:library_2escm"),(void*)f_14465},
{C_text("f_14469:library_2escm"),(void*)f_14469},
{C_text("f_14472:library_2escm"),(void*)f_14472},
{C_text("f_14477:library_2escm"),(void*)f_14477},
{C_text("f_14487:library_2escm"),(void*)f_14487},
{C_text("f_14505:library_2escm"),(void*)f_14505},
{C_text("f_14523:library_2escm"),(void*)f_14523},
{C_text("f_14526:library_2escm"),(void*)f_14526},
{C_text("f_14546:library_2escm"),(void*)f_14546},
{C_text("f_14556:library_2escm"),(void*)f_14556},
{C_text("f_14560:library_2escm"),(void*)f_14560},
{C_text("f_14564:library_2escm"),(void*)f_14564},
{C_text("f_14580:library_2escm"),(void*)f_14580},
{C_text("f_14597:library_2escm"),(void*)f_14597},
{C_text("f_14608:library_2escm"),(void*)f_14608},
{C_text("f_14628:library_2escm"),(void*)f_14628},
{C_text("f_14642:library_2escm"),(void*)f_14642},
{C_text("f_14645:library_2escm"),(void*)f_14645},
{C_text("f_14655:library_2escm"),(void*)f_14655},
{C_text("f_14657:library_2escm"),(void*)f_14657},
{C_text("f_14676:library_2escm"),(void*)f_14676},
{C_text("f_14700:library_2escm"),(void*)f_14700},
{C_text("f_14704:library_2escm"),(void*)f_14704},
{C_text("f_14708:library_2escm"),(void*)f_14708},
{C_text("f_14743:library_2escm"),(void*)f_14743},
{C_text("f_14750:library_2escm"),(void*)f_14750},
{C_text("f_14762:library_2escm"),(void*)f_14762},
{C_text("f_14782:library_2escm"),(void*)f_14782},
{C_text("f_14786:library_2escm"),(void*)f_14786},
{C_text("f_14806:library_2escm"),(void*)f_14806},
{C_text("f_14815:library_2escm"),(void*)f_14815},
{C_text("f_14826:library_2escm"),(void*)f_14826},
{C_text("f_14830:library_2escm"),(void*)f_14830},
{C_text("f_14834:library_2escm"),(void*)f_14834},
{C_text("f_14841:library_2escm"),(void*)f_14841},
{C_text("f_14857:library_2escm"),(void*)f_14857},
{C_text("f_14861:library_2escm"),(void*)f_14861},
{C_text("f_14902:library_2escm"),(void*)f_14902},
{C_text("f_14935:library_2escm"),(void*)f_14935},
{C_text("f_14964:library_2escm"),(void*)f_14964},
{C_text("f_14972:library_2escm"),(void*)f_14972},
{C_text("f_14978:library_2escm"),(void*)f_14978},
{C_text("f_14998:library_2escm"),(void*)f_14998},
{C_text("f_15023:library_2escm"),(void*)f_15023},
{C_text("f_15029:library_2escm"),(void*)f_15029},
{C_text("f_15033:library_2escm"),(void*)f_15033},
{C_text("f_15040:library_2escm"),(void*)f_15040},
{C_text("f_15060:library_2escm"),(void*)f_15060},
{C_text("f_15081:library_2escm"),(void*)f_15081},
{C_text("f_15095:library_2escm"),(void*)f_15095},
{C_text("f_15102:library_2escm"),(void*)f_15102},
{C_text("f_15107:library_2escm"),(void*)f_15107},
{C_text("f_15113:library_2escm"),(void*)f_15113},
{C_text("f_15117:library_2escm"),(void*)f_15117},
{C_text("f_15120:library_2escm"),(void*)f_15120},
{C_text("f_15127:library_2escm"),(void*)f_15127},
{C_text("f_15148:library_2escm"),(void*)f_15148},
{C_text("f_15162:library_2escm"),(void*)f_15162},
{C_text("f_15166:library_2escm"),(void*)f_15166},
{C_text("f_15203:library_2escm"),(void*)f_15203},
{C_text("f_15211:library_2escm"),(void*)f_15211},
{C_text("f_15238:library_2escm"),(void*)f_15238},
{C_text("f_15241:library_2escm"),(void*)f_15241},
{C_text("f_15258:library_2escm"),(void*)f_15258},
{C_text("f_15261:library_2escm"),(void*)f_15261},
{C_text("f_15268:library_2escm"),(void*)f_15268},
{C_text("f_15279:library_2escm"),(void*)f_15279},
{C_text("f_15290:library_2escm"),(void*)f_15290},
{C_text("f_15315:library_2escm"),(void*)f_15315},
{C_text("f_15330:library_2escm"),(void*)f_15330},
{C_text("f_15353:library_2escm"),(void*)f_15353},
{C_text("f_15356:library_2escm"),(void*)f_15356},
{C_text("f_15366:library_2escm"),(void*)f_15366},
{C_text("f_15424:library_2escm"),(void*)f_15424},
{C_text("f_15440:library_2escm"),(void*)f_15440},
{C_text("f_15446:library_2escm"),(void*)f_15446},
{C_text("f_15509:library_2escm"),(void*)f_15509},
{C_text("f_15548:library_2escm"),(void*)f_15548},
{C_text("f_15554:library_2escm"),(void*)f_15554},
{C_text("f_15598:library_2escm"),(void*)f_15598},
{C_text("f_15602:library_2escm"),(void*)f_15602},
{C_text("f_15605:library_2escm"),(void*)f_15605},
{C_text("f_15654:library_2escm"),(void*)f_15654},
{C_text("f_15669:library_2escm"),(void*)f_15669},
{C_text("f_15678:library_2escm"),(void*)f_15678},
{C_text("f_15715:library_2escm"),(void*)f_15715},
{C_text("f_15725:library_2escm"),(void*)f_15725},
{C_text("f_15734:library_2escm"),(void*)f_15734},
{C_text("f_15737:library_2escm"),(void*)f_15737},
{C_text("f_15746:library_2escm"),(void*)f_15746},
{C_text("f_15755:library_2escm"),(void*)f_15755},
{C_text("f_15767:library_2escm"),(void*)f_15767},
{C_text("f_15773:library_2escm"),(void*)f_15773},
{C_text("f_15779:library_2escm"),(void*)f_15779},
{C_text("f_15820:library_2escm"),(void*)f_15820},
{C_text("f_15927:library_2escm"),(void*)f_15927},
{C_text("f_15934:library_2escm"),(void*)f_15934},
{C_text("f_15947:library_2escm"),(void*)f_15947},
{C_text("f_15953:library_2escm"),(void*)f_15953},
{C_text("f_16005:library_2escm"),(void*)f_16005},
{C_text("f_16020:library_2escm"),(void*)f_16020},
{C_text("f_16030:library_2escm"),(void*)f_16030},
{C_text("f_16066:library_2escm"),(void*)f_16066},
{C_text("f_16092:library_2escm"),(void*)f_16092},
{C_text("f_16103:library_2escm"),(void*)f_16103},
{C_text("f_16270:library_2escm"),(void*)f_16270},
{C_text("f_16285:library_2escm"),(void*)f_16285},
{C_text("f_16311:library_2escm"),(void*)f_16311},
{C_text("f_16343:library_2escm"),(void*)f_16343},
{C_text("f_16380:library_2escm"),(void*)f_16380},
{C_text("f_16404:library_2escm"),(void*)f_16404},
{C_text("f_16454:library_2escm"),(void*)f_16454},
{C_text("f_16502:library_2escm"),(void*)f_16502},
{C_text("f_16505:library_2escm"),(void*)f_16505},
{C_text("f_16524:library_2escm"),(void*)f_16524},
{C_text("f_16594:library_2escm"),(void*)f_16594},
{C_text("f_16615:library_2escm"),(void*)f_16615},
{C_text("f_16662:library_2escm"),(void*)f_16662},
{C_text("f_16754:library_2escm"),(void*)f_16754},
{C_text("f_16764:library_2escm"),(void*)f_16764},
{C_text("f_16773:library_2escm"),(void*)f_16773},
{C_text("f_16780:library_2escm"),(void*)f_16780},
{C_text("f_17009:library_2escm"),(void*)f_17009},
{C_text("f_17055:library_2escm"),(void*)f_17055},
{C_text("f_17058:library_2escm"),(void*)f_17058},
{C_text("f_17085:library_2escm"),(void*)f_17085},
{C_text("f_17109:library_2escm"),(void*)f_17109},
{C_text("f_17126:library_2escm"),(void*)f_17126},
{C_text("f_17225:library_2escm"),(void*)f_17225},
{C_text("f_17228:library_2escm"),(void*)f_17228},
{C_text("f_17237:library_2escm"),(void*)f_17237},
{C_text("f_17264:library_2escm"),(void*)f_17264},
{C_text("f_17282:library_2escm"),(void*)f_17282},
{C_text("f_17302:library_2escm"),(void*)f_17302},
{C_text("f_17306:library_2escm"),(void*)f_17306},
{C_text("f_17308:library_2escm"),(void*)f_17308},
{C_text("f_17326:library_2escm"),(void*)f_17326},
{C_text("f_17349:library_2escm"),(void*)f_17349},
{C_text("f_17357:library_2escm"),(void*)f_17357},
{C_text("f_17362:library_2escm"),(void*)f_17362},
{C_text("f_17373:library_2escm"),(void*)f_17373},
{C_text("f_17375:library_2escm"),(void*)f_17375},
{C_text("f_17386:library_2escm"),(void*)f_17386},
{C_text("f_17388:library_2escm"),(void*)f_17388},
{C_text("f_17399:library_2escm"),(void*)f_17399},
{C_text("f_17401:library_2escm"),(void*)f_17401},
{C_text("f_17418:library_2escm"),(void*)f_17418},
{C_text("f_17422:library_2escm"),(void*)f_17422},
{C_text("f_17426:library_2escm"),(void*)f_17426},
{C_text("f_17435:library_2escm"),(void*)f_17435},
{C_text("f_17455:library_2escm"),(void*)f_17455},
{C_text("f_17463:library_2escm"),(void*)f_17463},
{C_text("f_17478:library_2escm"),(void*)f_17478},
{C_text("f_17480:library_2escm"),(void*)f_17480},
{C_text("f_17505:library_2escm"),(void*)f_17505},
{C_text("f_17514:library_2escm"),(void*)f_17514},
{C_text("f_17523:library_2escm"),(void*)f_17523},
{C_text("f_17534:library_2escm"),(void*)f_17534},
{C_text("f_17544:library_2escm"),(void*)f_17544},
{C_text("f_17551:library_2escm"),(void*)f_17551},
{C_text("f_17562:library_2escm"),(void*)f_17562},
{C_text("f_17590:library_2escm"),(void*)f_17590},
{C_text("f_17594:library_2escm"),(void*)f_17594},
{C_text("f_17596:library_2escm"),(void*)f_17596},
{C_text("f_17600:library_2escm"),(void*)f_17600},
{C_text("f_17605:library_2escm"),(void*)f_17605},
{C_text("f_17611:library_2escm"),(void*)f_17611},
{C_text("f_17615:library_2escm"),(void*)f_17615},
{C_text("f_17620:library_2escm"),(void*)f_17620},
{C_text("f_17630:library_2escm"),(void*)f_17630},
{C_text("f_17632:library_2escm"),(void*)f_17632},
{C_text("f_17636:library_2escm"),(void*)f_17636},
{C_text("f_17642:library_2escm"),(void*)f_17642},
{C_text("f_17644:library_2escm"),(void*)f_17644},
{C_text("f_17648:library_2escm"),(void*)f_17648},
{C_text("f_17651:library_2escm"),(void*)f_17651},
{C_text("f_17667:library_2escm"),(void*)f_17667},
{C_text("f_17671:library_2escm"),(void*)f_17671},
{C_text("f_17674:library_2escm"),(void*)f_17674},
{C_text("f_17696:library_2escm"),(void*)f_17696},
{C_text("f_17712:library_2escm"),(void*)f_17712},
{C_text("f_17717:library_2escm"),(void*)f_17717},
{C_text("f_17748:library_2escm"),(void*)f_17748},
{C_text("f_17757:library_2escm"),(void*)f_17757},
{C_text("f_17775:library_2escm"),(void*)f_17775},
{C_text("f_17781:library_2escm"),(void*)f_17781},
{C_text("f_17787:library_2escm"),(void*)f_17787},
{C_text("f_17796:library_2escm"),(void*)f_17796},
{C_text("f_17815:library_2escm"),(void*)f_17815},
{C_text("f_17831:library_2escm"),(void*)f_17831},
{C_text("f_17834:library_2escm"),(void*)f_17834},
{C_text("f_17837:library_2escm"),(void*)f_17837},
{C_text("f_17842:library_2escm"),(void*)f_17842},
{C_text("f_17884:library_2escm"),(void*)f_17884},
{C_text("f_17903:library_2escm"),(void*)f_17903},
{C_text("f_17906:library_2escm"),(void*)f_17906},
{C_text("f_17909:library_2escm"),(void*)f_17909},
{C_text("f_17914:library_2escm"),(void*)f_17914},
{C_text("f_17955:library_2escm"),(void*)f_17955},
{C_text("f_17965:library_2escm"),(void*)f_17965},
{C_text("f_17976:library_2escm"),(void*)f_17976},
{C_text("f_17980:library_2escm"),(void*)f_17980},
{C_text("f_17983:library_2escm"),(void*)f_17983},
{C_text("f_17988:library_2escm"),(void*)f_17988},
{C_text("f_18015:library_2escm"),(void*)f_18015},
{C_text("f_18029:library_2escm"),(void*)f_18029},
{C_text("f_18040:library_2escm"),(void*)f_18040},
{C_text("f_18051:library_2escm"),(void*)f_18051},
{C_text("f_18062:library_2escm"),(void*)f_18062},
{C_text("f_18075:library_2escm"),(void*)f_18075},
{C_text("f_18077:library_2escm"),(void*)f_18077},
{C_text("f_18090:library_2escm"),(void*)f_18090},
{C_text("f_18118:library_2escm"),(void*)f_18118},
{C_text("f_18122:library_2escm"),(void*)f_18122},
{C_text("f_18131:library_2escm"),(void*)f_18131},
{C_text("f_18149:library_2escm"),(void*)f_18149},
{C_text("f_18152:library_2escm"),(void*)f_18152},
{C_text("f_18235:library_2escm"),(void*)f_18235},
{C_text("f_18238:library_2escm"),(void*)f_18238},
{C_text("f_18241:library_2escm"),(void*)f_18241},
{C_text("f_18244:library_2escm"),(void*)f_18244},
{C_text("f_18247:library_2escm"),(void*)f_18247},
{C_text("f_18250:library_2escm"),(void*)f_18250},
{C_text("f_18253:library_2escm"),(void*)f_18253},
{C_text("f_18256:library_2escm"),(void*)f_18256},
{C_text("f_18259:library_2escm"),(void*)f_18259},
{C_text("f_18262:library_2escm"),(void*)f_18262},
{C_text("f_18265:library_2escm"),(void*)f_18265},
{C_text("f_18268:library_2escm"),(void*)f_18268},
{C_text("f_18271:library_2escm"),(void*)f_18271},
{C_text("f_18274:library_2escm"),(void*)f_18274},
{C_text("f_18279:library_2escm"),(void*)f_18279},
{C_text("f_18285:library_2escm"),(void*)f_18285},
{C_text("f_18301:library_2escm"),(void*)f_18301},
{C_text("f_18317:library_2escm"),(void*)f_18317},
{C_text("f_18323:library_2escm"),(void*)f_18323},
{C_text("f_18343:library_2escm"),(void*)f_18343},
{C_text("f_18347:library_2escm"),(void*)f_18347},
{C_text("f_18359:library_2escm"),(void*)f_18359},
{C_text("f_18391:library_2escm"),(void*)f_18391},
{C_text("f_18395:library_2escm"),(void*)f_18395},
{C_text("f_18403:library_2escm"),(void*)f_18403},
{C_text("f_18413:library_2escm"),(void*)f_18413},
{C_text("f_18421:library_2escm"),(void*)f_18421},
{C_text("f_18457:library_2escm"),(void*)f_18457},
{C_text("f_18472:library_2escm"),(void*)f_18472},
{C_text("f_18482:library_2escm"),(void*)f_18482},
{C_text("f_18502:library_2escm"),(void*)f_18502},
{C_text("f_18515:library_2escm"),(void*)f_18515},
{C_text("f_18522:library_2escm"),(void*)f_18522},
{C_text("f_18524:library_2escm"),(void*)f_18524},
{C_text("f_18532:library_2escm"),(void*)f_18532},
{C_text("f_18534:library_2escm"),(void*)f_18534},
{C_text("f_18543:library_2escm"),(void*)f_18543},
{C_text("f_18561:library_2escm"),(void*)f_18561},
{C_text("f_18586:library_2escm"),(void*)f_18586},
{C_text("f_18602:library_2escm"),(void*)f_18602},
{C_text("f_18619:library_2escm"),(void*)f_18619},
{C_text("f_18623:library_2escm"),(void*)f_18623},
{C_text("f_18627:library_2escm"),(void*)f_18627},
{C_text("f_18629:library_2escm"),(void*)f_18629},
{C_text("f_18637:library_2escm"),(void*)f_18637},
{C_text("f_18639:library_2escm"),(void*)f_18639},
{C_text("f_18646:library_2escm"),(void*)f_18646},
{C_text("f_18650:library_2escm"),(void*)f_18650},
{C_text("f_18654:library_2escm"),(void*)f_18654},
{C_text("f_18663:library_2escm"),(void*)f_18663},
{C_text("f_18671:library_2escm"),(void*)f_18671},
{C_text("f_18681:library_2escm"),(void*)f_18681},
{C_text("f_18687:library_2escm"),(void*)f_18687},
{C_text("f_18690:library_2escm"),(void*)f_18690},
{C_text("f_18694:library_2escm"),(void*)f_18694},
{C_text("f_18721:library_2escm"),(void*)f_18721},
{C_text("f_18737:library_2escm"),(void*)f_18737},
{C_text("f_18743:library_2escm"),(void*)f_18743},
{C_text("f_18766:library_2escm"),(void*)f_18766},
{C_text("f_18779:library_2escm"),(void*)f_18779},
{C_text("f_18785:library_2escm"),(void*)f_18785},
{C_text("f_18790:library_2escm"),(void*)f_18790},
{C_text("f_18795:library_2escm"),(void*)f_18795},
{C_text("f_18799:library_2escm"),(void*)f_18799},
{C_text("f_18808:library_2escm"),(void*)f_18808},
{C_text("f_18839:library_2escm"),(void*)f_18839},
{C_text("f_18843:library_2escm"),(void*)f_18843},
{C_text("f_18847:library_2escm"),(void*)f_18847},
{C_text("f_18850:library_2escm"),(void*)f_18850},
{C_text("f_18853:library_2escm"),(void*)f_18853},
{C_text("f_18856:library_2escm"),(void*)f_18856},
{C_text("f_18858:library_2escm"),(void*)f_18858},
{C_text("f_18869:library_2escm"),(void*)f_18869},
{C_text("f_18880:library_2escm"),(void*)f_18880},
{C_text("f_18891:library_2escm"),(void*)f_18891},
{C_text("f_18902:library_2escm"),(void*)f_18902},
{C_text("f_18915:library_2escm"),(void*)f_18915},
{C_text("f_18917:library_2escm"),(void*)f_18917},
{C_text("f_18923:library_2escm"),(void*)f_18923},
{C_text("f_18928:library_2escm"),(void*)f_18928},
{C_text("f_18963:library_2escm"),(void*)f_18963},
{C_text("f_18976:library_2escm"),(void*)f_18976},
{C_text("f_18978:library_2escm"),(void*)f_18978},
{C_text("f_18984:library_2escm"),(void*)f_18984},
{C_text("f_18989:library_2escm"),(void*)f_18989},
{C_text("f_19024:library_2escm"),(void*)f_19024},
{C_text("f_19037:library_2escm"),(void*)f_19037},
{C_text("f_19039:library_2escm"),(void*)f_19039},
{C_text("f_19045:library_2escm"),(void*)f_19045},
{C_text("f_19050:library_2escm"),(void*)f_19050},
{C_text("f_19085:library_2escm"),(void*)f_19085},
{C_text("f_19097:library_2escm"),(void*)f_19097},
{C_text("f_19099:library_2escm"),(void*)f_19099},
{C_text("f_19105:library_2escm"),(void*)f_19105},
{C_text("f_19111:library_2escm"),(void*)f_19111},
{C_text("f_19121:library_2escm"),(void*)f_19121},
{C_text("f_19124:library_2escm"),(void*)f_19124},
{C_text("f_19127:library_2escm"),(void*)f_19127},
{C_text("f_19130:library_2escm"),(void*)f_19130},
{C_text("f_19133:library_2escm"),(void*)f_19133},
{C_text("f_19140:library_2escm"),(void*)f_19140},
{C_text("f_19144:library_2escm"),(void*)f_19144},
{C_text("f_19148:library_2escm"),(void*)f_19148},
{C_text("f_19154:library_2escm"),(void*)f_19154},
{C_text("f_19167:library_2escm"),(void*)f_19167},
{C_text("f_19209:library_2escm"),(void*)f_19209},
{C_text("f_19213:library_2escm"),(void*)f_19213},
{C_text("f_19246:library_2escm"),(void*)f_19246},
{C_text("f_19252:library_2escm"),(void*)f_19252},
{C_text("f_19258:library_2escm"),(void*)f_19258},
{C_text("f_19264:library_2escm"),(void*)f_19264},
{C_text("f_19270:library_2escm"),(void*)f_19270},
{C_text("f_19274:library_2escm"),(void*)f_19274},
{C_text("f_19279:library_2escm"),(void*)f_19279},
{C_text("f_19285:library_2escm"),(void*)f_19285},
{C_text("f_19289:library_2escm"),(void*)f_19289},
{C_text("f_19294:library_2escm"),(void*)f_19294},
{C_text("f_19298:library_2escm"),(void*)f_19298},
{C_text("f_19303:library_2escm"),(void*)f_19303},
{C_text("f_19309:library_2escm"),(void*)f_19309},
{C_text("f_19313:library_2escm"),(void*)f_19313},
{C_text("f_19318:library_2escm"),(void*)f_19318},
{C_text("f_19322:library_2escm"),(void*)f_19322},
{C_text("f_19327:library_2escm"),(void*)f_19327},
{C_text("f_19332:library_2escm"),(void*)f_19332},
{C_text("f_19338:library_2escm"),(void*)f_19338},
{C_text("f_19342:library_2escm"),(void*)f_19342},
{C_text("f_19347:library_2escm"),(void*)f_19347},
{C_text("f_19352:library_2escm"),(void*)f_19352},
{C_text("f_19356:library_2escm"),(void*)f_19356},
{C_text("f_19361:library_2escm"),(void*)f_19361},
{C_text("f_19366:library_2escm"),(void*)f_19366},
{C_text("f_19372:library_2escm"),(void*)f_19372},
{C_text("f_19376:library_2escm"),(void*)f_19376},
{C_text("f_19381:library_2escm"),(void*)f_19381},
{C_text("f_19386:library_2escm"),(void*)f_19386},
{C_text("f_19391:library_2escm"),(void*)f_19391},
{C_text("f_19412:library_2escm"),(void*)f_19412},
{C_text("f_19419:library_2escm"),(void*)f_19419},
{C_text("f_19425:library_2escm"),(void*)f_19425},
{C_text("f_19443:library_2escm"),(void*)f_19443},
{C_text("f_19452:library_2escm"),(void*)f_19452},
{C_text("f_19465:library_2escm"),(void*)f_19465},
{C_text("f_19473:library_2escm"),(void*)f_19473},
{C_text("f_19478:library_2escm"),(void*)f_19478},
{C_text("f_19515:library_2escm"),(void*)f_19515},
{C_text("f_19527:library_2escm"),(void*)f_19527},
{C_text("f_19537:library_2escm"),(void*)f_19537},
{C_text("f_19553:library_2escm"),(void*)f_19553},
{C_text("f_19566:library_2escm"),(void*)f_19566},
{C_text("f_19573:library_2escm"),(void*)f_19573},
{C_text("f_19575:library_2escm"),(void*)f_19575},
{C_text("f_19588:library_2escm"),(void*)f_19588},
{C_text("f_19594:library_2escm"),(void*)f_19594},
{C_text("f_19601:library_2escm"),(void*)f_19601},
{C_text("f_19603:library_2escm"),(void*)f_19603},
{C_text("f_19607:library_2escm"),(void*)f_19607},
{C_text("f_19610:library_2escm"),(void*)f_19610},
{C_text("f_19620:library_2escm"),(void*)f_19620},
{C_text("f_19624:library_2escm"),(void*)f_19624},
{C_text("f_19632:library_2escm"),(void*)f_19632},
{C_text("f_19635:library_2escm"),(void*)f_19635},
{C_text("f_19642:library_2escm"),(void*)f_19642},
{C_text("f_19645:library_2escm"),(void*)f_19645},
{C_text("f_19648:library_2escm"),(void*)f_19648},
{C_text("f_19651:library_2escm"),(void*)f_19651},
{C_text("f_19659:library_2escm"),(void*)f_19659},
{C_text("f_19667:library_2escm"),(void*)f_19667},
{C_text("f_19669:library_2escm"),(void*)f_19669},
{C_text("f_19685:library_2escm"),(void*)f_19685},
{C_text("f_19712:library_2escm"),(void*)f_19712},
{C_text("f_19716:library_2escm"),(void*)f_19716},
{C_text("f_19720:library_2escm"),(void*)f_19720},
{C_text("f_19724:library_2escm"),(void*)f_19724},
{C_text("f_19728:library_2escm"),(void*)f_19728},
{C_text("f_19732:library_2escm"),(void*)f_19732},
{C_text("f_19736:library_2escm"),(void*)f_19736},
{C_text("f_19740:library_2escm"),(void*)f_19740},
{C_text("f_19744:library_2escm"),(void*)f_19744},
{C_text("f_19748:library_2escm"),(void*)f_19748},
{C_text("f_19752:library_2escm"),(void*)f_19752},
{C_text("f_19756:library_2escm"),(void*)f_19756},
{C_text("f_19760:library_2escm"),(void*)f_19760},
{C_text("f_19764:library_2escm"),(void*)f_19764},
{C_text("f_19768:library_2escm"),(void*)f_19768},
{C_text("f_19772:library_2escm"),(void*)f_19772},
{C_text("f_19776:library_2escm"),(void*)f_19776},
{C_text("f_19783:library_2escm"),(void*)f_19783},
{C_text("f_19790:library_2escm"),(void*)f_19790},
{C_text("f_19791:library_2escm"),(void*)f_19791},
{C_text("f_19795:library_2escm"),(void*)f_19795},
{C_text("f_19798:library_2escm"),(void*)f_19798},
{C_text("f_19814:library_2escm"),(void*)f_19814},
{C_text("f_19825:library_2escm"),(void*)f_19825},
{C_text("f_19833:library_2escm"),(void*)f_19833},
{C_text("f_19845:library_2escm"),(void*)f_19845},
{C_text("f_19854:library_2escm"),(void*)f_19854},
{C_text("f_19859:library_2escm"),(void*)f_19859},
{C_text("f_19915:library_2escm"),(void*)f_19915},
{C_text("f_19929:library_2escm"),(void*)f_19929},
{C_text("f_19941:library_2escm"),(void*)f_19941},
{C_text("f_19947:library_2escm"),(void*)f_19947},
{C_text("f_19972:library_2escm"),(void*)f_19972},
{C_text("f_19990:library_2escm"),(void*)f_19990},
{C_text("f_19994:library_2escm"),(void*)f_19994},
{C_text("f_20050:library_2escm"),(void*)f_20050},
{C_text("f_20059:library_2escm"),(void*)f_20059},
{C_text("f_20072:library_2escm"),(void*)f_20072},
{C_text("f_20084:library_2escm"),(void*)f_20084},
{C_text("f_20102:library_2escm"),(void*)f_20102},
{C_text("f_20123:library_2escm"),(void*)f_20123},
{C_text("f_20126:library_2escm"),(void*)f_20126},
{C_text("f_20129:library_2escm"),(void*)f_20129},
{C_text("f_20137:library_2escm"),(void*)f_20137},
{C_text("f_20141:library_2escm"),(void*)f_20141},
{C_text("f_20145:library_2escm"),(void*)f_20145},
{C_text("f_20149:library_2escm"),(void*)f_20149},
{C_text("f_20153:library_2escm"),(void*)f_20153},
{C_text("f_20155:library_2escm"),(void*)f_20155},
{C_text("f_20163:library_2escm"),(void*)f_20163},
{C_text("f_20166:library_2escm"),(void*)f_20166},
{C_text("f_20176:library_2escm"),(void*)f_20176},
{C_text("f_20178:library_2escm"),(void*)f_20178},
{C_text("f_20186:library_2escm"),(void*)f_20186},
{C_text("f_20189:library_2escm"),(void*)f_20189},
{C_text("f_20199:library_2escm"),(void*)f_20199},
{C_text("f_20204:library_2escm"),(void*)f_20204},
{C_text("f_20208:library_2escm"),(void*)f_20208},
{C_text("f_20211:library_2escm"),(void*)f_20211},
{C_text("f_20214:library_2escm"),(void*)f_20214},
{C_text("f_20217:library_2escm"),(void*)f_20217},
{C_text("f_20220:library_2escm"),(void*)f_20220},
{C_text("f_20222:library_2escm"),(void*)f_20222},
{C_text("f_20228:library_2escm"),(void*)f_20228},
{C_text("f_20237:library_2escm"),(void*)f_20237},
{C_text("f_20245:library_2escm"),(void*)f_20245},
{C_text("f_20247:library_2escm"),(void*)f_20247},
{C_text("f_20254:library_2escm"),(void*)f_20254},
{C_text("f_20261:library_2escm"),(void*)f_20261},
{C_text("f_20274:library_2escm"),(void*)f_20274},
{C_text("f_20278:library_2escm"),(void*)f_20278},
{C_text("f_20283:library_2escm"),(void*)f_20283},
{C_text("f_20287:library_2escm"),(void*)f_20287},
{C_text("f_20298:library_2escm"),(void*)f_20298},
{C_text("f_20301:library_2escm"),(void*)f_20301},
{C_text("f_20309:library_2escm"),(void*)f_20309},
{C_text("f_20311:library_2escm"),(void*)f_20311},
{C_text("f_20324:library_2escm"),(void*)f_20324},
{C_text("f_20331:library_2escm"),(void*)f_20331},
{C_text("f_20340:library_2escm"),(void*)f_20340},
{C_text("f_20347:library_2escm"),(void*)f_20347},
{C_text("f_20349:library_2escm"),(void*)f_20349},
{C_text("f_20355:library_2escm"),(void*)f_20355},
{C_text("f_20365:library_2escm"),(void*)f_20365},
{C_text("f_20368:library_2escm"),(void*)f_20368},
{C_text("f_20378:library_2escm"),(void*)f_20378},
{C_text("f_20381:library_2escm"),(void*)f_20381},
{C_text("f_20409:library_2escm"),(void*)f_20409},
{C_text("f_20413:library_2escm"),(void*)f_20413},
{C_text("f_20421:library_2escm"),(void*)f_20421},
{C_text("f_20446:library_2escm"),(void*)f_20446},
{C_text("f_20454:library_2escm"),(void*)f_20454},
{C_text("f_20456:library_2escm"),(void*)f_20456},
{C_text("f_20473:library_2escm"),(void*)f_20473},
{C_text("f_20486:library_2escm"),(void*)f_20486},
{C_text("f_20503:library_2escm"),(void*)f_20503},
{C_text("f_20520:library_2escm"),(void*)f_20520},
{C_text("f_20537:library_2escm"),(void*)f_20537},
{C_text("f_20554:library_2escm"),(void*)f_20554},
{C_text("f_20575:library_2escm"),(void*)f_20575},
{C_text("f_20596:library_2escm"),(void*)f_20596},
{C_text("f_20620:library_2escm"),(void*)f_20620},
{C_text("f_20628:library_2escm"),(void*)f_20628},
{C_text("f_20637:library_2escm"),(void*)f_20637},
{C_text("f_20643:library_2escm"),(void*)f_20643},
{C_text("f_20649:library_2escm"),(void*)f_20649},
{C_text("f_20652:library_2escm"),(void*)f_20652},
{C_text("f_20655:library_2escm"),(void*)f_20655},
{C_text("f_20665:library_2escm"),(void*)f_20665},
{C_text("f_20669:library_2escm"),(void*)f_20669},
{C_text("f_20686:library_2escm"),(void*)f_20686},
{C_text("f_20691:library_2escm"),(void*)f_20691},
{C_text("f_20698:library_2escm"),(void*)f_20698},
{C_text("f_20702:library_2escm"),(void*)f_20702},
{C_text("f_20711:library_2escm"),(void*)f_20711},
{C_text("f_20717:library_2escm"),(void*)f_20717},
{C_text("f_20727:library_2escm"),(void*)f_20727},
{C_text("f_20731:library_2escm"),(void*)f_20731},
{C_text("f_20740:library_2escm"),(void*)f_20740},
{C_text("f_20747:library_2escm"),(void*)f_20747},
{C_text("f_20760:library_2escm"),(void*)f_20760},
{C_text("f_20765:library_2escm"),(void*)f_20765},
{C_text("f_20782:library_2escm"),(void*)f_20782},
{C_text("f_20797:library_2escm"),(void*)f_20797},
{C_text("f_20810:library_2escm"),(void*)f_20810},
{C_text("f_20832:library_2escm"),(void*)f_20832},
{C_text("f_20835:library_2escm"),(void*)f_20835},
{C_text("f_20864:library_2escm"),(void*)f_20864},
{C_text("f_20874:library_2escm"),(void*)f_20874},
{C_text("f_20890:library_2escm"),(void*)f_20890},
{C_text("f_20901:library_2escm"),(void*)f_20901},
{C_text("f_20908:library_2escm"),(void*)f_20908},
{C_text("f_21006:library_2escm"),(void*)f_21006},
{C_text("f_21012:library_2escm"),(void*)f_21012},
{C_text("f_21021:library_2escm"),(void*)f_21021},
{C_text("f_21035:library_2escm"),(void*)f_21035},
{C_text("f_21038:library_2escm"),(void*)f_21038},
{C_text("f_21049:library_2escm"),(void*)f_21049},
{C_text("f_21051:library_2escm"),(void*)f_21051},
{C_text("f_21054:library_2escm"),(void*)f_21054},
{C_text("f_21071:library_2escm"),(void*)f_21071},
{C_text("f_21076:library_2escm"),(void*)f_21076},
{C_text("f_21080:library_2escm"),(void*)f_21080},
{C_text("f_21083:library_2escm"),(void*)f_21083},
{C_text("f_21086:library_2escm"),(void*)f_21086},
{C_text("f_21096:library_2escm"),(void*)f_21096},
{C_text("f_21114:library_2escm"),(void*)f_21114},
{C_text("f_21117:library_2escm"),(void*)f_21117},
{C_text("f_21126:library_2escm"),(void*)f_21126},
{C_text("f_21129:library_2escm"),(void*)f_21129},
{C_text("f_21132:library_2escm"),(void*)f_21132},
{C_text("f_21138:library_2escm"),(void*)f_21138},
{C_text("f_21151:library_2escm"),(void*)f_21151},
{C_text("f_21155:library_2escm"),(void*)f_21155},
{C_text("f_21159:library_2escm"),(void*)f_21159},
{C_text("f_21170:library_2escm"),(void*)f_21170},
{C_text("f_21174:library_2escm"),(void*)f_21174},
{C_text("f_21177:library_2escm"),(void*)f_21177},
{C_text("f_21205:library_2escm"),(void*)f_21205},
{C_text("f_21261:library_2escm"),(void*)f_21261},
{C_text("f_21265:library_2escm"),(void*)f_21265},
{C_text("f_21272:library_2escm"),(void*)f_21272},
{C_text("f_21274:library_2escm"),(void*)f_21274},
{C_text("f_21278:library_2escm"),(void*)f_21278},
{C_text("f_21292:library_2escm"),(void*)f_21292},
{C_text("f_21298:library_2escm"),(void*)f_21298},
{C_text("f_21305:library_2escm"),(void*)f_21305},
{C_text("f_21312:library_2escm"),(void*)f_21312},
{C_text("f_21327:library_2escm"),(void*)f_21327},
{C_text("f_21333:library_2escm"),(void*)f_21333},
{C_text("f_21362:library_2escm"),(void*)f_21362},
{C_text("f_21372:library_2escm"),(void*)f_21372},
{C_text("f_21375:library_2escm"),(void*)f_21375},
{C_text("f_21411:library_2escm"),(void*)f_21411},
{C_text("f_21413:library_2escm"),(void*)f_21413},
{C_text("f_21423:library_2escm"),(void*)f_21423},
{C_text("f_21426:library_2escm"),(void*)f_21426},
{C_text("f_21478:library_2escm"),(void*)f_21478},
{C_text("f_21480:library_2escm"),(void*)f_21480},
{C_text("f_21488:library_2escm"),(void*)f_21488},
{C_text("f_21490:library_2escm"),(void*)f_21490},
{C_text("f_21500:library_2escm"),(void*)f_21500},
{C_text("f_21515:library_2escm"),(void*)f_21515},
{C_text("f_21522:library_2escm"),(void*)f_21522},
{C_text("f_21544:library_2escm"),(void*)f_21544},
{C_text("f_21552:library_2escm"),(void*)f_21552},
{C_text("f_21554:library_2escm"),(void*)f_21554},
{C_text("f_21564:library_2escm"),(void*)f_21564},
{C_text("f_21570:library_2escm"),(void*)f_21570},
{C_text("f_21577:library_2escm"),(void*)f_21577},
{C_text("f_21590:library_2escm"),(void*)f_21590},
{C_text("f_21596:library_2escm"),(void*)f_21596},
{C_text("f_21600:library_2escm"),(void*)f_21600},
{C_text("f_21607:library_2escm"),(void*)f_21607},
{C_text("f_21615:library_2escm"),(void*)f_21615},
{C_text("f_21621:library_2escm"),(void*)f_21621},
{C_text("f_21625:library_2escm"),(void*)f_21625},
{C_text("f_21634:library_2escm"),(void*)f_21634},
{C_text("f_21640:library_2escm"),(void*)f_21640},
{C_text("f_21647:library_2escm"),(void*)f_21647},
{C_text("f_21658:library_2escm"),(void*)f_21658},
{C_text("f_21698:library_2escm"),(void*)f_21698},
{C_text("f_21707:library_2escm"),(void*)f_21707},
{C_text("f_21714:library_2escm"),(void*)f_21714},
{C_text("f_21718:library_2escm"),(void*)f_21718},
{C_text("f_21722:library_2escm"),(void*)f_21722},
{C_text("f_21731:library_2escm"),(void*)f_21731},
{C_text("f_21742:library_2escm"),(void*)f_21742},
{C_text("f_21780:library_2escm"),(void*)f_21780},
{C_text("f_21829:library_2escm"),(void*)f_21829},
{C_text("f_21833:library_2escm"),(void*)f_21833},
{C_text("f_21836:library_2escm"),(void*)f_21836},
{C_text("f_21848:library_2escm"),(void*)f_21848},
{C_text("f_21868:library_2escm"),(void*)f_21868},
{C_text("f_21874:library_2escm"),(void*)f_21874},
{C_text("f_21884:library_2escm"),(void*)f_21884},
{C_text("f_22013:library_2escm"),(void*)f_22013},
{C_text("f_22020:library_2escm"),(void*)f_22020},
{C_text("f_22038:library_2escm"),(void*)f_22038},
{C_text("f_22044:library_2escm"),(void*)f_22044},
{C_text("f_22048:library_2escm"),(void*)f_22048},
{C_text("f_22084:library_2escm"),(void*)f_22084},
{C_text("f_22107:library_2escm"),(void*)f_22107},
{C_text("f_22125:library_2escm"),(void*)f_22125},
{C_text("f_22129:library_2escm"),(void*)f_22129},
{C_text("f_22132:library_2escm"),(void*)f_22132},
{C_text("f_22138:library_2escm"),(void*)f_22138},
{C_text("f_22143:library_2escm"),(void*)f_22143},
{C_text("f_22162:library_2escm"),(void*)f_22162},
{C_text("f_22172:library_2escm"),(void*)f_22172},
{C_text("f_22176:library_2escm"),(void*)f_22176},
{C_text("f_22180:library_2escm"),(void*)f_22180},
{C_text("f_22191:library_2escm"),(void*)f_22191},
{C_text("f_22217:library_2escm"),(void*)f_22217},
{C_text("f_22225:library_2escm"),(void*)f_22225},
{C_text("f_22229:library_2escm"),(void*)f_22229},
{C_text("f_22232:library_2escm"),(void*)f_22232},
{C_text("f_22235:library_2escm"),(void*)f_22235},
{C_text("f_22241:library_2escm"),(void*)f_22241},
{C_text("f_22249:library_2escm"),(void*)f_22249},
{C_text("f_22255:library_2escm"),(void*)f_22255},
{C_text("f_22277:library_2escm"),(void*)f_22277},
{C_text("f_22284:library_2escm"),(void*)f_22284},
{C_text("f_22293:library_2escm"),(void*)f_22293},
{C_text("f_22300:library_2escm"),(void*)f_22300},
{C_text("f_22309:library_2escm"),(void*)f_22309},
{C_text("f_22318:library_2escm"),(void*)f_22318},
{C_text("f_22325:library_2escm"),(void*)f_22325},
{C_text("f_22332:library_2escm"),(void*)f_22332},
{C_text("f_22336:library_2escm"),(void*)f_22336},
{C_text("f_22345:library_2escm"),(void*)f_22345},
{C_text("f_22348:library_2escm"),(void*)f_22348},
{C_text("f_22366:library_2escm"),(void*)f_22366},
{C_text("f_22369:library_2escm"),(void*)f_22369},
{C_text("f_22375:library_2escm"),(void*)f_22375},
{C_text("f_22392:library_2escm"),(void*)f_22392},
{C_text("f_22398:library_2escm"),(void*)f_22398},
{C_text("f_22426:library_2escm"),(void*)f_22426},
{C_text("f_22449:library_2escm"),(void*)f_22449},
{C_text("f_22455:library_2escm"),(void*)f_22455},
{C_text("f_22463:library_2escm"),(void*)f_22463},
{C_text("f_22469:library_2escm"),(void*)f_22469},
{C_text("f_22494:library_2escm"),(void*)f_22494},
{C_text("f_22506:library_2escm"),(void*)f_22506},
{C_text("f_22518:library_2escm"),(void*)f_22518},
{C_text("f_22530:library_2escm"),(void*)f_22530},
{C_text("f_22542:library_2escm"),(void*)f_22542},
{C_text("f_22554:library_2escm"),(void*)f_22554},
{C_text("f_22566:library_2escm"),(void*)f_22566},
{C_text("f_22569:library_2escm"),(void*)f_22569},
{C_text("f_22572:library_2escm"),(void*)f_22572},
{C_text("f_22577:library_2escm"),(void*)f_22577},
{C_text("f_22582:library_2escm"),(void*)f_22582},
{C_text("f_22588:library_2escm"),(void*)f_22588},
{C_text("f_22630:library_2escm"),(void*)f_22630},
{C_text("f_22642:library_2escm"),(void*)f_22642},
{C_text("f_22645:library_2escm"),(void*)f_22645},
{C_text("f_22657:library_2escm"),(void*)f_22657},
{C_text("f_22669:library_2escm"),(void*)f_22669},
{C_text("f_22672:library_2escm"),(void*)f_22672},
{C_text("f_22684:library_2escm"),(void*)f_22684},
{C_text("f_22691:library_2escm"),(void*)f_22691},
{C_text("f_22700:library_2escm"),(void*)f_22700},
{C_text("f_22703:library_2escm"),(void*)f_22703},
{C_text("f_22712:library_2escm"),(void*)f_22712},
{C_text("f_22722:library_2escm"),(void*)f_22722},
{C_text("f_22731:library_2escm"),(void*)f_22731},
{C_text("f_22734:library_2escm"),(void*)f_22734},
{C_text("f_22739:library_2escm"),(void*)f_22739},
{C_text("f_22744:library_2escm"),(void*)f_22744},
{C_text("f_22750:library_2escm"),(void*)f_22750},
{C_text("f_22779:library_2escm"),(void*)f_22779},
{C_text("f_22791:library_2escm"),(void*)f_22791},
{C_text("f_22794:library_2escm"),(void*)f_22794},
{C_text("f_22805:library_2escm"),(void*)f_22805},
{C_text("f_22814:library_2escm"),(void*)f_22814},
{C_text("f_22817:library_2escm"),(void*)f_22817},
{C_text("f_22823:library_2escm"),(void*)f_22823},
{C_text("f_22826:library_2escm"),(void*)f_22826},
{C_text("f_22832:library_2escm"),(void*)f_22832},
{C_text("f_22851:library_2escm"),(void*)f_22851},
{C_text("f_22870:library_2escm"),(void*)f_22870},
{C_text("f_22886:library_2escm"),(void*)f_22886},
{C_text("f_22892:library_2escm"),(void*)f_22892},
{C_text("f_22964:library_2escm"),(void*)f_22964},
{C_text("f_22976:library_2escm"),(void*)f_22976},
{C_text("f_23054:library_2escm"),(void*)f_23054},
{C_text("f_23130:library_2escm"),(void*)f_23130},
{C_text("f_23295:library_2escm"),(void*)f_23295},
{C_text("f_23307:library_2escm"),(void*)f_23307},
{C_text("f_23369:library_2escm"),(void*)f_23369},
{C_text("f_23372:library_2escm"),(void*)f_23372},
{C_text("f_23418:library_2escm"),(void*)f_23418},
{C_text("f_23422:library_2escm"),(void*)f_23422},
{C_text("f_23440:library_2escm"),(void*)f_23440},
{C_text("f_23504:library_2escm"),(void*)f_23504},
{C_text("f_23515:library_2escm"),(void*)f_23515},
{C_text("f_23517:library_2escm"),(void*)f_23517},
{C_text("f_23530:library_2escm"),(void*)f_23530},
{C_text("f_23542:library_2escm"),(void*)f_23542},
{C_text("f_23562:library_2escm"),(void*)f_23562},
{C_text("f_23569:library_2escm"),(void*)f_23569},
{C_text("f_23578:library_2escm"),(void*)f_23578},
{C_text("f_23590:library_2escm"),(void*)f_23590},
{C_text("f_23611:library_2escm"),(void*)f_23611},
{C_text("f_23626:library_2escm"),(void*)f_23626},
{C_text("f_23644:library_2escm"),(void*)f_23644},
{C_text("f_23662:library_2escm"),(void*)f_23662},
{C_text("f_23681:library_2escm"),(void*)f_23681},
{C_text("f_23691:library_2escm"),(void*)f_23691},
{C_text("f_23705:library_2escm"),(void*)f_23705},
{C_text("f_23708:library_2escm"),(void*)f_23708},
{C_text("f_23713:library_2escm"),(void*)f_23713},
{C_text("f_23732:library_2escm"),(void*)f_23732},
{C_text("f_23742:library_2escm"),(void*)f_23742},
{C_text("f_23756:library_2escm"),(void*)f_23756},
{C_text("f_23759:library_2escm"),(void*)f_23759},
{C_text("f_23766:library_2escm"),(void*)f_23766},
{C_text("f_23770:library_2escm"),(void*)f_23770},
{C_text("f_23774:library_2escm"),(void*)f_23774},
{C_text("f_23776:library_2escm"),(void*)f_23776},
{C_text("f_23783:library_2escm"),(void*)f_23783},
{C_text("f_23786:library_2escm"),(void*)f_23786},
{C_text("f_23789:library_2escm"),(void*)f_23789},
{C_text("f_23791:library_2escm"),(void*)f_23791},
{C_text("f_23801:library_2escm"),(void*)f_23801},
{C_text("f_23807:library_2escm"),(void*)f_23807},
{C_text("f_23819:library_2escm"),(void*)f_23819},
{C_text("f_23822:library_2escm"),(void*)f_23822},
{C_text("f_23825:library_2escm"),(void*)f_23825},
{C_text("f_23842:library_2escm"),(void*)f_23842},
{C_text("f_23863:library_2escm"),(void*)f_23863},
{C_text("f_23867:library_2escm"),(void*)f_23867},
{C_text("f_23880:library_2escm"),(void*)f_23880},
{C_text("f_23883:library_2escm"),(void*)f_23883},
{C_text("f_23892:library_2escm"),(void*)f_23892},
{C_text("f_23895:library_2escm"),(void*)f_23895},
{C_text("f_23923:library_2escm"),(void*)f_23923},
{C_text("f_23927:library_2escm"),(void*)f_23927},
{C_text("f_23936:library_2escm"),(void*)f_23936},
{C_text("f_23947:library_2escm"),(void*)f_23947},
{C_text("f_23954:library_2escm"),(void*)f_23954},
{C_text("f_23959:library_2escm"),(void*)f_23959},
{C_text("f_23981:library_2escm"),(void*)f_23981},
{C_text("f_23987:library_2escm"),(void*)f_23987},
{C_text("f_23990:library_2escm"),(void*)f_23990},
{C_text("f_24001:library_2escm"),(void*)f_24001},
{C_text("f_24010:library_2escm"),(void*)f_24010},
{C_text("f_24013:library_2escm"),(void*)f_24013},
{C_text("f_24036:library_2escm"),(void*)f_24036},
{C_text("f_24085:library_2escm"),(void*)f_24085},
{C_text("f_24101:library_2escm"),(void*)f_24101},
{C_text("f_24108:library_2escm"),(void*)f_24108},
{C_text("f_24158:library_2escm"),(void*)f_24158},
{C_text("f_24215:library_2escm"),(void*)f_24215},
{C_text("f_24220:library_2escm"),(void*)f_24220},
{C_text("f_24269:library_2escm"),(void*)f_24269},
{C_text("f_24275:library_2escm"),(void*)f_24275},
{C_text("f_24279:library_2escm"),(void*)f_24279},
{C_text("f_24302:library_2escm"),(void*)f_24302},
{C_text("f_24309:library_2escm"),(void*)f_24309},
{C_text("f_24328:library_2escm"),(void*)f_24328},
{C_text("f_24367:library_2escm"),(void*)f_24367},
{C_text("f_24379:library_2escm"),(void*)f_24379},
{C_text("f_24385:library_2escm"),(void*)f_24385},
{C_text("f_24401:library_2escm"),(void*)f_24401},
{C_text("f_24408:library_2escm"),(void*)f_24408},
{C_text("f_24417:library_2escm"),(void*)f_24417},
{C_text("f_24424:library_2escm"),(void*)f_24424},
{C_text("f_24434:library_2escm"),(void*)f_24434},
{C_text("f_24443:library_2escm"),(void*)f_24443},
{C_text("f_24449:library_2escm"),(void*)f_24449},
{C_text("f_24462:library_2escm"),(void*)f_24462},
{C_text("f_24500:library_2escm"),(void*)f_24500},
{C_text("f_24566:library_2escm"),(void*)f_24566},
{C_text("f_24569:library_2escm"),(void*)f_24569},
{C_text("f_24576:library_2escm"),(void*)f_24576},
{C_text("f_24616:library_2escm"),(void*)f_24616},
{C_text("f_24619:library_2escm"),(void*)f_24619},
{C_text("f_24628:library_2escm"),(void*)f_24628},
{C_text("f_24638:library_2escm"),(void*)f_24638},
{C_text("f_24641:library_2escm"),(void*)f_24641},
{C_text("f_24650:library_2escm"),(void*)f_24650},
{C_text("f_24660:library_2escm"),(void*)f_24660},
{C_text("f_24663:library_2escm"),(void*)f_24663},
{C_text("f_24689:library_2escm"),(void*)f_24689},
{C_text("f_24695:library_2escm"),(void*)f_24695},
{C_text("f_24700:library_2escm"),(void*)f_24700},
{C_text("f_24713:library_2escm"),(void*)f_24713},
{C_text("f_24716:library_2escm"),(void*)f_24716},
{C_text("f_24727:library_2escm"),(void*)f_24727},
{C_text("f_24749:library_2escm"),(void*)f_24749},
{C_text("f_24761:library_2escm"),(void*)f_24761},
{C_text("f_24764:library_2escm"),(void*)f_24764},
{C_text("f_24771:library_2escm"),(void*)f_24771},
{C_text("f_24780:library_2escm"),(void*)f_24780},
{C_text("f_24783:library_2escm"),(void*)f_24783},
{C_text("f_24827:library_2escm"),(void*)f_24827},
{C_text("f_24830:library_2escm"),(void*)f_24830},
{C_text("f_24839:library_2escm"),(void*)f_24839},
{C_text("f_24852:library_2escm"),(void*)f_24852},
{C_text("f_24855:library_2escm"),(void*)f_24855},
{C_text("f_24880:library_2escm"),(void*)f_24880},
{C_text("f_24884:library_2escm"),(void*)f_24884},
{C_text("f_24894:library_2escm"),(void*)f_24894},
{C_text("f_24897:library_2escm"),(void*)f_24897},
{C_text("f_24917:library_2escm"),(void*)f_24917},
{C_text("f_24930:library_2escm"),(void*)f_24930},
{C_text("f_24935:library_2escm"),(void*)f_24935},
{C_text("f_24941:library_2escm"),(void*)f_24941},
{C_text("f_24947:library_2escm"),(void*)f_24947},
{C_text("f_24951:library_2escm"),(void*)f_24951},
{C_text("f_24954:library_2escm"),(void*)f_24954},
{C_text("f_24969:library_2escm"),(void*)f_24969},
{C_text("f_24972:library_2escm"),(void*)f_24972},
{C_text("f_24990:library_2escm"),(void*)f_24990},
{C_text("f_24992:library_2escm"),(void*)f_24992},
{C_text("f_24998:library_2escm"),(void*)f_24998},
{C_text("f_25007:library_2escm"),(void*)f_25007},
{C_text("f_25013:library_2escm"),(void*)f_25013},
{C_text("f_25020:library_2escm"),(void*)f_25020},
{C_text("f_25023:library_2escm"),(void*)f_25023},
{C_text("f_25026:library_2escm"),(void*)f_25026},
{C_text("f_25035:library_2escm"),(void*)f_25035},
{C_text("f_25051:library_2escm"),(void*)f_25051},
{C_text("f_25066:library_2escm"),(void*)f_25066},
{C_text("f_25068:library_2escm"),(void*)f_25068},
{C_text("f_25074:library_2escm"),(void*)f_25074},
{C_text("f_25080:library_2escm"),(void*)f_25080},
{C_text("f_25084:library_2escm"),(void*)f_25084},
{C_text("f_25087:library_2escm"),(void*)f_25087},
{C_text("f_25090:library_2escm"),(void*)f_25090},
{C_text("f_25094:library_2escm"),(void*)f_25094},
{C_text("f_25098:library_2escm"),(void*)f_25098},
{C_text("f_25102:library_2escm"),(void*)f_25102},
{C_text("f_25105:library_2escm"),(void*)f_25105},
{C_text("f_25108:library_2escm"),(void*)f_25108},
{C_text("f_25111:library_2escm"),(void*)f_25111},
{C_text("f_25123:library_2escm"),(void*)f_25123},
{C_text("f_25129:library_2escm"),(void*)f_25129},
{C_text("f_25133:library_2escm"),(void*)f_25133},
{C_text("f_25136:library_2escm"),(void*)f_25136},
{C_text("f_25139:library_2escm"),(void*)f_25139},
{C_text("f_25142:library_2escm"),(void*)f_25142},
{C_text("f_25145:library_2escm"),(void*)f_25145},
{C_text("f_25148:library_2escm"),(void*)f_25148},
{C_text("f_25153:library_2escm"),(void*)f_25153},
{C_text("f_25175:library_2escm"),(void*)f_25175},
{C_text("f_25181:library_2escm"),(void*)f_25181},
{C_text("f_25184:library_2escm"),(void*)f_25184},
{C_text("f_25209:library_2escm"),(void*)f_25209},
{C_text("f_25212:library_2escm"),(void*)f_25212},
{C_text("f_25219:library_2escm"),(void*)f_25219},
{C_text("f_25232:library_2escm"),(void*)f_25232},
{C_text("f_25242:library_2escm"),(void*)f_25242},
{C_text("f_25247:library_2escm"),(void*)f_25247},
{C_text("f_25253:library_2escm"),(void*)f_25253},
{C_text("f_25280:library_2escm"),(void*)f_25280},
{C_text("f_25286:library_2escm"),(void*)f_25286},
{C_text("f_25297:library_2escm"),(void*)f_25297},
{C_text("f_25303:library_2escm"),(void*)f_25303},
{C_text("f_25306:library_2escm"),(void*)f_25306},
{C_text("f_25311:library_2escm"),(void*)f_25311},
{C_text("f_25317:library_2escm"),(void*)f_25317},
{C_text("f_25341:library_2escm"),(void*)f_25341},
{C_text("f_25349:library_2escm"),(void*)f_25349},
{C_text("f_25366:library_2escm"),(void*)f_25366},
{C_text("f_25406:library_2escm"),(void*)f_25406},
{C_text("f_25413:library_2escm"),(void*)f_25413},
{C_text("f_25425:library_2escm"),(void*)f_25425},
{C_text("f_25429:library_2escm"),(void*)f_25429},
{C_text("f_25442:library_2escm"),(void*)f_25442},
{C_text("f_25444:library_2escm"),(void*)f_25444},
{C_text("f_25478:library_2escm"),(void*)f_25478},
{C_text("f_25482:library_2escm"),(void*)f_25482},
{C_text("f_25483:library_2escm"),(void*)f_25483},
{C_text("f_25493:library_2escm"),(void*)f_25493},
{C_text("f_25498:library_2escm"),(void*)f_25498},
{C_text("f_25508:library_2escm"),(void*)f_25508},
{C_text("f_25521:library_2escm"),(void*)f_25521},
{C_text("f_25532:library_2escm"),(void*)f_25532},
{C_text("f_25536:library_2escm"),(void*)f_25536},
{C_text("f_25540:library_2escm"),(void*)f_25540},
{C_text("f_25562:library_2escm"),(void*)f_25562},
{C_text("f_25566:library_2escm"),(void*)f_25566},
{C_text("f_25574:library_2escm"),(void*)f_25574},
{C_text("f_25590:library_2escm"),(void*)f_25590},
{C_text("f_25601:library_2escm"),(void*)f_25601},
{C_text("f_25620:library_2escm"),(void*)f_25620},
{C_text("f_25631:library_2escm"),(void*)f_25631},
{C_text("f_25639:library_2escm"),(void*)f_25639},
{C_text("f_25718:library_2escm"),(void*)f_25718},
{C_text("f_25728:library_2escm"),(void*)f_25728},
{C_text("f_25729:library_2escm"),(void*)f_25729},
{C_text("f_25742:library_2escm"),(void*)f_25742},
{C_text("f_25745:library_2escm"),(void*)f_25745},
{C_text("f_25748:library_2escm"),(void*)f_25748},
{C_text("f_25751:library_2escm"),(void*)f_25751},
{C_text("f_25759:library_2escm"),(void*)f_25759},
{C_text("f_25766:library_2escm"),(void*)f_25766},
{C_text("f_25769:library_2escm"),(void*)f_25769},
{C_text("f_25772:library_2escm"),(void*)f_25772},
{C_text("f_25795:library_2escm"),(void*)f_25795},
{C_text("f_25800:library_2escm"),(void*)f_25800},
{C_text("f_25810:library_2escm"),(void*)f_25810},
{C_text("f_25823:library_2escm"),(void*)f_25823},
{C_text("f_25854:library_2escm"),(void*)f_25854},
{C_text("f_25864:library_2escm"),(void*)f_25864},
{C_text("f_25914:library_2escm"),(void*)f_25914},
{C_text("f_25917:library_2escm"),(void*)f_25917},
{C_text("f_25936:library_2escm"),(void*)f_25936},
{C_text("f_25941:library_2escm"),(void*)f_25941},
{C_text("f_25947:library_2escm"),(void*)f_25947},
{C_text("f_25950:library_2escm"),(void*)f_25950},
{C_text("f_25956:library_2escm"),(void*)f_25956},
{C_text("f_25964:library_2escm"),(void*)f_25964},
{C_text("f_25983:library_2escm"),(void*)f_25983},
{C_text("f_25988:library_2escm"),(void*)f_25988},
{C_text("f_25998:library_2escm"),(void*)f_25998},
{C_text("f_26012:library_2escm"),(void*)f_26012},
{C_text("f_26019:library_2escm"),(void*)f_26019},
{C_text("f_26023:library_2escm"),(void*)f_26023},
{C_text("f_26027:library_2escm"),(void*)f_26027},
{C_text("f_26029:library_2escm"),(void*)f_26029},
{C_text("f_26055:library_2escm"),(void*)f_26055},
{C_text("f_26058:library_2escm"),(void*)f_26058},
{C_text("f_26061:library_2escm"),(void*)f_26061},
{C_text("f_26068:library_2escm"),(void*)f_26068},
{C_text("f_26072:library_2escm"),(void*)f_26072},
{C_text("f_26078:library_2escm"),(void*)f_26078},
{C_text("f_26083:library_2escm"),(void*)f_26083},
{C_text("f_26093:library_2escm"),(void*)f_26093},
{C_text("f_26110:library_2escm"),(void*)f_26110},
{C_text("f_26131:library_2escm"),(void*)f_26131},
{C_text("f_26134:library_2escm"),(void*)f_26134},
{C_text("f_26154:library_2escm"),(void*)f_26154},
{C_text("f_26162:library_2escm"),(void*)f_26162},
{C_text("f_26296:library_2escm"),(void*)f_26296},
{C_text("f_26313:library_2escm"),(void*)f_26313},
{C_text("f_26317:library_2escm"),(void*)f_26317},
{C_text("f_26330:library_2escm"),(void*)f_26330},
{C_text("f_26339:library_2escm"),(void*)f_26339},
{C_text("f_26342:library_2escm"),(void*)f_26342},
{C_text("f_26346:library_2escm"),(void*)f_26346},
{C_text("f_26385:library_2escm"),(void*)f_26385},
{C_text("f_26388:library_2escm"),(void*)f_26388},
{C_text("f_26395:library_2escm"),(void*)f_26395},
{C_text("f_26399:library_2escm"),(void*)f_26399},
{C_text("f_26425:library_2escm"),(void*)f_26425},
{C_text("f_26456:library_2escm"),(void*)f_26456},
{C_text("f_26459:library_2escm"),(void*)f_26459},
{C_text("f_26471:library_2escm"),(void*)f_26471},
{C_text("f_26474:library_2escm"),(void*)f_26474},
{C_text("f_26477:library_2escm"),(void*)f_26477},
{C_text("f_26502:library_2escm"),(void*)f_26502},
{C_text("f_26508:library_2escm"),(void*)f_26508},
{C_text("f_26512:library_2escm"),(void*)f_26512},
{C_text("f_26516:library_2escm"),(void*)f_26516},
{C_text("f_26529:library_2escm"),(void*)f_26529},
{C_text("f_26531:library_2escm"),(void*)f_26531},
{C_text("f_26537:library_2escm"),(void*)f_26537},
{C_text("f_26542:library_2escm"),(void*)f_26542},
{C_text("f_26577:library_2escm"),(void*)f_26577},
{C_text("f_26583:library_2escm"),(void*)f_26583},
{C_text("f_26599:library_2escm"),(void*)f_26599},
{C_text("f_26621:library_2escm"),(void*)f_26621},
{C_text("f_26645:library_2escm"),(void*)f_26645},
{C_text("f_26657:library_2escm"),(void*)f_26657},
{C_text("f_26659:library_2escm"),(void*)f_26659},
{C_text("f_26678:library_2escm"),(void*)f_26678},
{C_text("f_26682:library_2escm"),(void*)f_26682},
{C_text("f_26694:library_2escm"),(void*)f_26694},
{C_text("f_26696:library_2escm"),(void*)f_26696},
{C_text("f_26740:library_2escm"),(void*)f_26740},
{C_text("f_26742:library_2escm"),(void*)f_26742},
{C_text("f_26776:library_2escm"),(void*)f_26776},
{C_text("f_26799:library_2escm"),(void*)f_26799},
{C_text("f_26806:library_2escm"),(void*)f_26806},
{C_text("f_26816:library_2escm"),(void*)f_26816},
{C_text("f_26818:library_2escm"),(void*)f_26818},
{C_text("f_26868:library_2escm"),(void*)f_26868},
{C_text("f_26870:library_2escm"),(void*)f_26870},
{C_text("f_26895:library_2escm"),(void*)f_26895},
{C_text("f_26904:library_2escm"),(void*)f_26904},
{C_text("f_26910:library_2escm"),(void*)f_26910},
{C_text("f_26914:library_2escm"),(void*)f_26914},
{C_text("f_26918:library_2escm"),(void*)f_26918},
{C_text("f_26926:library_2escm"),(void*)f_26926},
{C_text("f_26932:library_2escm"),(void*)f_26932},
{C_text("f_26963:library_2escm"),(void*)f_26963},
{C_text("f_26988:library_2escm"),(void*)f_26988},
{C_text("f_27013:library_2escm"),(void*)f_27013},
{C_text("f_27023:library_2escm"),(void*)f_27023},
{C_text("f_27028:library_2escm"),(void*)f_27028},
{C_text("f_27030:library_2escm"),(void*)f_27030},
{C_text("f_27037:library_2escm"),(void*)f_27037},
{C_text("f_27049:library_2escm"),(void*)f_27049},
{C_text("f_27057:library_2escm"),(void*)f_27057},
{C_text("f_27095:library_2escm"),(void*)f_27095},
{C_text("f_27099:library_2escm"),(void*)f_27099},
{C_text("f_27106:library_2escm"),(void*)f_27106},
{C_text("f_27109:library_2escm"),(void*)f_27109},
{C_text("f_27112:library_2escm"),(void*)f_27112},
{C_text("f_27113:library_2escm"),(void*)f_27113},
{C_text("f_27115:library_2escm"),(void*)f_27115},
{C_text("f_27119:library_2escm"),(void*)f_27119},
{C_text("f_27124:library_2escm"),(void*)f_27124},
{C_text("f_27136:library_2escm"),(void*)f_27136},
{C_text("f_27146:library_2escm"),(void*)f_27146},
{C_text("f_27158:library_2escm"),(void*)f_27158},
{C_text("f_27160:library_2escm"),(void*)f_27160},
{C_text("f_27167:library_2escm"),(void*)f_27167},
{C_text("f_27170:library_2escm"),(void*)f_27170},
{C_text("f_27176:library_2escm"),(void*)f_27176},
{C_text("f_27179:library_2escm"),(void*)f_27179},
{C_text("f_27182:library_2escm"),(void*)f_27182},
{C_text("f_27185:library_2escm"),(void*)f_27185},
{C_text("f_27200:library_2escm"),(void*)f_27200},
{C_text("f_27206:library_2escm"),(void*)f_27206},
{C_text("f_27214:library_2escm"),(void*)f_27214},
{C_text("f_27218:library_2escm"),(void*)f_27218},
{C_text("f_27221:library_2escm"),(void*)f_27221},
{C_text("f_27224:library_2escm"),(void*)f_27224},
{C_text("f_27237:library_2escm"),(void*)f_27237},
{C_text("f_27241:library_2escm"),(void*)f_27241},
{C_text("f_27262:library_2escm"),(void*)f_27262},
{C_text("f_27278:library_2escm"),(void*)f_27278},
{C_text("f_27281:library_2escm"),(void*)f_27281},
{C_text("f_27287:library_2escm"),(void*)f_27287},
{C_text("f_27309:library_2escm"),(void*)f_27309},
{C_text("f_27314:library_2escm"),(void*)f_27314},
{C_text("f_27349:library_2escm"),(void*)f_27349},
{C_text("f_27359:library_2escm"),(void*)f_27359},
{C_text("f_27362:library_2escm"),(void*)f_27362},
{C_text("f_27365:library_2escm"),(void*)f_27365},
{C_text("f_27368:library_2escm"),(void*)f_27368},
{C_text("f_27371:library_2escm"),(void*)f_27371},
{C_text("f_27374:library_2escm"),(void*)f_27374},
{C_text("f_27381:library_2escm"),(void*)f_27381},
{C_text("f_27384:library_2escm"),(void*)f_27384},
{C_text("f_27387:library_2escm"),(void*)f_27387},
{C_text("f_27398:library_2escm"),(void*)f_27398},
{C_text("f_27421:library_2escm"),(void*)f_27421},
{C_text("f_27432:library_2escm"),(void*)f_27432},
{C_text("f_27436:library_2escm"),(void*)f_27436},
{C_text("f_27458:library_2escm"),(void*)f_27458},
{C_text("f_27469:library_2escm"),(void*)f_27469},
{C_text("f_27473:library_2escm"),(void*)f_27473},
{C_text("f_28054:library_2escm"),(void*)f_28054},
{C_text("f_28057:library_2escm"),(void*)f_28057},
{C_text("f_28060:library_2escm"),(void*)f_28060},
{C_text("f_28063:library_2escm"),(void*)f_28063},
{C_text("f_28068:library_2escm"),(void*)f_28068},
{C_text("f_28071:library_2escm"),(void*)f_28071},
{C_text("f_28074:library_2escm"),(void*)f_28074},
{C_text("f_28077:library_2escm"),(void*)f_28077},
{C_text("f_28080:library_2escm"),(void*)f_28080},
{C_text("f_28083:library_2escm"),(void*)f_28083},
{C_text("f_28086:library_2escm"),(void*)f_28086},
{C_text("f_28089:library_2escm"),(void*)f_28089},
{C_text("f_28106:library_2escm"),(void*)f_28106},
{C_text("f_28110:library_2escm"),(void*)f_28110},
{C_text("f_28112:library_2escm"),(void*)f_28112},
{C_text("f_28120:library_2escm"),(void*)f_28120},
{C_text("f_28122:library_2escm"),(void*)f_28122},
{C_text("f_28126:library_2escm"),(void*)f_28126},
{C_text("f_28128:library_2escm"),(void*)f_28128},
{C_text("f_28135:library_2escm"),(void*)f_28135},
{C_text("f_28145:library_2escm"),(void*)f_28145},
{C_text("f_28170:library_2escm"),(void*)f_28170},
{C_text("f_28173:library_2escm"),(void*)f_28173},
{C_text("f_28176:library_2escm"),(void*)f_28176},
{C_text("f_28179:library_2escm"),(void*)f_28179},
{C_text("f_28182:library_2escm"),(void*)f_28182},
{C_text("f_28192:library_2escm"),(void*)f_28192},
{C_text("f_28198:library_2escm"),(void*)f_28198},
{C_text("f_28202:library_2escm"),(void*)f_28202},
{C_text("f_28204:library_2escm"),(void*)f_28204},
{C_text("f_28214:library_2escm"),(void*)f_28214},
{C_text("f_28220:library_2escm"),(void*)f_28220},
{C_text("f_28224:library_2escm"),(void*)f_28224},
{C_text("f_28226:library_2escm"),(void*)f_28226},
{C_text("f_28231:library_2escm"),(void*)f_28231},
{C_text("f_28233:library_2escm"),(void*)f_28233},
{C_text("f_28236:library_2escm"),(void*)f_28236},
{C_text("f_28256:library_2escm"),(void*)f_28256},
{C_text("f_28262:library_2escm"),(void*)f_28262},
{C_text("f_28272:library_2escm"),(void*)f_28272},
{C_text("f_28282:library_2escm"),(void*)f_28282},
{C_text("f_28317:library_2escm"),(void*)f_28317},
{C_text("f_28321:library_2escm"),(void*)f_28321},
{C_text("f_28326:library_2escm"),(void*)f_28326},
{C_text("f_28336:library_2escm"),(void*)f_28336},
{C_text("f_28346:library_2escm"),(void*)f_28346},
{C_text("f_28355:library_2escm"),(void*)f_28355},
{C_text("f_28358:library_2escm"),(void*)f_28358},
{C_text("f_28361:library_2escm"),(void*)f_28361},
{C_text("f_28368:library_2escm"),(void*)f_28368},
{C_text("f_28375:library_2escm"),(void*)f_28375},
{C_text("f_28378:library_2escm"),(void*)f_28378},
{C_text("f_28382:library_2escm"),(void*)f_28382},
{C_text("f_28384:library_2escm"),(void*)f_28384},
{C_text("f_28387:library_2escm"),(void*)f_28387},
{C_text("f_28390:library_2escm"),(void*)f_28390},
{C_text("f_28393:library_2escm"),(void*)f_28393},
{C_text("f_28396:library_2escm"),(void*)f_28396},
{C_text("f_28399:library_2escm"),(void*)f_28399},
{C_text("f_28402:library_2escm"),(void*)f_28402},
{C_text("f_28405:library_2escm"),(void*)f_28405},
{C_text("f_28408:library_2escm"),(void*)f_28408},
{C_text("f_28411:library_2escm"),(void*)f_28411},
{C_text("f_28414:library_2escm"),(void*)f_28414},
{C_text("f_28418:library_2escm"),(void*)f_28418},
{C_text("f_28421:library_2escm"),(void*)f_28421},
{C_text("f_28437:library_2escm"),(void*)f_28437},
{C_text("f_28445:library_2escm"),(void*)f_28445},
{C_text("f_28448:library_2escm"),(void*)f_28448},
{C_text("f_28454:library_2escm"),(void*)f_28454},
{C_text("f_28463:library_2escm"),(void*)f_28463},
{C_text("f_28469:library_2escm"),(void*)f_28469},
{C_text("f_28478:library_2escm"),(void*)f_28478},
{C_text("f_28484:library_2escm"),(void*)f_28484},
{C_text("f_28490:library_2escm"),(void*)f_28490},
{C_text("f_28493:library_2escm"),(void*)f_28493},
{C_text("f_28497:library_2escm"),(void*)f_28497},
{C_text("f_28500:library_2escm"),(void*)f_28500},
{C_text("f_28505:library_2escm"),(void*)f_28505},
{C_text("f_28507:library_2escm"),(void*)f_28507},
{C_text("f_28511:library_2escm"),(void*)f_28511},
{C_text("f_28538:library_2escm"),(void*)f_28538},
{C_text("f_28548:library_2escm"),(void*)f_28548},
{C_text("f_28557:library_2escm"),(void*)f_28557},
{C_text("f_28564:library_2escm"),(void*)f_28564},
{C_text("f_28568:library_2escm"),(void*)f_28568},
{C_text("f_28582:library_2escm"),(void*)f_28582},
{C_text("f_28586:library_2escm"),(void*)f_28586},
{C_text("f_28593:library_2escm"),(void*)f_28593},
{C_text("f_28595:library_2escm"),(void*)f_28595},
{C_text("f_28617:library_2escm"),(void*)f_28617},
{C_text("f_28624:library_2escm"),(void*)f_28624},
{C_text("f_28629:library_2escm"),(void*)f_28629},
{C_text("f_28633:library_2escm"),(void*)f_28633},
{C_text("f_28636:library_2escm"),(void*)f_28636},
{C_text("f_28639:library_2escm"),(void*)f_28639},
{C_text("f_28644:library_2escm"),(void*)f_28644},
{C_text("f_28648:library_2escm"),(void*)f_28648},
{C_text("f_28674:library_2escm"),(void*)f_28674},
{C_text("f_28687:library_2escm"),(void*)f_28687},
{C_text("f_28690:library_2escm"),(void*)f_28690},
{C_text("f_28699:library_2escm"),(void*)f_28699},
{C_text("f_28702:library_2escm"),(void*)f_28702},
{C_text("f_28705:library_2escm"),(void*)f_28705},
{C_text("f_28711:library_2escm"),(void*)f_28711},
{C_text("f_28718:library_2escm"),(void*)f_28718},
{C_text("f_28720:library_2escm"),(void*)f_28720},
{C_text("f_28733:library_2escm"),(void*)f_28733},
{C_text("f_28746:library_2escm"),(void*)f_28746},
{C_text("f_28749:library_2escm"),(void*)f_28749},
{C_text("f_28752:library_2escm"),(void*)f_28752},
{C_text("f_28759:library_2escm"),(void*)f_28759},
{C_text("f_28812:library_2escm"),(void*)f_28812},
{C_text("f_28815:library_2escm"),(void*)f_28815},
{C_text("f_28818:library_2escm"),(void*)f_28818},
{C_text("f_28820:library_2escm"),(void*)f_28820},
{C_text("f_28824:library_2escm"),(void*)f_28824},
{C_text("f_28828:library_2escm"),(void*)f_28828},
{C_text("f_28834:library_2escm"),(void*)f_28834},
{C_text("f_28839:library_2escm"),(void*)f_28839},
{C_text("f_28843:library_2escm"),(void*)f_28843},
{C_text("f_28855:library_2escm"),(void*)f_28855},
{C_text("f_28867:library_2escm"),(void*)f_28867},
{C_text("f_28874:library_2escm"),(void*)f_28874},
{C_text("f_28880:library_2escm"),(void*)f_28880},
{C_text("f_28894:library_2escm"),(void*)f_28894},
{C_text("f_28903:library_2escm"),(void*)f_28903},
{C_text("f_28933:library_2escm"),(void*)f_28933},
{C_text("f_28952:library_2escm"),(void*)f_28952},
{C_text("f_28975:library_2escm"),(void*)f_28975},
{C_text("f_28984:library_2escm"),(void*)f_28984},
{C_text("f_28991:library_2escm"),(void*)f_28991},
{C_text("f_29008:library_2escm"),(void*)f_29008},
{C_text("f_29016:library_2escm"),(void*)f_29016},
{C_text("f_29027:library_2escm"),(void*)f_29027},
{C_text("f_29035:library_2escm"),(void*)f_29035},
{C_text("f_29042:library_2escm"),(void*)f_29042},
{C_text("f_29104:library_2escm"),(void*)f_29104},
{C_text("f_29111:library_2escm"),(void*)f_29111},
{C_text("f_29114:library_2escm"),(void*)f_29114},
{C_text("f_29120:library_2escm"),(void*)f_29120},
{C_text("f_29127:library_2escm"),(void*)f_29127},
{C_text("f_29131:library_2escm"),(void*)f_29131},
{C_text("f_29134:library_2escm"),(void*)f_29134},
{C_text("f_29142:library_2escm"),(void*)f_29142},
{C_text("f_29144:library_2escm"),(void*)f_29144},
{C_text("f_29153:library_2escm"),(void*)f_29153},
{C_text("f_29162:library_2escm"),(void*)f_29162},
{C_text("f_29173:library_2escm"),(void*)f_29173},
{C_text("f_29177:library_2escm"),(void*)f_29177},
{C_text("f_29179:library_2escm"),(void*)f_29179},
{C_text("f_29187:library_2escm"),(void*)f_29187},
{C_text("f_29199:library_2escm"),(void*)f_29199},
{C_text("f_29205:library_2escm"),(void*)f_29205},
{C_text("f_29209:library_2escm"),(void*)f_29209},
{C_text("f_29217:library_2escm"),(void*)f_29217},
{C_text("f_29235:library_2escm"),(void*)f_29235},
{C_text("f_29243:library_2escm"),(void*)f_29243},
{C_text("f_29247:library_2escm"),(void*)f_29247},
{C_text("f_29265:library_2escm"),(void*)f_29265},
{C_text("f_29272:library_2escm"),(void*)f_29272},
{C_text("f_29284:library_2escm"),(void*)f_29284},
{C_text("f_29292:library_2escm"),(void*)f_29292},
{C_text("f_29298:library_2escm"),(void*)f_29298},
{C_text("f_29320:library_2escm"),(void*)f_29320},
{C_text("f_29324:library_2escm"),(void*)f_29324},
{C_text("f_29328:library_2escm"),(void*)f_29328},
{C_text("f_29330:library_2escm"),(void*)f_29330},
{C_text("f_29333:library_2escm"),(void*)f_29333},
{C_text("f_29336:library_2escm"),(void*)f_29336},
{C_text("f_29340:library_2escm"),(void*)f_29340},
{C_text("f_29343:library_2escm"),(void*)f_29343},
{C_text("f_29361:library_2escm"),(void*)f_29361},
{C_text("f_29367:library_2escm"),(void*)f_29367},
{C_text("f_29371:library_2escm"),(void*)f_29371},
{C_text("f_29388:library_2escm"),(void*)f_29388},
{C_text("f_29398:library_2escm"),(void*)f_29398},
{C_text("f_29402:library_2escm"),(void*)f_29402},
{C_text("f_29406:library_2escm"),(void*)f_29406},
{C_text("f_29418:library_2escm"),(void*)f_29418},
{C_text("f_29428:library_2escm"),(void*)f_29428},
{C_text("f_29432:library_2escm"),(void*)f_29432},
{C_text("f_29436:library_2escm"),(void*)f_29436},
{C_text("f_29464:library_2escm"),(void*)f_29464},
{C_text("f_29467:library_2escm"),(void*)f_29467},
{C_text("f_29470:library_2escm"),(void*)f_29470},
{C_text("f_29476:library_2escm"),(void*)f_29476},
{C_text("f_29489:library_2escm"),(void*)f_29489},
{C_text("f_29492:library_2escm"),(void*)f_29492},
{C_text("f_29501:library_2escm"),(void*)f_29501},
{C_text("f_29507:library_2escm"),(void*)f_29507},
{C_text("f_29513:library_2escm"),(void*)f_29513},
{C_text("f_29519:library_2escm"),(void*)f_29519},
{C_text("f_29525:library_2escm"),(void*)f_29525},
{C_text("f_29542:library_2escm"),(void*)f_29542},
{C_text("f_29548:library_2escm"),(void*)f_29548},
{C_text("f_29563:library_2escm"),(void*)f_29563},
{C_text("f_29567:library_2escm"),(void*)f_29567},
{C_text("f_29571:library_2escm"),(void*)f_29571},
{C_text("f_29575:library_2escm"),(void*)f_29575},
{C_text("f_29581:library_2escm"),(void*)f_29581},
{C_text("f_29583:library_2escm"),(void*)f_29583},
{C_text("f_29589:library_2escm"),(void*)f_29589},
{C_text("f_29593:library_2escm"),(void*)f_29593},
{C_text("f_29602:library_2escm"),(void*)f_29602},
{C_text("f_29611:library_2escm"),(void*)f_29611},
{C_text("f_29654:library_2escm"),(void*)f_29654},
{C_text("f_29676:library_2escm"),(void*)f_29676},
{C_text("f_29689:library_2escm"),(void*)f_29689},
{C_text("f_29714:library_2escm"),(void*)f_29714},
{C_text("f_29730:library_2escm"),(void*)f_29730},
{C_text("f_29746:library_2escm"),(void*)f_29746},
{C_text("f_29762:library_2escm"),(void*)f_29762},
{C_text("f_29778:library_2escm"),(void*)f_29778},
{C_text("f_29794:library_2escm"),(void*)f_29794},
{C_text("f_29810:library_2escm"),(void*)f_29810},
{C_text("f_29826:library_2escm"),(void*)f_29826},
{C_text("f_29842:library_2escm"),(void*)f_29842},
{C_text("f_29858:library_2escm"),(void*)f_29858},
{C_text("f_29865:library_2escm"),(void*)f_29865},
{C_text("f_29906:library_2escm"),(void*)f_29906},
{C_text("f_29918:library_2escm"),(void*)f_29918},
{C_text("f_29924:library_2escm"),(void*)f_29924},
{C_text("f_29943:library_2escm"),(void*)f_29943},
{C_text("f_29945:library_2escm"),(void*)f_29945},
{C_text("f_29968:library_2escm"),(void*)f_29968},
{C_text("f_30014:library_2escm"),(void*)f_30014},
{C_text("f_30016:library_2escm"),(void*)f_30016},
{C_text("f_30023:library_2escm"),(void*)f_30023},
{C_text("f_30035:library_2escm"),(void*)f_30035},
{C_text("f_30079:library_2escm"),(void*)f_30079},
{C_text("f_30094:library_2escm"),(void*)f_30094},
{C_text("f_30102:library_2escm"),(void*)f_30102},
{C_text("f_30108:library_2escm"),(void*)f_30108},
{C_text("f_30116:library_2escm"),(void*)f_30116},
{C_text("f_30120:library_2escm"),(void*)f_30120},
{C_text("f_30126:library_2escm"),(void*)f_30126},
{C_text("f_30128:library_2escm"),(void*)f_30128},
{C_text("f_30140:library_2escm"),(void*)f_30140},
{C_text("f_30147:library_2escm"),(void*)f_30147},
{C_text("f_30151:library_2escm"),(void*)f_30151},
{C_text("f_30167:library_2escm"),(void*)f_30167},
{C_text("f_30174:library_2escm"),(void*)f_30174},
{C_text("f_30178:library_2escm"),(void*)f_30178},
{C_text("f_30191:library_2escm"),(void*)f_30191},
{C_text("f_30198:library_2escm"),(void*)f_30198},
{C_text("f_30202:library_2escm"),(void*)f_30202},
{C_text("f_30207:library_2escm"),(void*)f_30207},
{C_text("f_30213:library_2escm"),(void*)f_30213},
{C_text("f_30216:library_2escm"),(void*)f_30216},
{C_text("f_30219:library_2escm"),(void*)f_30219},
{C_text("f_30225:library_2escm"),(void*)f_30225},
{C_text("f_30234:library_2escm"),(void*)f_30234},
{C_text("f_30243:library_2escm"),(void*)f_30243},
{C_text("f_30249:library_2escm"),(void*)f_30249},
{C_text("f_30252:library_2escm"),(void*)f_30252},
{C_text("f_30255:library_2escm"),(void*)f_30255},
{C_text("f_30267:library_2escm"),(void*)f_30267},
{C_text("f_30270:library_2escm"),(void*)f_30270},
{C_text("f_30273:library_2escm"),(void*)f_30273},
{C_text("f_30276:library_2escm"),(void*)f_30276},
{C_text("f_30288:library_2escm"),(void*)f_30288},
{C_text("f_30291:library_2escm"),(void*)f_30291},
{C_text("f_30294:library_2escm"),(void*)f_30294},
{C_text("f_30297:library_2escm"),(void*)f_30297},
{C_text("f_30305:library_2escm"),(void*)f_30305},
{C_text("f_30308:library_2escm"),(void*)f_30308},
{C_text("f_30321:library_2escm"),(void*)f_30321},
{C_text("f_30322:library_2escm"),(void*)f_30322},
{C_text("f_30327:library_2escm"),(void*)f_30327},
{C_text("f_30328:library_2escm"),(void*)f_30328},
{C_text("f_30333:library_2escm"),(void*)f_30333},
{C_text("f_30334:library_2escm"),(void*)f_30334},
{C_text("f_30339:library_2escm"),(void*)f_30339},
{C_text("f_30340:library_2escm"),(void*)f_30340},
{C_text("f_30345:library_2escm"),(void*)f_30345},
{C_text("f_30346:library_2escm"),(void*)f_30346},
{C_text("f_30351:library_2escm"),(void*)f_30351},
{C_text("f_30353:library_2escm"),(void*)f_30353},
{C_text("f_30363:library_2escm"),(void*)f_30363},
{C_text("f_30366:library_2escm"),(void*)f_30366},
{C_text("f_30369:library_2escm"),(void*)f_30369},
{C_text("f_30372:library_2escm"),(void*)f_30372},
{C_text("f_30374:library_2escm"),(void*)f_30374},
{C_text("f_30388:library_2escm"),(void*)f_30388},
{C_text("f_30396:library_2escm"),(void*)f_30396},
{C_text("f_30400:library_2escm"),(void*)f_30400},
{C_text("f_30404:library_2escm"),(void*)f_30404},
{C_text("f_30408:library_2escm"),(void*)f_30408},
{C_text("f_30414:library_2escm"),(void*)f_30414},
{C_text("f_30421:library_2escm"),(void*)f_30421},
{C_text("f_30425:library_2escm"),(void*)f_30425},
{C_text("f_30429:library_2escm"),(void*)f_30429},
{C_text("f_30433:library_2escm"),(void*)f_30433},
{C_text("f_30472:library_2escm"),(void*)f_30472},
{C_text("f_30475:library_2escm"),(void*)f_30475},
{C_text("f_30478:library_2escm"),(void*)f_30478},
{C_text("f_30481:library_2escm"),(void*)f_30481},
{C_text("f_30484:library_2escm"),(void*)f_30484},
{C_text("f_30492:library_2escm"),(void*)f_30492},
{C_text("f_30500:library_2escm"),(void*)f_30500},
{C_text("f_30504:library_2escm"),(void*)f_30504},
{C_text("f_30521:library_2escm"),(void*)f_30521},
{C_text("f_30528:library_2escm"),(void*)f_30528},
{C_text("f_30550:library_2escm"),(void*)f_30550},
{C_text("f_30555:library_2escm"),(void*)f_30555},
{C_text("f_30570:library_2escm"),(void*)f_30570},
{C_text("f_30573:library_2escm"),(void*)f_30573},
{C_text("f_30576:library_2escm"),(void*)f_30576},
{C_text("f_30579:library_2escm"),(void*)f_30579},
{C_text("f_30582:library_2escm"),(void*)f_30582},
{C_text("f_30585:library_2escm"),(void*)f_30585},
{C_text("f_30588:library_2escm"),(void*)f_30588},
{C_text("f_30591:library_2escm"),(void*)f_30591},
{C_text("f_30594:library_2escm"),(void*)f_30594},
{C_text("f_30597:library_2escm"),(void*)f_30597},
{C_text("f_30600:library_2escm"),(void*)f_30600},
{C_text("f_30604:library_2escm"),(void*)f_30604},
{C_text("f_30607:library_2escm"),(void*)f_30607},
{C_text("f_30612:library_2escm"),(void*)f_30612},
{C_text("f_30618:library_2escm"),(void*)f_30618},
{C_text("f_30631:library_2escm"),(void*)f_30631},
{C_text("f_30633:library_2escm"),(void*)f_30633},
{C_text("f_30643:library_2escm"),(void*)f_30643},
{C_text("f_30656:library_2escm"),(void*)f_30656},
{C_text("f_30663:library_2escm"),(void*)f_30663},
{C_text("f_30667:library_2escm"),(void*)f_30667},
{C_text("f_30669:library_2escm"),(void*)f_30669},
{C_text("f_30698:library_2escm"),(void*)f_30698},
{C_text("f_30700:library_2escm"),(void*)f_30700},
{C_text("f_30725:library_2escm"),(void*)f_30725},
{C_text("f_30734:library_2escm"),(void*)f_30734},
{C_text("f_30737:library_2escm"),(void*)f_30737},
{C_text("f_30743:library_2escm"),(void*)f_30743},
{C_text("f_30767:library_2escm"),(void*)f_30767},
{C_text("f_30776:library_2escm"),(void*)f_30776},
{C_text("f_30784:library_2escm"),(void*)f_30784},
{C_text("f_30788:library_2escm"),(void*)f_30788},
{C_text("f_30792:library_2escm"),(void*)f_30792},
{C_text("f_30822:library_2escm"),(void*)f_30822},
{C_text("f_30826:library_2escm"),(void*)f_30826},
{C_text("f_30830:library_2escm"),(void*)f_30830},
{C_text("f_30834:library_2escm"),(void*)f_30834},
{C_text("f_30838:library_2escm"),(void*)f_30838},
{C_text("f_30842:library_2escm"),(void*)f_30842},
{C_text("f_30845:library_2escm"),(void*)f_30845},
{C_text("f_30848:library_2escm"),(void*)f_30848},
{C_text("f_30858:library_2escm"),(void*)f_30858},
{C_text("f_30861:library_2escm"),(void*)f_30861},
{C_text("f_30864:library_2escm"),(void*)f_30864},
{C_text("f_30884:library_2escm"),(void*)f_30884},
{C_text("f_30888:library_2escm"),(void*)f_30888},
{C_text("f_30892:library_2escm"),(void*)f_30892},
{C_text("f_30896:library_2escm"),(void*)f_30896},
{C_text("f_30900:library_2escm"),(void*)f_30900},
{C_text("f_30904:library_2escm"),(void*)f_30904},
{C_text("f_30908:library_2escm"),(void*)f_30908},
{C_text("f_30910:library_2escm"),(void*)f_30910},
{C_text("f_30919:library_2escm"),(void*)f_30919},
{C_text("f_30929:library_2escm"),(void*)f_30929},
{C_text("f_30954:library_2escm"),(void*)f_30954},
{C_text("f_30957:library_2escm"),(void*)f_30957},
{C_text("f_30959:library_2escm"),(void*)f_30959},
{C_text("f_30975:library_2escm"),(void*)f_30975},
{C_text("f_30994:library_2escm"),(void*)f_30994},
{C_text("f_31004:library_2escm"),(void*)f_31004},
{C_text("f_31014:library_2escm"),(void*)f_31014},
{C_text("f_31038:library_2escm"),(void*)f_31038},
{C_text("f_31042:library_2escm"),(void*)f_31042},
{C_text("f_31044:library_2escm"),(void*)f_31044},
{C_text("f_31048:library_2escm"),(void*)f_31048},
{C_text("f_31051:library_2escm"),(void*)f_31051},
{C_text("f_31066:library_2escm"),(void*)f_31066},
{C_text("f_31072:library_2escm"),(void*)f_31072},
{C_text("f_31076:library_2escm"),(void*)f_31076},
{C_text("f_31085:library_2escm"),(void*)f_31085},
{C_text("f_31088:library_2escm"),(void*)f_31088},
{C_text("f_31091:library_2escm"),(void*)f_31091},
{C_text("f_31094:library_2escm"),(void*)f_31094},
{C_text("f_31097:library_2escm"),(void*)f_31097},
{C_text("f_31103:library_2escm"),(void*)f_31103},
{C_text("f_31109:library_2escm"),(void*)f_31109},
{C_text("f_31112:library_2escm"),(void*)f_31112},
{C_text("f_31117:library_2escm"),(void*)f_31117},
{C_text("f_31127:library_2escm"),(void*)f_31127},
{C_text("f_31139:library_2escm"),(void*)f_31139},
{C_text("f_31147:library_2escm"),(void*)f_31147},
{C_text("f_31157:library_2escm"),(void*)f_31157},
{C_text("f_31173:library_2escm"),(void*)f_31173},
{C_text("f_31179:library_2escm"),(void*)f_31179},
{C_text("f_31182:library_2escm"),(void*)f_31182},
{C_text("f_31185:library_2escm"),(void*)f_31185},
{C_text("f_31186:library_2escm"),(void*)f_31186},
{C_text("f_31190:library_2escm"),(void*)f_31190},
{C_text("f_31196:library_2escm"),(void*)f_31196},
{C_text("f_31200:library_2escm"),(void*)f_31200},
{C_text("f_31202:library_2escm"),(void*)f_31202},
{C_text("f_31212:library_2escm"),(void*)f_31212},
{C_text("f_31229:library_2escm"),(void*)f_31229},
{C_text("f_31232:library_2escm"),(void*)f_31232},
{C_text("f_31236:library_2escm"),(void*)f_31236},
{C_text("f_31241:library_2escm"),(void*)f_31241},
{C_text("f_31247:library_2escm"),(void*)f_31247},
{C_text("f_31254:library_2escm"),(void*)f_31254},
{C_text("f_31263:library_2escm"),(void*)f_31263},
{C_text("f_31271:library_2escm"),(void*)f_31271},
{C_text("f_31296:library_2escm"),(void*)f_31296},
{C_text("f_31314:library_2escm"),(void*)f_31314},
{C_text("f_31318:library_2escm"),(void*)f_31318},
{C_text("f_31333:library_2escm"),(void*)f_31333},
{C_text("f_31337:library_2escm"),(void*)f_31337},
{C_text("f_31352:library_2escm"),(void*)f_31352},
{C_text("f_31355:library_2escm"),(void*)f_31355},
{C_text("f_31358:library_2escm"),(void*)f_31358},
{C_text("f_31368:library_2escm"),(void*)f_31368},
{C_text("f_31399:library_2escm"),(void*)f_31399},
{C_text("f_31423:library_2escm"),(void*)f_31423},
{C_text("f_31433:library_2escm"),(void*)f_31433},
{C_text("f_31442:library_2escm"),(void*)f_31442},
{C_text("f_31483:library_2escm"),(void*)f_31483},
{C_text("f_31502:library_2escm"),(void*)f_31502},
{C_text("f_31515:library_2escm"),(void*)f_31515},
{C_text("f_31525:library_2escm"),(void*)f_31525},
{C_text("f_31535:library_2escm"),(void*)f_31535},
{C_text("f_31545:library_2escm"),(void*)f_31545},
{C_text("f_31555:library_2escm"),(void*)f_31555},
{C_text("f_31565:library_2escm"),(void*)f_31565},
{C_text("f_31575:library_2escm"),(void*)f_31575},
{C_text("f_31585:library_2escm"),(void*)f_31585},
{C_text("f_31595:library_2escm"),(void*)f_31595},
{C_text("f_31605:library_2escm"),(void*)f_31605},
{C_text("f_31615:library_2escm"),(void*)f_31615},
{C_text("f_31625:library_2escm"),(void*)f_31625},
{C_text("f_31635:library_2escm"),(void*)f_31635},
{C_text("f_31645:library_2escm"),(void*)f_31645},
{C_text("f_31661:library_2escm"),(void*)f_31661},
{C_text("f_31669:library_2escm"),(void*)f_31669},
{C_text("f_31685:library_2escm"),(void*)f_31685},
{C_text("f_31701:library_2escm"),(void*)f_31701},
{C_text("f_31711:library_2escm"),(void*)f_31711},
{C_text("f_31721:library_2escm"),(void*)f_31721},
{C_text("f_31740:library_2escm"),(void*)f_31740},
{C_text("f_31756:library_2escm"),(void*)f_31756},
{C_text("f_31769:library_2escm"),(void*)f_31769},
{C_text("f_31775:library_2escm"),(void*)f_31775},
{C_text("f_31798:library_2escm"),(void*)f_31798},
{C_text("f_31802:library_2escm"),(void*)f_31802},
{C_text("f_31806:library_2escm"),(void*)f_31806},
{C_text("f_31809:library_2escm"),(void*)f_31809},
{C_text("f_31815:library_2escm"),(void*)f_31815},
{C_text("f_31838:library_2escm"),(void*)f_31838},
{C_text("f_31842:library_2escm"),(void*)f_31842},
{C_text("f_31846:library_2escm"),(void*)f_31846},
{C_text("f_31849:library_2escm"),(void*)f_31849},
{C_text("f_31852:library_2escm"),(void*)f_31852},
{C_text("f_31855:library_2escm"),(void*)f_31855},
{C_text("f_31861:library_2escm"),(void*)f_31861},
{C_text("f_31864:library_2escm"),(void*)f_31864},
{C_text("f_31867:library_2escm"),(void*)f_31867},
{C_text("f_31875:library_2escm"),(void*)f_31875},
{C_text("f_31877:library_2escm"),(void*)f_31877},
{C_text("f_31901:library_2escm"),(void*)f_31901},
{C_text("f_31924:library_2escm"),(void*)f_31924},
{C_text("f_31928:library_2escm"),(void*)f_31928},
{C_text("f_31932:library_2escm"),(void*)f_31932},
{C_text("f_31966:library_2escm"),(void*)f_31966},
{C_text("f_31970:library_2escm"),(void*)f_31970},
{C_text("f_31973:library_2escm"),(void*)f_31973},
{C_text("f_31986:library_2escm"),(void*)f_31986},
{C_text("f_32019:library_2escm"),(void*)f_32019},
{C_text("f_32034:library_2escm"),(void*)f_32034},
{C_text("f_32038:library_2escm"),(void*)f_32038},
{C_text("f_32062:library_2escm"),(void*)f_32062},
{C_text("f_32070:library_2escm"),(void*)f_32070},
{C_text("f_32074:library_2escm"),(void*)f_32074},
{C_text("f_32085:library_2escm"),(void*)f_32085},
{C_text("f_32089:library_2escm"),(void*)f_32089},
{C_text("f_32093:library_2escm"),(void*)f_32093},
{C_text("f_32107:library_2escm"),(void*)f_32107},
{C_text("f_32139:library_2escm"),(void*)f_32139},
{C_text("f_8492:library_2escm"),(void*)f_8492},
{C_text("f_8494:library_2escm"),(void*)f_8494},
{C_text("f_8497:library_2escm"),(void*)f_8497},
{C_text("f_8500:library_2escm"),(void*)f_8500},
{C_text("f_8503:library_2escm"),(void*)f_8503},
{C_text("f_8506:library_2escm"),(void*)f_8506},
{C_text("f_8509:library_2escm"),(void*)f_8509},
{C_text("f_8512:library_2escm"),(void*)f_8512},
{C_text("f_8515:library_2escm"),(void*)f_8515},
{C_text("f_8518:library_2escm"),(void*)f_8518},
{C_text("f_8521:library_2escm"),(void*)f_8521},
{C_text("f_8524:library_2escm"),(void*)f_8524},
{C_text("f_8527:library_2escm"),(void*)f_8527},
{C_text("f_8530:library_2escm"),(void*)f_8530},
{C_text("f_8533:library_2escm"),(void*)f_8533},
{C_text("f_8536:library_2escm"),(void*)f_8536},
{C_text("f_8539:library_2escm"),(void*)f_8539},
{C_text("f_8542:library_2escm"),(void*)f_8542},
{C_text("f_8545:library_2escm"),(void*)f_8545},
{C_text("f_8548:library_2escm"),(void*)f_8548},
{C_text("f_8562:library_2escm"),(void*)f_8562},
{C_text("f_8569:library_2escm"),(void*)f_8569},
{C_text("f_8576:library_2escm"),(void*)f_8576},
{C_text("f_8590:library_2escm"),(void*)f_8590},
{C_text("f_8597:library_2escm"),(void*)f_8597},
{C_text("f_8611:library_2escm"),(void*)f_8611},
{C_text("f_8625:library_2escm"),(void*)f_8625},
{C_text("f_8643:library_2escm"),(void*)f_8643},
{C_text("f_8654:library_2escm"),(void*)f_8654},
{C_text("f_8665:library_2escm"),(void*)f_8665},
{C_text("f_8672:library_2escm"),(void*)f_8672},
{C_text("f_8683:library_2escm"),(void*)f_8683},
{C_text("f_8687:library_2escm"),(void*)f_8687},
{C_text("f_8694:library_2escm"),(void*)f_8694},
{C_text("f_8712:library_2escm"),(void*)f_8712},
{C_text("f_8723:library_2escm"),(void*)f_8723},
{C_text("f_8734:library_2escm"),(void*)f_8734},
{C_text("f_8741:library_2escm"),(void*)f_8741},
{C_text("f_8759:library_2escm"),(void*)f_8759},
{C_text("f_8770:library_2escm"),(void*)f_8770},
{C_text("f_8788:library_2escm"),(void*)f_8788},
{C_text("f_8794:library_2escm"),(void*)f_8794},
{C_text("f_8797:library_2escm"),(void*)f_8797},
{C_text("f_8800:library_2escm"),(void*)f_8800},
{C_text("f_8803:library_2escm"),(void*)f_8803},
{C_text("f_8806:library_2escm"),(void*)f_8806},
{C_text("f_8812:library_2escm"),(void*)f_8812},
{C_text("f_8845:library_2escm"),(void*)f_8845},
{C_text("f_8848:library_2escm"),(void*)f_8848},
{C_text("f_8851:library_2escm"),(void*)f_8851},
{C_text("f_8854:library_2escm"),(void*)f_8854},
{C_text("f_8857:library_2escm"),(void*)f_8857},
{C_text("f_8860:library_2escm"),(void*)f_8860},
{C_text("f_8863:library_2escm"),(void*)f_8863},
{C_text("f_8866:library_2escm"),(void*)f_8866},
{C_text("f_8869:library_2escm"),(void*)f_8869},
{C_text("f_8872:library_2escm"),(void*)f_8872},
{C_text("f_8875:library_2escm"),(void*)f_8875},
{C_text("f_8878:library_2escm"),(void*)f_8878},
{C_text("f_8881:library_2escm"),(void*)f_8881},
{C_text("f_8885:library_2escm"),(void*)f_8885},
{C_text("f_8888:library_2escm"),(void*)f_8888},
{C_text("f_8894:library_2escm"),(void*)f_8894},
{C_text("f_8897:library_2escm"),(void*)f_8897},
{C_text("f_8900:library_2escm"),(void*)f_8900},
{C_text("f_8903:library_2escm"),(void*)f_8903},
{C_text("f_8906:library_2escm"),(void*)f_8906},
{C_text("f_8914:library_2escm"),(void*)f_8914},
{C_text("f_8918:library_2escm"),(void*)f_8918},
{C_text("f_8921:library_2escm"),(void*)f_8921},
{C_text("f_8924:library_2escm"),(void*)f_8924},
{C_text("f_8927:library_2escm"),(void*)f_8927},
{C_text("f_8930:library_2escm"),(void*)f_8930},
{C_text("f_8933:library_2escm"),(void*)f_8933},
{C_text("f_8936:library_2escm"),(void*)f_8936},
{C_text("f_8939:library_2escm"),(void*)f_8939},
{C_text("f_8943:library_2escm"),(void*)f_8943},
{C_text("f_8946:library_2escm"),(void*)f_8946},
{C_text("f_8949:library_2escm"),(void*)f_8949},
{C_text("f_8952:library_2escm"),(void*)f_8952},
{C_text("f_8955:library_2escm"),(void*)f_8955},
{C_text("f_8963:library_2escm"),(void*)f_8963},
{C_text("f_8966:library_2escm"),(void*)f_8966},
{C_text("f_8973:library_2escm"),(void*)f_8973},
{C_text("f_8977:library_2escm"),(void*)f_8977},
{C_text("f_8980:library_2escm"),(void*)f_8980},
{C_text("f_8983:library_2escm"),(void*)f_8983},
{C_text("f_8986:library_2escm"),(void*)f_8986},
{C_text("f_8989:library_2escm"),(void*)f_8989},
{C_text("f_8992:library_2escm"),(void*)f_8992},
{C_text("f_8995:library_2escm"),(void*)f_8995},
{C_text("f_9001:library_2escm"),(void*)f_9001},
{C_text("f_9012:library_2escm"),(void*)f_9012},
{C_text("f_9018:library_2escm"),(void*)f_9018},
{C_text("f_9024:library_2escm"),(void*)f_9024},
{C_text("f_9030:library_2escm"),(void*)f_9030},
{C_text("f_9036:library_2escm"),(void*)f_9036},
{C_text("f_9042:library_2escm"),(void*)f_9042},
{C_text("f_9049:library_2escm"),(void*)f_9049},
{C_text("f_9055:library_2escm"),(void*)f_9055},
{C_text("f_9071:library_2escm"),(void*)f_9071},
{C_text("f_9082:library_2escm"),(void*)f_9082},
{C_text("f_9088:library_2escm"),(void*)f_9088},
{C_text("f_9094:library_2escm"),(void*)f_9094},
{C_text("f_9100:library_2escm"),(void*)f_9100},
{C_text("f_9106:library_2escm"),(void*)f_9106},
{C_text("f_9115:library_2escm"),(void*)f_9115},
{C_text("f_9118:library_2escm"),(void*)f_9118},
{C_text("f_9121:library_2escm"),(void*)f_9121},
{C_text("f_9124:library_2escm"),(void*)f_9124},
{C_text("f_9127:library_2escm"),(void*)f_9127},
{C_text("f_9130:library_2escm"),(void*)f_9130},
{C_text("f_9134:library_2escm"),(void*)f_9134},
{C_text("f_9140:library_2escm"),(void*)f_9140},
{C_text("f_9146:library_2escm"),(void*)f_9146},
{C_text("f_9179:library_2escm"),(void*)f_9179},
{C_text("f_9182:library_2escm"),(void*)f_9182},
{C_text("f_9185:library_2escm"),(void*)f_9185},
{C_text("f_9193:library_2escm"),(void*)f_9193},
{C_text("f_9198:library_2escm"),(void*)f_9198},
{C_text("f_9204:library_2escm"),(void*)f_9204},
{C_text("f_9219:library_2escm"),(void*)f_9219},
{C_text("f_9240:library_2escm"),(void*)f_9240},
{C_text("f_9246:library_2escm"),(void*)f_9246},
{C_text("f_9252:library_2escm"),(void*)f_9252},
{C_text("f_9259:library_2escm"),(void*)f_9259},
{C_text("f_9264:library_2escm"),(void*)f_9264},
{C_text("f_9267:library_2escm"),(void*)f_9267},
{C_text("f_9276:library_2escm"),(void*)f_9276},
{C_text("f_9294:library_2escm"),(void*)f_9294},
{C_text("f_9304:library_2escm"),(void*)f_9304},
{C_text("f_9313:library_2escm"),(void*)f_9313},
{C_text("f_9331:library_2escm"),(void*)f_9331},
{C_text("f_9344:library_2escm"),(void*)f_9344},
{C_text("f_9351:library_2escm"),(void*)f_9351},
{C_text("f_9358:library_2escm"),(void*)f_9358},
{C_text("f_9369:library_2escm"),(void*)f_9369},
{C_text("f_9376:library_2escm"),(void*)f_9376},
{C_text("f_9388:library_2escm"),(void*)f_9388},
{C_text("f_9391:library_2escm"),(void*)f_9391},
{C_text("f_9393:library_2escm"),(void*)f_9393},
{C_text("f_9399:library_2escm"),(void*)f_9399},
{C_text("f_9415:library_2escm"),(void*)f_9415},
{C_text("f_9424:library_2escm"),(void*)f_9424},
{C_text("f_9426:library_2escm"),(void*)f_9426},
{C_text("f_9432:library_2escm"),(void*)f_9432},
{C_text("f_9445:library_2escm"),(void*)f_9445},
{C_text("f_9461:library_2escm"),(void*)f_9461},
{C_text("f_9472:library_2escm"),(void*)f_9472},
{C_text("f_9474:library_2escm"),(void*)f_9474},
{C_text("f_9482:library_2escm"),(void*)f_9482},
{C_text("f_9484:library_2escm"),(void*)f_9484},
{C_text("f_9490:library_2escm"),(void*)f_9490},
{C_text("f_9492:library_2escm"),(void*)f_9492},
{C_text("f_9500:library_2escm"),(void*)f_9500},
{C_text("f_9502:library_2escm"),(void*)f_9502},
{C_text("f_9505:library_2escm"),(void*)f_9505},
{C_text("f_9513:library_2escm"),(void*)f_9513},
{C_text("f_9519:library_2escm"),(void*)f_9519},
{C_text("f_9527:library_2escm"),(void*)f_9527},
{C_text("f_9538:library_2escm"),(void*)f_9538},
{C_text("f_9550:library_2escm"),(void*)f_9550},
{C_text("f_9564:library_2escm"),(void*)f_9564},
{C_text("f_9572:library_2escm"),(void*)f_9572},
{C_text("f_9575:library_2escm"),(void*)f_9575},
{C_text("f_9577:library_2escm"),(void*)f_9577},
{C_text("f_9579:library_2escm"),(void*)f_9579},
{C_text("f_9585:library_2escm"),(void*)f_9585},
{C_text("f_9604:library_2escm"),(void*)f_9604},
{C_text("f_9621:library_2escm"),(void*)f_9621},
{C_text("f_9629:library_2escm"),(void*)f_9629},
{C_text("f_9643:library_2escm"),(void*)f_9643},
{C_text("f_9649:library_2escm"),(void*)f_9649},
{C_text("f_9668:library_2escm"),(void*)f_9668},
{C_text("f_9677:library_2escm"),(void*)f_9677},
{C_text("f_9680:library_2escm"),(void*)f_9680},
{C_text("f_9692:library_2escm"),(void*)f_9692},
{C_text("f_9708:library_2escm"),(void*)f_9708},
{C_text("f_9714:library_2escm"),(void*)f_9714},
{C_text("f_9739:library_2escm"),(void*)f_9739},
{C_text("f_9741:library_2escm"),(void*)f_9741},
{C_text("f_9750:library_2escm"),(void*)f_9750},
{C_text("f_9771:library_2escm"),(void*)f_9771},
{C_text("f_9773:library_2escm"),(void*)f_9773},
{C_text("f_9779:library_2escm"),(void*)f_9779},
{C_text("f_9805:library_2escm"),(void*)f_9805},
{C_text("f_9812:library_2escm"),(void*)f_9812},
{C_text("f_9814:library_2escm"),(void*)f_9814},
{C_text("f_9818:library_2escm"),(void*)f_9818},
{C_text("f_9826:library_2escm"),(void*)f_9826},
{C_text("f_9861:library_2escm"),(void*)f_9861},
{C_text("f_9871:library_2escm"),(void*)f_9871},
{C_text("f_9880:library_2escm"),(void*)f_9880},
{C_text("f_9922:library_2escm"),(void*)f_9922},
{C_text("f_9951:library_2escm"),(void*)f_9951},
{C_text("f_9958:library_2escm"),(void*)f_9958},
{C_text("f_9961:library_2escm"),(void*)f_9961},
{C_text("f_9990:library_2escm"),(void*)f_9990},
{C_text("f_9996:library_2escm"),(void*)f_9996},
{C_text("toplevel:library_2escm"),(void*)C_library_toplevel},
{NULL,NULL}};
#endif

static C_PTABLE_ENTRY *create_ptable(void){
#ifdef C_ENABLE_PTABLES
return ptable;
#else
return NULL;
#endif
}

/*
o|hiding unexported module binding: scheme#string-fill 
o|hiding unexported module binding: chicken.condition#prop-list->kind-prefixed-prop-list 
o|hiding unexported module binding: chicken.platform#->feature-id 
S|applied compiler syntax:
S|  for-each		8
S|  ##sys#map		1
S|  ##sys#for-each		4
S|  map		7
o|eliminated procedure checks: 528 
o|specializations:
o|  1 (scheme#zero? integer)
o|  1 (scheme#string-append string string)
o|  1 (scheme#make-string fixnum)
o|  1 (scheme#memq * list)
o|  1 (scheme#cdar (pair pair *))
o|  2 (scheme#cddr (pair * pair))
o|  1 (scheme#char>? char char)
o|  12 (scheme#char=? char char)
o|  3 (scheme#string-ref string fixnum)
o|  5 (##sys#check-input-port * * *)
o|  11 (##sys#check-output-port * * *)
o|  1 (##sys#check-output-port * *)
o|  1 (##sys#check-input-port * *)
o|  12 (##sys#check-list (or pair list) *)
o|  43 (scheme#cdr pair)
o|  4 (scheme#char>=? char char)
o|  6 (scheme#char<=? char char)
o|  5 (scheme#zero? *)
o|  26 (scheme#eqv? (or eof null fixnum char boolean symbol) *)
o|  1 (scheme#remainder * *)
o|  1 (scheme#> fixnum fixnum)
o|  1 (scheme#make-string fixnum char)
o|  1 (scheme#string-length string)
o|  6 (scheme#number->string * *)
o|  3 (scheme#integer? *)
o|  2 (scheme#even? *)
o|  5 (scheme#/ * *)
o|  1 (scheme#+ integer integer)
o|  2 (chicken.bitwise#bitwise-and * *)
o|  1 (scheme#- integer integer)
o|  11 (chicken.bitwise#arithmetic-shift * *)
o|  5 (chicken.bitwise#integer-length *)
o|  204 (scheme#eqv? * (or eof null fixnum char boolean symbol))
o|  2 (chicken.flonum#fp<= float float)
o|  7 (scheme#> * *)
o|  7 (scheme#- *)
o|  7 (scheme#< * *)
o|  1 (scheme#odd? *)
o|  3 (scheme#= * *)
o|  2 (scheme#>= * *)
o|  17 (scheme#quotient * *)
o|  1 (chicken.flonum#fp> float float)
o|  2 (scheme#angle cplxnum)
o|  5 (chicken.base#finite? *)
o|  13 (chicken.base#exact-integer? *)
o|  8 (scheme#abs *)
o|  44 (scheme#* * *)
o|  17 (scheme#exact->inexact number)
o|  5 (##sys#debug-mode?)
o|  48 (scheme#car pair)
o|  4 (scheme#length list)
o|  19 (scheme#- * *)
o|  23 (scheme#+ * *)
o|  12 (scheme#negative? *)
o|  4 (scheme#positive? *)
(o e)|safe calls: 3114 
(o e)|dropped branches: 3 
(o e)|assignments to immediate values: 26 
o|dropping redundant toplevel assignment: chicken.base#warning 
o|dropping redundant toplevel assignment: chicken.base#notice 
o|dropping redundant toplevel assignment: chicken.base#enable-warnings 
o|dropping redundant toplevel assignment: scheme#force 
o|dropping redundant toplevel assignment: scheme#append 
o|dropping redundant toplevel assignment: scheme#make-string 
o|dropping redundant toplevel assignment: scheme#string->list 
o|dropping redundant toplevel assignment: scheme#list->string 
o|dropping redundant toplevel assignment: scheme#string-fill! 
o|dropping redundant toplevel assignment: scheme#string-copy 
o|dropping redundant toplevel assignment: scheme#substring 
o|dropping redundant toplevel assignment: scheme#string<? 
o|dropping redundant toplevel assignment: scheme#string>? 
o|dropping redundant toplevel assignment: scheme#string<=? 
o|dropping redundant toplevel assignment: scheme#string>=? 
o|dropping redundant toplevel assignment: scheme#string-ci<? 
o|dropping redundant toplevel assignment: scheme#string-ci>? 
o|dropping redundant toplevel assignment: scheme#string-ci<=? 
o|dropping redundant toplevel assignment: scheme#string-ci>=? 
o|dropping redundant toplevel assignment: scheme#string-append 
o|dropping redundant toplevel assignment: scheme#string 
o|dropping redundant toplevel assignment: chicken.base#chop 
o|dropping redundant toplevel assignment: scheme#make-rectangular 
o|dropping redundant toplevel assignment: scheme#make-polar 
o|dropping redundant toplevel assignment: scheme#real-part 
o|dropping redundant toplevel assignment: scheme#imag-part 
o|dropping redundant toplevel assignment: scheme#angle 
o|dropping redundant toplevel assignment: scheme#magnitude 
o|dropping redundant toplevel assignment: scheme#numerator 
o|dropping redundant toplevel assignment: scheme#denominator 
o|dropping redundant toplevel assignment: scheme#inexact->exact 
o|dropping redundant toplevel assignment: scheme#/ 
o|dropping redundant toplevel assignment: scheme#floor 
o|dropping redundant toplevel assignment: scheme#ceiling 
o|dropping redundant toplevel assignment: scheme#truncate 
o|dropping redundant toplevel assignment: scheme#round 
o|dropping redundant toplevel assignment: scheme#rationalize 
o|dropping redundant toplevel assignment: scheme#max 
o|dropping redundant toplevel assignment: scheme#min 
o|dropping redundant toplevel assignment: scheme#exp 
o|dropping redundant toplevel assignment: scheme#log 
o|dropping redundant toplevel assignment: scheme#sin 
o|dropping redundant toplevel assignment: scheme#cos 
o|dropping redundant toplevel assignment: scheme#tan 
o|dropping redundant toplevel assignment: scheme#asin 
o|dropping redundant toplevel assignment: scheme#acos 
o|dropping redundant toplevel assignment: scheme#atan 
o|dropping redundant toplevel assignment: chicken.base#exact-integer-sqrt 
o|dropping redundant toplevel assignment: scheme#sqrt 
o|dropping redundant toplevel assignment: chicken.base#exact-integer-nth-root 
o|dropping redundant toplevel assignment: scheme#expt 
o|dropping redundant toplevel assignment: scheme#gcd 
o|dropping redundant toplevel assignment: scheme#lcm 
o|dropping redundant toplevel assignment: scheme#string->number 
o|dropping redundant toplevel assignment: ##sys#number->string 
o|dropping redundant toplevel assignment: chicken.base#equal=? 
o|dropping redundant toplevel assignment: ##sys#symbol->string 
o|dropping redundant toplevel assignment: ##sys#symbol->qualified-string 
o|dropping redundant toplevel assignment: ##sys#qualified-symbol-prefix 
o|dropping redundant toplevel assignment: scheme#symbol->string 
o|dropping redundant toplevel assignment: scheme#string->symbol 
o|dropping redundant toplevel assignment: chicken.base#string->uninterned-symbol 
o|dropping redundant toplevel assignment: chicken.base#gensym 
o|dropping redundant toplevel assignment: chicken.base#symbol-append 
o|dropping redundant toplevel assignment: ##sys#update-errno 
o|dropping redundant toplevel assignment: ##sys#errno 
o|safe globals: (chicken.keyword#keyword->string chicken.keyword#string->keyword chicken.keyword#keyword? chicken.base#symbol-append chicken.base#gensym chicken.base#string->uninterned-symbol scheme#string->symbol scheme#symbol->string ##sys#string->qualified-symbol ##sys#qualified-symbol? ##sys#qualified-symbol-prefix ##sys#symbol->qualified-string ##sys#symbol->string ##sys#string->symbol ##sys#interned-symbol? ##sys#intern-symbol ##sys#snafu chicken.base#equal=? ##sys#number->string ##sys#integer->string ##sys#flonum->string ##sys#fixnum->string ##sys#string->number scheme#string->number ##sys#string->compnum round-quotient ldexp mantexp->dbl ##sys#extended-number->string ##sys#integer->string/recursive scheme#lcm ##sys#lcm scheme#gcd ##sys#gcd ##sys#internal-gcd scheme#expt ##sys#integer-power ##sys#exact-integer-nth-root/loc chicken.base#exact-integer-nth-root scheme#sqrt ##sys#sqrt/loc chicken.base#exact-integer-sqrt ##sys#exact-integer-sqrt scheme#atan scheme#acos scheme#asin scheme#tan scheme#cos scheme#sin scheme#log ##sys#log-1 scheme#exp scheme#min scheme#max scheme#rationalize find-ratio find-ratio-between scheme#round scheme#truncate scheme#ceiling scheme#floor ##sys#/-2 scheme#/ chicken.bitwise#arithmetic-shift chicken.bitwise#integer-length chicken.bitwise#bit->boolean chicken.bitwise#bitwise-not chicken.bitwise#bitwise-xor chicken.bitwise#bitwise-ior chicken.bitwise#bitwise-and ##sys#inexact->exact ##sys#exact->inexact scheme#inexact->exact flonum->ratnum ##sys#extended-signum scheme#denominator scheme#numerator ratnum scheme#magnitude scheme#angle scheme#imag-part scheme#real-part scheme#make-polar scheme#make-rectangular make-complex ##sys#inexact? ##sys#exact? ##sys#integer? ##sys#number? chicken.flonum#flonum-print-precision chicken.flonum#fpinteger? chicken.flonum#fpabs chicken.flonum#fpsqrt chicken.flonum#fplog chicken.flonum#fpexpt chicken.flonum#fpexp chicken.flonum#fpatan2 chicken.flonum#fpatan chicken.flonum#fpacos chicken.flonum#fpasin chicken.flonum#fptan chicken.flonum#fpcos chicken.flonum#fpsin chicken.flonum#fpceiling chicken.flonum#fpround chicken.flonum#fptruncate chicken.flonum#fpfloor chicken.flonum#fpmin chicken.flonum#fpmax chicken.flonum#fpneg chicken.flonum#fp<= chicken.flonum#fp>= chicken.flonum#fp< chicken.flonum#fp> chicken.flonum#fp= chicken.flonum#fp/? chicken.flonum#fpgcd chicken.flonum#fp/ chicken.flonum#fp* chicken.flonum#fp- chicken.flonum#fp+ chicken.flonum#flonum-minimum-decimal-exponent chicken.flonum#flonum-maximum-decimal-exponent chicken.flonum#flonum-minimum-exponent chicken.flonum#flonum-maximum-exponent chicken.flonum#flonum-decimal-precision chicken.flonum#flonum-precision chicken.flonum#flonum-epsilon chicken.flonum#flonum-radix chicken.flonum#minimum-flonum chicken.flonum#maximum-flonum chicken.base#chop ##sys#fragments->string scheme#string scheme#string-append ##sys#string-append scheme#string-ci>=? scheme#string-ci<=? scheme#string-ci>? scheme#string-ci<? scheme#string>=? scheme#string<=? scheme#string>? scheme#string<? ##sys#substring scheme#substring scheme#string-copy scheme#string-fill! ##sys#reverse-list->string ##sys#list->string scheme#list->string ##sys#string->list scheme#string->list scheme#make-string ##sys#make-string ##sys#fast-reverse scheme#append ##sys#error-bad-base ##sys#error-bad-real ##sys#error-bad-inexact ##sys#error-bad-exact-uinteger ##sys#error-bad-exact-integer ##sys#error-bad-integer ##sys#error-bad-number ##sys#error-not-a-proper-list ##sys#set-dlopen-flags! ##sys#dload scheme#force ##sys#check-closure ##sys#check-special ##sys#check-range ##sys#check-real ##sys#check-exact-uinteger ##sys#check-exact-integer ##sys#check-integer ##sys#check-locative ##sys#check-boolean ##sys#check-char ##sys#check-vector ##sys#check-symbol ##sys#check-inexact ##sys#check-exact ##sys#check-fixnum ##sys#check-number ##sys#check-string ##sys#check-list ##sys#check-pair ##sys#check-byte-vector ##sys#check-blob ##sys#check-structure chicken.time#cpu-time chicken.time#current-seconds chicken.time#current-milliseconds ##sys#block-set! ##sys#copy-closure ##sys#apply-values ##sys#block-ref ##sys#become! ##sys#halt ##sys#undefined-value ##sys#void ##sys#setbyte ##sys#byte ##sys#message ##sys#immediate? ##sys#stop-timer ##sys#start-timer ##sys#memory-info ##sys#symbol-table-info ##sys#ensure-heap-reserve ##sys#make-structure ##sys#allocate-vector ##sys#setislot ##sys#setslot ##sys#gc ##sys#notice ##sys#warn ##sys#error chicken.base#enable-warnings chicken.base#notice chicken.base#warning ##sys#notices-enabled ##sys#warnings-enabled ##sys#debug-mode? chicken.fixnum#fx/? chicken.fixnum#fx*? chicken.fixnum#fx-? chicken.fixnum#fx+? chicken.fixnum#fxrem chicken.fixnum#fxmod chicken.fixnum#fxgcd chicken.fixnum#fx/ chicken.fixnum#fxlen chicken.fixnum#fxeven? chicken.fixnum#fxodd? chicken.fixnum#fxshr chicken.fixnum#fxshl chicken.fixnum#fxnot chicken.fixnum#fxxor chicken.fixnum#fxior chicken.fixnum#fxand chicken.fixnum#fxneg chicken.fixnum#fxmax chicken.fixnum#fxmin chicken.fixnum#fx<= chicken.fixnum#fx>= chicken.fixnum#fx< chicken.fixnum#fx> chicken.fixnum#fx= chicken.fixnum#fx* chicken.fixnum#fx- chicken.fixnum#fx+ chicken.fixnum#fixnum-precision chicken.fixnum#fixnum-bits chicken.fixnum#most-negative-fixnum chicken.fixnum#most-positive-fixnum maximal-string-length chicken.base#rassoc chicken.base#alist-ref chicken.base#alist-update chicken.base#alist-update! chicken.base#compress chicken.base#join chicken.base#flatten chicken.base#butlast chicken.base#intersperse chicken.base#tail? chicken.base#atom? chicken.base#each chicken.base#list-of? chicken.base#o chicken.base#compose chicken.base#complement chicken.base#flip chicken.base#constantly chicken.base#disjoin chicken.base#conjoin chicken.base#identity chicken.base#symbol-escape chicken.base#parentheses-synonyms chicken.base#keyword-style chicken.base#case-sensitive chicken.base#emergency-exit chicken.base#exit chicken.base#on-exit chicken.base#cleanup-tasks chicken.base#exit-handler chicken.base#implicit-exit-handler chicken.base#foldr chicken.base#foldl chicken.base#make-promise ##sys#make-promise chicken.base#promise? chicken.base#flush-output chicken.base#open-output-string chicken.base#open-input-string chicken.base#get-output-string chicken.base#output-port-open? chicken.base#input-port-open? chicken.base#port-closed? chicken.base#port? chicken.base#vector-resize chicken.base#subvector chicken.base#vector-copy! chicken.base#setter chicken.base#procedure-information chicken.base#make-parameter chicken.base#getter-with-setter chicken.base#char-name chicken.base#call/cc chicken.base#sleep chicken.base#void chicken.base#error chicken.base#current-error-port chicken.base#sub1 chicken.base#add1 chicken.base#print* chicken.base#print chicken.base#print-call-chain chicken.base#get-call-chain chicken.base#signum chicken.base#nan? chicken.base#infinite? chicken.base#finite? chicken.base#quotient&modulo chicken.base#quotient&remainder chicken.base#exact-integer? chicken.base#cplxnum? chicken.base#ratnum? chicken.base#bignum? chicken.base#flonum? chicken.base#fixnum? scheme#dynamic-wind scheme#map scheme#for-each scheme#load scheme#null-environment scheme#scheme-report-environment scheme#interaction-environment scheme#eval scheme#display scheme#write scheme#newline scheme#write-char scheme#read scheme#peek-char scheme#read-char scheme#char-ready? scheme#eof-object? scheme#with-output-to-file scheme#with-input-from-file scheme#call-with-output-file scheme#call-with-input-file scheme#close-output-port scheme#close-input-port scheme#open-output-file scheme#open-input-file scheme#current-output-port scheme#current-input-port scheme#output-port? scheme#input-port? scheme#call-with-current-continuation scheme#call-with-values scheme#values scheme#apply scheme#procedure? scheme#char-alphabetic? scheme#char-whitespace? scheme#char-numeric? scheme#char-lower-case? scheme#char-upper-case? scheme#char-ci<=? scheme#char-ci>=? scheme#char-ci<? scheme#char-ci>? scheme#char-ci=? scheme#char-downcase scheme#char-upcase scheme#char<=? scheme#char>=? scheme#char<? scheme#char>? scheme#char=? scheme#integer->char scheme#char->integer scheme#char? scheme#vector-fill! scheme#vector scheme#vector->list scheme#list->vector scheme#make-vector scheme#vector-set! scheme#vector-ref scheme#vector-length scheme#vector? scheme#symbol? scheme#number->string scheme#negative? scheme#positive? scheme#zero? scheme#inexact? scheme#exact? scheme#integer? scheme#rational? scheme#real? scheme#complex? scheme#number? scheme#<= scheme#>= scheme#< scheme#> scheme#= scheme#odd? scheme#even? scheme#modulo scheme#remainder scheme#quotient scheme#* scheme#- scheme#+ scheme#abs scheme#exact->inexact scheme#string-fill scheme#string-ci=? scheme#string=? scheme#string-set! scheme#string-ref scheme#string-length scheme#string? scheme#list? scheme#assoc scheme#assv scheme#assq scheme#member scheme#memv scheme#memq scheme#reverse scheme#list-ref scheme#list-tail scheme#length scheme#list scheme#null? scheme#cdddar scheme#cddadr scheme#cddaar scheme#cdaddr scheme#cdadar scheme#cdaadr scheme#cdaaar scheme#caddar scheme#cadadr scheme#cadaar scheme#caaddr scheme#caadar scheme#caaadr scheme#caaaar scheme#cdddr scheme#cddar scheme#cdadr scheme#cdaar scheme#cadar scheme#caadr scheme#caaar scheme#cddr scheme#cdar scheme#caar scheme#cddddr scheme#cadddr scheme#caddr scheme#cadr scheme#set-cdr! scheme#set-car! scheme#cdr scheme#car scheme#cons scheme#pair? scheme#equal? scheme#eqv? scheme#eq? scheme#boolean? scheme#not) 
o|inlining procedure: k8814 
o|inlining procedure: k8814 
o|removed side-effect free assignment to unused variable: scheme#string-fill 
o|inlining procedure: k9051 
o|inlining procedure: k9051 
o|inlining procedure: k9057 
o|inlining procedure: k9057 
o|inlining procedure: k9148 
o|inlining procedure: k9148 
o|substituted constant variable: a9196 
o|substituted constant variable: a9201 
o|inlining procedure: k9206 
o|inlining procedure: k9206 
o|inlining procedure: k9254 
o|inlining procedure: k9254 
o|inlining procedure: k9278 
o|inlining procedure: k9278 
o|inlining procedure: k9315 
o|inlining procedure: k9315 
o|inlining procedure: k9404 
o|inlining procedure: k9404 
o|inlining procedure: k9434 
o|inlining procedure: k9434 
o|inlining procedure: k9463 
o|inlining procedure: k9463 
o|inlining procedure: k9507 
o|inlining procedure: k9507 
o|inlining procedure: k9528 
o|propagated global variable: r952932203 scheme#values 
o|inlining procedure: k9528 
o|inlining procedure: k9540 
o|propagated global variable: r954132205 chicken.base#identity 
o|inlining procedure: k9540 
o|inlining procedure: k9558 
o|inlining procedure: k9558 
o|inlining procedure: k9587 
o|inlining procedure: k9587 
o|inlining procedure: k9599 
o|inlining procedure: k9599 
o|inlining procedure: k9623 
o|inlining procedure: k9623 
o|inlining procedure: k9657 
o|inlining procedure: k9657 
o|inlining procedure: k9685 
o|inlining procedure: k9685 
o|inlining procedure: k9694 
o|inlining procedure: k9694 
o|inlining procedure: k9716 
o|inlining procedure: k9716 
o|inlining procedure: k9755 
o|inlining procedure: k9755 
o|inlining procedure: k9781 
o|inlining procedure: k9781 
o|inlining procedure: k9828 
o|inlining procedure: k9828 
o|inlining procedure: k9849 
o|inlining procedure: k9849 
o|inlining procedure: k9882 
o|inlining procedure: k9882 
o|inlining procedure: k9897 
o|inlining procedure: k9897 
o|inlining procedure: k9962 
o|inlining procedure: k9962 
o|inlining procedure: k9978 
o|propagated global variable: r997932237 scheme#assv 
o|inlining procedure: k9978 
o|inlining procedure: k9998 
o|inlining procedure: k9998 
o|inlining procedure: k10048 
o|inlining procedure: k10048 
o|inlining procedure: k10073 
o|inlining procedure: k10073 
o|inlining procedure: k10161 
o|inlining procedure: k10161 
o|inlining procedure: k10170 
o|propagated global variable: r1017132247 scheme#assv 
o|inlining procedure: k10170 
o|inlining procedure: k10190 
o|inlining procedure: k10190 
o|inlining procedure: k10208 
o|inlining procedure: k10208 
o|inlining procedure: k10267 
o|inlining procedure: k10267 
o|inlining procedure: k10400 
o|inlining procedure: k10400 
o|inlining procedure: k10409 
o|inlining procedure: k10409 
o|inlining procedure: k10421 
o|inlining procedure: k10421 
o|propagated global variable: r1042232260 ##sys#warnings-enabled 
o|inlining procedure: k10525 
o|inlining procedure: k10525 
o|inlining procedure: k10558 
o|inlining procedure: k10558 
o|inlining procedure: k10569 
o|inlining procedure: k10569 
o|inlining procedure: k10581 
o|inlining procedure: k10581 
o|inlining procedure: k10592 
o|inlining procedure: k10592 
o|inlining procedure: k10603 
o|inlining procedure: k10603 
o|inlining procedure: k10614 
o|inlining procedure: k10614 
o|inlining procedure: k10625 
o|inlining procedure: k10625 
o|inlining procedure: k10636 
o|inlining procedure: k10636 
o|inlining procedure: k10647 
o|inlining procedure: k10647 
o|inlining procedure: k10658 
o|inlining procedure: k10658 
o|inlining procedure: k10669 
o|inlining procedure: k10669 
o|inlining procedure: k10680 
o|inlining procedure: k10680 
o|inlining procedure: k10691 
o|inlining procedure: k10691 
o|inlining procedure: k10702 
o|inlining procedure: k10702 
o|inlining procedure: k10713 
o|inlining procedure: k10713 
o|inlining procedure: k10720 
o|inlining procedure: k10720 
o|inlining procedure: k10730 
o|inlining procedure: k10730 
o|inlining procedure: k10737 
o|inlining procedure: k10737 
o|inlining procedure: k10747 
o|inlining procedure: k10760 
o|inlining procedure: k10760 
o|inlining procedure: k10747 
o|inlining procedure: k10771 
o|inlining procedure: k10771 
o|inlining procedure: k10778 
o|inlining procedure: k10778 
o|inlining procedure: k10791 
o|inlining procedure: k10791 
o|inlining procedure: k10802 
o|inlining procedure: k10802 
o|inlining procedure: k10818 
o|inlining procedure: k10818 
o|inlining procedure: k10828 
o|inlining procedure: k10828 
o|inlining procedure: k10838 
o|inlining procedure: k10838 
o|inlining procedure: k10849 
o|inlining procedure: k10864 
o|inlining procedure: k10864 
o|inlining procedure: k10882 
o|inlining procedure: k10903 
o|inlining procedure: k10903 
o|inlining procedure: k10931 
o|inlining procedure: k10931 
o|inlining procedure: k10882 
o|inlining procedure: k10849 
o|inlining procedure: k11105 
o|inlining procedure: k11105 
o|inlining procedure: k11117 
o|inlining procedure: k11117 
o|inlining procedure: k11136 
o|inlining procedure: k11136 
o|inlining procedure: k11190 
o|inlining procedure: k11190 
o|contracted procedure: "(library.scm:1304) g14941495" 
o|contracted procedure: "(library.scm:1311) g15001501" 
o|inlining procedure: k11286 
o|inlining procedure: k11286 
o|inlining procedure: k11308 
o|inlining procedure: k11308 
o|inlining procedure: k11329 
o|inlining procedure: k11329 
o|inlining procedure: k11360 
o|inlining procedure: k11380 
o|inlining procedure: k11380 
o|inlining procedure: k11360 
o|inlining procedure: k11446 
o|inlining procedure: k11446 
o|inlining procedure: k11462 
o|inlining procedure: k11462 
o|inlining procedure: k11523 
o|inlining procedure: k11523 
o|inlining procedure: k11547 
o|inlining procedure: k11547 
o|inlining procedure: k11568 
o|inlining procedure: k11568 
o|inlining procedure: k11589 
o|inlining procedure: k11589 
o|inlining procedure: k11633 
o|inlining procedure: k11633 
o|inlining procedure: k11657 
o|inlining procedure: k11657 
o|inlining procedure: k11678 
o|inlining procedure: k11678 
o|inlining procedure: k11699 
o|inlining procedure: k11699 
o|inlining procedure: k11736 
o|inlining procedure: k11736 
o|inlining procedure: k11784 
o|inlining procedure: k11784 
o|inlining procedure: k11825 
o|inlining procedure: k11825 
o|inlining procedure: k11846 
o|inlining procedure: k11846 
o|contracted procedure: "(library.scm:1565) g17481749" 
o|inlining procedure: k11907 
o|inlining procedure: k11907 
o|contracted procedure: "(library.scm:1569) g17591760" 
o|inlining procedure: k11931 
o|inlining procedure: k11931 
o|contracted procedure: "(library.scm:1573) g17701771" 
o|inlining procedure: k11955 
o|inlining procedure: k11955 
o|contracted procedure: "(library.scm:1577) g17811782" 
o|inlining procedure: k11979 
o|inlining procedure: k11979 
o|contracted procedure: "(library.scm:1581) g17921793" 
o|inlining procedure: k12003 
o|inlining procedure: k12003 
o|contracted procedure: "(library.scm:1585) g18031804" 
o|inlining procedure: k12027 
o|inlining procedure: k12027 
o|contracted procedure: "(library.scm:1589) g18141815" 
o|inlining procedure: k12051 
o|inlining procedure: k12051 
o|contracted procedure: "(library.scm:1593) g18251826" 
o|inlining procedure: k12075 
o|inlining procedure: k12075 
o|contracted procedure: "(library.scm:1597) g18361837" 
o|inlining procedure: k12099 
o|inlining procedure: k12099 
o|contracted procedure: "(library.scm:1601) g18471848" 
o|inlining procedure: k12123 
o|inlining procedure: k12123 
o|contracted procedure: "(library.scm:1605) g18581859" 
o|inlining procedure: k12147 
o|inlining procedure: k12147 
o|contracted procedure: "(library.scm:1609) g18681869" 
o|inlining procedure: k12171 
o|inlining procedure: k12171 
o|contracted procedure: "(library.scm:1613) g18771878" 
o|inlining procedure: k12189 
o|inlining procedure: k12189 
o|contracted procedure: "(library.scm:1617) g18881889" 
o|inlining procedure: k12213 
o|inlining procedure: k12213 
o|contracted procedure: "(library.scm:1621) g18981899" 
o|inlining procedure: k12237 
o|inlining procedure: k12237 
o|contracted procedure: "(library.scm:1625) g19061907" 
o|inlining procedure: k12255 
o|inlining procedure: k12255 
o|contracted procedure: "(library.scm:1629) g19141915" 
o|inlining procedure: k12273 
o|inlining procedure: k12273 
o|contracted procedure: "(library.scm:1633) g19221923" 
o|inlining procedure: k12291 
o|inlining procedure: k12291 
o|contracted procedure: "(library.scm:1637) g19301931" 
o|inlining procedure: k12309 
o|inlining procedure: k12309 
o|contracted procedure: "(library.scm:1641) g19381939" 
o|inlining procedure: k12327 
o|inlining procedure: k12327 
o|contracted procedure: "(library.scm:1645) g19461947" 
o|inlining procedure: k12345 
o|inlining procedure: k12345 
o|contracted procedure: "(library.scm:1649) g19541955" 
o|inlining procedure: k12363 
o|inlining procedure: k12363 
o|contracted procedure: "(library.scm:1653) g19621963" 
o|inlining procedure: k12381 
o|inlining procedure: k12381 
o|contracted procedure: "(library.scm:1657) g19701971" 
o|inlining procedure: k12399 
o|inlining procedure: k12399 
o|contracted procedure: "(library.scm:1661) g19791980" 
o|inlining procedure: k12417 
o|inlining procedure: k12417 
o|contracted procedure: "(library.scm:1665) g19891990" 
o|inlining procedure: k12441 
o|inlining procedure: k12441 
o|contracted procedure: "(library.scm:1669) g19981999" 
o|inlining procedure: k12459 
o|inlining procedure: k12459 
o|contracted procedure: "(library.scm:1673) g20082009" 
o|inlining procedure: k12483 
o|inlining procedure: k12483 
o|contracted procedure: "(library.scm:1677) g20162017" 
o|inlining procedure: k12501 
o|inlining procedure: k12501 
o|contracted procedure: "(library.scm:1681) g20242025" 
o|inlining procedure: k12519 
o|inlining procedure: k12519 
o|contracted procedure: "(library.scm:1685) g20322033" 
o|inlining procedure: k12537 
o|inlining procedure: k12537 
o|inlining procedure: k12556 
o|inlining procedure: k12556 
o|inlining procedure: k12575 
o|inlining procedure: k12575 
o|inlining procedure: k12602 
o|inlining procedure: k12602 
o|inlining procedure: k12644 
o|contracted procedure: "(library.scm:1734) g21232124" 
o|inlining procedure: k12644 
o|inlining procedure: k12667 
o|contracted procedure: "(library.scm:1740) g21312132" 
o|inlining procedure: k12667 
o|inlining procedure: k12681 
o|inlining procedure: k12681 
o|inlining procedure: k12709 
o|contracted procedure: "(library.scm:1756) g21462147" 
o|contracted procedure: "(library.scm:1755) g21432144" 
o|inlining procedure: k12709 
o|inlining procedure: k12748 
o|inlining procedure: k12748 
o|contracted procedure: "(library.scm:1770) g21562157" 
o|inlining procedure: k12765 
o|contracted procedure: "(library.scm:1772) g21592160" 
o|contracted procedure: "(library.scm:1772) g21662167" 
o|contracted procedure: "(library.scm:1772) g21632164" 
o|inlining procedure: k12765 
o|contracted procedure: "(library.scm:1773) g21692170" 
o|inlining procedure: k12794 
o|inlining procedure: k12794 
o|inlining procedure: k12801 
o|inlining procedure: k12801 
o|inlining procedure: k12823 
o|contracted procedure: "(library.scm:1782) g21822183" 
o|inlining procedure: k12823 
o|inlining procedure: k12840 
o|inlining procedure: k12840 
o|inlining procedure: k12847 
o|inlining procedure: k12847 
o|inlining procedure: k12869 
o|contracted procedure: "(library.scm:1794) g21942195" 
o|inlining procedure: k12869 
o|inlining procedure: k12886 
o|contracted procedure: "(library.scm:1801) g22032204" 
o|inlining procedure: k12886 
o|inlining procedure: k13006 
o|inlining procedure: k13006 
o|inlining procedure: k13015 
o|contracted procedure: "(library.scm:1834) g22352236" 
o|inlining procedure: k13015 
o|contracted procedure: "(library.scm:1835) flonum->ratnum" 
o|inlining procedure: k12952 
o|contracted procedure: "(library.scm:1819) g22202221" 
o|inlining procedure: k12952 
o|contracted procedure: "(library.scm:1816) float-fraction-length2208" 
o|inlining procedure: k12927 
o|inlining procedure: k12927 
o|inlining procedure: k12976 
o|inlining procedure: k12976 
o|substituted constant variable: a13002 
o|inlining procedure: k13032 
o|contracted procedure: "(library.scm:1839) g22412242" 
o|contracted procedure: "(library.scm:1838) g22382239" 
o|inlining procedure: k13032 
o|inlining procedure: k13084 
o|inlining procedure: k13084 
o|inlining procedure: k13107 
o|inlining procedure: k13107 
o|inlining procedure: k13138 
o|contracted procedure: "(library.scm:1891) g22982299" 
o|contracted procedure: "(library.scm:1891) g22942295" 
o|contracted procedure: "(library.scm:1890) g22902291" 
o|inlining procedure: k13138 
o|inlining procedure: k13214 
o|inlining procedure: k13214 
o|inlining procedure: k13237 
o|contracted procedure: "(library.scm:1911) g23372338" 
o|contracted procedure: "(library.scm:1910) g23322333" 
o|contracted procedure: "(library.scm:1909) g23282329" 
o|contracted procedure: "(library.scm:1909) g23242325" 
o|contracted procedure: "(library.scm:1908) g23202321" 
o|contracted procedure: "(library.scm:1908) g23162317" 
o|inlining procedure: k13237 
o|contracted procedure: "(library.scm:1920) g23482349" 
o|contracted procedure: "(library.scm:1917) g23422343" 
o|inlining procedure: k13318 
o|contracted procedure: "(library.scm:1930) g23572358" 
o|contracted procedure: "(library.scm:1928) g23522353" 
o|inlining procedure: k13318 
o|inlining procedure: k13383 
o|inlining procedure: k13383 
o|inlining procedure: k13393 
o|substituted constant variable: a13415 
o|substituted constant variable: a13417 
o|contracted procedure: "(library.scm:1944) g23722373" 
o|contracted procedure: "(library.scm:1943) g23682369" 
o|inlining procedure: k13393 
o|inlining procedure: k13424 
o|inlining procedure: k13424 
o|inlining procedure: k13434 
o|substituted constant variable: a13456 
o|substituted constant variable: a13458 
o|contracted procedure: "(library.scm:1954) g23852386" 
o|contracted procedure: "(library.scm:1953) g23812382" 
o|inlining procedure: k13434 
o|inlining procedure: k13465 
o|inlining procedure: k13465 
o|inlining procedure: k13475 
o|contracted procedure: "(library.scm:1964) g23962397" 
o|contracted procedure: "(library.scm:1963) g23932394" 
o|inlining procedure: k13475 
o|inlining procedure: k13499 
o|inlining procedure: k13499 
o|inlining procedure: k13506 
o|substituted constant variable: a13529 
o|contracted procedure: "(library.scm:1973) g24052406" 
o|inlining procedure: k13506 
o|inlining procedure: k13548 
o|inlining procedure: k13548 
o|substituted constant variable: a13597 
o|inlining procedure: k13610 
o|inlining procedure: k13610 
o|inlining procedure: k13627 
o|inlining procedure: k13627 
o|inlining procedure: k13678 
o|inlining procedure: k13678 
o|contracted procedure: "(library.scm:2000) find-ratio" 
o|inlining procedure: k13710 
o|inlining procedure: k13710 
o|inlining procedure: k13753 
o|inlining procedure: k13753 
o|inlining procedure: k13789 
o|contracted procedure: "(library.scm:2033) g24682469" 
o|contracted procedure: "(library.scm:2032) g24642465" 
o|inlining procedure: k13789 
o|inlining procedure: k13828 
o|inlining procedure: k13828 
o|inlining procedure: k13874 
o|inlining procedure: k13874 
o|substituted constant variable: a13909 
o|inlining procedure: k13903 
o|inlining procedure: k13903 
o|substituted constant variable: a13939 
o|inlining procedure: k13933 
o|inlining procedure: k13933 
o|inlining procedure: k13963 
o|inlining procedure: k13963 
o|inlining procedure: k13988 
o|inlining procedure: k13988 
o|substituted constant variable: a14000 
o|substituted constant variable: a14007 
o|substituted constant variable: a14014 
o|inlining procedure: k14018 
o|inlining procedure: k14018 
o|inlining procedure: k14027 
o|substituted constant variable: a14034 
o|inlining procedure: k14027 
o|inlining procedure: k14041 
o|inlining procedure: k14041 
o|inlining procedure: k14058 
o|inlining procedure: k14058 
o|inlining procedure: k14067 
o|substituted constant variable: a14074 
o|inlining procedure: k14067 
o|inlining procedure: k14084 
o|substituted constant variable: a14096 
o|substituted constant variable: a14111 
o|substituted constant variable: a14114 
o|inlining procedure: k14084 
o|inlining procedure: k14136 
o|inlining procedure: k14154 
o|inlining procedure: k14154 
o|inlining procedure: k14172 
o|inlining procedure: k14172 
o|substituted constant variable: a14185 
o|substituted constant variable: a14187 
o|substituted constant variable: a14189 
o|substituted constant variable: a14194 
o|substituted constant variable: a14196 
o|inlining procedure: k14136 
o|substituted constant variable: a14222 
o|substituted constant variable: a14224 
o|substituted constant variable: a14250 
o|inlining procedure: k14266 
o|substituted constant variable: a14275 
o|substituted constant variable: a14281 
o|substituted constant variable: a14282 
o|inlining procedure: k14266 
o|inlining procedure: k14310 
o|inlining procedure: k14310 
o|inlining procedure: k14357 
o|inlining procedure: k14373 
o|inlining procedure: k14373 
o|inlining procedure: k14357 
o|contracted procedure: "(library.scm:2174) g26102611" 
o|inlining procedure: k14407 
o|contracted procedure: "(library.scm:2177) g26152616" 
o|inlining procedure: k14431 
o|inlining procedure: k14431 
o|inlining procedure: k14407 
o|inlining procedure: k14479 
o|inlining procedure: k14479 
o|substituted constant variable: a14502 
o|substituted constant variable: a14506 
o|substituted constant variable: a14509 
o|inlining procedure: k14528 
o|inlining procedure: k14528 
o|inlining procedure: k14573 
o|inlining procedure: k14573 
o|inlining procedure: k14587 
o|contracted procedure: "(library.scm:2219) g26482649" 
o|inlining procedure: k14587 
o|inlining procedure: k14610 
o|inlining procedure: k14610 
o|contracted procedure: "(library.scm:2224) square2646" 
o|substituted constant variable: a14631 
o|substituted constant variable: a14640 
o|inlining procedure: k14659 
o|inlining procedure: k14659 
o|inlining procedure: k14677 
o|inlining procedure: k14677 
o|inlining procedure: k14695 
o|contracted procedure: "(library.scm:2244) g26762677" 
o|contracted procedure: "(library.scm:2243) g26732674" 
o|inlining procedure: k14695 
o|inlining procedure: k14729 
o|contracted procedure: "(library.scm:2253) g26832684" 
o|inlining procedure: k14764 
o|contracted procedure: "(library.scm:2255) g26882689" 
o|inlining procedure: k14764 
o|inlining procedure: k14729 
o|inlining procedure: k14798 
o|inlining procedure: k14798 
o|inlining procedure: k14816 
o|inlining procedure: k14816 
o|inlining procedure: k14835 
o|inlining procedure: k14835 
o|inlining procedure: k14872 
o|inlining procedure: k14872 
o|inlining procedure: k14904 
o|contracted procedure: "(library.scm:2281) g27132714" 
o|inlining procedure: k14917 
o|contracted procedure: "(library.scm:2284) g27182719" 
o|inlining procedure: k14917 
o|inlining procedure: k14904 
o|inlining procedure: k14945 
o|inlining procedure: k14945 
o|contracted procedure: "(library.scm:2291) g27272728" 
o|inlining procedure: k14980 
o|inlining procedure: k14980 
o|inlining procedure: k15000 
o|inlining procedure: k15000 
o|inlining procedure: k15042 
o|inlining procedure: k15042 
o|inlining procedure: k15062 
o|inlining procedure: k15062 
o|substituted constant variable: a15132 
o|inlining procedure: k15150 
o|contracted procedure: "(library.scm:2347) g27932794" 
o|contracted procedure: "(library.scm:2345) g27902791" 
o|inlining procedure: k15150 
o|inlining procedure: k15214 
o|inlining procedure: k15214 
o|contracted procedure: "(library.scm:2351) g28012802" 
o|contracted procedure: "(library.scm:2350) g27982799" 
o|inlining procedure: k15322 
o|inlining procedure: k15322 
o|substituted constant variable: a15348 
o|contracted procedure: "(library.scm:2389) g28312832" 
o|inlining procedure: k15358 
o|inlining procedure: k15358 
o|inlining procedure: k15368 
o|substituted constant variable: a15381 
o|inlining procedure: k15377 
o|inlining procedure: k15388 
o|inlining procedure: k15388 
o|substituted constant variable: a15396 
o|inlining procedure: k15377 
o|inlining procedure: k15405 
o|inlining procedure: k15405 
o|inlining procedure: k15411 
o|contracted procedure: "(library.scm:2410) mantexp->dbl" 
o|inlining procedure: k15227 
o|inlining procedure: k15227 
o|contracted procedure: "(library.scm:2381) ldexp" 
o|substituted constant variable: a15282 
o|propagated global variable: a15285 chicken.flonum#flonum-precision 
o|inlining procedure: k15411 
o|inlining procedure: k15368 
o|inlining procedure: k15448 
o|inlining procedure: k15448 
o|inlining procedure: k15474 
o|inlining procedure: k15474 
o|inlining procedure: k15501 
o|inlining procedure: k15501 
o|inlining procedure: k15529 
o|inlining procedure: k15529 
o|substituted constant variable: a15536 
o|substituted constant variable: a15540 
o|substituted constant variable: a15547 
o|contracted procedure: "(library.scm:2432) g28692870" 
o|inlining procedure: k15556 
o|inlining procedure: k15556 
o|inlining procedure: k15589 
o|inlining procedure: k15589 
o|contracted procedure: "(library.scm:2447) g28922893" 
o|inlining procedure: k15609 
o|inlining procedure: k15609 
o|inlining procedure: k15631 
o|inlining procedure: k15631 
o|inlining procedure: k15642 
o|inlining procedure: k15642 
o|inlining procedure: k15656 
o|inlining procedure: k15679 
o|inlining procedure: k15679 
o|inlining procedure: k15705 
o|inlining procedure: k15705 
o|substituted constant variable: a15712 
o|substituted constant variable: a15714 
o|contracted procedure: "(library.scm:2469) g29282929" 
o|inlining procedure: k15656 
o|inlining procedure: k15717 
o|inlining procedure: k15738 
o|inlining procedure: k15756 
o|inlining procedure: k15768 
o|inlining procedure: k15784 
o|inlining procedure: k15784 
o|inlining procedure: k15768 
o|inlining procedure: k15756 
o|inlining procedure: k15738 
o|inlining procedure: k15828 
o|inlining procedure: k15828 
o|inlining procedure: k15842 
o|inlining procedure: k15842 
o|inlining procedure: k15854 
o|inlining procedure: k15854 
o|inlining procedure: k15866 
o|inlining procedure: k15866 
o|inlining procedure: k15878 
o|inlining procedure: k15878 
o|substituted constant variable: a15891 
o|substituted constant variable: a15893 
o|substituted constant variable: a15895 
o|substituted constant variable: a15897 
o|substituted constant variable: a15899 
o|substituted constant variable: a15901 
o|substituted constant variable: a15903 
o|substituted constant variable: a15905 
o|substituted constant variable: a15907 
o|substituted constant variable: a15909 
o|contracted procedure: "(library.scm:2485) g29572958" 
o|inlining procedure: k15918 
o|inlining procedure: k15918 
o|inlining procedure: k15717 
o|inlining procedure: k15929 
o|inlining procedure: k15929 
o|inlining procedure: k15954 
o|inlining procedure: k15969 
o|inlining procedure: k15969 
o|inlining procedure: k15954 
o|inlining procedure: k16009 
o|inlining procedure: k16021 
o|inlining procedure: k16031 
o|inlining procedure: k16031 
o|inlining procedure: k16021 
o|inlining procedure: k16009 
o|inlining procedure: k16051 
o|inlining procedure: k16067 
o|inlining procedure: k16077 
o|inlining procedure: k16095 
o|inlining procedure: k16115 
o|inlining procedure: "(library.scm:2538) make-nan2844" 
o|inlining procedure: k16115 
o|substituted constant variable: a16142 
o|substituted constant variable: a16144 
o|substituted constant variable: a16146 
o|inlining procedure: k16095 
o|inlining procedure: k16077 
o|inlining procedure: k16067 
o|inlining procedure: k16051 
o|substituted constant variable: a16164 
o|inlining procedure: k16168 
o|inlining procedure: k16168 
o|inlining procedure: k16180 
o|inlining procedure: k16180 
o|inlining procedure: k16192 
o|inlining procedure: k16192 
o|inlining procedure: k16204 
o|inlining procedure: k16204 
o|substituted constant variable: a16217 
o|substituted constant variable: a16219 
o|substituted constant variable: a16221 
o|substituted constant variable: a16223 
o|substituted constant variable: a16225 
o|substituted constant variable: a16227 
o|substituted constant variable: a16229 
o|substituted constant variable: a16231 
o|substituted constant variable: a16233 
o|substituted constant variable: a16235 
o|substituted constant variable: a16237 
o|contracted procedure: "(library.scm:2510) g30313032" 
o|inlining procedure: k16251 
o|contracted procedure: "(library.scm:2505) g30183019" 
o|inlining procedure: k16251 
o|inlining procedure: k16272 
o|inlining procedure: k16300 
o|inlining procedure: k16322 
o|inlining procedure: k16332 
o|inlining procedure: k16332 
o|inlining procedure: k16322 
o|inlining procedure: k16355 
o|inlining procedure: k16355 
o|inlining procedure: k16300 
o|inlining procedure: k16405 
o|inlining procedure: k16405 
o|inlining procedure: k16415 
o|inlining procedure: k16438 
o|inlining procedure: k16438 
o|inlining procedure: "(library.scm:2567) make-nan2844" 
o|inlining procedure: k16415 
o|substituted constant variable: a16474 
o|substituted constant variable: a16476 
o|substituted constant variable: a16481 
o|substituted constant variable: a16483 
o|contracted procedure: "(library.scm:2548) g31123113" 
o|inlining procedure: k16490 
o|inlining procedure: k16490 
o|substituted constant variable: a16497 
o|substituted constant variable: a16499 
o|contracted procedure: "(library.scm:2544) g31003101" 
o|inlining procedure: k16272 
o|inlining procedure: k16506 
o|inlining procedure: k16518 
o|inlining procedure: k16518 
o|inlining procedure: k16506 
o|inlining procedure: k16525 
o|inlining procedure: k16525 
o|inlining procedure: k16541 
o|contracted procedure: "(library.scm:2577) g31663167" 
o|contracted procedure: "(library.scm:2576) g31623163" 
o|inlining procedure: k16541 
o|inlining procedure: k16582 
o|inlining procedure: k16601 
o|inlining procedure: k16616 
o|inlining procedure: k16616 
o|contracted procedure: "(library.scm:2585) g31903191" 
o|contracted procedure: "(library.scm:2584) g31863187" 
o|inlining procedure: k16601 
o|inlining procedure: k16582 
o|inlining procedure: k16663 
o|inlining procedure: k16663 
o|substituted constant variable: a16690 
o|substituted constant variable: a16695 
o|substituted constant variable: a16697 
o|substituted constant variable: a16702 
o|substituted constant variable: a16704 
o|substituted constant variable: a16706 
o|contracted procedure: "(library.scm:2573) g31503151" 
o|folded constant expression: (scheme#char->integer (quote #\A)) 
o|folded constant expression: (scheme#char->integer (quote #\a)) 
o|folded constant expression: (scheme#char->integer (quote #\0)) 
o|inlining procedure: k16775 
o|inlining procedure: k16795 
o|inlining procedure: k16795 
o|inlining procedure: k16808 
o|inlining procedure: k16808 
o|inlining procedure: k16839 
o|inlining procedure: k16839 
o|inlining procedure: k16852 
o|inlining procedure: k16852 
o|inlining procedure: k16883 
o|inlining procedure: k16883 
o|inlining procedure: k16896 
o|inlining procedure: k16896 
o|substituted constant variable: a16922 
o|substituted constant variable: a16924 
o|substituted constant variable: a16929 
o|substituted constant variable: a16931 
o|substituted constant variable: a16936 
o|substituted constant variable: a16938 
o|substituted constant variable: a16943 
o|substituted constant variable: a16945 
o|substituted constant variable: a16950 
o|substituted constant variable: a16952 
o|substituted constant variable: a16957 
o|substituted constant variable: a16959 
o|contracted procedure: "(library.scm:2609) g32373238" 
o|inlining procedure: k16775 
o|inlining procedure: k16968 
o|inlining procedure: k16968 
o|contracted procedure: "(library.scm:2608) g32273228" 
o|inlining procedure: k16993 
o|inlining procedure: k16993 
o|inlining procedure: k17066 
o|inlining procedure: k17087 
o|inlining procedure: k17087 
o|inlining procedure: k17066 
o|inlining procedure: k17131 
o|inlining procedure: k17131 
o|inlining procedure: k17140 
o|inlining procedure: k17140 
o|inlining procedure: k17151 
o|inlining procedure: k17151 
o|inlining procedure: k17163 
o|inlining procedure: k17163 
o|inlining procedure: k17172 
o|inlining procedure: k17172 
o|inlining procedure: k17181 
o|inlining procedure: k17190 
o|inlining procedure: k17190 
o|inlining procedure: k17181 
o|inlining procedure: k17242 
o|inlining procedure: k17242 
o|inlining procedure: k17254 
o|inlining procedure: k17254 
o|inlining procedure: k17275 
o|inlining procedure: k17275 
o|inlining procedure: k17293 
o|inlining procedure: k17293 
o|inlining procedure: k17319 
o|inlining procedure: k17319 
o|inlining procedure: k17331 
o|inlining procedure: k17331 
o|inlining procedure: k17355 
o|inlining procedure: k17355 
o|inlining procedure: k17436 
o|inlining procedure: k17436 
o|inlining procedure: "(library.scm:2755) err3380" 
o|inlining procedure: k17442 
o|inlining procedure: k17442 
o|inlining procedure: "(library.scm:2754) err3380" 
o|inlining procedure: k17482 
o|contracted procedure: "(library.scm:2764) g34043413" 
o|inlining procedure: k17482 
o|inlining procedure: k17516 
o|inlining procedure: k17516 
o|folded constant expression: (scheme#integer->char (quote 0)) 
o|inlining procedure: k17546 
o|inlining procedure: k17546 
o|inlining procedure: k17570 
o|inlining procedure: k17570 
o|inlining procedure: k17607 
o|inlining procedure: k17607 
o|inlining procedure: k17655 
o|inlining procedure: k17655 
o|inlining procedure: k17679 
o|inlining procedure: k17679 
o|inlining procedure: k17698 
o|inlining procedure: k17698 
o|inlining procedure: k17719 
o|inlining procedure: k17719 
o|inlining procedure: k17759 
o|inlining procedure: k17759 
o|inlining procedure: k17798 
o|inlining procedure: k17798 
o|inlining procedure: k17844 
o|inlining procedure: k17844 
o|inlining procedure: k17916 
o|inlining procedure: k17916 
o|inlining procedure: k17990 
o|inlining procedure: k17990 
o|inlining procedure: k18092 
o|inlining procedure: k18092 
o|inlining procedure: k18123 
o|inlining procedure: k18123 
o|inlining procedure: k18153 
o|inlining procedure: k18153 
o|inlining procedure: k18223 
o|inlining procedure: k18223 
o|inlining procedure: k18287 
o|inlining procedure: k18287 
o|inlining procedure: k18325 
o|inlining procedure: k18325 
o|inlining procedure: k18361 
o|inlining procedure: k18361 
o|inlining procedure: k18379 
o|inlining procedure: k18379 
o|inlining procedure: k18405 
o|inlining procedure: k18405 
o|inlining procedure: k18423 
o|inlining procedure: k18423 
o|inlining procedure: k18459 
o|inlining procedure: k18474 
o|inlining procedure: k18474 
o|inlining procedure: k18459 
o|inlining procedure: k18507 
o|inlining procedure: k18507 
o|inlining procedure: k18545 
o|inlining procedure: k18563 
o|inlining procedure: k18563 
o|inlining procedure: k18545 
o|inlining procedure: k18607 
o|inlining procedure: k18607 
o|inlining procedure: k18692 
o|inlining procedure: k18692 
o|inlining procedure: k18726 
o|inlining procedure: k18726 
o|inlining procedure: k18781 
o|inlining procedure: k18781 
o|substituted constant variable: a18788 
o|substituted constant variable: a18793 
o|inlining procedure: k18860 
o|inlining procedure: k18860 
o|inlining procedure: k18871 
o|inlining procedure: k18871 
o|inlining procedure: k18882 
o|inlining procedure: k18882 
o|inlining procedure: k18893 
o|inlining procedure: k18893 
o|inlining procedure: k18904 
o|propagated global variable: r1890532919 ##sys#standard-input 
o|removed unused formal parameters: (convert?3939) 
o|inlining procedure: k18919 
o|inlining procedure: k18919 
o|removed unused parameter to known procedure: convert?3939 "(library.scm:3341) body39293938" 
o|inlining procedure: k18904 
o|inlining procedure: k18946 
o|inlining procedure: k18946 
o|removed unused parameter to known procedure: convert?3939 "(library.scm:3341) body39293938" 
o|inlining procedure: k18965 
o|propagated global variable: r1896632925 ##sys#standard-output 
o|removed unused formal parameters: (convert?3964) 
o|inlining procedure: k18980 
o|inlining procedure: k18980 
o|removed unused parameter to known procedure: convert?3964 "(library.scm:3351) body39543963" 
o|inlining procedure: k18965 
o|inlining procedure: k19007 
o|inlining procedure: k19007 
o|removed unused parameter to known procedure: convert?3964 "(library.scm:3351) body39543963" 
o|inlining procedure: k19026 
o|propagated global variable: r1902732931 ##sys#standard-error 
o|removed unused formal parameters: (convert?3989) 
o|inlining procedure: k19041 
o|inlining procedure: k19041 
o|removed unused parameter to known procedure: convert?3989 "(library.scm:3361) body39793988" 
o|inlining procedure: k19026 
o|inlining procedure: k19068 
o|inlining procedure: k19068 
o|removed unused parameter to known procedure: convert?3989 "(library.scm:3361) body39793988" 
o|inlining procedure: k19087 
o|inlining procedure: k19087 
o|inlining procedure: k19125 
o|inlining procedure: k19125 
o|inlining procedure: k19150 
o|inlining procedure: k19150 
o|inlining procedure: k19156 
o|inlining procedure: k19156 
o|inlining procedure: k19179 
o|inlining procedure: k19179 
o|inlining procedure: k19192 
o|inlining procedure: k19192 
o|substituted constant variable: a19203 
o|substituted constant variable: a19205 
o|substituted constant variable: a19207 
o|inlining procedure: k19217 
o|inlining procedure: k19217 
o|inlining procedure: k19392 
o|inlining procedure: k19392 
o|substituted constant variable: a19408 
o|substituted constant variable: a19410 
o|substituted constant variable: a19431 
o|substituted constant variable: a19432 
o|inlining procedure: k19445 
o|inlining procedure: k19445 
o|inlining procedure: k19467 
o|inlining procedure: k19480 
o|inlining procedure: k19480 
o|inlining procedure: k19467 
o|inlining procedure: k19539 
o|inlining procedure: k19539 
o|inlining procedure: k19577 
o|inlining procedure: k19577 
o|inlining procedure: k19611 
o|inlining procedure: k19611 
o|inlining procedure: k19652 
o|inlining procedure: k19652 
o|inlining procedure: k19671 
o|inlining procedure: k19671 
o|inlining procedure: k19799 
o|inlining procedure: k19799 
o|inlining procedure: k19838 
o|inlining procedure: k19877 
o|inlining procedure: k19877 
o|inlining procedure: k19838 
o|inlining procedure: k19905 
o|inlining procedure: k19905 
o|substituted constant variable: a19953 
o|substituted constant variable: a19954 
o|substituted constant variable: a19978 
o|substituted constant variable: a19979 
o|inlining procedure: k19995 
o|inlining procedure: k19995 
o|substituted constant variable: a20053 
o|substituted constant variable: a20054 
o|inlining procedure: k20061 
o|inlining procedure: k20061 
o|substituted constant variable: a20090 
o|substituted constant variable: a20091 
o|substituted constant variable: a20108 
o|substituted constant variable: a20109 
o|inlining procedure: k20164 
o|inlining procedure: k20164 
o|inlining procedure: k20187 
o|inlining procedure: k20187 
o|inlining procedure: k20230 
o|inlining procedure: k20230 
o|inlining procedure: k20249 
o|inlining procedure: k20249 
o|inlining procedure: k20288 
o|inlining procedure: k20288 
o|inlining procedure: k20313 
o|inlining procedure: k20313 
o|inlining procedure: k20332 
o|inlining procedure: k20332 
o|inlining procedure: k20357 
o|inlining procedure: k20357 
o|inlining procedure: k20423 
o|inlining procedure: k20423 
o|inlining procedure: k20458 
o|inlining procedure: k20458 
o|inlining procedure: k20474 
o|inlining procedure: k20474 
o|inlining procedure: k20508 
o|inlining procedure: k20508 
o|inlining procedure: k20542 
o|folded constant expression: (scheme#integer->char (quote 7)) 
o|inlining procedure: k20542 
o|folded constant expression: (scheme#integer->char (quote 11)) 
o|inlining procedure: k20584 
o|folded constant expression: (scheme#integer->char (quote 12)) 
o|inlining procedure: k20584 
o|inlining procedure: k20629 
o|inlining procedure: k20644 
o|inlining procedure: k20644 
o|substituted constant variable: a20682 
o|substituted constant variable: a20687 
o|inlining procedure: k20629 
o|inlining procedure: k20712 
o|inlining procedure: k20712 
o|inlining procedure: k20732 
o|inlining procedure: k20732 
o|inlining procedure: k20767 
o|inlining procedure: k20767 
o|inlining procedure: k20789 
o|inlining procedure: k20789 
o|inlining procedure: k20814 
o|inlining procedure: k20814 
o|substituted constant variable: a20843 
o|substituted constant variable: a20845 
o|substituted constant variable: a20850 
o|substituted constant variable: a20852 
o|inlining procedure: k20853 
o|inlining procedure: k20853 
o|inlining procedure: k20916 
o|inlining procedure: k20916 
o|inlining procedure: k20928 
o|inlining procedure: k20928 
o|substituted constant variable: a20941 
o|substituted constant variable: a20943 
o|substituted constant variable: a20945 
o|substituted constant variable: a20947 
o|inlining procedure: k20951 
o|inlining procedure: k20951 
o|substituted constant variable: a20964 
o|substituted constant variable: a20966 
o|substituted constant variable: a20968 
o|substituted constant variable: a20970 
o|substituted constant variable: a20972 
o|substituted constant variable: a20974 
o|substituted constant variable: a20976 
o|substituted constant variable: a20978 
o|substituted constant variable: a20980 
o|substituted constant variable: a20982 
o|substituted constant variable: a20984 
o|substituted constant variable: a20986 
o|substituted constant variable: a20988 
o|substituted constant variable: a20990 
o|inlining procedure: k20991 
o|inlining procedure: k20991 
o|inlining procedure: k21023 
o|inlining procedure: k21023 
o|inlining procedure: k21014 
o|inlining procedure: k21056 
o|inlining procedure: k21056 
o|inlining procedure: k21087 
o|inlining procedure: k21087 
o|inlining procedure: k21106 
o|inlining procedure: k21139 
o|inlining procedure: k21139 
o|inlining procedure: k21181 
o|inlining procedure: k21181 
o|inlining procedure: k21197 
o|inlining procedure: k21197 
o|inlining procedure: "(library.scm:3967) build-symbol4464" 
o|inlining procedure: k21227 
o|inlining procedure: k21227 
o|inlining procedure: k21239 
o|inlining procedure: k21239 
o|inlining procedure: k21106 
o|inlining procedure: k21014 
o|inlining procedure: k21279 
o|inlining procedure: k21279 
o|inlining procedure: k21300 
o|inlining procedure: k21300 
o|inlining procedure: k21322 
o|inlining procedure: k21322 
o|inlining procedure: k21337 
o|inlining procedure: k21337 
o|inlining procedure: "(library.scm:4003) build-symbol4464" 
o|inlining procedure: k21347 
o|inlining procedure: k21347 
o|substituted constant variable: a21355 
o|substituted constant variable: a21356 
o|inlining procedure: k21364 
o|inlining procedure: k21385 
o|inlining procedure: k21385 
o|substituted constant variable: a21398 
o|inlining procedure: k21364 
o|inlining procedure: k21415 
o|inlining procedure: k21436 
o|inlining procedure: k21436 
o|substituted constant variable: a21449 
o|substituted constant variable: a21457 
o|inlining procedure: k21453 
o|inlining procedure: k21453 
o|substituted constant variable: a21465 
o|inlining procedure: k21415 
o|inlining procedure: k21492 
o|inlining procedure: k21492 
o|inlining procedure: k21528 
o|inlining procedure: k21528 
o|inlining procedure: k21537 
o|inlining procedure: k21537 
o|inlining procedure: k21556 
o|inlining procedure: k21556 
o|inlining procedure: "(library.scm:4055) build-symbol4464" 
o|inlining procedure: k21626 
o|inlining procedure: k21660 
o|inlining procedure: k21660 
o|inlining procedure: k21670 
o|inlining procedure: k21670 
o|inlining procedure: k21626 
o|inlining procedure: k21699 
o|inlining procedure: k21699 
o|inlining procedure: k21743 
o|inlining procedure: k21743 
o|inlining procedure: k21781 
o|inlining procedure: k21781 
o|inlining procedure: k21805 
o|inlining procedure: k21805 
o|substituted constant variable: a21812 
o|substituted constant variable: a21814 
o|substituted constant variable: a21816 
o|substituted constant variable: a21818 
o|inlining procedure: k21822 
o|inlining procedure: k21822 
o|inlining procedure: k21840 
o|contracted procedure: "(library.scm:4109) g47534754" 
o|inlining procedure: k21869 
o|inlining procedure: k21869 
o|inlining procedure: k21888 
o|inlining procedure: k21906 
o|inlining procedure: k21922 
o|inlining procedure: k21922 
o|inlining procedure: k21906 
o|inlining procedure: k21888 
o|substituted constant variable: a22021 
o|inlining procedure: k22023 
o|inlining procedure: k22023 
o|substituted constant variable: a22026 
o|inlining procedure: k21840 
o|inlining procedure: k22049 
o|inlining procedure: k22061 
o|inlining procedure: k22061 
o|inlining procedure: k22049 
o|inlining procedure: k22095 
o|inlining procedure: k22095 
o|inlining procedure: k22108 
o|inlining procedure: k22108 
o|substituted constant variable: a22121 
o|substituted constant variable: a22123 
o|inlining procedure: k22145 
o|inlining procedure: k22145 
o|folded constant expression: (scheme#char->integer (quote #\#)) 
o|inlining procedure: k22242 
o|inlining procedure: k22257 
o|inlining procedure: k22257 
o|inlining procedure: k22242 
o|inlining procedure: k22285 
o|inlining procedure: k22285 
o|inlining procedure: k22310 
o|inlining procedure: k22310 
o|inlining procedure: k22337 
o|inlining procedure: k22358 
o|inlining procedure: k22385 
o|inlining procedure: k22400 
o|inlining procedure: k22400 
o|inlining procedure: k22385 
o|inlining procedure: k22436 
o|inlining procedure: k22436 
o|inlining procedure: k22358 
o|inlining procedure: k22471 
o|inlining procedure: k22471 
o|inlining procedure: k22486 
o|inlining procedure: k22486 
o|inlining procedure: k22510 
o|inlining procedure: k22510 
o|inlining procedure: k22534 
o|inlining procedure: k22534 
o|inlining procedure: k22558 
o|inlining procedure: k22598 
o|inlining procedure: k22598 
o|inlining procedure: k22558 
o|inlining procedure: k22622 
o|inlining procedure: k22622 
o|inlining procedure: k22649 
o|inlining procedure: k22649 
o|inlining procedure: k22676 
o|inlining procedure: k22676 
o|inlining procedure: k22704 
o|inlining procedure: k22704 
o|inlining procedure: k22723 
o|inlining procedure: k22752 
o|inlining procedure: k22752 
o|inlining procedure: k22723 
o|inlining procedure: k22806 
o|inlining procedure: k22833 
o|inlining procedure: k22833 
o|inlining procedure: "(library.scm:4310) build-symbol4464" 
o|inlining procedure: k22855 
o|inlining procedure: k22855 
o|inlining procedure: k22877 
o|inlining procedure: k22877 
o|substituted constant variable: a22880 
o|inlining procedure: k22806 
o|inlining procedure: k22894 
o|inlining procedure: k22894 
o|substituted constant variable: a22907 
o|substituted constant variable: a22909 
o|substituted constant variable: a22911 
o|substituted constant variable: a22913 
o|substituted constant variable: a22915 
o|substituted constant variable: a22917 
o|substituted constant variable: a22919 
o|substituted constant variable: a22921 
o|substituted constant variable: a22923 
o|substituted constant variable: a22925 
o|substituted constant variable: a22927 
o|substituted constant variable: a22929 
o|substituted constant variable: a22931 
o|substituted constant variable: a22933 
o|substituted constant variable: a22935 
o|substituted constant variable: a22937 
o|substituted constant variable: a22939 
o|inlining procedure: k22337 
o|inlining procedure: k22956 
o|inlining procedure: k22956 
o|inlining procedure: k22980 
o|inlining procedure: k22980 
o|inlining procedure: k23001 
o|inlining procedure: k23001 
o|inlining procedure: k23016 
o|inlining procedure: k23016 
o|inlining procedure: k23034 
o|inlining procedure: k23034 
o|substituted constant variable: a23065 
o|substituted constant variable: a23067 
o|substituted constant variable: a23069 
o|substituted constant variable: a23071 
o|substituted constant variable: a23076 
o|substituted constant variable: a23078 
o|substituted constant variable: a23080 
o|substituted constant variable: a23082 
o|substituted constant variable: a23084 
o|substituted constant variable: a23086 
o|substituted constant variable: a23088 
o|substituted constant variable: a23090 
o|substituted constant variable: a23092 
o|substituted constant variable: a23094 
o|inlining procedure: k23098 
o|inlining procedure: k23098 
o|inlining procedure: k23117 
o|inlining procedure: k23117 
o|inlining procedure: k23135 
o|inlining procedure: k23135 
o|inlining procedure: k23177 
o|inlining procedure: k23177 
o|inlining procedure: k23297 
o|inlining procedure: k23297 
o|inlining procedure: k23309 
o|inlining procedure: k23321 
o|inlining procedure: k23321 
o|inlining procedure: k23309 
o|inlining procedure: k23377 
o|inlining procedure: k23377 
o|substituted constant variable: a23407 
o|substituted constant variable: a23409 
o|substituted constant variable: a23411 
o|substituted constant variable: a23413 
o|inlining procedure: k23423 
o|inlining procedure: k23423 
o|inlining procedure: k23442 
o|inlining procedure: k23442 
o|inlining procedure: k23456 
o|inlining procedure: k23456 
o|inlining procedure: k23519 
o|inlining procedure: k23519 
o|substituted constant variable: a23550 
o|substituted constant variable: a23552 
o|substituted constant variable: a23557 
o|substituted constant variable: a23559 
o|substituted constant variable: a23581 
o|substituted constant variable: a23582 
o|substituted constant variable: a23599 
o|substituted constant variable: a23600 
o|inlining procedure: k23613 
o|propagated global variable: r2361433259 ##sys#standard-output 
o|inlining procedure: k23613 
o|substituted constant variable: a23632 
o|substituted constant variable: a23633 
o|substituted constant variable: a23650 
o|substituted constant variable: a23651 
o|propagated global variable: a23664 ##sys#standard-output 
o|substituted constant variable: a23665 
o|substituted constant variable: a23666 
o|contracted procedure: "(library.scm:4460) g50935094" 
o|inlining procedure: k23683 
o|contracted procedure: "(library.scm:4455) g50995106" 
o|propagated global variable: g51145115 ##sys#print 
o|inlining procedure: k23683 
o|propagated global variable: a23715 ##sys#standard-output 
o|substituted constant variable: a23716 
o|substituted constant variable: a23717 
o|contracted procedure: "(library.scm:4467) g51255126" 
o|inlining procedure: k23734 
o|contracted procedure: "(library.scm:4455) g51315138" 
o|propagated global variable: g51465147 ##sys#print 
o|inlining procedure: k23734 
o|substituted constant variable: a23779 
o|substituted constant variable: a23780 
o|inlining procedure: k23793 
o|inlining procedure: k23793 
o|inlining procedure: k23884 
o|inlining procedure: k23884 
o|inlining procedure: k23916 
o|inlining procedure: k23916 
o|substituted constant variable: special-characters5168 
o|inlining procedure: k23928 
o|inlining procedure: k23928 
o|inlining procedure: k23961 
o|inlining procedure: k23961 
o|substituted constant variable: a24034 
o|inlining procedure: k24041 
o|inlining procedure: k24041 
o|inlining procedure: k24053 
o|inlining procedure: k24053 
o|inlining procedure: k24068 
o|inlining procedure: k24068 
o|inlining procedure: k24087 
o|inlining procedure: k24109 
o|inlining procedure: k24109 
o|inlining procedure: k24132 
o|inlining procedure: k24132 
o|inlining procedure: k24141 
o|inlining procedure: k24141 
o|inlining procedure: k24087 
o|inlining procedure: k24159 
o|inlining procedure: k24184 
o|inlining procedure: k24184 
o|inlining procedure: k24159 
o|inlining procedure: k24222 
o|inlining procedure: k24222 
o|inlining procedure: k24240 
o|inlining procedure: k24240 
o|inlining procedure: k24255 
o|inlining procedure: k24255 
o|inlining procedure: k24264 
o|inlining procedure: k24291 
o|inlining procedure: k24291 
o|inlining procedure: k24264 
o|inlining procedure: k24319 
o|inlining procedure: k24319 
o|inlining procedure: k24335 
o|inlining procedure: k24335 
o|inlining procedure: k24350 
o|inlining procedure: k24359 
o|inlining procedure: k24359 
o|substituted constant variable: a24390 
o|substituted constant variable: a24392 
o|inlining procedure: k24396 
o|inlining procedure: k24396 
o|inlining procedure: k24350 
o|inlining procedure: k24425 
o|inlining procedure: k24425 
o|inlining procedure: k24438 
o|inlining procedure: k24451 
o|inlining procedure: k24451 
o|inlining procedure: k24480 
o|inlining procedure: k24480 
o|inlining procedure: k24501 
o|inlining procedure: k24501 
o|inlining procedure: k24519 
o|inlining procedure: k24519 
o|inlining procedure: k24537 
o|inlining procedure: k24537 
o|inlining procedure: k24555 
o|inlining procedure: k24555 
o|substituted constant variable: a24584 
o|substituted constant variable: a24586 
o|substituted constant variable: a24588 
o|substituted constant variable: a24590 
o|substituted constant variable: a24592 
o|substituted constant variable: a24594 
o|substituted constant variable: a24596 
o|substituted constant variable: a24605 
o|substituted constant variable: a24607 
o|inlining procedure: k24438 
o|inlining procedure: k24611 
o|inlining procedure: k24630 
o|inlining procedure: k24630 
o|inlining procedure: k24611 
o|inlining procedure: k24702 
o|inlining procedure: k24702 
o|inlining procedure: k24734 
o|inlining procedure: k24734 
o|inlining procedure: k24750 
o|inlining procedure: k24750 
o|inlining procedure: k24772 
o|inlining procedure: k24797 
o|inlining procedure: k24797 
o|substituted constant variable: a24810 
o|substituted constant variable: a24812 
o|inlining procedure: k24772 
o|inlining procedure: k24816 
o|inlining procedure: k24816 
o|inlining procedure: k24841 
o|inlining procedure: k24841 
o|inlining procedure: k24885 
o|inlining procedure: k24885 
o|inlining procedure: k24902 
o|inlining procedure: k24902 
o|inlining procedure: k24925 
o|inlining procedure: k24955 
o|inlining procedure: k24955 
o|inlining procedure: k24925 
o|inlining procedure: k25043 
o|inlining procedure: k25043 
o|substituted constant variable: a25060 
o|substituted constant variable: a25062 
o|substituted constant variable: saved547054715483 
o|inlining procedure: k25167 
o|inlining procedure: k25167 
o|inlining procedure: k25234 
o|inlining procedure: k25255 
o|inlining procedure: k25255 
o|inlining procedure: k25234 
o|inlining procedure: k25281 
o|inlining procedure: k25281 
o|inlining procedure: k25319 
o|inlining procedure: k25319 
o|inlining procedure: k25350 
o|inlining procedure: k25350 
o|inlining procedure: k25387 
o|inlining procedure: k25387 
o|substituted constant variable: a25447 
o|substituted constant variable: a25448 
o|inlining procedure: k25449 
o|inlining procedure: k25449 
o|inlining procedure: k25500 
o|inlining procedure: k25500 
o|inlining procedure: k25523 
o|inlining procedure: k25549 
o|inlining procedure: k25549 
o|inlining procedure: k25523 
o|inlining procedure: k25603 
o|inlining procedure: k25603 
o|substituted constant variable: c5679 
o|contracted procedure: "(library.scm:4962) extract5656" 
o|substituted constant variable: c5679 
o|inlining procedure: k25670 
o|inlining procedure: k25670 
o|substituted constant variable: c5679 
o|substituted constant variable: c5679 
o|inlining procedure: k25752 
o|inlining procedure: k25752 
o|inlining procedure: k25777 
o|inlining procedure: k25777 
o|inlining procedure: k25783 
o|inlining procedure: k25783 
o|inlining procedure: k25720 
o|inlining procedure: k25802 
o|inlining procedure: k25802 
o|inlining procedure: k25720 
o|substituted constant variable: a25850 
o|substituted constant variable: a25851 
o|inlining procedure: k25922 
o|inlining procedure: "(library.scm:5010) break5752" 
o|inlining procedure: k25922 
o|inlining procedure: k25951 
o|inlining procedure: k25951 
o|inlining procedure: k25967 
o|inlining procedure: k25967 
o|inlining procedure: k25990 
o|contracted procedure: "(library.scm:5031) g57625769" 
o|inlining procedure: k25990 
o|inlining procedure: k26031 
o|inlining procedure: k26031 
o|inlining procedure: k26085 
o|contracted procedure: "(library.scm:5095) g58305837" 
o|inlining procedure: k26085 
o|inlining procedure: k26123 
o|inlining procedure: k26123 
o|inlining procedure: k26166 
o|inlining procedure: k26166 
o|inlining procedure: k26178 
o|inlining procedure: k26178 
o|inlining procedure: k26190 
o|inlining procedure: k26190 
o|inlining procedure: k26202 
o|inlining procedure: k26202 
o|inlining procedure: k26214 
o|inlining procedure: k26214 
o|inlining procedure: k26226 
o|inlining procedure: k26226 
o|inlining procedure: k26238 
o|inlining procedure: k26238 
o|substituted constant variable: a26245 
o|substituted constant variable: a26247 
o|substituted constant variable: a26249 
o|substituted constant variable: a26251 
o|substituted constant variable: a26253 
o|substituted constant variable: a26255 
o|substituted constant variable: a26257 
o|substituted constant variable: a26259 
o|substituted constant variable: a26261 
o|substituted constant variable: a26263 
o|substituted constant variable: a26265 
o|substituted constant variable: a26267 
o|substituted constant variable: a26269 
o|substituted constant variable: a26271 
o|substituted constant variable: a26307 
o|substituted constant variable: a26309 
o|substituted constant variable: a26311 
o|inlining procedure: k26365 
o|inlining procedure: k26401 
o|inlining procedure: k26401 
o|inlining procedure: k26413 
o|inlining procedure: k26427 
o|inlining procedure: k26427 
o|inlining procedure: k26413 
o|inlining procedure: k26365 
o|inlining procedure: k26463 
o|inlining procedure: k26463 
o|inlining procedure: k26518 
o|propagated global variable: r2651933455 ##sys#current-exception-handler 
o|removed unused formal parameters: (convert?5999) 
o|inlining procedure: k26533 
o|inlining procedure: k26533 
o|removed unused parameter to known procedure: convert?5999 "(library.scm:5247) body59895998" 
o|inlining procedure: k26518 
o|inlining procedure: k26560 
o|inlining procedure: k26560 
o|removed unused parameter to known procedure: convert?5999 "(library.scm:5247) body59895998" 
o|inlining procedure: k26585 
o|inlining procedure: k26585 
o|inlining procedure: k26698 
o|contracted procedure: "(library.scm:5275) g60846093" 
o|inlining procedure: k26698 
o|inlining procedure: k26744 
o|contracted procedure: "(library.scm:5274) g60576066" 
o|inlining procedure: k26744 
o|inlining procedure: k26778 
o|contracted procedure: "(library.scm:5271) g60346041" 
o|inlining procedure: k26778 
o|inlining procedure: k26820 
o|inlining procedure: k26820 
o|inlining procedure: k26872 
o|contracted procedure: "(library.scm:5280) g61176126" 
o|inlining procedure: k26872 
o|inlining procedure: k26934 
o|inlining procedure: k26934 
o|inlining procedure: k26990 
o|inlining procedure: k26990 
o|inlining procedure: k27032 
o|inlining procedure: k27032 
o|inlining procedure: k27062 
o|inlining procedure: k27077 
o|inlining procedure: k27077 
o|inlining procedure: k27062 
o|inlining procedure: k27138 
o|inlining procedure: k27138 
o|substituted constant variable: a27163 
o|substituted constant variable: a27164 
o|inlining procedure: k27171 
o|inlining procedure: k27192 
o|inlining procedure: k27192 
o|inlining procedure: k27222 
o|inlining procedure: k27222 
o|inlining procedure: k27251 
o|inlining procedure: k27251 
o|inlining procedure: k27171 
o|inlining procedure: k27319 
o|inlining procedure: k27319 
o|inlining procedure: k27354 
o|inlining procedure: k27354 
o|inlining procedure: k27400 
o|inlining procedure: k27423 
o|inlining procedure: k27423 
o|inlining procedure: k27400 
o|inlining procedure: k27460 
o|inlining procedure: k27460 
o|inlining procedure: k27474 
o|inlining procedure: k27474 
o|inlining procedure: k27492 
o|inlining procedure: k27492 
o|inlining procedure: k27510 
o|inlining procedure: k27510 
o|inlining procedure: k27528 
o|inlining procedure: k27528 
o|inlining procedure: k27546 
o|inlining procedure: k27546 
o|inlining procedure: k27564 
o|inlining procedure: k27564 
o|inlining procedure: k27582 
o|inlining procedure: k27582 
o|inlining procedure: k27600 
o|inlining procedure: k27600 
o|inlining procedure: k27618 
o|inlining procedure: k27618 
o|inlining procedure: k27636 
o|inlining procedure: k27636 
o|inlining procedure: k27654 
o|inlining procedure: k27654 
o|inlining procedure: k27672 
o|inlining procedure: k27672 
o|inlining procedure: k27690 
o|inlining procedure: k27690 
o|inlining procedure: k27708 
o|inlining procedure: k27708 
o|inlining procedure: k27726 
o|inlining procedure: k27726 
o|inlining procedure: k27744 
o|inlining procedure: k27744 
o|inlining procedure: k27762 
o|inlining procedure: k27762 
o|inlining procedure: k27780 
o|inlining procedure: k27780 
o|inlining procedure: k27798 
o|inlining procedure: k27798 
o|inlining procedure: k27816 
o|inlining procedure: k27816 
o|inlining procedure: k27834 
o|inlining procedure: k27834 
o|inlining procedure: k27852 
o|inlining procedure: k27852 
o|inlining procedure: k27870 
o|inlining procedure: k27870 
o|inlining procedure: k27888 
o|inlining procedure: k27888 
o|inlining procedure: k27906 
o|inlining procedure: k27906 
o|inlining procedure: k27924 
o|inlining procedure: k27924 
o|substituted constant variable: a27946 
o|substituted constant variable: a27948 
o|substituted constant variable: a27950 
o|substituted constant variable: a27952 
o|substituted constant variable: a27954 
o|substituted constant variable: a27956 
o|substituted constant variable: a27958 
o|substituted constant variable: a27960 
o|substituted constant variable: a27962 
o|substituted constant variable: a27964 
o|substituted constant variable: a27966 
o|substituted constant variable: a27968 
o|substituted constant variable: a27970 
o|substituted constant variable: a27972 
o|substituted constant variable: a27974 
o|substituted constant variable: a27976 
o|substituted constant variable: a27978 
o|substituted constant variable: a27980 
o|substituted constant variable: a27982 
o|substituted constant variable: a27984 
o|substituted constant variable: a27986 
o|substituted constant variable: a27988 
o|substituted constant variable: a27990 
o|substituted constant variable: a27992 
o|substituted constant variable: a27994 
o|substituted constant variable: a27996 
o|substituted constant variable: a27998 
o|substituted constant variable: a28000 
o|substituted constant variable: a28002 
o|substituted constant variable: a28004 
o|substituted constant variable: a28006 
o|substituted constant variable: a28008 
o|substituted constant variable: a28010 
o|substituted constant variable: a28012 
o|substituted constant variable: a28014 
o|substituted constant variable: a28016 
o|substituted constant variable: a28018 
o|substituted constant variable: a28020 
o|substituted constant variable: a28022 
o|substituted constant variable: a28024 
o|substituted constant variable: a28026 
o|substituted constant variable: a28028 
o|substituted constant variable: a28030 
o|substituted constant variable: a28032 
o|substituted constant variable: a28034 
o|substituted constant variable: a28036 
o|substituted constant variable: a28038 
o|substituted constant variable: a28040 
o|substituted constant variable: a28042 
o|substituted constant variable: a28044 
o|substituted constant variable: a28046 
o|substituted constant variable: a28048 
o|substituted constant variable: a28050 
o|substituted constant variable: a28052 
o|inlining procedure: k28091 
o|substituted constant variable: a28104 
o|inlining procedure: k28091 
o|inlining procedure: k28146 
o|inlining procedure: k28146 
o|inlining procedure: k28184 
o|inlining procedure: k28184 
o|inlining procedure: k28206 
o|inlining procedure: k28206 
o|inlining procedure: k28264 
o|inlining procedure: k28264 
o|contracted procedure: "(library.scm:5588) fetch6497" 
o|contracted procedure: "(library.scm:5605) free6516" 
o|inlining procedure: k28311 
o|inlining procedure: k28311 
o|inlining procedure: k28328 
o|inlining procedure: k28328 
o|contracted procedure: "(library.scm:5600) fetch6515" 
o|propagated global variable: ct6617 ##sys#current-thread 
o|inlining procedure: k28512 
o|inlining procedure: k28512 
o|inlining procedure: k28540 
o|inlining procedure: k28540 
o|inlining procedure: k28597 
o|inlining procedure: k28597 
o|inlining procedure: k28637 
o|inlining procedure: k28649 
o|inlining procedure: k28649 
o|inlining procedure: k28637 
o|inlining procedure: k28676 
o|inlining procedure: k28676 
o|inlining procedure: k28722 
o|inlining procedure: k28722 
o|substituted constant variable: a28780 
o|inlining procedure: k28773 
o|inlining procedure: k28773 
o|substituted constant variable: a28793 
o|inlining procedure: k28804 
o|inlining procedure: k28844 
o|inlining procedure: k28882 
o|inlining procedure: k28882 
o|inlining procedure: k28844 
o|inlining procedure: k28976 
o|inlining procedure: k28976 
o|substituted constant variable: a29037 
o|substituted constant variable: a29039 
o|substituted constant variable: a29047 
o|substituted constant variable: a29052 
o|substituted constant variable: a29054 
o|substituted constant variable: a29068 
o|inlining procedure: k29061 
o|inlining procedure: k29061 
o|substituted constant variable: a29081 
o|inlining procedure: k28804 
o|substituted constant variable: a29096 
o|substituted constant variable: a29098 
o|inlining procedure: k29112 
o|inlining procedure: k29112 
o|inlining procedure: k29151 
o|inlining procedure: k29151 
o|inlining procedure: k29210 
o|inlining procedure: k29219 
o|inlining procedure: k29219 
o|inlining procedure: k29210 
o|contracted procedure: "(library.scm:5994) get6830" 
o|inlining procedure: k29286 
o|inlining procedure: k29286 
o|inlining procedure: k29300 
o|inlining procedure: k29300 
o|contracted procedure: "(library.scm:6023) fetch-arg6850" 
o|inlining procedure: k29369 
o|inlining procedure: k29389 
o|inlining procedure: k29389 
o|inlining procedure: k29416 
o|inlining procedure: k29416 
o|inlining procedure: k29369 
o|inlining procedure: k29440 
o|inlining procedure: k29440 
o|inlining procedure: k29452 
o|inlining procedure: k29452 
o|inlining procedure: k29478 
o|inlining procedure: k29478 
o|inlining procedure: k29594 
o|inlining procedure: k29594 
o|inlining procedure: k29616 
o|inlining procedure: k29616 
o|inlining procedure: k29656 
o|inlining procedure: k29656 
o|inlining procedure: k29681 
o|inlining procedure: k29681 
o|inlining procedure: k29703 
o|inlining procedure: k29703 
o|inlining procedure: k29735 
o|inlining procedure: k29735 
o|inlining procedure: k29767 
o|inlining procedure: k29767 
o|inlining procedure: k29799 
o|inlining procedure: k29799 
o|inlining procedure: k29831 
o|inlining procedure: k29831 
o|substituted constant variable: a29879 
o|substituted constant variable: a29881 
o|substituted constant variable: a29883 
o|substituted constant variable: a29885 
o|substituted constant variable: a29887 
o|substituted constant variable: a29889 
o|substituted constant variable: a29891 
o|substituted constant variable: a29893 
o|substituted constant variable: a29895 
o|substituted constant variable: a29897 
o|inlining procedure: k29898 
o|inlining procedure: k29898 
o|inlining procedure: k29953 
o|inlining procedure: k29953 
o|inlining procedure: k29970 
o|inlining procedure: k29994 
o|inlining procedure: k29994 
o|inlining procedure: k29970 
o|inlining procedure: k30037 
o|inlining procedure: k30037 
o|inlining procedure: k30100 
o|inlining procedure: k30100 
o|inlining procedure: k30130 
o|inlining procedure: "(library.scm:6355) pstr7126" 
o|folded constant expression: (scheme#expt (quote 1024) (quote 3)) 
o|inlining procedure: k30130 
o|inlining procedure: "(library.scm:6357) pstr7126" 
o|folded constant expression: (scheme#expt (quote 1024) (quote 2)) 
o|substituted constant variable: a30188 
o|inlining procedure: k30184 
o|inlining procedure: "(library.scm:6359) pstr7126" 
o|substituted constant variable: a30204 
o|inlining procedure: k30184 
o|inlining procedure: "(library.scm:6360) pstr7126" 
o|folded constant expression: (scheme#expt (quote 1024) (quote 2)) 
o|folded constant expression: (scheme#expt (quote 1024) (quote 3)) 
o|inlining procedure: "(library.scm:6386) pstr7126" 
o|inlining procedure: "(library.scm:6384) pstr7126" 
o|inlining procedure: "(library.scm:6382) pchr7127" 
o|inlining procedure: "(library.scm:6380) pstr7126" 
o|inlining procedure: "(library.scm:6376) pstr7126" 
o|inlining procedure: "(library.scm:6374) pchr7127" 
o|inlining procedure: "(library.scm:6372) pstr7126" 
o|substituted constant variable: a30302 
o|inlining procedure: "(library.scm:6368) pstr7126" 
o|inlining procedure: "(library.scm:6366) pstr7126" 
o|inlining procedure: "(library.scm:6363) pstr7126" 
o|inlining procedure: k30409 
o|inlining procedure: k30431 
o|inlining procedure: k30431 
o|contracted procedure: "(library.scm:6461) get-config7229" 
o|inlining procedure: k30376 
o|inlining procedure: k30376 
o|substituted constant variable: a30389 
o|inlining procedure: k30467 
o|inlining procedure: k30467 
o|inlining procedure: k30409 
o|propagated global variable: r3041033778 ##sys#build-version 
o|removed side-effect free assignment to unused variable: prefix7258 
o|inlining procedure: k30523 
o|inlining procedure: k30523 
o|inlining procedure: k30538 
o|inlining procedure: k30538 
o|contracted procedure: "(library.scm:6500) err7257" 
o|inlining procedure: k30557 
o|inlining procedure: k30557 
o|inlining procedure: k30635 
o|contracted procedure: "(library.scm:6536) g72897296" 
o|inlining procedure: k30619 
o|inlining procedure: k30619 
o|inlining procedure: k30635 
o|inlining procedure: k30671 
o|inlining procedure: k30671 
o|inlining procedure: k30702 
o|inlining procedure: k30702 
o|inlining procedure: k30748 
o|inlining procedure: k30748 
o|inlining procedure: k30843 
o|inlining procedure: k30843 
o|inlining procedure: k30859 
o|inlining procedure: k30859 
o|inlining procedure: k30930 
o|inlining procedure: k30930 
o|inlining procedure: k30977 
o|inlining procedure: k30977 
o|inlining procedure: k31052 
o|inlining procedure: k31052 
o|substituted constant variable: a31064 
o|inlining procedure: k31077 
o|inlining procedure: k31119 
o|inlining procedure: k31119 
o|inlining procedure: k31149 
o|contracted procedure: "(library.scm:5167) g58955902" 
o|inlining procedure: k31149 
o|inlining procedure: k31077 
o|inlining procedure: k31204 
o|inlining procedure: k31204 
o|inlining procedure: k31255 
o|inlining procedure: k31255 
o|inlining procedure: k31282 
o|inlining procedure: k31282 
o|inlining procedure: k31307 
o|inlining procedure: k31307 
o|inlining procedure: k31387 
o|inlining procedure: k31387 
o|inlining procedure: k31413 
o|inlining procedure: k31413 
o|inlining procedure: k31494 
o|inlining procedure: k31494 
o|folded constant expression: (scheme#integer->char (quote 0)) 
o|inlining procedure: k31653 
o|inlining procedure: k31653 
o|inlining procedure: k31662 
o|inlining procedure: k31662 
o|inlining procedure: k31671 
o|inlining procedure: k31671 
o|inlining procedure: k31687 
o|inlining procedure: k31687 
o|inlining procedure: k31713 
o|inlining procedure: k31742 
o|inlining procedure: k31742 
o|inlining procedure: k31713 
o|inlining procedure: k31777 
o|inlining procedure: k31777 
o|inlining procedure: k31817 
o|inlining procedure: k31817 
o|inlining procedure: k31879 
o|inlining procedure: k31879 
o|inlining procedure: k31891 
o|inlining procedure: k31891 
o|inlining procedure: k31934 
o|inlining procedure: k31934 
o|inlining procedure: k31992 
o|inlining procedure: k31992 
o|inlining procedure: k32007 
o|inlining procedure: k32007 
o|inlining procedure: k32043 
o|inlining procedure: k32043 
o|substituted constant variable: sblen3885 
o|substituted constant variable: sblen3885 
o|folded constant expression: (scheme#integer->char (quote 8)) 
o|folded constant expression: (scheme#integer->char (quote 12)) 
o|folded constant expression: (scheme#integer->char (quote 0)) 
o|folded constant expression: (scheme#integer->char (quote 0)) 
o|folded constant expression: (scheme#integer->char (quote 7)) 
o|folded constant expression: (scheme#integer->char (quote 27)) 
o|folded constant expression: (scheme#integer->char (quote 27)) 
o|folded constant expression: (scheme#integer->char (quote 127)) 
o|folded constant expression: (scheme#integer->char (quote 11)) 
o|replaced variables: 4507 
o|removed binding forms: 1854 
o|substituted constant variable: r905232182 
o|substituted constant variable: r905832184 
o|inlining procedure: k9371 
o|substituted constant variable: r943532198 
o|substituted constant variable: r958832209 
o|substituted constant variable: r960032212 
o|substituted constant variable: r969532219 
o|substituted constant variable: r975632224 
o|substituted constant variable: r982932227 
o|substituted constant variable: r988332231 
o|substituted constant variable: r999932240 
o|substituted constant variable: r1019132249 
o|substituted constant variable: r1026832254 
o|substituted constant variable: r1072132295 
o|substituted constant variable: r1072132295 
o|substituted constant variable: r1073832301 
o|substituted constant variable: r1073832301 
o|substituted constant variable: r1076132306 
o|substituted constant variable: r1076132306 
o|substituted constant variable: r1077932313 
o|substituted constant variable: r1077932313 
o|substituted constant variable: r1080332319 
o|substituted constant variable: r1080332319 
o|substituted constant variable: r1082932325 
o|substituted constant variable: r1082932325 
o|substituted constant variable: r1093232336 
o|substituted constant variable: r1146332360 
o|substituted constant variable: r1182632381 
o|substituted constant variable: loc1752 
o|substituted constant variable: loc1763 
o|substituted constant variable: loc1774 
o|substituted constant variable: loc1785 
o|substituted constant variable: loc1796 
o|substituted constant variable: loc1807 
o|substituted constant variable: loc1818 
o|substituted constant variable: loc1829 
o|substituted constant variable: loc1840 
o|substituted constant variable: loc1851 
o|substituted constant variable: loc1862 
o|substituted constant variable: loc1871 
o|substituted constant variable: loc1881 
o|substituted constant variable: loc1892 
o|substituted constant variable: loc1901 
o|substituted constant variable: loc1909 
o|substituted constant variable: loc1917 
o|substituted constant variable: loc1925 
o|substituted constant variable: loc1933 
o|substituted constant variable: loc1941 
o|substituted constant variable: loc1949 
o|substituted constant variable: loc1957 
o|substituted constant variable: loc1965 
o|substituted constant variable: loc1973 
o|substituted constant variable: loc1983 
o|substituted constant variable: loc1992 
o|substituted constant variable: loc2002 
o|substituted constant variable: loc2011 
o|substituted constant variable: loc2019 
o|substituted constant variable: loc2027 
o|substituted constant variable: loc2035 
o|inlining procedure: k12589 
o|inlining procedure: k12589 
o|substituted constant variable: r1260332454 
o|substituted constant variable: r1268232459 
o|substituted constant variable: r1284132473 
o|converted assignments to bindings: (deliver2209) 
o|substituted constant variable: n2407 
o|substituted constant variable: d2408 
o|substituted constant variable: r1401932548 
o|substituted constant variable: r1402832550 
o|substituted constant variable: r1405932554 
o|substituted constant variable: r1406832556 
o|substituted constant variable: r1487332604 
o|substituted constant variable: r1498132611 
o|substituted constant variable: r1504332615 
o|substituted constant variable: r1521532622 
o|inlining procedure: k15333 
o|inlining procedure: k15333 
o|substituted constant variable: r1538932629 
o|substituted constant variable: r1540632632 
o|substituted constant variable: r1540632633 
o|substituted constant variable: r1536932638 
o|removed side-effect free assignment to unused variable: make-nan2844 
o|substituted constant variable: r1559032650 
o|substituted constant variable: r1561032652 
o|substituted constant variable: r1563232654 
o|substituted constant variable: r1564332656 
o|substituted constant variable: r1568032659 
o|substituted constant variable: r1570632660 
o|substituted constant variable: r1570632661 
o|substituted constant variable: r1565732662 
o|substituted constant variable: r1576932675 
o|substituted constant variable: r1575732676 
o|substituted constant variable: r1571832692 
o|substituted constant variable: r1603232702 
o|substituted constant variable: r1602232703 
o|substituted constant variable: r1601032704 
o|substituted constant variable: r1609632712 
o|substituted constant variable: r1607832713 
o|substituted constant variable: r1606832714 
o|substituted constant variable: r1625232725 
o|substituted constant variable: r1633332729 
o|substituted constant variable: r1633332729 
o|substituted constant variable: r1633332731 
o|substituted constant variable: r1633332731 
o|substituted constant variable: r1635632736 
o|substituted constant variable: r1635632736 
o|substituted constant variable: r1643932744 
o|substituted constant variable: r1643932744 
o|substituted constant variable: r1641632747 
o|substituted constant variable: r1649132748 
o|substituted constant variable: r1649132749 
o|substituted constant variable: r1627332750 
o|substituted constant variable: r1651932753 
o|substituted constant variable: r1650732754 
o|substituted constant variable: r1654232758 
o|substituted constant variable: r1661732762 
o|substituted constant variable: r1660232763 
o|substituted constant variable: r1666432766 
o|contracted procedure: k16722 
o|contracted procedure: k16734 
o|contracted procedure: k16746 
o|substituted constant variable: r1679632769 
o|substituted constant variable: r1684032773 
o|substituted constant variable: r1688432777 
o|substituted constant variable: r1689732779 
o|substituted constant variable: r1699432786 
o|substituted constant variable: r1706732790 
o|substituted constant variable: r1715232795 
o|substituted constant variable: r1716432797 
o|substituted constant variable: r1717332800 
o|substituted constant variable: r1719132803 
o|substituted constant variable: r1724332806 
o|substituted constant variable: r1725532808 
o|substituted constant variable: r1732032814 
o|substituted constant variable: r1733232816 
o|substituted constant variable: r1751732838 
o|contracted procedure: k17540 
o|substituted constant variable: r1760832844 
o|substituted constant variable: r1765632846 
o|substituted constant variable: r1776032855 
o|substituted constant variable: r1809332866 
o|substituted constant variable: r1822432872 
o|substituted constant variable: r1842432884 
o|substituted constant variable: r1860832896 
o|converted assignments to bindings: (continuation3795) 
o|substituted constant variable: r1878232910 
o|removed unused formal parameters: (%convert?39273942) 
o|removed unused parameter to known procedure: %convert?39273942 "(library.scm:3341) def-set?39323941" 
o|removed unused parameter to known procedure: %convert?39273942 "(library.scm:3341) def-set?39323941" 
o|removed unused formal parameters: (%convert?39523967) 
o|removed unused parameter to known procedure: %convert?39523967 "(library.scm:3351) def-set?39573966" 
o|removed unused parameter to known procedure: %convert?39523967 "(library.scm:3351) def-set?39573966" 
o|removed unused formal parameters: (%convert?39773992) 
o|removed unused parameter to known procedure: %convert?39773992 "(library.scm:3361) def-set?39823991" 
o|removed unused parameter to known procedure: %convert?39773992 "(library.scm:3361) def-set?39823991" 
o|substituted constant variable: r1908832938 
o|substituted constant variable: r1915132943 
o|substituted constant variable: r1915132943 
o|substituted constant variable: r1915132945 
o|substituted constant variable: r1915132945 
o|substituted constant variable: r1939332955 
o|substituted constant variable: r1944632958 
o|substituted constant variable: r1954032964 
o|substituted constant variable: r1957832966 
o|substituted constant variable: r1961232968 
o|substituted constant variable: r1967232972 
o|inlining procedure: k19995 
o|substituted constant variable: r2006232987 
o|inlining procedure: k20073 
o|contracted procedure: k20560 
o|contracted procedure: k20581 
o|contracted procedure: k20602 
o|substituted constant variable: r2091733038 
o|inlining procedure: k21248 
o|converted assignments to bindings: (starting-line4570) 
o|substituted constant variable: r2134833093 
o|substituted constant variable: r2134833093 
o|substituted constant variable: r2166133123 
o|substituted constant variable: r2166133123 
o|substituted constant variable: r2167133126 
o|inlining procedure: k21909 
o|inlining procedure: k21909 
o|inlining procedure: k21909 
o|substituted constant variable: r2190733147 
o|substituted constant variable: r2188933148 
o|contracted procedure: k22204 
o|removed side-effect free assignment to unused variable: build-symbol4464 
o|substituted constant variable: r2243733179 
o|substituted constant variable: r2259933190 
o|substituted constant variable: r2283433206 
o|substituted constant variable: r2309933232 
o|substituted constant variable: r2311833233 
o|substituted constant variable: r2311833233 
o|substituted constant variable: r2311833235 
o|substituted constant variable: r2311833235 
o|substituted constant variable: r2329833242 
o|substituted constant variable: r2332233245 
o|substituted constant variable: r2331033246 
o|converted assignments to bindings: (hex4995) 
o|substituted constant variable: r2352033257 
o|propagated global variable: port506333260 ##sys#standard-output 
o|substituted constant variable: r2404233283 
o|substituted constant variable: r2405433285 
o|substituted constant variable: r2406933287 
o|substituted constant variable: r2406933288 
o|substituted constant variable: r2413333292 
o|substituted constant variable: r2413333293 
o|substituted constant variable: r2416033300 
o|inlining procedure: k24639 
o|substituted constant variable: r2488633356 
o|inlining procedure: k25024 
o|substituted constant variable: r2538833380 
o|converted assignments to bindings: (copy&append5583) 
o|substituted constant variable: r2560433391 
o|converted assignments to bindings: (break5752) 
o|substituted constant variable: r2612433423 
o|substituted constant variable: r2612433423 
o|substituted constant variable: r2612433425 
o|substituted constant variable: r2612433425 
o|substituted constant variable: r2616733427 
o|substituted constant variable: r2617933429 
o|substituted constant variable: r2619133431 
o|substituted constant variable: r2620333433 
o|substituted constant variable: r2621533435 
o|substituted constant variable: r2622733437 
o|substituted constant variable: r2623933439 
o|substituted constant variable: r2623933440 
o|substituted constant variable: r2640233444 
o|substituted constant variable: r2640233444 
o|inlining procedure: k26427 
o|inlining procedure: k26427 
o|removed unused formal parameters: (%convert?59876002) 
o|removed unused parameter to known procedure: %convert?59876002 "(library.scm:5247) def-set?59926001" 
o|removed unused parameter to known procedure: %convert?59876002 "(library.scm:5247) def-set?59926001" 
o|substituted constant variable: r2658633461 
o|substituted constant variable: r2693533473 
o|substituted constant variable: r2703333478 
o|substituted constant variable: r2706333482 
o|substituted constant variable: r2742433508 
o|substituted constant variable: r2742433508 
o|substituted constant variable: r2746133513 
o|substituted constant variable: r2746133513 
o|substituted constant variable: r2809233568 
o|substituted constant variable: r2818533572 
o|substituted constant variable: r2820733574 
o|substituted constant variable: r2826533575 
o|substituted constant variable: r2831233579 
o|substituted constant variable: r2831233579 
o|substituted constant variable: r2832933581 
o|inlining procedure: k28731 
o|converted assignments to bindings: (get/clear-str6717) 
o|substituted constant variable: r2915233618 
o|substituted constant variable: r2915233618 
o|substituted constant variable: r2921133624 
o|inlining procedure: k29369 
o|inlining procedure: k29369 
o|substituted constant variable: r2997133686 
o|removed side-effect free assignment to unused variable: pstr7126 
o|removed side-effect free assignment to unused variable: pchr7127 
o|substituted constant variable: r3010133689 
o|substituted constant variable: r3010133689 
o|contracted procedure: k30135 
o|substituted constant variable: str713133695 
o|contracted procedure: k30154 
o|contracted procedure: k30162 
o|substituted constant variable: str713133701 
o|contracted procedure: k30181 
o|substituted constant variable: str713133707 
o|substituted constant variable: str713133713 
o|substituted constant variable: str713133718 
o|substituted constant variable: str713133723 
o|substituted constant variable: chr713233728 
o|substituted constant variable: str713133733 
o|substituted constant variable: str713133738 
o|substituted constant variable: chr713233743 
o|substituted constant variable: str713133748 
o|substituted constant variable: str713133753 
o|substituted constant variable: str713133758 
o|substituted constant variable: str713133763 
o|substituted constant variable: r3043233768 
o|substituted constant variable: r3043233768 
o|substituted constant variable: r3037733772 
o|converted assignments to bindings: (str7234) 
o|substituted constant variable: r3046833774 
o|substituted constant variable: r3046833774 
o|substituted constant variable: r3046833776 
o|substituted constant variable: r3046833776 
o|substituted constant variable: r3067233789 
o|inlining procedure: k30843 
o|inlining procedure: k30859 
o|substituted constant variable: r3097833805 
o|inlining procedure: k31098 
o|inlining procedure: k31098 
o|substituted constant variable: r3128333819 
o|substituted constant variable: r3130833821 
o|substituted constant variable: r3141433827 
o|substituted constant variable: r3149533829 
o|contracted procedure: k31507 
o|substituted constant variable: r3166333834 
o|substituted constant variable: r3167233836 
o|substituted constant variable: r3168833838 
o|substituted constant variable: r3174333841 
o|contracted procedure: k32144 
o|contracted procedure: k32148 
o|contracted procedure: k32152 
o|contracted procedure: k32156 
o|contracted procedure: k32160 
o|contracted procedure: k32164 
o|contracted procedure: k32168 
o|contracted procedure: k32172 
o|contracted procedure: k32176 
o|converted assignments to bindings: (lookup-char3628) 
o|converted assignments to bindings: (split3339) 
o|simplifications: ((let . 11)) 
o|replaced variables: 202 
o|removed binding forms: 4553 
o|removed conditional forms: 1 
o|inlining procedure: k9353 
o|substituted constant variable: r937233871 
o|inlining procedure: k10516 
o|inlining procedure: k10516 
o|inlining procedure: k10516 
o|inlining procedure: k10977 
o|inlining procedure: k10993 
o|inlining procedure: k11009 
o|inlining procedure: k11025 
o|inlining procedure: k11041 
o|inlining procedure: k11057 
o|inlining procedure: k11073 
o|inlining procedure: k11089 
o|inlining procedure: k11214 
o|inlining procedure: k11249 
o|inlining procedure: k11249 
o|inlining procedure: k11504 
o|inlining procedure: k11504 
o|inlining procedure: k11614 
o|inlining procedure: k11614 
o|inlining procedure: k12783 
o|inlining procedure: k12895 
o|inlining procedure: k12966 
o|inlining procedure: k13052 
o|inlining procedure: k13058 
o|inlining procedure: k13161 
o|inlining procedure: k13490 
o|inlining procedure: k13525 
o|inlining procedure: k13525 
o|inlining procedure: k13684 
o|inlining procedure: k13820 
o|inlining procedure: k14401 
o|inlining procedure: k14425 
o|inlining procedure: k14601 
o|inlining procedure: k14622 
o|inlining procedure: k14712 
o|inlining procedure: k14720 
o|inlining procedure: k14758 
o|inlining procedure: k14776 
o|inlining procedure: k14929 
o|inlining procedure: k14958 
o|inlining procedure: k15170 
o|inlining procedure: k15177 
o|substituted constant variable: r1533434017 
o|substituted constant variable: r1533434020 
o|inlining procedure: k15619 
o|inlining procedure: k16125 
o|inlining procedure: k16263 
o|inlining procedure: k16553 
o|inlining procedure: k16567 
o|inlining procedure: k16573 
o|inlining procedure: k16632 
o|inlining procedure: k16640 
o|substituted constant variable: r16723 
o|substituted constant variable: r16735 
o|substituted constant variable: r16747 
o|inlining procedure: k16980 
o|inlining procedure: k16987 
o|inlining procedure: k16987 
o|inlining procedure: k17020 
o|inlining procedure: k17245 
o|inlining procedure: k17245 
o|substituted constant variable: r17541 
o|inlining procedure: k19165 
o|inlining procedure: k19165 
o|inlining procedure: k19165 
o|inlining procedure: k19427 
o|propagated global variable: r1942834620 ##sys#standard-output 
o|propagated global variable: r1942834620 ##sys#standard-output 
o|inlining procedure: k19974 
o|propagated global variable: r1997534628 ##sys#standard-input 
o|propagated global variable: r1997534628 ##sys#standard-input 
o|inlining procedure: k20086 
o|propagated global variable: r2008734630 ##sys#standard-input 
o|propagated global variable: r2008734630 ##sys#standard-input 
o|inlining procedure: k20104 
o|propagated global variable: r2010534632 ##sys#standard-input 
o|propagated global variable: r2010534632 ##sys#standard-input 
o|substituted constant variable: r20561 
o|substituted constant variable: r20582 
o|substituted constant variable: r20603 
o|inlining procedure: k20833 
o|substituted constant variable: r22205 
o|inlining procedure: k22755 
o|inlining procedure: k23628 
o|propagated global variable: r2362934662 ##sys#standard-output 
o|propagated global variable: r2362934662 ##sys#standard-output 
o|inlining procedure: k23646 
o|propagated global variable: r2364734664 ##sys#standard-output 
o|propagated global variable: r2364734664 ##sys#standard-output 
o|inlining procedure: k24024 
o|inlining procedure: k26281 
o|inlining procedure: k28546 
o|inlining procedure: "(library.scm:5821) format-here-doc-warning" 
o|inlining procedure: k28781 
o|inlining procedure: k28781 
o|inlining procedure: "(library.scm:5855) format-here-doc-warning" 
o|inlining procedure: k29069 
o|inlining procedure: k29069 
o|inlining procedure: k29613 
o|inlining procedure: k29613 
o|inlining procedure: k29982 
o|inlining procedure: k29982 
o|substituted constant variable: r30136 
o|substituted constant variable: r30155 
o|substituted constant variable: r30163 
o|substituted constant variable: r30182 
o|substituted constant variable: r31508 
o|inlining procedure: k31650 
o|inlining procedure: k31650 
o|substituted constant variable: r32145 
o|substituted constant variable: r32149 
o|substituted constant variable: r32153 
o|substituted constant variable: r32157 
o|substituted constant variable: r32161 
o|substituted constant variable: r32165 
o|substituted constant variable: r32169 
o|substituted constant variable: r32173 
o|substituted constant variable: r32177 
o|replaced variables: 32 
o|removed binding forms: 500 
o|substituted constant variable: r935434400 
o|substituted constant variable: code67933872 
o|substituted constant variable: code67933872 
o|substituted constant variable: r1097834442 
o|substituted constant variable: r1099434444 
o|substituted constant variable: r1101034446 
o|substituted constant variable: r1102634448 
o|substituted constant variable: r1104234450 
o|substituted constant variable: r1105834452 
o|substituted constant variable: r1107434454 
o|substituted constant variable: r1109034456 
o|substituted constant variable: r1121534464 
o|substituted constant variable: r1121534464 
o|substituted constant variable: r1125034468 
o|substituted constant variable: r1125034468 
o|contracted procedure: k12717 
o|contracted procedure: k12722 
o|contracted procedure: k12777 
o|contracted procedure: k13146 
o|contracted procedure: k13155 
o|contracted procedure: k13245 
o|contracted procedure: k13250 
o|contracted procedure: k13255 
o|contracted procedure: k13260 
o|contracted procedure: k13265 
o|contracted procedure: k13270 
o|contracted procedure: k13292 
o|contracted procedure: k13303 
o|contracted procedure: k13326 
o|contracted procedure: k13338 
o|contracted procedure: k13401 
o|contracted procedure: k13408 
o|contracted procedure: k13442 
o|contracted procedure: k13449 
o|contracted procedure: k13484 
o|contracted procedure: k13516 
o|substituted constant variable: r1352634515 
o|contracted procedure: k13803 
o|contracted procedure: k15189 
o|contracted procedure: k15194 
o|contracted procedure: k15319 
o|contracted procedure: k15465 
o|contracted procedure: k15573 
o|contracted procedure: k15664 
o|contracted procedure: k16280 
o|contracted procedure: k16297 
o|contracted procedure: k16434 
o|substituted constant variable: a16721 
o|substituted constant variable: a16733 
o|substituted constant variable: a16745 
o|contracted procedure: k16783 
o|substituted constant variable: r1698834567 
o|substituted constant variable: r1698834568 
o|substituted constant variable: r1724634572 
o|substituted constant variable: r1724634574 
o|inlining procedure: k21203 
o|substituted constant variable: r2275634659 
o|substituted constant variable: r2642834251 
o|removed side-effect free assignment to unused variable: ##sys#format-here-doc-warning 
o|substituted constant variable: r2961434765 
o|substituted constant variable: r2961434765 
o|substituted constant variable: r2998334766 
o|substituted constant variable: r2998334766 
o|substituted constant variable: r2998334767 
o|substituted constant variable: r2998334767 
o|substituted constant variable: r3165134786 
o|substituted constant variable: r3165134786 
o|substituted constant variable: r3165134786 
o|substituted constant variable: r3165134788 
o|substituted constant variable: r3165134788 
o|substituted constant variable: r3165134788 
o|simplifications: ((let . 3)) 
o|replaced variables: 27 
o|removed binding forms: 136 
o|removed conditional forms: 11 
o|substituted constant variable: code66634401 
o|substituted constant variable: r2120434934 
o|substituted constant variable: r2120434934 
o|replaced variables: 34 
o|removed binding forms: 57 
o|removed conditional forms: 1 
o|simplifications: ((let . 1)) 
o|removed binding forms: 21 
o|simplifications: ((if . 203) (##core#call . 2567)) 
o|  call simplifications:
o|    scheme#cdar	2
o|    scheme#set-cdr!	6
o|    scheme#list-tail
o|    scheme#set-car!	7
o|    ##sys#make-vector
o|    scheme#vector?
o|    ##sys#foreign-string-argument
o|    scheme#read-char
o|    scheme#string-length	2
o|    scheme#string-ref	2
o|    ##sys#list	6
o|    ##sys#context-switch	2
o|    ##sys#foreign-pointer-argument	3
o|    ##sys#null-pointer?	2
o|    ##sys#generic-structure?	2
o|    scheme#caddr	2
o|    scheme#write-char
o|    scheme#equal?
o|    scheme#memv	2
o|    scheme#caar	3
o|    scheme#cddr	3
o|    ##sys#check-structure	2
o|    scheme#string?	5
o|    ##sys#apply	2
o|    scheme#char-upper-case?
o|    scheme#char<?
o|    ##sys#void	4
o|    scheme#member	7
o|    ##sys#setbyte
o|    chicken.fixnum#fxior	13
o|    scheme#string=?	6
o|    scheme#char-numeric?	7
o|    scheme#char<=?
o|    chicken.fixnum#fx*	9
o|    scheme#eof-object?	25
o|    scheme#char=?	12
o|    scheme#char-whitespace?	7
o|    scheme#memq	12
o|    ##sys#immediate?	3
o|    chicken.fixnum#fxnot
o|    chicken.fixnum#fxand	16
o|    ##sys#call-with-current-continuation	3
o|    scheme#char?	4
o|    scheme#assq	5
o|    ##sys#setislot	28
o|    scheme#char->integer	16
o|    scheme#char-downcase	14
o|    chicken.fixnum#fxmin	3
o|    ##sys#check-vector	6
o|    scheme#string	6
o|    scheme#symbol?	8
o|    ##sys#check-symbol	10
o|    ##sys#byte	4
o|    ##sys#intern-symbol	12
o|    scheme#integer->char	22
o|    scheme#string-ci=?	2
o|    scheme#char>=?	3
o|    ##sys#foreign-flonum-argument
o|    ##sys#foreign-fixnum-argument	4
o|    chicken.base#fixnum?	2
o|    chicken.fixnum#fxshr	13
o|    chicken.fixnum#fxshl	8
o|    chicken.fixnum#fxneg	5
o|    scheme#cadr	14
o|    scheme#exact?
o|    chicken.base#ratnum?	14
o|    ##sys#check-number	10
o|    chicken.base#cplxnum?	17
o|    scheme#number?	8
o|    scheme#inexact?	7
o|    chicken.base#flonum?	46
o|    scheme#list->string
o|    chicken.fixnum#fx>	36
o|    scheme#length	6
o|    chicken.fixnum#fx>=	34
o|    chicken.fixnum#fx+	126
o|    ##sys#check-string	24
o|    chicken.fixnum#fx-	54
o|    ##sys#call-with-values	22
o|    scheme#procedure?	6
o|    ##sys#values	2
o|    chicken.fixnum#fx<=	28
o|    chicken.fixnum#fx<	39
o|    scheme#vector	7
o|    chicken.fixnum#fx=	21
o|    ##sys#size	71
o|    scheme#list	27
o|    ##sys#setslot	46
o|    scheme#list?	5
o|    ##sys#check-pair	3
o|    chicken.base#void	3
o|    scheme#null?	128
o|    ##sys#check-list	18
o|    scheme#not	89
o|    ##sys#make-structure	11
o|    ##sys#structure?	8
o|    scheme#apply	95
o|    scheme#call-with-values	2
o|    scheme#values	23
o|    ##sys#check-char	15
o|    scheme#pair?	89
o|    ##sys#slot	348
o|    scheme#cons	140
o|    scheme#eq?	394
o|    scheme#cdr	45
o|    scheme#car	119
o|contracted procedure: k8558 
o|contracted procedure: k8554 
o|contracted procedure: k8572 
o|contracted procedure: k8586 
o|contracted procedure: k8582 
o|contracted procedure: k8607 
o|contracted procedure: k8603 
o|contracted procedure: k8621 
o|contracted procedure: k8617 
o|contracted procedure: k8639 
o|contracted procedure: k8635 
o|contracted procedure: k8631 
o|contracted procedure: k8649 
o|contracted procedure: k8661 
o|contracted procedure: k8679 
o|contracted procedure: k8675 
o|contracted procedure: k8690 
o|contracted procedure: k8708 
o|contracted procedure: k8704 
o|contracted procedure: k8700 
o|contracted procedure: k8718 
o|contracted procedure: k8730 
o|contracted procedure: k8755 
o|contracted procedure: k8751 
o|contracted procedure: k8747 
o|contracted procedure: k8765 
o|contracted procedure: k8784 
o|contracted procedure: k8780 
o|contracted procedure: k8776 
o|contracted procedure: k8817 
o|contracted procedure: k8823 
o|contracted procedure: k8830 
o|contracted procedure: k8838 
o|contracted procedure: k8834 
o|contracted procedure: k8968 
o|contracted procedure: k8997 
o|contracted procedure: k9003 
o|contracted procedure: k9014 
o|contracted procedure: k9020 
o|contracted procedure: k9026 
o|contracted procedure: k9032 
o|contracted procedure: k9038 
o|contracted procedure: k9209 
o|contracted procedure: k9269 
o|contracted procedure: k9300 
o|contracted procedure: k9281 
o|contracted procedure: k9288 
o|contracted procedure: k9296 
o|contracted procedure: k9306 
o|contracted procedure: k9337 
o|contracted procedure: k9318 
o|contracted procedure: k9325 
o|contracted procedure: k9333 
o|contracted procedure: k9347 
o|contracted procedure: k9362 
o|contracted procedure: k9353 
o|contracted procedure: k9377 
o|contracted procedure: k9371 
o|contracted procedure: k9401 
o|contracted procedure: k9410 
o|contracted procedure: k9420 
o|contracted procedure: k9457 
o|contracted procedure: k9437 
o|contracted procedure: k9440 
o|contracted procedure: k9453 
o|contracted procedure: k9466 
o|contracted procedure: k9469 
o|contracted procedure: k9510 
o|contracted procedure: k9531 
o|contracted procedure: k9543 
o|contracted procedure: k9552 
o|contracted procedure: k9555 
o|contracted procedure: k9561 
o|contracted procedure: k9590 
o|contracted procedure: k9617 
o|contracted procedure: k9596 
o|contracted procedure: k9609 
o|contracted procedure: k9613 
o|contracted procedure: k9626 
o|contracted procedure: k9673 
o|contracted procedure: k9637 
o|contracted procedure: k9651 
o|contracted procedure: k9654 
o|contracted procedure: k9660 
o|contracted procedure: k9682 
o|contracted procedure: k9704 
o|contracted procedure: k9719 
o|contracted procedure: k9729 
o|contracted procedure: k9733 
o|contracted procedure: k9743 
o|contracted procedure: k9752 
o|contracted procedure: k9758 
o|contracted procedure: k9765 
o|contracted procedure: k9784 
o|contracted procedure: k9787 
o|contracted procedure: k9790 
o|contracted procedure: k9796 
o|contracted procedure: k9819 
o|contracted procedure: k9831 
o|contracted procedure: k9863 
o|contracted procedure: k9837 
o|contracted procedure: k9843 
o|contracted procedure: k9846 
o|contracted procedure: k9852 
o|contracted procedure: k9866 
o|contracted procedure: k9873 
o|contracted procedure: k9885 
o|contracted procedure: k9947 
o|contracted procedure: k9891 
o|contracted procedure: k9943 
o|contracted procedure: k9900 
o|contracted procedure: k9909 
o|contracted procedure: k9916 
o|contracted procedure: k9924 
o|contracted procedure: k9928 
o|contracted procedure: k9935 
o|contracted procedure: k9939 
o|contracted procedure: k10030 
o|contracted procedure: k9953 
o|contracted procedure: k9965 
o|contracted procedure: k9972 
o|contracted procedure: k9975 
o|contracted procedure: k9981 
o|contracted procedure: k9987 
o|contracted procedure: k10001 
o|contracted procedure: k10004 
o|contracted procedure: k10017 
o|contracted procedure: k10020 
o|contracted procedure: k10027 
o|contracted procedure: k10134 
o|contracted procedure: k10039 
o|contracted procedure: k10051 
o|contracted procedure: k10058 
o|contracted procedure: k10131 
o|contracted procedure: k10064 
o|contracted procedure: k10070 
o|contracted procedure: k10127 
o|contracted procedure: k10076 
o|contracted procedure: k10092 
o|contracted procedure: k10096 
o|contracted procedure: k10115 
o|contracted procedure: k10119 
o|contracted procedure: k10103 
o|contracted procedure: k10111 
o|contracted procedure: k10123 
o|contracted procedure: k10246 
o|contracted procedure: k10143 
o|contracted procedure: k10240 
o|contracted procedure: k10146 
o|contracted procedure: k10234 
o|contracted procedure: k10149 
o|contracted procedure: k10228 
o|contracted procedure: k10152 
o|contracted procedure: k10167 
o|contracted procedure: k10173 
o|contracted procedure: k10179 
o|contracted procedure: k10193 
o|contracted procedure: k10199 
o|contracted procedure: k10202 
o|contracted procedure: k10205 
o|contracted procedure: k10218 
o|contracted procedure: k10222 
o|contracted procedure: k10255 
o|contracted procedure: k10270 
o|contracted procedure: k10273 
o|contracted procedure: k10276 
o|contracted procedure: k10289 
o|contracted procedure: k10293 
o|contracted procedure: k10296 
o|contracted procedure: k10412 
o|contracted procedure: k10424 
o|contracted procedure: k10463 
o|contracted procedure: k10459 
o|contracted procedure: k10510 
o|contracted procedure: k10513 
o|contracted procedure: k10522 
o|contracted procedure: k10541 
o|contracted procedure: k10548 
o|contracted procedure: k10552 
o|contracted procedure: k10561 
o|contracted procedure: k10572 
o|contracted procedure: k10584 
o|contracted procedure: k10595 
o|contracted procedure: k10606 
o|contracted procedure: k10617 
o|contracted procedure: k10628 
o|contracted procedure: k10639 
o|contracted procedure: k10650 
o|contracted procedure: k10661 
o|contracted procedure: k10672 
o|contracted procedure: k10683 
o|contracted procedure: k10694 
o|contracted procedure: k10705 
o|contracted procedure: k10723 
o|contracted procedure: k10740 
o|contracted procedure: k10750 
o|contracted procedure: k10753 
o|contracted procedure: k10763 
o|contracted procedure: k10781 
o|contracted procedure: k10809 
o|contracted procedure: k10794 
o|contracted procedure: k10805 
o|contracted procedure: k10821 
o|contracted procedure: k10831 
o|contracted procedure: k10841 
o|contracted procedure: k10852 
o|contracted procedure: k10861 
o|contracted procedure: k10867 
o|contracted procedure: k10876 
o|contracted procedure: k10885 
o|contracted procedure: k10888 
o|contracted procedure: k10957 
o|contracted procedure: k10953 
o|contracted procedure: k10897 
o|contracted procedure: k10909 
o|contracted procedure: k10919 
o|contracted procedure: k10912 
o|contracted procedure: k10922 
o|contracted procedure: k10949 
o|contracted procedure: k10928 
o|contracted procedure: k10945 
o|contracted procedure: k10934 
o|contracted procedure: k10941 
o|contracted procedure: k10966 
o|contracted procedure: k10984 
o|contracted procedure: k10977 
o|contracted procedure: k11000 
o|contracted procedure: k10993 
o|contracted procedure: k11016 
o|contracted procedure: k11009 
o|contracted procedure: k11032 
o|contracted procedure: k11025 
o|contracted procedure: k11048 
o|contracted procedure: k11041 
o|contracted procedure: k11064 
o|contracted procedure: k11057 
o|contracted procedure: k11080 
o|contracted procedure: k11073 
o|contracted procedure: k11096 
o|contracted procedure: k11089 
o|contracted procedure: k11108 
o|contracted procedure: k11178 
o|contracted procedure: k11120 
o|contracted procedure: k11130 
o|contracted procedure: k11139 
o|contracted procedure: k11146 
o|contracted procedure: k11152 
o|contracted procedure: k11159 
o|contracted procedure: k11167 
o|contracted procedure: k11174 
o|contracted procedure: k11193 
o|contracted procedure: k11200 
o|contracted procedure: k11208 
o|contracted procedure: k11204 
o|contracted procedure: k11225 
o|contracted procedure: k11214 
o|contracted procedure: k11252 
o|contracted procedure: k11255 
o|contracted procedure: k11258 
o|contracted procedure: k11261 
o|contracted procedure: k11270 
o|contracted procedure: k11273 
o|contracted procedure: k11280 
o|contracted procedure: k11289 
o|contracted procedure: k11296 
o|contracted procedure: k11300 
o|contracted procedure: k11353 
o|contracted procedure: k11311 
o|contracted procedure: k11317 
o|contracted procedure: k11332 
o|contracted procedure: k11335 
o|contracted procedure: k11338 
o|contracted procedure: k11345 
o|contracted procedure: k11349 
o|contracted procedure: k11363 
o|contracted procedure: k11374 
o|contracted procedure: k11383 
o|contracted procedure: k11386 
o|contracted procedure: k11389 
o|contracted procedure: k11396 
o|contracted procedure: k11400 
o|contracted procedure: k11409 
o|contracted procedure: k11412 
o|contracted procedure: k11416 
o|contracted procedure: k11422 
o|contracted procedure: k11425 
o|contracted procedure: k11434 
o|contracted procedure: k11443 
o|contracted procedure: k11459 
o|contracted procedure: k11465 
o|contracted procedure: k11471 
o|contracted procedure: k11488 
o|contracted procedure: k11493 
o|contracted procedure: k11496 
o|contracted procedure: k11507 
o|contracted procedure: k11520 
o|contracted procedure: k11529 
o|contracted procedure: k11544 
o|contracted procedure: k11553 
o|contracted procedure: k11571 
o|contracted procedure: k11592 
o|contracted procedure: k11603 
o|contracted procedure: k11606 
o|contracted procedure: k11617 
o|contracted procedure: k11630 
o|contracted procedure: k11639 
o|contracted procedure: k11654 
o|contracted procedure: k11663 
o|contracted procedure: k11681 
o|contracted procedure: k11702 
o|contracted procedure: k11714 
o|contracted procedure: k11717 
o|contracted procedure: k11724 
o|contracted procedure: k11739 
o|contracted procedure: k11746 
o|contracted procedure: k11749 
o|contracted procedure: k11752 
o|contracted procedure: k11759 
o|contracted procedure: k11763 
o|contracted procedure: k11787 
o|contracted procedure: k11790 
o|contracted procedure: k11793 
o|contracted procedure: k11800 
o|contracted procedure: k11804 
o|contracted procedure: k11816 
o|contracted procedure: k11828 
o|contracted procedure: k11834 
o|contracted procedure: k11849 
o|contracted procedure: k11864 
o|contracted procedure: k11883 
o|contracted procedure: k11871 
o|contracted procedure: k11875 
o|contracted procedure: k11879 
o|contracted procedure: k11886 
o|contracted procedure: k11917 
o|contracted procedure: k11910 
o|contracted procedure: k11941 
o|contracted procedure: k11934 
o|contracted procedure: k11965 
o|contracted procedure: k11958 
o|contracted procedure: k11989 
o|contracted procedure: k11982 
o|contracted procedure: k12013 
o|contracted procedure: k12006 
o|contracted procedure: k12037 
o|contracted procedure: k12030 
o|contracted procedure: k12061 
o|contracted procedure: k12054 
o|contracted procedure: k12085 
o|contracted procedure: k12078 
o|contracted procedure: k12109 
o|contracted procedure: k12102 
o|contracted procedure: k12133 
o|contracted procedure: k12126 
o|contracted procedure: k12157 
o|contracted procedure: k12150 
o|contracted procedure: k12174 
o|contracted procedure: k12199 
o|contracted procedure: k12192 
o|contracted procedure: k12223 
o|contracted procedure: k12216 
o|contracted procedure: k12240 
o|contracted procedure: k12258 
o|contracted procedure: k12276 
o|contracted procedure: k12294 
o|contracted procedure: k12312 
o|contracted procedure: k12330 
o|contracted procedure: k12348 
o|contracted procedure: k12366 
o|contracted procedure: k12384 
o|contracted procedure: k12402 
o|contracted procedure: k12427 
o|contracted procedure: k12420 
o|contracted procedure: k12444 
o|contracted procedure: k12469 
o|contracted procedure: k12462 
o|contracted procedure: k12486 
o|contracted procedure: k12504 
o|contracted procedure: k12522 
o|contracted procedure: k12540 
o|contracted procedure: k12562 
o|contracted procedure: k12553 
o|contracted procedure: k12578 
o|contracted procedure: k12592 
o|contracted procedure: k12596 
o|contracted procedure: k12647 
o|contracted procedure: k12658 
o|contracted procedure: k12670 
o|contracted procedure: k12684 
o|contracted procedure: k12693 
o|contracted procedure: k12712 
o|contracted procedure: k12738 
o|contracted procedure: k12751 
o|contracted procedure: k12757 
o|contracted procedure: k12804 
o|contracted procedure: k12826 
o|contracted procedure: k12850 
o|contracted procedure: k12872 
o|contracted procedure: k12889 
o|contracted procedure: k12901 
o|contracted procedure: k13009 
o|contracted procedure: k12938 
o|contracted procedure: k12979 
o|contracted procedure: k13035 
o|contracted procedure: k13087 
o|contracted procedure: k13097 
o|contracted procedure: k13110 
o|contracted procedure: k13117 
o|contracted procedure: k13125 
o|contracted procedure: k13129 
o|contracted procedure: k13167 
o|contracted procedure: k13170 
o|contracted procedure: k13217 
o|contracted procedure: k13234 
o|contracted procedure: k13240 
o|contracted procedure: k13321 
o|contracted procedure: k13365 
o|contracted procedure: k13355 
o|contracted procedure: k13373 
o|contracted procedure: k13396 
o|contracted procedure: k13437 
o|contracted procedure: k13478 
o|contracted procedure: k13509 
o|contracted procedure: k13551 
o|contracted procedure: k13570 
o|contracted procedure: k13621 
o|contracted procedure: k13646 
o|contracted procedure: k13650 
o|contracted procedure: k13681 
o|contracted procedure: k13684 
o|contracted procedure: k13707 
o|contracted procedure: k13713 
o|contracted procedure: k13720 
o|contracted procedure: k13727 
o|contracted procedure: k13731 
o|contracted procedure: k13735 
o|contracted procedure: k13750 
o|contracted procedure: k13756 
o|contracted procedure: k13763 
o|contracted procedure: k13770 
o|contracted procedure: k13774 
o|contracted procedure: k13778 
o|contracted procedure: k13786 
o|contracted procedure: k13792 
o|contracted procedure: k13831 
o|contracted procedure: k13840 
o|contracted procedure: k13891 
o|contracted procedure: k13871 
o|contracted procedure: k13900 
o|contracted procedure: k13906 
o|contracted procedure: k13930 
o|contracted procedure: k13936 
o|contracted procedure: k13960 
o|contracted procedure: k13966 
o|contracted procedure: k13985 
o|contracted procedure: k14021 
o|contracted procedure: k14038 
o|contracted procedure: k14061 
o|contracted procedure: k14127 
o|contracted procedure: k14078 
o|contracted procedure: k14081 
o|contracted procedure: k14087 
o|contracted procedure: k14292 
o|contracted procedure: k14139 
o|contracted procedure: k14145 
o|contracted procedure: k14148 
o|contracted procedure: k14157 
o|contracted procedure: k14166 
o|contracted procedure: k14175 
o|contracted procedure: k14287 
o|contracted procedure: k14197 
o|contracted procedure: k14200 
o|contracted procedure: k14215 
o|contracted procedure: k14230 
o|contracted procedure: k14313 
o|contracted procedure: k14376 
o|contracted procedure: k14386 
o|contracted procedure: k14410 
o|contracted procedure: k14434 
o|contracted procedure: k14482 
o|contracted procedure: k14566 
o|contracted procedure: k14570 
o|contracted procedure: k14613 
o|contracted procedure: k14662 
o|contracted procedure: k14898 
o|contracted procedure: k14680 
o|contracted procedure: k14894 
o|contracted procedure: k14689 
o|contracted procedure: k14726 
o|contracted procedure: k14767 
o|contracted procedure: k14801 
o|contracted procedure: k14845 
o|contracted procedure: k14848 
o|contracted procedure: k14875 
o|contracted procedure: k14883 
o|contracted procedure: k14890 
o|contracted procedure: k14920 
o|contracted procedure: k14942 
o|contracted procedure: k14983 
o|contracted procedure: k14990 
o|contracted procedure: k14994 
o|contracted procedure: k15003 
o|contracted procedure: k15014 
o|contracted procedure: k15025 
o|contracted procedure: k15045 
o|contracted procedure: k15052 
o|contracted procedure: k15056 
o|contracted procedure: k15065 
o|contracted procedure: k15076 
o|contracted procedure: k15091 
o|contracted procedure: k15144 
o|contracted procedure: k15097 
o|contracted procedure: k15134 
o|contracted procedure: k15129 
o|contracted procedure: k15153 
o|contracted procedure: k15184 
o|contracted procedure: k15205 
o|contracted procedure: k15325 
o|contracted procedure: k15336 
o|contracted procedure: k15361 
o|contracted procedure: k15374 
o|contracted procedure: k15385 
o|contracted procedure: k15402 
o|contracted procedure: k15408 
o|contracted procedure: k15414 
o|contracted procedure: k15230 
o|contracted procedure: k15292 
o|contracted procedure: k15242 
o|contracted procedure: k15248 
o|contracted procedure: k15253 
o|contracted procedure: k15307 
o|contracted procedure: k15311 
o|contracted procedure: k15269 
o|contracted procedure: k15273 
o|contracted procedure: k15428 
o|contracted procedure: k16750 
o|contracted procedure: k16742 
o|contracted procedure: k15431 
o|contracted procedure: k16738 
o|contracted procedure: k16730 
o|contracted procedure: k15434 
o|contracted procedure: k16726 
o|contracted procedure: k16718 
o|contracted procedure: k15437 
o|contracted procedure: k15451 
o|contracted procedure: k15457 
o|contracted procedure: k15471 
o|contracted procedure: k15496 
o|contracted procedure: k15477 
o|contracted procedure: k15484 
o|contracted procedure: k15490 
o|contracted procedure: k15543 
o|contracted procedure: k15504 
o|contracted procedure: k15514 
o|contracted procedure: k15520 
o|contracted procedure: k15526 
o|contracted procedure: k15559 
o|contracted procedure: k15565 
o|contracted procedure: k15579 
o|contracted procedure: k15586 
o|contracted procedure: k15592 
o|contracted procedure: k15606 
o|contracted procedure: k15613 
o|contracted procedure: k15634 
o|contracted procedure: k15648 
o|contracted procedure: k15659 
o|contracted procedure: k15670 
o|contracted procedure: k15690 
o|contracted procedure: k15694 
o|contracted procedure: k15702 
o|contracted procedure: k15708 
o|contracted procedure: k15720 
o|contracted procedure: k15726 
o|contracted procedure: k15741 
o|contracted procedure: k15747 
o|contracted procedure: k15759 
o|contracted procedure: k15774 
o|contracted procedure: k15802 
o|contracted procedure: k15798 
o|contracted procedure: k15806 
o|contracted procedure: k15809 
o|contracted procedure: k15812 
o|contracted procedure: k15815 
o|contracted procedure: k15821 
o|contracted procedure: k15839 
o|contracted procedure: k15845 
o|contracted procedure: k15851 
o|contracted procedure: k15857 
o|contracted procedure: k15863 
o|contracted procedure: k15869 
o|contracted procedure: k15875 
o|contracted procedure: k15881 
o|contracted procedure: k15915 
o|contracted procedure: k15942 
o|contracted procedure: k15957 
o|contracted procedure: k15966 
o|contracted procedure: k15992 
o|contracted procedure: k15972 
o|contracted procedure: k15979 
o|contracted procedure: k16000 
o|contracted procedure: k16006 
o|contracted procedure: k16012 
o|contracted procedure: k16040 
o|contracted procedure: k16044 
o|contracted procedure: k16054 
o|contracted procedure: k16058 
o|contracted procedure: k16074 
o|contracted procedure: k16152 
o|contracted procedure: k16083 
o|contracted procedure: k16148 
o|contracted procedure: k16098 
o|contracted procedure: k16107 
o|contracted procedure: k16118 
o|contracted procedure: k16133 
o|contracted procedure: k16156 
o|contracted procedure: k16165 
o|contracted procedure: k16171 
o|contracted procedure: k16177 
o|contracted procedure: k16183 
o|contracted procedure: k16189 
o|contracted procedure: k16195 
o|contracted procedure: k16201 
o|contracted procedure: k16207 
o|contracted procedure: k16238 
o|contracted procedure: k16267 
o|contracted procedure: k16248 
o|contracted procedure: k16254 
o|contracted procedure: k16275 
o|contracted procedure: k16286 
o|contracted procedure: k16292 
o|contracted procedure: k16303 
o|contracted procedure: k16306 
o|contracted procedure: k16319 
o|contracted procedure: k16390 
o|contracted procedure: k16325 
o|contracted procedure: k16335 
o|contracted procedure: k16368 
o|contracted procedure: k16351 
o|contracted procedure: k16365 
o|contracted procedure: k16358 
o|contracted procedure: k16355 
o|contracted procedure: k16386 
o|contracted procedure: k16371 
o|contracted procedure: k16382 
o|contracted procedure: k16396 
o|contracted procedure: k16399 
o|contracted procedure: k16412 
o|contracted procedure: k16460 
o|contracted procedure: k16418 
o|contracted procedure: k16424 
o|contracted procedure: k16448 
o|contracted procedure: k16441 
o|contracted procedure: k16438 
o|contracted procedure: k16456 
o|contracted procedure: k16467 
o|contracted procedure: k16487 
o|contracted procedure: k16493 
o|contracted procedure: k16512 
o|contracted procedure: k16528 
o|contracted procedure: k16535 
o|contracted procedure: k16538 
o|contracted procedure: k16577 
o|contracted procedure: k16544 
o|contracted procedure: k16550 
o|contracted procedure: k16553 
o|contracted procedure: k16585 
o|contracted procedure: k16588 
o|contracted procedure: k16598 
o|contracted procedure: k16646 
o|contracted procedure: k16604 
o|contracted procedure: k16610 
o|contracted procedure: k16656 
o|contracted procedure: k16680 
o|contracted procedure: k16666 
o|contracted procedure: k16684 
o|contracted procedure: k16707 
o|contracted procedure: k17002 
o|contracted procedure: k16756 
o|contracted procedure: k16759 
o|contracted procedure: k16769 
o|contracted procedure: k16961 
o|contracted procedure: k16789 
o|contracted procedure: k16792 
o|contracted procedure: k16798 
o|contracted procedure: k16805 
o|contracted procedure: k16811 
o|contracted procedure: k16814 
o|contracted procedure: k16820 
o|contracted procedure: k16827 
o|contracted procedure: k16833 
o|contracted procedure: k16836 
o|contracted procedure: k16842 
o|contracted procedure: k16849 
o|contracted procedure: k16855 
o|contracted procedure: k16858 
o|contracted procedure: k16864 
o|contracted procedure: k16871 
o|contracted procedure: k16877 
o|contracted procedure: k16880 
o|contracted procedure: k16886 
o|contracted procedure: k16893 
o|contracted procedure: k16899 
o|contracted procedure: k16902 
o|contracted procedure: k16908 
o|contracted procedure: k16915 
o|contracted procedure: k16984 
o|contracted procedure: k16971 
o|contracted procedure: k16996 
o|contracted procedure: k16987 
o|contracted procedure: k17044 
o|contracted procedure: k17011 
o|contracted procedure: k17038 
o|contracted procedure: k17014 
o|contracted procedure: k17032 
o|contracted procedure: k17017 
o|contracted procedure: k17026 
o|contracted procedure: k17020 
o|contracted procedure: k17060 
o|contracted procedure: k17063 
o|contracted procedure: k17069 
o|contracted procedure: k17072 
o|contracted procedure: k17078 
o|contracted procedure: k17090 
o|contracted procedure: k17097 
o|contracted procedure: k17101 
o|contracted procedure: k17114 
o|contracted procedure: k17118 
o|contracted procedure: k17122 
o|contracted procedure: k17128 
o|contracted procedure: k17137 
o|contracted procedure: k17143 
o|contracted procedure: k17154 
o|contracted procedure: k17160 
o|contracted procedure: k17166 
o|contracted procedure: k17187 
o|contracted procedure: k17197 
o|contracted procedure: k17193 
o|contracted procedure: k17200 
o|contracted procedure: k17213 
o|contracted procedure: k17206 
o|contracted procedure: k17230 
o|contracted procedure: k17239 
o|contracted procedure: k17251 
o|contracted procedure: k17257 
o|contracted procedure: k17245 
o|contracted procedure: k17266 
o|contracted procedure: k17269 
o|contracted procedure: k17284 
o|contracted procedure: k17287 
o|contracted procedure: k17310 
o|contracted procedure: k17313 
o|contracted procedure: k17328 
o|contracted procedure: k17345 
o|contracted procedure: k17334 
o|contracted procedure: k17341 
o|contracted procedure: k17364 
o|contracted procedure: k17377 
o|contracted procedure: k17390 
o|contracted procedure: k17409 
o|contracted procedure: k17427 
o|contracted procedure: k17430 
o|contracted procedure: k17465 
o|contracted procedure: k17485 
o|contracted procedure: k17488 
o|contracted procedure: k17491 
o|contracted procedure: k17499 
o|contracted procedure: k17507 
o|contracted procedure: k17470 
o|contracted procedure: k17519 
o|contracted procedure: k17525 
o|contracted procedure: k17536 
o|contracted procedure: k17559 
o|contracted procedure: k17582 
o|contracted procedure: k17564 
o|contracted procedure: k17567 
o|contracted procedure: k17573 
o|contracted procedure: k17622 
o|contracted procedure: k17625 
o|contracted procedure: k17637 
o|contracted procedure: k17652 
o|contracted procedure: k17663 
o|contracted procedure: k17658 
o|contracted procedure: k17682 
o|contracted procedure: k17679 
o|contracted procedure: k17688 
o|contracted procedure: k17744 
o|contracted procedure: k17701 
o|contracted procedure: k17707 
o|contracted procedure: k17722 
o|contracted procedure: k17740 
o|contracted procedure: k17725 
o|contracted procedure: k17732 
o|contracted procedure: k17736 
o|contracted procedure: k17750 
o|contracted procedure: k17762 
o|contracted procedure: k17769 
o|contracted procedure: k17777 
o|contracted procedure: k17789 
o|contracted procedure: k17801 
o|contracted procedure: k17804 
o|contracted procedure: k17811 
o|contracted procedure: k17817 
o|contracted procedure: k17820 
o|contracted procedure: k17823 
o|contracted procedure: k17826 
o|contracted procedure: k17847 
o|contracted procedure: k17861 
o|contracted procedure: k17850 
o|contracted procedure: k17857 
o|contracted procedure: k17864 
o|contracted procedure: k17867 
o|contracted procedure: k17876 
o|contracted procedure: k17948 
o|contracted procedure: k17886 
o|contracted procedure: k17889 
o|contracted procedure: k17892 
o|contracted procedure: k17895 
o|contracted procedure: k17898 
o|contracted procedure: k17919 
o|contracted procedure: k17937 
o|contracted procedure: k17933 
o|contracted procedure: k17922 
o|contracted procedure: k17929 
o|contracted procedure: k17941 
o|contracted procedure: k17945 
o|contracted procedure: k17969 
o|contracted procedure: k17957 
o|contracted procedure: k17960 
o|contracted procedure: k17993 
o|contracted procedure: k18007 
o|contracted procedure: k17996 
o|contracted procedure: k18003 
o|contracted procedure: k18011 
o|contracted procedure: k18021 
o|contracted procedure: k18025 
o|contracted procedure: k18032 
o|contracted procedure: k18036 
o|contracted procedure: k18043 
o|contracted procedure: k18047 
o|contracted procedure: k18054 
o|contracted procedure: k18058 
o|contracted procedure: k18065 
o|contracted procedure: k18069 
o|contracted procedure: k18079 
o|contracted procedure: k18086 
o|contracted procedure: k18095 
o|contracted procedure: k18098 
o|contracted procedure: k18115 
o|contracted procedure: k18104 
o|contracted procedure: k18111 
o|contracted procedure: k18126 
o|contracted procedure: k18141 
o|contracted procedure: k18144 
o|contracted procedure: k18156 
o|contracted procedure: k18159 
o|contracted procedure: k18173 
o|contracted procedure: k18169 
o|contracted procedure: k18177 
o|contracted procedure: k18200 
o|contracted procedure: k18181 
o|contracted procedure: k18192 
o|contracted procedure: k18196 
o|contracted procedure: k18188 
o|contracted procedure: k18214 
o|contracted procedure: k18210 
o|contracted procedure: k18203 
o|contracted procedure: k18217 
o|contracted procedure: k18220 
o|contracted procedure: k18229 
o|contracted procedure: k18290 
o|contracted procedure: k18296 
o|contracted procedure: k18306 
o|contracted procedure: k18310 
o|contracted procedure: k18328 
o|contracted procedure: k18334 
o|contracted procedure: k18349 
o|contracted procedure: k18353 
o|contracted procedure: k18364 
o|contracted procedure: k18367 
o|contracted procedure: k18373 
o|contracted procedure: k18382 
o|contracted procedure: k18397 
o|contracted procedure: k18408 
o|contracted procedure: k18451 
o|contracted procedure: k18426 
o|contracted procedure: k18447 
o|contracted procedure: k18443 
o|contracted procedure: k18432 
o|contracted procedure: k18439 
o|contracted procedure: k18462 
o|contracted procedure: k18465 
o|contracted procedure: k18477 
o|contracted procedure: k18487 
o|contracted procedure: k18491 
o|contracted procedure: k18498 
o|contracted procedure: k18504 
o|contracted procedure: k18510 
o|contracted procedure: k18548 
o|contracted procedure: k18551 
o|contracted procedure: k18554 
o|contracted procedure: k18566 
o|contracted procedure: k18569 
o|contracted procedure: k18572 
o|contracted procedure: k18580 
o|contracted procedure: k18588 
o|contracted procedure: k18598 
o|contracted procedure: k18604 
o|contracted procedure: k18610 
o|contracted procedure: k18676 
o|contracted procedure: k18656 
o|contracted procedure: k18666 
o|contracted procedure: k18698 
o|contracted procedure: k18709 
o|contracted procedure: k18713 
o|contracted procedure: k18705 
o|contracted procedure: k18723 
o|contracted procedure: k18732 
o|contracted procedure: k18746 
o|contracted procedure: k18738 
o|contracted procedure: k18750 
o|contracted procedure: k18754 
o|contracted procedure: k18775 
o|contracted procedure: k18757 
o|contracted procedure: k18761 
o|contracted procedure: k18771 
o|contracted procedure: k18804 
o|contracted procedure: k18810 
o|contracted procedure: k18813 
o|contracted procedure: k18816 
o|contracted procedure: k18819 
o|contracted procedure: k18822 
o|contracted procedure: k18825 
o|contracted procedure: k18828 
o|contracted procedure: k31780 
o|contracted procedure: k31786 
o|contracted procedure: k31820 
o|contracted procedure: k31826 
o|contracted procedure: k31882 
o|contracted procedure: k31888 
o|contracted procedure: k31894 
o|contracted procedure: k31907 
o|contracted procedure: k31911 
o|contracted procedure: k31915 
o|contracted procedure: k31937 
o|contracted procedure: k31944 
o|contracted procedure: k31948 
o|contracted procedure: k31952 
o|contracted procedure: k31962 
o|contracted procedure: k31978 
o|contracted procedure: k31982 
o|contracted procedure: k31989 
o|contracted procedure: k31995 
o|contracted procedure: k32004 
o|contracted procedure: k32010 
o|contracted procedure: k32024 
o|contracted procedure: k32028 
o|contracted procedure: k32040 
o|contracted procedure: k32046 
o|contracted procedure: k32052 
o|contracted procedure: k32076 
o|contracted procedure: k32055 
o|contracted procedure: k32113 
o|contracted procedure: k32109 
o|contracted procedure: k32098 
o|contracted procedure: k32127 
o|contracted procedure: k32123 
o|contracted procedure: k32116 
o|contracted procedure: k32130 
o|contracted procedure: k18832 
o|contracted procedure: k18863 
o|contracted procedure: k18874 
o|contracted procedure: k18885 
o|contracted procedure: k18896 
o|contracted procedure: k18907 
o|contracted procedure: k18910 
o|contracted procedure: k18936 
o|contracted procedure: k18942 
o|contracted procedure: k18949 
o|contracted procedure: k18955 
o|contracted procedure: k18968 
o|contracted procedure: k18971 
o|contracted procedure: k18997 
o|contracted procedure: k19003 
o|contracted procedure: k19010 
o|contracted procedure: k19016 
o|contracted procedure: k19029 
o|contracted procedure: k19032 
o|contracted procedure: k19058 
o|contracted procedure: k19064 
o|contracted procedure: k19071 
o|contracted procedure: k19077 
o|contracted procedure: k19090 
o|contracted procedure: k19113 
o|contracted procedure: k19116 
o|contracted procedure: k19159 
o|contracted procedure: k19162 
o|contracted procedure: k19172 
o|contracted procedure: k19175 
o|contracted procedure: k1917234609 
o|contracted procedure: k19182 
o|contracted procedure: k1917234613 
o|contracted procedure: k19189 
o|contracted procedure: k1917234617 
o|contracted procedure: k19214 
o|contracted procedure: k19238 
o|contracted procedure: k19242 
o|contracted procedure: k19234 
o|contracted procedure: k19220 
o|contracted procedure: k19230 
o|contracted procedure: k19223 
o|contracted procedure: k19395 
o|contracted procedure: k19401 
o|contracted procedure: k19421 
o|contracted procedure: k19414 
o|contracted procedure: k19436 
o|contracted procedure: k19427 
o|contracted procedure: k19454 
o|contracted procedure: k19461 
o|contracted procedure: k19483 
o|contracted procedure: k19500 
o|contracted procedure: k19489 
o|contracted procedure: k19496 
o|contracted procedure: k19504 
o|contracted procedure: k19507 
o|contracted procedure: k19523 
o|contracted procedure: k19562 
o|contracted procedure: k19533 
o|contracted procedure: k19542 
o|contracted procedure: k19545 
o|contracted procedure: k19558 
o|contracted procedure: k19568 
o|contracted procedure: k19584 
o|contracted procedure: k19580 
o|contracted procedure: k19596 
o|contracted procedure: k19626 
o|contracted procedure: k19703 
o|contracted procedure: k19637 
o|contracted procedure: k19661 
o|contracted procedure: k19674 
o|contracted procedure: k19681 
o|contracted procedure: k19691 
o|contracted procedure: k19687 
o|contracted procedure: k19694 
o|contracted procedure: k19778 
o|contracted procedure: k19938 
o|contracted procedure: k19785 
o|contracted procedure: k19799 
o|contracted procedure: k19808 
o|contracted procedure: k19816 
o|contracted procedure: k19820 
o|contracted procedure: k19826 
o|contracted procedure: k19835 
o|contracted procedure: k19841 
o|contracted procedure: k19851 
o|contracted procedure: k19867 
o|contracted procedure: k19873 
o|contracted procedure: k19880 
o|contracted procedure: k19886 
o|contracted procedure: k19896 
o|contracted procedure: k19902 
o|contracted procedure: k19908 
o|contracted procedure: k19917 
o|contracted procedure: k19935 
o|contracted procedure: k19923 
o|contracted procedure: k19931 
o|contracted procedure: k19965 
o|contracted procedure: k19949 
o|contracted procedure: k19962 
o|contracted procedure: k19955 
o|contracted procedure: k19983 
o|contracted procedure: k19974 
o|contracted procedure: k19998 
o|contracted procedure: k20012 
o|contracted procedure: k20008 
o|contracted procedure: k20001 
o|inlining procedure: k19995 
o|contracted procedure: k20018 
o|contracted procedure: k20029 
o|contracted procedure: k20025 
o|inlining procedure: k19995 
o|contracted procedure: k20033 
o|contracted procedure: k20036 
o|contracted procedure: k20046 
o|contracted procedure: k20039 
o|contracted procedure: k20064 
o|contracted procedure: k20080 
o|contracted procedure: k20067 
o|contracted procedure: k20073 
o|contracted procedure: k20095 
o|contracted procedure: k20086 
o|contracted procedure: k20113 
o|contracted procedure: k20104 
o|contracted procedure: k20167 
o|contracted procedure: k20190 
o|contracted procedure: k20201 
o|contracted procedure: k20262 
o|contracted procedure: k20269 
o|contracted procedure: k20291 
o|contracted procedure: k20319 
o|contracted procedure: k20335 
o|contracted procedure: k20360 
o|contracted procedure: k20385 
o|contracted procedure: k20388 
o|contracted procedure: k20398 
o|contracted procedure: k20402 
o|contracted procedure: k20414 
o|contracted procedure: k20426 
o|contracted procedure: k20433 
o|contracted procedure: k20437 
o|contracted procedure: k20442 
o|contracted procedure: k20467 
o|contracted procedure: k20477 
o|contracted procedure: k20488 
o|contracted procedure: k20494 
o|contracted procedure: k20505 
o|contracted procedure: k20511 
o|contracted procedure: k20522 
o|contracted procedure: k20528 
o|contracted procedure: k20539 
o|contracted procedure: k20545 
o|contracted procedure: k20556 
o|contracted procedure: k20566 
o|contracted procedure: k20577 
o|contracted procedure: k20587 
o|contracted procedure: k20598 
o|contracted procedure: k20608 
o|contracted procedure: k20611 
o|contracted procedure: k20622 
o|contracted procedure: k20632 
o|contracted procedure: k20676 
o|contracted procedure: k20706 
o|contracted procedure: k20735 
o|contracted procedure: k20749 
o|contracted procedure: k20755 
o|contracted procedure: k20770 
o|contracted procedure: k20773 
o|contracted procedure: k20786 
o|contracted procedure: k20801 
o|contracted procedure: k20817 
o|contracted procedure: k20896 
o|contracted procedure: k20892 
o|contracted procedure: k20884 
o|contracted procedure: k20880 
o|contracted procedure: k20865 
o|contracted procedure: k20876 
o|contracted procedure: k20910 
o|contracted procedure: k20913 
o|contracted procedure: k20919 
o|contracted procedure: k20925 
o|contracted procedure: k20931 
o|contracted procedure: k20948 
o|contracted procedure: k20954 
o|contracted procedure: k20994 
o|contracted procedure: k21008 
o|contracted procedure: k21017 
o|contracted procedure: k21026 
o|contracted procedure: k21059 
o|contracted procedure: k21100 
o|contracted procedure: k21109 
o|contracted procedure: k21121 
o|contracted procedure: k21133 
o|contracted procedure: k21142 
o|contracted procedure: k21160 
o|contracted procedure: k21178 
o|contracted procedure: k21181 
o|contracted procedure: k21218 
o|contracted procedure: k21191 
o|contracted procedure: k21212 
o|contracted procedure: k21224 
o|contracted procedure: k21230 
o|contracted procedure: k21236 
o|contracted procedure: k21245 
o|contracted procedure: k21248 
o|contracted procedure: k21282 
o|contracted procedure: k21316 
o|contracted procedure: k21358 
o|contracted procedure: k21350 
o|contracted procedure: k21367 
o|contracted procedure: k21379 
o|contracted procedure: k21388 
o|contracted procedure: k21418 
o|contracted procedure: k21430 
o|contracted procedure: k21439 
o|contracted procedure: k21495 
o|contracted procedure: k21507 
o|inlining procedure: k21524 
o|contracted procedure: k21528 
o|inlining procedure: k21524 
o|contracted procedure: k21534 
o|contracted procedure: k21559 
o|contracted procedure: k21579 
o|contracted procedure: k21586 
o|contracted procedure: k21629 
o|contracted procedure: k21649 
o|contracted procedure: k21667 
o|contracted procedure: k21660 
o|contracted procedure: k21673 
o|contracted procedure: k21684 
o|contracted procedure: k21680 
o|contracted procedure: k21690 
o|contracted procedure: k21702 
o|contracted procedure: k21726 
o|contracted procedure: k21736 
o|contracted procedure: k21746 
o|contracted procedure: k21766 
o|contracted procedure: k21752 
o|contracted procedure: k21763 
o|contracted procedure: k21775 
o|contracted procedure: k21784 
o|contracted procedure: k21794 
o|inlining procedure: k21801 
o|contracted procedure: k21805 
o|inlining procedure: k21801 
o|contracted procedure: k21819 
o|contracted procedure: k21837 
o|contracted procedure: k21843 
o|contracted procedure: k21860 
o|contracted procedure: k21863 
o|contracted procedure: k21885 
o|contracted procedure: k22004 
o|contracted procedure: k21891 
o|contracted procedure: k22000 
o|contracted procedure: k21992 
o|contracted procedure: k21996 
o|contracted procedure: k21988 
o|contracted procedure: k21894 
o|contracted procedure: k21897 
o|contracted procedure: k21984 
o|contracted procedure: k21980 
o|contracted procedure: k21976 
o|contracted procedure: k21972 
o|contracted procedure: k21959 
o|contracted procedure: k21967 
o|contracted procedure: k21963 
o|contracted procedure: k21903 
o|contracted procedure: k21915 
o|contracted procedure: k21946 
o|contracted procedure: k21954 
o|contracted procedure: k21950 
o|contracted procedure: k21919 
o|contracted procedure: k21925 
o|contracted procedure: k21933 
o|contracted procedure: k21941 
o|contracted procedure: k21937 
o|contracted procedure: k21929 
o|contracted procedure: k22008 
o|contracted procedure: k22031 
o|contracted procedure: k22052 
o|contracted procedure: k22058 
o|contracted procedure: k22075 
o|contracted procedure: k22064 
o|contracted procedure: k22071 
o|contracted procedure: k22088 
o|contracted procedure: k22098 
o|contracted procedure: k22095 
o|contracted procedure: k22111 
o|contracted procedure: k22133 
o|contracted procedure: k22148 
o|contracted procedure: k22200 
o|contracted procedure: k22157 
o|contracted procedure: k22163 
o|contracted procedure: k22182 
o|contracted procedure: k22185 
o|contracted procedure: k22196 
o|contracted procedure: k22236 
o|contracted procedure: k22260 
o|contracted procedure: k22272 
o|contracted procedure: k22288 
o|contracted procedure: k22304 
o|contracted procedure: k22313 
o|contracted procedure: k22340 
o|contracted procedure: k22352 
o|contracted procedure: k22361 
o|contracted procedure: k22370 
o|contracted procedure: k22379 
o|contracted procedure: k22403 
o|contracted procedure: k22415 
o|contracted procedure: k22418 
o|contracted procedure: k22433 
o|contracted procedure: k22443 
o|contracted procedure: k22450 
o|contracted procedure: k22474 
o|contracted procedure: k22483 
o|contracted procedure: k22489 
o|contracted procedure: k22501 
o|contracted procedure: k22513 
o|contracted procedure: k22525 
o|contracted procedure: k22537 
o|contracted procedure: k22549 
o|contracted procedure: k22561 
o|contracted procedure: k22592 
o|contracted procedure: k22601 
o|contracted procedure: k22607 
o|contracted procedure: k22616 
o|contracted procedure: k22625 
o|contracted procedure: k22637 
o|contracted procedure: k22652 
o|contracted procedure: k22664 
o|contracted procedure: k22679 
o|contracted procedure: k22695 
o|contracted procedure: k22707 
o|contracted procedure: k22726 
o|contracted procedure: k22775 
o|contracted procedure: k22764 
o|contracted procedure: k22771 
o|contracted procedure: k22755 
o|contracted procedure: k22786 
o|contracted procedure: k22799 
o|contracted procedure: k22809 
o|contracted procedure: k22836 
o|contracted procedure: k22842 
o|contracted procedure: k22852 
o|contracted procedure: k22858 
o|contracted procedure: k22871 
o|contracted procedure: k22874 
o|contracted procedure: k22897 
o|contracted procedure: k22944 
o|contracted procedure: k22950 
o|contracted procedure: k22959 
o|contracted procedure: k22971 
o|contracted procedure: k22983 
o|contracted procedure: k22992 
o|contracted procedure: k22995 
o|contracted procedure: k23004 
o|contracted procedure: k23010 
o|contracted procedure: k23019 
o|contracted procedure: k23028 
o|contracted procedure: k23037 
o|contracted procedure: k23046 
o|contracted procedure: k23049 
o|contracted procedure: k23109 
o|contracted procedure: k23095 
o|contracted procedure: k23105 
o|contracted procedure: k23123 
o|contracted procedure: k23113 
o|contracted procedure: k23120 
o|contracted procedure: k23132 
o|contracted procedure: k23138 
o|contracted procedure: k23147 
o|contracted procedure: k23174 
o|contracted procedure: k23170 
o|contracted procedure: k23154 
o|contracted procedure: k23166 
o|contracted procedure: k23162 
o|contracted procedure: k23158 
o|contracted procedure: k23180 
o|contracted procedure: k23223 
o|contracted procedure: k23219 
o|contracted procedure: k23187 
o|contracted procedure: k23215 
o|contracted procedure: k23211 
o|contracted procedure: k23207 
o|contracted procedure: k23191 
o|contracted procedure: k23203 
o|contracted procedure: k23199 
o|contracted procedure: k23195 
o|contracted procedure: k23229 
o|contracted procedure: k23288 
o|contracted procedure: k23284 
o|contracted procedure: k23236 
o|contracted procedure: k23280 
o|contracted procedure: k23276 
o|contracted procedure: k23272 
o|contracted procedure: k23240 
o|contracted procedure: k23268 
o|contracted procedure: k23264 
o|contracted procedure: k23260 
o|contracted procedure: k23244 
o|contracted procedure: k23256 
o|contracted procedure: k23252 
o|contracted procedure: k23248 
o|contracted procedure: k23300 
o|contracted procedure: k23312 
o|contracted procedure: k23318 
o|contracted procedure: k23324 
o|contracted procedure: k23330 
o|contracted procedure: k23365 
o|contracted procedure: k23361 
o|contracted procedure: k23357 
o|contracted procedure: k23337 
o|contracted procedure: k23353 
o|contracted procedure: k23345 
o|contracted procedure: k23349 
o|contracted procedure: k23341 
o|contracted procedure: k23374 
o|contracted procedure: k23380 
o|contracted procedure: k23387 
o|contracted procedure: k23393 
o|contracted procedure: k23400 
o|contracted procedure: k23426 
o|contracted procedure: k23435 
o|contracted procedure: k23453 
o|contracted procedure: k23449 
o|contracted procedure: k23442 
o|contracted procedure: k23459 
o|contracted procedure: k23477 
o|contracted procedure: k23473 
o|contracted procedure: k23469 
o|contracted procedure: k23498 
o|contracted procedure: k23494 
o|contracted procedure: k23490 
o|contracted procedure: k23509 
o|contracted procedure: k23522 
o|contracted procedure: k23525 
o|contracted procedure: k23534 
o|contracted procedure: k23537 
o|contracted procedure: k23574 
o|contracted procedure: k23564 
o|contracted procedure: k23583 
o|contracted procedure: k23604 
o|contracted procedure: k23592 
o|contracted procedure: k23595 
o|contracted procedure: k23619 
o|contracted procedure: k23613 
o|contracted procedure: k23637 
o|contracted procedure: k23628 
o|contracted procedure: k23655 
o|contracted procedure: k23646 
o|contracted procedure: k23674 
o|contracted procedure: k23686 
o|contracted procedure: k23696 
o|contracted procedure: k23700 
o|contracted procedure: k23725 
o|contracted procedure: k23737 
o|contracted procedure: k23747 
o|contracted procedure: k23751 
o|contracted procedure: k23796 
o|contracted procedure: k23802 
o|contracted procedure: k23811 
o|contracted procedure: k23814 
o|contracted procedure: k23830 
o|propagated global variable: r23831 ##sys#undefined-value 
o|contracted procedure: k23833 
o|contracted procedure: k23859 
o|contracted procedure: k23852 
o|contracted procedure: k23875 
o|contracted procedure: k23868 
o|contracted procedure: k23887 
o|contracted procedure: k23900 
o|propagated global variable: r23901 ##sys#undefined-value 
o|contracted procedure: k23904 
o|contracted procedure: k23910 
o|contracted procedure: k23913 
o|contracted procedure: k23931 
o|contracted procedure: k23949 
o|contracted procedure: k23964 
o|contracted procedure: k23973 
o|contracted procedure: k23976 
o|contracted procedure: k23982 
o|contracted procedure: k23995 
o|contracted procedure: k24002 
o|contracted procedure: k24018 
o|contracted procedure: k24021 
o|contracted procedure: k24024 
o|contracted procedure: k24038 
o|contracted procedure: k24044 
o|contracted procedure: k24050 
o|contracted procedure: k24056 
o|contracted procedure: k24059 
o|contracted procedure: k24071 
o|contracted procedure: k24081 
o|contracted procedure: k24090 
o|contracted procedure: k24096 
o|contracted procedure: k24112 
o|contracted procedure: k24119 
o|contracted procedure: k24125 
o|contracted procedure: k24138 
o|contracted procedure: k24144 
o|contracted procedure: k24162 
o|contracted procedure: k24199 
o|contracted procedure: k24168 
o|contracted procedure: k24178 
o|contracted procedure: k24195 
o|contracted procedure: k24181 
o|contracted procedure: k24191 
o|contracted procedure: k24210 
o|contracted procedure: k24225 
o|contracted procedure: k24234 
o|contracted procedure: k24243 
o|contracted procedure: k24270 
o|contracted procedure: k24285 
o|contracted procedure: k24294 
o|contracted procedure: k24297 
o|contracted procedure: k24338 
o|contracted procedure: k24393 
o|contracted procedure: k24356 
o|contracted procedure: k24362 
o|contracted procedure: k24374 
o|contracted procedure: k24454 
o|contracted procedure: k24467 
o|contracted procedure: k24471 
o|contracted procedure: k24474 
o|contracted procedure: k24483 
o|contracted procedure: k24492 
o|contracted procedure: k24495 
o|contracted procedure: k24504 
o|contracted procedure: k24513 
o|contracted procedure: k24522 
o|contracted procedure: k24531 
o|contracted procedure: k24540 
o|contracted procedure: k24549 
o|contracted procedure: k24558 
o|contracted procedure: k24577 
o|contracted procedure: k24624 
o|contracted procedure: k24633 
o|contracted procedure: k24655 
o|contracted procedure: k24645 
o|contracted procedure: k24668 
o|contracted procedure: k24672 
o|contracted procedure: k24681 
o|contracted procedure: k24690 
o|contracted procedure: k24705 
o|contracted procedure: k24708 
o|contracted procedure: k24721 
o|contracted procedure: k24728 
o|contracted procedure: k24775 
o|contracted procedure: k24788 
o|contracted procedure: k24791 
o|contracted procedure: k24800 
o|contracted procedure: k24819 
o|contracted procedure: k24835 
o|contracted procedure: k24844 
o|contracted procedure: k24860 
o|contracted procedure: k24864 
o|contracted procedure: k24868 
o|contracted procedure: k24872 
o|contracted procedure: k24899 
o|contracted procedure: k24902 
o|contracted procedure: k24913 
o|contracted procedure: k24909 
o|contracted procedure: k24919 
o|contracted procedure: k24922 
o|contracted procedure: k24958 
o|contracted procedure: k24981 
o|contracted procedure: k24961 
o|contracted procedure: k24977 
o|contracted procedure: k25000 
o|contracted procedure: k25030 
o|contracted procedure: k25040 
o|contracted procedure: k25046 
o|contracted procedure: k25056 
o|contracted procedure: k25155 
o|contracted procedure: k25158 
o|contracted procedure: k25161 
o|contracted procedure: k25164 
o|contracted procedure: k25170 
o|contracted procedure: k25195 
o|contracted procedure: k25176 
o|contracted procedure: k25185 
o|contracted procedure: k25188 
o|contracted procedure: k25198 
o|contracted procedure: k31273 
o|contracted procedure: k31276 
o|contracted procedure: k31279 
o|contracted procedure: k31285 
o|contracted procedure: k31292 
o|contracted procedure: k31288 
o|contracted procedure: k31298 
o|contracted procedure: k31301 
o|contracted procedure: k31304 
o|contracted procedure: k31310 
o|contracted procedure: k31319 
o|contracted procedure: k31322 
o|contracted procedure: k31329 
o|contracted procedure: k31338 
o|contracted procedure: k31341 
o|contracted procedure: k31348 
o|contracted procedure: k31360 
o|contracted procedure: k31395 
o|contracted procedure: k31363 
o|contracted procedure: k31370 
o|contracted procedure: k31374 
o|contracted procedure: k31381 
o|contracted procedure: k31377 
o|contracted procedure: k31384 
o|contracted procedure: k31387 
o|contracted procedure: k31401 
o|contracted procedure: k31404 
o|contracted procedure: k31407 
o|contracted procedure: k31410 
o|contracted procedure: k31416 
o|contracted procedure: k31438 
o|contracted procedure: k31429 
o|contracted procedure: k31447 
o|contracted procedure: k31461 
o|contracted procedure: k31457 
o|contracted procedure: k31450 
o|contracted procedure: k31472 
o|contracted procedure: k31476 
o|contracted procedure: k31468 
o|contracted procedure: k31485 
o|contracted procedure: k31488 
o|contracted procedure: k31491 
o|contracted procedure: k31497 
o|contracted procedure: k31503 
o|contracted procedure: k25205 
o|contracted procedure: k25214 
o|contracted procedure: k25225 
o|contracted procedure: k25221 
o|contracted procedure: k25237 
o|contracted procedure: k25267 
o|contracted procedure: k25274 
o|contracted procedure: k25291 
o|contracted procedure: k25325 
o|contracted procedure: k25332 
o|contracted procedure: k25353 
o|contracted procedure: k25360 
o|contracted procedure: k25371 
o|contracted procedure: k25374 
o|contracted procedure: k25381 
o|contracted procedure: k25384 
o|contracted procedure: k25402 
o|contracted procedure: k25390 
o|contracted procedure: k25398 
o|contracted procedure: k25408 
o|contracted procedure: k25414 
o|contracted procedure: k25417 
o|contracted procedure: k25420 
o|contracted procedure: k25430 
o|contracted procedure: k25433 
o|contracted procedure: k25436 
o|contracted procedure: k25474 
o|contracted procedure: k25470 
o|contracted procedure: k25452 
o|contracted procedure: k25462 
o|contracted procedure: k25466 
o|contracted procedure: k25488 
o|contracted procedure: k25503 
o|contracted procedure: k25513 
o|contracted procedure: k25517 
o|contracted procedure: k25542 
o|contracted procedure: k25552 
o|inlining procedure: k25545 
o|inlining procedure: k25545 
o|contracted procedure: k25711 
o|contracted procedure: k25576 
o|contracted procedure: k25705 
o|contracted procedure: k25579 
o|contracted procedure: k25699 
o|contracted procedure: k25582 
o|contracted procedure: k25693 
o|contracted procedure: k25585 
o|contracted procedure: k25683 
o|contracted procedure: k25591 
o|contracted procedure: k25594 
o|contracted procedure: k25606 
o|contracted procedure: k25677 
o|contracted procedure: k25609 
o|contracted procedure: k25615 
o|contracted procedure: k25653 
o|contracted procedure: k25641 
o|contracted procedure: k25649 
o|contracted procedure: k25645 
o|contracted procedure: k25625 
o|contracted procedure: k25633 
o|contracted procedure: k25657 
o|contracted procedure: k25664 
o|contracted procedure: k25667 
o|contracted procedure: k25690 
o|contracted procedure: k25723 
o|contracted procedure: k25731 
o|contracted procedure: k25734 
o|contracted procedure: k25737 
o|contracted procedure: k25777 
o|contracted procedure: k25790 
o|contracted procedure: k25805 
o|contracted procedure: k25815 
o|contracted procedure: k25819 
o|contracted procedure: k25907 
o|contracted procedure: k25825 
o|contracted procedure: k25901 
o|contracted procedure: k25828 
o|contracted procedure: k25895 
o|contracted procedure: k25831 
o|contracted procedure: k25889 
o|contracted procedure: k25834 
o|contracted procedure: k25883 
o|contracted procedure: k25837 
o|contracted procedure: k25877 
o|contracted procedure: k25840 
o|contracted procedure: k25871 
o|contracted procedure: k25843 
o|contracted procedure: k25865 
o|contracted procedure: k25846 
o|contracted procedure: k25855 
o|contracted procedure: k25925 
o|contracted procedure: k25942 
o|contracted procedure: k25970 
o|contracted procedure: k25978 
o|contracted procedure: k25993 
o|contracted procedure: k26003 
o|contracted procedure: k26007 
o|contracted procedure: k26034 
o|contracted procedure: k26041 
o|contracted procedure: k26047 
o|contracted procedure: k26050 
o|contracted procedure: k26088 
o|contracted procedure: k26098 
o|contracted procedure: k26102 
o|contracted procedure: k26105 
o|contracted procedure: k26126 
o|contracted procedure: k26135 
o|contracted procedure: k26138 
o|contracted procedure: k26141 
o|contracted procedure: k26156 
o|contracted procedure: k26148 
o|contracted procedure: k26163 
o|contracted procedure: k26169 
o|contracted procedure: k26175 
o|contracted procedure: k26181 
o|contracted procedure: k26187 
o|contracted procedure: k26193 
o|contracted procedure: k26199 
o|contracted procedure: k26205 
o|contracted procedure: k26211 
o|contracted procedure: k26217 
o|contracted procedure: k26223 
o|contracted procedure: k26229 
o|contracted procedure: k26235 
o|contracted procedure: k26241 
o|contracted procedure: k26278 
o|contracted procedure: k26281 
o|contracted procedure: k26297 
o|contracted procedure: k26290 
o|contracted procedure: k26326 
o|contracted procedure: k26322 
o|contracted procedure: k26355 
o|contracted procedure: k26351 
o|contracted procedure: k26358 
o|contracted procedure: k26362 
o|contracted procedure: k26368 
o|contracted procedure: k26371 
o|contracted procedure: k26374 
o|contracted procedure: k26377 
o|contracted procedure: k26380 
o|contracted procedure: k26401 
o|contracted procedure: k26407 
o|contracted procedure: k26410 
o|contracted procedure: k26416 
o|contracted procedure: k26430 
o|contracted procedure: k26427 
o|contracted procedure: k26439 
o|contracted procedure: k26498 
o|contracted procedure: k26451 
o|contracted procedure: k26494 
o|contracted procedure: k26466 
o|contracted procedure: k26490 
o|contracted procedure: k26486 
o|contracted procedure: k26482 
o|contracted procedure: k26521 
o|contracted procedure: k26524 
o|contracted procedure: k26550 
o|contracted procedure: k26556 
o|contracted procedure: k26563 
o|contracted procedure: k26569 
o|contracted procedure: k26588 
o|contracted procedure: k26641 
o|contracted procedure: k26594 
o|contracted procedure: k26626 
o|contracted procedure: k26607 
o|contracted procedure: k26615 
o|contracted procedure: k26611 
o|contracted procedure: k26637 
o|contracted procedure: k26633 
o|contracted procedure: k26651 
o|contracted procedure: k26661 
o|contracted procedure: k26684 
o|contracted procedure: k26701 
o|contracted procedure: k26723 
o|contracted procedure: k26719 
o|contracted procedure: k26704 
o|contracted procedure: k26707 
o|contracted procedure: k26715 
o|contracted procedure: k26730 
o|contracted procedure: k26747 
o|contracted procedure: k26769 
o|contracted procedure: k26765 
o|contracted procedure: k26750 
o|contracted procedure: k26753 
o|contracted procedure: k26761 
o|contracted procedure: k26781 
o|contracted procedure: k26795 
o|contracted procedure: k26784 
o|contracted procedure: k26791 
o|contracted procedure: k26801 
o|contracted procedure: k26811 
o|contracted procedure: k26823 
o|contracted procedure: k26845 
o|contracted procedure: k26841 
o|contracted procedure: k26826 
o|contracted procedure: k26829 
o|contracted procedure: k26837 
o|contracted procedure: k26852 
o|contracted procedure: k26875 
o|contracted procedure: k26878 
o|contracted procedure: k26881 
o|contracted procedure: k26889 
o|contracted procedure: k26897 
o|contracted procedure: k26861 
o|contracted procedure: k26915 
o|contracted procedure: k26928 
o|contracted procedure: k26937 
o|contracted procedure: k26975 
o|contracted procedure: k26943 
o|contracted procedure: k26957 
o|contracted procedure: k26953 
o|contracted procedure: k26971 
o|contracted procedure: k26978 
o|contracted procedure: k26981 
o|contracted procedure: k26993 
o|contracted procedure: k26996 
o|contracted procedure: k26999 
o|contracted procedure: k27007 
o|contracted procedure: k27015 
o|contracted procedure: k27045 
o|contracted procedure: k27041 
o|contracted procedure: k27051 
o|contracted procedure: k27054 
o|contracted procedure: k27059 
o|contracted procedure: k27091 
o|contracted procedure: k27065 
o|contracted procedure: k27087 
o|contracted procedure: k27068 
o|contracted procedure: k27129 
o|contracted procedure: k27141 
o|contracted procedure: k27151 
o|contracted procedure: k27155 
o|contracted procedure: k27186 
o|contracted procedure: k27211 
o|contracted procedure: k27195 
o|contracted procedure: k27228 
o|contracted procedure: k27248 
o|contracted procedure: k27254 
o|contracted procedure: k27267 
o|contracted procedure: k27273 
o|contracted procedure: k27292 
o|contracted procedure: k27306 
o|contracted procedure: k27295 
o|contracted procedure: k27302 
o|contracted procedure: k27322 
o|contracted procedure: k27328 
o|contracted procedure: k27335 
o|contracted procedure: k27341 
o|contracted procedure: k27391 
o|contracted procedure: k27351 
o|contracted procedure: k27403 
o|contracted procedure: k27406 
o|contracted procedure: k27409 
o|contracted procedure: k27412 
o|contracted procedure: k27423 
o|contracted procedure: k27440 
o|contracted procedure: k27443 
o|contracted procedure: k27446 
o|contracted procedure: k27449 
o|contracted procedure: k27460 
o|contracted procedure: k27477 
o|contracted procedure: k27486 
o|contracted procedure: k27495 
o|contracted procedure: k27504 
o|contracted procedure: k27513 
o|contracted procedure: k27522 
o|contracted procedure: k27531 
o|contracted procedure: k27540 
o|contracted procedure: k27549 
o|contracted procedure: k27558 
o|contracted procedure: k27567 
o|contracted procedure: k27576 
o|contracted procedure: k27585 
o|contracted procedure: k27594 
o|contracted procedure: k27603 
o|contracted procedure: k27612 
o|contracted procedure: k27621 
o|contracted procedure: k27630 
o|contracted procedure: k27639 
o|contracted procedure: k27648 
o|contracted procedure: k27657 
o|contracted procedure: k27666 
o|contracted procedure: k27675 
o|contracted procedure: k27684 
o|contracted procedure: k27693 
o|contracted procedure: k27702 
o|contracted procedure: k27711 
o|contracted procedure: k27720 
o|contracted procedure: k27729 
o|contracted procedure: k27738 
o|contracted procedure: k27747 
o|contracted procedure: k27756 
o|contracted procedure: k27765 
o|contracted procedure: k27774 
o|contracted procedure: k27783 
o|contracted procedure: k27792 
o|contracted procedure: k27801 
o|contracted procedure: k27810 
o|contracted procedure: k27819 
o|contracted procedure: k27828 
o|contracted procedure: k27837 
o|contracted procedure: k27846 
o|contracted procedure: k27855 
o|contracted procedure: k27864 
o|contracted procedure: k27873 
o|contracted procedure: k27882 
o|contracted procedure: k27891 
o|contracted procedure: k27900 
o|contracted procedure: k27909 
o|contracted procedure: k27918 
o|contracted procedure: k27927 
o|contracted procedure: k27936 
o|contracted procedure: k28097 
o|contracted procedure: k28101 
o|contracted procedure: k28131 
o|contracted procedure: k28161 
o|contracted procedure: k28137 
o|contracted procedure: k28140 
o|contracted procedure: k28149 
o|contracted procedure: k28158 
o|contracted procedure: k28194 
o|contracted procedure: k28187 
o|contracted procedure: k28216 
o|contracted procedure: k28209 
o|contracted procedure: k28267 
o|contracted procedure: k28284 
o|contracted procedure: k28246 
o|contracted procedure: k28250 
o|contracted procedure: k28311 
o|contracted procedure: k28331 
o|contracted procedure: k28348 
o|contracted procedure: k28298 
o|contracted procedure: k28302 
o|contracted procedure: k28364 
o|contracted procedure: k28371 
o|contracted procedure: k28427 
o|contracted procedure: k28431 
o|contracted procedure: k28439 
o|contracted procedure: k28456 
o|contracted procedure: k28471 
o|contracted procedure: k28534 
o|contracted procedure: k28515 
o|contracted procedure: k28524 
o|contracted procedure: k28543 
o|contracted procedure: k28600 
o|contracted procedure: k28603 
o|contracted procedure: k28609 
o|contracted procedure: k28652 
o|contracted procedure: k28668 
o|contracted procedure: k28661 
o|contracted procedure: k29100 
o|contracted procedure: k28679 
o|contracted procedure: k28694 
o|contracted procedure: k28798 
o|contracted procedure: k28706 
o|contracted procedure: k28725 
o|contracted procedure: k28728 
o|contracted procedure: k28737 
o|contracted procedure: k2857734734 
o|contracted procedure: k28767 
o|contracted procedure: k28795 
o|contracted procedure: k28777 
o|contracted procedure: k28790 
o|contracted procedure: k28807 
o|contracted procedure: k29086 
o|contracted procedure: k28829 
o|contracted procedure: k28847 
o|contracted procedure: k28850 
o|contracted procedure: k28859 
o|contracted procedure: k28862 
o|contracted procedure: k28876 
o|contracted procedure: k28885 
o|contracted procedure: k28940 
o|contracted procedure: k28898 
o|contracted procedure: k28910 
o|contracted procedure: k28927 
o|contracted procedure: k28921 
o|contracted procedure: k28943 
o|contracted procedure: k2857734747 
o|contracted procedure: k28961 
o|contracted procedure: k28957 
o|contracted procedure: k28970 
o|contracted procedure: k28979 
o|contracted procedure: k28995 
o|contracted procedure: k29010 
o|contracted procedure: k29002 
o|contracted procedure: k29029 
o|contracted procedure: k29021 
o|contracted procedure: k29055 
o|contracted procedure: k29083 
o|contracted procedure: k29065 
o|contracted procedure: k29078 
o|contracted procedure: k29106 
o|contracted procedure: k29115 
o|contracted procedure: k29158 
o|contracted procedure: k29164 
o|contracted procedure: k29167 
o|contracted procedure: k29181 
o|contracted procedure: k29222 
o|contracted procedure: k29229 
o|contracted procedure: k29237 
o|contracted procedure: k29249 
o|contracted procedure: k29253 
o|contracted procedure: k29260 
o|contracted procedure: k29196 
o|contracted procedure: k29294 
o|contracted procedure: k29303 
o|contracted procedure: k29310 
o|contracted procedure: k29314 
o|contracted procedure: k29344 
o|contracted procedure: k29351 
o|contracted procedure: k29355 
o|contracted procedure: k29362 
o|contracted procedure: k29375 
o|contracted procedure: k29382 
o|contracted procedure: k29413 
o|contracted procedure: k29409 
o|contracted procedure: k29437 
o|contracted procedure: k29446 
o|contracted procedure: k29459 
o|contracted procedure: k29471 
o|contracted procedure: k29481 
o|contracted procedure: k29554 
o|contracted procedure: k29484 
o|contracted procedure: k29497 
o|contracted procedure: k29538 
o|contracted procedure: k29527 
o|contracted procedure: k29534 
o|contracted procedure: k29607 
o|contracted procedure: k29597 
o|contracted procedure: k29625 
o|contracted procedure: k29659 
o|contracted procedure: k29668 
o|contracted procedure: k29671 
o|contracted procedure: k29678 
o|contracted procedure: k29684 
o|contracted procedure: k29691 
o|contracted procedure: k29697 
o|contracted procedure: k29700 
o|contracted procedure: k29706 
o|contracted procedure: k29709 
o|contracted procedure: k29716 
o|contracted procedure: k29722 
o|contracted procedure: k29725 
o|contracted procedure: k29732 
o|contracted procedure: k29738 
o|contracted procedure: k29741 
o|contracted procedure: k29748 
o|contracted procedure: k29754 
o|contracted procedure: k29757 
o|contracted procedure: k29764 
o|contracted procedure: k29770 
o|contracted procedure: k29773 
o|contracted procedure: k29780 
o|contracted procedure: k29786 
o|contracted procedure: k29789 
o|contracted procedure: k29796 
o|contracted procedure: k29802 
o|contracted procedure: k29805 
o|contracted procedure: k29812 
o|contracted procedure: k29818 
o|contracted procedure: k29821 
o|contracted procedure: k29828 
o|contracted procedure: k29834 
o|contracted procedure: k29837 
o|contracted procedure: k29844 
o|contracted procedure: k29850 
o|contracted procedure: k29853 
o|contracted procedure: k29860 
o|contracted procedure: k29867 
o|contracted procedure: k29875 
o|contracted procedure: k29871 
o|contracted procedure: k29901 
o|contracted procedure: k29908 
o|contracted procedure: k29920 
o|contracted procedure: k29932 
o|contracted procedure: k29926 
o|contracted procedure: k29929 
o|contracted procedure: k29947 
o|contracted procedure: k29960 
o|contracted procedure: k29956 
o|contracted procedure: k29964 
o|contracted procedure: k30008 
o|contracted procedure: k29973 
o|contracted procedure: k29976 
o|contracted procedure: k29979 
o|contracted procedure: k30004 
o|contracted procedure: k29991 
o|contracted procedure: k29994 
o|contracted procedure: k30018 
o|contracted procedure: k30024 
o|contracted procedure: k30031 
o|contracted procedure: k30040 
o|contracted procedure: k30046 
o|contracted procedure: k30049 
o|contracted procedure: k30052 
o|contracted procedure: k30058 
o|contracted procedure: k30065 
o|contracted procedure: k30071 
o|contracted procedure: k30075 
o|contracted procedure: k30220 
o|contracted procedure: k30226 
o|contracted procedure: k30229 
o|contracted procedure: k30235 
o|contracted procedure: k30238 
o|contracted procedure: k30244 
o|contracted procedure: k30259 
o|contracted procedure: k30262 
o|contracted procedure: k30283 
o|contracted procedure: k30313 
o|contracted procedure: k30485 
o|contracted procedure: k30355 
o|contracted procedure: k30441 
o|contracted procedure: k30434 
o|contracted procedure: k30379 
o|contracted procedure: k30451 
o|contracted procedure: k30455 
o|contracted procedure: k30459 
o|contracted procedure: k30463 
o|contracted procedure: k30532 
o|contracted procedure: k30541 
o|contracted procedure: k30560 
o|contracted procedure: k30564 
o|contracted procedure: k30778 
o|contracted procedure: k30608 
o|contracted procedure: k30638 
o|contracted procedure: k30648 
o|contracted procedure: k30652 
o|contracted procedure: k30622 
o|contracted procedure: k30626 
o|contracted procedure: k30658 
o|contracted procedure: k30674 
o|contracted procedure: k30677 
o|contracted procedure: k30680 
o|contracted procedure: k30686 
o|contracted procedure: k30705 
o|contracted procedure: k30708 
o|contracted procedure: k30711 
o|contracted procedure: k30719 
o|contracted procedure: k30727 
o|contracted procedure: k30745 
o|contracted procedure: k30754 
o|contracted procedure: k30761 
o|contracted procedure: k30769 
o|contracted procedure: k30795 
o|contracted procedure: k30799 
o|contracted procedure: k30804 
o|contracted procedure: k30808 
o|contracted procedure: k30812 
o|contracted procedure: k30816 
o|contracted procedure: k30871 
o|contracted procedure: k30878 
o|contracted procedure: k30912 
o|contracted procedure: k30921 
o|contracted procedure: k30924 
o|contracted procedure: k30933 
o|contracted procedure: k30948 
o|contracted procedure: k30944 
o|contracted procedure: k30961 
o|contracted procedure: k30964 
o|contracted procedure: k30971 
o|contracted procedure: k30980 
o|contracted procedure: k30983 
o|contracted procedure: k30986 
o|contracted procedure: k31016 
o|contracted procedure: k31005 
o|contracted procedure: k31026 
o|contracted procedure: k31029 
o|contracted procedure: k31080 
o|contracted procedure: k31104 
o|contracted procedure: k31122 
o|contracted procedure: k31132 
o|contracted procedure: k31152 
o|contracted procedure: k31162 
o|contracted procedure: k31166 
o|contracted procedure: k31207 
o|contracted procedure: k31217 
o|contracted procedure: k31221 
o|contracted procedure: k31264 
o|contracted procedure: k31249 
o|contracted procedure: k31511 
o|contracted procedure: k31521 
o|contracted procedure: k31531 
o|contracted procedure: k31541 
o|contracted procedure: k31551 
o|contracted procedure: k31561 
o|contracted procedure: k31571 
o|contracted procedure: k31581 
o|contracted procedure: k31591 
o|contracted procedure: k31601 
o|contracted procedure: k31611 
o|contracted procedure: k31621 
o|contracted procedure: k31631 
o|contracted procedure: k31641 
o|contracted procedure: k31647 
o|contracted procedure: k31650 
o|contracted procedure: k31674 
o|contracted procedure: k31681 
o|contracted procedure: k31690 
o|contracted procedure: k31697 
o|contracted procedure: k31716 
o|contracted procedure: k31725 
o|contracted procedure: k31736 
o|contracted procedure: k31732 
o|contracted procedure: k31745 
o|contracted procedure: k31752 
o|contracted procedure: k31762 
o|contracted procedure: k31758 
o|contracted procedure: k31707 
o|contracted procedure: k31703 
o|simplifications: ((if . 1) (let . 539)) 
o|removed binding forms: 2195 
o|inlining procedure: "(library.scm:4493) outstr05170" 
o|inlining procedure: "(library.scm:4492) outstr05170" 
o|inlining procedure: "(library.scm:4495) outstr05170" 
o|inlining procedure: "(library.scm:4497) outstr05170" 
o|inlining procedure: "(library.scm:4507) outstr05170" 
o|inlining procedure: k23865 
o|inlining procedure: k23865 
o|inlining procedure: k24171 
o|inlining procedure: k24171 
o|inlining procedure: k24171 
o|inlining procedure: k31444 
o|inlining procedure: k31444 
o|inlining procedure: k26344 
o|inlining procedure: k26344 
o|inlining procedure: k30955 
o|inlining procedure: k31020 
o|inlining procedure: k31020 
o|replaced variables: 761 
o|removed binding forms: 4 
o|inlining procedure: k11923 
o|inlining procedure: k11947 
o|inlining procedure: k11971 
o|inlining procedure: k11995 
o|inlining procedure: k12019 
o|inlining procedure: k12043 
o|inlining procedure: k12067 
o|inlining procedure: k12091 
o|inlining procedure: k12115 
o|inlining procedure: k12139 
o|inlining procedure: k12163 
o|inlining procedure: k12181 
o|inlining procedure: k12205 
o|inlining procedure: k12229 
o|inlining procedure: k12247 
o|inlining procedure: k12265 
o|inlining procedure: k12283 
o|inlining procedure: k12301 
o|inlining procedure: k12319 
o|inlining procedure: k12337 
o|inlining procedure: k12355 
o|inlining procedure: k12373 
o|inlining procedure: k12391 
o|inlining procedure: k12409 
o|inlining procedure: k12433 
o|inlining procedure: k12451 
o|inlining procedure: k12475 
o|inlining procedure: k12493 
o|inlining procedure: k12511 
o|inlining procedure: k12529 
o|inlining procedure: k12547 
o|substituted constant variable: str518836490 
o|removed side-effect free assignment to unused variable: outstr05170 
o|substituted constant variable: str518836510 
o|inlining procedure: k28322 
o|inlining procedure: k28322 
o|substituted constant variable: r3102136627 
o|simplifications: ((let . 1) (if . 8)) 
o|replaced variables: 14 
o|removed binding forms: 395 
o|inlining procedure: "(library.scm:4546) specialchar?5172" 
o|inlining procedure: "(library.scm:4561) specialchar?5172" 
o|inlining procedure: "(library.scm:4565) specialchar?5172" 
o|removed binding forms: 48 
o|removed side-effect free assignment to unused variable: specialchar?5172 
o|replaced variables: 11 
o|removed binding forms: 31 
o|inlining procedure: k24065 
o|inlining procedure: k24135 
o|removed binding forms: 9 
o|contracted procedure: k24203 
o|removed binding forms: 3 
o|direct leaf routine/allocation: loop776 0 
o|direct leaf routine/allocation: doloop15191520 0 
o|direct leaf routine/allocation: iter1532 0 
o|direct leaf routine/allocation: loop1683 0 
o|direct leaf routine/allocation: go-inexact!2842 0 
o|direct leaf routine/allocation: split3339 0 
o|direct leaf routine/allocation: loop3520 0 
o|direct leaf routine/allocation: doloop35353536 0 
o|direct leaf routine/allocation: doloop35473551 0 
o|direct leaf routine/allocation: doloop35783579 0 
o|direct leaf routine/allocation: doloop36063607 0 
o|direct leaf routine/allocation: loop3632 0 
o|direct leaf routine/allocation: loop3703 0 
o|direct leaf routine/allocation: body39293938 0 
o|direct leaf routine/allocation: def-set?39323941 0 
o|direct leaf routine/allocation: def-convert?39313943 0 
o|direct leaf routine/allocation: body39543963 0 
o|direct leaf routine/allocation: def-set?39573966 0 
o|direct leaf routine/allocation: def-convert?39563968 0 
o|direct leaf routine/allocation: body39793988 0 
o|direct leaf routine/allocation: def-set?39823991 0 
o|direct leaf routine/allocation: def-convert?39813993 0 
o|direct leaf routine/allocation: body59895998 0 
o|direct leaf routine/allocation: def-set?59926001 0 
o|direct leaf routine/allocation: def-convert?59916003 0 
o|direct leaf routine/allocation: for-each-loop60336044 0 
o|direct leaf routine/allocation: loop7082 0 
o|converted assignments to bindings: (loop776) 
o|converted assignments to bindings: (doloop15191520) 
o|contracted procedure: k11370 
o|converted assignments to bindings: (iter1532) 
o|converted assignments to bindings: (loop1683) 
o|contracted procedure: "(library.scm:2464) k15619" 
o|contracted procedure: "(library.scm:2473) k15682" 
o|contracted procedure: "(library.scm:2507) k15935" 
o|contracted procedure: "(library.scm:2512) k15960" 
o|contracted procedure: "(library.scm:2556) k16344" 
o|contracted procedure: "(library.scm:2566) k16427" 
o|contracted procedure: "(library.scm:2693) k17272" 
o|contracted procedure: "(library.scm:2700) k17290" 
o|contracted procedure: "(library.scm:2709) k17316" 
o|converted assignments to bindings: (loop3520) 
o|converted assignments to bindings: (doloop35353536) 
o|converted assignments to bindings: (doloop35473551) 
o|converted assignments to bindings: (doloop35783579) 
o|converted assignments to bindings: (doloop36063607) 
o|converted assignments to bindings: (loop3632) 
o|converted assignments to bindings: (loop3703) 
o|inlining procedure: "(library.scm:3341) k18933" 
o|inlining procedure: "(library.scm:3341) k18933" 
o|inlining procedure: "(library.scm:3341) k18933" 
o|inlining procedure: "(library.scm:3351) k18994" 
o|inlining procedure: "(library.scm:3351) k18994" 
o|inlining procedure: "(library.scm:3351) k18994" 
o|inlining procedure: "(library.scm:3361) k19055" 
o|inlining procedure: "(library.scm:3361) k19055" 
o|inlining procedure: "(library.scm:3361) k19055" 
o|inlining procedure: "(library.scm:5247) k26547" 
o|inlining procedure: "(library.scm:5247) k26547" 
o|inlining procedure: "(library.scm:5247) k26547" 
o|contracted procedure: k26669 
o|converted assignments to bindings: (for-each-loop60336044) 
o|contracted procedure: k29950 
o|converted assignments to bindings: (loop7082) 
o|simplifications: ((let . 13)) 
o|removed binding forms: 12 
o|replaced variables: 16 
o|removed binding forms: 4 
o|removed binding forms: 5 
o|customizable procedures: (cleanup-before-exit g59265933 for-each-loop59255937 for-each-loop58945906 k30992 loop6867 k30349 check7269 k30586 k30589 k30592 k30595 k30598 loop7344 map-loop73117328 loop7335 for-each-loop72887300 str7234 pmem7130 round-to7129 pnum7128 k30021 loop7107 loop6956 doloop69316932 k29434 doloop68566857 scan6839 loop6836 read-escaped-sexp6657 get/clear-str6717 loop6728 k28901 loop26751 readln6656 doloop66956704 loop6671 doloop66606661 loop6635 loop6535 loop6509 def-port62616310 def-header62626308 body62596268 k27174 g62826283 writeargs6233 g62396246 for-each-loop62386250 g61746183 map-loop61686193 loop6186 map-loop61116129 map-loop61386155 map-loop60516069 map-loop60786096 chicken.condition#prop-list->kind-prefixed-prop-list k26597 loop6014 k26129 k26132 k26152 k26108 for-each-loop58295841 for-each-loop57615772 loop5757 g57025709 for-each-loop57015722 k25764 k25618 loop5685 g56365643 for-each-loop56355646 k25284 k25301 copy&append5583 loop5592 k31366 doloop53895390 doloop53655366 k24636 doloop53515352 out5280 doloop53215322 outsym5173 g52965297 k24156 loop5250 k24099 loop5215 outchr5171 sym-is-readable?5175 outreadablesym5174 outstr5169 for-each-loop51305148 for-each-loop50985116 hex4995 loop5004 k22239 r-symbol4459 k22453 k22821 r-ext-symbol4463 r-comment4462 r-char4461 r-vector4453 r-number-with-radix4456 r-number-with-exactness4455 r-digits4458 k22373 loop4795 k22160 loop4782 r-token4457 k22011 k21866 k21632 r-string4451 loop4699 k21638 k21562 loop4682 k21498 read-unreserved-char-04434 loop4667 r-number4454 k21325 r-list4452 k21081 k21124 r-xtoken4460 build-keyword4465 loop4575 readrec4435 r-spaces4448 starting-line4570 info4431 k20738 k20758 k20862 eat-ws4540 k20647 r-cons-codepoint4450 r-usequence4449 loop4503 lp4498 loop4481 skip-to-eol4432 loop4466 reserved-character4433 k20252 skip4440 k19823 def-convert?42994311 def-set?43004309 body42974306 assign4281 k19793 loop4158 loop4139 doloop41464147 close4009 open4008 doloop40164017 k31971 loop3886 k31873 loop3869 ##sys#dynamic-unwind loop3768 map-loop37443761 loop3728 for-each-loop37133723 k18411 loop3675 loop3664 k18120 lookup-char3628 ##sys#vector-resize k17829 loop3527 map-loop33983417 compare-slots3294 loop3306 walk3295 k16778 ##sys#string->compnum scan-prefix3221 k16522 scan-real3090 k16613 k16283 k16402 k16341 k16309 scan-ureal3013 k15932 k15951 k16003 scan-decimal-tail2936 scan-digits+hashes2898 k15732 k15735 k15744 scan-exponent2918 k15771 safe-exponent2843 k15667 scan-digits2863 scan-hashes2886 lp2888 k15507 lp2865 round-quotient k15259 loop2745 loop2735 k14698 k14804 k14813 slow-expt2667 log-expt2666 lp2651 k14485 lp2639 k14044 k14050 k13991 k13997 k13843 loop2453 loop2441 find-ratio-between sr2418 k13141 ##sys#internal-gcd ratnum loop2276 deliver2209 doloop22112212 make-complex doloop17001701 loop1693 loop1668 k11440 k11449 loop1510 loop1478 copy1468 loop1466 k10906 lp1339 k10258 loop934 loop919 k10155 loop882 loop860 k9956 loop830 k9816 loop816 loop801 loop793 loop787 loop762 loop747 loop736 loop706 loop694 loop651 loop642 loop108) 
o|calls to known targets: 906 
o|identified direct recursive calls: f_8812 1 
o|unused rest argument: env348 f_9082 
o|unused rest argument: evaluator355 f_9106 
o|unused rest argument: _607 f_9219 
o|identified direct recursive calls: f_9313 1 
o|unused rest argument: _718 f_9472 
o|unused rest argument: _719 f_9474 
o|unused rest argument: _760 f_9629 
o|identified direct recursive calls: f_9692 1 
o|identified direct recursive calls: f_9714 1 
o|identified direct recursive calls: f_9750 1 
o|identified direct recursive calls: f_9779 2 
o|identified direct recursive calls: f_9826 1 
o|identified direct recursive calls: f_9880 2 
o|identified direct recursive calls: f_10859 1 
o|identified direct recursive calls: f_11134 1 
o|identified direct recursive calls: f_11188 1 
o|identified direct recursive calls: f_11284 1 
o|identified direct recursive calls: f_11327 1 
o|identified direct recursive calls: f_11378 1 
o|identified direct recursive calls: f_11734 1 
o|identified direct recursive calls: f_11782 1 
o|identified direct recursive calls: f_11844 1 
o|identified direct recursive calls: f_13537 1 
o|identified direct recursive calls: f_13705 1 
o|identified direct recursive calls: f_13748 1 
o|identified direct recursive calls: f_14608 2 
o|identified direct recursive calls: f_15446 1 
o|identified direct recursive calls: f_15554 1 
o|identified direct recursive calls: f_17717 1 
o|identified direct recursive calls: f_17757 1 
o|identified direct recursive calls: f_17796 1 
o|identified direct recursive calls: f_17842 1 
o|identified direct recursive calls: f_17914 1 
o|identified direct recursive calls: f_17988 1 
o|identified direct recursive calls: f_18090 1 
o|identified direct recursive calls: f_18421 1 
o|identified direct recursive calls: f_18721 1 
o|identified direct recursive calls: f_31877 1 
o|identified direct recursive calls: f_19154 3 
o|identified direct recursive calls: f_19478 1 
o|identified direct recursive calls: f_20421 1 
o|identified direct recursive calls: f_22143 1 
o|identified direct recursive calls: f_26776 1 
o|identified direct recursive calls: f_26696 1 
o|identified direct recursive calls: f_26742 1 
o|identified direct recursive calls: f_26818 1 
o|identified direct recursive calls: f_26932 2 
o|identified direct recursive calls: f_28538 1 
o|identified direct recursive calls: f_29217 1 
o|identified direct recursive calls: f_29968 1 
o|identified direct recursive calls: f_30035 1 
o|identified direct recursive calls: f_30669 2 
o|unused rest argument: args5884 f_31229 
o|fast box initializations: 161 
o|fast global references: 68 
o|fast global assignments: 19 
o|dropping unused closure argument: f_12573 
o|dropping unused closure argument: f_12746 
o|dropping unused closure argument: f_13537 
o|dropping unused closure argument: f_14645 
o|dropping unused closure argument: f_14657 
o|dropping unused closure argument: f_14902 
o|dropping unused closure argument: f_15315 
o|dropping unused closure argument: f_15353 
o|dropping unused closure argument: f_17237 
o|dropping unused closure argument: f_17976 
o|dropping unused closure argument: f_18421 
o|dropping unused closure argument: f_18721 
o|dropping unused closure argument: f_19111 
o|dropping unused closure argument: f_19209 
o|dropping unused closure argument: f_20409 
o|dropping unused closure argument: f_25212 
o|dropping unused closure argument: f_25936 
o|dropping unused closure argument: f_26577 
o|dropping unused closure argument: f_26776 
o|dropping unused closure argument: f_27113 
o|dropping unused closure argument: f_28582 
o|dropping unused closure argument: f_28629 
o|dropping unused closure argument: f_30094 
o|dropping unused closure argument: f_30108 
o|dropping unused closure argument: f_30374 
o|dropping unused closure argument: f_30555 
*/
/* end of file */
